---
title: 费马大定理
description: 一个困惑了世间智者358年的谜
date: 2021-08-23
---

* [费马大定理](https://book.douban.com/subject/20494401/)
  - 副标题: **一个困惑了世间智者358年的谜**
  - 出版年: 2013-01
  - 微信读书看的
  - 此处应该 @`悠扬的素数 - 二百年数学绝唱黎曼假设`
  - **无穷递降法** 妙
  - 所以, 拉马努金的前辈典范就是费马? 只猜想, 不证明?

* 特别值得注意的是*复数*可用来解任何方程.
  换言之, *虚数*似乎是*完全性*所需要的*最后的要素*.

* 椭圆曲线
  - $$ y^2 = x^3 + ax^2 + bx + c $$
  - `a, b, c` 是任意整数

```
椭圆曲线, 这个名称有点使人误解,
因为在正常意义上它们不是椭圆.
这个名称, 来源于椭圆周长积分公式.

椭圆曲线之所以特别吸引人,
原因在于它占有一个很有意思的地位:
介于别的较简单的几乎是平常的方程与
另一些复杂得多甚至是不可能解出的方程之间.
```

* **哥德尔** 证明了: *要想创立一个完全的, 相容的数学体系是一件不可能做到的事情*
  - 第一不可判定性定理
  - **如果公理集合论是相容的, 那么存在既不能证明又不能否定的定理**
  - 第二不可判定性定理
  - **不存在能证明公理系统是相容的构造性过程**

```
志村和谷山
却使数学界震惊地想到
椭圆方程 和 模形式 实质上是完全相同的东西.
按照这两位有独特见解的数学家的说法,
他们能够将模世界与椭圆世界统一起来.
```

```
特别是当你真的进入死胡同的时候,
当有一个真正的问题需要你去征服的时候,
那种循规蹈矩的数学思维对你来说毫无用处.
导致那一类新的想法必须经过长时间的对那个问题的极其专注的思考,
不能有任何分心. 这之后似乎有一段松弛期,
在这期间潜意识出现, 占据了你的脑海.
正是在这段期间, 某种新见解冒出来了.
```

```
为了证明费马大定理, 怀尔斯必须证明 谷山-志村猜想:
每一个 椭圆方程 可以关联一个 模形式.
即便在它与费马大定理联系起来之前, 数学家们也曾徒劳地试图证明这个猜想,
但每一次尝试都以失败告终.
怀尔斯对寻找证明会遇到的巨大困难有非常清醒的认识:

"一件人们最终可能会天真地去尝试并且也确实尝试过的事就是去数一下有多少个椭圆方程,
再数一下有多少个模形式, 然后证明它们的个数是相同的.
但是迄今还没有找到任何一种做这件事的简单方法, 主要的问题是它们每一个都有无穷多个,
而你是无法数无穷多次的. 人根本不可能有办法完成它."
```

```
伽罗瓦的演算中的核心部分是称为 "群论" 的思想,
他将这种思想发展成一种能攻克以前无法解决的问题的有力工具.
从数学上来说, 一个群是一些元素的集合, 这些元素可以使用某种运算结合起来,
并且这种运算满足某些条件.
用来定义群的一个重要性质是:
当它的任何两个元素用这种运算结合时, 其结果仍是群中的一个元素.
这个群被称为在该运算下是封闭的.
```

```
正是这个由五次方程的解构造的群,
使得伽罗瓦能够推导出他关于这些方程的结果.
一个半世纪以后, 怀尔斯将利用伽罗瓦的工作作为他证明 谷山-志村猜想 的基础.
```

```
在检验过程中发现许多问题, 大部分已经解决, 但是有一个特别的问题我还没有解决.
大部分场合下, 将 谷山-志村猜想 归结到计算
塞尔默群 (Selmer group) 这一关键性的做法是正确的.
然而, 在 (相伴于模形式的对称平方表示的) 半稳定的情况中,
塞尔默群的精确上界的最后计算还没有像所说的那样是完全的.
我相信在不远的将来我能够使用我在剑桥演讲中解释过的想法完成它.

单靠 岩沢理论 不足以解决问题, 单靠 科利瓦金-弗莱切方法 也不足以解决问题,
它们结合在一起却可以完美地互相补足.
这是 怀尔斯 永远不会忘记的充满灵感的瞬间, 当他详细叙述这些时刻时,
记忆如潮澎湃, 激动得泪水夺眶而出:
"它真是无法形容地美, 它又是多么简单和明确. 我无法理解我怎么会没有发现它,
足足有20多分钟我呆望着它不敢相信. 然后到了白天我到系里转了一圈,
又回到桌子旁指望搞清楚情况是否真是这样.
情况确实就是这样. 我无法控制自己, 我太兴奋了.
这是我工作经历中最重要的时刻, 我所做的工作中再也没有哪一件会具有这么重要的意义."
```

```
这一次对证明不再有怀疑了. 这两篇论文总共有130页, 是历史上核查得最彻底的数学稿件,
最终发表在 <数学年刊> (Annals of Mathematics) 上 (1995 年 5 月).

拓扑学与几何学不同, 几何学研究的是对象的精确的外形和大小,
拓扑学则仅仅对于对象的本质, 即它最基本的特性有兴趣.
```
