---
title: 卡洛·罗韦利 Carlo Rovelli 系列作品
description: 虽趣舍万殊, 静躁不同, 当其欣于所遇, 暂得于己, 快然自足
date: 2021-01-28
---

# 始于 2019

* 卡洛·罗韦利 **诗意** 科普
  - [Wiki - Carlo Rovelli](https://en.wikipedia.org/wiki/Carlo_Rovelli)

* 对于我个人而言
  - 第一轮阅读时, 我感觉 `量子引力之旅` 优于 `时间的秩序`
  - 第二轮阅读时, 我感觉 `时间的秩序` 优于 `量子引力之旅`
  - 科普再精妙, 理解了就豁然了; 人文如佳酿, 历久弥新

```
作者文笔独具诗意, 激发好奇心
穿插历史人文, 降低了阅读负担
不引入数学公式, 避免过于劝退
耐心细致的比喻, 引人深思

用一条清晰的脉络
简洁的贯穿物理学史
全书篇幅却依旧轻盈
作者身为物理学家
专业性毋庸置疑
触及不确定的前沿
点睛之处
```

* 我所认为的科普经典的标准

1. 准确性, 专业性, 是基本要求. 科普应该是专业人士的作品
2. 激发好奇, 触及前沿.
   科普应该是好奇人士阅读的开始,
   把人拉进领域内.
   触及前沿是引人前行的绝佳方式.
3. 传播领域思想.
   科普不是通俗文学,
   科普是面向非专业人士的科学读物,
   科普除了省略科学严密的论证细节,
   并不该降低科学内涵.
4. 文笔优美, 恰到好处的阐释.
   应该假设读者有一定的背景知识, 避免过于低阶的说明.

## 卡洛·罗韦利 Carlo Rovelli

* [卡洛·罗韦利 Carlo Rovelli](https://book.douban.com/author/1987750/)
  - 最近几年, 这个哥们几乎每年一本书 :)

------------------

* [Helgoland](https://book.douban.com/subject/35265189/)
  - https://book.douban.com/subject/35476832/
  - 等不及翻译了, 京东 (jd.com) 预定了英文版

------------------

* [现实不似你所见: 量子引力之旅](https://book.douban.com/subject/27156306/)
  - 在 2021 年, *五一小长假*期间, 又重新读了一遍
  - 五一出游, 书留在了民宿 `在田间`
  - 颇有缘分的是, 屋内恰好有一本: *人生若只如初见*

* [时间的秩序](https://book.douban.com/subject/33424487/)
  - 在 2021 年, *五一小长假*前后, 又重新读了一遍
  - 赠与 @`Jan Li`, 因为这本书有点**哲学**向
  - [Forget time - Carlo Rovelli (August 2008)](https://arxiv.org/pdf/0903.3832.pdf)

```
作者文笔颇具诗意
极少见到科普文笔如此诗韵
读了几遍之后
更觉诗歌集的影子
好奇, 渴望, 激动, 求知
```

```
量子场绘制了空间, 时间, 物质与光,
在事件之间交换信息.
`实在 (Reality)` 是由独立事件构成的网络,
概率使它们相互关联,
在两个事件之间,
空间, 时间, 物质与能量,
消融在一团概率云中.
```

* 时间的崩塌
  - 广义相对论: 物体会使它周围的时间变慢
  - 物体会自然向时间流逝更慢的地方运动
  - (时间的 **统一性** 消失)
  - 如果观测事物的微观状态, 过去和未来的区别会消失
  - 过去与未来的区别只适用于我们对世界的模糊的观察
  - (时间的 **方向** 消失)
  - 狭义相对论: 时间会被速度延缓
  - 在过去与未来之间, 还存在一个时间段, 既非过去, 亦非未来
  - (时间的 **当下** 终结)
  - 引力场 -> 时空
  - (时间的 **独立性** 消失)

```
运动 相对于什么?

在空间 A 点, 两个钟分开, 然后又回到 A 会合.
运动相对于这个唯一的参照点 A

如果两个种不再会合, 快慢没有意义!
```

* 时间 - 热 熵 - 不可逆性

```
分立性

时钟测量的时间是 "量子化" 的,
意思是说, 它只能取特定值, 不能取其他值,
时间是分立的, 而非连续的.

时间的量子叠加

量子力学的第二个发现是不确定性.
时空是像电子一样的物理客体.
它也会涨落, 也可以处于不同状态的 "叠加" 中.

关联性

"涨落" 并不意味着现象永远不能确定下来,
而是说它只能在特定时刻, 以某种不可预知的方式确定下来.
当量子与其他事物相互作用时, 不确定性就消失了.
```

```
当相互作用使得分子的位置确定之后, 分子的状态就转变了.
分子的速度也同样如此. 如果先确定的是速度, 然后是位置,
即这两个事件的顺序是相反的, 那么分子的状态就会以不同的方式转变.

顺序是有影响的. 如果我先测量电子的位置, 再测量速度,
那么它状态的改变就与先测速度再测位置不同.

这被称为量子变量的 "非对易", 因为位置与速度 "不对易",
意思是说, 它们交换顺序会有影响. 这种非对易是量子力学的典型现象.
非对易确定了顺序, 在确定两个物理量的同时也带来了时间的起源.

确定一个物理量并不是独立的行为, 它需要相互作用.
这些相互作用的效果取决于顺序, 这一顺序正是时间顺序的最初形式.

这些相互作用的效果取决于发生时的顺序, 也许这才是世界时间顺序的源头.
这是科纳提出的有趣的想法: 在基本的量子转换中,
时间的第一个萌芽就在于这些相互作用是(部分)自然有序的.
```

* **熵**
  - **也是相对的**

```
对宇宙的熵而言, 也许同样如此: 也许它并没有处于什么特殊状态;
也许是我们处于一个特殊的物理系统中, 相对于这个系统, 宇宙的状态才很特殊.

但为什么会存在这样一个物理系统, 宇宙最初的状态相对于它会如此特殊呢?
因为在广袤的宇宙中存在着无数物理系统, 彼此相互作用的方式更是数不清.
在这些系统中, 通过无休止的概率游戏以及庞大的数字,
必然会有某些系统在与宇宙其他部分相互作用的过程中,
某些变量在过去刚好呈特殊值.
```

```
同样, 在宇宙无限的种类里, 可能会有一些物理系统,
它们通过一些特殊的变量与世界其他部分相互作用, 定义出初始的低熵.
对这些系统来说, 熵在不停增加. 在那里, 而非其他地方,
存在着与时间流动相关联的典型现象: 生命进化, 思想,
以及我们对时间流逝的感知, 都成为可能.
```

```
而一个小系统 S 无法区分宇宙其余部分的细节, 因为它只与宇宙其余部分的很少一部分变量相互作用.
宇宙相对于 S 的熵, 计量的是 S 无法分辨的宇宙的(微观)状态.
相对于 S, 宇宙显现出高熵状态, 因为(根据定义)有更多的微观状态处于高熵状态,
因而它更有可能刚好是这些微观状态中的一个.

按照上面的解释, 有一种流动与高熵状态相关, 这种流动的参数就是热学时间.
对于一个普通的小系统 S, 在整个热学时间流动的过程中, 熵会一直很高, 当然也许会上下涨落,
因为毕竟我们面对的是概率, 而非不变的法则.

但在这个我们碰巧栖居的极其巨大的宇宙中, 有无数个小系统 S, 其中一些小系统 S 中,
熵的涨落很特殊, 在热学时间流动的其中一端, 熵刚好较低.
对这些系统 S 而言, 涨落不对称, 熵是增加的.
这种增加就是我们体验到的时间流动.
特殊的并不是早期宇宙的状态, 而是我们所属的小系统 S.
```

```
能量 (无论是机械能, 化学能, 电能还是势能) 都会把自己转化为热能, 即热量,
它会传到冷的物体. 但要想把它取回来, 重新用来让植物生长, 或驱动发动机,
这样的免费方式并不存在. 在这个过程中, 能量保持不变, 但熵增加了, 熵无法回转.

这是热力学第二定律要求的.
```

```
让世界运转的不是能源, 而是低熵源.
没有低熵, 能量会稀释成相同的热量,
世界会在热平衡态中睡去 --- 过去与未来不再有分别, 一切都不会发生.
```

* 场
  - 这个极其抽象的概念是最重要的一种思维模式转换

> 无就是无, 无不存在, 就像分母为 0 一样没有意义

* 分立性
  - 除了数学可以连续, 一切皆是分立

```
我们认为物质无法由没有维度的点构成,
因为无论我们把多少点放在一起,
都不会得到有维度的东西.
```

```
高斯提出的描绘曲面的方法,
以及由黎曼推广的描绘三维或更高维空间曲率的方法,
不是要以 "从外面看" 的视角来描绘弯曲的空间,
说明它在外部空间如何弯曲,
而是要从一个在这个空间内部运动的人的视角来描述.
例如, 在普通球体的球面上, 一切沿 "直线" 的运动在走过相同的距离
(赤道的长度)后都会回到起点.
三维球面就是具有同样属性的三维空间.
```

```
如果电子只有在进行相互作用,
与其他物体碰撞时才出现呢?
如果在两次相互作用之间,
电子并没有确定的位置呢?
如果始终具有确定的位置,
是只有足够大的物体才需要满足的条件呢?
```

```
电子不是始终存在,
而是在发生相互作用时才存在,
它们在与其他东西碰撞时才突然出现.
从一个轨道到另一个轨道的量子跃迁实际上是它们真实的存在方式.
电子就是从一个相互作用到另一个相互作用跃迁的集合.
当没有东西扰动它时, 电子不存在于任何地方.
海森堡写出了数学矩阵, 而不是电子的位置和速度.
他把数学矩阵进行乘除运算, 来代表电子可能的相互作用.
```

```
除了那些不变量如质量外,
物体自身没有其他属性.
其位置, 速度, 角动量, 电势等,
只有在碰撞,
与另一个物体相互作用时才具有实在性.
就像海森堡意识到的那样,
不只是位置无法被定义,
在两次相互作用之间,
物体的任何变量都无法被定义.
理论相关性的一面是普遍存在的.
在与另一个物体相互作用的过程中,
物体突然出现,
其物理量 (速度 能量 动量 角动量) 不能取任意值,
狄拉克提出了计算物理量可能取值的一般方法.
这些值与原子发射的光谱相似.
如今, 我们把一个变量可以取的特定值的集合称为这个变量的 "谱"
```

```
这就是狄拉克的量子力学;
它是一种计算物理量取值范围的方法,
也是计算某个值在一次相互作用中出现的概率的方法.
就像这样, 两次相互作用之间发生了什么, 理论并没有提及, 它根本不存在.
我们可以把在某个位置找到电子或任何其他粒子的概率想象成一块弥散的云,
云越厚, 发现粒子的概率就越大.
有时把这种云想象成真实存在会很有用.
例如, 表示环绕原子核的电子云可以告诉我们,
当我们观测时电子更有可能出现在哪儿.
这就是原子里的 "轨道"
```

```
这种云由被称为 "波函数" 的数学对象来描述.
薛定谔写出了描述其时间演化的方程.
量子力学经常被误认为等同于这个方程.
薛定谔希望用 "波" 来解释量子理论的奇异之处:
从海浪到电磁波, 波都是我们充分理解的内容.
即便是今天, 仍然有一些物理学家试图通过把实在看作薛定谔的波来理解量子力学.
但海森堡和狄拉克立刻意识到这是不可行的.
如果把薛定谔的波看作真实的东西就把它看得太重要了,
不能帮助我们理解理论, 反而带来了更多困惑.
除了一些特殊情况之外, 薛定谔的波不在物理空间中, 这剥夺了它所有的直观特征.
但是薛定谔的波是关于实在的糟糕图像的主要原因在于,
当一个粒子与其他东西发生碰撞时, 它总在一个点上, 它不会像波一样在空间中散开.
如果我们把电子设想为波, 那么在解释每次碰撞时这个波如何瞬间集中于一点时就会遇到困难.
薛定谔的波不是一个对实在的有效表示, 它是一种计算的辅助,
允许我们以某种精确度预测电子会在何处再次出现.
电子的本质不是波, 波只是它在相互作用中显现自身的方式

电子与其他构成世界的粒子, 都是场的量子化.
与法拉第和麦克斯韦的场相似的 "量子场",
遵循分立性与量子的概率.
狄拉克写出了电子与其他基本粒子的场的方程,
法拉第引入的场与粒子的明显差别消失了.
与狭义相对论相容的量子理论的一般形式被称为 量子场论.

它构成了今日粒子物理学的基础. 粒子是场的量子化, 正如光子是光的量子化.
所有的场都在相互作用中表现出分立的结构.
在 20 世纪, 基本场的清单不断被修改, 如今我们拥有被称为 "基本粒子的标准模型" 的理论,
在量子场论的语境中, 它几乎可以描述除引力外, 我们可见的一切.
```

```
量子力学并没有描述事物本来如何:
它描述的是事物如何出现和事物之间如何相互作用.
它没有描述哪里会有一个粒子, 而是描述了粒子如何向其他粒子展现自己.
存在的事物被简化为可能的相互作用的范围.
实在成了 相互作用, 实在成了 关联.
```

* 量子力学发现了世界的三个特征

```
分立性
  系统状态的信息是有限的, 由普朗克常数限定
不确定性
  未来并非完全由过去决定, 我们所见的严格的规律性最终是统计学上的
关联性
  自然的事件永远是相互作用.
  系统的全部事件都相对于另一系统而出现.
  量子力学教会我们,
  不要以处在某一状态的 "物体" 的角度来思考世界,
  而应该从 "过程" 的角度来思考.
  过程就是从一次相互作用到另一次相互作用的历程.
  物体的属性只有在相互作用的瞬间才以分立的方式呈现,
  也就是只在这些过程的边缘,
  只在与其他物体发生关联时才出现.
  无法对其做出完全确定的预测, 只能进行概率性的预测.
```

```
测量长度, 面积, 体积实际上是在计算单个元素这一观念,
已经在 19 世纪由黎曼本人提出过.
身为发展了连续弯曲数学空间理论的数学家,
黎曼早就清楚离散的物理空间比连续空间更为合理.
```

```
总结一下, 圈量子引力理论, 或者说圈理论,
以一种相当保守的方式整合了广义相对论与量子力学,
因为它并没有引入这两个理论以外的任何其他假设
```

```
广义相对论告诉我们空间是动态的东西,
就像电磁场:
一个活动的巨大软体动物, 可以弯曲伸展, 我们栖居其中.
量子力学告诉我们每种场都由量子构成,
也就是存在着精细的分立结构.
因此物理空间作为一种场, 也由量子构成.
表示其他量子场特征的分立结构也表示量子引力场的特征,
因此也表示空间的特征.
我们预言会有引力的量子, 正如存在光量子, 电磁场的量子, 以及量子场的量子.
但空间是引力场, 引力场的量子就是空间的量子: 空间的分立成分.

圈量子引力的核心预言是空间不是连续体, 不是无限可分的,
它由 "空间原子" 组成, 比最小的原子核的十亿分之十亿分之一还要小.
圈量子引力以精确的数学形式来描述这一空间的原子与分立量子结构.
通过把狄拉克量子力学的一般方程应用到爱因斯坦引力场可以得到这个结果.
圈理论特别强调体积 (比如给定立方体的体积) 不能任意小, 存在一个最小的体积,
比这个最小体积还小的空间不存在.
存在一个最小体积的量子, 即最基本的空间原子.
```

* 自旋网络
  - 物理学中半整数被称为 **自旋**
  - 因为它们出现在自旋物体的量子力学中

```
空间实际上也不是由单个的自旋网络形成,
而是由覆盖所有可能的自旋网络范围的概率云构成.

在某种意义上, 空间不再存在于基础理论之中;
引力场的量子不在空间之中. 同样, 时间也不再存在于基础理论之中,
引力的量子不在时间之内演化,
时间只计算它们的相互作用.
就如 惠勒-德维特方程 所证明的, 基本方程中不再含有时间变量.
时间像空间一样, 是在量子引力场中出现的.
这一点在经典广义相对论里也是部分正确的,
其中时间已经作为引力场的一个方面出现.
但只要我们忽略量子理论, 就仍然可以用传统的方式来思考时空.
一旦我们把量子力学考虑进来,
就会意识到时间也具有任何实在所共有的那些面向:
如概率的不确定性, 分立性和关联性.
```

```
空间是个自旋网络, 它的节点代表基本微粒,
连线描述其相邻关系.
时空在这些自旋网络相互转化的过程中产生,
这些过程由对自旋泡沫求和来描述.
自旋泡沫表示自旋网络的历史.
```

```
进入黑洞的东西无法再出来, 至少如果我们忽略量子理论的话会如此.
黑洞的表面就像是现在:
只能从一个方向穿过, 无法从未来返回.
对黑洞而言, 过去在外面, 未来在里面.
从外面看来, 黑洞就像个球体, 可以进去, 但没有东西可以从里面出来.
一艘火箭可以停留在离这个球体固定距离的地方,
这个距离被称作黑洞的 "视界".
要做到这一点需要让火箭的发动机不停地剧烈燃烧, 抵消黑洞的万有引力.
黑洞的巨大引力意味着对火箭而言时间会变慢.
如果火箭在离视界足够近的地方停留一小时, 然后飞走, 它会发现外面在此期间已经过了几个世纪.
```

```
使用圈理论就可以理解霍金所预言的黑洞的奇怪热量:
热量是单个空间原子微小振动的结果.
它们会振动因为在量子力学的世界中一切都在振动, 没有东西保持静止.
量子力学的核心就是物体不可能始终完全静止在一个位置.
黑洞的热量与圈量子引力中空间原子的振动直接相关.
黑洞视界的准确位置只由这些引力场的微小振动决定.
因此在某种意义上, 视界会像热物体一样振动.
```

```
量子力学的整个形式结构很大程度上可以表述为:

1. 任何物理系统中的相关信息是有限的
2. 你永远能够得到一个物理系统的新信息

"相关信息" 是我们拥有的关于一个给定系统的信息,
由我们过去与之发生的相互作用得来:
信息允许我们预测与这个系统未来相互作用的结果.

第一条基本原理表示了量子力学的分立性特征:
只存在数量有限的可能性.

第二条表示了其不确定性特征:
总是存在一些无法预测的事, 让我们能得到新的信息.

当我们得到关于某一系统新的信息时,
相关信息的总量不能无限增加 (由于第一条基本原理),
之前信息的一部分变得不相关了,
也就是说, 它对预测未来不再有任何作用.
在量子力学中, 当我们与一个系统相互作用时,
我们不仅是了解到一些内容, 也 "删去" 了关于系统的一部分相关信息.
```

```
量子力学的整个形式结构很大程度上遵循这两条简单的基本原理.
因此, 理论使自己得以用信息来表达, 这相当惊人.
第一个意识到信息的概念对理解量子实在极其重要的人是
约翰·惠勒,
量子引力之父.

惠勒创造了 "万物源于比特" 的说法来表达这一点,
表示 "一切都是信息"
于是, 信息又出现在量子引力的语境里.
回忆一下: 任何表面的面积都是由与这个表面相交的圈的自旋决定的.
这些自旋是离散量, 每一个都对面积起作用.
```

```
我们始终在与平均值发生关联, 平均值的运作就是损耗热量, 并且从中产生时间
```

```
我们需要的正是可靠性,
而非确定性.
我们没有绝对的确定性,
并且也永远不会有,
除非我们接受盲目的信仰.
```

```
一个没有无穷的世界,
其中无穷小不存在,
因为这片浩瀚有个最小尺度,
在它之下空无一物.
空间量子与时空泡沫混合,
事物的结构诞生于交互信息,
编织成世界不同区域间的关联.
一个我们能用一组方程来描述的世界.
也许,
还要进行修正.
```
