---
title: 新物理狂想曲 & 第三次沉思
description: Fashion, Faith, and Fantasy in the New Physics of the Universe
date: 2021-12-21
---

* [新物理狂想曲](https://book.douban.com/subject/35412910/)
  - **罗杰•彭罗斯**
  - 原作名: *Fashion, Faith, and Fantasy in the New Physics of the Universe*

## 时尚

* 根据相对论的基本原理, `小距离`本质上等于`小时间` (通过**光速**)
* 而根据量子力学原理, `小时间`本质上等于`大能量` (通过**普朗克常数**)

* 然而, 叠加原理告诉我们,
  不要考虑这种单费曼图表示的粒子碰撞过程是如何发生的,
  因为有很多可能性,
  而实际的物理过程是由众多不同费曼图的某个复杂的线性组合表示的.

* 然而我们必须记住, 费曼图中的联络编排并没包含所有信息.
  我们还需要知道所有粒子的能量和动量.

* 我们可以认为问题的根源在于把物质实体看做粒子组成的,
  且认为基本粒子在空间占据单个的点. 当然,
  我们也许可以认为裸粒子的点特征只是一种非实在的近似,
  可是当我们将这种基本实体看做某种有着空间延展分布的东西时,
  又会生出另一个反问题:
  - 像那样延展的东西, 假如不必想象为由什么更小的东西组成的,
    那又该如何描述呢?
  - 而且, 像这样的模型, 假如要求散开的实体像统一的整体那么活动,
    则总会存在一些微妙的与相对论矛盾的问题
    (因为在相对论中信息传播速度是有限的).

* 弦论对这个难题建议了另类的回答. 它提出,
  物质的基本成分既非`0`维空间延展的类点粒子,
  也非`3`维空间的弥散分布, 而是像`1`维的曲线.
* 这个想法看起来有点儿奇怪, 但我们还是要记住,
  从时空的`4`维观点看, 即使在经典理论中,
  我们也不把点粒子简单地描述成一个点,
  因为它是在时间中持续的 (空间) 点,
  所以它的时空描述其实是`1`维流形, 叫粒子的世界线.
* 相应地, 我们应该把弦论的曲线想象为时空的`2`维流形或曲面,
  叫弦的世界面.

* 这些 (双) 锥代表了"时间"度量为零的时空方向.
  - 这个特征的出现是因为时空几何严格说来是`伪黎曼`的, 而不是黎曼的.
  - 我们常说这种特殊的伪黎曼几何是洛伦兹的, 其时空结构只有一个时间维和
    `(n-1)` 个空间维, 而且在时空流形的每个点都有这样的双零锥.
  - 零锥呈现了时空结构的最重要特征, 告诉我们信息传播的极限.

* 根据相对论, 假如时钟以光速运动, 那它就不会记录任何时间信息!
  - 这样, 无质量粒子世界线上任意两个事件 `P`, `Q`
    之间的世界线 (沿曲线测量) 的"长度"总是零, 而不论那两个事件分离多远.
  - 我们称如此世界线为**零线**.
  - 有些零线是测地线, 自由光子的世界线就是零测地线.

* 相对论约束质量粒子不能超过光速, 这个要求可明确表述为如下事实:
  - 质量粒子的世界线的切空间都处于相应事件的零锥之内.
  - 像这样的切方向完全处于零锥内的光滑曲线, 叫类时的.
  - 于是, 质量粒子的世界线实际上是类时曲线.

* 一定程度上, 弦论家中间好像流行一种观点, 认为清楚地认识什么是时空维度,
  是至关重要的. 在一定意义上, 维度可以假定为一种能量效应,
  那么随能量的增大, 系统有可能接近更多的空间维.
* 于是可以认为, 存在隐藏的维度, 能量越高, 显露的维度越多.
  - 这幅图景的模糊不清令我有些许困惑,
    特别是关于理论内在的函数自由度问题方面.

---

* 什么是**超对称**呢? 为了解释这个概念, 我们要回到关于物理学基本粒子的讨论.
* 回想一下, 存在不同的有质量粒子族, 如轻子和强子;
  还有其他粒子, 如无质量的光子.
* 其实还有更基本的粒子分类, 只分两类, 比前面遇到的分类便捷多了.
  如前所说的, 粒子被简单分为费米子和玻色子.

* 表示费米子与玻色子区别的一种方法是, 认为费米子更像我们从经典物理认识的粒子,
  - 电子, 质子, 中子等
* 而玻色子像粒子间的力的携带者.
  - 光子是电磁力的携带者, `W` 和 `Z` 玻色子是弱相互作用的携带者,
    而所谓胶子则是强相互作用的携带者
* 然而这并非泾渭分明的区别, 特别因为还存在类似粒子一样的 `π` 子,
  `K` 子和其他玻色子.
* 而且, 有些类粒子原子可以很好地近似认为是玻色子,
  其组成部分在很多方面都像单个粒子.
* 玻色子与费米子没那么大的区别, 两者都像经典粒子.

* 迄今我们所考虑的客体都可以作为单粒子, 费米子与玻色子之所以显现区别,
  是因为所谓的**泡利不相容**原理, 它**只适用于费米子**,
  告诉我们两个费米子不可能同时处于相同状态, 而两个玻色子可以.
* 大致说来, 泡利原理断言两个全同费米子不可能一直相互重叠,
  它们仿佛心有灵犀, 靠得太近时就会相互推开.
* 另一方面, 玻色子对与它同类的粒子有着某种亲和力,
  能一直重叠在一起.
  - 如著名的玻色-爱因斯坦凝聚态就是多个玻色子聚在一起的状态

* 然而很多物理学家相信, 应该存在一种新的对称性, 将玻色子族和费米子族相互转换,
  犹如那些将轻子相互联系起来从而生成弱相互作用规范理论的对称性,
  或者那些联系不同夸克从而生成强相互作用规范理论的对称性.
* 因为两族粒子遵从的不同统计, 这种新对称性不可能是普通对称性.
  相应地, 不同物理学家将寻常类型对称性推广为一种新对称性, 叫超对称性,
  它将玻色子的对称态转换为费米子的反对称态, 反之亦然.

## 信仰

* 我们就来看看引导普朗克的初始环境是怎样的. 普朗克关心的问题是,
  限在一个非反射空腔里的物质和电磁辐射与加热的空腔物质处于平衡并保持在一定的温度.
* 他发现物质对电磁辐射的发射与吸收是以离散能量束的形式发生的, 满足如下著名公式
  - `E = hv`
  - 这里 `E` 是刚才说的能量束, `v` 为辐射频率, `h` 为自然基本常量, 现在叫普朗克常量.
* 后来人们意识到, 普朗克的公式提供了根据量子力学原理普遍存在的能量与频率的联系.
* 普朗克尝试解释过实验观测的辐射强度与频率的函数关系.
* 这个关系被称为黑体谱.
  - 它来自辐射与物质相互作用共同达到平衡的状态.

* 实际上, 在黑体辐射的平衡性与假定的物质实体的粒子性中隐含着一个非常基本的理由,
  意味着电磁辐射 (即光) 也必须具有粒子性, 这源于一个叫能量均分的原理.
  这个原理断言, 当有限系统趋于平衡时, 在平均水平上能量最终是均等分布在所有自由度的.

* 为尝试这种类型的概率波解释, 人们有时让概率在某些地方成为负的, 这样就可以相互抵消了.
  然而, 量子论并不是这样操作的. 它其实走得更远, 允许波幅为**复数**!
  - 这些复数对整个量子力学结构都是至关重要的. 它们确实与概率有密切联系,
  - 但它们不是概率 (当然不可能是, 因为概率是实数).
  - 但我们很快会看到, 复数在量子形式里的角色远不仅仅是一个概率.

* 我们再次看到单个的波粒子实体可以由两个分离的部分构成,
  它们在走到一起时产生干涉效应. 于是, 对每个这样的波粒子来说,
  并不需要是定域的物体, 它仍然能像一个和谐的整体一样活动.
  不管它的组成部分分离多远, 也不管有多少分离的部分,
  它都一贯地像单个的量子那样活动.

* 关键的数学性质是, 这些波粒子像电磁波一样, 可以两个态加在一起,
  而且波粒子之和的演化等于其演化之和 -- 这是线性一词的特征化表现.
  这个求和的概念就是我前面所说的量子的叠加.
* 当我们有一个由两个分离部分构成的波粒子时, 整个波粒子就是那两个部分的叠加.
  每个部分自身都像一个波粒子, 而整个波粒子却是两个部分之和.
* 而且, 我们还能以不同的方式叠加两个这样的波粒子, 取决于它们之间的相位关系.
* 于是, 如果 `α` 代表这些波粒实体中的一个态, `β` 代表另一个,
  则我们可以构造 `α` 和 `β` 的不同的组合, 形如
  - `wα + zβ`
  - 其中权重因子 `w` 和 `z` 为复数,
    我们称之为分别赋予两个可能态 `α` 和 `β` 的复振幅.
* 我们的法则是, 假定振幅 `z` 和 `w` 不都是零,
  则这个组合给出了波粒子的另一个可能状态. 实际上, 在任何量子情形,
  这样的量子态族将构成一个复矢量空间.
* 我们要求权重因子 `w` 和 `z` 为复数
  (而不是像仅考虑概率权重时那样要求非负实数),
  这样才好表示两个分量 `α` 和 `β` 间的相位关系,
  那是分量间产生干涉效应的基础.

* 这是因为并非所有形如 `wα + zβ` 的组合都被认为有物理的区别,
  组合的物理特征实际上只依赖于振幅比 `w:z`.
* 其原因在于任意量子系统 (而不仅仅是波粒实体) 的数学描述
  (态矢, 如 `α`) 的一般原理.
* 那个原理说, 若系统的态矢乘以任意非零复数,
  则系统的量子态在物理上不会发生变化, 所以, 对任意非零复数 `u`,
  态矢 `uα` 与 `α` 代表着同一个波粒子态.
  相应地, 这也适用于我们的组合 `wα + zβ`.

---

* 但薛定谔方程的演化适用于完全一般的量子系统,
  无论同时涉及多少粒子.

* 我不说 `纠缠` 是量子力学的一个特征, 而说是其**真正**特征,
  正是它迫使量子力学整个地与思想的经典路线分道扬镳了.

* 粒子对的这种纠缠态无疑是十分怪异和陌生的, 但这只是开头.
  我们已经看到, 这种纠缠特征是以量子线性叠加原理的面目表现出来的.
* 但这个原理的领地远非仅用于粒子对. 用于三粒子时, 我们可以得到纠缠三重态;
  我们还可以得到相互纠缠的四粒子组, 或任意数目的粒子.
  - 量子叠加的粒子是没有数量极限的.

* 单个粒子 -- 指粒子波函数 -- 的量子描述大约类似一个经典场,
  每个空间点有一定数量的独立分量, (像电磁场那样)
  遵从场方程确定性地向未来演化.
* 波函数的场方程其实就是薛定谔方程. 一个波函数有多少函数自由度呢?

* 更直接说明 `QFT` 蕴意的物理方法是将场视为无限多粒子
  (即场量子, 在电磁场的情形即光子) 组成的系统.
* 总振幅 (即全波函数) 是不同部分 -- 每部分有不同数量的粒子
  (即场量子) -- 之和 (量子叠加).

* 爱因斯坦论证, 当量子力学以一定的确定性蕴含某个可测结果时,
  必须有"实在性元素"的出现:
  - 在一个完备的理论中, 每个实在性元素都有对应的元素.
  - 一个物理量的实在性的充分条件是有可能确定地预言它,
    而不会干扰系统 ... 假如不以任何方式扰动系统,
    我们可以确定 (即概率为 `1`) 地预言物理量的值,
    则存在对应于那个物理量的物理实在性元素.

* 但量子纠缠完全不同. 当 `A` 和 `B` 保持量子纠缠时, 它们不是独立的;
  不过它们也不能通过这种纠缠的相互`"依赖"`来向对方发送实际的信息.
* 正因为不能通过纠缠相互发送信息,
  我们才能认为纠缠`"瞬间"`传输却不违背相对论的原则
  (它禁止信息的超光速传输).
* 实际上, 我们并不真的认为纠缠传输是`"瞬间的"`; 它其实是`"无时间的"`,
  因为不管认为传输是从 `A` 到 `B` 还是从 `B` 到 `A`, 都没有区别.
* 这只是对 `A` 和 `B` 在独立测量之下的组合行为的一种限制.
  - `"纠缠传输"`有时叫量子信息.

* 起初, 密度矩阵被解释为不同的`"真实"`环境状态的概率混合.
  然后, 在密度矩阵本身被赋予`"实在性"`之后, 就是本体转移.
* 这允许我们在不同本体论解释中自由转换 (通过希尔伯特空间基的旋转),
  其中相同密度矩阵, 经由第三个本体立场,
  现在被认为描述了不同可能测量结果的一个概率混合.
* 通常给出的这些描述多聚焦在数学, 不大关心不同描述在本体论地位的一致性.
  在我看来, 这幅环境脱散密度矩阵图景里有着真正重要的东西,
  因为在数学上确实发现了在这方面值得注意的东西.

* 在量子力学中, 静止态其实是能量精确定义的态,
  因此根据海森伯的时间-能量不确定性,
  态必然以完全均匀的方式在时间上分散
  - 这实际上就是其静止性的表述.

## 想象

* 尽管时间对称存在于所有相关的亚微观作用中,
  物理学家描述这种宏观时间对称的方法却是通过熵的概念.
  - 粗略地说, 熵是系统呈现无序的度量.
* 第二定律大致断言, 在所有宏观物理过程中, 系统的熵随时间而增大
  - 或至少不会减小, 只有偶尔出现的对这个总趋势的微小涨落.
* 于是, 第二定律似乎只是陈述了一个我们熟悉且令人失望的事实:
  - 如果任其自然, 则事物随时间流逝会变得越来越无序.

* 在所有可能时空几何和物质分布的总体中, 我们的大爆炸都是特殊的,
  但在更准确地度量它有多特殊之前, 我们需要面对一种特别的可能,
  即很多有无限空间几何的模型都具有无限大的总熵, 这就把问题搅乱了.
  - 不过, 假如我们不考虑宇宙总熵, 而是考虑诸如每个随动体积的熵,
    则上面所述论证的要旨不会受到严重影响.

## 宇宙的新物理学?

* 在一定意义上, 扭量理论将复数的量子力学角色与
  相对论角色通过它们在黎曼球面的作用而结合在一起了.
* 于是, 我们可以来看复数的魔术是如何为统一小东西的量子世界与
  大东西的时空物理的相对论原理提供联系的.

* 于是, 我们为自由运动的无质量粒子找到了一个真正恰当的物理结构,
  比仅仅是光线更多意义, 因为这个解释既包含了零扭量, 也包含了非零扭量.
* 我们发现扭量确实为无质量粒子正确定义了能量-动量和角动量,
  还容纳了它沿运动方向的自旋.
* 然而, 这实际上给出了无质量粒子在具有非零内禀自旋时的非定域描述,
  从而在这个情形下它的光线世界线就只能是近似定义的.

* 尽管扭量理论的特殊代数描述不同于传统, 我刚才的解释并没有非传统的东西.
  至少在这个阶段, 扭量理论只是提供了一个独特的形式.
  它没有带入任何关于物理世界的新假定 (不像弦论).
* 不过它确实带来了对事物的不同观点,
  提醒我们或许时空概念可以有用地认为是物理世界的次生性质,
  扭量空间的几何则更为基本.
* 还必须指出, 扭量理论的框架当然还未能达到任何令人欣喜的地步,
  它当下在非常高能粒子的散射理论的应用,
  还完全依赖于静止质量可以忽略的过程的扭量形式描述.

* 流形对现代物理学有着根本的重要性.
  这部分是因为爱因斯坦的广义相对论以弯曲时空流形描述引力.
* 但更重要的是, 很多其他物理概念也最好用流形来理解,
  如构形空间和相空间.
  - 这些都常常具有很大的维数, 有时还有复杂的拓扑.

* 那么`"光滑 n 维空间"`是什么意思呢?
  - 考虑空间任意点 `P`.
  - 假如空间在点 `P` 光滑, 则我们可以想象在图中将点 `P` 的邻域不断地放大,
    远远向 `P` 外延伸, 但保持 `P` 在中心位置.
  - 如果空间在 `P` 是光滑的, 则其延展极限犹如一个平直的 `n` 维空间.

* 说得更技术些, 紧致流形具有这样的性质:
  - 它的任意无限点序列都有一个极限点, 这意味着对流形内的点 `P`,
    包含 `P` 的每个开集也包含这个序列的无限多个点.

------------------

* [第三次沉思](https://book.douban.com/subject/35565576/)

* 收录在**第三次沉思**里的物理方面的文章也不例外,
  虽是科普, 却可以从中读到一些在其他科普读物,
  乃至某些专著或教材中都读不到的有关现代物理的精辟概述.
* 比如, 与量子力学及相对论相容的任何理论在足够低的能量下都将类似于量子场论;
  偶然对称性发源于这样一个事实, 即基本粒子的公认理论倾向于取特别简单的形式,
  被称为`"可重整"`理论; 使理论不可重整的相互作用尽管很可能被高度抑制,
  却并非不可能; 标准模型只是一个有效场论; 等等.
* 对有志于物理或试图理解现代物理的读者来说, 这些概述的信息量是非常大的,
  哪怕不足以醍醐灌顶, 也起码是未来学习的向导.
  - `-- 卢昌海`

---

* 相比之下, 亚里士多德的运动理论之所以在中世纪后仍然流传,
  是因为它从未被实际应用过, 也就未被揭示出它存在多么大的错误.

* 关于怎样超越标准模型, 有很多的好主意,
  包括超对称和曾被称为弦理论的理论,
  但是目前还没有实验数据能证实其中任何一个.

* 让某物看起来不变的所有视角变换的集合又被叫作它的不变群.
  描述立方体的话, 这样的语言似乎过于时髦了, 但是在物理学中,
  当我们对某事物一无所知, 只想到它可能具有某种对称性时,
  我们常常对其不变群进行猜测, 并且在实验中进行检验.

* 两组天文学家使用爆炸恒星的视亮度来测量遥远星系的距离,
  结果都发现宇宙的膨胀根本不是在变慢, 而是在加快.
* 在广义相对论的规则下, 只能用一种能量解释这一现象,
  这种能量并不包含在任何暗或者不暗的粒子中,
  而是空间本身内生的一种"暗能量",
  它产生出一种反重力, 使星系彼此远离.

* 这一理论是量子电动力学, 它是一大类理论中的一种特殊情况,
  这一大类理论被称为量子场论. 也就是说, 出现在基本方程中的量是场,
  场充满空间, 就像水充满水池一样.
  - 基本粒子是次要的, 是场中的"量子",
    即场的能量与动量的束, 就像水中的漩涡.
  - 光子是光的无质量的粒子, 是电磁场的量子.
  - 电子则是电场的量子.

* 到`20`世纪`70`年代早期, 正确的理论被发现了. 就像成功的电弱理论一样,
  它也类似于量子电动力学, 只是用一个被称为颜色的物理量代替电荷.
* 在这一被称为量子色动力学的理论中,
  夸克之间的强核力是通过交换被称为胶子的类似光子的`8`种粒子产生的.
* 量子色动力学解释了一个实验结果 -- 当在精细的距离尺度上研究夸克的时候,
  比如夸克被高能电子撞击时, 它们之间的强相互作用似乎变弱了.
  这种变弱现象使我们有可能像在电弱理论中一样做一些近似计算,
  并且结果与实验相符, 证实了该理论.

* 基本粒子物理学和宇宙学的问题日渐融合. 一个经典的宇宙学问题是:
  - 为什么宇宙是几乎均匀的呢?
* 宇宙变透明至今的`138`亿年里,
  任何物理影响都来不及将我们看到的相反方向上的宇宙联系起来,
  也来不及将宇宙变成我们观测到的在各个方向上的密度和温度都是均匀的.

* 暴胀天然就是混乱的. 膨胀的宇宙中形成了很多泡泡,
  每一个都变成了一个大或者小的爆炸,
  我们称为自然常数的那些数值可能在每一个泡泡里都有所不同.
  一个泡泡的居民 (如果有的话) 不能观测到其他的泡泡, 所以对他们来说,
  他们的泡泡看起来就是整个宇宙.
  - 所有这些宇宙加起来就是所谓的多重宇宙.

* 到目前为止, 对我们观测到的暗能量的数值来说, 人择原理的推测似乎是唯一的解释.
  在标准模型和其他所有已知的量子场论中, 暗能量只是一个自然常数. 它可能取任何值.

* 怎么判断这些粒子是基本的还是复合的呢? 这一问题一经提出,
  过去的答案 -- 如果不能从这种粒子中敲出任何东西,
  它就是基本的 -- 就很明显已经不适用了.
* 质子与质子相互碰撞时会产生 `π` 介子, 而
  `π` 介子在足够高的能量下相互碰撞时会产生质子和反质子,
  所以谁是谁的复合物?

* 我们开始理解, 任何粒子不论基本与否, 当能量足够低的时候,
  都可以通过被称为有效量子场论的理论来描述.

* 自然法则的对称性是指, 当我们以特定方式改变视角的时候, 这些法则保持不变.
  `20`世纪物理学的很大一部分就致力于发现这些对称性. 最开始是`1905`年,
  爱因斯坦在狭义相对论中宣称, 当我们将视角转移到一个移动的实验室中去观察自然的时候,
  一切物理定律都保持不变, 包括决定了光速的物理定律.
* 但是自然法则的对称性并不局限于改变看待时空的方式, 像狭义相对论里那样.
  当我们将方程中各种类型的粒子替换成其他类型时, 自然法则可能也是不变的.
  - 比如, 组成原子核的两种类型的粒子 -- 质子和中子.
  - `20`世纪`30`年代, 人们发现, 用中子取代质子之后,
    关于让原子核保持在一起的强核力的定律形式不变.
  - 甚至是将质子 (和中子) 替换成两者的混合物,
    比如 `30%` 的质子 (或中子) 加 `70%` 的中子 (或质子), 定律仍不变.

* `20`世纪`60`年代早期, 一个新的想法出现了, 它说明自然界可能遵循更多的对称性,
  比人们之前以为的更多. 理论物理学家们为此欢欣鼓舞.
* 这一新想法是, 将自然法则用数学方程式表达后, 方程本身可能具有一些对称性,
  而方程的解并不具有对称性, 因此解所代表的物理现象也不遵循这些对称性.
  - 这种情况下, 我们就说对称性是破缺的 -- 它们可能是自然法则的确切性质,
    但是在物理现象中并不明显.

* 他们指出, 有一种特定类型的对称性, 即局域对称性,
  是戈德斯通等人的定律不适用的. 对这类对称性来说,
  从时空中一点到另一点, 保持自然法则不变的变换方式会有所不同.
  - 要让方程在这种变换下保持不变,
    非破缺的局域对称性理论中必须包含质量为零,
    自旋等于普朗克常数的粒子.
  - 光的粒子 -- 光子, 就是这种有自旋的无质量粒子.
* 早在`10`年前,
  杨振宁和罗伯特·米尔斯已经描述了一大类可能存在的强相互作用的新的局域对称性,
  但是尚未在实际物理理论中找到任何应用.
  - 三组科学家的发现表明, 当局域对称性破缺时,
    戈德斯通等人发现的无质量粒子不会成为物理粒子,
    而是会将质量给予原本有自旋无质量的杨-米尔斯粒子.

* 我们有一个关于基本粒子及其相互作用力的理论, 被称为标准模型,
  它已经得到了充分的检验.
  - 标准模型的核心特征之一是两种力之间的对称性:
  - 一种是电磁力, 另一种是人们不那么熟悉的弱核力.
* 这一对称性意味着在此理论的方程中,
  这两种作用力的粒子进入方程的形式基本相同.
  - 将带有电磁力的光的粒子, 即光子,
    换成带有弱核力的 `W` 粒子和 `Z` 粒子的组合, 方程是不变的.
* 如果没有外力打破这一对称性, `W` 粒子和 `Z` 粒子就会像光子一样没有质量.
  实际上, 由于一些在这里不能细讲的原因, 其他所有的基本粒子都会是无质量的.
  - 当然, 大部分基本粒子都不是.

* 但是究竟是什么打破了电弱对称性, 从而让基本粒子获得了质量呢?
  - 萨拉姆和我认为"罪魁祸首"是空间中无处不在的所谓标量场.
* 这就像磁铁中发生的一样 -- 尽管描述铁原子的方程不会将空间中的一个方向与其他方向区别开,
  但原子产生的任何磁场都会有一个指向.
* 标准模型中导致对称破缺的场在空间中并不区别特殊方向 -- 这就是所谓的"标量".
* 相反, 它们将弱力与电磁力区别开, 并且给了基本粒子质量.
  - 就像铁冷却并硬化后产生磁场一样, 在宇宙早期扩张和冷却时,
    这些永不消失的标量场出现了.

* 更糟的是, 我们知道海的波浪是水波, 电子的波却不是带电物质的波,
  而是像马克斯·波恩意识到的那样, 是概率的波.

* 量子力学中有一条定律, 被称为波恩定则,
  告诉我们如何使用波函数计算实验中各种可能结果的概率.
  - 比如, 波恩定则告诉我们, 测量绕某个方向的自旋时,
    得到一个正或负的结果的概率正比于波函数中对应这两个自旋状态的数字的平方.

* 将概率引入物理定律令过去的物理学家们不安,
  但是量子力学的麻烦并不是它涉及概率. 我们可以忍受这一点.
* 麻烦是, 量子力学中波函数随时间变化的方式是受薛定谔方程支配的,
  而薛定谔方程并不涉及概率.
