---
title: 量子信息简话
description: 把吴钩看了, 栏杆拍遍, 无人会, 登临意.
date: 2021-11-19
---

* [量子信息简话](https://book.douban.com/subject/35654033/)
  - 副标题: 给所有人的新科技革命读本
  - 支持一下中国科普
  - 在抖音上买的~
  - 地铁上, 我翻看此书, 有人问我书名 :)

* 那么量子究竟是什么? 量子 (quantum) 的定义是这样的:
  - 一个事物如果存在最小的不可分割的基本单元,
    我们就说它是`"量子化"` (quantized) 的,
    并把最小单元称为"量子".
* 用专业语言来说, 量子就是"离散变化的最小单元".
  什么叫"离散变化"? 就是不连续的, 跳跃性的变化.

* 布洛赫球的描述是:
  - 一个比特对应一个球面上的两点, 即南北两极,
  - 而一个量子比特对应一个球面上的所有点.
    之所以一个旋钮会扩展成一个球,
    是因为量子力学中会用到复数.

---

* 为了方便地表述这些内容, 我们引进一种数学符号来表示量子力学中的状态.
  这个符号是这个样子:
  一个尖括号
  $$ | \rangle $$,
  一头竖直一头尖.
  在这个尖括号中填一些字符, 就可以表示状态的特征.
  - 比如, 我们经常把 `0°` 的状态写成
    $$ | 0 \rangle $$,
    把 `90°` 的状态写成
    $$ | 1 \rangle $$,
    把 `±45°` 的状态分别写成
    $$ | + \rangle $$
    和
    $$ | - \rangle $$.
* 在偏振光的例子中, 如果用
  $$ | 0 \rangle $$
  和
  $$ | 1 \rangle $$
  作为基组, 那么
  $$ | + \rangle $$
  和
  $$ | - \rangle $$
  就是它们的叠加态.
* 对于
  $$ | + \rangle $$
  来说,
  - `a = b = 1/√2`
* 对
  $$ | - \rangle $$
  来说,
  - `a = 1/√2`, `b = -1/√2`
* $$ | + \rangle = \frac{| 0 \rangle + | 1 \rangle}{\sqrt{2}} $$
* $$ | - \rangle = \frac{| 0 \rangle - | 1 \rangle}{\sqrt{2}} $$
* 之所以会在分母中出现 `√2`, 是因为我们要保持矢量的长度为 `1`.
  把两个长度为 `1` 互相垂直的矢量相加,
  得到的结果是一个位于它们平分线方向的矢量, 长度为 `√2`.
  为了让它的长度回到 `1`, 我们需要除掉这个 `√2`.
* 同样地, 我们也很容易用
  $$ | + \rangle $$
  和
  $$ | - \rangle $$
  的线性叠加来表示
  $$ | 0 \rangle $$
  和
  $$ | 1 \rangle $$:
* $$ | 0 \rangle = \frac{| + \rangle + | - \rangle}{\sqrt{2}} $$
* $$ | 1 \rangle = \frac{| + \rangle - | - \rangle}{\sqrt{2}} $$
* 充分理解偏振光这个例子后, 我们就可以描述普遍的情况了.
* 在量子力学中有一条基本原理, 叫作`叠加原理`
  (superposition principle):
  - 如果两个状态是一个体系允许出现的状态,
    那么它们的任意线性叠加也是这个体系允许出现的状态.
* 例如, 我们已经知道, 水平偏振和垂直偏振是偏振光允许出现的两个状态.
  这个原理告诉我们, 水平偏振和垂直偏振的任意线性叠加,
  即任意方向的偏振, 也是允许出现的状态.
* 用精确的数学语言来表达, 叠加原理说的就是:
  如果一个体系能够处于
  $$ | 0 \rangle $$
  和
  $$ | 1 \rangle $$,
  那么它也能处于任何一个
  $$ a | 0 \rangle + b | 1 \rangle $$,
  这样的状态称为叠加态 (superposition state).
  - 这里的 `a` 和 `b` 是两个数, 它们可以取任何值.
    对它们唯一的限制, 就是它们绝对值的平方和等于 `1`,
    即 $$ |a|^2 + |b|^2 = 1 $$,
    这是为了保持矢量的长度不变.

---

* 你也许想问: 测量时为什么会突变? 对不起, 我们不知道.
* 目前我们只能确认, 这条原理是正确的,
  因为由它推出的可观测结果都跟实验符合.
  但为什么会这样, 这背后有没有更深刻的原因, 当前的科学还没有答案.
* 更具体地说, 对突变的定量描述是这样的:
  如果在 `|0>` 和 `|1>` 的基组中测量
  $$ a | 0 \rangle + b | 1 \rangle $$,
  那么这个态会以
  $$ |a|^2 $$
  的概率变成 `|0>`, 以
  $$ |b|^2 $$
  的概率变成 `|1>`.

---

* 当然, 这只是体现出来的现象, 还并不是时间和空间的本质区别.
  要了解时间, 空间区别的本质, 就要使用更多的数学工具,
  这里我们就不展开介绍了. 简单来说, 即
  - 时间本质上相当于 `i` 空间, `i` 是虚数单位,
  - 也就是说, 从很多意义上来讲, 时间和空间差一个虚数单位.

* 在一定程度上讲, 经典黑洞是世界当中`最简单`的物体.
  - 为什么这么讲? 先想一想, 为什么地球基本上是圆的呢?
    我们在地球上立一面旗, 它是会倒的. 为什么会倒?
    因为有重力势能, 旗倒下, 重力势能更低一点,
    所以地球更容易变成圆的.
  - 而在黑洞的情况下, 重力势能已经是无穷大了,
    黑洞也就变得无穷圆. 即黑洞基本上就是一个几何上的球形,
    去标志黑洞只能用它的质量参数.
  - 当然了, 这里我们讲的是最简单的一种黑洞, 没有旋转.
    这样的黑洞. 它是球形. 有了旋转之后,
    我们要提供一个向心加速度, 这样, 黑洞可以变成一个椭球形,
    但也是一个完美的椭球形.
  - 黑洞也有可能是带电的, 黑洞带电的多少可以表征这个黑洞.
    所以, 经典的黑洞只能用 `3` 个量来表征:
    质量, 角动量和电荷. 数学上可以证明,
    你没有办法从经典角度上再给黑洞加任何参数了.

* 比如, 水平偏振光过水平方向的偏振片会完全通过.
  水平偏振光过垂直方向的偏振片, 会完全被挡住.
* `45˚` 偏振光过水平方向的偏振片, 会有一半的概率通过一半的概率通不过.
* 水平偏振光过 `45˚` 方向的偏振片也会有一半的概率通过,
  一半的概率通不过.
* 需要注意, 在后面这两个例子中, 一个光子过了就是过了,
  没过就是没过, 不会有"半个光子"过去.
* 我们在前面说过, 光子是量子, 只能有一个光子,
  两个光子, 不能有半个光子.
* 而这个光子一旦过去, 就变成了偏振片的方向, 而不是原来的方向了.

* 回顾一下, 量子力学中的**叠加原理**说的是:
  如果两个状态是一个体系可以取到的状态,
  那么这两个状态的**任何线性叠加**也是这个体系可以取到的状态.
* 重点来了: **叠加原理**不仅适用于一个粒子,
  **它也适用于多个粒子**.

* 此外, **叠加态**和**纠缠态**这两个概念也值得辨析一下,
  对量子力学略有所闻的人很容易把它们混为一谈.
* 其实, **叠加态可以是单粒子态也可以是多粒子态**,
  **而纠缠态必然是多粒子态**.
  - 在非常特殊的情况下, 可以有单粒子的多个性质之间的纠缠态.
* 一个态是不是叠加态取决于**基组**, 即它是等于基组中的某一个状态,
  还是等于基组中所有状态的线性叠加.
* 因此, 一个态是不是**叠加态是相对的**,
  通过变换基组总可以让它是叠加态,
  或让它不是叠加态.
* 而一个态是不是**纠缠态是绝对的**, 因为它跟基组毫无关系,
  只取决于它能否分解为多个单粒子态的乘积.

* 在量子力学中, 体系的状态可以用一个函数来表示, 称为**态函数**.
  - 前面我们把一个状态理解为一个矢量, 这里又把它理解为一个函数,
    这两者都是成立的, 学过线性代数的人很容易理解这一点.
* `单粒子体系`的态函数是`一元函数`, `多粒子体系`的态函数是`多元函数`.
  如果这个多元函数可以分离变量, 也就是可以写成多个一元函数直接的乘积,
  我们就把它称为**直积态**.
* 如果它不能分离变量, 我们就把它称为**纠缠态**.

* 因此, 我们教和学量子纠缠的时候, 最好一上来就按照本书的办法保持数学的准确性.
  这样看似复杂, 其实是最简单的.
* 有一位科技传播工作者跟我说过, 她曾经采访潘建伟老师两个小时,
  结果却无法写出稿件, 因为始终搞不明白量子纠缠是怎么回事,
  听了再多的比喻也还是一头雾水. 后来她只得放弃了量子信息这个领域,
  专心去做生物学等比较形象的领域的传播了.
* 然后我跟她说, 我给你换一种方式来解释量子纠缠, 看看是不是容易理解.
  我给她讲了用是否可分离变量来定义量子纠缠, 她立刻就听懂了!

> - 霍金的那句名言, 什么多一个数学公式,
    读者就少一半. 基本是必须摈弃的.
> - 因为没有必要的数学公式, 有些地方根本讲不明白.
    讲不明白的东西, 要读者何用?

* 同样的道理, 外行往往以为量子计算机一定要可编程, 要能执行所有的任务,
  但这完全是拿对经典计算机的刻板印象去套量子计算机而导致的误解.
* 其实我们完全不需要一台量子计算机执行所有的任务,
  完全可以是若干台量子计算机, 每一台执行某一个特定的任务.
  甚至连若干台都不是必需的, 只要有一台量子计算机能执行一个特定的任务,
  在这个任务上超过经典计算机, 就是有用的.
* 也就是说, 量子计算机有用的关键不在于可编程,
  而在于在某个任务上超过经典计算机, 也就是在性能曲线的某个地方脱颖而出.
  用专业术语说, 这叫作实现**量子优越性** (quantum advantage).
* 这个词刚提出来的时候叫作量子霸权 (quantum supremacy),
  后来因为霸权这个说法太容易令人产生负面联想, 所以现在更多地叫量子优越性了.

* 你也许想问, 怎么一上来就是扩展的丘奇-图灵论题,
  那么不扩展的丘奇-图灵论题是什么?
* 回答是: 丘奇-图灵论题 (Church-Turing thesis) 说的是,
  **任何物理体系可计算的数学问题都是一样的**.
* 而扩展的丘奇-图灵论题说的是, 任何物理体系可有效计算的数学问题都是一样的.
* 请注意, 可计算和可有效计算是不一样的.
* 可计算是指可以在有限的时间内得出结果,
  无论这个时间是多长, 比如可以是**指数**增长的.
  而可有效计算是指计算时间是**多项式**增长的, 也就是可**快速**计算.

* 量子计算机作为一种新的计算模型出现后, 现在普遍认为`丘奇-图灵论题`是正确的,
  而`扩展丘奇-图灵论题`是**错误的**.
* 也就是说, 量子计算机和经典计算机可计算的问题是一样的,
  但在这些可计算的问题中,
  **量子计算机可以把一些不可有效计算的问题变成可以有效计算的**,
  即通过执行某种快速的量子物理过程, 获得跟这个过程对应的数学难题的解.
* 用经典计算机计算这个数学问题的时间是`指数时间`,
  用物理过程获得结果的时间却是`多项式时间`.
  - 这种"抄捷径", 就是量子计算机的优势.

* 在计算复杂性理论中, 把所有的在经典计算机上能够快速求解的问题的集合叫作 `P`,
  把所有的在经典计算机上能够快速验证的问题的集合叫作 `NP`.
  - 显然, 属于 `P` 的问题都属于 `NP`, 但属于 `NP` 的问题是不是都属于 `P` 呢?
  - 也就是说, `NP` 是不是大于 `P` 呢?
* 大多数计算机科学家都认为 `NP` 大于 `P`, 因为这符合直觉.
  像因数分解这样可快速验证但没有快速算法的问题实在是太多了.
  - 但问题在于, 谁知道以后会不会找到快速的算法?
  - 目前没有人能够证明, 因数分解以及类似的问题在经典计算机上不存在快速的算法.

* 现在大家可以知道, 量子因数分解算法很快的原因, 其实是快速的**量子求阶算法**.
  运用量子求阶算法可以快速解决离散对数问题, 即**破解**椭圆曲线密码.

* **量子隐形传态**实际的做法非常巧妙, 是通过量子纠缠来传输一个**未知的状态**.
  - 请注意, 关键是未知的状态. 如果是已知的状态, 当然也能传,
    但那就不需要量子隐形传态了, 直接制备这个状态就可以了.
  - 量子隐形传态的神奇之处, 在于它能传未知的状态.
  - 好比一个忠实的快递员, 从头至尾不知道包裹里装的是什么,
    但原原本本地把包裹送到了目的地.
    传之前不知道, 传之后仍然不知道, 但它能确保传到.
* 总结一下, 量子隐形传态是以**不高于光速**的速度,
  **破坏性地**把一个体系的**未知状态**传输给另一个体系.
  - 打个比方, 用颜色表示状态. `A` 粒子最初是红色的,
    通过量子隐形传态, 我们让远处的 `B` 粒子变成红色,
    同时 `A` 粒子变成了绿色.
  - 但我们完全不需要知道 `A` 最初是什么颜色, 无论 `A` 是什么颜色,
    这套方法都可以保证 `B` 变成 `A` 最初的颜色.

* 量子密码之所以要用**单光子**, 妙处正在于此. 回顾一下量子的概念就能理解,
  单个光子已经是最小的单元了, 窃听者无法偷走"半个光子". 所以在原理上,
  量子密码保密的物理基础是两条:
  - **单光子无法分割**;
  - **未知量子态不可克隆**.
* 如果没有第一条, 窃听者就可以偷走部分信号然后窃密.
* 如果没有第二条, 窃听者就可以复制未知状态的光子然后进行光子数分离攻击.

* **诱骗态协议**
  - 激光光源发射的光子数有一定的分布, 发射许多光脉冲就相当于发射一些单光子脉冲,
    一些多光子脉冲和一些零光子脉冲 (也就是没发).
  - 以前是只发一种态, 即只有一个分布, 而现在发若干种态, 即有多个分布,
    多出来的那些就是**诱骗态**.
  - 通信双方知道各种态的比例, 但窃听者不知道.
  - Eve 如果还像以前那样见单光子就拦, 见多光子就扣一个,
    通信双方通过各种态比例的变化就能发现窃听.
