---
title: 阅读 - 经典书籍
description: 虽趣舍万殊, 静躁不同, 当其欣于所遇, 暂得于己, 快然自足
date: 2021-01-28
---

# 始于 2021

------------------

## 费曼物理学讲义

* [Wiki - The Feynman Lectures on Physics](https://en.wikipedia.org/wiki/The_Feynman_Lectures_on_Physics)
* [费曼物理学讲义: 新千年版](https://book.douban.com/subject/26662048/)

* **单独成文**

------------------

## TAOCP

* [Wiki - The Art of Computer Programming](https://en.wikipedia.org/wiki/The_Art_of_Computer_Programming)

* [计算机程序设计艺术 MMIX增补](https://book.douban.com/subject/35170836/)
* [计算机程序设计艺术 卷4A](https://book.douban.com/subject/34452973/)
* [计算机程序设计艺术 卷3](https://book.douban.com/subject/26953756/)
* [计算机程序设计艺术 卷2](https://book.douban.com/subject/26850558/)
* [计算机程序设计艺术 卷1](https://book.douban.com/subject/26681685/)

* **单独成文**

------------------

## 复分析: 可视化方法

* [复分析: 可视化方法](https://book.douban.com/subject/35316347/)
  - 译者: 齐民友
  - 出版年: 2021-01

```
假想有一个社会, 在那里, 鼓励到了一定年龄的公民去读乐谱, 这一切都是令人尊敬的.
然而这个社会有一个非常奇怪且令人苦恼的法律,
也几乎没有人记得这个法律是怎么来的,
即: 禁止听音乐和演奏音乐!

在这个社会里, 虽然音乐的重要性是被广泛承认的, 但是由于某些原因,
音乐并没有被广泛地欣赏.

这个寓言里, 立法禁止学音乐的学生直接从 "声音的直觉"
去体验与理解音乐, 这明显是不公正不合理的.
但是在我们的数学家社会里就有这样的法律.
一条不成文的法律.
那就是: 禁止数学成为可视的!

这反映了一个事实:
近几百年来形象思维在数学中的名声被玷污了.
虽然伟大的数学家们从来也不在意这种风尚,
然而 "街头巷尾的数学家们" 直到前不久才接受了几何的挑战.

这本书将用一种新的, 可以看得见的, 可视化的论证方式
解释初等复分析的真理, 公开地向当前占统治地位的 纯符号逻辑推理 叫板!
```

* 这本书比较特殊, 因为 `大部分看不懂` :)
  - 所以阅读方式比较另类
  - 就是反复的粗略的看
  - 建立一个 **概览性的** 认知
  - 至于能不能某一天 能有全面深入的理解, 就: **一切随缘了**

> 本书不做笔记, 不做点评. 以免 **贻笑大方**

------------------

## 编程珠玑

* [编程珠玑 第2版 修订版](https://book.douban.com/subject/26302533/)
* [编程珠玑 续 修订版](https://book.douban.com/subject/26302596/)
  - 虽然说, 偏算法的书籍, 保质期比较长
  - 但是整体而言, 编程珠玑, 至少部分内容, 略显过时

```
数年前, 买过一本, 应该是: 编程珠玑 (续), 没看多少, 丢了
此次再观之, 亲切了不少, 也算是个人成长的一种佐证吧 :)
```

* 也算作是拜读 **计算机程序设计艺术** 之前的准备书目吧 :)

```
不少段落, 作者回顾历史
如今, 作者所属的年代记忆也是历史了

如果没看过 编程珠玑, 我觉得也不必再看了

高德纳: 我的书专注于永恒的真理
```

* 算法分类
  - 排序
  - 搜索
  - 选择
  - 字符串
  - 向量 & 矩阵
  - 随机
  - 数值计算

```
虽然第一篇二分搜索论文在 1946 年就发表了,
但是第一个对所有的 n 值都没有错误的二分搜索程序却直到 1962 年才出现.

[90-90法则]
前 90% 的代码占用了 90% 的预定开发时间,
余下的 10% 代码又花费了 90% 的预定开发时间.

把一个现有成熟程序转移到一种新语言或者新平台,
只需要原来开发的十分之一的时间, 人力成本.
```

* 基本操作的威力

```c
// abcde fghij -> fghij abcde
// or
// hello world -> world hello
reverse(0, r-1)
reverse(r-1, n-1)
reverse(0, n-1)
```

### 粗略估算

* **两个答案比一个答案好** (运用不同估算思路)
* 快速检验 (对比不同思路的结果)
* 经验法则
* 实践

> **任何事都应尽量简单, 但不宜过于简单.**

### 节省空间

* 稀疏矩阵

> 满满的历史感, 哈哈哈

### 取样

* 随机算法

> (计算机程序设计艺术 **卷2**)

### 算法设计

> 案例好古老, 哈哈哈, 历史的沧桑

* 保存状态, 避免重复计算
* 信息预处理至数据结构
* 分治
* 扫描
* 累加数组

### 堆

* 排序
* 优先级队列

* 二叉树
  - 顺序: 任何节点 `<=` 其子节点
  - 形状: 完全二叉树

* 数组表示法
  - 从 **1** 开始, root = 1
  - left child = `2 * i`
  - right child = `2 * i + 1`

* siftup
  - Add element to heap

* siftdown

### 数值计算

* 牛顿迭代

```
作者先表明自己对数值计算的观点改变
从 丑而无用 到 美而无用 (哈哈哈)

然后用一个简单的实例
表明了一点

通过具体问题的特定上下文
可以二次优化数值算法 (其他算法同样)

很多时候
比起讲清楚问题本身
吸引读者对问题(领域)的兴趣也同样甚至更重要
```

> 点睛之笔

### 选择

* 快排思想 -> 选择 第 k 大(小)
