---
title: TAOCP 排序与查找 - 计算机程序设计艺术
description: 穷且益坚, 不坠青云之志. 酌贪泉而觉爽, 处涸辙以犹欢.
date: 2021-06-26
---

* [Wiki - The Art of Computer Programming](https://en.wikipedia.org/wiki/The_Art_of_Computer_Programming)

* [计算机程序设计艺术](https://book.douban.com/series/46236)
  - [计算机程序设计艺术 卷3](https://book.douban.com/subject/26953756/)
  - 赠与 @`Gary`

------------------

## 排序

### 排序的组合性质

* 具有相同键值的记录仍然保持原来的相对顺序,
  则说这一排序是 `稳定的`.

* 排序通常可以划分为 `内部排序` 和 `外部排序`.
  - 在 `内部排序` 中, 记录完全保存在计算机的高速随机存储器中,
    而当记录数目超出了存储器能够同时容纳的数量时, 则采用 `外部排序`.
  - `内部排序` 在数据的结构安排与存取访问上具有更大的灵活性,
    而 `外部排序` 则向我们展示如何应对相当严格的存取限制.

* `多重集` 与集合类似, 只是其中可以存在重复的相同元素.

* **游程**
  - 如果在一个排列 `a1, a2, ..., a(n)` 的两端各放置一条竖线,
  - 并在所有满足 `a(j)>a(j+1)` 的 `a(j)` 和 `a(j+1)` 之间放置一条竖线,
  - 一对竖线之间的片段就称为 `游程`.
  - 例如, 排列 `| 3 5 7 | 1 6 8 9 | 4 | 2 |` 有四个 `游程`.
  - `游程` 在排序算法的研究中非常重要, 因为它们表示了数据的 `有序片断`.

### 内部排序

* 计数排序
  - 计数思想: 最终有序序列的第 `j` 个键正好大于 `j-1` 个其他键
  - 比较计数
  - 分布计数

* **插入**排序
  - 直接插入排序
  - 二叉插入和两路插入

* 谢尔方法/谢尔排序
  - 亦称: 渐小增量排序

* 交换排序
  - 冒泡排序
  - 快速排序
  - 基数交换

* 冒泡排序优化
  - 巴彻尔并行方法/合并交换排序 -> 快速排序

* 选择排序
  - 直接选择
  - 树选择
  - 堆排序 (存储空间少)

* 优先队列
  - 分层树
  - 二项式队列
  - 配对堆
  - 斜堆
  - ...

* 合并排序
  - 两路合并
  - 列表合并排序

* 分布排序
  - 基数列表排序

### 外部排序

* 多路合并和替代选择

* **略过**
  - 磁带, 磁盘 :)

------------------

## 查找

### 键的比较查找

* 查找有序表
  - **二分查找**
  - 均匀二分查找
  - 插值查找

### 数字查找

### 散列

### 辅助键
