---
title: 微积分的历程
description: 千古兴亡, 百年悲笑, 一时登览. 问何人又卸, 片帆沙岸, 系斜阳缆?
date: 2022-12-09
---

- [微积分的历程](https://book.douban.com/subject/4904723/)

## 牛顿

- 这是一种特别扭曲的逻辑. 从曲线之下的面积积分 `z` 导出 `y` 的方程之后,
  牛顿断言这种关系在相反的方向也存在, 并且曲线
  $$ y = ax^{m / n} $$
  之下的面积就是
  $$ \frac{an}{m + n} x^{(m + n) / n} $$.
  - 这样的论证给我们留下杂乱无章的感觉,
    因为其中包含很大的逻辑漏洞.

---

- 无论如今的评判如何, 牛顿当初是感到满意的.
  牛顿在 `<分析学>` 中没有给出证明的另外两条法则如下:
  - 法则`2` 由简单曲线构成的复杂曲线的面积:
  - 若 `y` 的值由若干项构成, 那么它的面积等于其中每一项的面积之和.
  - 法则`3` 所有其他曲线的面积:
  - 如果 `y` 的值或者它的任何项比上述曲线更复杂,
    那么必须把它分解成更简单的项 ...,
    然后应用前面两条法则, 就可以获得欲求曲线的面积.
- 牛顿的第二条法则断定有限项和的积分等于各项积分的和.
  他用了两个例子来说明这条法则.
- 第三条法则断言, 当遇到更复杂的表达式时,
  首先需要将其`"化简"`成无穷级数,
  再通过第一条法则对级数的每一项求积分,
  然后再对结果求和.

---

- 因此, 从代数表达式
  $$ \frac{1}{\sqrt{1 - x^2}} $$
  开始, 牛顿利用他的广义二项展开式和基本的积分推导出反正弦的级数,
  这是本质上更为复杂的一个关系式.
- 然而, 牛顿还有一个锦囊妙计. 他不去求用横坐标 `(x)` 表示的弧长
  `(z)` 的级数, 而是寻找相反的过程.
  - 他写道: "如果需要从已知弧长 `aD` 求 `AB` 的正弦,
    那么我对上面导出的表达式求根."
  - 就是说, 牛顿利用他的逆过程, 将 `z = arcsin x`
    的级数转换成 `x = sin z` 的级数.

```
对我们来说, 这种推导所兜的圈子看起来是不可思议的.
我们现在把正弦级数视为不过是泰勒公式和微分学的一个微不足道的推论而已.
所以我们自然而然地以为它一直就是这样简单的.
但是, 正如我们所见, 牛顿克服了重重困难才得到这个结果.
他运用了积分法则而不是微分法则;
他从 (我们认为) 偶然的反正弦级数产生正弦级数;
同时, 他需要运用他所提出的复杂的逆过程方案来完成全部推导.
```

## 莱布尼茨

```
毫无疑问, 莱布尼茨级数是一个微积分学的杰作.
然而, 按照惯例, 当讨论这些早期的结果时, 我们必须提出一些注意事项.
值得一提的第一件事, 是变换定理使用了无穷小推理.
另一件事, 是莱布尼茨在求其级数的值时需要用无限多积分项之和代替无限多项之和的积分,
这样一个步骤, 它的微妙性将成为未来几个世纪面对的问题.
```

## 欧拉

- 当然, 伽玛函数继承了欧拉已经发现的有关 `[x]` 的特性,
  例如存在递归表达式
  $$ Γ(x + 1) = x Γ(x) $$
  或者著名的恒等式
  $$ Γ(1 / 2) = \left [ -1 / 2 \right ] = \sqrt{\pi} $$.
  - 这个函数可能出现在需要应用复杂的数学分析的任何场所,
    从概率论到微分方程, 再到解析数论.
  - 如今, 伽玛函数被看作是分析学中首屈一指的"高级函数",
    同时或许是最重要的"高级函数".
  - 所谓"高级函数"是指在定义中需要用到微积分概念的函数.
  - 在刻画初等数学的特征方面, 除代数函数, 指数函数或三角函数之外,
    伽玛函数占据一席之地.
  - 此外, 像许多别的发现一样, 我们把这个函数归功于欧拉.

```
本章的种种结果, 无论是微分还是积分, 也无论是近似值还是插值,
都展现了惊人的独创性. 冯·诺伊曼把欧拉称为
"他那个时代最杰出的数学家", 因为他提出了许多正确的问题,
并且经常凭借惊人的敏捷头脑和直觉思维能力找到正确的答案.
毫无疑问, 欧拉对分析学驾轻就熟,
在分析学这个十全十美的舞台上展现的仿佛是他不拘一格的信条:
沿着公式就能通向真理.

在分析学中, 无出其右者.
```

## 第一次波折

```
头一个世纪的一个重要的发展趋势是人们把视点从几何转向分析.
当问题变得越来越棘手时, 它们的解对曲线几何性质的依赖越来越少,
而对函数代数运算的依赖却越来越多.
莱布尼茨在 1673 年证明他的变换定理所用的复杂的几何图解在
18 世纪中期欧拉的著作中已经无影无踪了. 从这个意义上说,
分析学已经具备了更现代的形态.

但是这门学科的其他常见内容却销声匿迹了. 例如,
很大的一个缺失是现代分析学的支柱 -- 不等式.
17 世纪和 18 世纪的数学家们主要处理等式.
他们的工作倾向于利用巧妙的代换将一个公式变换成另一种想要的形式.
虽然雅各布·伯努利对调和级数发散性的证明是以熟练地运用不等式为特征,
但是这样的例子总体上是罕见的.
```

```
同样稀少的是对广泛函数类的分析. 欧拉和他的前辈们擅长研究特定的积分或级数,
但是他们对连续函数或可微函数这样的函数类的一般特性缺乏兴趣.
把关注的焦点从特殊的函数转移到一般的函数将成为下一个世纪的标志.

早期微积分和当今微积分的另外一个显著差异是对逻辑基础的关注不同.
正如我们所见, 那个时期的数学家在使用结果时既不证明它们的正确性,
在许多情况下, 甚至也不考虑这个问题.
```

```
但是一种解决方案近在咫尺了. 在 19 世纪初期, 正是认识到级数非唯一性的柯西,
行将发现一个可以圆满解释微积分基础的方法.
到他完成这个任务的时候, 分析学就超越了他的前辈们所能设想的情景,
成为远具普遍性, 抽象性和充满不等式的学科.
同时, 这门学科将会越发严密.
```

## 柯西

- 在 `19` 世纪 `20` 年代, 这些绚丽的结果尚不清晰,
  而柯西的见识在他那个时代是重要的, 但是并非定论.
  - 不过, 他已经确定了中值定理作为严格的微积分发展的中心位置,
    这种位置一直保留至今.
- 同柯西的极限方法一样, 他的积分定义也将在整个微积分的发展历史中掀起轩然大波.
  - 我们回忆一下, 当初莱布尼茨将积分定义为无限多个无穷小的被加数的和并用符号
    $$ \int $$
    表示.
  - 看起来也许奇怪, 直到 `19` 世纪初, 还没有人从这个角度来理解积分.
  - 相反, 人们一直把积分主要看成微分的逆过程,
    使其在数学概念的殿堂中处于次要位置.
  - 例如, 欧拉在他影响深远的关于积分学的三卷教科书中是以下述定义开始的.

```
定义 积分学是从给定微分的变量寻找变量自身的方法,
产生这种变量的运算称为积分.
```

- 欧拉认为积分依赖于微分并且因此而从属于微分. 柯西不同意这种观点.
  他认为积分必须是独立存在的, 并且有相应的定义.
  - 因此, 在 `19` 世纪即将消逝的时候, 他发起了一次变革,
    将积分置于分析学的聚光灯下.

---

- 柯西的定义远非完美, 多半是因为它仅仅适用于连续函数.
  尽管如此, 它仍然是具有重大意义的进展,
  使得在两个关键问题上再无悬念:
  - (1) 积分是一种极限,
  - (2) 积分的存在同反微分法无关.

```
最后, 出于理解实数完备性的需要, 提出了关于实数根本性质的问题.
这些问题的答案同后来的集合论的结合, 将要改变分析学的面貌,
尽管, 活跃在 1840 年前后的数学家们并没有意识到一场革命即将来临.
但是, 任何活跃在 1840 年前后的数学家都知道柯西.

关于这个方面, 我们要引用数学史专家 Carl Boyer 的权威性评论,
他在其微积分发展史研究的经典著作中写道:
"柯西通过 (他的) 研究成果, 对这门学科产生的影响超越了当今任何其他人."

从很实际的意义上说, 所有后来的人都算是他的门徒.
```

## 黎曼

```
这个复杂的论证过程原封不动地取自黎曼 1854 年的论文.
虽然符号显得复杂, 而基本思想却很简单:
为了使一个函数具有黎曼积分, 它的振幅必须受到限制.
跳变过于频繁过于剧烈的函数是不可积的.
按照几何的观点, 在这样一种函数图形的下方看起来没有可以定义的面积.
```

```
在直观上, 狄利克雷函数是如此彻底地不连续, 以至是不可积的.
这个现象提出了一个基本问题:
按照黎曼积分的定义, 一个函数不连续到何种程度依然是可积的?
虽然这个谜团直到 20 世纪才解开, 但是黎曼本人给出了一个函数,
提供可望解决这个问题的一个证据.
```

```
黎曼构造了一个满足他的可积性条件的函数,
这个函数在任意区间内具有无限多不连续的点.
这是一个独特的创造, 我们现在称为黎曼病态函数,
其中的形容词在某种意义下带有"不正常的"内涵.

自然, 黎曼没有回答如下问题: "可积函数可以不连续到何种程度?"
但是他证明了可积函数可以极度地不连续.
对于那些嘲笑这个与黎曼病态函数一样怪异的例子并无实际用处的批评论调,
黎曼提出了具有说服力的反驳:
"这个主题与无穷小分析原理有最紧密的联系, 并且有助于使这些原理更为清晰和精确.
在这一点上, 这个主题具有直接的意义."
黎曼病态函数恰好具有这个作用, 纵然这是对数学家们的直觉的一次打击.
正如我们将要看到的, 更多足以摧毁直觉的例证会出现在 19 世纪的分析学家们面前.
```

- 我们通过变更级数中项的位置而不改变其项值就改变了级数的和.
  这看起来是非常离奇的.
  - 事实上, 它的后果更为严重,
    因为黎曼证明了莱布尼茨级数竟然可以重排成收敛于任何数值的级数!
- 通过引进某些术语和几个著名的定理可以加速他的推理过程.
  如我们见过的那样, 正是柯西说明了无穷级数
  $$ \sum_{k = 1}^{\infty} u_k $$
  收敛的含义.
- 当然, 一个一般的级数可能同时包含正值项和负值项,
  这就提示我们忽略项的符号而考察
  $$ \sum_{k = 1}^{\infty} \mid u_k \mid $$.
  - 如果后面这个级数收敛, 我们就说
    $$ \sum_{k = 1}^{\infty} u_k $$
    `绝对`收敛.
  - 如果
    $$ \sum_{k = 1}^{\infty} u_k $$
    收敛, 但是
    $$ \sum_{k = 1}^{\infty} \mid u_k \mid $$
    不收敛, 就说原来的级数`条件`收敛.

```
正是狄利克雷证明了一个绝对收敛级数的任何重排必定收敛于原来级数的同一个和.
对于绝对收敛级数, 重排它的项不会对和产生任何影响.

但是对于条件收敛级数, 我们得到了迥然不同的结果:
如果一个级数条件收敛, 那么可以把它重排为收敛于我们希望的任意值.
用某种押头韵的表达方式我们可以把这个结果称为"黎曼惊人的重排结果".
```

```
通过简单地重新排列级数中的项, 我们可以戏剧性地改变答案.
正如前面看到的那样, 无穷过程的研究或者说分析, 可能使我们陷入困境.

在介绍这些事迹后, 我们告别格奥尔格·弗雷德里希·波恩哈德·黎曼,
虽然整个 19 世纪的分析学不能离开他半步. 他超越了任何人,
作为微积分事业的一位首要参与者建立了积分.
他的思想将成为亨利·勒贝格的起点,
我们在最后一章会看到勒贝格从黎曼止步的地方出发,
建立起他自己革命性的积分理论.
```

## 魏尔斯特拉斯

- 不妨回忆一下, 柯西是怎样在极限的基础上建立他的微积分的.
  在他给出的定义中有这样一句话:

```
当属于一个变量的相继值无限地趋近某个固定值时,
如果以这样一种方式告终, 变量值同固定值之差小到我们希望的任意小,
那么这个固定值就称为其他所有值的极限.
```

- 对于我们而言, 这句话的某些方面, 例如"趋近"这个行动,
  似乎不是一种令人满意的表达方式.
  - 趋近是指某种实际的动作吗?
  - 如果是这样, 那么在谈论极限之前我们必须考虑时间和空间的概念吗?
  - 此外, 这个过程"告终"的含义是什么?
  - 总之, 所有这一切尚需作最后修订.

---

- 魏尔斯特拉斯重新给出极限的定义:
  - $$ \lim_{x \to a} f(x) = L $$,
    当且仅当对于任意
    $$ \varepsilon > 0 $$,
    存在一个
    $$ \delta > 0 $$,
    使得只要
    $$ 0 < \mid x - a \mid < \delta $$,
    就有
    $$ \mid f(x) - L \mid < \varepsilon $$.

```
这个完美的定义同柯西对极限所说的话形成鲜明对比.
在这里, 没有任何动作, 而且不涉及时间.
这是一个静态的而非动态的定义, 同时又是一个代数的而非几何的定义.
定义的核心是一个关于不等式的断言. 并且,
可以把这个定义作为证明各种极限定理的基础, 例如,
用它给出"和的极限等于极限的和"的确切证明.
至此, 对于这样的定理可以进行像欧几里得命题那样完全严格的证明.
```

## 第二次波折

- 截至 `19` 世纪 `80` 年代, 分析学受到病态函数反例的巨大冲击,
  这些反例看起来一个比一个奇特. 我们已经见过的反例包括以下三个.
- `(a)` 狄利克雷函数
  - $$
      \phi (x) =
      \begin{cases}
        c, & x\mbox{ 为有理数} \\
        d, & x\mbox{ 为无理数}
      \end{cases}
    $$
  - 它是处处不连续的但不是黎曼可积的函数.
- `(b)` 扩充的直尺函数 `R(x)`,
  它是在每个无理数点连续而在每个有理数点不连续的函数,
  但是它是黎曼可积的, 其积分
  $$ \int_0^1 R(x) dx = 0 $$.
- `(c)` 魏尔斯特拉斯病态函数
  - $$ f(x) = \sum_{k = 0}^{\infty} b^k \cos(\pi a^k x) $$
  - 它是处处连续的和无处可微的函数.
- 这种情景显示分析学中存在的混乱局面,
  而且唤起对于如此杂乱无章的数学现状确立秩序和条理性.

```
回忆一下, 狄利克雷函数是处处不连续的和非黎曼可积的.
相反, 直尺函数仅在有理数点是不连续的, 并且是可积的.
毫无疑问, 直尺函数存在一种极端的不连续性,
然而它仍然具备足够的连续性使其成为可积的.
凭借这样的证据, 数学家们猜测, 一个黎曼可积函数虽说可能是不连续的,
但是不至于过分地不连续.

函数的连续性与可积性问题将使分析学家们在 19 世纪剩余的岁月忙得不亦乐乎.
从本书最后一章我们会看到,
这个举世瞩目的问题是由亨利·勒贝格着手研究并于 1904 年最终解决的.
```

- 那样, 种种美中不足促使大家研究定义范围更广阔的积分.
  这一研究的结果就是 `20` 世纪初建立的勒贝格积分论.
- 概括起来说, 上述几个函数提出了这样一些问题:
  - 我们能构造出一个在每个有理数点连续而在每个无理数点不连续的函数吗?
  - 一个黎曼可积函数的不连续性可能达到何种地步?
  - 一个导数可以在何等程度上是不连续的?
  - 我们能以任何一种方式弥补黎曼积分的缺陷吗?
- 虽然这里并没有列举所有的问题, 但是已经举岀的这些问题是数学分析在 `19`
  世纪的最后四分之一世纪所面对的关键性问题.
  - 由于这些问题的特殊本质, 在柯西,
    黎曼和魏尔斯特拉斯对分析学作出贡献之前是很难被提出来的,
    就更不用说给予回答了.
- 随着问题变得越来越复杂, 求解也就需要越来越周密的推理.
  - 在本书余下的几章中, 我们将简要地阐述如何寻找这四个问题的答案.

## 康托尔

- 正如我们所知, `19` 世纪把微积分的研究直接建立在极限的基础之上.
  这时已经清楚地看到, 极限本身要依赖于实数系的性质,
  其中最为重要的一个性质就是我们现在所说的`完备性`.
- 如今, 学生们可能接触到以不同形式表达的实数的完备性,
  然而它们在逻辑上是等价的. 例如:
  - `C1` 任何有界的非减序列收敛于某个实数;
  - `C2` 任何柯西序列存在极限;
  - `C3` 任何具有上界的非空实数集有一个上确界.

---

- 至此, 康托尔把他获得的两个结果结合起来:
  - 首先, 一个序列不可能穷举一个区间中的全部点;
  - 其次, 所有代数数构成一个序列.
- 单独而言, 这两个结果都是很有趣的. 把它们结合在一起,
  更使他能够推断所有代数数不会占据一个开区间上的全部点.
  - 因此, 在任何一个开区间 `(α, β)` 内, 必定存在一个超越数.
  - 或者, 可以直截了当地说存在超越数.

```
很容易证明, 如果代数数和超越数都是可数的, 那么它们的并集,
即全体实数的集合, 必然也是可数的. 由于这个结论是不正确的,
康托尔由此识破超越数构成一个不可数的集合,
因此在数量上远远超过它们的"表亲"代数数.

对于这两种数的多寡之分, Eric Temple Bell 给出这样的描述:
"代数数犹如镶嵌在长空夜幕下的点点繁星, 而浓黑的万里长空则是超越数的苍穹."
这是一种令人陶醉的难以想象的感受, 因为充足的数似乎是稀疏的,
而稀疏的数似乎是充足的. 在一定的意义上,
康托尔证明了超越数是干草堆中的干草而不是掉进草堆中的针.

还有一个相关的但意义更深远的结果, 那就是"小"无穷集合同"大"无穷集合之间的区别.
康托尔证明了, 一个可数集尽管是无穷的, 然而当把它和不可数集相比时,
它的无穷性却是无足轻重的. 随着他的思想的确立, 数学家们逐渐认识到,
在解决重要问题中, 如此不值一提的可数集无疑是值得使用的.
```

## 沃尔泰拉

- 定义: 对于一个实数集 `A`, 如果在任何开区间中至少包含 `A` 的一个元素,
  就说 `A` 是稠密的.
  - 稠密集的两个基本例子是有理数集和无理数集,
    因为任何一个开区间都含有无限多有理数和无理数.
  - 稠密集这个名称带有启示性, 表明它的元素如此紧密地聚集在一起, 以致它们总是毗连的.
- 有了这个准备, 我们就可以对函数给出汉克尔的分类.
  他把在区间 `[a, b]` 上的所有点连续的函数列为`第1类函数`.
  - 这些函数具备很好的特性, 它们在区间上达到极大值和极小值,
    具有介值特性, 并且能够积分.
  - 在汉克尔的分类中, `第1类函数`处于"食物链"的顶端.
- 他的`第2类函数`包括那些在 `[a, b]` 上除有限个点之外是连续的函数.
  - 这类函数带有更多的不确定性, 但是它们的奇异性在数量上是有限的,
    在很大程度上处于控制之中.
- 一个例子是我们见过的定义在区间 `[-1, 1]` 上的函数

$$
S(x) =
  \begin{cases}
    \cos (1 / x), & x ≠ 0 \\
    0,            & x = 0
  \end{cases}
$$

- 因为它在 `x = 0` 有一个不连续点.

- 换一种方法, 我们还可以取一个在区间 `[a, b]` 上定义的连续函数,
  然后, 例如在 `50` 个点上把它重新定义成不连续的,
  由此引入 `50` 个不连续性点.
  - 这样一个函数将属于汉克尔`第2类函数`.
- `3A类`: 在 `[a, b]` 的无穷个点不连续但是仍然在其中一个稠密集上连续的函数.
  - 他把这类函数称为"点态不连续的函数".
- `3B类`: 一切其他的不连续函数.
  - 汉克尔称之为"完全不连续的函数".
- 我们看出, `3A类`函数中的一个点态不连续函数, 尽管存在无限多个不连续点,
  但是仍然在任何开区间的某些地方是连续的.
  - 另一方面, 对于`3B类`中的一个函数而言, 必定存在区间 `(a, b)`
    内的某个开子区间 `(c, d)`, 函数在其中完全没有连续的点.
  - 因此, 一个完全不连续的函数的特征是在一个不间断的子区间上仅存在不连续的点.

```
汉克尔定理看起来是在回答我们前面提出的主要问题:
一个可积函数可能在多大程度上是不连续的?
按照他的说法, 答案是"在最坏的情况下是点态不连续的".
他的证明表示, 只要一个函数在一个稠密集上是连续的,
所有那些不连续的点对于可积性而言都是无足轻重的.
这恰好是数学家们梦寐以求的简洁结果.

不幸的是, 这也是不正确的.

在这种错综复杂的概念中, 即使大学问家也难免犯错误,
不过汉克尔所犯的是一个突出的错误.
公正地说, 他的定理有一半是正确的:
一个函数如果是黎曼可积的, 那么它确实必定在一个稠密集合上是连续的.
一个完全不连续的函数存在一个由不连续点构成的不间断的子区间,
它不可能具有黎曼积分. 关于这一点, 人们再次想到狄利克雷函数.
```

- 定理: 在区间 `(a, b)` 上不可能同时存在两个点态不连续函数,
  其中一个函数的连续性点是另一个函数的不连续性点, 反之亦然.
- 推论1: 由于存在一个在每个无理数点连续而在每个有理数点不连续的函数,
  也就不可能找到一个在每个无理数点不连续而在每个有理数点连续的函数.
- 推论2: 不存在在实数集上定义的这样一个连续函数 `g(x)`,
  当 `x` 取无理数时 `g(x)` 为有理数,
  而当 `x` 取有理数时 `g(x)` 为无理数.

## 贝尔

- __无处稠密集__
  - 一个实数的集合称为`稠密的`, 是指每个开区间至少包含这个集合的一个元素.
  - 用现代的表示法, 如果对于任何开区间 `(a, β)`, 我们有
    $$ (α, β) ∩ D ≠ \varnothing $$,
    那么 `D` 是`稠密的`.

## 勒贝格

- 定理: 一个有界函数 `f` 在区间 `[a, b]` 上为黎曼可积的充分必要条件,
  是它的不连续点的集合具有`零测度`.
