---
title: 数学及其历史, 代数的历史, 一个数学家的辩白
description: 人类对未知量的不舍追踪 (修订版)
date: 2021-08-23
---

- [数学及其历史](https://book.douban.com/subject/6028251/)

## 毕达哥拉斯定理

```
乍看起来, 算术和几何好像是完全不同的领域.
算术的基础是计算, 是典型的离散 (或数字) 过程.
算术中的各种事实和结论可以清楚地理解为某些计算过程的结果;
人们不期待它们有什么额外的意义. 另一方面, 几何涉及的是连续的而不是离散的对象,
诸如直线, 曲线和曲面. 连续对象不能由单个的元素通过离散过程去构建,
人们希望看到的是几何事实本身而不是通过计算来达到它.

毕达哥拉斯定理第一次暗示了在算术和几何之间隐藏得很深的联系,
这种联系在数学发展的历史长河中始终处于两个领域之间的关键位置上,
有时处于合作的位置, 有时处于冲突的位置. 情况常常是这样的:
从这些处于紧张状态的领域中浮现出新的思想, 将冲突化解,
并使原来难以调和的思想转变为相互促进的沃土佳壤.

无疑, 算术与几何之间的这种紧张状态是数学中最深奥的事情,
它已促成了那些最深刻的定理的问世. 因为毕达哥拉斯定理是这些定理中的第一个,
而且最具影响力, 值得我们将它安排在第一章.
```

## 希腊几何

- __公设__ 我们假定以下陈述自然成立:
  1. 可从任何一点向 (另外) 任何一点画直线
  2. 可将有限长直线沿直线方向连续不断地延长
  3. 能以任何一个中心和任何一个距离来画圆
  4. 所有的直角彼此相等
  5. 若一直线跟两直线相交, 且使同旁内角和小于二直角,
     当两直线无限制地延长时必在两内角和小于二直角的一侧相交
- __普适概念__
  1. 跟同一样东西相等的东西彼此相等
  2. 同样的东西加到同样的东西上, 所得的总体相等
  3. 从同样的东西中减去同样的东西, 所余的东西相等
  4. 彼此重合的东西彼此相等
  5. 整体大于部分

```
今天看来, 从关于点的公理过渡到数的公理是相当平凡的一步,
但它的实现却要等到19世纪, 那时点的几何公理丧失了权威性,
纯理论性的数的公理则黄袍加身.
```

```
考虑可以作为正多面体的面的各种可能的正多边形, 它们的角以及能够在顶点处出现的角的数目.
对于正三边形 (即正三角形), 每个角等于 π/3, 所以在顶点处允许出现
3, 4, 5 个这样的角, 但不允许出现6个, 因为此时全部角的和等于 2π, 顶点处即呈现为平面状了.

对于正四边形, 每个角等于 π/2; 所以顶点处只能出现 3 个这样的角, 4 个不行.

对于正五边形, 每个角等于 3π/5, 顶点处还是只可出现 3 个角, 4 个同样不行.

对于正六边形, 每个角等于 2π/3, 此时顶点处连出现 3 个角也不允许.
但是, 在正多边形的每个顶点处至少得有 3 个面相遇,
所以正六边形 (以及正七, 八, n 边形) 不可能作为正多面体的面,

这告诉我们只剩下上述 5 种可能性, 它们对应于 5 种已知的正多边形.
```

```
周转圆最简单的形式是圆上一点当该圆绕另一圆滚动时形成的轨迹.
复杂一些的周转圆可以依据绕第二个圆滚动的第三个圆上的点的运动轨迹来定义;
依此类推可以定义更加复杂的周转圆.
希腊人引进这些曲线的目的, 是试图用基于圆的几何学来描述行星相对于恒星的复杂运动.

原则上这是可能的! 拉格朗日证明,
任何沿天球赤道的运动都可以用周转圆的运动来任意逼近.
我们现在知道, 当考虑到行星是在绕太阳而不是地球运动,
并承认运动轨道是椭圆, 那么这种运动就变得简单了.
```

## 希腊数论

```
因此, 数论与几何在数学史中扮演的角色很不相同.
几何一直起着稳定和统一的作用, 有时会延迟数学进一步的发展,
所以会给公众一个印象, 数学是一门静态学科.

对于那些能理解数论的人看来, 数论一直在激励着数学的进步与变化.
仅有少数数学家为推动数论进步做出了贡献, 其中包括了一些大数学家,
丢番图, 费马, 欧拉, 拉格朗日, 高斯.

本书着重讲述数论在与其它数学分支, 特别是与几何的深刻联系中所取得的进步,
因为这些成就对数学整体而言最有意义.
```

## 希腊数学中的无穷

```
比例理论如此成功, 以致把实数理论的发展推迟了2000年.
这是颇具讽刺意味的, 因为比例理论除了能用于长度之外, 还能定义无理数,
这是可以理解的, 因为像单位正方形对角线这样普通的无理长度, 是由作图问题引起的,
按几何的观点, 它在直观上很清楚, 也是有限的过程.
但从算术角度看√2, 无论它的表达形式是序列, 小数还是连分数,
都涉及一个无限过程, 因此缺乏直观性.

在19世纪前, 这似乎成为下述观点成立的极佳理由:
作为数学基础而言, 几何比算术更好.
但几何在19世纪遇到了麻烦, 濒临危机;
数学家开始担心几何直观, 像他们以前担心无穷一样.
几何推理被清除出教科书, 人们不辞辛苦地在数和数集的基础上重建数学.
```

- 注意, `"穷竭法"`并不意味使用了无限的步骤序列以证明面积跟半径的平方成比例.
  - 更确切地说, 人们证明的是:
  - 在有限步骤内可以否定不成比例性.
  - 这是穷竭法在论证时避免提到极限和无穷的典型手法.

## 多项式方程

```
三次方程的解给人带来的意外惊喜, 提升了人们对解高次方程的期待,
希望高次方程也能有公式解, 其中包含系数的有理表达式及开方根;
或像人们通常所称的可以有根式解 -- 这成为其后250年中代数学研究的主要目标.
然而所有为解一般五次方程的努力全都失败了.
```

## 解析几何

```
大致描述解析几何的发展: 从最初将方程视为是了解曲线性质的一种手段,
到充分认知可以用方程来定义曲线,
并认识到 (多项式) 方程的概念对理解 (代数) 曲线的概念来说是个关键.
事后想来, 我们可以说笛卡儿的 <几何> (1637) 是该学科走向成熟的重要一步,
但该书并未确实地告知人们解析几何到底是什么.
事实上, 解析几何的发展要归功于两个过渡性主题:
16世纪的方程论和几乎被现代人遗忘的科目"方程作图".
```

```
不幸, 要到19世纪人们才认识到射影几何和解析几何缺一不可, 互相都需要对方.
在19世纪之前, 射影几何的发展中没有坐标, 所有证明贝祖定理的尝试,
都因缺乏计算无穷远点个数的适当方法而归于失败.
结果, 作为方程作图理论主要成就的贝祖定理,
要到该理论本身被放弃之后很久才得到正确的证明.
```

```
在初等几何领域, 代数的作用一直不能被人理解;
直到拉格朗日 (1773) 在该领域采用了代数方法,
情况才得到改观. 那时, 初等几何被引入方程理论之中,
高等几何也已出炉 -- 它们都越来越依赖于微积分, 并浮现出复变函数论,
抽象代数和拓扑学这些在19世纪得到繁荣发展的学科.
于是, 高等几何也转变其发展方向而形成了微分几何和代数几何,
留下的是最基础的剩余遗产 -- 我们今天所称的"解析几何".

尽管解析几何的地位不高, 希尔伯特 (1899) 还是赋予了它重要的基础性地位.
希尔伯特只假定实数和集合存在, 并据此构作出欧几里得几何,
从而把沃利斯的算术化看作是解析几何的逻辑结论.
```

## 射影几何

```
射影几何不止能描述曲线在无穷远的性状. 在射影几何中, 无穷远处的直线 (或称无穷远直线)
跟其它任何直线没有什么不同, 即摆脱掉了其特殊身份. 那时,
一条曲线的所有射影图都有了同等的效用, 例如你能够说: 只要观察得当,
所有的圆锥截线便都是椭圆. 这一点也不奇怪, 只要你不把圆锥截线记忆成二次曲线,
而记成是用平面截圆锥得到的截线. 当然, 要从圆锥的顶点出发观察, 它们看起来才是一样的
```

```
射影几何允许无穷远点具有像平面上的有限点那样的地位, 它采用这样的观点在直观上是清楚的;
你只要想一想图画中的地平线跟其它任何一条直线没有什么区别就明白了. 然而,
使这种思想形式化的最方便的途径是引进坐标. 但在德萨格时代并没做到这一点,
原因也许是当时流行的观点是拒绝在初等几何中使用坐标.
默比乌斯 (1827) 和普吕克 (1830) 发明了一种合适的坐标, 现称齐次坐标.
```

## 微积分

- 莱布尼茨的优点在于他明确地辨明了重要的概念, 而不在于发展相应的技巧,
  他引进了`"函数 (function)"`这个词, 第一次开始用关于函数的术语来思考问题.
  - 他区分了代数函数和超越函数;
  - 跟牛顿不同, 他更青睐无穷级数的`"闭形式"`的表达.
- 所以, 对莱布尼茨而言, 求
  $$ \int f(x) dx $$
  的值乃是去找一个导数为 `f(x)` 的已知函类;
  - 而在牛顿看来, 问题在于将 `f(x)` 展开成级数, 之后的积分微不足道.

## 无穷级数

```
在微积分的发展中, 人们似乎严重地低估了插值的重要性.
插值这个主题很少出现在当今的微积分书籍中, 它仅仅被当作一种数值方法.
但三位微积分的最重要的奠基人 -- 牛顿,
格雷戈里和莱布尼茨都是从插值开始他们的创造性工作的,
而且我们已经看到他们如何从插值导出了他们最重要的两项成果,
即二项式定理和泰勒定理.

随着将插值贬为数值方法, 这种联系就断了.
当人们只是使用格雷戈里-牛顿级数中的几项时, 插值当然只是一种实用的数值方法,
但整个级数是精确的, 因此极其重要. 正是这种无限展开本身的重要性,
使牛顿, 格雷戈里和莱布尼茨不同于他们在插值法方面的前辈.
```

- 难怪
  $$ F_n $$
  的公式这样难找! 没有人会料想到在一个整数值函数
  $$ F_n $$
  中会包含一个无理数 `√5`.
- 其中的奥妙可以这样解释: 斐波那契序列实际上定义了 `√5`, 因为当
  $$ n \rightarrow \infty $$
  时,

$$
F_{n + 1} / F_n \rightarrow (1 + \sqrt{5}) / 2 \mbox{(黄金比)}
$$

- 值得注意的是,
  $$ F_n $$
  的定义变得非常明晰但不是递归的. 之所以用 `(1 + √5) / 2` 来表达,
  是由于生成函数十分简明
  - 它暗含了整个序列的密码.
- 在棣莫弗的证明中使用的斐波那契数的递归性质满足线性递归关系; 即,
  $$ F_n $$
  表为序列中前几项的固定线性组合.
- 该证明容易被推广而用来证明: 任一由线性递归关系定义的序列
  $$ \{ a_n \} $$,
  其生成函数
  $$ \sum a_n x^n $$
  是有理的.
- 该证明也可以倒过来, 用以证明任一有理函数的幂级数其系数满足一个线性递归关系.
  - 于是, 有理函数可由其幂级数来刻画它的性质.

## 数论的复兴

```
费马的无限下降法的逻辑原则与数学归纳法所基于的原则是相同的,
即任意的一个自然数集合中有一个最小的数.
但这两个方法所适用的范围相当不同.
对归纳法, 人们需要对归纳步骤作合适的假定;
而对下降法, 需要找到一个合适的下降的量,
实际上, 下降法是更加专门的一种方法,
跟某些曲线的几何性质相伴而行.
```

## 椭圆函数

```
最终对椭圆函数几何性质的认识, 要归功于最终对复数的存在性及其几何性质的认识.
实际上, 椭圆函数发展的后期历史与复数的发展如影随形.
我们主要关心公元1800年前的那段历史, 当时复数尚未进入真正本质的发展阶段.
然而在主要故事中有一些次要情节, 理解它们并不需要复数,
它们却能很好地展现与虚拟的三角函数的平行发展的特点,
现在来叙述其中的一个情节很合适, 因为它以简化的方式说明了这种平行性.
```

```
椭圆积分取逆得到的函数称为椭圆函数,
需要经椭圆函数来进行参数化的曲线称为椭圆曲线.
放任地使用"椭圆"这个词是有点不幸的,
因为椭圆本身可以用有理函数来参数化, 因而它不是椭圆曲线!
```

- 双纽线`n`等分问题的答案是阿贝尔找到的 (`1827`),
  他将高斯不明不白的结论变换为如水晶般澄清的断言:
  - 能够用尺规将双纽线`n`等分的这个`n`, 恰与能`n`等分圆的`n`相同.
  - 这个奇妙的结果比任何其它结果更好地突出了椭圆函数在几何,
    代数和数论中的统一作用.

## 代数中的复数

- 它乃是数学中的奇迹之一. 追踪其历史, 复数
  $$ a + b \sqrt{-1} $$
  在开始时被认为是"不可能的数"; 它只在一个狭窄的代数领域中得到宽容,
  因为这样的数似乎在解三次方程的过程中有用.
- 后来人们弄清楚复数具有几何意义, 而且最终导致了代数函数与共形映射,
  位势理论以及另一"不可能的"非欧几何的统一.
- 对一悖论的解决, 产生了如此巨大的威力, 它那么美妙, 又出乎人们的预料,
  以至我们只能用"奇迹"这个词来描述才恰当.

- 代数基本定理是说, 每个多项式方程 `p(z) = 0` 都有一个复数解.
  正如笛卡儿所注意到的, 方程有解 `z = a`
  意味着 `p(z)` 有一个因式 `z - a`.
  - 于是, 商 `q(z) = p(z) / (z - a)` 是次数较低的多项式; 因此,
    如果每个多项式都有一个解, 我们便可从 `q(z)` 中再分解出一个因式;
  - 设 `p(z)` 次数为 `n`, 我们便可以不断地分解
    `p(z)` 为 `n` 个线性因式.
  - 这种分解的存在性自然是代数基本定理的另一种陈述方式.
- 最初, 人们的兴趣局限于 `p(z)` 是实系数多项式;
  针对这种情形, 达朗贝尔 (1746) 注意到:
  - 如果
    $$ z = u + iv $$
    是 `p(z) = 0` 的解, 则它的共轭
    $$ \bar{z} = u - iv $$
    也是.
  - 因此, 实多项式 `p(z)` 的虚线性因式总可以成对地结合成实二次因式:

$$
(z - u - iv)(z - u + iv) = z^2 - 2uz + (u^2 + v^2)
$$

- 这给出了代数基本定理的另一种等价的说法:
  每一个 (实) 多项式 `p(z)` 可表示为实线性因式和实二次因式的乘积.
  - 在整个`18`世纪中, 该定理通常都是如此叙述的,
    当时这样说的主要目的是使有理函数的积分成为可能.
  - 这样也可以避免提到
    $$ \sqrt{-1} $$

## 复数和复曲线

- 代数基本定理告诉我们, 一个 `n` 次多项式方程有 `n` 个根,
  因此多项式曲线与轴 `y = 0` 应有 `n` 个交点. 然而, 为了得到 `n` 个根,
  我们必须容许变量 `x` 取复数值:
  - 因此, 为了得到 `n` 个交点, 我们必须考虑 `x` 和 `y` 为复值的"曲线".
  - 这点以及代数基本定理的其它有价值的结果 (例如, "重合点"的重数解释),
    说服了`18`世纪的数学家在复数本身被理解之前就允许复根进入了曲线理论,
    甚至是在代数基本定理被证明之前.

- 理解复曲线 `p(x, y) = 0` 的拓扑形式的关建在于它的分支点 `a`,
  牛顿-皮瑟关于 `y` 的在分支点的展开式就是从 `(x - a)`
  的分数次幂开始的.
  - 分支点的性质首先为黎曼 (`1851`) 所描述,
    成为复函数革命性的新几何理论的一部分.
- 黎曼有一个思想 -- 数学史上最具启发性的思想:
  - 为了表示复`x`和复`y`间的关系 `p(x, y) = 0`,
    可以用表示变量 `y` 的曲面来覆盖表示变量 `x` 的平面 (或球面),
    使得在给定点 `x = a` 之上的 `y` 曲面上的点
    (或若干点) 的值就是满足 `p(a, y) = 0` 的 `y` 的值.

---

- 黎曼旅居意大利的时间太短了: `1866`年夏, 他在马焦雷湖畔的谢拉斯卡庄园去世,
  当时他夫人陪伴在他身旁, 戴德金这样描写他在尘世最后几天的状况:

```
去世前一天, 他躺在一颗无花果树下, 欣赏着周围优美的景色,
写下他最后留在人间的话, 可惜没有写完. 临终前他十分平静,
没有临终前的挣扎和痛苦; 似乎他好奇地关注着灵魂正在离开肉体;
他的夫人按习俗递给他面包和葡萄酒, 他请她向家里的人传达他的爱,
说: "亲吻我们的孩子." 她告诉他这里的庄园主已为他作了祈祷,
而他已无力说话, 虔诚地睁开双眼 -- 表达"请原谅我们 (对主人) 的打扰";
她感到她握着的手渐渐变凉, 几次呼吸之后, 他纯洁, 高尚的心停止了跳动.
在家乡老屋就深埋于心的宽厚胸怀伴随了他一生,
他跟他父亲一样忠实于上帝 -- 虽然方式不同.
```

## 复数与复函数

- 柯西 (1837) 证明了函数 `f(z) (z = x + iy)`
  只有在可微的时候才可以表示为 `z` 的幂级数, 为复函数概念奠定了坚实的基础.
- 这样, 为了定义一个复函数 `f(z)`, 只要它关于 `z` 是可微的就足够了,
  这保证了 `f` 的定义符合`18`世纪的严格性要求.
- 特别地, 由此可得: `f` 的一阶导数存在必然伴随着它的所有阶的导数存在,
  而且 `f` 在任一邻域内的值决定了它在所有各处的值.
- 复函数概念中的这种"刚性", 作为证明非平凡的性质的约束条件而言是足够了;
  同时它又保留了足够的柔性, 也可以说是"可变性", 以便去处理重要的一般情形.

---

- 拉格朗日的表述最清楚而且最一般. 他使用达朗贝尔 (1752) 的方法,
  将具有两个实变量的一对微分方程合并为具有一个复变量的单个方程;
  他还得到了这样一个结果:
  - 任何两个将一个旋转曲面映射到 `(x, y)` 平面的共形映射,
    都可通过一个将 `(x, y)` 平面映射到自身的复函数 `f(x + iy)`
    互相联系起来.
  - 这些结果发展到极致便是高斯的结果 (1822),
    他将拉格朗日的定理推广到任意曲面映射到平面的共形映射.
- 反之, 一个复函数 `f(z)` 定义了一个 `z` 平面到自身之上的映射,
  很容易看出这个映射是共形的.
  - 事实上, 这是 `f` 的可微性的推论.

说极限

$$
\lim_{\delta z \to 0} \frac{f(z_0 + \delta z) - f(z_0)}{\delta z}
$$

存在, 就是说:

- 围绕
  $$ z_0 $$
  的圆盘
  $$ \{ z : | z - z_0 | < | \delta z | \} $$
  到围绕
  $$ f(z_0) $$
  的区域的映射, 当直径
  $$ | \delta z | $$
  趋于 `0` 时, 它趋向一个按比例缩放的映射. 如果导数表达为极形式:
  - $$ f'(z_0) = re^{ia} $$
  - 那么, `r` 是这个极限映射缩放的比例因子, `a` 是旋转的角度.
- 黎曼 (1851) 似乎是将共形映射性视为复函数理论基础的第一人.
  他在这个方向上最深刻的结果是黎曼映射定理. 该定理说,
  任何被单闭曲线界定的平面区域可以被共形地映射为单位圆盘,
  由此可知映射是一个复函数.
  - 黎曼`1851`年证明此定理, 依赖的是位势函数的性质.
  - 黎曼部分是根据物理直观, 即所谓的狄利克雷原理来论证这些性质的.
  - 这样的推理为`19`世纪分析学不断增长的严格性倾向所不容;
    更严格的证明由施瓦兹 (1870) 和诺依曼 (1870) 给出.
  - 然而, 当希尔伯特将狄利克雷原理建立在了一个坚实的基础上之后,
    黎曼关于复变函数论扎根于物理的信仰最终得到了人们的认同.

```
19 世纪数学最伟大的成就之一,
就是用统一的观点对三次曲线的所有这些表现进行了综合.
这种观点最初是被雅可比 (1834) 发现的,
而使它更清晰地成为复分析发展的焦点乃是黎曼 (1851) 和庞加莱 (1901) 共同的功劳.
椭圆曲线理论遂成为一门统一的学问, 并继续鼓舞着当代的很多研究者,
因为它似乎包含了一些数论中最迷人的问题.
```

## 微分几何

```
17 世纪微积分的发展受到曲线的几何问题的强烈刺激, 微分从构造切线的方法中脱颖而出,
积分则源于对面积和弧长的计算. 微积分不仅解开了经典曲线及笛卡儿定义的代数曲线的秘密,
而且扩张了曲线自身的概念. 一旦它能够用来精确地表示斜率, 长度和面积,
也就有可能使用这些量来定义新的, 非代数的曲线. 这样的曲线被笛卡儿称为是"机械的",
而莱布尼茨称之为"超越的".
代数曲线可以在一定深度上用纯代数方法加以研究, 与之相反,
超越曲线的研究则与微积分密不可分.
因此, 一组新的几何思想, 即"无穷小"或微分几何的思想,
开始从超越曲线的研究中应运而生就毫不足怪了.
```

- 最简单的常正曲率曲面是半径为 `r` 的球面,
  它在所有点的曲率都是
  $$ 1 / r^2 $$.
  - 其它曲率为
    $$ 1 / r^2 $$
    的曲面只能在弯曲球面的某些部分时得到; 然而希尔伯特 (1901) 已证明:
  - 所有这样的曲面都会有一些边或点, 使它在这些地方变得不再光滑.
  - 我们已经注意到, 平面是 `0` 曲率的,
    所有由平面或它的一部分弯曲而得的曲面也应如此.
- 尚待探讨的问题是: 是否存在常负曲率的曲面.
  - 在通常的空间中, 这样的曲面在每个点都有反向的主曲率, 如马鞍形状的曲面.
  - 有一些常负曲率的曲面, 其中最为著名的是伪球面,
    它是一条曳物线绕着 `x` 轴旋转而得到的旋转曲面.
  - 这种曲面早在`1693`年就被惠更斯研究过, 他求出了它的表面积, 是有限的,
    还求出了它所包裹的立体的体积和质量中心, 它们也都是有限的.

- 一条"直线"或所谓的测地线有两种等价的定义,
  - 一种说的是它具有最短距离性质,
  - 另一种则说出了它的零曲率性质.
- 在历史上首先出现的是最短距离的定义, 尽管从数学上看它较为深奥,
  而且会带来不便, 原因是测地线并不一定是两点之间的最短线.
  - 例如, 在球面上, 两个相邻的点
    $$ P_1 $$,
    $$ P_2 $$
    之间有两条测地线:
  - 即过
    $$ P_1 $$,
    $$ P_2 $$
    的大圆的较短部分和较长部分.
- 为了把两种定义包容在一起, 我们可以这样说:
  - 测地线给出了球面上任意足够接近的两点间的最短距离.
  - 但谈到最短距离, 即便是很接近的两点
    $$ P_i $$,
    $$ P_j $$
    间的最短距离, 都要去演算变分问题以求出从
    $$ P_i $$
    到
    $$ P_j $$
    间哪条曲线具有最短的长度.
- 尽管如此, 雅各布·伯努利和约翰·伯努利就是由此给出测地线的首个定义的,
  而且欧拉顺着这条路径找到了测地线满足的微分方程.

- 一条更基本的路径是, 对于曲面 `S` 上的曲线 `C`,
  其上的点 `P` 处的`测地曲率`
  $$ K_g $$
  可定义为 `C` 在过点 `P` 的 `S` 的切平面上的正交投影的通常曲率.
  - 正如人们所期望的, 测地曲率也可以内蕴地定义, 高斯 (1825)
    就是以这种方式引入
    $$ K_g $$
    的.
  - 于是, 测地线即是测地曲率为 `0` 的曲线.
- 由后一个定义可立即说明, 球面上的大圆是测地线,
  因为它们在切平面上的投影是直线.
  - 另一些例子有柱面上的水平直线, 竖直圆和螺旋线.
  - 这些都是由平面上的直线当平面卷成柱面时形成的.
  - 伪球面以及其它负曲率曲面上的测地线描述起来都没这么简单.

## 群论

- 群 `G` 形式上定义为一个带有运算的集合, 此运算称为乘法, 并用并置的方式表达:
  - 该集合中有一个特殊元素, 叫做`单位元`, 记为 `1`;
  - 对于每个
    $$ g \in G $$,
    存在 `g` 的逆元素, 记为
    $$ g^{-1} $$.
- 它们具有下列性质:
  - __结合性__:
    $$ g_{1} (g_{2} g_{3}) = (g_{1} g_{2}) g_{3} $$
    对所有
    $$ g_{1}, g_{2}, g_{3} \in G $$
    成立.
  - __单位元__:
    $$ g1 = 1g = g $$
    对所有
    $$ g \in G $$
    成立.
  - __逆性质__:
    $$ g g^{-1} = g^{-1} g = 1 $$
    对所有
    $$ g \in G $$
    成立.
- 这些公理是从研究特殊的群开始, 经过一个多世纪的发展才成型的,
  其间它们的基本面貌逐渐地浮现了出来,
  - 很多数学概念是随着期望某些乘积能够存在而被创造出来的,
    开始时人们往往并没觉悟到这些概念本身的作用.

- 早在`1321`年莱维·本·热尔松就发现了`n`件东西有`n!`种置换方式.
  这些置换都是可逆函数, 它们构成一个群
  $$ S_n $$,
  其中的乘法是合成, 然而, 它们在合成下的性态在`18`世纪以前从未被考虑过.
- 直到范德蒙德 (1771) 和拉格朗日 (1771) 将置换的思想应用到多项式方程的根上,
  才首次真正发现了置换的群论性质.
  - 同时, 范德蒙德和拉格朗日还发现, 这是理解方程有无根式解的关键.

---

- 范德蒙德和拉格朗日发现, 他们能够根据所对应的置换群
  $$ S_3 $$
  和
  $$ S_4 $$
  的对称缩减来解释以前得到的三次方程和四次方程的解, 他们还发现了子群的一些性质.
  例如, 拉格朗日本质上发现了现称为"拉格朗日定理"的结果:
  - 子群的阶数整除群的阶数.
- 但是, 他们不能充分理解当方程的次数 `n ≥ 5` 时, 根式与
  $$ S_n $$
  的子群之间的关系. 鲁菲尼 (1799) 和阿贝尔 (1826) 对
  $$ S_5 $$
  取得了足够的进步, 才得以证明五次方程的不可解性,
  但他们两人都未领悟到在处理任意方程时都要注意根式与置换之间的关系.
  - 事实上, 他们也没自觉意识到群概念.
  - 我们能够用群论术语解释他们的结果也仅仅是后知之明.
- 这个概念, 而且是"群"这个字, 首先出现在伽罗瓦的作品 (1831) 中.
  和群一起出现的还有正规子群的概念,
  它最后解开了根式可解性的秘密.
- 一个群 `G` 的子群
  $$ H = \{ h_1, h_2, ..., h_k \} $$
  称为是正规的, 是指对每个
  $$ g \in G $$
  都有

$$
\{ g h_1, g h_2, ..., g h_k \} = \{ h_1 g, h_2 g, ..., h_k g \}
$$

- 伽罗瓦证明: 每个方程 `E` 都存在由方程根的置换所作成的群
  $$ G_E $$,
  它保留根的有理函数不变;
  由引入 `E` 的根式所形成的对称性的减少对应于正规子群的形成.
  `E` 存在根式解的可能性, 仅当
  $$ G_E $$
  能经过正规子群链 (按某种方式排列) 最后约化为单位置换时才能实现.
  - 如果 `E` 是一般 `n` 次方程, 则
    $$ G_E = S_n $$;
    而此时只要证明
    $$ S_n $$
    不存在这样的正规子群链, 鲁菲尼和阿贝尔定理便又重新有用武之地了.
- 上面简略描述的伽罗瓦的思想只是伽罗瓦理论的一部分, 该理论的另一部分是他的域论,
  这里需要澄清有理函数的概念, 群论和域论形成了目前著名的"伽罗瓦理论".

---

- 伽罗瓦理解的"群"就是有限集合的置换群,
  所以他的定义仅叙述了群中两个置换的乘积必须也是群中的元素.
  - 结合性, 单位元和逆元素的存在是他的假定的推论;
  - 确实在伽罗瓦看来, 这些性质都太明显了, 以至没被他看得那么重要.
- 伽罗瓦的工作到 1846 年才发表; 那时, 有限置换群的理论已由柯西 (1844)
  接手研究并加以系统化.
  - 柯西同样在他的群定义中仅要求它在乘法下封闭, 但他认识到单位元和逆的重要性,
    并引入记号 `1` 代表单位元,
    $$ f^{-1} $$
    代表 `f` 的逆.

## 超复数

- 域这个概念还有另一个独立的起源, 即 `1830` 年左右伽罗瓦关于方程论的工作.
  为了方便起见, 我们从域的定义出发,
  然后解释它在哈密顿探索 `n` 元数组算术时的作用.
- 一个域是一些对象的集合, 在集合上定义了 `+` 和 `×` 运算.
  - 它们具有某些性质或者说满足某些"定律".
- 为了简明地陈述这些性质, 我们也使用 `-` 运算.
  - 注意, `"-"` 被解释为一种运算符, 它将自然数 `a` 转化为负数或加法逆元 `-a`.
  - 一个负数的负数是有定义的, 即我们永远有 `--a = a`;
  - 差 `a - b` 定义为 `a + (-b)`.
- 所以, `+` 和 `-` 有如下性质:
  - 结合律: `a + (b + c) = (a + b) + c`
  - 交换律: `a + b = b + a`
  - 加法逆元性质: `a + (-a) = 0`
  - `0` 的性质: `a + 0 = a`
- 另有类似的一组性质描绘 `×` 的性态:
  - 结合律: `a × (b × c) = (a × b) × c`
  - 交换律: `a × b = b × a`
  - `1` 的性质: `a × 1 = a`
  - `0` 的性质: `a × 0 = 0`
- 还有一条 `+` 和 `×` 互相作用的规则:
  - 分配律: `a × (b + c) = a × b + a × c`
- 以上性质定义了所谓的有单位元的交换环, 其最典型的例子就是整数的集合
  $$ \mathbb{Z} $$
  域的定义就是在上面的性质之外再加上存在乘法逆元
  $$ a^{-1} $$,
  后者对每个
  $$ a \ne 0 $$
  有定义并满足
  - 乘法逆元性质:
    $$ a \times a^{-1} = 1 $$
- 域的典型例子就是有理数系
  $$ \mathbb{Q} $$,
  实数系
  $$ \mathbb{R} $$
  和复数系
  $$ \mathbb{C} $$

## 代数数论

```
19 世纪, 强有力的代数数的理论逐渐发展壮大, 其目标在于更清晰地阐明通常的数论.
代数数在这方面功勋卓著, 同时也增强了自身的生命力;
到 20 世纪, 它的概念已被抽象的环论, 域论和向量空间理论据为己用.
```

## 拓扑

```
庞加莱也许是最后一位掌握所有数学分支的数学家.
像欧拉一样, 他滔滔不绝地在数学的一切领域中撰写文章;
事实上, 在科普作品方面他还超过了欧拉.
他写了许多本有关科学及其哲学的著作, 它们在 20 世纪早期是畅销书.
要不是他五十几岁突遭疾病侵袭, 他会像欧拉一样多产.
1911 年, 他迈出了不寻常的一步, 发表了一篇未完成的,
关于三体问题周期解的文章, 因为他相信自己活不到能完成证明的那一天了.
这条"庞加莱最后定理"真的在他 1912 年去世时尚未得以证明; 不过就在 1913 年,
美国数学家伯克霍夫完成了这个定理的证明.
```

- 庞加莱 (1895) 首次从拓扑上给出了基本群的定义,
  庞加莱的定义适用于相当一般的图形, 这些图形的万有覆盖并不一目了然,
  因此将其解释为是覆盖的运动群是后来的事. 如我们所知,
  庞加莱此前已经研究过镶嵌的运动群 (1882).
  - 他从拓扑观点重新考虑这些早先的结果 (1904), 从而得到了上述解释.
    这篇文章对于后来德恩 (1912) 和尼尔森 (1927) 的工作有很大影响,
    而且间接地影响到当代关注双曲几何的大潮的形成.
- 在庞加莱 (1895) 的文章中出现了基本群的更一般的概念,
  它的影响还超出了拓扑的范围.
  - 例如, 对于任一"合理描述的"图形
    $$ \mathfrak{F} $$,
    有可能计算出
    $$ \mathfrak{F} $$
    的基本群的生成元和定义关系.
  - 基本群的定义关系可能具有相当的任意性.
  - 事实上, 是完全的任意性.
- 于是问题便产生了: 群的性质能否由它的定义关系来确定呢?
  - 人们想知道, 例如, 何时两个不同的关系集定义同一个群.
  - 后一个问题是蒂策 (1908) 在追随庞加莱的工作所写的第一篇文章中提出的.
  - 蒂策有个惊人的猜想, 尽管那时还不能精确地表达 -- 该问题是不可解的.
  - 此后该问题被称为群的同构问题, 被奥迪安 (1957) 证明在下述意义下确实不可解,
    即不存在一种算法能对所有定义关系的有限集解答该问题.
- 在综合了奥迪安的结果和蒂策 (1908) 以及前面提到的塞弗特和特雷法尔的工作后,
  马尔可夫 (1958) 能够证明同胚问题的不可解性.
  - 这是一个判定问题: 给定两个"合理描述的"图形
    $$ \mathfrak{F}_1 $$
    和
    $$ \mathfrak{F}_2 $$,
    判定
    $$ \mathfrak{F}_1 $$
    是否同胚于
    $$ \mathfrak{F}_2 $$.
  - 于是, 庞加莱关于基本群的构造导致了相当出人意料的结论:
  - 拓扑学的这个基本问题是不可解的.

## 集合, 逻辑和计算

- 所有可数序数的上确界是最小的不可数序数
  $$ \omega_{1} $$.
  跟
  $$ \omega_{1} $$
  一一对应的那些集合的基数是紧接着可数基数
  $$ \aleph_{0} $$
  之后的下一个基数
  $$ \aleph_{1} $$.
  - 基数为
    $$ \aleph_{1} $$
    的序数具有一个基数为
    $$ \aleph_{2} $$
    的上确界
    $$ \omega_{2} $$,
    等等.
- 在找到了这种按部就班地生成接连不断的不可数基数的方法之后,
  康托尔重新考虑了不可数集
  $$ \mathbb{R} $$.
  - 尽管没有一种一目了然的方法以序数的方式来生成
    $$ \mathbb{R} $$
    的成员, 但康托尔猜想
    $$ \mathbb{R} $$
    的基数是
    $$ \aleph_{1} $$.
- 此后, 该猜想以"连续统假设"闻名于世. 到 `1900` 年,
  人们认为这是集合论中一个突出的未解决问题, 希尔伯特 (1900)
  把它作为他向数学界提出的 `23` 个著名问题中的第一个.
  - 自 `1900` 年以来, 涉及连续统问题有两个突出的成果,
    可是从中似乎还看不大出连续统假设是正确的.
  - 哥德尔 (1938) 证明, 连续统假设跟标准的集合论公理是相容的;
  - 而科恩 (1963) 证明, 其否命题也跟标准的集合论公理相容.
- 所以, 连续统假设是独立于标准集合论的,
  就像平行公设独立于欧几里得的其它公设一样,
  这是否意味着像"直线"概念那样,
  "集合"的概念也可以有合乎道理的各种不同的解释呢?
  - 这一点目前尚不清楚.

---

- 人们已经知道 (尽管没有严格的证明) 所有的连续函数都有积分;
  接下来的问题是, 是否应该或能够为不连续函数定义其积分.
  - 黎曼 (1854) 积分概念给出了第一个确切的回答,
    这是所有学习过微积分的学生都熟悉的 -- 它基于用阶梯函数来逼近被积函数.
  - 任何具有有限多个不连续点的函数, 都有黎曼积分;
  - 事实上, 某些 (但并非全部) 具有无穷多个不连续点的函数也有黎曼积分.
- 不存在黎曼积分的经典的函数是狄利克雷 (1829) 给出的函数:

$$
f(x) =
\begin{cases}
  1, & \mbox{若 }x\mbox{ 是有理数} \\
  0, & \mbox{若 }x\mbox{ 是无理数}
\end{cases}
$$

- 最后, 人们又引进了更一般的积分 - 勒贝格积分 - 来应对这类函数,
  但这是人们把关注的焦点从积分问题转向更基本的`测度`问题之后发生的.
  - 测度将 (直线
    $$ \mathbb{R} $$
    上的) 长度概念, (平面
    $$ \mathbb{R}^{2} $$
    上的) 面积概念等推广到一般的点集上.
  - 由于积分可视为图形下的面积, 所以它跟测度概念的依存关系是清楚的,
    尽管人们并没有立刻认识到首先需要弄清楚直线上的集合的测度.

------------------

* [代数的历史](https://book.douban.com/subject/35428125/)
  - 副标题: 人类对未知量的不舍追踪 (修订版)
  - 原作名: Unknown Quantity: A Real and Imaginary History of Algebra
  - 出版年: 2021-4
  - 感恩: **微信读书**
  - 美国数学学会推荐必读, 深受读者喜爱的数学经典, 重版再现

* 本书分成以下三个部分
  - **第一部分**: 从远古时期到大约公元 1600 年,
  - 字母符号体系 (即用字母表示数) 被广泛使用.
  - **第二部分**: 字母符号体系在数学上取得的首次辉煌成果,
  - 以及符号从传统算术和几何概念中缓慢分离最终导致新数学对象的发现.
  - **第三部分**: 近世代数
  - 把新的数学对象置于坚实的逻辑基础之上, 抽象层次更高.

* `多项式`只是所有数学表达式的一个小子集.
  如果引入除法, 我们就可以得到更大的一类表达式,
  这类表达式叫作`有理分式`.

* 尽管多项式在数学表达式中只占很小的比例,
  但是它们非常重要, 特别是在代数中更重要.
  当数学家使用形容词`"代数的"`时,
  通常可以被理解为`"关于多项式的"`.

* 现在我们使用 `"丢番图分析"` 表示
  `"寻找多项式方程的整数解"`.

* 总的来说, 与 `17` 世纪和 `19` 世纪相比,
  `18` 世纪是代数发展比较缓慢的时期.
  牛顿和莱布尼茨在 `17` 世纪六七十年代发明的
  微积分开辟了大量新的数学领域,
  但不包括本书中我所指的代数,
  而是如今被我们称为`"分析"`的领域
  - 研究**极限**, **无穷序列**, **级数**,
    **函数**, **微分**和**积分**等,
  - `分析`在当时是一个具有魅力的崭新领域,
    数学家们投入了极大的热情.

* 当且仅当在`复平面`内可构成正多边形的顶点的分圆点
  可以用整数和平方根符号表示时,
  这个正多边形才可以用尺规作出来.

* **拉格朗日定理**是现代群论的基石之一,
  群论在拉格朗日生活的时代还不存在.

* `五次方程不可解`的证明仅仅是阿贝尔的广泛的数学兴趣中的一个方面,
  他主要研究的是分析学中的`函数论`.

* 在 `19` 世纪早期, 所有这一切才刚开始流传.
  经过几代人对韦达和笛卡儿的字母符号体系的研究,
  数学家们开始认识到把两个数相加或相乘得到一个新数的合成只是一类运算的一种特殊情况,
  而这类运算还有更广泛的应用, 可以运用到根本不是数的对象上.
  - 他们习以为常的那些符号可以代表任何事物:
    `数`, `置换`, `数组`, `集合`, `旋转`, `变换`, `命题`, 等等.
  - 当人们意识到这一点时, **近世代数**诞生了.

* 现在我们已经来到一个新代数思想繁荣发展的时期,
  也就是 `19` 世纪中间的五十年. 在这段时期,
  人们不仅发现了**群**, 还发现了其他新的数学对象.
  `"代数"`已经不再是一个单数名词, 而变成了一个复数名词.
  `"域"`, `"环"`, `"向量空间"`, `"矩阵"` 等现代概念开始形成.

* `向量空间`理论中的一个重要思想是`线性相关`.

* 有了线性无关向量组的概念, 我们就可以定义向量空间的维数.
  它就是在这个空间中能找到的线性无关向量的最大个数.
  - **维数**和**基**是向量空间理论的基本术语.
  - `向量空间`这个概念是`纯代数`的, 不需要任何几何表示.

* 数学对象`"向量空间"`只是一种工具和一种抽象.
  我们可以选择不同的方式来表示它,
  例如用几何方式或多项式形式,
  以便让我们对用它处理的特定任务有更深刻的见解.

* 如果你想象把一个高维向量空间映射到一个低维向量空间,
  那么你就能明白我所说的意思,
  这叫作`"投影"`.
  - 反之, 低维向量空间也可以映射到高维向量空间,
    这叫作`"嵌入"`.

* 你甚至可以把一个向量空间映射到它自己的标量域,
  这种映射被称为`线性函数`.

* 一个空间上的所有线性函数组成的集合形成一个向量空间,
  其中的向量是`线性函数`.
  这个向量空间是原来向量空间的`对偶空间`,
  与原来的空间具有相同的维数.

* 具有这种附加特性的向量空间称为**一个代数**,
  即在这个向量空间中, 两个向量不仅可以相加,
  而且还可以相乘得到另一个向量.

* 除了乘法运算以外, 如果你还想对向量进行除法运算,
  那么你就必须继续限制你的选择.
  除非你放弃结合律, 或者允许向量空间的维数无限,
  或者允许标量是比普通数奇怪得多的东西,
  否则这些选项就只剩下 `实数域`, `复数域`, 以及`四元数体`.

* 因此, `19` 世纪 `40` 年代诞生了两个全新的数学对象,
  只是它们那时还没有被人理解, 其发明者也还没有给它们起这样的名称:
  - `向量空间`和`代数`.
  - 即使在发展的初始阶段,
    这两个想法也为数学研究创造了广阔的新机会.

* 黎曼重新拾起高斯留下的某些想法, 完全改变了研究`曲线`和`曲面`的几何的视角,
  比如, 他不再将弯曲的二维曲面看成嵌入在平坦的三维空间中的对象,
  而是通过一个不能离开该曲面表面的生物**从内部研究这个曲面**.
  - 这种`"内蕴几何"`可以很容易并且很明显地被推广到任意维,
    促成`现代微分几何`, `张量分析`以及广义相对论的诞生.

* 对行列式的研究最终推动了矩阵的发现, 这是近世代数中非常重要的主题.
  - 行列式是一个数, 而矩阵不是数,
  - 它是一类不同的事物,
  - 是一个不同的数学对象.

* 建立清晰明了的行列式理论只是时间问题. 这项工作是由柯西完成的,
  柯西这篇发表于 `1812` 年的论文通常被看作现代矩阵代数的开端.

* 大多数现代数学家对罗素的评述的回应是, 布尔事实上发明的不是纯数学,
  而是应用数学的一个新分支 -- 代数在逻辑学中的应用.
  - 在布尔的思想出现之后, 随后的历史证实了这一点.

* 布尔功勋卓著, 正是他把代数与逻辑结合在一起.

* 用于置换或替换的群的思想源于**伽罗瓦**, 我们可以认为,
  群的引入开创了`代数方程理论`发展的新时代.

* **域**和**群**是人们在 `19` 世纪初的一系列研究中发现
  的两个数学对象的名称. 从内部结构来看, 域比群更复杂.
  - 因此, 代数教材通常先介绍群, 再介绍域.
  - 尽管从某种意义上讲, 域比群更常见, 因而也更容易理解.
  - 群因为更简单, 从而有着更广泛的适用性, 所以总体而言,
    对纯粹代数学家来说, 群论比域论更具挑战性.

* 域是一个可以在其中随意进行加, 减, 乘, 除的数
  (或者其他东西, 但我们在这里说的是数) 系.
  - 无论你做多少次四则运算, 结果总是同一个域里的数.

* `有限域`通常被称为`伽罗瓦域`

* 系数属于某个域的多项式可能在一个更大的域中有根,
  这个更大的域和这个较小的域的关系可以用群论语言来表达,
  从而每一个与求解多项式方程有关的问题都可以转化成一个群论问题.

* 一个群就是一些对象组成的集合以及合成这些对象的一个法则,
  对象可以是置换, 数或其他任何东西. 法则通常用乘法表示,
  当然, 这只是一种方便的记法而已.
  - 如果这些对象不是数, 它就不是真正的乘法.

* 为了成为一个群, 集合 (对象连同法则) 必须满足以下原则或公理.
  - **封闭性**.
  - 两个元素的合成结果必须是其中另外一个元素, 必须`"待在群中"`.
  - **结合律**.
  - **存在单位元**.
  - 这个群里存在这样一个元素, 当其他任意元素与它合成时, 其他元素都保持不变.
  - **每个元素都有一个逆元**.

* 一个群中的元素的个数被称为这个群的`阶`.

* 关于群结构的第一个伟大定理是拉格朗日定理:
  - 子群的阶整除这个群的阶. 整除的商被称为这个子群的指数.
  - 根据拉格朗日定理, 分数指数不会出现.
  - 我们可以在 6 阶群中找到阶为 2 或 3 (指数分别为 3 或 2) 的子群,
    但是我们永远不可能在其中找到阶为 4 或 5 的子群,
    因为 6 不能被 4 或 5 整除.

* 伽罗瓦为群结构引入了一个关键概念,
  也就是我们今天所说的**正规子群**的概念.

* 所有`有限单群`的分类于 `20` 世纪中后期实现,
  并于 `1980` 年完成. 这是近世代数的伟大成就之一.

* 定义一个群相当简单, 只需要 4 条公理:
  `封闭性`, `结合律`, `单位元`和`逆元`.
* 如此的简洁性扩大了群的范围,
  就像简单的描述`"四条腿的生物"`比更长的描述`"拥有长牙和躯干的四条腿生物"`包含更多的物种一样.
* 正是群定义中的这种简洁性使得群的适用范围不仅限于数字.
  - 此外, 这种简洁性也给包含正规子群这个关键概念的群留有足够的余地,
    以便拥有复杂而有趣的内部结构.

* **域**是一个更复杂的对象, 它的定义需要 10 条公理.
  - 这种更高的复杂程度使得`"域"`的概念与普通数字的关联更加密切.
    矛盾的是, 这也限制了它拥有有趣的内部结构的可能性.
* 还有一个近世代数研究较多的数学对象: **环**.
  - 环比群更复杂, 但没有域那么复杂.
  - 因此, 尽管它的适用范围不如群那么广泛,
    但是它在普通数之外的应用比域更广.
  - 与群类似, 环可以拥有有趣的内部结构. 它的关键概念是`理想`.
* `"域"`的定义比`"环"`更严格, 其中有完整的除法.
* `"群"`的定义更宽松, 其中只有一种合成两个元素的方式,
* 定义一个`域`需要 `10` 条公理, 定义一个`环`只需要 `6` 条公理.

* 从严格的数学意义上说, 这里得到的不是真正的对称性,
  而是**齐次性**. 事实上, 这种类型的坐标被称为**齐次坐标**.
  尽管如此, 这毕竟是朝着正确的方向前进了一步,
  同时也展示了对称的概念在现代数学中有多么强大的吸引力.

* 新坐标系引出了现代数学中另外一个极为重要的话题.
  一旦开始研究这种新布局, 也就是我们添加`无穷远点`和`无穷远直线`后得到的事物,
  你就会发现它很精妙, 或者说很奇特, 不同于我们熟悉的平坦的欧几里得平面.
* 例如, 无穷远直线的另一端是什么呢? 我再问另外一个问题:
  - 给定两条平行线, 我们已经断言它们在某个无穷远点相交,
    如果想到达那个点, 我们应该沿着直线的哪个方向前进呢?
  - 如果这两条平行线是东西向的,
    那么这个无穷远点离东端更远还是离西端更远呢?
  - 这类问题表面上看起来很幼稚, 像是小孩子提出的问题,
    但它们非常重要.
  - 实际上, 这些问题把我们引向了**拓扑学**的领域.

* 黎曼引发的这次变革的重要性在于它为**函数论** (属于分析学) 与**拓扑学**
  (这是几何的一个分支, 当黎曼提出这一切的时候, 它刚刚开始出现)
  之间搭建了一座桥梁.

* 黎曼创造的`分析-拓扑`桥梁开创了使用 `20`
  世纪发展起来的`代数几何`和`代数拓扑`的精巧工具研究`函数论`的局面.
  - 其中一个核心定理是**黎曼-罗赫定理**,
    这个定理把一个函数的`解析性质`与对应的黎曼曲面的`拓扑性质`联系起来.

* 黎曼并没有满足于一次几何学变革, `1854` 年,
  他宣读的令人震惊的特许任教资格论文 **关于几何基础的假设**
  引发了第四次几何学变革.
  - 黎曼在其中构建了整个`现代微分几何`,
    提出了 `60` 年后被爱因斯坦用作广义相对论框架的数学.

* 在研究黎曼曲面时, 代数结果是间接的. 黎曼的论文给出了 `20`
  世纪的关键概念**流形**的原型.
  - **流形**是一个`"局部平坦"`的任意维空间, 也就是说,
    它在小范围内可以被近似看成普通的欧几里得空间,
  - 这就像在日常生活中, 我们可以把地球的弯曲表面看成平面一样.
  - **流形**成为 `20` 世纪代数几何中的关键概念.

* 一个流形可以有很多曲折的地方, 但是它在每一点处都是`"局部平坦的"`.

* 人们有可能构造出完全一般化的`连续群理论`,
  它们不局限于作用在平面之内, 而且可以作用于最一般的流形之上,
  可以得到连续群在高等微积分中的一些结论.
  **李**着手创建这个理论, 如今, 这个理论就是以他的名字命名的.

* 有了克莱因关于几何学群化的埃尔朗根纲领, 李的连续群理论,
  以及希尔伯特在 `1890` 年前后在环论领域的发现,
  `19` 世纪代数和代数几何的图景几乎已经讲完.

* 庞加莱是这样陈述的: 考虑一个曲面上的所有可能的若尔当闭路,
  即起点和终点相同的所有路径. 令这个基点固定不动,
  把所有闭路分成若干集族, 如果一条闭路能够光滑地变形为另一条闭路,
  那么这两条闭路就属于同一个族, 即它们是拓扑等价的.
  考虑这些族, 无论它们有多少.
  - 两个族的合成定义如下: 首先经过第一个族的一条路径,
    然后再经过第二个族的一条路径 (选择哪条路径无关紧要).

* 庞加莱成为**现代拓扑学**的创始人, 这里有点儿奇怪.
  - 数学家认为, 拓扑学实际上有两种风格: 一种源自几何学的启示,
    另一种源自分析学. 这里的`"分析"`指的是数学意义中的分析,
    即以函数, 极限, 微分和积分作为研究对象的数学分支,
    这些研究对象都与连续性有关.
  - 如果你回头看一下我在前面多次提到的光滑和连续变形,
    你就会掌握这种拓扑意义中的联系.
  - 从某种意义上说, 如果没有光滑, 连续,
    从一个位置到另一个位置的无穷小移动等基础概念,
    即一些分析的思维方式, 那么拓扑学就没有意义.

* 用数学术语来说, **分析**的对面是**组合**.

* `代数数`的理论体系非常庞大, 其基础是由高斯和库默尔建立的,
  你可以把这种理论体系称为`代数数论`, 数学家们也经常使用这种称呼.
  - 其次, 像`"群"`这样的近世代数概念已被证明对解决传统的数论问题非常有用.
  - 其中最著名的问题, 就是椭圆曲线上的有理点的分布问题.

* 彼时, `19` 世纪兴起的各种思想即将汇集到一起,
  形成对几何学的一种新认识, 这种新认识以`抽象代数`为基础,
  融合了`拓扑学`, `分析学`以及关于曲线和曲面的"现代经典"思想,
  甚至结合了`数论`.
* 希尔伯特的"啤酒杯"和诺特的环, 普吕克的直线和李的群,
  黎曼的流形和亨泽尔的域, 这些思想都汇合在`代数几何`的统一概念之下.
  这是 `20` 世纪的代数学取得的伟大成就之一,
  但这绝不是唯一的成就, 也不是争议最小的成就.

* **范畴论**是从**同调论**中自然产生的.
  在同调群最初从拓扑学中产生之后的四十年里,
  人们发现同调群与其他代数分支有着深刻的联系,
  特别是与希尔伯特关于多项式环的不变量的工作密切相关.
* 通过黎曼建立的`函数论`与`拓扑学`之间的联系,
  它们还与分析学相关, 与研究函数及函数族的高等微积分有关.
* 不久之后, 在 `20` 世纪 `50` 年代,
  这一切发展成一个被称为`同调代数`的研究领域.
  `1955` 年, 艾伦伯格与伟大的代数拓扑学家亨利·嘉当 (1904-2008)
  合作编写了第一部关于同调代数的著作.
  其中的普遍性非常高, 与范畴论可以自然地平行发展.

* **范畴论背后的一般思路如下**.
* 诸如`群`, `环`, `域`, `集合`, `向量空间`和`代数`这样的代数对象是由元素
  (例如数, 置换, 旋转) 和合成这些元素的一种或多种方式
  (例如加法, 加法和乘法或置换的合成) 构成的.
* 当我们找到把某个对象变换为, 或者说`"映射"`为另一个对象或者它自身的方法时,
  这些对象的结构往往会清晰地显示出来.
  - 例如, 向量空间是如何被映射到它自己的标量域的.
  - 同样, 伽罗瓦理论其中的核心问题:
    将一个解域置换或映射到它本身并且保持系数域不变.

* 1977 年, 来自中国的年轻数学家丘成桐 (1949- ) 证明了`卡拉比猜想`,
  这种类型的空间今天被称为`卡拉比-丘流形`.
  - 其曲率的简单性, 即某种"光滑性", 使得它们成为弦运动的理想选择,
  - 根据弦理论,
    这种运动在我们的仪器中看起来就像是各种各样的亚原子粒子和包括引力在内的各种力.
  - 这种空间是六维的这个事实有点儿令人惊讶, 但是这些"额外"的维度被"折叠起来",
    在以我们为主导的宏观世界中是看不见的,
    就像从足够远的地方看一根粗粗的三维缆索时, 它看起来像是一维的一样.

* 几何学讲的是空间, 如果我面对这间房间里的听众,
  我可以在一秒内或者是一微秒内看到很多, 接收到大量的信息.
* 在另一方面, 代数本质上涉及的是时间. 无论现在做的是哪一类代数,
  都是一连串的运算被一个接着一个罗列出来,
  这里"一个接着一个"的意思是我们必须有时间的概念.
  - 在一个静态的宇宙中,
    我们无法想象代数, 但几何的本质是静态的.

* 认为爱因斯坦把所有的绝对排除在物理之外,
  把我们丢进一个相对世界之中是一个非常普遍的误解.
  - 事实上, 他没有这样做.
* **爱因斯坦和牛顿一样都是"绝对论者"**.
  他排除的是绝对空间和绝对时间, 取而代之的是`绝对时空`.
  - 任何一本关于现代物理的畅销书都应该把这一点说清楚.

------------------

* [一个数学家的辩白 (双语版) ](https://book.douban.com/subject/34954763/)
  - 微信读书

```
事实上, 几乎没有比数学更 "大众化" 的学科.
大多数人都对数学有一定的鉴赏能力,
就像大多数人都能欣赏悦耳的曲调一样.
对数学感兴趣的人可能比对音乐感兴趣的人还要多.
```

* 大致说来, 如果某个数学思想能够以一种自然而富有启发性的方式
  和大量其他数学思想**联系**起来,
  那么它就是**重要的**.

* 数学思想似乎是分层排列的,
  每一层的思想之间由一种复杂的关系相连,
  上下层之间也互有联系. 层次越往下, 思想越深刻 (通常也会更难).
  因此, **无理数**的概念比整数的概念更深奥,
  而毕达哥拉斯定理也比欧几里得定理更深刻.

* **真正**数学家的**真正**数学,
  即`费马`, `欧拉`, `高斯`, `阿贝尔`和`黎曼`所研究的数学,
  几乎是完全无用的 (无论是**应用**数学还是**纯**数学都是如此).
  对于任何真正的职业数学家, 都不可能仅凭他工作的**实用性**来评判其一生.

* 这种说法通常是基于高斯说过的一句不太谨慎的名言, 其大意是:
  - 如果数学是科学的皇后, 那么数论就是数学的皇后, 因为它毫无用处.
* 我从来没有找到过这句话确切的出处.
  我确信高斯的这句话 (如果确实是他说的) 被相当粗暴地曲解了.

* 倘若有人能对**数学实在**做出令人信服的解释,
  那么就能解决许多最难的形而上学的问题.
  如果他能把**物理实在**囊括到他的解释里,
  那么他就能解决所有关于形而上学的问题.

* 我把`麦克斯韦`, `爱因斯坦`, `爱丁顿`和`狄拉克`也算作"真正的"数学家.
  现代应用数学在相对论和量子力学方面取得了巨大成就,
  而这些学科目前几乎和数论一样"毫无用处".

* 哈代**最具争议**的一个论点:
  - 真正的数学是无用的, 有用的数学是平凡的, 相对论, 量子力学几乎和数论一样毫无用处.
* 不过他也留有余地: 时间或许会改变一切.

* 一般人觉得**陈省身**的论点比较靠谱, 他在上海科技出版社的名家讲演录中说:
* "数学是什么? 一个严格的定义会引我们进入死胡同.
  大致说来, 数学和其他科学一样, 它的发展基于两个原因,
  一是奇怪的现象, 二是数学结果的应用."
