---
title: 普林斯顿数学指南 第三卷
description: 驿寄梅花, 鱼传尺素, 砌成此恨无重数. 郴江幸自绕郴山, 为谁流下潇湘去?
date: 2022-10-08
---

- [普林斯顿数学指南 (第三卷)](https://book.douban.com/subject/25817384/)
  - __不推荐!__: `第三卷`其实很鸡肋, 泛泛而谈!
  - __定理与问题__: 约 `15%` 篇幅
  - __数学家传记__: 约 `30%` 篇幅, 只看了: `维纳`
  - 正好即将拜读:
    [控制论](https://book.douban.com/subject/3805815/)
  - __数学的影响__: 约 `55%` 篇幅, 只看了部分

### 小波及其应用

```
我们现在说的"小波理论"的绝大部分是在 1980 年代和 1990 年代早期发展起来的,
它是建立在许多领域的现存的理论和一些洞察的基础上的,
其中包括调和分析 (数学), 计算机视觉和计算机图形学 (计算机科学),
信号分析和信号压缩 (电机工程), 相干态 (理论物理学) 和地震学 (地球物理学).
这些不同分支并不是一下子就走到一起来的, 而是逐渐地互相接近,
时常是偶然的环境造成的, 其中涉及许多不同的人.

在调和分析方面, 小波理论要追溯到 李特尔伍德 和 Paley 在 1930 年代的工作.

傅里叶分析的一个重要的原理是: 函数的光滑性反映在它的傅里叶变换上.
函数越光滑, 它的傅里叶变换就衰减得越快.
李特尔伍德 和 Paley 研究的是如何刻画局部光滑性的问题.
例如考虑一个周期为 1 的周期函数, 而且它在区间 [0, 1)
中只有一个不连续点 (然后这个不连续点又重复出现在此点的整数平移点上),
而在其余点上都是光滑的. 这种光滑性也反映在它的傅里叶系数上吗?

如果按照明显的方式来理解这个问题, 则答案是否定的:
不连续点使得傅里叶系数衰减得很慢, 不论它在其余点是如何光滑.
```

### 算法设计的数学

- 这篇短文的目标就是以例证说明数学形式化和计算的有启发性的应用之间的平衡.
  我们一开始就要建立起这种风格的最基本的定义性问题之一:
  - 怎样来陈述有效率的计算这个概念?

```
部分由于像这样的论证, 1960 年代的计算机科学家采用多项式时间为计算的效率的工作定义:
如果一个算法对于大小为 n 的输入所需要的运算步数像 n 的某次幂那样增长,
就认为这个算法是有效率的.
用多项式时间这个具体概念作为有效率这个比较模糊的概念的替代物,
正是这一点最后以其效用决定了真实的算法发展的成败.
一念之差决定成败, 这是一个典范.

在这一方面, 多项式时间成为在实践中有惊人力量的定义:
如果能够对一个问题发展一个多项式时间的算法.
这个问题一般都是高度地能够处理的问题, 而那些缺少多项式时间的算法的问题,
甚至对于不太大的输入也会提出严重的挑战.
```

```
计算机科学的成长定性地改变组合学和图论已经到了这样的程度,
以致算法问题和这些领域的研究主流彻底地互相交织.
概率论的技巧对于计算机科学的许多领域都成了基本的技巧:
概率算法的力量来自在执行这些算法时可以作随机的选择,
而对于一个算法的输入的概率模型,
能够使人对于来自实际问题的个例得到更加实际的看法.
这种风格的分析是离散概率理论中新问题的稳定来源.
```

```
这是数学思想可能出人意料地出现在算法研究中的另一个强有力的例证,
而且它还引导到关于计算的分布模型极限的新的洞察.
把对于算法及其复形的分析与代数拓扑学的经典结果综合起来,
就在某些情况下解决了这一领域中的一些棘手的待解决的问题,
证明了有些任务在分布系统中是无法解决的.
```

### 数学与密码

- 决定某个多项式是否为`既约的`以及是否为`本原的`,
  都有计算上为高效率的算法.
  - 用本原多项式为 `LFSR` 的基底的好处在于:
  - 在它所生成的序列中, 在所有的长度为
    $$ a_r $$
    的非零子序列都恰好出现一次以前, 不会有长度为
    $$ a_r $$
    的子序列重复地出现.
- 这一切怎样应用到密码学里去呢?
  一个简单的思想是取一个 `LFSR` 所生成的数据流,
  并且把它逐项加到我们想要加密的信件上去.
  - 举例来说, 如果 `LFSR` 生成的序列以 `1001101` 开始,
    而我们想要加密的信件是 `0000111`,
    则在加密以后得到的信件将从 `1001010` 开始,
    它是上面两个序列之和.
  - 为了要解密这封信件, 我们只需重复这个过程:
    再把 `1001101` 加到 `1001010`,
    就是加到刚才加密了的信件上去,
    这样就又得到原来的信件 `0000111`.
  - 想要这个方法行得通, 收信人需要知道这个 `LFSR` 的细节,
    才能再生成同样的序列 `1001101`.
  - 所以我们是用`反馈位置`作为密钥的.
  - 上面的流程在实用上并不算太好!

> 备注: 其实是`异或`

---

- 这个设计是很出色, 很优美的, 其中利用了有趣的数学结构
  (Daeman, Rijmen, 2002), 把每个分块中的 `128` 个 bit
  看成 `16` 个字节 (每个字节由 `8` 个 bit 构成), 排列成
  $$ 4 \times 4 $$
  的正方形.
  - 每一个字节则看成域
    $$ \mathbb{F}_{256} $$
    的元, 这个域中含有 `256` 个元.
  - 加密要进行 `10` 轮或更多的轮次 (准确的数目由密钥的长度决定),
    而在每一轮中都把数据和密钥混合起来.
- 每一轮分成若干步, 其典型情况如下:
  - 首先, 把每一个字节看成有限域
    $$ \mathbb{F}_{256} $$
    的元, 用它在此域中的逆来代替, 例外是 `0` 元, 因为它没有逆, 所以不动它.
  - 然后每一个字节看成是域
    $$ \mathbb{F}_{2} $$
    上的 `8` 维线性空间的元, 并用一个可逆的线性变换作用于其上.
  - 然后, 对
    $$ 4 \times 4 $$
    正方形的每一行做一个旋转, 各行旋转不同数目的字节.
  - 下一步则把正方形的每一列的值看成是域
    $$ \mathbb{F}_{256} $$
    上的 `3` 次多项式的系数, 并用一个固定的多项式去乘它, 并且 modulo
    $$ x^4 + 1 $$
    来约化它.
  - 最后, 把由加密密钥线性导出的这一轮所用的密钥 `mod 2`
    地加到这 `128 bit` 上去.
- 可以证明, 这里的每一步都是`可逆的`, 这就使得解码可以直接进行.
  - 很可能 `AES` 将要代替 `DES` 成为用得最广的分块密码.

> 不是`很可能`, 而是已经替代了!

---

- 一个比较形式化的说法是: 一个`单向函数` (one-way function)
  `H` 就是一个由集合 `X` 到其自身的具有下述性质的函数:
  - 如果给定了它的值 `y = H(x)`, 则反过来决定是哪些
    $$ x \in X $$
    使它取这个值从计算上来看是很困难的事.
  - 但是, 什么叫做从计算上来看很困难, 例如可以从计算的效率来观察.
  - 为此就需要一个"求逆密钥", 也就是一个秘密的 `z` 值,
    例如说是用来生成 `H` 的一个值, 有了它, 则从 `H(x)`
    来恢复 `x`, 就从计算上来看很容易了.
- 我们可以像下面这样来解决密钥的安全交换问题.
  假设 Bob 想要把一些数据安全地发给 Alice
  (特别有用的是发送一个共享的秘密作为他们以后的通讯密钥).
  - Alice 就先生成一个单向函数 `H`, 以及一个求逆密钥 `z`.
  - 然后就把函数 `H` 发给 `Bob` 但是把 `z` 仍然留作自己的私人秘密,
    不告诉任何人, 甚至也不告诉 Bob.
  - Bob 就取出他想发送的 `x`, 并且算出 `H(x)`,
    然后把计算的结果告诉 Alice.
  - Alice 因为保有了求逆密钥, 就能逆转这个函数, 从而恢复 `x`.

---

- Diffie-Hellman 的协议可以用`群论`的语言来表示.
  设有一个群 `G`, 以及其一个元素
  $$ g \in G $$.
  - 我们要求这个群是`阿贝尔群`, 而且用 `"+"` 号来表示群运算
    (迄今所有的例子中, 所考虑的群都是与某个整数 `N` 互素的数相乘所成的乘法群,
    所以在使用加号时, 表示我们采用了对数的视角).
- 为了要执行协议, Alice 就要计算一个自己私人保存的整数 `a`,
  并且算出 `ag`, 发送给 Bob.
  - 注意 `ag` 就是 `a` 个 `G` 中的元 `g` 之和, 而 Alice 可以在和
    `a` 的对数同阶的时间长度里把它算出来, 方法是把 `a` 反复加倍 (共约
    $$ \log_2 a $$
    次), 然后相加 (在前面考虑的乘法群中, `反复加倍`就是`反复平方`,
    `加法`就是`乘法`, 而`乘以 a` 就是求 `a 次幂`).
- 类似地, Bob 要算出一个私人的整数 `b` 以及 `bg`, 并把 `bg` 发送给 Alice.
- Alice 和 Bob 都能算出共享的值 `abg`,
  而对手只能知道 `G`, `g`, `ag` 和 `bg`.
- 问题在于有哪些群可以在实际的密码系统中使用?
  - 关键的性质是 `G` 中的离散对数问题必须很难, 换言之, 在知道 `G`,
    `g` 和 `ag` 以后, 必须很难知道 `a`.
- 引起从事密码工作的人的兴趣的一类群是`椭圆曲线`上的点生成的加群.
  - 椭圆曲线就是方程为
  - $$ y^2 = x^3 + ax + b $$
  - 的曲线, 它的形状依赖于曲线
  - $$ y = x^3 + ax + b $$
  - 与 `x` 轴相交的次数.
- 我们可以像下面那样来定义这条曲线上的点的`"加法规则"` (时常称为一个群法则).
  - 给定曲线上的两个点 `A` 和 `B`, 连接它们的直线一定还和曲线交于第三点,
    例如为 `C`.
  - 这是因为直线与三次曲线一定有 `3` 个实交点
    (如果已经有了两个实交点 `A` 和 `B` 的话).
  - 我们就定义 `A + B` 为 `C` 点对于 `x` 轴的镜像.

---

- 从这个定义看得很明显, `A + B = B + A`.
  令人吃惊的是: 结合律也成立, 就是说, 对于任意三点 `A`, `B`, `C`,
  一定有 `(A + B) + C = A + (B + C)`.
  - 为什么它会成立?
  - 当然有一些深刻的理由, 但是这可以用代数来直接验证.
- 要把这个群用于密码学,
  就需要知道这个群是由定义在一个有限域上的椭圆曲线上的点构成的.
  - 这时两个点之和的图像当然已经无效了, 但是代数定义仍然还在,
    所以加法仍然满足结合律.
  - 我们还需要把另一个点加到函数的曲线上去作为群的零元素,
    这个点就是曲线上的`"无穷远点"`.
- 为了达到最佳的安全性, 后来发现, 最好是找到一个定义在
  $$ \mathbb{F}_p $$
  上的曲线, 并使得此群中元素的个数是一个素数.
  - 事实上, 可以保证, 利用椭圆曲线理论的一个深刻的结果:
  - 定义在
    $$ \mathbb{F}_p $$
    上的曲线上的点的数目在
    $$ p + 1 - 2 \sqrt{p} $$
    和
    $$ p + 1 + 2 \sqrt{p} $$
    之间 (见 `韦伊猜想`).

---

- 应用这个群的理由是对于一般的曲线, 离散对数问题特别困难.
  - 如果群有 `n` 个元素, 而给定了群元素 `g` 和 `ag`,
    则按照现时已知的最好的算法, 由此得出 `a` 所需的步数是在 `√n` 左右,
    因为有一个所谓的`生日攻击法`, 使我们能对含有 `n` 个元素的任意群用
    `√n` 左右个计算步数把 `a` 算出来,
    这意味着对于椭圆曲线的群, 这个问题已经难到了极点了.
  - 所以, 不论所要求的安全性的水平如何, 公钥已经是可能的最短的了,
    如果为了能在最短可能的时间内执行这个协议, 而使可能传送的 bit
    的数目受到限制, 则公钥很短将是一个重要的事实.

### 您会问"数学是为了什么?"

```
有许多作者提醒读者, 哥德尔定理, 不确定性原理 (和混沌)
分别是关于数学中的形式系统和粒子物理学 (以及非线性微分方程) 的命题,
这样, 就与形而上学没有关系.

这些论著都说得头头是道, 但是完全没有说到点子上,
对于像罗素这样的探求确定性的人很难有任何宽慰.
形而上学的确定性, 不管它是什么, 总不会是比数学证明更小的束缚.

哥德尔定理, 即在一个形式系统内不可能证明这个形式系统的相容性,
可以很合理地认为是表明了形而上学的确定性不可能仅仅用数学方法来保证.
但是数学真理, 若用数学的标准来衡量, 一定是完全可靠以及可验证的.
```

------------------

- [随椋鸟飞行](https://book.douban.com/subject/36005491/)
  - 副标题: 复杂系统的奇境
  - 赠与 @`Jan`
  - __不推荐!__

```
一本很薄的小册子, 和 卡洛·罗韦利 (现实不似你所见, 时间的秩序) 的书类似风格.
这一类书籍的意义从来不在于把原理讲明白, 恰恰相反,
从细节中抽离, 若即若离, 让自己的思维绽放才是魅力所在!
```

------------------

- [控制论](https://book.douban.com/subject/3805815/)

> __不推荐!__ 时至今日, 涉及的多个学科都有了各自的长足发展~

- 统计力学的重要概念之一, 同时也能用在古典热力学中的, 就是熵的概念.
  它首先是用来反映相空间中的一种性质, 即表示相空间区域的概率测度的对数.
  - 例如, 假设在一个瓶中有 `n` 个粒子, 这个瓶被分为 `A` 和 `B` 两部分;
    让我们从动力学上来考虑这 `n` 个粒子系统的情形.
  - 如果 `m` 个粒子在 `A` 中, `n - m` 个粒子在 `B` 中,
    那么相空间中某个区域就特征化了:
  - 它具有一定的概率测度. 这概率测度的对数就是 `m` 个粒子在 `A` 中,
    `n - m` 个粒子在 `B` 中这种分布的熵.
- 这个力学系统大部分时间所处的状态将接近最大熵的状态, 也就是说,
  在大部分时间内, 约有
  $$ m_1 $$
  个粒子将在 `A` 中,
  $$ n - m_1 $$
  个粒子将在 `B` 中, 而
  $$ m_1 $$
  个在 `A` 中,
  $$ n - m_1 $$
  个在 `B` 中的组合概率最大.
  - 这意味着, 对于由大量粒子构成的系统和实际上可能识别的状态说,
    如果系统中粒子状态的分布使系统的熵不为最大,
    那么我们就观察到系统以后的变化几乎总是使得熵增加.
