---
title: 狭义与广义相对论浅说, 对称与不对称, 泡利的错误
description: 水调数声持酒听, 午醉醒来愁未醒, 送春春去几时回. 临晚镜, 伤流景, 往事后期空记省.
date: 2021-12-19
---

- [狭义与广义相对论浅说](https://book.douban.com/subject/1707050/)
  - 作者: 阿尔伯特·爱因斯坦
  - 原作名: Relatioity, The Special And The General Theory

- [对称与不对称](https://book.douban.com/subject/35358021/)
  - 李政道

- [泡利的错误](https://book.douban.com/subject/30333795/)
  - 作者: 卢昌海
  - 副标题: 科学殿堂的花和草

------------------

## 狭义与广义相对论浅说

```
我想说明, 空间-时间未必能看作是可以脱离物质世界的真实客体而独立存在的东西.
并不是物体存在于空间中, 而是这些物体具有空间广延性,
这样看来, 关于"一无所有的空间"的概念就失去了意义.

- 爱因斯坦 1952年6月9日
```

```
庞加莱主要是一个数学家, 而洛伦兹主要是一个理论物理学家.
可是谈到对相对论发展的贡献, 情况却恰好相反:
洛伦兹提出了许多数学表达式, 而庞加莱却提出了普遍原理.
```

## 狭义相对论

- 由此推论, 一个自然客体也是与一条直线相联系的, 一个刚体上的三个点`A`, `B`和`C`,
  如果已经给定`A`点和`C`点, 而`B`点的选择已使距离`AB`和`BC`之和为最小,
  则这三点位于一直线上, 这一不完整的提法对我们目前的讨论是能够满足的.

- 描述一事件发生的地点或一物体在空间中的位置,
  都是以能够在一刚体(参考物体)上确定该事件或该物体的相重点为根据的.

- 由此我们得到如下的结果:
  事件在空间中的位置的每一种描述都要使用为描述这些事件而必须参照的一个刚体.
  所得出的关系以假定欧几里得几何学的定理适用于"距离"为依据;
  "距离"在物理上一般习惯是以一刚体上的两个标记来表示.

---

- 若`K`为一伽利略坐标系, 则其他每一个相对于`K`作匀速平移运动的坐标系`K'`亦为一伽利略坐标系.
  相对于`K'`, 正如相对于`K`一样, 伽利略-牛顿力学定律也是成立的.
- 如果我们把上面的推论作如下的表述, 我们在推广方面就前进了一步:
  - 如果`K'`是相对于`K`作匀速运动而无转动的坐标系, 那么,
    自然现象相对于坐标系`K'`的实际演变将与相对于坐标系`K`的实际演变一样依据同样的普遍定律.
  - 这个陈述称为相对性原理(狭义).

- 根据相对性原理, 真空中光的传播定律, 就像所有其他普遍的自然界定律一样,
  不论以车厢作为参考物体还是以路轨作为参考物体, 都必须是一样的.

- 相对论就是在这个关头产生的. 由于分析了时间和空间的物理概念,
  人们开始清楚地看到, 相对性原理和光的传播定律实际上丝毫没有抵触之处,
  如果系统地贯彻这两个定律, 就能够得到一个逻辑严谨的理论.

- 对于同时性的定义仅有一个要求,
  那就是在每一个实际情况中这个定义必须为我们提供一个实验方法来判断所规定的概念是否真被满足.
  我的定义已经满足这个要求是无可争辩的.
  - 光从`A`传播到`M`与从`B`传播到`M`所需时间相同, 这实际上既不是关于光的物理性质的假定,
    也不是关于光的物理性质的假说,
    而仅是为了得出同时性的定义我按照我自己的自由意志所能作出的一种规定.

- 由此我们也可以得出物理学的"时间"定义. 为此,
  我们假定把构造完全相同的钟放在铁路线(坐标系)上的`A`, `B`和`C`诸点上, 并这样校准它们,
  使它们的指针同时(按照上述意义来理解)指着相同的位置.
  - 在这些条件下,
    我们把一个事件的"时间"理解为放置在该事件的(空间)最邻近处的那个钟上的读数(指针所指位置).
  - 这样, 每一个本质上可以观测的事件都有一个时间数值与之相联系.

- 我们进一步假定, 如果有三个事件`A`, `B`和`C`在不同地点按照下列方式发生,
  即`A`与`B`同时, 而`B`又与`C`同时(同时的意义按照上述定义来理解),
  那么`A`和`C`这一对事件的同时性的判据就也得到了满足.
  - 这个假定是关于光的传播定律的一个物理假说;
    如果我们支持真空中光速恒定定律, 这个假定就必然被满足.

- 对于路基是同时的若干事件, 对于火车并不是同时的, 反之亦然(同时性的相对性).
  每一个参考物体(坐标系)都有它本身的特殊的时间;
  除非我们讲出关于时间的陈述是相对于哪一个参考物体的,
  否则关于一个事件的时间的陈述就没有意义.

- 我们能否设想,
  在各个事件相对于一个参考物体的地点和时间与各该事件相对于另一个参考物体的地点和时间之间,
  存在着这样一种关系, 使得每一条光线无论相对于路基还是相对于火车,
  它的传播速度都是`c`呢?
  - 这个问题获得了一个十分明确的肯定解答,
    并且导致了用来把一个事件的空-时量值从一个参考物体变换到另一个参考物体的一个十分明确的变换定律.

- 在洛伦兹变换方程中, 我们如以无穷大值代换光速`c`, 就可以得到伽利略变换方程.

- 在相对论中, 速度`c`具有极限速度的意义,
  任何实在的物体既不能达到也不能超出这个速度.

```
每一个普遍的自然界定律必须是这样建立的:
若我们引用新的坐标系 K' 的空时变量 x', y', z', t'
来代替原来的坐标系 K 的空时变量 x, y, z, t,
则经过变换以后该定律仍将取与原来完全相同的形式.
这里, 不带撇的量和带撇的量之间的关系就由洛伦兹变换公式来决定.
或简言之: 普遍的自然界定律对于洛伦兹变换是协变的.
```

- 狭义相对论导致的具有普遍性的最重要的结果是关于质量的概念.
  在相对论创立前, 物理学确认两个具有基本重要性的守恒定律,
  即能量守恒定律和质量守恒定律;
  - 过去这两个基本定律看来好像是完全相互独立的.
  - 借助于相对论, 这两个定律已结合为一个定律.

- 可见物体的惯性质量并不是一个恒量, 而是随物体的能量的改变而改变的.
  甚至可以认为一个物系的惯性质量就是它的能量的量度.
  于是一个物系的质量守恒定律与能量守恒定律就成为同一的了,
  而且这质量守恒定律只有在该物系既不吸收也不放出能量的情况下才是正确的.

```
对于时间和空间的传统偏见不容许对伽利略变换在从一个参考物体变换到
另一个参考物体中所占有的首要地位产生任何怀疑.
设麦克斯韦-洛伦兹方程对于一个参考物体 K 是成立的,
那么如果假定坐标系 K 和相对于 K 作匀速运动的坐标系 K' 之间存在着伽利略变换关系,
我们就会发现这些方程对于 K' 不能成立.
```

- 过去我们不习惯于把具有这个意义的世界看作是一个四维连续区是由于在相对论创立前的物理学中,
  时间充当着不同于空间坐标的更为独立的角色.
  - 由于这个理由, 我们一向习惯于把时间看作一个独立的连续区.
- 在相对论中, 用四维方式来考察这个"世界"是很自然的,
  因为按照相对论, 时间已经失去了它的独立性.
  - 这已由洛伦兹变换的第四方程表明.

- 我们所引用的原理不仅认为我们可以选取车厢,
  也可以选取路基作为我们的参考物体来描述任何事件,
  我们的原理所断言的乃是:
  - 如果我们表述从经验得来的普遍的自然界定律时引用
  - (1) 路基作为参考物体,
  - (2) 车厢作为参考物体,
  - 那么这些普遍的自然界定律 (例如力学诸定律或真空中光的传播定律)
    在这两种情况中的形式完全一样.
- 这一点也可以表述如下:
  对于自然过程的物理描述而言, 在参考物体`K`, `K'`中没有一个与另一个相比是唯一的.
  - 与第一个陈述不同, 后一个陈述并不一定是根据推论必然成立的;
    这个陈述并不包含在"运动"和"参考物体"的概念中,
    也不能从这些概念推导出来;
  - 唯有经验才能确定这个陈述是正确的还是不正确的.
  - 但是, 到目前为止, 我们根本没有认定所有参考物体`K`在表述自然界定律方面具有等效性.

### 广义相对论

- 一质点若不受外界作用并离所有其他质点足够远, 则该质点沿直线作匀速运动.
  参照`K` (伽利略参考物体) 表述的自然界定律应该是最简单的.
  但是除`K`以外, 参照所有参考物体`K'`表述的自然界定律也应该是最简单的,
  而且, 只要这些参考物体相对于`K`是处于匀速直线无转动运动状态,
  这些参考物体对于表述自然界定律应该与`K`完全等效; 所有这些参考物体都应认为是伽利略参考物体.
- 以往我们假定相对性原理只是对于这些参考物体才是有效的,
  而对于其他参考物体 (例如具有另一种运动状态的参考物体) 则是无效的.
  - 在这个意义上我们说它是狭义相对性原理或狭义相对论.
- 与此对比, 我们把"广义相对性原理"理解为下述陈述:
  所有参考物体`K`, `K'`等, 不论它们的运动状态如何, 对于描述自然现象
  (表述普遍的自然界定律) 都是等效的.
  - 但是在我们继续谈下去以前应该指出, 这一陈述在以后必须代之以一个更为抽象的陈述,
    其理由要等到以后才会明白.

- 按照牛顿运动定律, 我们有
  - `力 = 惯性质量 × 加速度`
  - 其中`"惯性质量"`是被加速的物体的一个特征恒量.
- 如果引力是加速度的起因, 我们就有
  - `力 = 引力质量 × 引力场强度`
  - 其中`"引力质量"`同样是物体的一个特征恒量.

```
我们已经说过几次, 经典力学是从下述定律出发的:
离其他质点足够远的质点继续作匀速直线运动或继续保持静止状态.
我们也曾一再强调, 这个基本定律只有对于这样一些参考物体 K 才有效,
这些参考物体具有某些特别的运动状态并相对作匀速平移运动.
相对于其他参考物体 K', 这个定律就失效.
所以我们在经典力学中和在狭义相对论中都把参考物体 K 和参考物体 K' 区分开;
相对于参考物体 K, 公认的"自然界定律"可以说是成立的,
而相对于参考物体 K' 则这些定律并不成立.
```

- 光线的弯曲只有在光的传播速度随位置而改变时才能发生.
  我们或许会想, 由于这种情况, 狭义相对论以及随之整个相对论,
  都要化为灰烬了. 但实际上并不是这样.
- 我们只能作这样的结论: 不能认为狭义相对论的有效性是无止境的;
  只有在我们能够不考虑引力场对现象 (例如光的现象) 的影响时,
  狭义相对论的结果才能成立.

- 在每一个引力场中, 一个钟走得快些或者慢些, 要看这个钟 (静止地) 所放的位置如何.
  由于这个缘故, 要借助于相对于参考物体静止地放置的钟来得出合理的时间定义是不可能的.

- 这证明, 在转动的圆盘上, 或者普遍地说, 在一个引力场中,
  欧几里得几何学的命题并不能严格地成立,
  至少是如果我们把量杆在一切位置和每一个取向的长度都算作 `1` 的话.
  - 因而关于直线的观念也就失去了意义.

- 我们可以对此总结如下: 高斯发明了对一般连续区作数学表述的方法,
  在表述中下了"大小关系" (邻点间的"距离") 的定义.
  对于一个连续区的每一个点可标以若干个数 (高斯坐标), 这个连续区有多少维,
  就标多少个数. 这是这样来做的:
  - 每个点上所标的数只可能有一个意义,
    并且相邻诸点应该用彼此相差一个无穷小量的数 (高斯坐标) 来标出.
- 高斯坐标系是笛卡尔坐标系的一个逻辑推广.
  高斯坐标系也可以适用于非欧几里得连续区, 但是只有在下述情况下才可以:
  - 即相对于既定的"大小"或"距离"的定义而言,
    我们所考虑的连续区的各个小的部分愈小,
    其表现就愈像一个真正的欧几里得系统.

- 下面的陈述是普遍成立的: 每一个物理描述本身可分成许多个陈述,
  每一个陈述都涉及`A`, `B`两事件的空时重合. 从高斯坐标来说, 每一个这样的陈述,
  是用两事件的四个坐标`x1`, `x2`, `x3`, `x4`相符的说法来表达的.
- 因此, 实际上,
  使用高斯坐标所作的关于时空连续区的描述可以完全代替必须借助于一个参考物体的描述,
  而且不会有后一种描述方式的缺点;
  因为前一种描述方式不必受所描述的连续区的欧几里得特性的限制.

- 必须用高斯坐标系代替参考物体, 下面的陈述才与广义相对性原理的基本观念相一致:
  - "所有的高斯坐标系对于表述普遍的自然界定律在本质上是等效的."

- 在引力场中, 并没有像具有欧几里得性质的刚体那样的东西; 因此,
  虚设的刚性参考物体在广义相对论中是没有用处的.
  - 钟的运动也受引力场的影响, 由于这种影响,
    直接借助于钟而作出的关于时间的物理定义不可能达到狭义相对论中同样程度的真实感.

### 关于整个宇宙的一些考虑

- 能否设想一个球面空间呢? 设想一个空间只不过是意味着我们设想我们的"空间"经验的一个模型,
  这种"空间"经验是我们在移动"刚"体时能够体会到的. 在这个意义上我们能够设想一个球面空间.
- 设我们从一点向所有各个方向画线或拉绳索, 并用一根量杆在每根线或绳索上量取距离 `r`.
  这些具有长度`r`的线或绳索的所有的自由端点都位于一个球面上.
  我们能够借助于一个用量杆构成的正方形用特别方法把这个曲面的面积(`F`)测量出来.
  如果这个宇宙是欧几里得宇宙, 则
  $$ F = 4 \pi r^2 $$;
  如果这个宇宙是球面宇宙, 那么`F`就总是小于
  $$ 4 \pi r^2 $$.
- 随着`r`的值的增大, `F`从零增大到一个最大值, 这个最大值是由"世界半径"来确定的,
  但随着`r`的值的进一步增大, 这个面积就会逐渐缩小以至于零.
  - 起初, 从始点辐射出去的直线彼此散开而且相距越来越远, 但后来又相互趋近,
    最后它们终于在与始点相对立的"对立点"上再次相会.
  - 在这种情况下它们穿越了整个球面空间. 不难看出, 这个三维球面空间与二维球面十分相似.
    这个球面空间是有限的 (亦即体积是有限的), 同时又是无界的.
- 可以提一下, 还有另一种弯曲空间: "椭圆空间". 可以把"椭圆空间"看作这样的弯曲空间,
  即在这个空间中两个"对立点"是等样的 (不可辨别的).
  - 因此, 在某种程度上可以把椭圆宇宙当作一个具有中心对称的弯曲宇宙.

- 我们可以设想, 就几何学而论, 我们的宇宙的性质与这样的一个曲面相似,
  这个曲面在它的各个个别部分上是不规则地弯曲的,
  但整个曲面没有什么地方与一个平面有显著的差别, 就像是一个有细微波纹的湖面.
  - 这样的宇宙可以恰当地称为准欧几里得宇宙.
  - 就其空间而言, 这个宇宙是无限的. 但是计算表明,
    在一个准欧几里得宇宙中物质的平均密度必然要等于零.
  - 因此这样的宇宙不可能处处有物质存在.

- 如果在这个宇宙中我们有一个不等于零的物质平均密度, 那么,
  不论这个密度与零相差多么小, 这个宇宙就不可能是准欧几里得的.
  相反, 计算的结果表明, 如果物质是均匀分布的, 宇宙就必然是球形的 (或椭圆的).
- 由于实际上物质的细微分布不是均匀的, 因而实在的宇宙在其各个个别部分上会与球形有出入,
  亦即宇宙将是准球形的. 但是这个宇宙必然是有限的.
  - 实际上这个理论向我们提供了宇宙的空间广度与宇宙的物质平均密度之间的简单关系.

------------------

## 对称与不对称

- 类似这样在指数上有分数的规律在自然界是很普遍的, 称为`分形`.

- 宇称守恒定律的否定, 正是由于发现了基本粒子在其弱相互作用中有不对称的变化.

- 事实上, 所有的对称原理, 均基于下述假设:
  - 某些基本量是不可能观察到的.
- 这些量将被称为"不可观测量"; 反之, 只要某个不可观测量变成可观测量,
  那么, 我们就有对称性的破坏.

---

- 如果回顾一下我们前面的推理过程, 就会发现其中有三个逻辑步骤:
  - (1) 物理假设: 绝对位置是不可观测的;
  - (2) 相互作用能在由方程表示的联合数学变换下是不变的;
  - (3) 动量守恒定律的物理结论.
- 反过来, 我们可用动量守恒定律来检验绝对位置是否不可观测.
  - 相互作用能不变的性质常称为"不变性"
  - 在此情形, 称为在空间平移变换下有不变性.
- 完全类似地, 我们假定"绝对时间"是不可观察的,
  于是物理规律在时间平移下必定是对称的 (不变的),
  而这又导致能量守恒律
  - 这是因为当时间增加一个任意小量时, 总能量不变;
    因而, 总能量必定为一与时间无关的常量.
- 由假定空间的"绝对方向"的不可观测性, 我们可以导出转动不变性, 并得到角动量守恒律.
  - 此推导与我们推出空间平移下的动量守恒律的步骤完全相同;
  - 只需在方程中把"空间中的位置"改成"角位置".
  - 于是, 空间平移变成角转动, 动量守恒变成角动量守恒.
- 这个逻辑步骤可推广到物理学中用到的所有对称性原理, 从相对论到量子理论.
  在我们对自然界进行理论分析时, 这是一个极为有力的工具.
- 从很简单的不可观测性假设出发, 可以得到意义深远的普遍结论,
  而与所考虑的特殊系统的细致结构无关.

---

- 因为"不可观测"意味着对称性, 所以,
  任何不对称性的发现必定意味着存在某种可观测量.

- 我们知道, 日常生活中的电荷符号只是一种约定. 例如, 我们说电子带负电,
  只是因为我们凑巧称质子带的电荷为正电荷; 反过来也是对的.
  - 但是, 现在随着不对称性的发现, 是否有可能对电荷的符号下一个绝对定义呢?
  - 我们能否找到在正, 负电荷之间, 或者在左, 右之间的绝对差别呢?

- 设想有两个高度发达的文明世界 `A` 和 `B`. 这两个文明世界空间上是完全隔离开的;
  尽管如此, 他们决定建立通信, 但只能用电荷中性的,
  非极化的信号 (例如, 非偏振光) 来传达信息.
  - 经过若干年这样的通信之后, 这两个文明世界可能决定增进接触.
  - 既然他们是高度发达的, 他们自然会认识到, 他们之间必须首先对下列两项条款达成协议:
  - (1) 电荷符号;
  - (2) "左, 右螺旋"的定义.
- 总而言之, 我们关心的学术问题是, 他们是否有可能只用电荷中性和非极化的信号来传递这两条消息.
  - 如果不是多年前发现了对称性的破坏, 这是不可能的.

- 它们可以产生长寿命中性 `K` 介子, 它不带电荷, 没有任何一种电磁矩, 也没有自旋,
  是球对称的, 其质量大约为电子的 `1000` 倍.
  - 是不稳定粒子, 可以衰变成一个电子 `e-`, 一个反中微子和一个正`π`介子 (`π+`),
  - 也可以衰变成它们的反粒子, 即一个正电子 (`e+`), 一个中微子 (`v`) 和一个负`π`介子 (`π-`).
  - 这两种不同的衰变方式可以用 `e+` 和 `e-` 的磁偏转不同来区分.
  - 两个文明世界的物理学家会发现, 虽然母粒子是中性的, 但这两种衰变的衰变率是不同的.

- 这确实非常有意义, 因为这意味着, 通过测量衰变率就可以把 `e+` 与 `e-` 区分开了.
  于是, 符号相反的电荷之间有了绝对的差别. 如果我们停下来想想这件事,
  就会感到十分惊讶, 这真是太出人意料了, 要知道, 初始粒子是完全电中性的.
  - 因此, 我们自然假定不会对电荷的正号或负号有任何偏向的;
  - 然而, 现在发现衰变到 `e+` 竟然比衰变到 `e-` 要快;
  - 所以, 现在每个文明世界只需要考察较快的衰变方式,
    并将其末态电子 `e` 的电荷与该文明世界的"质子"电荷去比较,
    如果两个文明世界符号相同, 那就意味着它们是由同样的物质组成的.

---

- 现在, 我们来看第二项任务: 右手螺旋的定义.
  这可以通过在上述`K`介子衰变中测量中微子或反中微子的自旋与动量方向来定义.
  - 中微子和反中微子都是有自旋 (角动量) 的.
  - 对于中微子, 如果你用左手大拇指与其动量方向平行,
    那么, 其余四个弯曲的手指总指向其自旋方向.
  - 因此, 一个中微子的自旋和动量方向定义了一个左手螺旋.
  - 而一个反中微子的自旋和动量方向则定义了一个右手螺旋.
  - 这个性质对于中微子和反中微子是永远成立的, 与它们是如何产生的没有关系.

- 现在, 回到两个文明世界的问题. 我们看到,
  通过测量粒子两种衰变的衰变率及由中微子定义的螺旋性,
  这两个文明世界确实能够通过中性, 非极化的方式,
  对正负号电荷和左右手螺旋给出一种绝对的定义.

---

- 我们能够对电荷符号给出一个绝对的定义这件事本身意味着, 自然界对电荷符号是不对称的.
  用物理学家的术语, 这称为"电荷共轭对称破坏"或`C`破坏.
  - 类似地, 我们能够对右手螺旋给出一个绝对的定义这件事意味着, 左与右是不对称的,
    或在镜像反射下不对称. 这称为`"宇称破坏"`, 或`P`破坏.
  - 电荷正负号交换用`C`表示, 而左与右交换用`P`表示.

- 物理学家还证明, 下面三个看上去似乎没有关系的对称操作之间存在一种紧密的联系:
  - `C` 电荷变号,
  - `P` 镜像反射,
  - `T` 时间反演.
- 我们已经讨论过, 自然界在`C`或`P`下不是对称的.
  - 通过对`K`介子衰变更加仔细的考察, 我们发现, 自然界在时间反演下也不是对称的.
  - 然而, 我们知道, 在这三个操作的联合操作下, 自然界是严格对称的.
  - 这称为 __CPT__ 对称性.

- 如果你把中微子拿来, 动量沿左手大拇指方向,
  则中微子的自旋永远是沿左手其他四指弯曲的方向, 我们称之为左手的中微子.
  - 假如你在镜子里面看中微子的话, 则是沿右手大拇指方向前进的中微子,
    且自旋方向应该沿右手其他四指弯曲的方向.
  - 可是, 右手中微子是没有的, 但反中微子是右手的. 把粒子变成反粒子,
    中微子变成反中微子, 然后左手变成右手, 好像又对称起来了, 这叫`CP`对称.
  - `C`是粒子变成反粒子, `P`是左和右互变.

---

- `1956`年还有一个重要定理, 就是 __CPT__ 总是守恒的, 所以,
  `CP`不对称也表明时间反演不对称.
  - 这是很奇怪的.
- 时间反演对称`T`是说: 任何运动的时间逆转过程也是一个可能的运动.

- 在物理学中, 时间反演对称指的是所有分子, 原子, 原子核和亚核粒子反应中的微观可逆性.
  - 由于这些分子, 原子, 原子核和亚核粒子都不可能打上标志, 所以,
    自然界中任何宏观系统都表现出不可逆性.
  - 这个结果与微观可逆性无关. 在任何宏观过程中, 我们必须对大量无标志的微观原子,
    分子等粒子进行平均, 并且, 由此引起在宏观上的不可逆性.
  - 正是在无序性 (熵) 增加的统计意义上, 我们定义了宏观时间流动的方向.

---

- 按照我们现在的观点, 物理真空具有以下性质:
  - (1) 没有物质的态;
  - (2) 但由于有相互作用, 有能量涨落 (虚物质);
  - (3) 有洛仑兹不变性;
  - (4) 因此不是以太;
  - (5) 有复杂的凝聚能够破坏对称;
  - (6) 好像超导体, 可以有相变.

- 我们利用一个事实, 即一个典型的重离子核的直径大约为`10`费米, 通过把两束核,
  比如说金 (`Au`) 核, 加速到很高能量, 并让它们发生对头碰撞, 我们可以使碰撞核加热,
  从而改变真空的性质.
  - 经受改变的真空本身在短时间内表现为一个"气泡";
    有时甚至在参与碰撞的核相互远离以后,
    "气泡"还可以存在一个短暂时间.

- 在量子色动力学中把真空看成一种复杂介质. 核子和介子看成在这种介质里的气泡 (半径大约`1`费米).
  在每个气泡 (称为"口袋") 内, 对介子有一个夸克-反夸克对, 对核子有三个夸克.
  - 由于真空对气泡的压力, 夸克不可能出来, 这就造成了"夸克禁闭"现象.
  - 而在气泡内部, 夸克可以很自由地运动.
  - 夸克的动能与外面真空的压力平衡, 使气泡不至于垮掉.

- 我们看到, 要解决这两个大难题: 失去的对称性和看不见的夸克, 都必须求助于真空的动力学.
  - 假如真空果真是粒子物理微观世界中这些奇异现象的根本原因,
    那么它对宇宙中能量和物质的宏观分布一定也会有重要的影响.
  - 因为真空是无所不在, 又是永远存在的, 宏观世界与微观世界这两者必定紧密联系在一起,
    不可能把其中任何一个看成分立的个体.

- 我们认为, 在真空的涨落中, 很可能有磁单极子和反磁单极子, 它们抗量子色动力学的场.
  真空是物理的相对论性的凝聚态, 它虽然是没有物质的态, 却是有作用的, 也是可以激发的.

- 小的粒子, 是在很广泛的真空里, 而真空很复杂, 是个凝聚态, 是有构造的.
  - 也就是微观的粒子和宏观的真空是分不开的, 这两个必须同时处理.
  - 知道了基本粒子就知道真空的观念是不对的.
  - 从这个简单化的观点出发就不会有暗物质, 也不会有类星体这类东西.

------------------

## 泡利的错误: 科学殿堂的花和草

### 追寻引力的量子理论

- 虽然量子引力理论的主要进展大都是最近取得的,
  但引力量子化的想法早在`1930`年就已经由比利时物理学家`莱昂·罗森菲尔德`提出了.
- 从某种意义上讲, 在今天的大多数研究中,
  量子理论与其说是一种具体理论, 不如说是一种理论框架, 一种对具体理论,
  比如描述某种相互作用的场论, 进行量子化的理论框架.
- 广义相对论作为一种描述引力相互作用的理论. 在量子理论发展的早期,
  是除电磁场理论之外唯一的基本相互作用理论.
  - 将它纳入量子理论的框架, 也因此成为继量子电动力学之后的一种很自然的想法.

- 广义相对论是一个很特殊的相互作用理论,
  它把可引力归结为时空本身的几何性质. 从某种意义上讲,
  广义相对论所描述的是一种"没有引力的引力".
- 既然"没有引力", 是否还有必要进行量子化呢?
  - 描述这个世界的物理理论, 是否有可能只是一个以广义相对论时空为背景的量子理论呢?
  - 或者说, 广义相对论与量子理论是否有可能真的是两根独立支柱,
    同时作为物理学的基础理论呢?

---

- 我们知道, 从统计物理学的角度讲, 熵是体系微观状态数的体现.
  因而黑洞熵的出现表明黑洞并不像此前人们认为的那样简单,
  它含有数量十分惊人的微观状态, 这在广义相对论的框架内是完全无法理解的.
- 因为广义相对论有一个著名的黑洞`"无毛发定理"`,
  它表明稳定黑洞的内部性质被其质量,
  电荷及角动量三个宏观参数所完全确定
  (即便考虑到由杨-米尔斯场等带来的额外参数, 数量也十分有限),
  根本就不存在所谓的微观状态.
- 这表明, 黑洞熵的微观起源必须从别的理论中去寻找.
  这"别的理论"必须兼有广义相对论和量子理论的特点
  (因为黑洞是广义相对论的产物, 黑洞熵的推导则用到了量子理论).
  - 量子引力理论显然正是这样的理论.

- 圈量子引力所采用的新的基本场量并非只是一种巧妙的变量代换.
  从几何上讲, 杨-米尔斯场的规范势本身就是纤维丛上的联络场,
  因此以联络作为引力理论的基本变量, 体现了将引力场视为规范场的物理思想.
- 不仅如此, 自旋联络对于研究引力与物质场,
  尤其是旋量场的耦合几乎是必不可少的框架.
- 因此以联络作为引力理论的基本变量, 也为进一步研究这种耦合提供了舞台.
  - 罗维利和斯莫林等人发现, 在圈量子引力中由广义协变性, 也称为微分同胚不变性,
    所导致的约束条件与数学上的"纽结理论"有着密切关联,
    从而使得约束条件的求解得到了强有力的数学工具支持.
- 圈量子引力与纽结理论之间的这种联系看似神秘, 在概念上其实不难理解,
  因为微分同胚不变性的存在, 使得`"威尔逊圈"`中带实质意义的信息具有拓扑不变性,
  而纽结理论正是研究与圈有关的拓扑不变性的数学理论.

- 至于黑洞熵的计算, 圈量子引力的基本思路, 是认为黑洞熵所对应的微观态,
  乃是由能够给出同一黑洞视界面积的各种不同的自旋网格位形组成的.
  - 沿这一思路所做的计算最早是由罗维利和基里尔·克拉斯诺夫各自完成的,
    其结果除去一个被称为伊米尔齐参数的常数因子外,
    与贝肯斯坦-霍金公式完全一致.
  - 因此圈量子引力与贝肯斯坦-霍金公式是相容的.
  - 至于它为什么无法给出公式中的常数因子,
    以及这一不确定性究竟意味着什么,
    目前仍在讨论之中.

- 从量子引力的角度来看, 圈量子引力是正则量子化方案的发展,
  超弦理论则在某种意义上可被视为是协变量子化方案的发展.
  - 这是由于当年受困于不可重整性时, 人们曾对协变量子化方法做过许多推广,
    比如引进超对称, 引进高阶微商项, 等等.
- 那些推广后来都殊途同归地出现在了超弦理论的微扰表述中.
  因此尽管超弦理论本身的起源与量子引力中的协变量子化方案无关,
  它的形式体系在量子引力领域中可被视为是协变量子化方案的某种发展.

### 从对称性破缺到物质的起源

- 那么, 到底什么是对称性自发破缺呢?
  我们可以通过一个简单的例子来说明我们知道,
  倘若把一根筷子竖立在一张水平圆桌的中心,
  那么筷子与圆桌就具有以筷子为转轴的旋转对称性.
- 但是, 竖立在圆桌上的筷子是不稳定的, 任何细微的扰动都会使它倒下.
  而筷子一旦倒下, 无论沿哪个方向倒下, 那个方向就变成了一个特殊方向,
  从而破坏了旋转对称性.
- 在这个例子中, 倒下的筷子处于势能最低的状态, 这样的状态在物理学上被称为基态.
  - 所谓对称性自发破缺, 指的就是这种对称性被基态所破坏的现象.

### 宇宙学常数, 超对称及膜宇宙论

- 那么, `CP` 对称性的破缺有什么深远意义呢?
  - 我们知道, 所有基本粒子都有自己的反粒子
    (少数粒子, 比如光子的反粒子恰好是它自己).
- 多数物理学家认为, 宇宙大爆炸之初是处于正反物质对称的状态的.
  但天文观测表明, 如今的宇宙却是以物质为主的.
  - 这就产生了一个问题: 宇宙中的反物质到哪里去了?

- 但是随着研究的深入, 人们渐渐发现引进暗物质虽可以解释诸如星系旋转速率分布之类的观测现象,
  同时也有种种迹象表明, 尽管暗物质的数量远远多于可见物质,
  却仍不足以使宇宙的物质密度达到临界密度.
  - 换句话说, 如果我们相信暴胀宇宙论的预言,
    即宇宙当前的物质密度非常接近于临界密度 (`Ω ≈ 1`) 的话,
    那么宇宙中除了可见物质与暗物质之外还必须有一些别的东西!
  - 由于对暗物质的探测假定了其能量动量性质与普通物质相同,
    因此在这种探测中漏网的"别的东西"具有与普通物质不同的能量动量性质.

- 从可见物质到暗物质, 又从暗物质到暗能量,
  人类在探索宇宙之路上走出的这一串长长的足印也是现代宇宙学发展的一个缩影.
- 宇宙学常数及暗能量的存在解释了许多观测现象, 却也提出了一系列棘手的问题:
  - 宇宙学常数的物理起源何在?
  - 它为什么取今天这样的数值?
  - 占目前宇宙能量密度 `70%` 的暗能量究竟又是由什么组成的?

---

- 我们知道, 基本粒子按照自旋的不同可分为两大类:
  - 自旋为`整数`的粒子被称为`玻色子`, 自旋为`半整数`的粒子被称为`费米子`.
  - 这两类粒子的基本性质截然不同, 然而超对称却可以将这两类粒子联系起来,
    而且是能做到这一点的唯一的对称性.
- 对超对称的研究起源于`20`世纪`70`年代初期, 当时在超对称理论中,
  每种基本粒子都有一种被称为超对称伙伴的粒子与之匹配,
  超对称伙伴的自旋与原粒子相差 `1/2`
  (也就是说玻色子的超对称伙伴是费米子, 费米子的超对称伙伴是玻色子),
  两者质量相同, 各种耦合常数间也有着十分明确的关联.

- 这就是说, 超引力理论中的超对称在 `meV`
  能标上破缺并不是仅仅为了解释有效宇宙学常数的观测值而引进的独立假设.
  它是标准模型 -- `膜上` -- 的超对称在 `TeV` 能标上破缺所导致的自然推论.
  - 这两种超对称破缺的关联也可以反过来看,
    即为了解释有效宇宙学常数的观测值而引进的超引力理论中的超对称破缺,
    可以在膜上诱导出标准模型中的超对称破缺, 从而预言超对称粒子的质量!
- 施密德哈伯的理论正是因为有了这样的一条纽带而具有了独特魅力.

---

- 现在让我们回过头来, 看看我们在之前所提的那些关于宇宙学常数的问题.
  在施密德哈伯的理论中, 我们可以这样来回答那些问题:

- 宇宙学常数的物理起源何在?
- 答: 宇宙学常数起源于量子场的零点能,
  有效宇宙学常数起源于其中的超引力理论中的零点能.

- 它为什么取今天这样的数值?
- 答: 因为标准模型中的超对称在 `TeV` 能标上破缺,
  由此导致超引力理论中的超对称在 `meV` 能标上破缺,
  这决定了我们所观测到的宇宙学常数, 即有效宇宙学常数的数值.

- 占目前宇宙能量密度 `70%` 的暗能量究竟又是由什么组成的?
- 答: 暗能量是由引力子, 引力微子及其他与时空本身密切相关的场的零点能组成的.
