---
title: 费曼物理学讲义 (卷一) 上
description: 向之所欣, 俯仰之间, 已为陈迹, 犹不能不以之兴怀, 况修短随化, 终期于尽!
date: 2021-05-05
---

- [费曼物理学讲义: 新千年版](https://book.douban.com/subject/26662048/)

- 而立之年, **重新学物理**

```
高中时,
某一天的物理课堂上,
物理老师说, 数学体系在不断扩张,
已经很庞大了, 且还会继续发展.
但物理学的假说则会被验证或证伪,
所以体系相对于数学要小的多.

嗯, 跟着费曼物理学讲义, 把物理体系,
投影个轮廓在自己的脑海里吧.
```

## 原子的运动

- 原子所具有的这种最低的振动不足以使物质熔解,
  只有一个例外, **氦**.
  - 在温度降低时, 氦原子的运动只是尽可能地减弱,
    但即使在`绝对零度`时也有足够的运动使之不至于凝固,
    除非把压力加大, 以致将原子都挤在一起.

## 能量守恒

- **第一**, 当我们计算能量时, 有时其中的一部分离开系统跑掉了,
  有时又有另一些能量进入这个系统.
  - 为了验证能量的守恒, 必须注意我们没有把能量引入系统中或从系统中取走.
- **第二**, 能量有许多不同的形式, 对每一种形式都有一个公式.
  这些不同形式的能量是: 引力能, 动能, 热能, 弹性能, 电能, 化学能,
  辐射能, 核能, 质能.
  - 假如我们把表示这些能量的公式全都加在一起,
    那么, 除非有能量逸出或有其他能量加入,
    否则其总和是不会改变的.
- 重要的是要认识到: 在今天的物理学中, 我们不知道能量究竟是什么.
  我们并不把能量想象成为以一定数量的颗粒物形式出现. 它不是那样的.
  - 可是有一些公式可以用来计算某种数量, 当我们把这些数量全部加在一起时,
    结果就是, 总是同一个数目.
  - 这是一个抽象的对象, 它一点也没有告诉我们各个公式的机制或者理由是什么.

- 由此很自然会产生一个问题: 在物理学中还有哪些其他守恒定律?
  - 有另外两条守恒定律是与能量守恒定律类似的,
    一条称为`线动量守恒`, 另一条称为`角动量守恒`,
    关于这方面我们会在以后知道得更多.
- 归根到底, 我们并没有深刻地理解守恒定律.
  - 我们不理解能量守恒.
- 我们并不认为能量是一定数量的颗粒物.
  - 你们也许听说过光子是以一个个的颗粒形式出现的,
    一个光子的能量是普朗克常数乘以频率.
- 这是正确的. 但由于光的频率可以是任意的,
  所以没有哪条定律断言能量必须是某种确定的数值.

---

- 在量子力学中, 我们知道能量守恒与自然界的一个重要性质:
  事物不依赖于绝对时间, 有十分密切的关系.
  - 我们可以在一个给定的时刻安排一个实验, 并且完成它,
    然后在晚一些的时候再做同样的实验, 那么实验的情形将完全是相同的.
  - 但这是否严格正确, 我们并不知道.
  - 如果我们假设它是正确的, 再加上量子力学的原理,
    我们就可以推导出能量守恒定律,
    这是一件相当微妙和有趣的事, 不容易加以解释.
- 其他的守恒定律也有连带的关系. 动量守恒定律在量子力学中与一个命题有关,
  即无论你在哪里做实验都不会造成什么差别, 结果总是同样的.
- 最后, 像空间上的无关性与动量守恒相联系,
  时间上的无关性与能量守恒相联系一样. 假如我们转动仪器的话,
  这也不会造成任何差别, 所以宇宙世界在角度取向上的不变性与角动量守恒相关.

## 时间与距离

- 那么, 再短的时间呢? 是不是还存在尺度更小的"时间"?
  - 如果我们不能够测量, 或者甚至不能合理地去设想, 某些发生在更短时间内的事件,
    那么要谈论更短的时间是否还有任何意义?
  - 可能没有意义. 这是一些尚未解决的问题.

- 核的截面可以这样来测量: 使一束高能粒子通过某种材料的一块薄板,
  然后观察没有通过薄板的粒子数.
  - 这些高能粒子通常会穿过薄薄的电子云, 而只有当它们碰上了质量集中的原子核时,
    才会被阻止或者被偏转.
  - 假设我们有一块 `1cm` 厚的材料, 其中大约有 `10^8` 个原子核.
    由于原子核是如此之小, 以致一个核恰好位于另一个核的背后的机会是很小的.
  - 我们可以设想, 沿着粒子束看去时这种情况的一个高度放大的图像.
  - 一个很小的粒子在通过物质时能打在一个核上的机会,
    正好等于其中所有核的剖面所占的总面积除以这幅图上的总面积.

## 万有引力理论

- 然而爱因斯坦提出了种种论证, 说明我们不能发送比光更快的信号,
  所以牛顿引力定律必定是错误的.
- 在考虑到延迟情况而加以校正后, 我们得到一条新的定律, 称为爱因斯坦引力定律.
- 这条非常容易理解的新定律的一个特点是:
  - 在爱因斯坦相对论中, 任何具有能量的东西也具有质量,
  - 质量应在这一意义下来理解, 即它以引力方式被其他质量所吸引.
  - 即使是光, 由于它有能量, 也就有"质量".

## 动量守恒

- 遗憾的是, 只有很少问题能够以分析方法精确求解. 例如就简谐振子来说,
  如果弹簧力不是正比于位移, 而是更为复杂的话, 人们就只得又回到数值解法上来.
- 或者, 假如有两个天体绕太阳运行, 使天体的总数是三个,
  那么分析法就无法得出一个简单的运动公式, 实际上这个问题只能作数值解.
- 这就是著名的三体问题, 它曾经长时间地向人们的分析能力挑战:
  十分有趣的是人们花了那么长时间才领悟到也许数学分析的能力是有限的.
  因而使用数值解法是必要的这个事实.
- 今天, 大量无法以分析方法解决的问题已由数值方法解出,
  那个曾被认为是如此困难的古老的三体问题, 已作为常规计算加以解决了.
  然而, 也有一些两种方法都失效的情况:
  - 对简单的问题我们可以用分析方法,
  - 对适当困难的问题可以用数值和算术方法;
  - 但是对非常困难的问题则这两种方法都不能用了.
  - 例如: 两辆汽车的碰撞, 或者甚至气体中分子的运动, 就是一种复杂的问题.

- 除动量守恒定律外, 牛顿第二定律还有另一个有趣的结果, 现在先提一下, 以后再证明.
  - 这个原理就是: 无论我们保持静止状态, 还是沿一条直线作匀速运动, 物理定律将都是相同的.
  - 例如, 一个在飞机上拍皮球的孩子, 会发现皮球跳得和他过去在地面上拍时一样高.
    即使飞机以极高速度飞行, 只要它不改变飞行速度,
    物理定律在孩子看来总是和飞机静止时完全一样.
  - 这称为相对性原理. 当我们在这里使用这个原理时, 将称它为"伽利略相对性",
    以与爱因斯坦所作的更仔细的分析相区别, 后者我们将在以后研究.

---

- **弹性碰撞**的前, 后速率相等这件事与**动量守恒**无关, 而与**动能守恒**有关.
  - 然而, 在对称的碰撞后, 物体弹开的速度彼此相等却与动量守恒有关.
- 在非常基本的物体之间的碰撞总是高弹性的, 或者非常接近于弹性的.
  - 例如, 气体中分子或原子间的碰撞就被认为是完全弹性的.
  - 虽然这是一个非常好的近似, 但即使这样的碰撞也不是完全弹性的;
    不然人们就会无法理解能量怎么会以光或热辐射的形式从气体中释放出来.
  - 在气体分子的碰撞中, 偶尔会有低能红外线发射出来,
    但这种情况是非常罕见的, 所发射的能量也是非常微小的.
  - 所以, 对于大多数场合, 气体中的分子碰撞被认为是完全弹性的.
- 作为一个有趣的例子, 让我们考虑两个质量相等的物体之间的弹性碰撞.
  如果它们以同样速率相碰撞, 那么, 根据对称性原理, 它们应当以相同的速率弹开.
- 但是现在我们来看一下另一种情况下的这种碰撞, 即其中的一个物体以速度 `v` 运动,
  而另一个物体保持静止. 当两者碰撞时会出现什么情况?
  - 我们发现, 如果静止的物体与另一个质量恰好相同的物体发生弹性碰撞,
    则运动着的物体停了下来,
    而曾经是静止的物体现在以另一个物体曾经具有的同样的速度运动;
  - 两个物体只不过变换一下速度而已.
  - 更一般地说, 假如两个物体以不同的速度运动, 那么在碰撞时它们仅仅简单地交换一下速度.
- 另一个几乎是完全弹性的相互作用的例子为磁性.
  - 假如在我们的滑块上放置一对 `U` 形磁铁,
    使它们彼此推斥, 那么当一块磁铁静静地移向另一块磁铁时,
    这块磁铁会把另一块推走, 而自己则完全保持静止,
    被推走的一块磁铁则无摩擦地向前滑动.

---

- 在相对论中, 我们的确也有动量守恒定律; 粒子具有质量, 而动量仍由 `mv`,
  即质量乘以速度给出, 但是质量随速度而改变, 因此动量也发生改变.
- 质量随速度的变化遵从以下规律

$$
m = \frac{m_0}{\sqrt{1 - v^2 / c^2}}
$$

- 这里
  $$ m_0 $$
  是物体的静止质量, `c` 是光速.
  - 从这个公式很容易看出, 除非 `v` 非常大, 否则 `m` 与
    $$ m_0 $$
    的差别就可忽略, 而对通常的速度,
    动量的表示式就还原为原来的公式.

- 单个粒子的动量分量可以写为

$$
P_x = \frac{m_0 v_x}{\sqrt{1 - v^2 / c^2}}
$$

$$
P_y = \frac{m_0 v_y}{\sqrt{1 - v^2 / c^2}}
$$

$$
P_z = \frac{m_0 v_z}{\sqrt{1 - v^2 / c^2}}
$$

- 这里
  $$ v^2 = v_x^2 + v_y^2 + v_z^2 $$.

- 如果对所有相互作用粒子在碰撞前后的 `x` 动量分量分别求和,
  则两个和相等, 也就是说, 在 `x` 方向上的动量守恒.
  - 同样的情况对任何方向都成立.
- 只有承认能量可表现为电能, 机械能, 辐射能, 热能等等不同形式,
  能量守恒定律才确实成立.
  - 在某些这类情况中, 例如热能, 能量可以说成是"隐藏"的.
- 这个例子可能使我们联想到这样一个问题:
  - "是不是也存在着动量的隐藏形式 -- 或许是某种热动量呢?"
  - 答案是: 由于下述理由, 隐藏动量是很困难的.
- 如果把各个原子的速度的平方相加, 一个物体内原子的无规则运动就提供了热能的一种量度.
  速度平方和将是正的, 不具有方向上的特征. 物体内热的存在与物体是否作整体运动无关,
  并且以热这种形式的能量守恒不是很明显的.
- 相反, 如果我们把速度相加, 由于速度是有方向的, 若发现其结果不为零,
  这就意味着整个物体在某个特定方向上有移动, 而这样显著的动量是很容易观察到的.
  因为只有物体作整体运动时, 它才有净动量, 所以就不存在内部无规则动量损耗.
- 因此动量作为一个力学量是难以隐藏起来的. 然而, 例如在电磁场内动量也可以被隐藏起来.
  - 这种情况是另一种相对论效应.

---

- 因此, 更好的理解是, 原来那种认为只有粒子之间存在力的概念必须修正为:
  - 粒子具有场, 场作用在另一个粒子上, 而场本身具有我们所熟悉的性质,
    比如正像粒子那样带有能量和动量.
  - 再举另外一个例子:
  - 电磁场中存在着我们称之为光的电磁波, 结果光具有动量.
  - 所以, 光撞击一个物体时, 它在每秒钟内传递了一定大小的动量;
    这相当于一个力, 因为, 如果被照射物体每秒钟获得一定的动量,
    它的动量就会发生变化, 这种情况与有一个力作用在它上面完全相同.
  - 光撞击在物体上时会施加一个压力; 这个压力很小,
    但用足够灵敏的仪器可以测量出来.
- 在量子力学中, 动量是另一回事, 它不再是 `mv` 了.
  - 物体的速度的含义已难以确切定义, 但是动量仍然存在.
  - 在量子力学中, 差别在于当粒子表现为粒子时, 动量仍是 `mv`,
    但是当粒子表现为波时, 动量就用每厘米的波数来量度:
  - 波数越大, 动量就越大.
- 尽管存在这些差别, 动量守恒定律在量子力学中仍然成立.
  - 虽然 `F = ma` __不成立__,
    所有从牛顿定律出发的有关动量守恒的推导也都**不成立**,
  - 然而, 在量子力学中, 这条特殊定律却最后仍然保持有效!

## 矢量

- 如果能对一个事物施加某种操作, 在此操作以后能使它与原来的情况完全相同,
  则这个事物是**对称**的.
  - 例如, 如果我们观察一个左右对称的瓶子的轮廓线,
    那么当把它绕竖直轴转过 `180°` 后, 看上去它就和原来的完全一样.

- 因此, 我们说, 物理定律对于平移是对称的,
  这里对称的意义是指当我们把坐标作一平移时, 物理定律不变.
  - 当然从直观上看, 它的正确性是显而易见的,
    但是讨论它的数学关系却是很有趣而又引人入胜的.

- 因此, 我们断定, 如果牛顿定律对一组坐标轴是正确的, 它们对其他任何一组坐标轴也是正确的.
  从刚才对坐标轴的平移和转动证实的结果得出一些推论:
  - 第一, 没有一个人能宣称他的特定坐标轴是唯一的, 虽然对于某些特定的问题,
    这些坐标轴可以带来方便.
  - 例如, 把重力的方向作为某一个轴的方向是比较方便的, 但是这在物理上并不是必需的.
  - 第二, 它意味着如果整套设备完全装在一起, 即所有产生力的装置都包含在这套设备的内部,
    当把它转过一个角度时, 它的运转情况不变.

---

- 量 __a·b__ 称为两个矢量 __a__ 和 __b__ 的**标积**,
  它具有很多重要而有用的性质.
  - 例如, 很容易证明 __a·(b + c) = a·b + a·c__
- 还有, 计算 __a·b__ 有一个不需要计算 __a__ 和 __b__
  的分量的简单的几何方法:
  - __a·b__ 是 __a__ 的长度和 __b__
    的长度之积乘以它们之间夹角的余弦.
  - 为什么?
  - 假设我们选一个 `x` 轴沿 __a__ 方向的特殊的坐标系, 在这种情况下,
    $$ a_x $$
    是 __a__ 的唯一分量, 它当然就是整个 __a__ 的长度.
  - 此时方程式就简化成
    $$ \overrightarrow{a} · \overrightarrow{b} = a_x b_x $$,
    这就是 __a__ 的长度乘 __b__ 在 __a__ 方向上的分量, 即
    $$ b\cos{\theta} $$
  - $$ \overrightarrow{a} · \overrightarrow{b} = ab\cos{\theta} $$.
- 因此, 在此特殊的坐标系中, 我们已经证明了
  __a·b__ 等于 __a__ 之长乘 __b__ 之长再乘
  $$ \cos{\theta} $$.
  - 然而, 如果它对一个坐标系成立, 则对所有坐标系也成立.
  - 因为 __a·b__ 与坐标系无关: 这就是我们的论证.

## 力的特征

- 牛顿还提供了一个有关力的法则:
  - 相互作用的物体之间的力大小相等, 方向相反, 作用力等于反作用力.
  - 后来知道, 这条法则并不是完全正确的.
  - 事实上, __F = ma__ 这条定理就不完全正确.
- 要是它是一个定义, 我们就应当说: 它永远是完全正确的, 但事实上并非如此.
- 读者可能会提出异议:
  - "我不喜欢这种不严谨性, 我喜欢对每件事情都下一个严格的定义."
  - 事实上在有些书上是这样说的, 任何科学都是一门严格的的学科, 在那里每件事情都有一个定义.
- 如果你坚持要获得力的精确定义, 你将永远得不到它!
  - 因为首先, 牛顿第二定律是不精确的,
  - 其次, 要理解物理定律, 你就必须懂得所有这些物理定律都是某种近似.
- 同样, 既然力学是一门描述自然界的学科, 我们就不能仅把 __F = ma__ 称作定义,
  纯数学地推演一切, 把力学变成一门数学理论.
- 在建立了适当的假定后, 总是有可能建立一套数学体系, 就像欧几里得所作的那样,
  但是我们不可能建立有关我们这个世界的某种数学,
  因为迟早我们必定会发现这些公理对于自然界的客体是否正确.
- 因此我们立刻被纠缠入这些复杂的, "玷污了的"自然界的客体中去,
  而且作出精确度日益增加的**近似**.

---

- 换句话说, 当我们越来越细致地研究这个飞机阻力的定律时,
  我们发现它越来越"不真实", 而我们研究得越深入, 测量得越精确, 真相就变得越加复杂.
- 因此在这种意义上, 我们认为它不是由那种简单的基本过程所引起的, 与我们原来的推测一致.
  - 举例来说, 如果速度非常低, 低到一般的飞机不能飞行,
    那么当飞机在空气中被慢慢地拖着前进时, 定律就发生变化,
    这时曳引阻力与速度之间的关系比较接近于线性.

- 作用在机翼上的力这样一种简单的, 粗糙的, 经验的定律能够应用于飞机设计中似乎是一个奇迹,
  但是这个定律与物理学的基本定律不是同一类型的, 进一步的研究只会使这种定律越来越复杂.
  - 对于系数 `c` 如何依赖于飞机前缘形状的研究, 说得婉转一点, 是令人失望的.
  - 根据飞机形状来决定系数的简单定律是不存在的.
  - 对比之下, 万有引力定律是简单的, 越是研究就越觉得它是简单的.

- 过去, 把这种摩擦的机理想象得非常简单:
  - 表面只不过布满凹凸不平的形状, 摩擦起因于抬高滑动体越过突起部分.
  - 但是不可能是这样, 因为在这种过程中不会有能量损失, 而实际上是要消耗动力的.
- 动力耗损的机理是当滑动体撞击突起部分时, 突起部分发生形变,
  接着在两个物体中产生波和原子运动, 过了一会儿, 产生热.
- 现在非常出乎意外的是, 根据经验这个摩擦再次可以近似地用一个简单的定律来描述.
  - 这个定律是: 克服摩擦,
    使一个物体在另一物体上运动所需的力取决于两个相互接触的表面间的法向力
    (即同表面垂直的力).
  - 实际上, 作为相当好的近似, 摩擦力与这个法向力成正比, **比例系数近似是常数**.

---

- 虽然这个系数不是严格的常数,
  但是这个公式对于大致判断某些实际或工程学情况中所需力的大小是一个很好的经验法则.
  - 如果法向力或运动速度太大, 由于产生大量的热, 定律就失效.
- 重要的是要认识到每个经验定律都有它的适用范围, 超过了这个范围, 定律实际上不起作用.

- 在上述这类实验中, 摩擦几乎与速度无关. 很多人认为使物体起动所需克服的摩擦力
  (静摩擦) 大于保持物体滑动所需的力 (动摩擦). 但是用干燥金属很难显示出有什么差别.
  - 这种见解可能是由于这样的经验引起的:
  - 存在着极少量油或润滑剂,
    或者木块被弹簧或其他易形变的支座撑起以至于看起来好像是结合在一起的.
- 尽管有大量精确分析的工程数据, 要做精确的定量摩擦实验仍然是非常困难的,
  并且摩擦定律也还没有被人们很好地分析过.
  - 虽然, 只要表面经受标准处理, 定律 __F = μN__ 是相当精确的,
    但是对于定律具有这种形式的原因还没有真正弄清楚.

- 但是按照引力是基本的这个意义来说, 这种分子吸引力还不算是基本的,
  它们是由一个分子中所有的电子和核与另一个分子中所有的电子和核之间的大量极其复杂的相互作用所引起的.
  - 我们得到的任何一个看起来简单的公式都是相当多复杂因素的总和,
    因此我们仍旧没有弄清楚基本的现象.
- 因为分子力在距离大时吸引, 距离小时排斥, 我们可以这样来形成固体,
  其中所有的原子依靠吸引力的作用结合在一起, 而当原子靠得太近时,
  斥力就开始起作用使它们分开.

- 因此, 在很多情况下, 如果位移不是很大, 力就与位移成正比.
  这条原理就是众所周知的**胡克定律**或**弹性定律**. 此定律表明:
  - 当物体形变时, 物体中试图恢复原状的力与形变的大小成正比.
  - 当然, 此定律仅当形变较小时才是有效的.
  - 当形变太大时, 物体将破裂或者被压碎, 视形变的性质而定.
- 为了使胡克定律成立, 力的数值要有一定范围, 它取决于材料的性质.
  - 例如, 对面粉团或油灰来说, 这个力是非常小的;
  - 但是对于钢, 这个力就比较大.

---

- 任何两个物体带上电荷, 那么在它们之间就存在电力.
  如果电荷的大小分别是
  $$ q_1 $$
  和
  $$ q_2 $$,
  那么电力与两个电荷之间的距离的平方成反比, 即
  - $$ F = (常数) q_1 q_2 / r^2 $$.
- 对于异号电荷, 这一定律与万有引力定律相似,
  但是, 对于同号电荷, 这个力是斥力, 符号 (方向) 相反.
- 本质上, 电荷
  $$ q_1 $$
  和
  $$ q_2 $$
  可以是正的或负的.
  - 在公式的具体应用中, 只要给予 `q` 以适当的正,
    负号就能得出力的正确的方向.
  - 力的方向沿着两个电荷的连线.
- 当然, 公式中的常数取决于力, 电荷和距离所用的单位.
  - 通常, 在实际应用中,
  - 电荷的单位是库仑 (`C`),
  - 距离的单位是米 (`m`),
  - 力的单位是牛顿 (`N`).

- 这样做的要点是什么? 要点就是把分析分成两部分.
  - 一部分说, 某物产生了一个场.
  - 另一部分说, 某物受到场的作用.
- 由于可以独立地看待这两部分, 把分析分成这两部分在许多情况中简化了问题的计算.
  - 要是有许多电荷存在, 我们可以先算出由所有电荷在 __R__ 处产生的总电场,
    然后只要知道放在 __R__ 处的电荷, 我们就能求出作用在该电荷上的力.
- 对于引力的情形, 我们完全可以同样处理. 在这种情形下, 力
  - $$ \mathbf{F} = -G m_1 m_2 \mathbf{r} / r^3 $$.
- 我们可以作如下的类似分析: 引力场中的物体所受的力等于物体的质量乘以引力场 __C__.
  - $$ m_2 $$
    所受的力等于
    $$ m_2 $$
    的质量乘以由
    $$ m_1 $$
    所产生的场 __C__; 即
    $$ \mathbf{F} = m_2 \mathbf{C} $$.
  - 质量为
    $$ m_1 $$
    的物体所产生的场
    $$ \mathbf{C} = -G m_1 \mathbf{r} / r^3 $$,
    它的方向与电场的情况一样沿着径向.
- 不管初看起来如何, 这种把一部分与另一部分分开的方法并不是微不足道的.
  如果力的定律真是简单的, 它就没什么价值 (只不过用另一种方法来写出同一件事情),
  但是力的定律是如此复杂, 以至于结果表明**场**具有几乎与产生它们的物体无关的**实在性**.
- 人们可以做某种事情, 例如使电荷保持运动, 于是在一定距离处产生一种效应 -- 场;
  然而, 如果电荷停止运动, 场记录着过去所有的情况, 因为两个粒子之间的相互作用不是瞬时的.
  - 我们希望有某种方法记住以前所发生的事情.
  - 如果某电荷所受的力取决于另一个电荷昨天所在的位置以及它当时的行为,
    那么我们就需要一种机构来记录昨天发生的事情, 这就是场的特征.
  - 因此, 当力变得越复杂, 场就变得越来越真实, 而这种分离技巧的人为性也就越来越少.
- 用场来分析力时, 我们需要用到有关场的两种定律.
  - 第一种是对场的响应, 它给出了运动方程.
  - 例如, 质量对引力场的响应定律为: 力等于质量乘以引力场;
  - 或者, 如果物体还带有电荷, 电荷对于电场的响应等于电荷乘以电场.
  - 对这些情况的性质的第二部分分析是把场的强度以及它是如何产生的规律用公式表示出来.
  - 有时, 把这些定律称为**场方程**.

- 场的**叠加原理**. 这个原理说明,
  由所有的源产生的总的场等于由每一个源产生的场之和.
  - 就我们目前所知, 对于电学这是一个绝对保证的定律.
    甚至由于电荷运动而使力的定律变为复杂时, 这个定律仍然正确.
  - 然而, 虽然叠加原理完全适用于电力, 但是对于很强的引力场,
    叠加原理不完全正确.
  - 按照爱因斯坦的引力场理论, 牛顿方程式仅是一种近似.

---

- **赝力**的一个非常重要的特征是, 它们永远与质量成正比; 重力也是这样.
  - 因此, 有可能重力本身就是一种赝力. 或许简单地说,
    引力就是由于我们没有正确的坐标系而引起的, 这难道是不可能的吗?
  - 归根到底, 如果我们设想一个物体正在加速, 那么我们总可以得到一个与质量成正比的力.
  - 例如, 一个关闭在箱子里的人 (箱子静止放在地球上),
    就会发现有一个力使他待在箱子的地板上, 这个力与他的质量成正比.
  - 但是如果根本没有地球, 而箱子静止不动, 那么箱子里的人就会漂浮在空中.
  - 另一方面, 如果根本没有地球, 而是有某个东西将箱子以加速度 `g` 向上拉,
    那么箱子里的人在分析物理现象时, 应当发现一个赝力,
    这个力就像重力那样把人拉向地板.
- 爱因斯坦提出了著名的假设, 加速度产生引力的赝物,
  __加速度的力 (赝力) 与引力是不可能区分的__;
  要说出给定的力中有多少是重力, 有多少是赝力是不可能的.
- 把重力看作赝力, 比如说我们都保持向下是由于我们在向上加速, 这似乎没有问题,
  但是在地球另一边的人会怎样呢?
  - 他们也在加速吗?
  - 爱因斯坦发现, 每次只有在一个点上才可以把重力同时看成赝力,
  - 根据这个考虑, 他认为世界的几何性要比普通欧几里得几何复杂得多.
- 我们现在的讨论仅仅是定性的, 并不想涉及超出一般概念之外的东西.
  为了对引力怎么会是赝力的结果有个大致的概念, 我们来作一个纯粹是几何的,
  __并不代表真实情况的说明__.
  - 假定, 我们大家都在二维空间中生活, 对第三维空间毫无所知.
  - 我们只认为, 我们处在一个平面上, 但是假定我们实际上处在一个球的表面上.
  - 再假定我们沿地面发射出一个物体, 物体上没有力作用着. 它将到哪儿去呢?
  - 看来它似乎沿直线运动, 但是必须仍处在球的表面上,
    球面上两点之间的最短距离是沿着一个大圆的; 于是它就沿大圆运动.
  - 如果我们同样地发射另一个物体, 但沿另一方向, 它就沿另一大圆运动.
  - 因为我们认为, 我们是处在一个平面上, 可以预期,
    这两个物体之间的距离将随时间线性地增加, 但经过仔细观察将会发现,
    如果两个物体运动得足够远, 那么它们又会互相接近, 仿佛相互吸引.
  - 但是它们并不相互吸引 -- 关于这种几何学真是有点"古怪".
- 这个特定的例子并没有正确地描述爱因斯坦几何学"古怪"在哪里,
  但是它说明, 如果我们使几何形状充分畸变,
  那么所有的引力以某种方式与赝力联系起来是可能的;
  这就是爱因斯坦引力理论的一般观念.

## 功与势能

- 现在我们来讲一讲单位. 因为力以牛顿来量度, 为了得到功, 我们要乘上距离,
  所以功以牛顿米 (`N·m`) 来量度, 但人们不喜欢说牛顿米, 而宁可说焦耳 (`J`).
  - `1 N·m` 称为 `1 J`; 功是以焦耳来量度的.
  - 功率的单位是焦耳每秒, 也叫瓦 (`W`).
  - 如果瓦乘以时间, 就是所做的功.

### 巨大物体的引力场

- 这就是说, 力与距离 `a` 无关! 为什么? 难道我们弄错了吗?
- 也许你会认为: 物体离我们越远, 作用力应该越弱; 但不是这样!
- 如果我们接近这个无限大薄片, 那么这块薄片上的绝大部分物质是处于不适宜的角度在吸引我们.
  假如我们离得远一些, 则薄片上有较多的物质处于更有利的角度把我们拉向薄片.
- 在任何距离上, 最有效的物质位于一定的圆锥内.
  - 当我们远离薄片时, 作用随距离的平方而减少;
  - 但在同一角度上, 同一圆锥内有更多的物质正好随距离的平方而增加!
- 注意到下面的事实我们就能作出严格的分析:
  - 在任何给定的锥体中, 微分元的贡献事实上与距离无关,
  - 因为一个给定的质量所产生的力的大小随距离的变化与包含在圆锥内的质量多少随距离的变化,
    是相应而相反的.
  - 当然, 这个作用力并不是真正常数, 因为当我们走到薄片的另一面时, 它的符号就改变了.

---

- 现在我们假设有两个平板, 其中一个带正电荷
  $$ +\sigma $$,
  另一个带负电荷
  $$ -\sigma $$,
  它们之间的距离是 `D`.
- 现在要问场是怎样的?
  - 在两个平板外面, 场是零. 为什么?
  - 因为一个吸引, 另一个排斥, 而吸引力与排斥力都与距离无关, 所以它们相互抵消掉了.
  - 同样, 两个平板之间的场显然是单独一个平板的两倍, 即
    $$ \boldsymbol{E} = \sigma / {\varepsilon}_0 $$,
    且电场方向是从带正电荷的平板指向带负电荷的平板.

- 也就是说, 不论物体在球内什么地方, 其势能都相同, 因此不存在作用力;
  当我们在球内移动物体时不做功.
- 如果一个物体无论放在球内什么地方, 其势能都一样, 则不可能有力作用于该物体上.
- 所以在球内不存在作用力, 只在球外存在作用力;
  而球外的作用力与质量全部集中在球心时的作用力是完全相等的.

---

- 的确, 一个作者在一门课程中 (例如本课程) 所作的全部论证,
  并不是他从学习大学一年级物理时就记住的. 完全相反:
  他只记得某某是正确的, 而在说明如何去证明的时候, 需要的话,
  他就自己想出一个证明方法.
  - 无论哪个真正学过一门课程的人, 都应遵循类似的步骤去做, 而死记证明是无用的.
  - 这就是为什么我们在本章中将避开前面有关各种表述的证明, 而只是总结一下结果.

---

- 在固定的无摩擦约束运动中, 约束力不做功, 因为约束力始终与运动方向垂直,
  - 所谓`"约束力"`我们指的是直接由约束本身作用到物体上的力
  - 例如与轨道接触而引起的接触力, 或者弦的张力.
- 一个质点在重力的影响下沿斜面运动时, 所涉及的力是非常复杂的,
  因为有约束力和重力等等. 然而, 如果我们根据能量守恒定律并且只考虑重力来计算其运动,
  所得出的结果是正确的.
  - 看来相当奇怪, 因为严格地讲, 这并不是正确的方法,
    我们应当用合力来计算.
  - 但是, 结果只有重力所做的功使动能改变, 因为约束力所做的功是零.
- 这里的要点是: 如果一个力能够分解为两个或两个以上分力之和,
  则合力沿某一曲线所做的功是各分力所做之功的总和.
  - 假如我们把力分解为重力与约束力等各种效应的矢量和,
    或者把所有的力分解成 `x` 方向的分量和 `y` 方向的分量,
    或者任何其他我们所希望的分解方式,
    那么净力所做的功等于被分解成的各分力所做之功的总和.

### 保守力

- 自然界中有些力, 例如重力, 具有非常引人注意的, 我们称之为"保守"的性质.
  - 如果我们要计算一个力使物体沿曲径从一点运动到另一点时做了多少功,
    一般这个功依赖于曲径, 但在特殊情况下, 它与曲径无关.
  - 假若它不依赖曲径, 那么我们说这个力是保守力.
  - 换句话说, 假若沿曲线 `A` 计算从位置 `1` 到位置 `2` 的力乘距离的积分,
    再沿曲线 `B` 计算这一积分, 我们得到相同的焦耳数,
    如果这个结果对这两点之间的每一条曲线的积分都正确,
    并且无论我们取哪两点这个说法都成立,
    那么我们就称这个力为保守力.

- 我们引出势能曲线的原因, 是由于力的概念对量子力学来说不太合适, 在那里,
  能量的概念是最自然的. 当我们进一步考虑核物质之间以及分子之间等等的更高级的作用力时,
  我们发现虽然力和速度都`"溶化"`和消失了, 但是能量概念继续存在.
- 因此, 在有关量子力学的书中我们看到有势能曲线, 但是很少看到两个分子之间作用力的曲线,
  因为在那时人们是用能量, 而不是用力来分析问题.
- 其次我们注意到, 如果有几个保守力同时作用于一个物体, 那么,
  该物体的势能是每一个力的势能的总和.
  - 这与我们前面所提到的是同一个命题, 因为, 假若力能表达为分力的矢量和,
    则总的力所做的功是分力所做的功的总和, 因此能把它分析为各个力的势能的改变.
  - 于是, 总的势能是所有各部分的势能的总和.

- 实际上, 自然界所有的基本力都是保守力. 这不是牛顿定律所得出的结果.
  - 事实上, 按照牛顿自己的看法, 力可以是非保守的, 如摩擦力显然就是非保守力.
  - 但当我们说到摩擦力显然是非保守力时, 我们采用的是现代的观点,
    即认为粒子之间的最基本的力都是保守力.

- 当我们非常仔细地研究原子范围的物质时,
  物体的总能量并不一定能够方便地分成动能与势能两部分的,
  而且这种区分也不一定必要.
  - 但要这样做几乎总是可能的, 所以我们说这种区分总是可能的,
    并且世界上动能加势能是一个恒量.
  - 这样, 在整个世界内总的动能加势能是一个恒量, 如果"世界"是一块孤立物质,
    若无外力作用, 其能量也是一个恒量.
  - 但正如我们已经看到的那样, 同样东西的动能和势能中有些可以在其内部,
  - 例如内部的分子运动, 这是从我们还没有注意到它这个意义上说的.
  - 我们知道, 在一杯水中一切都在晃动着, 所有各部分一直在运动着,
    所以一杯水内部有一定的动能, 通常我们可能不会去注意它.
  - 我们不注意原子的运动, 这种运动产生热, 所以我们不称它为动能, 而热原来也是动能.

- 数学家已经创造了一个了不起的符号
  $$ \triangledown $$,
  称为`"梯度"`或`"grad"`,
  $$ \triangledown $$
  不是一个量, 而是一个从标量得出矢量的算符.
  - 它具有下列"分量":
  - `"grad"` 的 `x` 方向的分量是
    $$ \partial/\partial{x} $$,
  - `y` 方向的分量是
    $$ \partial/\partial{y} $$,
  - `z` 方向的分量是
    $$ \partial/\partial{z} $$

## 狭义相对论

$$
F = \frac{d(mv)}{dt}
$$

$$
m = \frac{m_0}{\sqrt{1 - v^2 / c^2}}
$$

- 爱因斯坦仿效原来由庞加莱提出的设想, 作出了这样的一个假设:
  - 所有的物理定律都应该是这样的定律, 它们在洛伦兹变换下保持不变.
  - 换句话说, 需要予以改变的, 不应当是那些电动力学定律, 而应当是力学定律.
  - 那么, 我们将如何改变牛顿定律, 使它们在洛伦兹变换下保持不变呢?
  - 如果确定的是这样一个目标, 那么我们必须把牛顿方程这样来予以改写,
    使得它们能满足我们所提出的条件.
  - 结果发现, 这里的唯一要求, 就是牛顿方程中的质量 `m` 必须代之以上面等式中所示的形式.
  - 作了这个改变之后, 牛顿定律与电动力学定律就会完全协调.
- 当我们用新的时间与坐标之间的变换来代替旧的变换时, 这究竟意味着什么,
  讨论一下这个问题是颇为有趣的, 因为旧的变换 (伽利略变换) 似乎是不证自明的,
  而新的变换 (洛伦兹变换) 看来是奇特的.
  - 我们希望知道的是,
    在逻辑上以及在实验上是否可能把新的而不是旧的变换看作是正确的.
  - 要弄清楚这一点, 单去研究力学定律是不够的, 而应像爱因斯坦所做的那样,
    必须对我们关于时间和空间的观念进行分析, 以求得对这种变换的理解.

- 假设有一个人在运动的宇宙飞船上 (系统 `S'`) 的两端各放置一只钟,
  并且想弄明白这两只钟是否已对准. 怎样使这两只钟对准呢?
  - 有许多方法: 一个方法只需要很少一点计算, 这就是首先精确地确定两只钟之间的中点.
  - 然后从这个位置上发出一个光信号, 这个光信号将以同样的速度沿两条路径传播,
    而且非常清楚将同时到达两只钟.
  - 信号的这种同时到达性可以用来把钟对准.
- 我们假定 `S'` 中的人是用这种特殊方法对准他的钟的.
- 我们再看一下 `S` 系统中的一个观察者是否会同意这两只钟已经对准.
  - `S'` 系统中的人相信这一点, 因为他不知道他正在运动.
  - 但是 `S` 系统中的人则推论说, 由于宇宙飞船向前运动,
    飞船前端的一只钟将离开光信号而去, 因此为了追到它.
  - 光必须走过大于一半距离的路程; 但后面的一只钟却迎着光信号而去,
    所以这段距离就较短.
  - 因此, 信号会先到达后面一只钟, 虽然 `S'` 中的人认为信号是同时到达的.
- 因此我们看到, 当宇宙飞船中的人认为两个地方的时间是同时的时候,
  在他的坐标系中的两个相等的 `t'` 值, 必须对应于另一个坐标系中的两个不同的 `t` 值!

### 四维矢量

- 让我们再看看, 从洛伦兹变换中还可以发现一些什么. 有趣的是,
  可以注意到 `x` 项与 `t` 项之间的变换在形式上与我们在之前对于坐标系的转动曾研究过的
  `x` 项和 `y` 项的变换非常相似.
  - 在那里我们有:
  - $$ x' = x\cos{\theta} + y\sin{\theta} $$,
  - $$ y' = y\cos{\theta} - x\sin{\theta} $$,
- 可见新的 `x'` 项混合了原来的 `x` 与 `y`,
  新的 `y'` 项也混合了原来的 `y` 与 `x`;
  - 与此相似, 在洛伦兹变换中, 我们发现新的 `x'` 是 `x` 与 `t` 的混合项,
    新的 `t'` 是 `t` 与 `x` 的混合项.
- 这样洛伦兹变换就类同于一种转动, 不过这是一种在`空时`中的"转动".
  - 这看来是一个奇怪的概念. 这种与转动的类比, 可以由下列量的计算而得到核实

$$
x'^2 + y'^2 + z'^2 - c^2 t'^2 = x^2 + y^2 + z^2 - c^2 t^2
$$

- 在这个等式中, 每一边的前三项在三维几何中所代表的是一点与原点之间的距离 (一个球面) 的平方.
  - 这个平方在坐标轴的转动下保持不变 (不变量).
  - 与此相似, 上式表明, 存在着包含时间在内的某一种组合, 它在洛伦兹变换下也是不变的.
  - 这样, 与转动的类比就完全了, 而且这是这样一种类比, 即 __矢量__,
    也就是其中包含与坐标和时间以同样方式转换的"分量"的那些量, 对于相对论也是有用的.

- 为了看出爱因斯坦对牛顿力学的质量 `m` 进行修正的重要意义,
  我们从牛顿第二定律出发, 即力是动量的变化率为

$$
F = \frac{d(mv)}{dt}
$$

- 动量仍然是 `mv`, 但当我们用新的 `m` 时, 它就变为

$$
P = mv = \frac{m_0 v}{\sqrt{1 - v^2 / c^2}}
$$

- 这就是爱因斯坦对牛顿定律的修正. 在这种修正下, 如果作用和反作用仍然相等
  (这不一定指每个时刻, 而就最终结果来说是相等), 那么动量守恒仍像以前一样成立,
  但是守恒的量, 不再是原来的具有不变质量的 `mv`, 而是上式所表示的,
  具有经过修正的质量的量, 如果在动量公式中考虑到这种变化, 那么动量守恒定律仍然有效.

- 如果有一个恒力作用在一个物体上很长时间, 那么会出现什么情况?
  - 牛顿力学认为, 物体将不断获得速度, 直到它的运动超过光速.
  - 但是在相对论力学中, 这是不可能的.
  - 在相对论中, 物体不断得到的不是速度, 而是动量.
  - 动量可以因为质量在不断增加而持续增大.
  - 经过一定时间后, 实际上已不存在那种在速度变化含义上的加速运动,
    但是动量却继续在增加.
- 自然, 如果一个力只使物体的速度产生非常小的变化, 我们就说这个物体具有很大的惯性.
  - 这正是我们的相对论质量公式所指出的:
  - 当 `v` 大到接近于 `c` 时, 惯性是非常大的.

- 上面的观察给了爱因斯坦一个启发, 使他想到,
  如果我们说物体的质量等于该物体总的能量含量除以 `c`,
  那么一个物体的质量就可以表示得更为简单.

$$
mc^2 = m_0 c^2 + \frac{1}{2} m_0 v^2 + ...
$$

- 这里, 左端的一项表示一个物体的总能量, 右端的后面一项可以认为是通常的动能.
  - 爱因斯坦把很大的常数项
    $$ m_0 c^2 $$
    解释为该物体总能量的一部分, 是一种通常称为`"静能"`的内在能量.

## 相对论中的能量与动量

### 孪生子佯谬

- 但是, 为了使他们能重新相遇并进行比较, 保罗必须要么在旅途的终点停下来,
  并且将钟进行比较, 要么更简单一些, 他必须返回,
  而返回的那个人必定是正在飞行 (或运动) 的那个人, 他知道这一点,
  因为他必须转过身来飞行.
- 当他转过身来的时候, 他的飞船上各种不寻常的事情就发生了,
  火箭射了出去, 东西向墙上撞了过去, 等等.
  - 而彼得则一点也没有感到什么.
- 所以, 如果要叙述这条规则的话, 就可以说:
  - 感觉到加速度和看到东西向墙上撞了过去等等的那个人, 将是比较年轻的一个;
  - 这就是他们之间在"绝对"意义上的一个差别, 而这肯定是正确的.

### 速度的变换

- 现在, 我们试图从`物理定律必须在每个坐标系中都相同`这个相对论原理来论证
  $$ m_v $$
  的公式必须是
  $$ m_0 / \sqrt{1 - v^2 / c^2} $$.
- 假定我们有两个粒子, 比如两个质子, 它们完全相同,
  并且以精确相等的速率相向运动, 它们的总动量为零.
  - 现在, 可能出现什么情况呢?
  - 碰撞以后, 它们的运动方向必须正好相反, 因为如果不是正好相反,
    那么总的动量矢量就不会是零, 动量也就不会守恒.
  - 它们还必须具有相同的速率, 因为彼此之间是完全相类似的;
    事实上, 它们的速率必须都与碰撞前相同, 因为我们假定能量在这些碰撞中是守恒的.
  - 所以这种弹性碰撞是一个可逆碰撞.
- 我们假定, 这种碰撞总是可以任意安排的, 即在这样一种碰撞中,
  可以出现任何角度
  $$ \theta $$,
  也可以用任何大小的速度.
  - 其次, 我们注意到这同一个碰撞可以通过坐标轴的转动从不同的角度来观察.
  - 正是为了方便起见我们将这样来转动坐标轴, 使水平轴把它平均分成两半.
- 真正的技巧在于: 我们从某个驱车前进的人的角度来观察这个碰撞,
  汽车的速度等于粒子 `1` 的速度的水平分量.
  - 那么, 这个碰撞看上去像什么呢?
  - 就粒子 `1` 而言, 它看上去在径直朝上跑, 因为它已经没有那个水平分量, 然后它又垂直往下落,
    这也是因为它没有那个水平分量.
  - 然而,粒子 `2` 却按另一种方式飞行, 当我们驱车经过时,
    它看来以更大的速度和较小的角度飞行, 但是我们可以判断出碰撞前后的角度是相同的.
  - 我们以 `u` 表示粒子 `2` 的速度的水平分量,
    以 `w` 表示粒子 `1` 的垂直速度.
- 现在, 问题是粒子 `2` 的垂直速度
  $$ u \tan a $$
  是什么?
  - 假如我们知道的话, 就可以利用垂直方向的动量守恒定律来得到动量的正确表示式.
  - 很清楚, 水平方向的动量分量是守恒的:
  - 对于两个粒子来说碰撞前后都相同, 对于粒子 `1` 来说, 水平分量为零.
  - 所以我们只需要对垂直向上的分速度
    $$ u \tan a $$
    应用守恒定律.
  - 但是, 只要以另一种方式观察同样的碰撞, 我们就可以求得朝上的速度!
  - 如果我们从以速率 `u` 向左边运动的车来观察碰撞,
    那么所看到的只是原先的情况`"翻转过来"`而已.
  - 现在粒子 `2` 以速度 `w` 飞下又飞上, 而粒子 `1` 得到了水平速度 `u`.
  - 当然, 现在我们知道速度
    $$ u \tan a $$
    等于什么了:
  - 它就是
    $$ w \sqrt{1 - u^2 / c^2} $$.
  - 我们还知道垂直运动粒子的垂直动量变化是

$$
\Delta p = 2 m_w w
$$

- 上式乘以 `2` 是因为它的运动先朝下再朝上.

---

- 而斜向运动的粒子具有一定的速度 `v`,
  它的分量我们发现是 `u` 和
  $$ w \sqrt{1 - u^2 / c^2} $$,
  它的质量为
  $$ m_v $$.
  - 因此这个粒子垂直动量的变化是

$$
\Delta p' = 2 m_v w \sqrt{1 - u^2 / c^2}
$$

- 因为, 按照我们假设的定律式, 动量分量等于与速度数值相应的质量乘以速度在该方向上的分量.
  - 于是为了使总动量为零, 垂直方向上的两个动量必须相抵消, 因此,
    以速度 `v` 运动的质量与以速度 `w` 运动的质量之比必须为

$$
\frac{m_w}{m_v} = \sqrt{1 - u^2 / c^2}
$$

### 质量, 能量

- 因此我们有一种新的想法: 我们毋须知道物体的内部结构; 我们不能够,
  也不需要识别在粒子内部, 哪一部分能量是粒子行将蜕变成的那些部分的静止能量.
  - 将一个物体的总能量
    $$ mc^2 $$
    分为内部组成部分的静止能量, 动能和势能, 既不方便, 也常常不可能,
    我们只是简单地说粒子的总能量.
  - 我们对每个物体加上一个常数
    $$ m_0 c^2 $$
    来`"改变能量原点"`,
    并且说, 一个粒子的总能量是运动质量乘以
    $$ c^2 $$,
    而当物体静止时, 其能量就是静止质量乘以
    $$ c^2 $$.
- 最后, 我们发现速度 `v`, 动量 `P`, 总能量 `E`
  能以一个相当简单的方式联系起来.
  - 很奇怪, 以速率 `v` 运动的物体的质量等于静止质量
    $$ m_0 $$
    除以
    $$ \sqrt{1 - v^2 / c^2} $$
    这样一个公式却很少使用.
- 相反, 下面两个式子很容易证明, 结果则很有用:

$$
E^2 - P^2 c^2 = m_0^2 c^4
$$

- 和

$$
Pc = \frac{Ev}{c}
$$

## 时空

- 相对论告诉我们在两个不同的坐标系里测得的位置和时间的关系与我们根据直观概念所想象的不一样.
  透彻理解洛伦兹变换所包含的空间和时间的关系是十分重要的, 我们将较为深入地研究这个问题.
- `"静止"`的观察者测得的位置和时间
  `(x, y, z, t)`
  和在以速度 `u` `"运动"`的宇宙飞船里的观察者所测得的相应的坐标和时间
  `(x', y', z', t')`
  之间的洛伦兹变换为

$$
x' = \frac{x - ut}{\sqrt{1 - u^2 / c^2}}
$$

$$
y' = y
$$

$$
z' = z
$$

$$
t' = \frac{t - ux / c^2}{\sqrt{1 - u^2 / c^2}}
$$

- 我们来比较一下这些式子和下述式子.
  下述式子也涉及在两个坐标系中的测量关系,
  不过在那里一个坐标系相对于另一个坐标系作转动

$$
x' = x \cos \theta + y \sin \theta
$$

$$
y' = y \cos \theta - x \sin \theta
$$

$$
z' = z
$$

- 在此特例中, 莫和乔用的坐标轴中的 `x-` 轴和 `x'-` 轴之间有一夹角
  $$ \theta $$.
- 在上述各种情况中, 我们看到带撇的量是不带撇的量"混合":
  - 新的 `x'` 是 `x` 和 `y` 的混合,
    新的 `y'` 也是 `x` 和 `y` 的混合.

- 虽然时空几何不是通常意义下的欧几里得几何, 但是存在一种与欧氏几何非常相似的几何学,
  不过它在某些方面有其特殊之处. 如果这种几何概念是正确的,
  就应存在一些与坐标系无关的坐标和时间的函数.
  - 例如, 通常在转动时, 如果取两点, 为了简单起见, 一点取在原点, 另一点取在任何地方,
    两个系统具有同一原点, 则从一点到另一点的距离在这两个系统中是相同的.
  - 这一性质与测量距离的特定方法无关.
  - 距离的平方是
    $$ x^2 + y^2 + z^2 $$.
  - 那么, 时空的几何情况如何呢? 不难证明, 这里也有一个量是不变的, 即在变换前后组合
    $$ c^2 t^2 - x^2 - y^2 - z^2 $$
    不变
  - $$ c^2 t'^2 - x'^2 - y'^2 - z'^2 = c^2 t^2 - x^2 - y^2 - z^2 $$
- 因此就某种意义来说, 这个量像距离一样, 是"实在"的.
  - 我们把它称为两个时空点之间的间隔, 在此例中, 一个时空点取在原点.
  - 由于是在不同的几何学中, 所以我们给它起了个不同的名称,
    但值得注意的只是式中有几个符号相反, 而且其中含有一个因子 `c`.
- 让我们把 `c` 去掉; 如果我们找到一个 `x` 和 `y` 可以互换的奇妙空间, 那似乎是荒唐的.
- 现在, 方程式的性质告诉我们, 时间和空间是等价的; 时间变成了空间;
  它们应该用相同的单位计量.
  - 什么是 `1s` 的距离?
  - `1s` 的距离是光在 `1s` 内所走过的距离.
  - 使单位一致起来的另一个办法是用米来计量时间.
  - 什么是 `1m` 的时间呢? `1m` 的时间就是光走过 `1m` 所用的时间.
  - 换句话说, 我们希望用 `c = 1` 的单位系统来写出所有的方程式.
  - 如果时间和空间真如我们设想的那样用同一单位来计量, 那么方程式就会明显地大为简化.

- 它们是

$$
x' = \frac{x - ut}{\sqrt{1 - u^2}}
$$

$$
y' = y
$$

$$
z' = z
$$

$$
t' = \frac{t - ux}{\sqrt{1 - u^2}}
$$

$$
t'^2 - x'^2 - y'^2 - z'^2 = t^2 - x^2 - y^2 - z^2
$$

---

- 时空空间和普通空间之间的区别, 以及与距离相应的间隔的特性是很有趣的.
  按照上式, 如果我们考虑在一给定坐标系中时间为零, 只有空间的一个点,
  则它的间隔平方为负值, 于是我们就得到一个虚的间隔, 即一个负数的平方根.
- 在相对论中, 间隔可以是实数. 也可以是虚数. 间隔的平方可以是正的, 也可以是负的,
  不像距离只有正的平方值.
  - 当间隔为虚数时, 我们说这两点之间有一个类空间隔 (而不说虚数),
    因为这个间隔比较更像空间而不像时间.
  - 另一方面, 如果两个物体在一给定坐标系中的同一地方, 仅是时间不同,
    这时时间的平方是正的, 距离为零, 间隔的平方为正值; 这个间隔称为类时间隔.
  - 因此, 在时空图中, 应有某种类似于这样的表示:
  - 在 `45°` 角处, 有两条线 (实际上, 在四维空间中, 这些线构成"圆锥", 称为光锥),
    这些线上的点与原点的间隔均为零.
- 正如上式中看到的那样, 从某一给定点出发的光线, 与原来出发点之间的间隔总是零.
  顺便说一下, 我们刚才已经证明了若光在一个坐标系中以速度 `c` 传播,
  它在另一个坐标系中也将以速度 `c` 传播, 因为, 如果间隔在两个坐标系中是相同的,
  亦即, 在一个坐标系中的间隔为零, 在另一个坐标系中的间隔也为零,
  那么, __光的传播速度不变的说法与间隔为零的说法是相同的__.

---

- 因此, 我们要问: 是否也存在着这样一些量, 它们在运动坐标系和静止坐标系中的变换方式,
  或者它们之间的相互关系与 `x`, `y`, `z` 和 `t` 相同?
  - 从我们关于矢量的经验, 我们知道, 其中的三个量类似于 `x`, `y`, `z`
    将构成一个普通的空间矢量的三个分量, 但是第四个量,
    在空间转动下看起来像一个普通的标量,
    因为只要我们不是处于运动坐标系中, 它总是不变的.
- 那么,
  是否可以把我们称之为`"时间分量"`的第四个量与某些我们已知的`"三维矢量"`以一定方式联系起来,
  而使这四个量一起按照在时空中的位置和时间同样的方式`"转动"`呢?
  - 我们现在将证明, 的确存在着这样的一种情况 (实际上有许多种这样的情况):
  - 动量的三个分量和作为时间分量的能量一起变换, 就构成一个所谓`"四维矢量"`.
- 在论证这一点时, 因为到处都带有 `c` 书写起来很不方便,
  所以我们将采用在之前用过的同样技巧来处理能量, 质量和动量的单位.
  - 例如, 能量和质量只相差一个因子
    $$ c^2 $$,
    这仅仅是单位的问题, 所以我们可以说能量就是质量.
- 我们令 `E = m`, 而不是写出
  $$ c^2 $$.
  - 当然, 在遇到麻烦时, 我们可以把正确的 `c` 代入,
    以便使单位在最后的方程式中得到纠正而直接出现,
    但在中间步骤中则略去 `c`.
- 因此, 能量和动量的方程式可以写成

$$
E = m = \frac{m_0}{\sqrt{1 - v^2}}
$$

$$
p = mv = \frac{m_0 v}{\sqrt{1 - v^2}}
$$

- 在这种单位中, 有

$$
E^2 - p^2 = m_0^2
$$

---

- 那么, 动量和能量在新的坐标系中是什么样子呢?
  为了找出它们, 我们就要对上述方程组作一变换.
  - 我们之所以能这样做, 是因为知道了速度是如何变换的.
  - 假设, 我们在测量时, 一个物体具有速度 `v`, 但是,
    我们是从以速度 `u` 运动的宇宙飞船上来观察这一物体的,
    所以我们把在宇宙飞船坐标系中测得的相应量都打上一撇.
  - 为了使问题简化起见, 在开始时我们将研究速度 `v` 和 `u` 在同一方向的情况.
- 我们能够得到

$$
p_x' = \frac{p_x - uE}{\sqrt{1 - u^2}}
$$

$$
p_y' = p_y
$$

$$
p_z' = p_z
$$

$$
E' = \frac{E - u p_x}{\sqrt{1 - u^2}}
$$

### 四维失量代数

- 如果有一个四维矢量的方程式, 那么这个方程式对每一个分量都是正确的.
  - 例如, 如果在粒子碰撞中三维动量矢量的守恒定律是正确的,
    也就是说, 如果大量相互作用或碰撞的粒子的动量之和是一个常数,
    那么, 这就必然意味着, 所有粒子在 `x`, `y` 和 `z`
    的每一个方向上的动量之和都应分别为常数.
- 在相对论中, 单独这条定律是不成立的, 因为它不完全;
  这就像对一个三维矢量只讲它的两个分量一样.
  - 说它不完全是因为如果我们转动坐标轴, 就把各个分量混合起来了,
    因而, 在我们的定律中, 必须包括所有的三个分量.
- 同样, 在相对论中, 我们必须推广动量守恒定律使它包括时间分量, 以保持完整.
  - 把它和其他三个分量合在一起是绝对必要的, 否则, 就不可能有相对论不变性.
- 能量守恒是第四个方程式, 它和动量守恒一起在时空几何中构成了一个正确的四维矢量关系式.

---

- 最后, 我们还要提一下某些静止质量
  $$ m_0 $$
  为零的情形.
  - 例如, 光子.
- 光子就像一个粒子, 带有一定的能量和动量. 光子的能量是一个确定的常数
  (称为普朗克常数) 乘以光子的频率: `E = hv`.
  - 这种光子也带有一定的动量, 光子 (实际上, 任何粒子)
    的动量等于普朗克常数除以波长: `p = h / λ`.
- 但是, 对于光子来说, 频率和波长之间有一个确定的关系: `v = c / λ`
  - 每秒钟的波数乘上每个波的波长就是光在 `1s` 内走过的距离, 显然就是 `c`.
- 因此, 我们立即可以看出, 光子的能量一定是动量乘 `c`, 或者, 如果 `c = 1`,
  能量和动量就相等.
  - 这就是说, 静止质量为零.
- 让我们再来看一看, 这是非常奇怪的. 如果一个粒子的静止质量为零,
  当它停止时, 会发生什么情况呢?
  - __它永远不会停止!__ 它总是以速度 `c` 运动着.
- 那么, 我们能否说, 因为
  $$ m_0 = 0, v = 1 $$,
  所以能量也是零?
  - 我们不能说它等于零;
  - 尽管光子没有静止质量,
    它实际上能够 (而且也确实) 具有能量,
    不过这是因为它永远以光速运动才具有能量!

## 二维空间中的转动

- 现在我们转向研究转动动力学. 这里必须引进一个力的新的概念.
  - 我们要考察一下是否能够找到某个量, 它对转动的关系就像力对线性运动的关系那样,
    我们称它为`转矩`.
  - 力是产生线性运动所必须的, 而要使某一物体转动就需要有一个"旋转力"或"扭转力", 即转矩.
- 定性地说, 转矩就是"扭转"; 但定量地说, 转矩又是什么呢?
  - 因为定义力的一个最好的办法是看在力作用下通过某一给定的位移时, 它做了多少`功`,
    所以通过研究转动一个物体时做了多少功就能定量地得出转矩的理论.
- 为了保持线性运动和角运动的各个量之间的对应关系,
  我们让在力作用下物体转过一个微小距离时所做的功等于`转矩`与物体转过的`角度`的乘积.
  - 换句话说, 我们是这样来定义转矩, 使得功的定理对两者完全相同:
  - 力乘距离是功, 转矩乘角度也是功.
  - 这就告诉了我们转矩是什么.

---

- 我们发现对于动量也有一个转动的对应量, 这就是角动量,
  它是用线动量的分量来表示的, 就像转矩公式是用力的分量来表示的一样!
- 这样, 假如我们要知道一个质点相对于某一轴的角动量,
  只要用动量的切向分量和半径相乘就行了.
  - 换句话说, 计算角动量并不是看它离开原点有多快,
    而是看它围绕原点转动有多快.
  - 在角动量中只计及动量的切向部分.
  - 而目, 动量作用线伸展得越远, 角动量就越大.
  - 此外, 由于不管这个量记为 `p` 还是 `F`, 其几何图像相同, 因此,
    必定存在着一个动量臂 (与作用在质点上的力臂不一样),
    只要延长动量的作用线, 再找出到轴的垂直距离就可以求出它.
- 因此, 角动量就是动量的大小和动量臂的乘积.
  - 像转矩有三个公式一样, 角动量也有三个公式

$$
\begin{align}
L & = x p_y - y p_x \\
  & = rp_{切向} \\
  & = p·动量臂 \\
\end{align}
$$

- 与转矩一样, 角动量与所要计算的轴的位置有关.

---

- 因此, 当力产生的转矩为零时,
  在相等的时间内扫过相等的面积的开普勒定律正是角动量守恒定律的一种文字表述.

- 总转矩似乎是很复杂的. 这里的所有内力和所有外力都必须考虑.
  但是, 假如考虑到牛顿的作用和反作用定律, 作用和反作用不仅大小相等,
  而且在同一条真线上方向完全相反
  - 不管牛顿是否真正这样说过, 但他确是默认了这一点,
- 那么, 在两个相互作用的物体上, 因为相互作用对于任一转轴的力臂都相等,
  由它们产生的两个转矩相等, 方向相反.
  - 因此, 内转矩成对地抵消掉, 从而得出一个值得注意的定理:
- __相对于任何轴的总角动量的变化率等于相对于该轴的外转矩!__

$$
\tau = \sum \tau_{i} = \tau_{外} = dL/dt
$$

- 这样, 关于大量质点的集合的运动, 我们就有了一个十分有用的定理,
  它使我们研究整体运动时不需要考虑其内部的详细机制. 对于任何物体的集合,
  不管它们是否组成刚体, 这个定理都是适用的.
- 上述定理的一个极其重要的情况是`角动量守恒定律`:
  - __如果一个质点系统不受外转矩作用时, 其角动量保持不变.__
- 一个非常重要的特例是刚体, 即具有确定形状且只作转动的物体.
  - 现在来考虑一个几何大小一定, 且绕一个固定轴转动的物体.
    在任何时刻, 物体的各个部分彼此间的关系都相同.
    现在来求这个物体的总角动量.
  - 假如该物体中某个质点的质量为
    $$ m_i $$,
    它的位置是
    $$ (x_i,  y_i) $$,
    那么问题就是要求出这个质点的角动量,
    因为总角动量就是在物体中所有这些质点的角动量之和.
  - 当然, 对于作圆周运动的物体来说, 它的角动量等于质量乘速度再乘离开轴的距离,
    而速度等于角速度乘以离开轴的距离

$$
L_i = m_i v_i r_i = m_i r_i^2 ω
$$

- 对所有的质点之求和, 则得

$$
L = Iω
$$

- 这里

$$
I = \sum_{i} m_i r_i^2
$$

- 这与动量等于质量乘速度的定律相对应.
  - 速度被角速度代替,
  - 而且我们看到, 质量被一个新的量所代替, 这个新的量称为`转动惯量 I`, 它与质量相当.
- 一个物体所具有的转动惯量不仅与物体各质点的质量有关, 还与它们离轴的距离有关.

## 质心, 转动惯量

- 质心 (缩写成 `CM`) 的位置由下式给出

$$
R_{CM} = \frac{\sum m_i r_i}{\sum m_i}
$$

- 当然, 这是一个矢量式, 实际上是三个式子, 在 `x`, `y`, `z`
  三个方向上每个方向一个.
  - 我们将只考虑 `x` 方向, 因为这个方向搞清楚了, 其他两个方向也就清楚了.
- $$ X_{CM} = \sum{m_i x_i} / \sum{m_i} $$
  表示什么呢?

- 先假设物体被分成一些小块, 每一小块都有相同的质量 `m`;
  因此, 总质量简单地就等于块数 `N` 乘每块的质量,
  比方说`1`克, 或其他单位.
  - 这样, 这个式子就可以简单地写成所有 `x` 量的总和除以小块的数目:
  - $$ X_{CM} = m \sum x_i / (mN) = \sum x_i / N $$

---

- 下面来讨论一个非常有趣而又奇妙的问题, 假如我们设想一个物体由`A`和`B`两部分组成.
  整个物体的质心可用如下办法求出:
  - 首先求出`A`的质心, 然后求出`B`的质心,
    再求出每一部分的总质量
    $$ M_A $$
    和
    $$ M_B $$.
- 接着考虑一个新的问题, 在物体`A`的质心处有一个质量为
  $$ M_A $$
  的点, 在物体`B`的质心处有一个质量为
  $$ M_B $$
  的点. 这两个质点的质心也就是整个物体的质心.
  - 换句话说, 假如已经求出一个物体的各部分的质心,
    我们就不需要再从头开始来找出整个物体的质心,
    只需要把每一部分都当作位于其质心的一个质点,
    再把各个部分放在一起来处理就行了.

---

- 在没有加速度的惯性参照系中, 转矩始终等于角动量的变化率.
  然而, 对于穿过正在加速的物体质心的轴来说, 其转矩等于角动量的变化率仍然成立.
- 即使质心在作加速运动, 我们仍可找出一根特殊的通过质心的轴,
  使转矩等于绕这根轴的角动量的变化率的结论仍然成立.
- 因此, 转矩等于角动量的变化率这个定理, 在两个普通的情况下都是正确的:
  - (1) 惯性空间中一根固定轴;
  - (2) 一根轴通过质心, 即使物体可能在作加速运动.

- 其中一个技巧是利用所谓`帕普斯定理`. 它是这样的:
- 假如在一个平面上取任一闭合区域, 并使它在空间运动而形成一个立体, 在运动时,
  令各点的运动方向始终垂直于该区域的平面,
  这样形成的立体的总体积就等于它的横截面乘质心在运动过程中所经过的距离!
- 假如我们使这个区域沿着一条与它本身垂直的直线运动, 毫无疑问, 这个定理是成立的,
  但是假如使它沿着一个圆或某种其他曲线运动, 就得出一个相当特殊的体积.
  - 对于曲线路径来说, 其外部走得较远, 内部走得较近, 而这种效果正好相互抵消.
  - 因此, 假如要求出一个密度均匀的薄板的质心位置, 我们可以记住,
    薄片绕某一轴旋转形成的体积就等于其质心走过的距离乘薄板的面积.
- 帕普斯还有另一个定理, 它是上述例子的一个特殊情况, 因此同样是正确的.
- 假设, 用一段质量密度均匀的半圆形的导线来代替实心的半圆盘, 我们要求出它的质心.
- 在这种情况下, 内部没有质量, 质量都在导线上.
  - 结果表明一条平面曲线按上述方式运动时扫过的面积等于质心运动的距离乘线的长度
    (可以把导线看成是一个非常窄的面, 因而对它也能应用上述定理).

---

- 一个物体对 `z` 轴的`转动惯量`的公式是

$$
I = \sum m_i (x_i^2 + y_i^2)
$$

- 或

$$
I = \int (x^2 + y^2)dm = \int (x^2 + y^2) \rho d \upsilon
$$

- 这就是说, 必须让每一个质量乘以它离开轴的距离的平方
  $$ (x_i^2 + y_i^2) $$,
  然后求和.
- 必须注意, 这不是三维距离, 而只是二维距离的平方,
  对三维的物体也是如此.
  - 在大多数情况下, 我们将仅限于研究二维物体,
    但是在三维情况下绕 `z` 轴转动的公式是完全相同的.

---

- 概括地说, 一个物体对某一给定轴 (我们称之为 `z` 轴) 的转动惯量具有如下性质:
- `1)` 转动惯量是

$$
I_z = \sum_{i} m_i (x_i^2 + y_i^2) = \int (x^2 + y^2)dm
$$

- `2)` 假如一个物体由很多部分组成, 每一部分的转动惯量已知,
  则总转动惯量就是各部分转动惯量之和.
- `3)` 相对于任一给定轴的转动惯量等于:
  相对于通过质心的平行轴的转动惯量再加上总质量与给定轴到质心距离平方的乘积.
- `4)` 假如物体是一个平面图形, 它相对于与平面垂直的轴的转动惯量等于:
  相对于在平面内两根相互垂直且与前述垂直轴相交的任意两根轴的转动惯量之和.

- 转动惯量相应于质量, 角速度相应于速度, 因此, 动能应该是
  $$ I ω^2 / 2 $$.
- 正是这样, 下面就来证明:
  - 假设物体绕一个轴转动, 因而它上面的每一点都有一个速度,
    其大小为
    $$ ωr_i $$,
  - 这里
    $$ r_i $$
    是特定点到轴的半径, 假如
    $$ m_i $$
    为这个点的质量, 则整个物体的总动能是所有小块的动能之和

$$
T = \frac{1}{2} \sum m_i v_i^2 = \frac{1}{2} \sum m_i (r_i ω)^2
$$

- 因为
  $$ ω^2 $$
  是常数,对各个点都是一样, 所以

$$
T = \frac{1}{2} ω^2 \sum m_i r_i^2 = \frac{1}{2} I ω^2
$$

---

- 再来看一下转台实验. 从转动着的人的观点来分别考虑身体和手臂.
  在重物拉回来以后, 整个物体旋转加快, 不过请注意, 身体的中心部分没有变化,
  但它也比以前转得快了.
- 假如我们围绕身体这部分画一个圆, 只考虑圆内的物体, 它们的角动量必将变化;
  它们运动得更快了.
  - 因此, 当我们把手缩回时, 一定有一个转矩作用在身体上.
  - 离心力不会有转矩作用, 因为它是沿径向的.
- 这就是说, 出现在转动系统的力中, 不仅仅有离心力, 还有其他力.
  这另一个力叫做`科里奥利力`, 它具有非常奇怪的性质,
  即当我们在转动系统中移动一个物体时, 它似乎被推向侧面.
- 和离心力一样, 它是一个表观上的力. 但是假如我们生活在转动着的系统中,
  要沿径向移动某个物体时, 我们将发现要从侧面推它才能使它沿径向运动.
  - 我们必须施加的这个侧向推力正是使我们身体转动的原因.
- 现在我们引进一个公式来表示科里奥利力的实际作用.
  - 假如莫坐在旋转木马上, 在他看来木马是静止的.
  - 但是对站在地面上, 并对力学规律有很好了解的乔来说, 旋转木马在转动.
  - 假设我们在旋转木马上画一条径向线, 莫正在沿这条径向线移动某个有质量的物体.
  - 我们将证明要这样做需要有一个侧向作用力.
  - 为了证明这一点, 只要注意物体的角动量. 因为它一直以同一角速度 `ω` 转动,所以角动量是

$$
L = m v_{切向} r = m ω r·r = m ω r^2
$$

- 因此, 当物体靠近中心时, 它具有相对较小的角动量.
  但是假如把它移到一个较远的新的位置, 即增大 `r`, 则 `m` 具有较大的角动量,
  因此一定要施加一个转矩, 才能使物体沿径向移动.
  - 要沿着旋转木马的径向行走, 你就必须把身子斜过来, 向旁边作用一个推力.
- 在 `m` 沿径向移动时, 所需要的转矩等于 `L` 随时间的变化率.
  如果 `m` 只沿径向运动, `ω` 保持恒定, 那么转矩就是

$$
\tau = F_c r = \frac{dL}{dt} = \frac{d(mωr^2)}{dt} = 2mωr\frac{dr}{dt}
$$

- 这里
  $$ F_c $$
  是科里奥利力.
- 我们真正想要知道的是莫必须作用一个怎样的侧向力, 才能使 `m` 以速率
  $$ v_r = dr/dt $$
  向外移动.
- 这个力就是
  $$ F_c = \tau / r = 2 m ω v_r $$

## 空间转动

- 为什么转矩是一个矢量呢? 我们能够把一个平面和单一的一根轴联系起来,
  从而能把矢量和转矩联系起来是十分幸运的奇迹; 这是三维空间的一个特性.
  - 在二维空间中, 转矩是一个普通的标量, 没有规定方向的必要.
  - 在三维空间中, 它是一个矢量.
  - 假如是四维空间, 困难就很大, 因为 (例如我们取时间为第四维)
    不仅有 `xy`, `yz` 和 `zx` 平面,
    还有 `tx`, `ty` 和 `tz` 平面.
  - 这里有`6`个面, 人们不能把`6`个量表示为四维空间中的一个矢量.

$$
\begin{align}

\boldsymbol{a} \times (\boldsymbol{b} + \boldsymbol{c}) & =
\boldsymbol{a} \times \boldsymbol{b} + \boldsymbol{a} \times \boldsymbol{c} \\

(α \boldsymbol{a}) \times \boldsymbol{b} & =
α(\boldsymbol{a} \times \boldsymbol{b}) \\

\boldsymbol{a} \centerdot (\boldsymbol{b} \times \boldsymbol{c}) & =
(\boldsymbol{a} \times \boldsymbol{b}) \centerdot \boldsymbol{c} \\

\boldsymbol{a} \times (\boldsymbol{b} \times \boldsymbol{c}) & =
\boldsymbol{b} (\boldsymbol{a} \centerdot \boldsymbol{c}) -
\boldsymbol{c} (\boldsymbol{a} \centerdot \boldsymbol{b}) \\

\boldsymbol{a} \times \boldsymbol{a} & = 0 \\

\boldsymbol{a} \centerdot (\boldsymbol{a} \times \boldsymbol{b}) & = 0

\end{align}
$$

- 现在我们要问, 是否在物理学中的任何方程都可以写成叉积的形式呢?
  回答是大多数的方程都可以这样写.
  - 例如, 我们立即可以看出转矩等于位置矢量和力的叉积

$$
\boldsymbol{\tau} = \boldsymbol{r} \times \boldsymbol{F}
$$

- 这是包含
  $$ \tau_{x} = yF_z - zF_y $$
  等三个方程式的一个矢量.
  根据同样的想法, 假如只有一个粒子时,
  角动量矢量就是离原点的距离乘以动量矢量

$$
\boldsymbol{L} = \boldsymbol{r} \times \boldsymbol{p}
$$

- 对于三维空间转动来说, 与牛顿的
  $$ \boldsymbol{F} = d\boldsymbol{p} / dt $$
  定律相类似的动力学定律是: 转矩矢量等于角动量矢量随时间的变化率

$$
\boldsymbol{\tau} = d\boldsymbol{L} / dt
$$

- 假如对很多粒子求和, 那么作用在一个系统上的外转矩是总角动量的变化率

$$
\boldsymbol{\tau}_{外} = d\boldsymbol{L}_{总} / dt
$$

---

- 另一个定理是: 若总的外转矩为零, 则这个系统的总角动量矢量不变.
  这称为角动量守恒定律.
  - 假如没有转矩作用在一个给定系统上, 它的角动量就不会改变.
- 角速度情况如何呢? 它是矢量吗? 我们已经讨论过固体绕一个给定轴的转动,
  现在假定我们使它同时绕两根轴转动.
  - 它可以一方面绕盒子内部的一根轴转动, 同时整个盒子再绕另一个轴转动.
  - 这种组合运动的结果是物体简单地围绕某一个新的轴转动.
    这个新的轴的奇特之处可以这样来描写:
  - 假如以 `z` 方向上的一个矢量来表示在 `xy` 平面内的转动率,
    并令其长度等于在该平面内的转动率,
    再在 `y` 方向上画出另一个矢量,
    以表示在 `zx` 平面内的转动率,
    则按照平行四边形法则把它们加起来,
    得出的矢量其大小就表示物体转动的快慢,
    其方向则代表转动是在哪个平面中进行的.
- 简言之, 角速度是一个矢量, 而在三个平面内转动的快慢,
  就是该矢量在垂直于各个平面的方向上的投影.

```
当我们深入到越来越高级的物理学时,
将会看到很多简单的东西用数学的方法来推导要比从基本的或简单的意义上去真正理解它们来得快一些.
这是一个很奇怪的特性, 而且在我们接触越来越高深的研究工作时, 就会遇到这些情况,
其中数学导出了结果, 但这些结果没有一个人能以任何直接的方式真正理解它.
狄拉克方程就是一个例子, 它的形式非常简单而优美, 但是它的结论却很难理解.
```

- 转动惯量有一个非常重要而有趣的性质, 很容易叙述, 也很容易应用, 它是上述分析的基础,
  但它太复杂, 难于在这里证明.
- 这个性质叙述如下: 任何刚体, 即使是像马铃薯之类不规则的物体, 都有通过质心的三根互相垂直的轴,
  使得相对于这三根轴中某一根轴的转动惯量与通过质心的任何轴相比具有最大可能值;
  相对于这三根轴中另一根轴的转动惯量则具有最小可能值;
  而对于第三根轴的转动惯量则处于两者之间 (或等于其中之一).
  - 这三根轴称为物体的主轴, 它们具有一个很重要的性质:
    如果物体绕其中一个轴转动, 它的角动量与角速度的方向相同.
  - 对于具有对称轴的物体来说, 它的主轴就是对称轴.

## 谐振子

- 这个事实说明了线性微分方程的一个极其重要的性质:
  如果用任意常数乘方程的一个解, 所得结果仍是方程的解.
- 关于这一点的数学含义是很清楚的.
  - 假如 `x` 是一个解, 如果在方程两边同时乘上 `A`,
    可以看到所有微商也同样乘上了 `A`,
    所以 `Ax` 就像 `x` 一样正好是原方程的解.
- 它的物理含义如下:
  - 假如我们在弹簧上挂上一个重物, 并把它拉下两倍远的距离, 则作用力就为两倍,
  - 由此产生的加速度也为两倍, 在某一给定时间内得到的速度也为两倍,
    在给定的时间内走过的距离也为两倍;
  - 但是它回到原点要走的距离也是两倍, 因为它被拉下了两倍.
  - 因此, 它回到原点所花的时间是一样的, 与初始位移无关.
  - 换句话说, 对于遵循线性方程的运动来说, 不管运动有多"强", 都具有同样的时间图像.

- 由此可见, 物体的质量越大, 在弹簧上来回振动一次所花的时间就越长.
  这是因为它有更大的惯性, 所以当作用力相同时, 要花较长的时间才能使它运动.
  - 另外, 如果弹簧的弹性越强, 它就运动得越快, 因此得出:
  - 弹簧的弹性越强, 周期就越短.
- 必须注意, 挂在弹簧上的物体的振动周期与它的初始运动状态以及弹簧被拉下的长度都毫无关系.
  - 运动方程式能确定周期, 但不能确定振幅.
  - 实际上, 振幅是由我们如何放开物体, 即由所谓`初始条件`或`起始条件`来决定的.

---

$$
x = A \cos \omega_{0} t + B \sin \omega_{0} t
$$

- 其中
  $$ A = a \cos \Delta $$,
  而
  $$ B = -a \sin \Delta $$.
- 这些形式中的任何一个都是完整的通解的可能形式:
  - 即微分方程
    $$ d^2 x / d t^2 = - \omega_{0}^2 x $$
    的每一个解都可以写成

$$
x = a \cos \omega_{0} (t - t_1)
$$

或者

$$
x = a \cos (\omega_{0} t + \Delta)
$$

或者

$$
x = A \cos \omega_{0} t + B \sin \omega_{0} t
$$

- 式中的一些量的名称如下:
  - $$ \omega_{0} $$
    称为角频率; 它是 `1s` 内相位变化的弧度数, 由微分方程所决定.
  - 其他常数不是由方程式, 而是由运动的初始条件来决定的.
    其中 `a` 表征物体能达到的最大位移, 称为振幅.
  - 常数 `Δ` 有时称为振动的相位, 但是这样的叫法有点混乱, 因为有些人把
    $$ \omega_{0} t + \Delta $$
    称为相位, 并且说相位是随时间而变化的.
  - 我们或许可以说, `Δ` 是相对于某一确定零点的相移.
  - 让我们各有各的说法吧! 不同的 `Δ` 对应于不同相位的运动, 这是确定无疑的,
  - 至于是否要把 `Δ` 称作相位, 这是另一个问题.

---

- 换句话说, 当一个粒子作圆周运动时,
  它的运动的水平分量具有的加速度与离圆心的水平位移成正比.
  - 显然, 对于圆周运动也有解:
    $$ x = R \cos \omega_{0} t $$.
  - 加速度的 `x` 分量与圆的半径无关, 因此, 当
    $$ \omega_{0} $$
    给定时, 对于任何半径的圆都得到同样的方程.
  - 这样, 我们就有种种理由预计, 挂在弹簧上的物体的位移最终将与
    $$ \cos \omega_{0} t $$
    成正比, 而且实际上, 与我们在观察以角速度
    $$ \omega_{0} $$
    作圆周运动的物体的位置的 `x` 分量时所看到的运动完全一样.

- 这里我们要指出, 因为匀速圆周运动与上下振动在数学上有很密切的联系,
  假如把振动看成是某物作圆周运动的投影, 我们就能用比较简单的方法来分析振动.
  - 换句话说, 虽然距离 `y` 在振子问题中完全是多余的,
    我们仍然可以人为地给振子式再补充一个用 `y` 表示的方程式,
    并把这两个方程放在一起.
  - 如果这样做, 我们就可以用圆周运动来分析一维振子, 这比解微分方程要容易得多.
  - 解这种问题的技巧是应用复数.

---

- 如果开始时有一初始位移, 并在放手时再推一下, 我们就得到另一种运动.
  常数 `A` 和 `B`, 或 `a` 和 `Δ`, 或用其他任何形式表达的常数,
  都是由运动的`初始状态`来决定的, 而与这种情况下的任何其他特征无关.
  - 这些就叫初始条件.
- 假如在 `t = 0` 时, 物体从初始位移
  $$ x_0 $$
  处以一定速度
  $$ v_0 $$
  开始运动, 这是开始运动的最一般的方式.
- 现在来计算 `A` 和 `B`. 从 `x` 的方程式着手

$$
x = A \cos \omega_{0} t + B \sin \omega_{0} t
$$

- 因为后面还要用到速度, 我们对 `x` 求微商, 得到

$$
v = - \omega_{0} A \sin \omega_{0} t + \omega_{0} B \cos \omega_{0} t
$$

- 这些式子对所有的 `t` 都适用, 但是我们已经知道了在 `t = 0` 时的 `x` 和 `v`.
  - 因此, 假如把 `t = 0` 代入这些方程, 在式子左边就得到
    $$ x_0 $$
    和
    $$ v_0 $$,
    因为这是在 `t = 0` 时的 `x` 和 `v` 的值.
  - 另外, 我们知道 `cos 0 = 1`, `sin 0 = 0`. 因此得到

$$
x_0 = A·1 + B·0 = A
$$

和

$$
v_0 = - \omega_{0} A·0 + \omega_{0} B·1 = \omega_{0} B
$$

- 所以, 对于这种特殊情况, 我们求得

$$
\begin{align}

A & = x_{0} \\
B & = \frac{v_0}{\omega_{0}}

\end{align}
$$

- 如果需要的话, 我们就能从这些 `A` 和 `B` 的值求出 `a` 和 `Δ`.

- 能量与振幅的平方有关; 如果振幅是原来的两倍, 那么振动的能量就是原来的四倍.
  - 势能的平均值是最大值的一半, 也就是总能量的一半,
  - 同样, 动能的平均值也是总能量的一半.

### 受迫振动

- 下面我们将要讨论受迫谐振子, 即有外策力作用的谐振子. 此时的方程式如下

$$
m \frac{d^2 x}{d t^2} = -kx + F(t)
$$

- 我们要求出在这种条件下会出现什么情况. 外策力可以与时间有各种函数关系,
  我们将要分析的第一个函数非常简单
  - 假设力是振动的

$$
F(t) = F_0 \cos \omega t
$$

试以上式代入, 仅考虑一个特解

$$
x = C \cos \omega t
$$

只要 `C` 取得适当, 上式特解便可以成立

$$
C = \frac{F_0}{m(\omega_{0}^2 - \omega^2)}
$$

- 这就表明, 质量为 `m` 的物体以与力相同的频率振动, 但是它的振幅不仅与力的频率有关,
  而且还与振子的固有运动频率有关.
  - 这就是说: 首先, 假如
    $$ \omega $$
    远小于
    $$ \omega_{0} $$,
    则位移和力就在同一方向上.
  - 另一方面, 如果使物体来回摆动得非常快,
    $$ \omega $$
    大于谐振子的固有频率
    $$ \omega_{0} $$,
    那么, `C` 是负值
  - 我们称
    $$ \omega_{0} $$
    为谐振子的固有频率,
    $$ \omega $$
    为外加频率. 当频率很高时, 振幅也就不会太大.
- 显然, 我们所得出的解只是物体在适当的初始条件下开始运动的解, 否则还有一部分.
  - 这部分是转瞬即逝的, 称为 `F(t)` 的瞬变响应.
- 如果
  $$ \omega $$
  几乎和
  $$ \omega_{0} $$
  完全一样, 那么 `C` 应趋于无穷大.
  - 因此, 如果调整力的频率, 使它与固有频率"合拍", 就应该得到很大的位移.
- 如果使
  $$ \omega $$
  严格等于
  $$ \omega_{0} $$,
  我们发现它应以无限大的振幅振荡, 这显然是不可能的.
  - 其原因是方程式没有把一些实际存在的摩擦力以及其他力考虑进去.
  - 因此, 由于某种原因振幅不会达到无限大; 它可能是弹簧的断裂!

## 代数学

```
我们将从中间开始讨论这门学科. 假定大家已经知道了什么是整数,
什么是零, 以及把一个数增加一个单位是什么意思. 你也许会说:
"这不是中间!"
但是, 从数学观点来看, 这确是中间, 因为我们还可以进一步追溯,
为了导出整数的某些性质而叙述集合论.
但是我们不向这个数理哲学和数理逻辑的方向探讨,
而是向另一个假定我们已经知道整数是什么以及它是如何计算的方向去进行研究.
```

```
这样, 不是用符号化的整数来定义法则, 而是用法则作为符号的定义,
从而使符号代表了更一般的数类. 例如, 只从运算法则出发, 我们就能说明
3-5 = 0-2. 实际上, 不难证明, 只要定义一组新的数列:
0-1, 0-2, 0-3, 0-4, 等等, 并称之为负整数, 我们就能做所有的减法.
然后, 我们也可以应用所有其他法则, 如 a(b + c) = ab + ac 等,
来找出负整数相乘的法则, 并将发现, 实际上对负整数来说, 所有法则仍和正整数相同.

前进! 伟大的构思在于继续进行推广; 当我们发现另一个不能解决的问题时,
就延拓数的领域. 考虑除法: 我们找不出这样一个整数, 即使是负整数,
它等于 3 除以 5 所得出的结果. 但是, 如果假定所有的分数也满足这些法则,
我们就能够讨论分数乘法和加法, 而且一切运算都能像前面一样顺利进行.

按照这种方式, 利用运算法则本身来帮助我们下定义,
我们就能够解释在各种符号中引进分数的含义 -- 这些并不是任意的.
值得注意的是所有这些法则对于正整数和负整数以及分数都同样适用!
```

- 在上述过程中, 我们发现了一些相当有趣的事情, 即对于一个非常小的幂指数 `ε` 来说,
  我们可以很容易算出
  $$ 10^{\varepsilon} $$;
  通过单纯的数值分析, 我们发现
  $$ 10^{\varepsilon} = 1 + 2.3025 \varepsilon $$.
  - 当然, 这也意味着如果 `n` 非常小的话,
    $$ 10^{n / 2.3025} = 1 + n $$.
- 现在任何其他底的对数只是以 `10` 为底的对数的倍数.
  我们以 `10` 为底仅仅是由于我们有 `10` 个手指头,
  用在算术上 (十进制) 比较方便, 但是假如我们要找出一个数学上自然的底,
  这就与人的手指头的数目毫无关系了,
  我们可以试用某种方便而自然的方式来改变对数的标度.
- 人们已经采用的方法是利用 `2.3025...` 去乘所有的以
  `10` 为底的对数来重新定义对数.
- 这相当于采用了另外的底, 叫做自然底或以 `e` 为底.
  - 注意当
    $$ n \rightarrow 0 $$
    时,
    $$ log_{e}(1+n) \approx n $$,
    或
    $$ e^n \approx 1 + n $$.

```
现在, 也许你还会说:
"这样下去就没有底了! 我们定义了虚数的幂和所有其他数,
但当我们把这一切都做完了之后, 又会有人提出另一个不能解的问题.
于是, 我们又得重新推广!"
但是, 结果表明, 有了 -1 平方根这个发明, 任何代数方程都能解了!
这是一个奇妙的事实, 我们留给数学系的人去证明.
证明非常漂亮, 也非常有趣, 但当然不是自明的.
实际上, 最自然的推测是我们必须一次又一次地发明.
但最使人惊讶的是我们并不需要这样做.
这是最后一次发明. 在发明复数之后, 我们发现,
运算法则对复数仍然适用, 我们不需要再发明新东西了.
借助于这些数目有限的符号,
我们能求出任何复数的复指数幂和能够解任何写成代数形式的方程.
我们再也找不到新的数了.
```

### 虚指数

$$
e^{i \theta} = \cos \theta + i \sin \theta
$$

## 共振

- 因此, 我们可以把一个复数表示成两种形式:
  - 一个实部加一个虚部, 或一个模 `r` 和一个叫做辐角的
    $$ \theta $$.
  - 给定 `r` 和
    $$ \theta $$,
    `x` 和 `y` 显然是
    $$ r \cos \theta $$
    和
    $$ r \sin \theta $$,
  - 反过来, 给定一个复数 `x + iy`, 则
    $$ r = \sqrt{x^2 + y^2} $$
    和
    $$ \tan \theta = y / x $$,
    即虚部和实部之比.

- 指数的代数运算要比正弦和余弦的运算容易得多, 这就是我们选用复数的原因.
  - 我们以后将经常用这样的写法

$$
F = F_0 e^{-i \Delta}e^{i \omega t}= \widehat{F} e^{i \omega t}
$$

我们在 `F` 上写上小符号是为了提醒我们, 这个量是复数, 即在上式中

$$
\widehat{F} = F_0 e^{-i \Delta}
$$

## 瞬变态

- 在很多情况下, 我们并不对振动过程中任何特定时刻的能量感兴趣.
  在大量的应用中, 我们只需要
  $$ A^2 $$
  的平均值, 即在一段比振动周期大得多的时间内 `A` 平方的平均值.
  - 在这些情况下, 可用余弦平方的平均值, 因此, 我们有如下的定理:
  - 如果用一个复数表示 `A`, 那么
    $$ A^2 $$
    的平均值等于
    $$ A_0^2 / 2 $$.
  - 这里
    $$ A_0^2 $$
    是复数
    $$ \hat{A} $$
    的模的平方.
  - 它可以写成很多形式, 有些人喜欢写
    $$ | \hat{A} |^2 $$;
    也有些人写
    $$ \hat{A}\hat{A} * $$,
    即
    $$ \hat{A} $$
    乘它的共轭复数.

- 首先, 这种没有外力作用的系统的行为可表示为纯时间指数函数:
  - 我们写成
    $$ e^{iat} $$
    的和或叠加.
  - 在这种情况下, 这是一个很好的解.
  - `a` 的值在一般情况下可以是复数, 其虚部表示阻尼.
  - 最后, 当某个物理参数超过某一临界值时,
    我们讨论过的正弦函数和指数函数之间的密切的数学关系,
    在物理上就表现为从振动到指数行为的变化.

## 线性系统及其综述

```
这就是所谓线性系统叠加原理的一个例子, 它非常重要.
其含义是: 假如我们有一个复杂的力,
它可以按任何方便的方式分解成几个分力之和,
每个分力就某种意义而言都是简单的, 也就是说,
对于由复杂的力分解出的每一个特定的分力, 我们都能解它的方程,
这样得出的结果可用来解整个力的方程,
因为我们可以把各个分力的解简单地再加回到一起,
就像整个力是由各个分力合成的一样.
```

```
在结束这一部分讨论的时候, 我们来定性地描述一下,
如果给定的力相当复杂, 那么在深入分析这个力的线性问题时会遇到什么情况.

在许多可能采用的方法中, 对解这类问题有两个特别有用的一般方法.
一个是: 假设我们能对一些特殊的已知力, 如不同频率的正弦波求解.
我们已知求解正弦波的问题如同"儿戏"一般容易.
因此我们称此为"儿戏"的情况.
现在的问题是能否把十分复杂的力表示成两个或多个"儿戏"式的力之和.
一条相当复杂的曲线, 如果我们加入更多的正弦波, 可以使它变得更加复杂.
因此, 肯定可以得到非常复杂的曲线. 反之亦然:
实际上每一条曲线都可由无数波长 (或频率) 不同的正弦波相加得出,
而它们中间每个正弦波的解我们都已知道.

我们只要知道有多少个正弦波构成这个已知力 F,
则我们的答案 x 就是相应的 F 正弦波之和,
其中每一个都要乘上 x 对 F 的有效比.
这个解法叫作傅里叶变换, 或傅里叶分析法.
现在我们并不打算实际进行这种分析, 只是想描述一下它所包含的想法.

最后, 对于线性系统为什么如此重要我们再来作一些说明. 答案很简单:
因为我们能够解它们!
因此, 在绝大部分时间里我们解的都是线性问题.
其次 (也是最重要的), 实际情况表明物理基本定律常常是线性的.
例如, 电学规律的麦克斯韦方程组就是线性的.
就我们所知, 量子力学的伟大定律也是线性方程.
这就是我们要花如此多的时间来研究线性方程的理由.
因为, 如果我们了解线性方程, 原则上, 就可了解许多事物.
```

- 假设有一个相当复杂的力学系统,
  它并不仅仅是一个具有质量的物体悬挂在一根弹簧上,
  而是几个具有质量的物体悬挂在几根弹簧上, 并且全都钩在一起.
  - 我们能做些什么呢? 求解它?
  - 也许能, 但是等一下, 我们可以设计一个电路,
    使它具有与我们将要分析的事情相同的方程!
- 比方说, 如果我们要分析悬挂在一根弹簧上的物体,
  为什么我们不能建立一个电路, 在这个电路中, 使电感正比于质量,
  电阻正比于相应的
  $$ m \gamma $$,
  $$ 1 / C $$
  正比于 `k`, 而且都具有同样的比例呢?
  - 当然, 这个电路将与我们的力学系统完全类似, 这就是说,
    无论 `q` 随 `V` (`V` 与作用力相对应) 如何变化,
    `x` 就随力这样变化!
  - 因此, 如果有一个由大量彼此互相联结的部件组成的复杂力学系统,
    我们就可以把很多电阻, 电感和电容彼此互相联结在一起以仿造这个力学上很复杂的系统.
  - 这样做有什么好处? 这两个问题的难易程度是完全相同的, 因为它们完全等价.
  - 其优点并不在于找出一个电路之后, 解数学方程会变得稍为容易一些
    (尽管这是电气工程师采用的方法),  而是考虑这种类比的真正原因在于电路容易建立,
    而且也容易改变这个系统中的某些东西.
- 假如我们设计了一辆汽车, 并想知道, 当它走过某种崎岖不平的道路时,
  它要摇动多少次.
  - 可以建立一个电路, 用电感代表轮子的惯性, 电容代表轮子的弹性系数,
    电阻代表减震器, 对汽车的其他部件也同样处理.
  - 现在需要一条崎岖不平的道路. 好!
  - 我们从发电机那里引出一个电压来代表某种路的崎岖不平,
    然后用测量某个电容器上的电荷来观察左轮的跳动.
  - 测量后 (这是容易做到的) 我们发现颠簸得太厉害了.
  - 是否需要增加或减少减振器?
  - 对于像汽车这类复杂的东西, 我们是否真正要改变减振器, 再重新做一遍呢?
  - 不! 我们只需要转动标度盘, 标度盘读数 `10` 对应于减震器数 `3`,
    这样我们就增加了减震器.
  - 颠簸得更厉害了? 没关系, 那就减少一点试试看.
  - 颠簸还是厉害, 我们改变弹簧的硬度 (标度盘读数 `17`),
    所有这一切都按电学方法来调节, 只要转动转盘.

> 结: 2022年10月5日
