---
title: 费曼物理学讲义 (卷一) 中
description: 上有六龙回日之高标, 下有冲波逆折之回川. 黄鹤之飞尚不得过, 猿猱欲度愁攀援.
date: 2022-05-14
---

## 光学: 最短时间原理

- 这是关于 __电磁辐射__ 主题诸章中的`第一章`.
  - 我们看到的光, 在同为辐射的宽广谱系中只占一小部分.

```
随着科学的进一步发展, 我们所要知道的是比仅仅一个公式更多的东西.
首先我们作了观察, 接着有了通过测量得到的数值, 然后有了概括所有这些数值的定律.
但是科学的真正光荣在于我们能够找到一种思想方法, 使得定律成为明显的.
使得有关光的行为的那个定律成为明显事实的第一个思想方法是费马于 1650 年左右发现的,
它称为最短时间原理或费马原理. 他的想法是这样的:
在从一点行进到另一点的所有可能的路径中, 光走的是需时最短的路径.
```

- 入射角等于反射角的这种说法与光射向镜面沿着需时最短的路径返回到
  `B` 的说法是等效的. 这一命题最初由亚历山大的希罗 (Hero) 所述:
  - 光走到镜面然后射向另一点时所取的是尽可能短的一段距离,
    因而这并不是一个新的理论.
  - 但正是这一点启发了费马, 使他联想到光的折射也许是在同一基础上进行的.
  - 但在折射中, 光显然不取最短距离的路径, 所以费马试用了光取最短时间的思想.

---

- 当一种像最短时间原理那样的新的理论发展起来时, 我们首先会倾向于说:
  - "嗯, 那很漂亮; 令人高兴; 但问题是, 它最终是否会对理解物理有所帮助?"
  - 有人会回答: "有, 你看我们现在能理解多少东西呀!"
  - 另一个则说: "很好, 但我也能理解抛物面镜.
    我只需要这样一条曲线, 使它的每一个切面跟两条光线构成相等的角度.
    我也能画一个透镜, 因为射到它上面的任何一条光线都将按斯涅耳定律给定的角度折射."
- 显然, 最短时间的说法和在反射中两角度相等的说法,
  以及在折射中两角度的正弦成比例的说法都是相同的.
  - 所以这是否只是一个哲学问题, 或者只是一个审美上的问题?
  - 两方面都有充分的论据.
  - 然而, 一个有效原理的重要性在于它能预言新的东西.

```
实际上, 我们必须把最短时间原理表述得更正确一些. 在前面, 它并没有得到正确的表述.
称它为最短时间原理是不正确的, 我们只是为了方便起见, 一直沿用着这个不正确的表述,
但现在我们必须考虑正确的表述应该是怎样的.

正确的表述如下: 在某一特定路径上行进的光具有这样的一种性质, 那就是,
如果我们不论用何种方式使光路作微小改变 (比如说移动百分之一),
例如改变它射到镜面上的路线的位置, 或改变曲线的形状, 或任何别的方式,
都不会有时间的一级变化; 而只有时间的二级变化.

换句话说, 这个原理是:
光取的是这样一条路径, 在它邻近有许多取时几乎与它完全相同的其他路径.
```

```
下面是最短时间原理的另一个困难,
它也是那些不喜欢这种理论的人所永远不能忍受的一个困难.
利用斯涅耳理论我们能够"理解"光. 当光在行进中遇见一个表面时,
会因为它与表面有相互作用而发生弯曲. 光从一点跑到另一点,
再到又一点等等的因果关系的思想是容易理解的.
但最短时间原理却是关于自然界行为方式的完全另一种哲学原理.
它不是把我们做了某件事后, 又发生另一件事等等说成是因果关系, 而是这样说:
我们建立起一种装置, 由光束判断哪一条是需时最短或最终的路径,
从而选定由这条路径走. 但它做了什么, 又是如何找出这条路径的?
它是否试探了邻近各条路径, 并对它们进行了相互核对?
回答是: 是的, 在某种程度上, 它的确是这样做的.
这个特征在几何光学中当然是无法知道的, 但却包含在波长的概念之中;
波长大致告诉我们, 光必须在离开多远的地方"试探"这条路径以便进行核对.
```

- __最短时间原理是怎样起作用的?__

- 最后, 从我们现在相信是正确的, 量子动力学上精确的观点出发,
  对实际发生的是什么以及整个事情是怎样起作用的提供一个粗略的概念,
  当然只能作定性的描述.
- 当我们随着光从 `A` 到 `B` 行进时, 我们发现光似乎根本不具有波的形式.
  相反, 光线倒是有点像由光子组成的, 如果我们用一个光子计数器,
  它实际上会在其中产生咔嗒声.
  - 光的亮度与每秒钟进入计数器的平均光子数成正比,
    而我们所计算的则是光子从 `A` (比如说碰到镜面后)
    到达 `B` 的机会.
- 这种机会所遵循的是下述很奇怪的规律. 取任一路径, 并找出其相应的时间;
  然后写一复数或画一小的复矢量
  $$ \rho e^{i \theta} $$,
  令其角度
  $$ \theta $$
  正比于时间.
  - 复矢量每秒的旋转周数就是光的频率.
  - 再取另一路径, 比如说它具有不同的时间, 则其对应的矢量就转过不同的角度,
    角度总是与时间成正比的.
  - 取所有可取的路径, 并为每一条路径加上一个小矢量;
  - 那么答案就是, 光子到达的机会与从始端到末端的总矢量的长度平方成正比!

## 电磁辐射

```
关于电和磁, 电的斥力和引力以及磁力等等这些已被逐渐发现的性质表明,
虽然这些力都很复杂, 但它们都与距离平方成反比地衰减.
例如我们知道, 关于静止电荷的简单的库仑定律就表明,
电力场的变化与距离平方成反比. 因此, 当距离足够大时,
一个电荷体系对另一个电荷体系的影响就很小.

当麦克斯韦试图把当时已经发现的所有方程或定律汇集在一起时,
他注意到它们之间是相互矛盾的: 为了使整个方程体系不矛盾,
就必须在他所建立的方程中加进另外一项. 于是,
他就从这个新的一项得出了一个惊人的预言,
那就是电场与磁场的一部分随距离的衰减远比反平方关系来得慢,
也就是与距离的一次方成反比!

因而他认识到, 一处的电流可以影响远处的电荷,
并且预言了我们今天所熟悉的一些基本效应 -- 无线电传输, 雷达, 等等.
```

- 这一项讲的是: 看着电荷, 并注意单位矢量的方向
  (我们可以把矢量的尾端投射到单位球的球面上).
  当电荷来回运动时, 单位矢量开始摆动,
  而单位矢量的加速度就是我们所要求的.
- 就这些. 这样

$$
E = - \frac{q}{4 \pi \varepsilon_0 c^2} \frac{d^2 e_{r'}}{d t^2}
$$

- 就是辐射定律的表述, 因为当我们离得足够远时, 它是唯一重要的项,
  这时场的变化与距离成反比
  - 与距离平方成反比的部分已衰减为很小, 以致我们对它们已不感兴趣.

---

- 因而我们想象电荷在实际上差不多不变的距离作很小的运动.
  在距离 `r` 上的延迟是 `r/c`.
- 这样我们的规则变为如下: 如果带电物体作很小的运动, 并横向位移了距离 `x(t)`,
  则单位矢量
  $$ e_{r'} $$
  的角位移就是 `x/r`, 既然 `r` 实际上不变,
  $$ d^2 e_{r'} / d t^2 $$
  的 `x` 分量就是 `x` 本身在前一时刻的加速度, 最后我们得到所需的定律为

$$
E_x (t) = - \frac{q}{4 \pi \varepsilon_0 c^2 r} a_x (t - \frac{r}{c})
$$

- 只有
  $$ a_x $$
  的垂直于视线的分量是重要的.

## 干涉

- 首先, 在任一特定时刻和任一特定地点, 场的强度与距离 `r` 成反比,
  正如我们以前所提及的. 现在, 我们必须指出, 波所包含的能量,
  或这样的电场所具有的能量效应, 与场的平方成正比.
  - 因为, 如果电场中有某种电荷或振子, 那么让电场作用于其上时, 它将使其运动.
  - 如果这是一个线性振子, 则由作用在电荷上的电场产生的加速度,
    速度和位移与场成正比.
  - 因此在电荷中出现的动能与场的平方成正比.
  - 所以我们就把场所能传递给系统的能量当作与场的平方成正比.
- 这意味着当我们远离源时, 源所能提供的能量减少了;
  事实上, 它与距离的平方成反比.
- 这有一个很简单的解释: 如果我们想要在距离
  $$ r_1 $$
  处收集起包含在某一角锥中的波的全部能量, 同时又在另一距离
  $$ r_2 $$
  处收集之, 我们发现在任一处单位面积的能量与 `r` 的平方成反比,
  但角锥所截的面积则直接与 `r` 的平方成正比.
  - __所以不论我们离得多远, 从给定锥角的波中所能获取的能量是相同的!__
  - 特别是, 若在四周放置一圈吸收振子, 则从整个波中所能获取的总能量是某一定值.
  - 因而, `E` 的振幅随 `1/r`
    而变化这一事实与存在一个永不散失的能流以及一个不断行进着的,
    散布在越来越大的有效面积中的能量这一说法是一样的.

---

- 为了求出在最一般情况下, 两个相互间本来就具有相位差
  $$ \alpha $$,
  强度
  $$ A_1 $$
  与
  $$ A_2 $$
  不相等的振子的振动源在某个特定角度的方向上的总效应,
  我们发现必须将两个具有相同频率, 但不同相位的余弦加起来.
  - 很容易求出两者的相位差;
  - 它是由距离差引起的延迟和本来就具有的振动相位差两部分组成的.
  - 数学上, 我们必须求出两个波的和 `R`
  - $$ R = A_1 \cos (wt + \phi_1) + A_2 \cos (wt + \phi_2) $$.
  - 怎样求呢?

- 首先, 如果我们擅长数学并熟悉余弦和正弦, 就能方便地求得.
  最容易的是
  $$ A_1 $$
  与
  $$ A_2 $$
  相等的情况, 假定它们都等于 `A`.
  - 在这样的情况下, 就有 (这可以称为三角解法)
  - $$ R = A \left [ \cos (wt + \phi_1) + \cos (wt + \phi_2) \right ] $$.
- 在三角课程中, 我们可能学到过下列公式
  - $$ \cos A + \cos B = 2 \cos \frac{1}{2} (A + B) \cos \frac{1}{2} (A - B) $$.
- 若知道此式, 就能立即把 `R` 写为
  - $$ R = 2A \cos \frac{1}{2} (\phi_1 - \phi_2) \cos (wt + \frac{1}{2} \phi_1 + \frac{1}{2} \phi_2) $$.
- 可见我们得到了一个具有新的相位与新的振幅的波动. 一般地说,
  其结果将是一个具有新的振幅 (我们可以称之为合成振幅)
  $$ A_R $$,
  以同样频率振荡而产生相位 (称为合成相位) 为
  $$ \phi_R $$
  的波动.
  - 由此看来, 我们的特例具有下列结果:
  - 合成振幅为
  - $$ A_R = 2 A \cos \frac{1}{2} (\phi_1 - \phi_2) $$,
  - 而合成相位为两个相位的平均值, 我们的问题就这样解决了.

---

> 更加精彩的复分析解法!

- $$ A_1 e^{i (wt + \phi_1)} $$
  - 其实部为
    $$ A_1 \cos (wt + \phi_1) $$
- $$ A_2 e^{i (wt + \phi_2)} $$
- 现在可将两者相加
- $$ R = A_1 e^{i (wt + \phi_1)} + A_2 e^{i (wt + \phi_2)} = (A_1 e^{i \phi_1} + A_2 e^{i \phi_2}) e^{iwt} $$
  - 或
    $$ \hat{R} = A_1 e^{i \phi_1} + A_2 e^{i \phi_2} = A_R e^{i \phi_R} $$
- 这样就解决了我们要求解的问题, 因为它代表叠加结果是模为
  $$ A_R $$,
  相角为
  $$ \phi_R $$
  的复数.

---

- 为了明白这种方法是如何进行的, 我们来求振幅
  $$ A_R $$,
  它就是
  $$ \hat{R} $$
  的"长度".
  - 为了得到一个复量的"长度", 我们常用它的复共轭去乘它, 这样得到长度的平方.
  - 复共轭具有同样的表示式, 只是 `i` 前面的符号相反.
  - 这样我们得到
  - $$ A_R^2 = (A_1 e^{i \phi_1} + A_2 e^{i \phi_2}) (A_1 e^{-i \phi_1} + A_2 e^{-i \phi_2}) $$.
- 将此乘出, 得
  $$ A_1^2 + A_2^2 $$
  (这里的 `e` 被消去了), 而交叉项则为
  - $$ A_1 A_2 \left [ e^{i (\phi_1 - \phi_2)} + e^{i (\phi_2 - \phi_1)} \right ] $$,
  - 因为
  - $$ e^{i \theta} + e^{-i \theta} = \cos \theta + i \sin \theta + \cos \theta - i \sin \theta $$.
- 这就是说,
  $$ e^{i \theta} + e^{-i \theta} = 2 \cos \theta $$.
  - 最终结果就成为
  - $$ A_R^2 = A_1^2 + A_2^2 + 2 A_1 A_2 \cos (\phi_2 - \phi_1) $$.
- 可见, 这与用三角规则得到的
  $$ A_R $$
  的长度一致.

---

- 这样, 两效应的总和为只有一个源存在时所得的强度
  $$ A_1^2 $$,
  加上只有另一个源存在时所得的强度
  $$ A_2^2 $$,
  再加上一修正项.
  - 这个修正项称为干涉效应.
  - 它实际上就是把两个强度简单地加起来所得的结果与实际发生的情况两者之间的差别.
  - 不论它是正的还是负的, 我们都称之为干涉.
  - 如果干涉项是正的, 我们就称之为相长干涉,
  - 相反的情况则为相消干涉.

## 衍射

```
本章是上一章的继续, 虽然名字由干涉变为衍射.
至今没有人能令人满意地解释干涉与衍射之间的区别.
这只是一个用法问题, 它们之间在物理上并没有明确的重大区别.
粗略地讲, 我们能做的至多是说, 当只有几个 (比如说两个) 源干涉时,
其结果常称为干涉, 而当源很多时, 则衍射一词似乎更常用.
因而, 我们将不去管它是干涉还是衍射,
而从上一章所述问题中断的地方继续下去.
```

- 我们现在要讨论这样的情形: 有 `n` 个等间距的振子, 振幅都相同,
  但彼此间相位不同, 这或者是由于激励时不同相,
  或者是由于从某一个角度去观察它们从而延迟时间有所不同所致.
  - 不管怎么样, 我们必须做这样的加法

$$
R = A [\cos wt + \cos (wt + \phi) +
       \cos (wt + 2 \phi) + ... +
       \cos (wt + (n-1) \phi)]
$$,
(`30.1`)

- 其中
  $$ \phi $$
  是在某一特定方向上观察时, 一个振子与下一个振子的相位差. 显然
  - $$ \phi = a + 2 \pi \frac{d \sin \theta}{\lambda} $$
- 现在必须把所有的项加起来. 我们将用几何法来作.
  - 第一个矢量长为 `A`, 相位为零.
  - 下一个矢量长也是 `A`, 而相位等于
    $$ \phi $$.
  - 再下一个矢量长还是 `A`, 而相位等于
    $$ 2 \phi $$,
    等等.
  - 显然, 我们正在围成一个 `n` 边的等角多边形.
- 这些矢量的顶点当然都在圆周上,
  于是只要求出这个圆的半径, 就很容易求得净振幅.
  - 假定 `Q` 是此圆的圆心, 可以看出角 `OQS` 正好就是相角
    $$ \phi $$.
  - 备注: `O` 为坐标原点, `S` 为
    $$ A_1 $$
    终点.
  - 这是因为半径 `QS` 跟
    $$ A_2 $$,
    与 `QO` 跟
    $$ A_1 $$
    构成相同的几何关系, 所以它们之间构成的角也为
    $$ \phi $$.
  - 这样一来, 半径 `r` 必须满足
    $$ A = 2r \sin \phi / 2 $$,
    于是 `r` 就确定下来了.
  - 但大角 `OQT` 等于
    $$ n \phi $$,
    因而可得
    $$ A_R = 2r \sin (n \phi / 2) $$.
  - 联立这两式以消去 `r`, 得到
  - $$ A_R = A \frac{\sin (n \phi / 2)}{\sin (\phi / 2)} $$
    (`30.2`)
  - 合强度就是
  - $$ I = I_0 \frac{\sin^2 (n \phi / 2)}{\sin^2 (\phi / 2)} $$
    (`30.3`)

---

- 设所有的源都在一直线上. 假设, 有 `n` 个源, 都相距 `d`,
  并假定相邻源之间的固有相位差是 `a`.
  - 当我们在与法线成
    $$ \theta $$
    角的方向上观察时, 如以前所讨论的,
    由于每两个相继之间在时间上的延迟,
    就有一个附加的相位差
    $$ 2 \pi d \sin \theta / \lambda $$.
- 因而
  $$ \phi = a + 2 \pi \frac{d \sin \theta}{\lambda} = a + kd \sin \theta $$
  (`30.4`)
- 首先来看 `a = 0` 的情形. 这就是说, 所有的振子同相位,
  而我们想知道强度与
  $$ \theta $$
  角的函数关系如何.
  - 为了找出它, 只要将
    $$ \phi = kd \sin \theta $$
    代入公式 (`30.3`), 看看会发生什么情况就行.
  - 首先, 当
    $$ \phi = 0 $$
    时有一极大值. 这意味着当所有的振子同相位时, 在
    $$ \theta = 0 $$
    的方向上有一很大的强度.
  - 另一方面, 一个有趣的问题是, 第一个极小值在哪里?
  - 它出现在
    $$ \phi = 2 \pi / n $$
    处. 换句话说, 当
    $$ 2 \pi d \sin \theta / \lambda = 2 \pi / n $$
    时, 我们得到曲线的第一个极小值. 若去掉这些
    $$ 2 \pi $$
    以使我们看得更清楚一些, 则由它可得:
  - $$ nd \sin \theta = \lambda $$
    (`30.5`)
- 现在我们来理解为什么在该处得一极小值的物理意义.
  - `nd` 是排列的总长度 `L`, 可得
    $$ nd \sin \theta = L \sin \theta = \Delta $$.
  - 式 (`30.5`) 所说的就是当
    $$ \Delta $$
    等于一个波长时, 我们得到一个极小值. 那么, 为什么当
    $$ \Delta = \lambda $$
    时会得到极小值?
  - 因为这时不同振子的贡献在相位上被均匀地分布在从 `0°` 到 `360°` 之间.
    类似箭头绕了一个整圈 -- 我们在把所有方向上的相同的矢量加起来, 所以总和为零.
    因而当我们处于
    $$ \Delta = \lambda $$
    的角度时, 就得到一个极小值. 这是第一个极小值.
- 式 (`30.3`) 还有一个重要的特性, 就是如果
  $$ \phi $$
  角增加 `2π` 的任意倍, 其值不变. 所以我们将在
  $$ \phi = 2 \pi, 4 \pi, 6 \pi $$
  等等处得到另一些主极大值.
  - 我们会自问, 导致这另一些主极大值的几何条件是什么?
  - 条件是
    $$ \phi = 2 \pi m $$,
    其中 `m` 是任意整数. 那就是
    $$ 2 \pi d \sin \theta / \lambda = 2 \pi m $$.
    除以 `2π`, 得到
  - $$ d \sin \theta = m \lambda $$.
    (`30.6`)
- 这看起来有点像另一个公式 (`30.5`). 但并非如此, 那个公式是
  $$ n d \sin \theta = \lambda $$.
  其区别是, 在这里我们必须注视个别的源, 当我们说
  $$ d \sin \theta = m \lambda $$
  时, 就意味着我们处于使
  $$ \delta = m \lambda $$
  的角度
  $$ \theta $$.
  - 换句话说, 此时每一个源都有一定贡献, 而相邻源之间相位差为 `360°` 的整数倍,
    从而使贡献同相位, 因为相位相差 `360°` 与同相位是一样的.
    所以它们的贡献都同相位, 并产生上文讨论过的对应 `m = 0` 的同样的极大值.
  - 次级凸起, 即图形的整个形状, 恰好与
    $$ \phi = 0 $$
    附近的相同, 两边也有同样的一些极小值, 等等.
  - 这样一来, 这种排列就会向不同的方向发射光束,
    每一束都有一个很强的主极大值和若干个弱的"边瓣".
  - 这些不同的强光束按照 `m` 的值分别称为零级光束, 一级光束, 等等.
    `m` 称为光束的级.
- 注意, 如果 `d` 小于
  $$ \lambda $$,
  式 (`30.6`) 除 `m = 0` 外没有解, 所以若间距太小的话,
  将只有一个可能的光束, 即集中于
  $$ \theta = 0 $$
  处的零级光束 (当然, 在反方向也有光束).
  - 为了得到次级主极大值, 必须使排列的间距 `d` 大于一个波长.

```
假如我们有许多平行导线, 彼此间隔相同的间距 d,
并有一个很远 (实际上是无限远) 的无线电频源, 它发射一个电场,
此场以相同相位到达每一导线
(源是那么远, 以致对所有的导线来说时间的延迟都相同.
有人会用曲线形排列来达到此点, 但我们采用平面的情形).
于是外电场将驱使每一导线中的电子上, 下运动.
也就是说, 从原来的源发射的场将激励电子上, 下运动,
这种运动电子就成了新的发射源.

从某一个源发出的光波能激起一块金属中的电子运动,
而这些运动又产生了它们自己的波, 这一现象称为散射.
因而我们只要架起许多导线, 使之间隔相等,
并以远处的无线电频源激励它们, 就能得到所需的情况,
无需许多特殊的布线.
如果投射是法向的, 相位就相同,
我们将正好得到刚讨论过的情况.

因此, 若导线间隔大于波长, 就可在法向得到很强的散射强度,
而在另外的某些方向也能得到由式 (30.6) 给出的很强的散射强度.

这个方法对光也适用! 用一块平玻璃片代替导线, 在其上刻以凹槽,
使光在每个刻痕处的散射与玻璃的其余部分略有不同.
如果我们将光照射在玻璃上, 每个刻痕就成为一个源, 假如使刻痕的间距很小,
但不小于波长 (要小于波长在技术上几乎是不可能的),
那么我们就会预期产生一个十分奇怪的现象:

光不仅会笔直地通过去, 而且按刻痕间隔的大小,
在某一有限的角度上也会出现强光束! 这类东西实际上已制造出来,
并在普遍使用, 它们被称为衍射光栅.
```

- 这样我们开始理解反射的基本机理:
  - 入射光使反射体中的原子发生运动, 从而反射体就产生一束新的波,
    散射方向的一个解, 当散射源的间距与波长相比很小时则为唯一的解,
    是使光出射的角度等于其入射的角度!

```
现在我们来看一个非常有趣的情况. 假设有一张开孔的不透明薄片,
在它的一边有一束光. 我们希望知道另一边光的强度如何.
大多数人会说: 光将穿过开孔, 并在另一边产生一种效应.

结果将证明是这样: 如果有人假定光源以均匀的密度分布在开孔上,
而这些源的相位与假定不透明屏不存在时一样, 他就将得出很好的近似解答.
当然, 在开孔处其实并没有源; 事实上那是唯一无疑没有源的地方.

虽然如此, 但当我们把开孔看作唯一有源之处时,
仍得到了正确的衍射花样; 这是一个颇为奇怪的事实.
以后我们将解释为什么这是正确的, 但现在就让我们假定它是正确的.
```

- 假设有一充满源的平面, 所有源都沿着平面方向一起振动, 并有相同的振幅与相位.
  - 试问离平面有限远, 但距离很大处的场如何
    (我们当然不能靠得很近, 因为我们还没有获得对于靠近源的场的正确公式)?
- 如果把电荷平面作为 `xy` 面, 则我们要求的是 `z` 轴上很远点 `P` 的场.
  - 假定平面的单位面积上有
    $$ \eta $$
    个电荷, 每个电荷带有电量 `q`.
  - 所有电荷作同方向, 同振幅, 同相位的简谐振动.
  - 假设每个电荷相对于各自的平衡位置的运动是
    $$ x_0 \cos wt $$,
    或者用复数符号, 并记住其实部代表实际运动, 则运动可写为
    $$ x_0 e^{iwt} $$.
- 现在我们求出来自每个电荷 `q` 的场, 并把所有电荷的贡献叠加起来,
  从而求出 `P` 点的场.
  - 我们知道辐射场正比于电荷的加速度, 此加速度为
    $$ - w^2 x_0 e^{iwt} $$
    (而且对每个电荷都相同).
  - 点 `Q` 处的电荷在 `P` 点产生的电场正比于电荷 `q` 的加速度,
    但必须记住在时刻 `t`, `P` 点的场是由较早时刻
    `t' = t - r/c` 电荷的加速度给出的,
    其中 `r/c` 是波从 `Q` 传播到 `P` 的距离 `r` 所花的时间.
  - 因而 `P` 点的场就正比于
  - $$ - w^2 x_0 e^{iw(t - r/c)} $$
    (`30.10`)
- 把这一量作为来自远处辐射电荷的电场表示式中从 `P` 点看到的加速度, 我们得到近似解

$$
Q 处电荷在 P 点产生的场 =
\frac{q}{4 \pi \varepsilon_0 c^2}
\frac{w^2 x_0 e^{iw(t - r/c)}}{r}
$$

(`30.11`)

- 现在, 这一表示式并不十分正确, 因为我们本来应该用的不是电荷的加速度,
  而是加速度垂直于直线 `QP` 的分量.
  - 不过我们假定对于所考虑的电荷来说, `P` 点离辐射源的距离比起
    `Q` 点与轴线的距离来很远,
    以致可以舍去余弦因子 (不管怎样它总近似于 `1`).
- 为了得到 `P` 点的总场, 现在把平面上所有电荷的效应加起来. 当然我们应求矢量和.
  但既然对所有电荷来说, 电场方向几乎都相同, 那么, 与我们已作的近似相应,
  可以只把场的大小加起来, 按照我们的近似, `P` 点的场仅取决于距离 `r`,
  故处于相同 `r` 处的所有电荷产生相同的场.
  - 所以我们首先把半径为
    $$ \rho $$,
    宽为
    $$ d \rho $$
    的环中电荷的场加起来, 然后对所有
    $$ \rho $$
    积分, 就可得到总场.
- 环中电荷的数目是环的表面积
  $$ 2 \pi \rho d \rho $$
  与单位面积电荷数
  $$ \eta $$
  的乘积.
  - 这样, 我们就有

$$
P 点的总场 = \int
\frac{q}{4 \pi \varepsilon_0 c^2}
\frac{w^2 x_0 e^{iw(t - r/c)}}{r}
\cdot \eta
\cdot 2 \pi \rho d \rho
$$

(`30.12`)

- 我们要求此积分从
  $$ \rho = 0 $$
  到
  $$ \rho = \infty $$
  的值.
  - 变量 `t` 在我们求积分时当然保持不变, 故唯一的变量是
    $$ \rho $$
    和 `r`.
  - 暂时舍去所有常数因子, 包括因子
    $$ e^{iwt} $$,
    要求的积分则成为

$$
\int_{\rho = 0}^{\rho = \infty}
\frac{e^{-iwr/c}}{r}
\rho d \rho
$$

(`30.13`)

- 为了求此积分需应用 `r` 与
  $$ \rho $$
  之间的关系
  - $$ r^2 = \rho^2 + z^2 $$.
    (`30.14`)
  - 因为 `z` 不取决于
    $$ \rho $$,
    故当求此等式的导数时, 得到
  - $$ 2r dr = 2 \rho d \rho $$.
- 幸而, 因为在积分中可以用
  $$ r dr $$
  代替
  $$ \rho d \rho $$,
  从而 `r` 与分母中的 `r` 消去.
  - 于是我们所要求的积分成为较简单的形式

$$
\int_{r = z}^{r = \infty}
e^{-iw r/c} dr
$$

(`30.15`)

- 对指数函数积分很容易. 我们只要将它除以指数中 `r` 的系数,
  并求出指数函数在上, 下限的值就行.
  - 但 `r` 的上, 下限与
    $$ \rho $$
    的上, 下限不同.
  - 当
    $$ \rho = 0 $$
    时, 有 `r = z`, 故 `r` 的积分限为从 `z` 到无穷大.
  - 我们得到积分值为

$$
- \frac{c}{iw}
\left [ e^{-i \infty} - e^{-(iw/c)z} \right ]
$$

(`30.16`)

- 其中我们已将
  $$ (w/c)_\infty $$
  写为
  $$ \infty $$,
  因为它们都只不过表示一个很大的数而已!

---

- 现在
  $$ e^{-i \infty} $$
  是一个神秘的量.
  - 例如其实部为
    $$ \cos (- \infty) $$,
    它从数学上讲是完全不定的.
  - 尽管我们可以想象它为介于 `+1` 与 `-1` 之间的某个值, 或任何值 (?).
  - 但在物理的情况下, 它可以包含十分合理的意义, 并且常常可看作为零.
  - 为了在我们的情形中看出这一点,
    我们写上与积分在一起的所有系数, 结果得

$$
P 处的总场 = -
\frac{\eta q}{2 \varepsilon_0 c}
iw x_0 e^{iw(t - z/c)}
$$

(`30.18`)

> 记住 `1 / i = -i`.

- 注意到
  $$ (iw x_0 e^{iwt}) $$
  恰好等于电荷的速度这一点是有意义的, 故我们也可把场的表示式写为

$$
P 处的总场 = - \frac{\eta q}{2 \varepsilon_0 c}
\left [ 电荷的速度 \right ]_{t - z/c}
$$

(`30.19`)

- 这似乎有些奇怪, 因为这里时间的延迟恰好由距离 `z` 引起,
  而 `z` 为 `P` 至电荷平面的最短距离. 但得出的结果正是如此.
  - 幸好, 此表示式颇为简单.
  - 附带说一句, 虽然我们的推导仅对远离振荡电荷平面的地方有效,
    但结果证明公式 (`30.18`) 或 (`30.19`) 对任意距离 `z` 都正确,
    甚至对 `z < λ` 也对.

## 折射率的起源

```
(a) 在任何物理条件下, 总电场总是可以用来自空间所有电荷的场的总和来表示;
(b) 来自单个电荷的场总是由它的以速度 c 延迟而算得的加速度值给定 (对辐射场来说).

但对一片玻璃来说, 你会想:
"哦, 不对, 你对这些都应加修正. 你应该说它以速度 c/n 延迟."

然而这是不对的, 而且我们就是要了解这为什么不对.

光或任何电波通过折射率为 n 的物质时似乎以速度 c/n 传播这一点大致是正确的,
但场仍然由所有电荷 -- 包括在物质中运动着的电荷 -- 的运动所产生,
而场的这些基本贡献则以极限速度 c 传播.

我们的问题是弄清楚这种表观上较慢的速度是怎么得出来的.
```

---

$$
\begin{align}
E_s  & = 来自源的场               \\
E_a  & = 板中电荷产生的场          \\
Δz   & = 板的厚度                 \\
z    & = 离板的垂直距离            \\
n    & = 折射率                   \\
ω    & = 辐射的 (角) 频率          \\
N    & = 板中单位体积的电荷数        \\
\eta & = 板上单位面积的电荷数        \\
q_e  & = 电子电荷                  \\
m    & = 电子质量                  \\
ω_0  & = 束缚于原子上的电子的共振频率 \\
\end{align}
$$

- 如果源 `S` 在左方很远处, 则场
  $$ E_s $$
  在板上任何一个地方将有相同的相位,
  所以我们在板的附近可将它写为
  - $$ E_s = E_0 e^{iw(t - z/c)} $$.
    (`31.9`)
  - 刚好在板上时, `z = 0`, 就有
  - $$ E_s = E_0 e^{iwt} $$
    (在板上). (`31.10`)
- 板上原子中每个电子都将感受这个电场, 并将在电场力 `qE`
  的作用下作上, 下运动 (我们假定
  $$ E_0 $$
  的方向是垂直的).
  - 为了求出我们预期的电子的运动是怎样的,
    我们假定原子是小振子, 也就是说,
    电子被弹性地束缚在原子上, 这意味着,
    如果有一个力施加于电子上,
    它离开正常位置的位移将与此力成正比.

---

- 电子的行为就如同它们被弹簧拴着一样.
  所以我们将假定电子具有线性恢复力,
  此力与电子的质量 `m` 一起,
  使电子的行为像一个具有共振频率
  $$ w_0 $$
  的小振子.
  - 我们已经学过这样的振子,
    并知道它们的运动方程是这样写的
  - $$ m (\frac{d^2 x}{d t^2} + w_0^2 x) = F $$,
    (`31.11`)
  - 式中 `F` 是驱动力.
- 对于我们的问题, 驱动力来自源所发出的波的电场, 所以应该用
  - $$ F = q_e E_s = q_e E_0 e^{iwt} $$,
    (`31.12`)
  - 其中
    $$ q_e $$
    是电子的电荷, 而对
    $$ E_s $$
    我们利用由式 (`31.10`) 得到的表示式
    $$ E_s = E_0 e^{iwt} $$,
    于是电子的运动方程为
  - $$ m (\frac{d^2 x}{d t^2} + w_0^2 x) = q_e E_0 e^{iwt} $$.
    (`31.13`)
- 我们以前已解过这一方程, 并知道其解为
  - $$ x = x_0 e^{iwt} $$,
    (`31.14`)
- 代入式 (`31.13`), 得到
  - $$ x_0 = \frac{q_e E_0}{m (w_0^2 - w^2)} $$,
    (`31.15`)
- 所以
  - $$ x = \frac{q_e E_0}{m (w_0^2 - w^2)} e^{iwt} $$.
    (`31.16`)
- 于是就得出了需要知道的东西 -- 板中电子的运动.
  - 而且每个电子除平均位置 (运动的"零"点) 当然不同以外,
    其他运动完全相同.

---

- 现在我们可以立即求出这些电荷在 `P` 点所产生的场
  $$ E_a $$,
  因为我们已经求出由一片一起运动的电荷所产生的场.
  - 参考式 (`30.19`), 我们看到 `P` 处的场
    $$ E_a $$
    正好是一负的常数乘上电荷在时间上被延迟了量 `z/c` 的速度.
  - 对式 (`31.16`) 中 `x` 进行微商以得出速度,
    再计入延迟, 或把式 (`31.15`) 中的
    $$ x_0 $$
    代入式 (`30.18`), 就得到

$$
E_a = -
\frac{\eta q_e}{2 \varepsilon_0 c}
\left [
iw
\frac{q_e E_0}{m (w_0^2 - w^2)}
e^{iw (t - z/c)}
\right ]
$$
(`31.17`)

- 正如我们所期望的, 电子的受迫运动产生了一个额外的向右传播的波,
  这就是因子
  $$ e^{iw (t - z/c)} $$
  所表明的, 而此波的振幅与板上单位面积的原子数 (因子
  $$ \eta $$
  ) 成正比, 也与源场的强度 (因子
  $$ E_0 $$
  ) 成正比.
  - 此外, 还有一些依赖于原子性质的因子 (
    $$ q_e $$,
    $$ m $$
    和
    $$ w_0 $$
    ), 如我们所应预期的.
- 然而最重要的是, 这个
  $$ E_a $$
  的表示式 (`31.17`) 很像我们在式 (`31.8`)
  中得到的表明原波在通过折射率为 `n` 的物质时被推迟的
  $$ E_a $$
  的表达式. 事实上, 若

$$
(n - 1) \Delta z =
\frac{\eta q_e^2}{2 \varepsilon_0 m (w_0^2 - w^2)}
$$
(`31.18`)

- 则两个表示式将相同. 注意等式两边都与
  $$ \Delta z $$
  成正比, 因为
  $$ \eta $$
  (它是单位面积的原子数) 等于
  $$ N \Delta z $$,
  这里 `N` 是板中单位体积的原子数.
- 以
  $$ N \Delta z $$
  代替
  $$ \eta $$
  并消去
  $$ \Delta z $$,
  得到我们的主要结果,
  即以物质原子性质以及光的频率表示的折射率表示式为

$$
n = 1 +
\frac{N q_e^2}{2 \varepsilon_0 m (w_0^2 - w^2)}
$$
(`31.19`)

- 这个等式给出了我们想得到的折射率的"解释".

---

- 再来看一看色散公式, 如果我们向物体上发射 `X` 射线,
  或向自由电子上发射无线电波 (或任何电波),
  $$ (w_0^2 - w^2) $$
  项就变成负的, 于是得到 `n` 小于 `1` 的结果.
  - 这意味着物质中波的有效速度比 `c` 还快!
  - 这会是正确的吗?
- __这是正确的__. 尽管人们说传送信号的速度不可能比光速还快,
  不过在特定频率下, 物质的折射率可以大于 `1` 也可以小于 `1` 这一点是真的.
  这仅仅意味着散射光产生的相移可以是正的也可以是负的.
  - 然而可以证明你能用来传送信号的速率并不取决于一个频率上的折射率,
    而是取决于许多频率上的折射率是多少.
  - 折射率告诉我们的是波的节 (或峰) 传播的速率.
  - 波的节本身并不是一个信号.
  - 一个完善的波, 没有任何种类的调制, 也就是说,
    是一个稳定的振动, 在这样的波中, 你不能确切说出它何时"开始",
    所以你不能用它作计时信号.
  - 为了传送信号你必须多少改变一下这个波, 或在其上造成一凹口,
    或使它稍阔些或稍狭些.
  - 这意味着你必须在波中有一个以上的频率,
    而信号传播的速率可以证明并不只是取决于折射率,
    而是取决于折射率随频率变化的情况.
  - 对这个问题的讨论我们也必须推迟.
  - 那时我们将给你们计算信号通过这样一片玻璃的实际速率,
    你们将看到此速率并不比光速快,
    尽管作为数学点的波节确实比光速传播得快.

---

- 现在我们再来看一下色散方程.
  我们应注意到上面对折射率的分析所得出的结果比你在自然界实际发现的要简单一些.
  为了使它完全精确, 必须稍加改进.
  - 首先, 应预期到我们的原子振子模型应具有一定的阻尼力
    (否则一旦开始振动就会永远振动下去, 而我们并不希望发生这种情形).
  - 以前我们曾求出阻尼振子的运动, 其结果是式 (`31.16`) 中的分母由
    $$ (w_0^2 - w^2) $$
    变为
    $$ (w_0^2 - w^2 + i \gamma w) $$,
    其中
    $$ \gamma $$
    是阻尼系数.
- 我们所需要的第二个修正是,
  要考虑到对一特定种类的原子有几个共振频率这一事实.
  - 只要想象有几种不同种类的振子, 但每个振子独立地起作用,
    就很容易改写我们的色散方程, 只要把所有振子的贡献简单地加起来就行了.
  - 假设单位体积中有
    $$ N_k $$
    个自然频率是
    $$ w_k $$,
    阻尼系数是
    $$ \gamma_k $$
    的电子.
- 这样我们的色散方程就成为

$$
n = 1 + \frac{q_e^2}{2 \varepsilon_0 m}
\sum_{k}
\frac{N_k}{w_k^2 - w^2 + i \gamma_k w}
$$
(`31.20`)

- 我们终于有了一个描写在许多物质中观察到的折射率的完整表达式.

---

- 也许你已经注意到, 在我们所得到的色散方程的最后形式 (`31.20`) 中,
  出现一点奇怪的东西.
  - 由于考虑到阻尼而加进量
    $$ i \gamma $$,
    折射率现在变成了复数!
  - 这意味着什么?
  - 求出 `n` 的实部与虚部后, 可把 `n` 写为
  - $$ n = n' - in'' $$,
    (`31.21`)
  - 其中 `n'` 和 `n''` 是实数
    (我们在 `in''` 前用负号, 因为这样 `n''` 结果将是正数).
- 回到式 (`31.6`), 它是通过一块折射率为 `n` 的材料后的波的方程,
  我们就能明白这样一个复数折射率所包含的意义.
  - 如果把我们的复折射率 `n` 代入此方程, 并作一些整理, 就得到

$$
E_{板后} =
\underbrace{ e^{-w n'' \Delta z/c } }_{A}
\underbrace{ e^{-iw (n' - 1) \Delta z/c} E_0 e^{iw (t - z/c)} }_{B}
$$
(`31.22`)

- 最后一个因子, 在式 (`31.22`) 中记为 `B` 的,
  正是我们以前所得到的形式, 它还是描写一个波,
  其相位在通过物质后推迟了角度
  $$ w (n' - 1) Δz / c $$.
  - 第一项 `(A)` 是新的, 并且是一个具有实指数的指数函数,
    因为有两个 `i` 消去了.
  - 加上指数是负的, 故此因子为小于 `1` 的实数.
  - 它描写场的幅度的减少, 而且, 正如我们所预料的,
    $$ Δz $$
    越大减少得越多.
  - 当波通过物质时, 被减弱了.
    物质"吸收"了一部分波. 波从另一边出来时能量减少了.
  - 我们不应对此感到惊奇, 因为我们为振子所加进的阻尼确实是一种摩擦力,
    它必定引起能量的损失.
  - 我们看到复折射率的虚部 `n''` 代表波的吸收 (或"衰减").
  - 实际上, 有时把 `n''` 称为`"吸收率"`.

## 辐射阻尼, 光的散射

- 在上一章中我们知道, 当一个系统振荡时, 能量就被带走,
  我们还导出了被振荡系统所辐射掉的能量的表示式.
  - 如果知道了电场, 那么电场平方的平均值乘以
    $$ \varepsilon_0 c $$
    就是每秒钟通过垂直于辐射方向的平面每平方米的能量值
  - $$ S = \varepsilon_0 c \langle E^2 \rangle $$.
    (`32.1`)
- 任何振荡电荷都辐射能量; 例如, 一受激天线就辐射能量.
  如果系统辐射能量, 则为了说明能量守恒,
  我们必须认为沿着通往天线的导线有功率传输着.
  - 这就是说, 对驱动电路来说,
    天线的作用像一个电阻或一个会"损失"能量的场所
    (能量并非真的损失掉, 其实是辐射出去, 但就电路来说, 能量是损失了).
- 在一个普通电阻中, "损失"的能量转变成为热; 在这里,
  所"损失"的能量跑到空间去了.
  - 但从电路理论的观点看,
    如果不去考虑能量跑到哪里去了,
    则在电路上的净效果是同样的 -- 能量从该电路"损失"掉了.
- 于是对振荡器来说, 天线好像有一个电阻,
  尽管它也许是由十分良好的铜制成的.
  - 事实上, 如果天线制造得很好, 它将几乎像个纯电阻, 很少有电感或电容,
    因为我们希望从天线辐射出尽可能多的能量.
  - 这种天线所显现的电阻称为`辐射电阻`.
- 如果流向天线的电流为 `I`, 则传输给天线的平均功率是电流平方的平均值乘以电阻.
  - 天线所辐射的功率当然是正比于天线中电流的平方的,
    因为所有的场都正比于电流,
    而被释放的能量正比于场的平方.
  - 辐射功率与
    $$ \langle I^2 \rangle $$
    之间的比例系数就是`辐射电阻`.

---

- 现在我们来计算加速电荷所辐射的总能量. 为了使讨论不失一般性,
  假设电荷按非相对论性的任何方式作加速运动.
  - 比如说, 当电荷加速度为竖直时,
    我们知道它产生的电场是电荷乘以推迟加速度的投影除以距离.
  - 因而可以知道任何一点的电场,
    从而知道电场的平方以及每秒钟通过单位面积的能量
    $$ ε_0 c E^2 $$.
- 量
  $$ ε_0 c $$
  经常出现在与无线电波传播有关的表示式中. 它的倒数称为真空阻抗,
  这是一个很容易记的数:
  - 其值为
    $$ 1 / ε_0 c = 377 \Omega $$.
  - 所以以瓦特为单位的每平方米的功率等于电场平方的平均值除以 `377`.

---

- 应用电场表示式 (`29.1`), 我们发现
  - $$ S = \frac{q^2 a'^2 \sin ^2 \theta}{16 \pi^2 ε_0 r^2 c^3} $$
    (`32.2`)
  - 就是在
    $$ \theta $$
    方向每平方米所辐射的功率.
- 我们注意到它与距离平方成反比, 如前面所说的那样.
  现在假如要求出向所有方向辐射的总能量,
  则必须将式 (`32.2`) 对所有方向积分.
  - 首先乘以面积, 以求出在小角
    $$ d \theta $$
    内流过的功率.
  - 为此要知道球面被
    $$ d \theta $$
    所截部分的面积.
- 考虑的方法是这样的: 若球半径为 `r`, 则环状球截形的宽度为
  $$ r d \theta $$,
  周长为
  $$ 2 \pi r \sin \theta $$,
  因为
  $$ r \sin \theta $$
  为该圆周的半径.
  - 故这一小片球面的面积为
    $$ 2 \pi r \sin \theta $$
    乘以
    $$ r d \theta $$
  - $$ dA = 2 \pi r^2 \sin \theta d \theta $$
    (`32.3`)
  - 以包含在小角
    $$ d \theta $$
    内的面积 (以平方米为单位) 乘能流 (即式 `32.2`,
    每平方米的功率), 即得到此方向上在
    $$ \theta $$
    与
    $$ \theta + d \theta $$
    之间所释放的能量值;
    然后将它从 `0°` 到 `180°` 对
    $$ \theta $$
    的所有角度积分

$$
P = \int S dA =
\frac{q^2 a'^2}{8 \pi ε_0 c^3}
\int_{0}^{\pi} \sin ^3 \theta d \theta
$$.
(`32.4`)

- 把
  $$ \sin ^3 \theta $$
  写为
  $$ (1 - \cos ^2 \theta) \sin \theta $$,
  不难证明
  $$ \int_{0}^{\pi} \sin ^3 \theta d \theta = \frac{4}{3} $$.
  利用这一点, 最后得到

$$
P = \frac{q^2 a'^2}{6 \pi ε_0 c^3}
$$.
(`32.5`)

- 这个表示式有几点应加注意.
  - 首先, 因为矢量
    $$ \mathbf{a'} $$
    有确定的方向, 式 (`32.5`) 中的
    $$ \mathbf{a'}^2 $$
    应为矢量
    $$ \mathbf{a'} $$
    的平方, 即
    $$ \mathbf{a'} \cdot \mathbf{a'} $$
    -- 矢量长度的平方.
  - 其次, 能流 (`32.2`) 是用推迟加速度计算的;
    也就是说, 用较早时刻的加速度计算,
    该时刻所辐射的能量现正通过球面.
  - 我们也许会说此能量事实上是在该较早时刻释放的.
  - 但这不完全正确; 这只是近似的概念.
    能量释放的确切时间不可能精确定义.
  - 我们所能真正精确计算的只是在像一个振动或诸如此类的那样一种完整运动中所释放的能量,
    在那种运动里加速度最后为零.
  - 于是我们所得到的是, 每周总能流为加速度平方在一个整周中的平均值.
  - 这正是在式 (`32.5`) 中所应表示出来的.
  - 或者说, 如果运动的加速度在开始与末了时都为零,
    则流出的总能量为式 (`32.5`) 对时间的积分.

---

- 当我们有一个振动系统时, 为了说明公式 (`32.5`) 的结果,
  我们来看一下如果电荷的位移 `x` 在作振动, 因而使加速度 `a` 为
  $$ - ω^2 x_0 e^{iωt} $$
  时, 情况将怎么样.
  - 加速度平方在一周中的平均值
    (记住, 当我们对一个写为复数形式的量平方时,
    必须非常小心 -- 它实在是余弦, 而
    $$ \cos ^2 ωt $$
    的平均值是 `1/2`) 从而为

$$
\langle a'^2 \rangle =
\frac{1}{2} ω^4 x_0^2
$$,

这样

$$
P = \frac{q^2 ω^4 x_0^2}{12 \pi ε_0 c^3}
$$.
(`32.6`)

---

- 我们现在所讨论的一些公式是比较高深的, 或多或少是近代的,
  它们最初出现于`20`世纪初, 而且是很有名的. 由于它们的历史价值,
  能在老一些的书中读到它们对我们来说是很重要的.
  - 实际上, 老一些的书中还使用一种与我们现在的 `mks` 制不同的单位制.
- 但所有这些复杂性在最后与电子有关的公式中可用下述规则澄清: 量
  $$ q_e^2 / (4 \pi ε_0) $$
  (其中
  $$ q_e $$
  是电子电荷, 以库仑为单位) 在历史上被写为
  $$ e^2 $$.
- 在 `mks` 制中很容易算出, `e` 在数值上等于
  $$ 1.5188 \times 10^{-14} $$,
  因为我们知道
  $$ q_e = 1.60206 \times 10^{-19} $$,
  $$ 1 / (4 \pi ε_0) = 8.98748 \times 10^9 $$.
  因而我们将经常使用下列方便的缩写:
  - $$ e^2 = \frac{q_e^2}{4 π ε_0} $$.
    (`32.7`)
- 如果在老的公式中用上述数值代替 `e`, 并把这些公式看作是用 `mks` 单位写的,
  就能得到正确的数值结果.
  - 例如, 式 (`32.5`) 中老的形式是
    $$ P = 2 e^2 a^2 / (3 c^3) $$.
  - 再如, 电子与质子在距离为 `r` 时的势能是
    $$ q_e^2 / (4 π ε_0 r) $$
    或
    $$ e^2 / r $$,
  - 其中 `e` 为 `mks` 制中的值, 即
    $$ e = 1.5188 \times 10^{-14} $$.

---

- 现在我们来建立一种概念:
  设原子散射的总强度是落在某一几何面积上的全部强度,
  于是只要求出该面积, 就给出了答案.
  - 这样, 该答案与入射强度无关;
    它给出了散射能量与每平方米入射能量的比率.
  - 换句话说, 比率
  - $$ \frac{每秒散射的总能量}{每平方米每秒的入射能量} $$
  - 是面积.
- 此面积的意义是, 如果射到该面积上的所有能量被射向所有方向,
  则它就是被原子散射的能量的值.
- 这个面积称为散射截面; 散射截面的概念是常用的,
  只要某一现象与光束的强度成正比.
  - 在这种情况下, 人们常常这样来描述现象的强度,
    即说明为了收集那么多光束, 有效面积必须是多少.
  - 这无论如何不是意味着此振子实际上具有这样一个面积.
  - 如果除了一个作上, 下振动的自由电子外再也不存在别的什么,
    在物理上就不会有与之直接相联系的面积.
  - 它仅仅是表述某种类型问题的答案的一种方法;
    它告诉我们为了说明有这么一些能量散射掉,
    入射光束所碰到的面积必须是多少.
- 这样, 对我们的情形, 有
  - $$ \sigma_s = \frac{8 \pi r_0^2}{3} \frac{w^4}{(w^2 - w_0^2)^2} $$
    (`32.19`)
  - 下标 `s` 是指"散射".

## 偏振

- 现在讲一些术语. 电场沿直线振动的光叫做线偏振光 (有时称为平面偏振光).
  电场矢量的末端沿一椭圆移动的光叫做椭圆偏振光.
  当电场矢量末端沿一圆移动时, 则为圆偏振光.
  - 当我们朝着迎面来的光观看时, 若电矢量末端沿逆时针方向旋转, 我们称它为右旋圆偏振光.
  - 在两种情况中光都从纸面向外.
    我们标记左旋圆偏振与右旋圆偏振的约定与今天对物理学中所有其他显示偏振性的粒子
    (例如电子) 所用的约定是一致的.
  - 然而, 在某些光学书中却用相反的约定, 所以读者必须小心.
- 我们考虑了线偏振光, 圆偏振光和椭圆偏振光, 除这些光以外, 剩下的只有非偏振光了.
  但是, 既然光总得沿这些椭圆之一振动, 它怎么可能是非偏振的呢?
- 如果光不是绝对单色的, 或者如果 `x` 相与 `y` 相不完全保持同步,
  那么电矢量先沿某个方向振动, 然后沿另一个方向振动, 偏振性经常在改变.
  - 记住一个原子的发射只持续
    $$ 10^{-8} s $$
    时间, 若一个原子发射某种偏振光, 接着另一个原子发射另一种偏振光, 则偏振性将每隔
    $$ 10^{-8} s $$
    改变一次.
  - 如果偏振性改变得比我们所能探测的更快, 则我们称光为非偏振的,
    因为所有的偏振效应都平均掉了.
  - 没有一个偏振光的干涉效应可以用非偏振光显示出来.
  - 但是, 从定义来看, 只有当我们无法断定光是否偏振的时候, 才称它为非偏振光.

---

- 圆偏振光具有另一个有趣的性质 -- 它带有角动量 (对传播方向).
  - 为了说明这一点, 假定圆偏振光投射在一个可用简谐振子来代表的原子上,
    该振子能在 `xy` 平面内沿任意方向相同地位移.
  - 于是, 作为对场的
    $$ E_x $$
    分量的响应, 电子将有 `x` 方向的位移,
    作为对大小相同的场的
    $$ E_y $$
    分量的响应, 有大小相同的 `y` 方向的位移,
    但相位落后 `90°`.
  - 这样一来, 作为对光的旋转电场的响应, 电子以角速度 `ω` 沿一圆周运动.
- 电子位移矢量 `a` 的方向和作用在电子上的力
  $$ q_e E $$
  的方向不一定要相同, 视振子响应的阻尼特性而定, 但它们一起旋转.
  - `E` 可以有与 `a` 成直角的分量, 所以对系统做功, 并作用有力矩
    $$ \tau $$.
    每秒钟做的功为
    $$ \tau \omega $$.
  - 在一个周期 `T` 内, 吸收的能量为
    $$ \tau \omega T $$,
    而
    $$ \tau T $$
    即传递给吸收此能量的物质的角动量.
- 因而我们看到, 一束带有总能量
  $$ \xi $$
  的右旋圆偏振光具有角动量
  $$ \xi / \omega $$
  (矢量指向传播方向).
  - 因为当此束光被吸收时, 该角动量就传递给吸收物质.
  - 左旋圆偏振光带有符号相反的角动量
    $$ - \xi / \omega $$.

## 辐射中的相对论性效应

- 我们可以把现在要讨论的效应概括为与运动辐射源有关的效应.
  因此, 我们不再假设辐射源局限在某固定点附近以比较低的速率运动.
- 我们记得, 电动力学的基本定律表明, 在远离运动电荷的地方,
  电场由下式给出
  - $$ \mathbf{E} = - \frac{q}{4 \pi \varepsilon_0 c^2} \frac{d^2 \mathbf{e}_{R'}}{dt^2} $$.
    (`34.1`)
- 单位矢量
  $$ \mathbf{e}_{R'} $$
  的方向指向电荷的表观方向, 它的二阶微商是电场的决定因素,
  当从电荷到观察者的信号仅以有限速率 `c` 传播时,
  此单位矢量当然并不指向电荷现在的位置,
  而指向电荷看起来所在的位置.
- 与电场相联系的还有磁场, 方向始终与电场垂直, 也与源的表观方向垂直,
  而由下式给出
  - $$ \mathbf{B} = - \mathbf{e}_{R'} \times \mathbf{E} / c $$.
    (`34.2`)
- 至此我们只考虑了运动速率为非相对论性的情况,
  结果在源所在的方向上没有明显的运动要去考虑.
  - 现在我们要更一般地研究以任意速度而运动的情况,
    看一看在这种情况下会有什么其他效应发生.
  - 虽然我们假设运动速率是任意的, 但是当然仍将假定探测器离源很远.

---

- 所以最后的回答是: 为了求运动电荷的电场, 先画电荷的运动,
  然后将该运动以速率 `c` 逐点向后平移, 以便"将它展开";
  这样画出来的曲线, 就是位置 `x'` 和 `y'` 作为 `t` 的函数的曲线.
  - 此曲线的加速度给出作为时间 `t` 的函数的电场.
  - 如果我们愿意, 也可这样来想象, 即整个"刚性"曲线以速率 `c`
    通过视平面向前运动, 从而曲线与视平面的交点坐标就是 `x'` 和 `y'`.
  - 由该点的加速度得出电场.
  - 这个解正与起初的公式一样确切 -- 它只是一种几何表述方法.

---

- 在同步加速器中, 电子在均匀磁场中沿圆形轨道运动.
  - 首先我们来看一下电子为什么沿圆周运动.
  - 根据式 (`28.2`), 在磁场中运动的粒子所受的力由下式给出
  - $$ \mathbf{F} = q v \times \mathbf{B} $$,
    (`34.6`)
- 此力与场和速度都垂直. 像通常一样, 力等于动量对时间的变化率.
  - 假设场的方向由纸面向上.
  - 既然力与速度垂直, 则粒子的动能, 进而其速率, 保持不变.
  - 磁场的作用只是改变运动的方向.
- 在一个短时间
  $$ Δt $$
  内, 动量矢量的改变量
  $$ Δp = \mathbf{F} Δt $$
  在其垂直方向上, 因而
  $$ \mathbf{P} $$
  转过一个角度
  $$ Δ \theta = Δp / p = qvB Δt / p $$,
  因为
  $$ \mid F \mid = qvB $$.
  - 但在同一时间内, 粒子走过距离
    $$ Δs = v Δt $$.
- 显然, 直线 `AB` 和 `CD` 将在某一点 `O` 相交, 而使
  $$ OA = OC = R $$,
  其中 `R` 满足
  $$ Δs = R Δ \theta $$.
  - 将此关系与前一个表示式相结合, 可得
    $$ R Δ \theta / Δ t = R \omega = v = qv BR / p $$,
    由此可得
  - $$ p = qBR $$
    (`34.7`)
  - 和
  - $$ \omega = \frac{qvB}{p} $$.
    (`34.8`)
- 因为同样的论证也适用于下一瞬时, 再下一瞬时, 等等, 故可得出结论,
  粒子必然作沿半径为 `R` 的圆周运动, 角速度为 `ω`.

---

- 粒子的动量等于电荷乘以半径再乘以磁场这一结果十分重要, 并且用得很多.
  - 此关系在实用上很重要, 因为当存在一些带相同电荷的基本粒子时,
    可在磁场中对它们进行观察, 测得它们的轨道的曲率半径,
    在已知磁场的情况下, 就可决定粒子的动量.
- 若在式 (`34.7`) 两边同乘以 `c`,
  并将 `q` 用电子电荷表示, 就可以用电子伏为单位来量度粒子的动量值.
  - 使用这些单位, 该式变为
  - $$ pc (eV) = 3 \times 10^8 (q / q_e) BR $$,
    (`34.9`)
  - 式中 `B`, `R` 及光速皆用 `mks` 制表示, 在 `mks` 制中, 光速的数值为
    $$ 3 \times 10^8 $$.

---

- 我们已计算了粒子的动量, 但我们知道粒子的总能量, 包括静能在内, 由

$$
W = \sqrt{p^2 c^2 + m^2 c^4}
$$

- 给出, 对于电子, 与
  $$ mc^2 $$
  相应的静能为
  $$ 0.511 \times 10^6 eV $$,
  当 `pc` 为
  $$ 10^9 eV $$
  时, 可略去
  $$ mc^2 $$,
  故对所有实用目的来说, 当粒子速率达到相对论性速率时,
  - $$ W = pc $$.
- 说电子能量为 `1 GeV` 与说电子动量乘以 `c` 为 `1 GeV` 实际上相同.
  - 若
    $$ W = 10^9 eV $$,
    很容易证明粒子的速率与光速之差只有八百万分之一!

---

- 由在磁场中循环运行的相对论性带电粒子所发出的电磁辐射叫做同步辐射.
  - 它之所以这样命名, 理由很明显, 但这种辐射并不只限于同步加速器,
    甚至也不限于地球上的实验室.
  - 令人兴奋而有趣的是, 它也发生在自然界中!
- 我们刚才已经说明电子在磁场中怎么会沿圆周运动的.
  - 当然我们还可以在磁场方向上加上任何匀速运动, 因为力
    $$ q v \times \mathbf{B} $$
    没有沿该方向的分量, 而且我们已讲过, 同步辐射显然是偏振的,
    其方向垂直于磁场在视平面内的投影.

---

- 那么, 当我们取一个固有频率为
  $$ \omega_0 $$
  的正常原子, 并让它以速率 `v` 趋近观察者运动时, 其频率是否为
  $$ \omega = \omega_{0} / (1 - v/c) $$?
  - 不, 我们知道得很清楚, 由于时间流率的相对论性膨胀, 运动原子的固有频率
    $$ \omega_1 $$
    与原子静止时量得的不同.
  - 这样一来, 如果真正的固有频率为
    $$ \omega_0 $$,
    则修正后的固有频率
    $$ \omega_1 $$
    将是
  - $$ \omega_{1} = \omega_{0} \sqrt{1 - v^2 / c^2} $$.
    (`34.11`)
- 于是观察到的频率
  $$ \omega $$
  为
  - $$ \omega = \frac{\omega_{0} \sqrt{1 - v^2 / c^2}}{1 - v/c} $$.
    (`34.12`)
- 上述情况下观察到的频率移动现象叫做多普勒效应;
  如果物体朝我们运动, 它所发射的光就显得偏紫一些,
  如果它离开我们运动, 则显得偏红一些.

---

- 设有一个坐标系 `x`, `y`, `z`, 一个波在其中传播.
  - 波的波长为
    $$ \lambda $$,
    但波的运动方向不是正好沿着某一轴的方向.
  - 这样一个波的表示式是什么?
  - 回答无疑是
    $$ \cos (wt - ks) $$,
    其中
    $$ k = 2π / \lambda $$,
  - 而 `s` 是沿着波的运动方向的距离 -- 即空间位置沿运动方向的分量.
- 我们这样来处理: 设空间一点的位置矢量是
  $$ \mathbf{r} $$,
  则 `s` 就是
  $$ \mathbf{r} \cdot \mathbf{e}_{k} $$,
  这里
  $$ \mathbf{e}_{k} $$
  是运动方向上的单位矢量.
  - 这就是说, `s` 正好是
    $$ r \cos (\mathbf{r}, \mathbf{e}_{k}) $$,
    即在运动方向上的距离分量.
  - 因此上述波的表示式就是
    $$ \cos (wt - k \mathbf{e}_{k} \cdot \mathbf{r}) $$.
- 结果表明定义一个矢量
  $$ \mathbf{k} $$
  是很方便的, 叫做`波矢`, 它的大小等于波数
  $$ 2π / \lambda $$,
  并且指向波的传播方向
  - $$ \mathbf{k} = 2π \mathbf{e}_{k} / \lambda = k \mathbf{e}_{k} $$.
    (`34.19`)
- 利用这一矢量, 上述波可以写成
  $$ \cos (wt - \mathbf{k} \cdot \mathbf{r}) $$,
  或写成
  $$ \cos (wt - k_{x} x - k_{y} y - k_{z} z) $$.
  - `k` 的一个分量, 比如说
    $$ k_x $$,
    它的意义是什么?
  - 显然,
    $$ k_x $$
    是相位对 `x` 的变化率.
  - 当改变 `x` 时, 相位跟着改变, 正像有一个波沿 `x` 方向传播一样,
    但其波长较长.
  - "在 `x` 方向的波长"比自然的真实波长长了角
    $$ \alpha $$
    的正割这一因子,
    $$ \alpha $$
    是波的实际传播方向与 `x` 轴的夹角
  - $$ \lambda_{x} = \frac{\lambda}{\cos \alpha} $$
    (`34.20`)
- 因此相位对距离的变化率 (它正比于
  $$ \lambda_{x} $$
  的倒数) 小了因子
  $$ \cos \alpha $$;
  这正是
  $$ k_x $$
  变化的大小 -- 它等于
  $$ \mathbf{k} $$
  的大小乘上
  $$ \mathbf{k} $$
  与 `x` 轴夹角的余弦!
- 这就是我们用来表示三维空间波的波矢的性质. 四个量
  $$ \omega $$,
  $$ k_x $$,
  $$ k_y $$,
  $$ k_z $$
  在相对论中像`四元矢量`一样变换, 其中 `ω` 对应于时间,
  $$ k_x $$,
  $$ k_y $$,
  $$ k_z $$
  则对应于`四元矢量`中的 `x`, `y`, `z` 分量.

---

- 一般地说, 磁场的效应是很小的, 但有一个有趣而重要的效应是磁场造成的.
  - 设光自源发出, 作用在电荷上, 驱使电荷上, 下运动.
  - 再设电场沿 `x` 方向运动, 故电荷也沿 `x` 方向运动;
    电荷的位置为 `x`, 速度为 `v`.
- 磁场与电场垂直. 当电场作用在电荷上使之上, 下运动时, 磁场起了什么作用?
  - 磁场只在电荷 (比如说电子) 运动时才对电荷有作用;
    但电子是在运动, 它由电场所驱动, 所以两个场一起起作用:
  - 当电子上, 下运动时具有速度, 于是在它上面有磁力作用,
    磁力大小等于 `B` 乘以 `v` 再乘以 `q`;
- 但此力沿什么方向?
  - 此力沿着光的传播方向.
  - 因此, 当光照射在电荷上引起电荷振荡时,
    在光束的方向上有一个策动力.
  - 这叫做辐射压力或光压.

---

- 现在决定辐射压力的大小. 显然它是
  $$ F = qvB $$,
  或者, 因为各量都在振荡, 它是该量的时间平均值
  $$ \langle F \rangle $$.
  - 由式 (`34.2`), 磁场的强度与电场强度除以 `c` 相同,
    故只要求出电场的平均值, 乘以速度和电荷, 再乘以 `1/c`, 即得
    $$ \langle F \rangle : \langle F \rangle = q \langle vE \rangle / c $$.
  - 但电荷 `q` 乘电场 `E` 是作用在电荷上的电力,
    而作用在电荷上的电力乘以速度是对电荷所做的功
    $$ dw / dt $$!
- 于是力, 即光在每秒钟所传递的"推进动量",
  等于 `1/c` 乘以每秒钟从光所吸收的能量!
  - 这是一个一般规则, 因为我们没有说明振子有多强,
    也没有说明是否有些电荷彼此抵消.
  - 在任何情况下, 凡在光被吸收的地方, 就有光压.
- 光所传递的动量总是等于所吸收的能量除以 `c`
  - $$ \langle F \rangle = \frac{dw / dt}{c} $$.
    (`34.24`)

---

- 光携带有能量, 这一点我们早已知道. 现在我们知道它还带有动量,
  而且还知道所带的动量总是等于 `1/c` 乘以能量.
  - 当光自源发出时, 就有反冲效应; 这是同一件事的反面.
  - 若一原子沿某一方向发射能量 `W`, 就有反冲动量 `p = W/c`.
  - 若光从镜面正反射, 则得到两倍的此力.
- 我们用光的经典理论所要讲的就到此为止.
  当然我们还知道有量子论, 并且知道光在许多方面的行为像粒子.
  - 光粒子的能量为一常量乘以频率
  - $$ W = hv = \hbar ω $$.
    (`34.25`)
- 现在我们知道了光还带有动量, 它等于能量除以 `c`,
  所以这些实际的粒子, 即光子, 确实也带有动量
  - $$ p = W/c = \hbar ω/c = \hbar k $$.
    (`34.26`)
- 动量的方向当然沿着光的传播方向. 故写成矢量式, 有
  - $$ W = \hbar ω $$,
    $$ \mathbf{p} = \hbar \mathbf{k} $$.
    (`34.27`)
- 我们无疑还知道, 粒子的能量与动量应构成`四元矢量`.
  - 刚才我们发现 `ω` 与 `k` 构成`四元矢量`.
  - 因此式 (`34.27`) 对两种情况具有同一常数是一件好事;
    它意味着量子论与相对论是相互协调的.

## 量子行为

```
我们的结论是: 电子以颗粒的形式到达, 像粒子一样,
这些颗粒到达的概率分布则像波的强度的分布.
正是从这个意义上来说, 电子的行为"有时像粒子, 有时像波".

顺便指出, 在处理经典波动时, 我们定义强度为波幅平方对时间的平均值,
并且使用复数作为简化分析的数学技巧.
但是在量子力学中结果发现振幅必须用复数表示, 仅有实部是不行的.
目前, 这是一个技术上的问题, 因为公式看上去完全一样.
```

```
现在我们用波长较长的波来做实验. 我们将利用波长越来越长的光重复进行实验.
起先, 看不到任何变化, 结果是一样的.
接着, 可怕的事情发生了, 你们会记得, 当我们讨论显微镜时曾指出过, 由于光的波动性质,
对两个小点彼此可以靠得多近而仍可视为两个分离的点存在着一个极限距离.
这个极限距离的大小与光波波长的数量级相同.
所以如果我们使波长大于两个小孔之间的距离,
我们看到在光被电子散射时产生一个很大的模糊不清的闪光.
这样就不再能说出电子通过的是哪一个孔了! 我们只知道它跑到某处去!
```

```
唯一可能作出的回答是, 我们从实验上发现, 为了使自己不致陷于自相矛盾,
我们必须按一种特殊方式思考问题. 我们所必须说的 (为了避免作出错误的预测) 是:
如果人们观察小孔, 或者更确切地说,
如果人们有一架仪器能够确定电子究竟通过孔 1 还是孔 2 的话,
那么他们就能够说出电子或者穿过孔 1, 或者穿过孔 2.
但是, 当人们不试图说出电子的行径, 当实验中对电子不作任何扰动时,
那么他们可以不说电子或者通过孔 1, 或者通过孔 2.
如果某个人这么说了, 并且开始由此作出任何推论的话, 他就会在分析中造成错误.
这是一条逻辑钢丝, 假如我们希望成功地描写自然的话, 我们就必须走这一条钢丝.
```

> 我们将要说到的`"事件"`, 一般说来就是一组特定的初始与最终条件.

- 在理想实验中, 一个`事件`的概率由一个复数
  $$ \phi $$
  的绝对值平方给出,
  $$ \phi $$
  称为概率幅.
  - $$ P = 概率 $$,
  - $$ \phi = 概率幅 $$,
  - $$ P = \mid \phi \mid ^2 $$.
- 当一个事件按几种交替的方式出现时,
  该事件的概率幅等于各种方式分别考虑时的概率幅之和.
  - __此时存在干涉现象__:
  - $$ \phi = \phi_{1} + \phi_{2} $$,
  - $$ P = \mid \phi_{1} + \phi_{2} \mid ^2 $$.

- 如果完成一个实验, 此实验能够确定实际上发生的是哪一种方式的话,
  则该事件的概率等于按各个不同方式发生的概率之和.
  - __此时不发生干涉__:
  - $$ P = P_1 + P_2 $$

```
所以, 在目前我们只准备计算概率.
我们说"在目前", 但是我们强烈地感觉到很可能永远如此 --
很可能永远无法解决这个难题 -- 因为自然界实际上就是如此.

我们希望强调经典理论和量子力学之间的一个非常重要的差别.
我们一直谈到在给定的情况下, 电子到达的概率. 我们曾暗示:
在我们的实验安排中 (即使是能作出的最好的一种安排)
不可能精确预言将发生什么事. 我们只能预言可能性!

如果这是正确的, 那就意味着,
物理学已放弃了去精确预言在确定的环境下会发生的事情.
是的!
物理学已放弃了这一点.
我们不知道怎样去预言在确定的环境下会发生的事件, 而且我们现在相信,
这是不可能的, 唯一可以预言的是种种事件的概率.
必须承认, 对我们早先了解自然界的理想来说, 这是一种节约,
它或许是后退的一步, 但是还没有能看出避免这种后退的出路.
```

> 深表同意! 当然, 曾今的我是无法接受的. 但是, 后来才发现, 这才是合理的!

## 波动观点与粒子观点的关系

```
我们在这一章中所学习的东西并不是准确的; 这里的论证是半直观的,
我们将在以后使之更为准确, 但是, 当我们用量子力学作出正确解释时,
有一些事情将会有一点改变. 我们之所以要这样来处理,
其原因当然在于我们不想立刻就深入到量子力学中去,
而是希望对于我们将会碰到的几种效应至少能有某种概念.
而且, 我们所有的经验都与波动以及粒子有关, 因此,
在我们掌握对量子力学振幅的完整数学描述之前,
先应用波动和粒子的概念来理解一定场合下所发生的事情是颇为方便的.
我们在这样做时将力图阐明那些最薄弱的环节,
但是其中大多数还是相当正确的 -- 因为只是解释的问题.
```

```
首先, 我们知道量子力学中描述世界的新方法 -- 新的框架 --
是对每个可能发生的事件给予一个振幅, 而且如果此事件涉及接收一个粒子,
那么就给出在不同位置与不同时间找到该粒子的振幅.
于是, 找到该粒子的概率就正比于振幅绝对值的平方.
```

- 一般地讲, 在不同场所与不同时刻找到粒子的振幅是随着位置和时间而变化的.
  在一种特殊情况下, 振幅在空间与时间上像
  $$ e^{i(wt - \boldsymbol{k} \cdot \boldsymbol{r})} $$
  那样呈正弦的变化
  (别忘了这些振幅是复数, 而不是实数), 它有一个确定的频率 `w` 和波数 `k`.
  - 结果表明这对应于一种经典的极限情况, 也就是说,
    我们可以认为在此情况中有一个粒子, 它的能量 `E` 为已知,
    并且 `E` 与频率之间的关系是
  - $$ E = \hbar \omega $$,
  - 而且粒子的动量 `p` 亦是已知的, 它与波数 `k` 之间的关系是
  - $$ p = \hbar k $$.
- 这一情况说明粒子的概念受到了限制. 我们这么经常使用的粒子的概念 --
  它的位置, 动量等等在某些方面已不再令人满意了.
  - 比如, 假设在不同的位置上找到一个粒子的振幅是
    $$ e^{i(wt - \boldsymbol{k} \cdot \boldsymbol{r})} $$,
    则其绝对值的平方是常数, 而这就意味着在所有的点上找到粒子的概率都相等.
  - 这就是说, 我们不知道粒子究竟在何处 -- 它可以在任何地方 --
    粒子的位置是非常不准确的.
- 另一方面, 如果一个粒子的位置知道得比较清楚, 而且我们可以相当准确地预测它的话,
  那么在不同位置找到它的概率必定限制在一定的区域内, 我们称其长度为
  $$ \Delta x $$.
  - 在此区域之外概率则为零.
  - 由于这个概率是某个振幅的绝对值的平方, 如果绝对值的平方为零,
    则振幅亦为零, 结果我们就有一个长度为
    $$ \Delta x $$
    的波列, 此波列的波长 (波列中波节之间的距离) 就对应于该粒子的动量.

---

```
这里我们遇到了有关波动的一件奇妙的事情 -- 一件很简单的,
与量子力学毫无关系的事情. 任何人, 即使完全不懂量子力学,
只要他研究过波的话就会知道:
对一个短的波列, 我们不可能规定一个唯一的波长.

这样的波列没有一个确定的波长; 由于波列的长度是有限的,
因此相应地在波数上存在着不确定性, 于是在动量上也就存在着不确定性.
```

- 这意味着, 如果有一长度小于 `L` 的波列,
  那么在波数上的不确定量必然超过
  $$ 2 \pi / L $$.
  - 或者说波数的不确定量乘以波列的长度 -- 暂时我们称之为
    $$ \Delta x $$
    -- 将大于
    $$ 2 \pi $$.
  - 我们之所以称波列长度为
    $$ \Delta x $$
    是因为这是粒子在位置上的不确定量.
  - 如果波列只存在于有限长度之中, 那么,
    这就是我们能找到粒子的区域在不确定量
    $$ \Delta x $$
    范围以内.
  - 波的这种性质, 即波列的长度乘以相应波数的不确定量至少为
    $$ 2 \pi $$
    这一点, 是每个研究波的人都知道的, 这与量子力学毫无关系.
  - 这只是说, 如果我们有一长度有限的波列的话,
    没有办法很精确地数出波的数目.
- 我们试从另一途径来看看其中的理由. 假定我们有一长为 `L` 的有限波列;
  那么, 由于它在两端必定减少, 所以在长度 `L` 中波的数目是不确定的,
  其不确定量约为
  $$ \pm 1 $$.
  - 但在长度 `L` 中的波数是
    $$ kL / (2 \pi) $$.
  - 可见 `k` 是不确定的, 它只是波的一种特性.
  - 无论波是在空间传播, `k` 是每厘米的弧度数, `L` 是波列的长度,
    还是波在时间上展开, `w` 是每秒的振动数, `T` 是波列持续的时间"长度",
    都会出现同样的情况.
- 这就是说: 如果只是持续一定的有限时间 `T` 的波列, 那么频率的不确定量就由下式确定
  $$ \Delta w = 2 \pi / T $$.
  - 我们已经着重指出, 这些都只是波的性质, 例如, 在声学理论中就已为人们所熟知了.
- 要点在于, 在量子力学中, 我们将波数解释为对粒子动量的一种量度, 即
  $$ p = \hbar k $$,
  这样, 就得
  $$ \Delta p \approx h / \Delta x $$.
  - 因此, 这就表明了经典动量概念的适用界限.
  - 显然, 如果我们想用波来表示粒子的话, 动量的概念必定受到某种限制.
  - 我们发现了一条规则, 使我们对于经典概念在何时失效具有一些认识, 这的确很好.

> 结: 2022年12月12日
