---
title: 通向实在之路 (上)
description: 宇宙法则的完全指南
date: 2021-08-26
---

* [通向实在之路](https://book.douban.com/subject/25823056/)
  - **罗杰•彭罗斯**
  - 副标题: **宇宙法则的完全指南**
  - 原作名: The Road to Reality: A Complete Guide to the Laws of the Universe
  - 感恩: **微信读书**

> 这本书刷了两遍

* 不使用一定量的数学符号和真正的数学概念,
  就不可能向读者传达我真正要表达的意思.

* 对数学家 (就我所知, 至少是其中的绝大多数) 而言,
  数学绝不仅是人类文化的创造物,
  她有其自身的客观存在性和生命轨迹,
  而且其中大部分表现出与物理世界惊人的一致性.
  不借助数学的语言,
  人们就不可能对物理世界的基本原理有任何深入的理解.

* 不必担心跳过某些方程式 (我自己就常这样做), 只要愿意,
  你可以跳过部分甚至整个章节,
  因为它们对你眼下的理解或许的确不太有用.

## 科学的根源

* 客观存在的数学观念必须被当作与**时间无关**的对象,
  而不能认为是在第一次为人类认识时它们才获得了自身的存在性.

* 为什么数学定律在被用于物理世界时会有如此非凡的精度,
  这仍是一个巨大的**谜**.

## 古代定理和现代问题

* __如果平行公设确实可以看成是不成立的__, 那将会怎样?
  我们似乎正在进入一个神秘的虚幻世界,
  在这里我们在学校里学的几何知识被整个倒了个个儿.
  但我们会发现, 这么做有着更深刻的意义.

- 我们或许会认为这是双曲几何不令人满意的地方,
  因为对三角形的内角和我们似乎得不到一个"简洁的"答案.
  - 但是我们可以从双曲三角形的内角和得到另一个特别优美和值得注意的结果.
  - 具体地说, 如果三角形的三个角分别为
    $$ \alpha $$,
    $$ \beta $$
    和
    $$ \gamma $$,
    则我们有公式 (由兰伯特 (Johann Heinrich Lambert, 1728~1777) 发现):
  - $$ \pi - (\alpha + \beta + \gamma) = C \Delta $$
- 这里 `Δ` 是三角形的面积, `C` 是某个常数.
  这个常数的选取依赖于所测长度和面积所用的"单位".
  - 通常我们总是取 `C = 1`.
  - 在双曲几何下, 三角形的面积可以如此简单地表达, 这确实是一个非比寻常的事实.
  - 在欧几里得几何里, 三角形的面积不可能简单地根据它的角表示出来,
    而是相当复杂地取决于其边长.

* 可以证明, 双曲几何里任意相交的两条曲线在交点处的角
  __精确等于__
  欧几里得几何下测得的两曲线在交点处的角.
* 这种性质的表示称为**共形**表示. 正是由于这一点,
  埃舍尔所用的双曲几何的这种特殊表示有时被称为`双曲平面的共形模型`.

* 基本上说, 满足**均匀性** (`各点性质都一样`)
  和**各向同性** (`各方向性质都一样`)
  条件的几何大致有`3`种:
  - `欧几里得`型的,
  - `双曲`型的,
  - `椭圆`型的.

* 按照现代的相对论理论, 速度空间一定是三维双曲几何的,
  而不是那种在古老的牛顿理论中才成立的欧几里得几何.
  这将有助于我们理解解开相对论的某些谜团.
* 例如, 想象一下,
  一艘正以接近光速的速度掠过建筑物的飞船以差不多相同的速度向前抛射出一个物体.
  然而, 该物体相对于建筑物的速度永远不可能超过光速.
  - 对于这种不可能性, 我们可以从双曲几何角度找到一个直接的解释.

## 物理世界里数的种类

* 什么是二次无理数呢? 它对古希腊几何有何重要意义?
  我们说, 这是一种可以表示为如下形式的数
  - $$ a + \sqrt{b} $$
  - 这里 `a` 和 `b` 都是分数, 且 `b` 不是一个完全平方数.
  - 这种数对欧几里得几何之所以重要,
    是因为它们都是可由尺规作图直接得到的无理数.

* 欧几里得几何里的数可以表示为长度的比值,
  而不是长度本身.

* 戴德金的实数定义是根据有理数的无穷集给出的. 大致如下:
* 考虑按大小顺序排列的正, 负有理数 (和零). 零在当中,
  负有理数在左边延伸至无穷, 正有理数在右边延伸至无穷.
  - 这只是出于视觉考虑, 实际上戴德金的程序完全是抽象的.
* 想象一个"切口"将该序列一分为二, 切口左边的均小于右边的.
  如果切口的"刀锋"没"伤"着有理数, 而是插在两个有理数之间,
  我们就说切口所在位置定义了一个无理实数.
* 更确切地说, 只有在切口左边的所有数中没有最大的数,
  同时右边的所有数中没有最小的数的情形下,
  切口的位置所指才是无理数.

* 但不论怎样, 自然界在根本上是离散的观念始终伴随着我们,
  尽管事实上量子力学就其标准形式体系来说并没有暗示这一点.

* 不像自然数本身, 物理对象的`负数`概念可以没有明确的物理内容.

* 电荷只是所谓`加和性量子数`的一个例子.
  `量子数`是用来刻画大自然的`粒子性`的量.

* 根据我们目前物理知识, 一个非常明显的事实是,
  所有已知的`加和性量子数`的确都属`整数系`, 而非一般的`实数`,
  也不是简单的自然数, 因为实际上总存在负值.

* 事实上, 根据`20`世纪的物理学理解, 物理量的`负数`是有明确意义的.
  大物理学家狄拉克于 `1929-1931` 年提出了他的`反粒子`理论.
  按照这个理论, 每一种粒子都会存在相应的反粒子,
  反粒子的加和性量子数精确地取原粒子量子数的负数.
  因此, 整数系 (包括负数) 的确与物理世界有着明确的联系.

* 然而, 在这个节骨眼儿上, 一个重要的限定条件必须给出.
  尽管在一定意义上说反质子就是负的质子,
  但它确实不是"减去一个质子".
  其理由是, 符号相反只是针对加和性的量子数而言,
  而在现代物理理论中, 质量概念并不是一个加和性概念.

* 如果反质子是由"减去一个质子"得到的,
  那么它的质量就将是通常质子质量的负值.
  而实际物理粒子的质量是不允许取负值的,
  反质子的质量完全等同于普通质子的质量, 即都是正质量.
* 后面我们将看到, 按照粒子场论的观点, 存在所谓的"虚"粒子,
  它的质量 (更确切地说, 应是能量) 可以是负的.
  "减去一个质子"其实就是这个虚拟的反质子.
  但虚粒子是`无法`像`"实际粒子"`那样`独立存在`的.

* 有理数在基础的量子力学概率方面倒可能起着特殊的作用
  (一个有理数概率表示多种可能性之一的选择,
  每一种这样的选择包含有限种可能性).
* 这种事情在自旋网络理论里发挥着一定的作用.
  但目前来看, 这些概念的适当地位还不得而知.

## 奇幻的复数

* 推测起来, 出现这种疑虑大概是因为当时人们 `"看"`
  不到复数在当今物理世界里表现出的那种作用. 在实数情形,
  我们看到, 距离, 时间和其他物理量都显示出对这种性质的数的需要;
  但复数则似乎仅仅是由那些试图得到比以往更大的数域的数学家的想象产生的一种发明.

* 在复数为人所知的过去这四百年里, 复数的许多神奇性质开始逐渐显露出来.
  要说人们早就知道数学里有这么一种数,
  而且其作用和深刻的数学洞察力是单独使用实数所根本无法实现的,
  这一点本身就是个奇迹.

* 实际上, 我们完全有可能给上述无穷级数的答案以一种数学解释,
  只是要十分小心, 知道哪些是可以做的哪些是不可以做的.
  - 具体讨论这些事情不是我们的目的, 但有必要指出, 在现代物理里,
    尤其是在`量子场论`领域, 这种性质的发散级数比比皆是.
  - `1 + 4 + 16 + 64 + 256 + ... = -1/3`
  - `1 + 2^2 + 2^4 + 2^6 + 2^8 + ... = 1/(1 - 2^2) = -1/3`
  - `1 + x^2 + x^4 + x^6 + x^8 + ... = 1/(1 - x^2)`

* 通过发散表达式得到的极为精确的答案很偶然地在与物理实验结果的比较中被确认了.
  但更多的则经常是不走运. 这些微妙的处理在现代物理理论中起着非常重要的作用,
  人们经常在评估理论时用到它. 与我们这里的讨论直接相关的是,
  这种对如此明显的`无意义表达式`的"感觉"经常取决于`复数的性质`.

* 在复平面内, 函数
  $$ (1 - z^2)^{-1} $$
  和
  $$ (1 + z^2)^{-1} $$
  有相同的收敛圆,
  前者在 `z = ±1` 处有`极点`,
  后者在 `z = ±i` 处有`极点`,
  所有这些极点都距原点等 (单位) 距离.
* 在复平面上总存在以原点 `0` 为中心的某个圆, 称为`收敛圆`,
  它具有这样的性质: 如果复数 `z` 严格处于圆内,
  则级数收敛到 `z` 点的值; 如果 `z` 严格处于圆外,
  则级数在 `z` 点发散.
  - 当 `z` 恰巧处于圆上, 此时级数是收敛还是发散是个较为微妙的问题.

* 具体到
  $$ (1 - z^2)^{-1} $$ 和 $$ (1 + z^2)^{-1} $$
  情形, 奇点是所谓极点这种简单类型.
  - 出现于某个多项式中, 但其倒数形式则没有
* 这里这些极点都位于原点的单位距离上. 我们看到, 在两种情形下,
  收敛圆都是以原点为中心的单位圆.
  - 二者在实轴上的点相同, 均为 `z = ±1`.
* 这就解释了为什么两个函数在同一区域内会有同样的收敛和发散性质
  - 事实上这个性质在从实变量函数来看表现得并不明显.
* 因此, 复数为我们提供了洞察级数性态的深刻的理解力,
  这是实变量函数所不具备的.

## 对数, 幂和根的几何学

* 乘以 `i` 的运算是通过几何上 `转过一个直角` 的变换来实现的.
  按这种观点看, 这种运算的 `平方` (即`操作两次`) 似乎并不神秘,
  不过就是 `取负值`.

* 单位三次根 `1`, `ω` 和
  $$ ω^2 $$
  构成的等边三角形.
  - 乘以 `ω` 相当于使三角形`逆`时针转过 `120°`,
  - 乘以
    $$ ω^2 $$
    则使三角形`顺`时针转过 `120°`.

* 就目前所知, 粒子物理学中的`加和性` (标量) 量子数总是以整数计的.
  现在我们看到, 还存在一些`乘积性`量子数的例子, 它们似乎都是
  `n` 次单位根.
  - 我知道的只是传统粒子物理学中的一些例子,
    其中大部分属相当无趣的 `n=2` 情形.
  - 也存在一种明显属 `n=3` 的情形和 `n=4` 的可能情形.
    遗憾的是, 在大多数情形下, 这种量子数不是普适的,
    就是说, 它不能应用于所有粒子.
  - 正因此, 我将这种量子数称之为近似的.

* 所谓**宇称**的量是一种 `n=2` 的 (近似) `乘积性`量子数.

* 复合系统的`宇称`概念是由其基本成分粒子的宇称 (通过相乘) 构成的.
  - 成分粒子的宇称可以是`偶`的,
    此时粒子的镜像反射与粒子本身相同 (在近似意义上);
  - 相反, 如果粒子的宇称是`奇`的, 那么其镜像反射就是其反粒子.

* 由于镜像反射 (或取反粒子) 的概念相当于 `"平方到 1"`,
  - 即操作两次回到出发点
* 这种量子数, 我们称其为 `ε`
  - 有性质
    $$ ε^2 = 1 $$,
    因此它必为 `n=2` 的 `"n 次单位根"`
  - 即 `ε = +1` 或 `ε = -1`
* 这个概念只是近似的, 因为宇称在所谓`"弱相互作用"`下不是守恒量,
  也正因此, 某些粒子没有明确定义的宇称概念.

* 在我看来, 宇称概念也可以运用于`费米子`, 虽然它不是传统意义上的那种.
  这必须与`费米子/玻色子`的量子数是 `n=4`
  的`复合乘积性`量子数这一点结合起来.
  - 对`费米子`, 宇称值可以是 `+i` 或 `-i`,
    其两次镜像反射具有 `2π` 转动的效果.
  - 对`玻色子`, 宇称值可以和以前一样, 是 `±1`.

* `n = 3` 情形下的`乘积性`量子数就是我以前说的**夸克性**.
  - 这不是一个标准的术语, 通常也不指量子数这样的概念,
    但它反映了当今粒子物理中一个重要方面.
* 我说过, 所谓`强子` (`质子`, `中子`, `π 介子`等等)
  这样的`"强相互作用"`粒子都是由夸克组成的.
* 这些夸克具有`非整数倍`而是 `1/3` 倍电子电荷的电荷值.
  但是, 夸克不能作为独立粒子存在,
  它们的复合物只能在其总电荷数加起来为电子电荷的整数倍时才可能独立存在.
* 令 `q` 为以电子电荷的负值为单位测得的电荷值
  - 这样, 电子本身在此单位下为 `q = -1`, 通常规定电子电荷为负值.
  - 对夸克, 我们有 `q = 2/3` 或 `-1/3`,
  - 对反夸克, `q = 1/3` 或 `-2/3`.
* 因此, 如果我们将夸克性的乘积性量子数取为
  $$ e^{-2qπi} $$,
  就会发现它取值 `1`, `ω` 和
  $$ ω^2 $$.
* 夸克的夸克性是 `ω`, 反夸克的夸克性是
  $$ ω^2 $$.
* 自身能够独立存在的粒子其夸克性只能是 `1`.
  - 夸克性自由度构成循环群 `Z3`.
  - 在后续章节, 我将在增设元素 `"0"` 和加法概念的基础上,
    阐述这个群如何扩展到有限域 `F4`.

## 实数微积分

* 其实, 在我们考虑`复数可微性`之前,
  熟悉`幂级数`方法是非常有用的.
* 局部上看, 复数`可微性`与可展开成`幂级数`是等价的,
  这也是复数魔力的一个真正所在.

* 基本上说, 微分的问题在于它强烈依赖于待微函数的**细节**.
  - 如果我们没有待微函数的**显性**表达式, 就有可能出问题.
  - 而积分对这种细节要求就非常不敏感,
    我们关心的是被积函数的**宽泛**的整体性质.

* `积分`使得函数越来越`光滑`, 我们可以无止境地进行下去.
  另一方面, `微分`则使事情越来越`"糟"`,
  它可能会终止于某个点上, 在此处函数变得`"不可微"`.

## 复数微积分

* 对复数微分, 大体上说, 我们要求复曲线 `w = f(z)`
  在函数定义域内的任意点 `z` 上有`"斜率"`概念.

* 为使这个`"斜率"`概念有意义, 当我们在 `z`
  的复平面上沿任意方向变动 `z` 时,
  `f(z)` 必须满足一对特定的方程,
  称为**柯西-黎曼方程**.

---

* 你会发现, 这是个奇迹:
  - 复光滑的任意复函数必然都是解析的!

* 回想一下, 让人头痛的`"1/x"`看上去像是`"一个函数"`,
  尽管实曲线 `y = 1/x` 是由分离的两段组成,
  就是说这两段之间不存在`"解析的"`连接点.
* 而从复数上看, 显然 `1/z` 就是一个函数.
  函数在复平面上唯一`"出错"`的地方就是原点 `z = 0`.
  如果我们从复平面上抠掉这一点, 剩下的仍是一个连通的区域.
* `x < 0` 的实线部分与 `x > 0` 的部分通过复平面连接.
  因此, `1/z` 确实是一个连通的复函数,
  这与实数情形有很大的不同.

* 这种意义上的复光滑 (复解析) 函数称为**全纯**的.
  **全纯函数**在我们后面的内容里占有重要的地位.

* 沿实线从 `a` 到 `b` 只有唯一一条路径. 但在复公式里,
  我们可以将 `a` 和 `b` 看成是复平面上的两点.
  从 `a` 到 `b` 有不止一条路径, 而是有无数条路径.
* 柯西-黎曼方程告诉我们的是, 如果我们沿着某条路径积分,
  那么得到的结果与沿另一条路径得到的结果是一样的,
  这另一条路径可以在函数定义域内通过对第一条路径进行连续形变来得到.
  - 这里有必要澄清 (或更正) 一点.
  - 当我谈到一条路径可以通过连续形变而成为另一条路径时,
    我是指数学家所谓的`同调`形变, 不是指`同伦`形变.

* `同伦`曲线总是`同调`曲线, 但反之不一定成立.
  - 在连续运动中, 同伦和同调是等价的.
* 在同调形变中, 路径的某些部分可以彼此抵消,
  如果它们的路径方向正好相反的话.
  - 有时这会产生一个分离的`环`.

* 有趣的是, 用闭周线得到非平凡解的这种性质强烈依赖于复对数的多值性,
  这是对数定义所带来的繁复性的一个特点.
  - 这并不奇怪, 实际上, 复分析的力量正取决于此.

* 现在我们有了绝好的结果:
  某区域上的复光滑等价于在该区域的任一点上存在幂级数展开.
  - 但我应当把这里的`"区域"`解释得更清楚一点.
  - 技术上说, 我这里指的是数学家们所谓的开区域.
  - 所谓某一点 `a` 处于区域内, 是指存在一个以 `a` 为圆心的圆,
    它的内部也都处于该区域内.

* **全纯函数**可用一系列**点**的一系列**幂级数**表达式来解析延拓.
  这个过程沿连接路径是唯一的, 如果相应的收敛圆相互重叠的话.

## 黎曼曲面和复映射

* 这里, 我们给出一种理解对数函数 -- 或其他任意`"多值函数"` --
  的解析延拓的方法, 这就是基于所谓`黎曼曲面`的方法.
  - 黎曼的思想是将函数看成是定义在这样一种定义域上,
    它不是复平面的简单子集, 而是一个多层区域.
  - 以 `log(z)` 为例,
    其图像就是一个`绕垂直轴旋转而下直到复平面的倾斜螺旋面`.
  - 对数函数在这个多叶螺旋复平面上是单值的, 因为我们每绕原点一周,
    对数就增加 `2πi`, 这个值就处于上一叶的螺旋面上.

* 黎曼教导我们, 应当用不同的方式来处理事情.
  全纯函数为什么必须像普通"函数"那样,
  理解为固定定义域到确定值域的映射?

* 不久我们还将遇到各种其他类型的黎曼曲面.
  这个优美的概念在现代试图找到数学物理的新的基础 -- 主要指弦论,
  也包括扭量理论 -- 方面发挥着重要作用.

* 黎曼曲面是一般流形概念的第一个例子. 流形是一种局部 (即在点的足够小邻域内)
  `"弯曲"`的空间, 它看上去像通常的欧几里得空间.
  我们在后续章节里还会遇到更多的流形.
  - 在现代物理的许多领域中, 流形概念都是至关重要的概念.
    特别是在爱因斯坦的广义相对论中, 它具有核心地位.
  - 流形可看成是由许多不同的拼块拼贴而成的, 这种拼贴是无缝的.
    无缝拼贴的性质是指两个拼块之间总能够保证有适当的 (开集) 重叠.

* 大致上说, 在共形几何里, 我们感兴趣的是形状而不是大小,
  这里指的是无限小尺度下的形状.
  - 在从一个 (开) 平面区域到另一个 (开) 平面区域的共形映射下,
    有限大小的形状通常是要变形的, 但无限小的形状则保持不变.
  - 我们认为这种性质可以用到平面上的小 (无限小的) 圆上.
    在共形映射下, 这些小圆可扩张也可收缩, 但不会变形成小椭圆.

* 读者或许会发现, 有一种略微不同的特性更有用:
  - 共性变换下不变的曲线间夹角.
  - 它刻画了变换的共形本质.

* 对于某些函数 `f(z)` 的复光滑 (全纯) 性, 这种共形性质能作什么呢?
  - 我们试试看如何得到复光滑几何内容的直观图像.
  - 让我们回到函数 `f` 的`"映射"`观点, 将关系 `w = f(z)`
    看成是一种 `z` 复平面 (函数 `f` 的定义域) 到 `w` 复平面 (值域) 的映射.
  - 我们要问: 什么样的局部几何性质能够将映射塑造成全纯的?
  - 答案令人称奇.
  - `f` 的全纯性实际上等价于共形且非反射的映射
  - 非反射, 或保定向, 是指变换中保形的小块形状不是反射的, 即不是`"颠倒的"`.

* `w = f(z)` 变换中的`"光滑"`概念是指在无限小极限情形下变换是如何操作的.

* 黎曼曲面的`亏格`就是它的`"环柄"`数目.
  球面的亏格是 `0`, 环面或茶杯状曲面的亏格是 `1`.

* 涉及全纯变换的众多自由度的判定可通过著名的黎曼映射定理来取得.
  这个定理是说, 如果我们在复平面上有某个由非自交闭环界定的闭区域,
  则存在全纯映射将该区域匹配到闭单位圆.

* 黎曼映射定理认为, 由简单闭环 (不必光滑)
  界定的复平面上的任何开区域都能够全纯映射到单位圆的内部,
  边界亦可作相应的映射.

## 傅里叶分解和超函数

* 在将数学应用到物理世界的问题的过程中, 经常需要一种灵活性,
  而这是全纯函数和它的实搭档 (解析函数) 都不具有的.

* 如果信号形式必须采用`解析函数`的形式, 那么就不可能在信息中"改变主意".
  - 信号的任何一小部分都会使整个信号始终完全确定.
  - 而实际上我们经常是根据如何不连续, 或偏离解析性来研究波的传播的.

* **洛朗级数**确实为我们提供了一种傅里叶级数的简洁的表达式.
  但这种表达式隐含着关于傅里叶分解的另一种有趣的观点.
  - 由于周期函数可无穷次地重复出现, 因此我们可认为这种
    (实变量 `x` 的) 函数是定义在圆上的,
    这里函数的周期 `l` 就是圆的周长, `x` 量度绕过圆的弧长.
  - 这些弧长不是直线, 而是绕圆进行, 因此周期性自动包含其中.

* 实变量 `x` 的周期函数可以看成是定义在周长为 `l` 的圆上,
  这里我们将 `x` 的实轴`"卷成"`圆.
  - 对于 `l = 2π`, 我们取这个圆为复平面上的单位圆.

* 现在我们有了非常简练的表达周期函数 `f(x)` 的傅里叶分解的方法.
  - 我们把 `f(x) = F(z)` 看成是定义在 `z` 平面的单位圆上, 这里
    $$ z = e^{ix} $$,
  - 于是傅里叶分解正好是这个函数在复参数 `z` 下的洛朗级数表示.
  - 但好处还不仅限于简练.
    这种表示还提供了对傅里叶级数性质及其所表示的函数性质的更深刻的认识.
  - 从本书的最终目的来说, 更紧要的是它与量子力学有着重要联系,
    因此有助于加深我们对大自然的理解.
  - 这一切还反映了复数的神奇性, 因为当 `z`
    越出单位圆时我们仍能够用洛朗级数表达式.
  - 业已证明, 对 `z` 处于单位圆上的情形, 这个级数会依据 `z`
    在单位圆外时级数的性态来告诉我们某些关于 `F(z)` 的重要信息.

* 函数剖分为正, 负两个频率部分这一点对量子理论至关重要,
  特别是对量子场论.

* 根本上说, 傅里叶变换是傅里叶级数在周期函数 `f(x)`
  的周期 `l` 越来越大以至无穷时的极限情形.
  在这种极限情形下, 函数 `f(x)` 的周期没有任何限制:
  - 它就是一个普通函数. 这意味着将 `f(x)` 表示成关于频率的积分.

* 因此, 我们必须回到本章开头我们所面临的问题上来:
  我们应当采用哪一种函数作为`"实在"`函数?
  - 一方面我们知道, 欧拉和他的同时代人可能满足于将一个全纯
    (或解析) 函数当作他们心仪的那种"函数";
  - 而另一方面, 这些函数对许多数学和物理方面的问题,
    包括波传播的问题, 显得无能为力,
    因此函数概念必须向更一般的意义上拓展.
  - 这些观点中哪一个更"正确"呢?
  - 普遍存在这样一种看法, 认为第一种观点的支持者都是些"老古董",
    那些摩登的概念肯定都偏向于第二种观点,
    因此全纯或解析函数只是一般的"函数"概念里一种非常特殊的情形.
  - 但这就是我们必须采取的"正确"态度吗?

* 同样, 当我们将一个函数看成是定义在单位圆上,
  那么它就一定能够用看起来合理的洛朗级数表示出来,
  虽然这个级数的收敛圆环事实上已经退缩为单位圆本身.
* 这个洛朗级数的正半部分和负半部分各自加和成为
  `半黎曼球面` 上的完美的全纯函数.
  - 一个定义在单位圆的一侧, 另一个定义在另一侧.
* 我们可将这两个函数的"和"看成是单位圆本身给出的所要求的方波.
* 正是因为在单位圆的 `z = ±1` 的两点上存在分支奇点,
  才使得这个和可以从一侧"跳到"另一侧,
  给出以这个和的形式出现的方波.
* 这些分支奇点还使得两侧的幂级数在单位圆外不收敛.

* 复平面上曲线一侧的全纯函数与另一侧的另一个全纯函数之间"跳跃"的这一思想,
  这里的两个全纯函数都无需全纯地扩展过曲线本身,
  实际上为我们提供了一种全新的定义在曲线上的"函数"概念.
  - 这就是 (解析) 曲线上超函数的定义.

## 曲面

* 上两个世纪数学上最突出的成就之一是处理
  `非平直多维空间` 的各种技术的发展.
  这对本书要达到的目标至关重要,
  在此我向读者概述一下这些发展,
  当代物理全仰仗它们.

* 到目前为止, 我们一直考虑的是一维空间.
  读者可能对这种说法感到奇怪, 前几章叙述的不正是复平面,
  黎曼球面和其他各种黎曼曲面吗?
* 但是, 从全纯函数的角度看, 这些曲面本质上都只是一维的,
  这个维是**复维**.
* 我们可用一个参数将这种空间点与其他种类的
  (局域) 空间点区别开来, 虽然这个参数是个复数.

* `柯西-黎曼方程`的解可由`二维拉普拉斯方程`的解直接导出.

## 超复数

* 正如前面提到的二维拉普拉斯方程 (一种物理上相当重要的方程)
  的解可以非常简单地用全纯函数来表示一样,
  复分析的美和力量曾引领着 `19`
  世纪的数学家们去寻找可以很自然地运用于三维空间的`"广义复数"`.

* $$ i^2 = j^2 = k^2 = ijk = -1 $$
  - 这里三个量 `i`, `j` 和 `k` 中的每一个都是独立的`"-1 的平方根"`
    (如同复数符号 `i` 一样),
  - 其一般组合 `q = t + ui + vj + wk`, 称为**一般四元数**,
  - 其中 `t`, `u`, `v` 和 `w` 均为实数.
* 这些量满足代数里除了一条之外的所有其他运算关系.
  - 这个例外, 这正是这种哈密顿数的真正创新之处, 就是**乘法交换律**的破坏.

* 因为哈密顿发现
  - `ij = -ji`, `jk = -kj`, `ki = -ik`,
* 这是对标准的乘法交换律 `ab = ba` 的严重背离.
* 四元数仍然满足`加法`的`交换律`和`结合律`, `乘法结合律`,
  以及`加法上的乘法分配律`, 即
  - `a + b = b + a`,
  - `a + (b + c) = (a + b) + c`,
  - `a(bc) = (ab)c`,
  - `a(b + c) = ab + ac`,
  - `(a + b)c = ac + bc`,
* 同样, 也存在对加和性"单位元" `0` 和乘积性"单位元" `1` 的运算, 如
  - `a + 0 = a`,
  - `1a = a1 = a`.
* 如果撇开最后一个式子, 上面这些关系式定义了代数学中所称的**环**.
  - 在我看来, `"环"`这个概念完全没有直观性可言,
    如同抽象代数里许多其他术语一样, 我也不知道它的起源.
* 如果把最后一个式子也包括进来, 我们得到的是所谓**幺环**.
* 四元数还提供了所谓实数域上的矢量空间的例证.

* 我们是否有可能找到某种调整了的四元数, 以便更直接地应用到物理世界?
  研究表明, 这是可能的, 但必须牺牲掉四元数用作除数
  (如果不为零的话) 这一重要特性.

* 将四元数的基本量 `i`, `j` 和 `k` 视为普通欧几里得三维空间里的
  `3` 个相互垂直 (右手系) 轴.
  - 现在我们回顾一下, 在普通复数理论里的量 `i` 可按运算`"乘以 i"`来理解.
* 在复平面上, 这一运算相当于"以原点为轴按正方向 (逆时针) 转过一直角".
  现在我们将这一理解扩展到四元数上去, 将`"乘以 i"`想象为是在三维空间里以
  `i` 轴为轴 (因此 `(j, k)` 平面相当于复平面) 按正方向 (逆时针) 转过一直角.
* 同样, 我们可将乘以 `j` 理解为绕 `j` 轴 (按正方向) 转过一直角,
  乘以 `k` 理解为绕 `k` 轴转过一直角.
* 但如果这些旋转都是像复数情形下的直角旋转, 则乘积关系将失效,
  因为如果在绕 `i` 轴转动后跟着就绕 `j` 轴转,
  其结果并不等于我们期望得到的绕 `k` 轴转动的结果.

* 那么什么是旋量呢? 本质上说, 它是这样一种对象,
  当它经历过 `2π` 角转动后, 正好处于初态的相反态.
  - 这似乎有点荒谬, 因为按照我们的日常经验,
    物体经过这种转动后总是回到初态, 而不是其他状态.

* 转角的奇妙特性可用另一种方式展示出来. 这是一种三维空间里转动所特有的
  (固有的, 而不是由镜像反射得出的) 表现方式, 即是说,
  如果我们把一系列转动合起来, 其总的效果可以用对某个转轴的转动来代表.
* 问题是如何用简单的几何方法找到这个等价的转动轴,
  以及如何确定转过的角度大小.

* 现在我们将"矢量"设想为取自球面大圆的定向弧, 箭头方向依然代表弧的正方向.
  - 球面上大圆是指球与过球心的平面的截线.
* 我们可将这段"矢量弧"想象为代表着沿箭头方向的转动,
  转动轴通过球心且垂直于大圆所在平面.
* 我们可否按类似于普通平移叠加的"三角形法则"来考虑两个转动的叠加呢?
  应当说我们的确能够做到这一点, 但这里有个"陷阱",
  因为"矢量弧"所代表的转动转过的角度必须是弧本身角度的两倍.

* 为了处理高维并阐明克利福德代数概念, 我们必须考虑所谓`"关于轴的转动"`在高维下指的是什么.
  - 在 `n` 维空间里, 这种基本转动同样有"轴", 但这种轴是 `(n - 2)` 维空间,
    而不只是那种我们在描述普通三维转动里使用的一维直线轴.
* 但除了这一点不同之外, 关于 `(n - 2)`
  维轴的转动基本上类似于我们熟悉的普通三维转动的情形,
  即转动完全取决于轴的取向和转角的大小.
* 我们同样有具有下述性质的自旋体: 如果使这种物体持续转过 `2π` 角,
  其结果不是回复到初态, 而是处于初态的"相反"态,
  但转过 `4π` 角的转动则总是回到初态.

* 克利福德代数之所以重要的一个原因是它对定义旋量有重要作用.
  - 物理上, 旋量最先出现在著名的狄拉克电子方程里, 用来表示电子态.
* 我们可将旋量设想为这么一种对象, 即克利福德代数里的元素可作为算子作用其上,
  产生我们前面所讨论的自旋体的基本反射和转动.
  - "自旋体"概念往往容易让人糊涂, 不够直观.
* 一些研究者在研究中倾向于将其视为纯粹的 (克利福德) 代数来处理.
  这种处理方式当然有它的好处, 特别是针对一般严格的 `n` 维讨论更是如此.
  - 但我认为不忽视其几何性质亦很重要, 故在此我一直强调这一点.

* 偶数 `n` 维空间里的反射将一种约化自旋空间的元素转换成另一个约化自旋空间的元素.
  约化自旋空间的元素都有确定的"手征", 两种约化自旋空间里元素的手征正好相反.
* 这在物理上极其重要, 这里我指的是四维时空里的自旋.
  这两种约化自旋空间均为二维, 一个代表右手系, 另一个代表左手系.
* 大自然似乎为这两种约化自旋空间安排了不同的角色, 正是通过这一事实,
  我们才发现了不具有反射不变性的物理过程.
* 这一发现是`20`世纪物理学最惊人的史无前例的伟大发现之一
  - 理论预言由杨振宁和李政道提出, 后由吴健雄及其领导的小组在实验上给予证实,
  - 它说明自然界里存在着一些基本作用过程, 这些作用在其镜像形式下不可能出现.

## n维流形

* 实际上, 对于涉及大量独立粒子的体系而言,
  这种与物理有关的空间维数将远大于 `6`,
  多维空间不仅以构形空间形式出现,
  而且还以相空间形式出现.

## 对称群

* 群的子群概念有着特殊意义. 为了说明子群,
  我们从某个群中选出一些元素组成新的群,
  它像整个群一样满足同样的乘法律和逆运算.
* 对许多现代粒子物理理论来说, 子群尤显重要.
  人们总是倾向于认为, 自然界存在某种基本对称性,
  这种基本对称性将不同粒子彼此连结起来,
  并使得不同粒子间的相互作用彼此关联.
* 但我们至今没有找到这样一种明白表示对称的完全群, 反过来,
  我们倒是看到这种基本对称性发生"破缺"导致产生原始群的某个子群,
  这种子群表现出明显的对称性. 因此,
  弄清楚这种假想的"基本"对称群实际会有什么样的子群这一点非常重要.

* `19` 世纪和 `20` 世纪里数学发展上的巨大成就之一就是
  找到了所有有限单群和所有连续单群.
* 有限单群的分类更为困难, 完成的时间也离我们更近些,
  这是 `20` 世纪里一大群数学家历经多年 (尤其是最近借助计算机)
  才在 `1982` 年最终得以完成的一项成果.
* 单群的分类是一般群分类研究中的重要一步. 如上所述,
  一般群总可以用单群 (加上阿贝尔群) 构建出来.
* 粒子物理里的许多群实际上都是单群的积群 (或这类积群的简单调整型).

* 什么是群的表示呢? 对于群 `G`, 表示理论关心的是找出 `GL(n)` 的某个子群
  (即 `n×n` 矩阵的乘法群), 它具有这样的性质:
  - 对 `G` 的任一元素 `g`, 存在相应的线性变换 `T(g)` (属于 `GL(n)`),
    使得 `G` 的乘法律在 `GL(n)` 的运算中得以保留, 即,
    对 `G` 的任意两元素 `g`, `h`, 有
  - `T(g)T(h) = T(gh)`.
  - 只要 `g` 不同于 `h`, `T(g)` 就不等于 `T(h)`,
    这时我们称这种表示是忠实的.
  - 在此情形下, 我们有群 `G` 的恒同摹本, 即 `GL(n)` 的子群.

## 流形上的微积分

* 但是, 矢量空间本身是一种非常特殊的空间,
  对现代物理的许多领域来说, 数学上还需要一些更一般的条件.
  - 甚至古老的欧几里得几何都不是矢量空间,
    因为矢量空间必须有一个特别显著的特点,
    那就是 (由零矢量给出的) 原点,
    而在欧氏几何中每一点都是平权的.
* 事实上, 欧氏空间只是所谓仿射空间的一个例子.
  仿射空间很像矢量空间, 只是"遗忘"了原点;
  实际上这种空间同样有相容的平行四边形概念.

* 爱因斯坦卓越的广义相对论里的弯曲时空显然比矢量空间更为一般,
  它是一种四维流形.
* 但这种时空几何概念要求有某种 (局域) 结构
  - 一种光滑流形上的结构.

## 纤维丛与规范联络

* 我们需要用丛的概念来从几何上理解"内部维".
  丛是一个非常精确的数学概念. 早在物理学家认识它之前,
  在纯数学领域, 人们就发现丛的概念很有用.
* 后来物理学家们意识到, 他们以前使用的一些重要概念其实都可以在丛的概念上来理解.
  这之后, 理论物理学家对这一所需的数学概念变得非常熟悉,
  并将其纳入自己的理论中.
* 在某些现代理论里, 这些概念往往还以一种修正了的形式出现,
  相应的时空则被认为是获得了额外维.

* 在当代寻求基础物理的更基本框架 (例如超引力或弦理论) 的许多努力中,
  "时空"这一概念被扩展到更高的维数. 于是"内部维"也成了额外的空间维.
* 这些额外的空间维本质上具有与普通的时间和空间维相同的地位,
  "时空"因此获得了比标准的四维时空更多的维数.
* 这种思想可追溯到 `1919` 年, 当时卡鲁扎 (Theodor Kaluza, 1885-1954)
  和克莱因 (Oskar Klein, 1894-1977) 对爱因斯坦的广义相对论进行了扩展,
  其中的时空维数由`4`维增至`5`维.
* 这额外的`1`维使完美的麦克斯韦电磁理论被囊括进来成为某种意义上的"时空几何描述".
  然而, 这个"第五维"必须看成是"蜷曲的微小的圈",
  因此我们无法像对普通空间维那样直接感知它.
* 对此人们常以水龙带作类比, 它代表对卡鲁扎－克莱因型一维宇宙的修正.
  - 从大尺度上看, 水龙带的确是`1`维的:
  - 就一个长度维.
* 但当我们从更接近的地方来看, 会发现水龙带的表面实际上是二维的,
  只是这额外的维在远小于水龙带长度的尺度上紧紧地蜷缩着.
* 这可以直接类比解释为什么我们在五维卡鲁扎－克莱因整体"时空"上只能感知到四维物理时空.
  卡鲁扎－克莱因的五维时空是对水龙带的二维曲面的直接类比,
  其中我们实际感知的四维时空相当于水龙带的基本的一维面貌.

* 然而, 需要强调的是, 卡鲁扎－克莱因思想仍属于猜测性的.
  我们并不认为有关粒子相互作用的现行规范理论所依据的这种"内部维"等同于普通的时空维,
  因此它们并非源自卡鲁扎－克莱因型理论.
* 与将这些内部维看作是更高维时空的一部分不同,
  我们将其视为时空上的所谓纤维丛 (或简称丛) 可能更合适.
* 这是一个在粒子相互作用的现代规范理论中占据中心位置的重要概念.
  我们想象一下, 在时空的每个点的"上方"还有另一个称之为纤维的空间.
  根据前述的物理图像, 这种纤维由所有内部维组成.
  - 但丛概念要比纤维有着更广泛的应用,
  - 因此我们最好不必拘泥于这种物理解释, 至少眼下是这样.

* 丛 (或纤维丛) `B` 是一个带有某种结构的流形, 它由另两个流形 `M` 和 `V` 来定义,
  这里 `M` 称为底空间 (在大多数物理应用中, 它是时空本身),
  `V` 称为纤维 (在大多数物理应用中, 它是内部空间).
* 丛 `B` 本身可看作是完全由整个纤维族 `V` 组成的,
  实际上它是由`"价值 M 的 V"`构成的.
  - 最简单的丛是所谓的积空间.
  - 它是那种平凡的或是"非扭曲的"丛, 而更有意思的是扭曲丛.
* 空间 `V` 也具有某种对称性, 这一点很重要.
  因为正是有了这些提供扭曲自由的对称性才使得丛概念变得有意思.
  我们感兴趣的有关 `V` 的对称性的群 `G` 称为丛 `B` 的群.
  我们经常说 `B` 是 `M` 上的 `G` 丛.
  - 在很多情形下, 我们将 `V` 看成是矢量空间, 并称丛是矢量丛.

## 无限的阶梯

* 通常认为, 数学的一般特征就是强调物理宇宙的运行对无限有着根本的依赖关系.
  有些人对无穷的这些特征感到困惑. 他们更愿意宇宙在广度上是有限的,
  同时还是有限可分的, 这样在最细小的层面上将出现一种基本的离散性.

* 有必要预先指出, 无限结构 (如自然数 `N` 的总体)
  可能是某种针对实在描述的数学形式体系的一部分,
  这种形式体系无意于将这些无限结构直接解释为无限大 (或无限小) 的物理对象.

* 在当今成功的各种理论中, 正如事实证明的那样, 我们是将时空看成为一个连续统,
  即使在涉及量子概念时亦如此. 与小尺度时空离散有关的概念则被视为"非规范的".
* 甚至在那些试图将量子力学概念应用到时空结构本身的理论中, 其基本特征仍是连续统.
  这种情形在圈变量理论里表现得特别明显, 其中许多离散 (组合) 概念,
  如包含在纽结 (knots) 和链 (link) 理论中的那些概念, 起着至关重要的作用,
  这些理论的基本结构里也包括自旋网络.

* 康托尔革命的第一个关键是一一对应概念.

* 选择公理认为, 如果有集合 `A`, 它的元素均为非空集, 则存在集合 `B`,
  它包含属于 `A` 的每个集合里的一个元素.
  - 乍一看, 这条选择公理的陈述似乎非常明白,
    但要将它看作为普适的命题也并非完全没有争议.
* 我的态度是应对它谨慎从事. 选择公理的麻烦在于它是一条纯粹的"存在性"判断,
  对于 `B` 的内容未作任何规则上的说明.

* 它不仅使我们看到, 存在远比自然数多得多的实数,
  而且证明了可能的无限大的数在大的方面是无止境的.
  进一步, 通过适当调整, 这一论证可证明,
  不存在任何可以确定一般计算是否能够完成的计算途径 (图灵命题).
* 与此相关的一个结果是哥德尔著名的不完备定理, 该定理表明,
  不存在一组预先指定的可信的数学法则, 可用之于概述判定数学真理的所有程序.

* 从它们与数学和物理之间的紧密关系上看, 似乎很明显,
  像无限集合理论和可计算性这样的对数学来说具有基本重要性的问题在对物理世界的描述方面影响还非常有限.
* 我个人认为, 我们会发现, 可计算性问题最终将与未来的物理理论产生深刻的联系,
  但目前这些概念在数学物理方面的运用做得还非常之少.
