---
title: 通向实在之路 (下)
description: 宇宙法则的完全指南
date: 2021-09-21
---

* [通向实在之路](https://book.douban.com/subject/25823056/)
  - **罗杰•彭罗斯**
  - 副标题: **宇宙法则的完全指南**
  - 原作名: The Road to Reality: A Complete Guide to the Laws of the Universe
  - 感恩: **微信读书**

## 时空

* 将空间和时间分开来考虑, 而不是把这两个看起来明显不同的概念结合成一个概念来考虑,
  有什么不对?
* 尽管对时空这个问题大家似有同感,
  尽管爱因斯坦在他的广义相对论框架下将这一概念运用得相当纯熟,
  但时空概念却不是爱因斯坦的原创.
  - 而且在他第一次听到这个概念时, 他似乎也并不热衷于此.
* 此外, 如果我们以事后诸葛亮的聪明回顾一下伽利略和牛顿的更为古老的相对性观点,
  我们发现, 原则上说, 他们同样能够因时空的观点大受裨益.

* 在纤维丛内, 纤维与纤维之间不存在逐点同一,
  而是相互间协调共同组成一个连通的整体.

---

* 那么, 爱因斯坦更深刻的观点是什么?
  这就是对等效原理这一基本重要性的认识.

* 伽利略的洞察所赖的这种引力性质取决于这样一个事实:
  由某种引力场施加在物体上的引力强度正比于该物体的质量,
  而运动的阻力 (出现在牛顿第二定律里的量 `m`) 也是质量.
* 我们有必要区分这两种质量概念,
  为此将前一种称为**引力质量**,
  后一种称为**惯性质量**.
  - 但牛顿第三定律判定, 这两种质量是相等的, 因此我这里不再区分这二者.
* 因此, 伽利略的洞察有赖于`引力质量`和`惯性质量`的相等.
  - 或更准确地说, 呈正比性

* 为什么这种引力特性会称为"等价原理"呢?
  原来这里"等价"指的是均匀引力场等价于一种加速度.
* 这种效应与人在空中旅行时的感觉非常相似.
  - 当飞机在加速运动时, 机舱里的人可能会有一种完全错误的`"下"`的感觉
  - 这里只是掉了个方向

* 引力可以 (依据等效原理) 通过加速来取代的事实是
  (保守的) 引力质量等同于 (或正比于) 惯性质量的直接结果,
  它正是伽利略伟大洞察力的一个事实.

* 这就是爱因斯坦意义深远的新观点:
  将惯性运动视为这样一种质点运动:
  当质点上总的非引力性的力为零时,
  它们必定在引力场内做自由落体运动.
  - 因此有效的引力也减为零

* 另一方面, 在爱因斯坦框架下, 站在地面上的某个人不经历惯性运动,
  因为静立于引力场里不是一种自由落体运动状态.
* 而对牛顿来说, 这一直被看作是惯性,
  因为在牛顿框架下"静态"总是当作"惯性"来看待的.
  作用于这个人上的引力由向上的地面支撑力来补偿,
  但按爱因斯坦的要求, 它们各自都不为零.

* 正是曲率的出现使得一种引力场"本质上不同于"无引力场情形,
  这一点与仅考虑均匀空间的场不同.

* 在牛顿物理学里, 上述畸变效应被描述成所谓引力的潮汐效应.
  如果交换一下 `E` 与 `A` 的位置, 将 `A` 视为地心,
  而 `E` 视为月亮 (或太阳),
  这个概念就很容易理解.
* 我们把粒子球看作是地球上的洋面, 于是我们看到,
  由于月亮 (或太阳) 的非均匀引力场, 洋面必然会出现畸变.
  - 这种畸变就是海洋的潮汐现象,
    因此"潮汐效应"用来直接说明时空曲率的确是合适的.

* 实际上, 在这种情况下, 对单个质点而言, 月亮 (或太阳)
  对地球表面的质点的相对加速作用只是对这些粒子受到的主要引力作用
  (即地球本身的引力作用) 的一项小修正.
* 当然, 这种主效应是向心的, 即指向地心的方向 (就是这里的 `A` 点).
* 如果现在我们把质点球当作地球大气层的外围 (这样我们可忽略空气阻力),
  那么球内所有质点都作向心的自由落体运动 (爱因斯坦意义上的惯性运动),
  而不是整个球面畸变到与初态体积相等的椭球面, 因此这里有一种体积收缩效应.
* 一般来说, 这两种效应都存在. 在虚空空间, 只有畸变没有初始体积的收缩;
  而当球面充满物质时, 则存在着与所包围的物质总质量成正比的初始体积收缩.
* 设这个质量为 `M`, 则体积收缩的初始"速率"
  (可看作是对向心加速度的一种量度) 为
  - `4πGM`
  - 这里 `G` 是牛顿引力常数

* 光速不变性与相对性原理之间的这种明显的矛盾导致爱因斯坦,
  事实上此前也曾导致丹麦物理学家洛伦兹, 更完整地说,
  还包括法国数学家庞加莱, 提出一种完全去除这一矛盾的著名观点.

* 绝对时间的观念之所以在我们的思想中如此根深蒂固,
  全是因为光速按我们熟悉的速度标准来看实在太大.

* 在我看来, 尽管有爱因斯坦卓越的物理洞察力和洛伦兹以及庞加莱杰出的贡献,
  但狭义相对论在他们那里并没有完成,
  只有到了闵可夫斯基提出了基本的革命性的观点 -- 时空 -- 之后,
  才算真正大功告成.

* 正如我们已看到的, 实物粒子的世界线位于零锥之内,
  而光线的世界线则处于零锥面上.
* 没有物理粒子被允许有类空世界线, 即处于相伴的零锥之外.

* 如果我们把实际信号看成是由实物粒子或光子传递的,
  那么我们就会发现, 没有信号可以在零锥所确定的区域之外传播.

* 与闵可夫斯基空间 `M` 的情形一样, 由这个 `g` 定义的零锥结构规定了
  `E` 的因果结构. 局部上看二者差别不大,
  但当我们考察一个复杂的爱因斯坦时空 `E` 的整体因果结构时,
  事情就变得微妙多了.
* 一种极端情形是出现所谓因果性破坏, 即出现`"闭合类时曲线"`情形,
  这时某个事件发出的信号有可能被送回到该事件的过去!
* 对一个典型的可接受时空而言, 这种情形一般是作为"非物理的"情形被排除的,
  我的立场是肯定要将其排除掉的.
* 但有些物理学家却持有更宽容的物质观,
  容许存在沿闭合类时曲线作时间旅行的可能性.

* 局部上看, 狭义相对论的闵可夫斯基时空 `M`
  与广义相对论的爱因斯坦时空 `E` 的区别就在于对 `M`, `R = 0`.

## 闵可夫斯基几何

* 闵可夫斯基空间 `M` 的完全十维对称群称为庞加莱群,
  庞加莱群在相对论物理, 特别是粒子物理和量子场论等方面是非常重要的.

* 这些量之所以如此重要是因为它们在牛顿理论里都是意义十分明确的守恒量,
  即是说, 对于一个不受外力作用的系统, 其总能量, 总动量和总角动量在时间上是个常数.
* 系统的能量可认为由两部分组成, 即动能 (运动能) 和势能 (粒子间的力存储的能).
* 单是总动能或总势能未必守恒, 但二者的总和则一定是守恒的.
* 应当指出, 在牛顿力学里还有其他守恒量, 其中最重要的是角动量 (或动量矩).

* 我们要问一个问题: 所有这些量在狭义相对论下会怎样?
  我们还有能量, 动量, 角动量和质心运动的守恒概念吗?
  - 什么是质量守恒?
* 对前四个量的回答是"是", 尽管我们必须对这些量作正确仔细的定义.
  至于质量守恒, 就另当别论了. 这时能量和质量这两个单独的牛顿守恒律合并为一个.
* 或者说, 按爱因斯坦最著名的方程 `E = mc^2`,
  质量和能量已完全变成彼此等价的了,
  这里 `E` 是系统总能量, `m` 是系统总质量, `c` 是光速.

* 相对论里还有另一种质量概念, 即不依赖于参照系的静质量 `μ (≥0)`.
* 它等于系统自身静止的参照系里测得的质量
  - 即在动量为零的参照系里测得的质量.
* 粒子可以是无质量的 (即静质量为零), 光子就是这样一种情形.
  - 这时四维动量是零矢量.
* 由于静质量不守恒,
  因此有质量粒子完全可以衰变成无质量粒子,
  无质量粒子也可以变成有质量粒子.

## 麦克斯韦和爱因斯坦经典场

* 我们今天的所谓经典场, 指的就是麦克斯韦的电磁场和爱因斯坦的引力场.

## 拉格朗日量与哈密顿量

* 我们得出了一个非常一般但明确的结论,
  就是一个具有 `N` 个自由度的经典系统能够在一种稳定平衡位形下振动.
* 任何这样的振动都是由简正模组成的,
  它们可以彼此独立地进行处理,
  每个模都有自己的特征频率, 因此共有 `N` 个模.
* 在这种描述中, 我们忽略了耗散效应, 这种效应可使实际的宏观系统的振动最终停止,
  其能量被转移到成分粒子的无轨运动上.
  - 如果所有成分都在考虑的范围内, 例如考虑到分子水平, 那么就无所谓耗散.

* 本节讨论的只涉及稳定平衡的振动, 但这种方法也可以用到不稳平衡的运动.
  其基本差异在于实对称矩阵 `Q` 现在不是正定的 (甚至是非负定的),
  因此 `W = PQ` 可以有负的本征值.
  - 相应的小扰动会造成远离平衡的指数发散.

* 哈密顿方法提供了这么一种绝妙的例证.
  虽然它所物化的经典力学在量子世界的严酷事实面前显得矛盾,
  但这种方法却提供了一条通往实际的量子力学理论的重要途径.
* 不仅如此, 量子力学里的哈密顿量还是标准量子形式体系的核心成分.
  我这里指的是标准的非相对论性的量子理论,
  其中无需按照相对性原理将时间和空间结合起来考虑.
* 而在相对论量子力学里, 人们发现拉格朗日方法可以提供一种更为自然的起跳点.
  但我们要跃向何方呢?
* 这需要将狭义相对论原理与那种诱使我们堕入量子场论泥潭的量子力学适当地结合起来才能回答.

* 拉格朗日理论 (以及哈密顿理论) 对现代物理有着深刻的影响.
  - 例如, 有一条重要的定理, 称为**内特尔定理**, 告诉我们,
    如果普通拉格朗日量具有某种连续 (光滑) 对称性,
    则存在与此对称性相应的守恒律.
  - 特别是, 如果在时间平移下存在拉格朗日不变量 (即与时间无关),
    则存在能量守恒; 如果这个不变量是空间平移下的不变量,
    则存在动量守恒; 更进一步, 如果存在关于某个轴的转动不变量,
    则关于这个轴有角动量守恒.
  - 对于平直时空内的孤立系统, 这些对称性都是存在的.

* 在基础物理的各种当代研究中, 新理论的提出几乎都是以某种拉格朗日函数形式来给出.
  这有许多好处, 例如导出的理论能有更好的 (但也不是绝对的) 协调性和不变性,
  或者蕴含着某种形式的"牛顿第三定律".
  - 即如果两个场之间发生作用, 则这种作用是相互的:
    如果一个场作用到对方, 那么它也受到对方给予的同等的作用.
* 此外, 拉格朗日量还有一个可人的性质, 就是如果引入了一个新的场,
  则它的贡献通常就是简单地在此前的拉格朗日量中增加一项,
  当然所需的相互作用项也需加上.
* 更重要的是, 通过路径积分方法可以直接形成量子理论.

* 在大多数情形下, 拉格朗日密度本身不具有明确的物理意义,
  从而使得对同一个场方程会存在多个不同的拉格朗日量.
* 作为数学工具, 场的拉格朗日量无疑是非常有用的,
  它使我们能够得出有关物理理论的大量见解.
* 但我一直对过分依赖它们来增进我们对基础物理理论的理解这一点表示担忧.

## 量子粒子

* 微分算符经常可以像通常的数字那样来处理,
  这在解某些种类的微分方程时特别有用.

* 由内特尔定理可知, 空间对称性与动量守恒之间存在紧密联系:
  在某个方向上, 如果拉格朗日量在平移下不变,
  那么该方向上的动量就是守恒的.
* 这是一个优美而又重要的事实, 数学上也很好理解.
  量子力学某种程度上就有点儿与此类似, 只是在数学上不是这么好理解.

* 但毫无疑问, 这种奇怪的量子力学处理仍具有某种数学美.
  因为在量子力学里, 不仅是存在与对称性相关的守恒动量,
  而且动量本身实际上就等同于产生这个特定对称性的微分算符!

* 但一般来说, 在哈密顿量里用量子动量取代经典动量不会是一个简单明了的过程,
  这主要是因为在量子力学的 `p` 与其对应的 `x` 之间存在非对易关系.

* 实验细节问题不是我这里要强调的, 但大量实验证据的确反映了这样一个本质:
  在频率和能量之间以及相应的波数 (波长的倒数) 和动量之间存在关联,
  而且这种关联在所有实验现象里是普遍存在的.

* 晶体在结构上具有晶格原子排列的空间周期性.
  如果我们将具有适当初始三维动量的电子射向这种晶体材料,
  那么电子将在晶体表面以一系列特定的角度发生折射 (或反射).
* 实验发现, 这些方向和角度取决于入射和出射的, 与晶格的周期性相关的三维动量.
  这些实验结果表明, 电子的三维动量与晶格的周期性位移距离之间存在精确的反比关系.
* 用其他粒子进行实验也可得到同样的结论. 这一结论就是,
  动量 `p` 的粒子似乎像波一样具有周期性,
  其波长 `λ` 与动量幅度大小 `p` 之间存在着普适的反比关系.

* 一束具有三维动量 `P` 的电子遇到具有周期性晶格结构的材料后,
  如果原子排布的特征标长与电子的德布罗意波长相匹配,
  则晶体上就会出现散射或反射.
* 这些电子可视为具有波长 `λ` 的波, `λ` 与电子动量 `p`
  有关系 `λ = h / p`, 这里 `h` 是普朗克常数.

* **波是粒子, 粒子就是波**, 可以用漂亮的数学形式体系来处理,
  在这种数学形式里, 动量的确就等同于"关于位置的微分",
  而能量则等同于"关于时间的微分".

* 我的观点是, "实在"问题的讨论必须置于量子力学的语境中进行才有意义,
  特别是对那些认为量子体系可以普适地用到整个物理学的人
  (好像许多物理学家都多多少少有此观点) 就更是如此.
* 因为如果不存在量子实在, 那也就不存在任何层面
  (按这种观点, 所有层面都是量子层面) 上的实在了.
* 在我看来, 全盘否认这种实在毫无意义.
  我们需要物理实在的概念, 即使是暂时的或粗略的也好,
  - 因为缺了它我们的客观世界以及整个科学就会在沉思默想的注目中烟消云散!

* 这里要强调的是, 你可以将小点在屏上一次次地出现想象成波的局域密度达到某个临界值的结果,
  或更确切地说, 小点在屏上的出现存在某种概率性, 这个概率随波的强度加强而增加.
  - 但这种认识对理解双缝实验的结果毫无帮助.
* 因为如果它只是一个个别位置上单独的概率问题, 那么我们就可期望, 只要强度允许,
  有时两个点会同时出现在屏上间隔距离很大的位置上,
  而在源端描述这个单粒子发射的波函数则只有一个.
* 如果我们把粒子想象成是电子那样的带电粒子, 则这一困难就愈加明显.
  因为如果源发射的单电子结果导致两个电子打到屏上,
  哪怕只是非常罕见的少数几次, 我们也得承认电荷守恒律已经被破坏.

* 我们必须将整个波视"同"一个粒子. 虽然这在一定意义上决定着点出现在屏的不同位置的概率,
  但这个概率指的却是一个粒子. 如果我们只是从局域上来看待波函数,
  认为它独立地提供了点在屏的不同位置上出现的概率, 那这种解释仍然行不通.
  我们必须把波函数看成是一个整体.

* 在这一点上, 波函数与经典物理里的波有着重要区别.
  我们不能将波的不同部分看成是局部扰动,
  每一部分都单独执行着可能地处遥远区域里的某个事情.
  - 波函数有着强烈的非局域性质, 在这个意义上它们完全是一个整体.

* 另外, 概率从不为负值, 更甭说是复的了. 如果波函数是这种概率波,
  那么就不会存在相消干涉的取消. 而这种取消正是量子力学的一个特征,
  唯其如此才有双缝实验的生动描述!

* 似乎很清楚, 波函数必须是那种远比"概率波"更为"实在"的东西.
  我们从薛定谔方程得到了这种实在 (不论带电与否) 的精确的时间演化,
  这是一种根本上依赖于相位如何随位置变化的演化.
* 但如果我们打算通过对波函数实施位置测量来问`"粒子在哪儿?"`
  我们就必须做好丢失相位分布信息的准备.
* 事实上, 测量之后, 一切必须由新的波函数重新开始.
  如果测量结果断定"粒子在这儿", 那么按薛定谔演化,
  新的波函数就必须在"这儿"的位置上有强烈的峰值, 然后又迅速弥散掉.

## 量子代数, 几何和自旋

* 量子系统的演化还有其他表示方法, 其中最为熟悉的就是所谓的海森伯绘景.
  在这种图像下, 系统的"态"在时间上是不变的, 于是时间演化由动力学变量替代.
* 读者或许会问, 量子态怎么能看成是"不变的"呢?
  即使实际上存在的只是量子水平上的物理变化!
  - 这的确问得在理,
    但从薛定谔绘景到海森伯绘景的变化实际上只是一个符号重定义的问题.
* 读者或许会问, 这么折腾我们得到了什么? 某些时候,
  海森伯绘景能够带来技术上的方便, 但海森伯绘景无助于解开量子力学之谜.
* 在薛定谔绘景下, 我们至少还有演化的态矢, 使我们还能看出一点"量子实在"是什么样子!
  而海森伯绘景则连这一点机会都给剥夺了, 因为在这种图像下,
  甭管发生什么物理作用, 其态矢都是不变的.

* 就量子态而言, 你既可以对这种精妙的数学抱以马虎的态度,
  甚至把位置态和动量态就当作实际的态;
  也可以花上所有时间来把这种数学彻底搞清楚,
  但这时又会有另一种堕入"僵化"境地的危险.
* 我选择的则是中间道路, 并尽可能做得最好,
  但在这个问题上, 我也不能完全确信取得进展的答案究竟是什么!

## 纠缠的量子世界

* 借以得到量子态矢演化的薛定谔方程的量子哈密顿方法,
  仍可用于处理可能具有相互作用和自旋的多粒子系统,
  只是我们需要适当的哈密顿量来具体体现所有这些特性.
  - 但现在我们要的不是每个粒子各自的波函数,
    而是一个描述整个系统的态矢.

* 标准量子理论的一个明显特点是, 多粒子系统除了只有一个时间坐标外,
  系统中的每个独立粒子都有各自独立的一套位置坐标.
  这是非相对论量子力学奇特的地方,
  如果我们将其视为"更完备的"相对论性理论的某种极限近似的话.
* 因为在相对论框架下, 空间处理方式本质上等同于时间处理方式,
  因此每个粒子既然有各自的一套空间坐标, 它就应当有各自的时间坐标.
  但普通的量子力学并不是这样, 而是所有粒子共有一个时间.

* 但我们也将看到, 无论采用什么 (已知) 方法, 都会出现严重的新问题.
  此外, 普通的薛定谔方程本身并不能解决"回到现实"的困难. 在我看来,
  薛定谔方法的这种时空非对称性隐藏着某种仍不为量子图像所表现的东西,
  但眼下我们还无法顾及这一点.
  - 我们将略去这些问题, 仅按非相对论量子理论观点来叙述,
    并采用统一的外部时间概念.

* 贝尔导出了一个关于两个分开进行的物理测量的结果的联合概率的不等式,
  它与量子力学的期望相悖,
  但却是任何描述两个独立粒子物理上分离后行为的模型所必须满足的条件.
* 因此, 如果贝尔不等式不成立,
  就说明存在某些基本的量子理论效应,
  即两个物理上分离的粒子间的量子纠缠效应,
  它们无法用经典的独立粒子模型来解释.

## 狄拉克电子与反粒子

* 在这个模型里, 我们看到了量子物理里一条重要的原理, 即泡利不相容原理.
  它告诉我们, 两个全同费米子不可能共处一个态 (这是费米波函数的反对称性一个特征).
* 固体材料不会塌缩根本原因就在于这条原理.
  - 通常的固体物质都是由电子, 质子, 中子这样的费米子组成的.
  - 由于泡利原理, 它们必须"彼此不处于同一个态".
* 玻色子则完全不同. 似乎它"更喜欢"处于同一个态.
  - 当我们将不同的玻色子态的计数与相应的不同的经典态进行比较时,
    就会看出这种纯粹的统计效应.
  - 在温度非常低的情形下, 这种效应会变得极为重要,
    此时将发生所谓玻色-爱因斯坦凝聚, 就是大部分粒子集聚同一个态.
  - 超流体是这方面的一个例子, 激光也与此有关. 在超导体情形,
    电子有一种"配对"方式, 这些电子对表现得就像单个的玻色子.
  - 某些非常重要但并不直观的量子力学应用就来自于这种"集体"现象.

* 量子理论与狭义相对论结合的一个显著特征,
  就是产生出来的不是那种只涉及量子粒子的理论, 而是关于量子场的理论.
* 其理由可概括为如下事实: 相对论的引入意味着单个粒子不再守恒,
  而是可以在与相应的反粒子关联的过程中被产生和消灭.
* 这句话需要作些解释. 为什么在相对论量子理论中需要"反粒子"概念呢?
* 反粒子的出现怎么就能使我们从关于粒子的量子理论转到关于场的量子理论了呢?
  - 本章的主要内容就是要回答这两个问题, 尤其是前一个问题,
    使我们看到了狄拉克在电子的数学描述上的深邃的洞察力.

* 为什么反粒子的存在会使我们从粒子的量子理论转向场的量子理论?
  我们暂且先接受这样一个论断, 即每一种粒子都有其反粒子,
  并且学着逐步接受这一非同寻常的事实的结果.
* 反粒子的根本性质 (至少对有质量粒子的反粒子是如此)
  是粒子和反粒子能够成对地产生和湮没,
  它们的合质量按爱因斯坦的 `E = mc^2` 转换成能量.

* 另一方面, 反粒子的静质量 (静质量属非加和性质) 等同于原粒子的静质量.
  - 在能量转换为粒子的过程中, 我们需要足够的能量,
    至少两倍于粒子本身的`静质量/能量`, 来产生粒子及其反粒子.
* 相反, 如果一个给定的粒子遇上它的反粒子, 则可能发生彼此湮没并放出能量.
  - 这里, 放出的能量仍必须至少是两倍于单个粒子的`静质量/能量`.
* 不论是产生过程还是湮没过程, 能量都必须大于这个值,
  因为粒子和反粒子很可能正处于相对论运动状态,
  运动本身储有能量 -- 动能 -- 它应加到总能量里去.
  - 无论哪一种情形, 我们都看到,
    反粒子的出现迫使我们必须走出单粒子的量子理论.

* 由泡里不相容原理, 每个电子轨道只能容纳一个电子,
  但我们发现, 每个轨道总是容许存在第二个电子.
  - 一对电子能够共存并仍能满足不相容原理,
    就因为它们的态不全同, 而是有相反的自旋.
* 但每个轨道上不容许超过两个电子, 因为电子只有两个独立的自旋态.
  - 化学上的"共价键"概念依据的也是这一点,
    两个公用的电子可在同一个态下共存, 因为它们的自旋相反.

* 狄拉克电子是一个四分量的实体, 而非只有"泡利旋量"的两个分量.
  事实上, 狄拉克方程描述的粒子只有两个分量, 尽管其波函数有四个分量.

* 但正是在这个地方狄拉克表现出非凡的创造力.
  在他最终确信负频率解不可能从数学上加以排除之后,
  他作了如下根本性的论证解释.
* 在负频率解中难办的到底是什么呢? 问题或许是这样, 如果负能态存在,
  那么电子就会通过辐射掉能量落入这个态中; 如果有无限多个这种态,
  则将出现灾难性的不稳定性, 在此情形下, 所有电子堕入负能态,
  使得负能量越来越大, 同时伴随着越来越多的能量辐射, 没有止境.
* 但是, 狄拉克解释道, 电子满足泡利原理, 因此如果一个态已经被占据了,
  这条原理就不会容许同样的粒子再占据这个态. 于是他提出了一项惊人的建议,
  所有负能态应当都已被占满!
  - 这个被占领的负能态海洋就是通常所说的"狄拉克海".
* 因此, 按照狄拉克的"狂想", 我们确实得想象着负能态已占满;
  按泡利原理, 电子已没有落入这种态的余地.

## 粒子物理学的标准模型

* 根据我们的 `zig` 和 `zag` 粒子, 手征不对称源于如下事实:
  - 在镜像情形下, `zig` 看上去像 `zag`, `zag` 看上去则像 `zig`.
  - 我们知道, `zig` 具有左手螺旋性, 而 `zag` 具有右手螺旋性.

* 因此, 反射对称下弱作用的非不变性可看成是这样的事实:
  只有电子的 `zig` 部分参与弱作用.
  - 同样, 对经历自发`β`衰变的中子和作为结果的质子, 都可作同样的理解.
* 某种程度上说, 中子和质子也可以用狄拉克方程来描述, 这时 `zigzag`
  描述对二者也都是合适的.
  - 同样, 只有中子和质子的 `zig` 部分参与弱衰变过程.
* 按照现代理论的图像, 更恰当的是将中子和质子都看成是成分粒子,
  每个都由 `3` 个夸克组成. 夸克本身则由狄拉克方程单独描述,
  于是 `zigzag` 图像对每一种都是合适的.

* 在现代量子场论里, 不必按狄拉克原初的 (表观反对称的) 形式来表示各种粒子.
  反粒子和"粒子"一样都是粒子.
  - 此外, 反粒子概念可以指玻色子 (整数自旋的粒子),
    如同它用于费米子一样, 只是费米子必须服从泡利原理,
    因此关于反粒子的"狄拉克海"的观点不能用于玻色子.
  - 就目前所知 (当然是根据标准模型), 本质上每一种粒子都有反粒子.

* 用反粒子取代粒子的运算称为 `C` 运算 (表示正反共轭).
  在反粒子取代粒子 (或其相反) 时物理相互作用保持不变的性质称为 `C` 不变性.
  - 空间反射 (镜面反射) 运算称为 `P` 运算 (表示宇称).
* 通常还讨论与此相关的另一种运算, 称为时间反演 `T` 运算.
  - 如果我们从与日常相反的时间方向上看一种相互作用,
    发现它与正常时间方向上的情形没有什么不同,
    我们就说这种相互作用在 `T` 下是不变的.
* 量子场论里有一条著名的 `CPT` 定理:
  每一种物理相互作用在同时应用于所有 `3` 种 `C`, `P`, `T` 运算时是不变的.
  - 自然, 一条定理"只是一些数学", 其物理真实性有赖于其假说的物理有效性.
  - 但对通常的弱相互作用来说, 没有理由担心会有任何困难.
  - 相应地, 通常弱相互作用的 `CP` 不变性意味着它们在 `T` (时间反演对称) 下也是不变的.

* `CPT` 定理为我们提供了另一种不同于狄拉克"海"的看待反粒子的观点,
  它更令人满意, 因为它同样能够用于玻色子. 有了 `CPT`,
  我们就可以将 `C` -- 粒子与反粒子交换 -- 等同于 `PT`,
  - 这样, 我们就能够将某种粒子的反粒子当成粒子的`"时空反演"` (`PT`).
* 如果不考虑其中的空间反射方面, 则我们可将反粒子理解为做时间反向运动的粒子.
  - 这正是费恩曼爱用的理解反粒子的方式.
  - 它为处理费恩曼图中的反粒子提供了一种相当方便而又和谐的方法.

* 由于弱作用还涉及自旋为 `1` 的 (有质量) 粒子, 即 `W` 和 `Z` 玻色子,
  因此情况更加复杂.
  - 这些玻色子是弱作用中的媒介子,
    起着类似于电磁相互作用中光子的传递作用 (光子是电磁场的量子).
  - 这样的粒子有时称为"规范量子", 理由容我后述.

* 正如我上面所说, 这种"对称性"看起来非常奇怪, 难以捉摸,
  因为纯粹的电磁作用是反射不变的, 源的 `zig` 和 `zag` 部分具有同等地位,
  而弱作用在反射变换下则不是不变的, 而且只有粒子的 `zig` 部分参与作用.
  - 此外, 这个理论在考虑所有玻色子时,
    光子显然因为是无质量粒子而不计其内.

* 我们之所以感到在真实世界里似乎能看见的这些粒子的反对称性仅出现在电弱理论里,
  就因为大自然为它们选择了特定的组合方式,
  即这些元的特殊的量子叠加,
  使它们以真实的自由粒子面貌出现.

* 因此, 问题的关键在于: 在允许我们找到作为自由粒子而非其他的特定的叠加方式方面,
  大自然采用的是什么样的标准?
* 基本答案是这样, 对自由粒子, 我们要求它是一种质量的本征态,
  为此我们需要知道是什么一般地决定了粒子的质量.
  - 这里, 我们不能指望在 `U(2)` 下有完全对称性, 换句话说, 质量涉及某种对称性破缺.
  - 在标准模型里是怎么处理它的呢?
* 这个概念, 至少就通常的表现形式来说,
  也就是目前我们在粒子相互作用中实际观察到的非对称性,
  源于宇宙早期出现的自发对称性破缺.

* 作为这种对称性破缺理论的基本面, 另一种称为希格斯 (粒子) 的`粒子/场`根据需要出现了.
  - 希格斯 (场) 被认为负责将质量派分给所有这些粒子 (包括希格斯粒子本身),
    当然也包括组成宇宙间其他粒子的夸克.

* 什么是强相互作用呢? 描述强相互作用的现代理论构成了标准模型的"另一半",
  这就是量子色动力学或简称为 `QCD`.

* 我们也许会问在支配核力的强相互作用理论的什么地方"着色".
  - 答案是这里"色"的概念完全是想入非非的,
    与通常的那种可见光频率确定的"色"的概念毫无关系.

* 强子是自然界中质量较大的基本粒子, 它们参与强相互作用
  (这些相互作用的强度为质量提供了大量的能量).
  - 强子族包括称为"重子"的费米子和称为"介子"的玻色子.
* 在传统理论中, 所有强子都由夸克组成, 这一点一会儿还要详细论述.
  具体来看, 称为重子的那些强子都是普通的"核子" (中子或质子),
  它们要比称为"超子" (由宇宙线观测和粒子加速器发现) 的堂兄弟们重.

* 夸克的神秘之处在于它们拥有分数电荷 (以质子电荷为单位),
  `上夸克`, `下夸克`和`奇异夸克`的电荷值分别为
  `2/3`,  `-1/3` 和 `-1/3`.

* 在标准模型里处理这个问题的方法, 是要求每味夸克有`3`种 (所谓的) "色",
  任何由夸克组成的实际粒子在色自由度上必须完全是反对称的.
  - 这种反对称性不考虑夸克态本身, 因此, 在`3`夸克粒子中,
    单个 (费米子型的) 夸克之间的反对称性可以有效地转变为对称性.
* 在自由粒子中, 色从不表现出来, 因此本质上说, 色是"不可观察的".
  任何自由粒子都是"色中性的".

## 量子场论

* 事实上,
  量子场论似乎是几乎所有试图以认真的方式在最深入层面上图解宇宙机制的那些物理理论的基础.
  许多 (差不多绝大多数) 物理学家都持这样的观点:
  - 量子场论的架构已"为大家所公认", 任何关于不协调
    (通常是指来自发散积分或发散求和或二者兼而有之的无穷大)
    的非难都是针对量子场论所应用的具体领域, 而非量子场论框架本身.
  - 这一理论一般由服从一定的对称性原理的拉格朗日量具体化.

## 大爆炸及其热力学传奇

* 让我们用稍微严格点的方式来考察第二定律的实际内涵.
  作为预备, 我得先交代一下热力学第一定律.
  - 第一定律可简述为任何孤立系统的总能量守恒.
* 与作为一个恒等式的第一定律不同, 第二定律是一个不等式.
  它给出一种称之为熵的物理量, 这个量的值在过程之后会变得比之前更大
  (至少不减小).
* 粗略地说, 熵是一种对系统"混乱程度"的量度.
  - 在空气中运动的物体开始时能量是一种有序的形式 (运动动能),
    但当它因空气摩擦阻力慢下来时,
    这种能量就转化为空气分子和物体内粒子的无轨运动.
  - "无序程度增加了", 更明确地说, 就是熵增加了.

* 我自己对熵的物理地位的立场是, 我不认为它是当今物理理论里的一个"绝对"概念,
  虽然它无疑是个非常有用的概念. 然而, 它在未来有可能获得更为基础的地位.

* 在我看来, 熵在当代理论中具有的是一种"方便"的地位,
  而非"基础性"地位 -- 虽然有迹象表明, 在量子引力变得重要的更深入场合
  (特别是与黑洞熵联系起来看), 这个概念将获得更基本的地位.

* 一些理论学家试图对"孤立系统"和"开放系统"做出区分, 他们认为,
  当孤立系统内熵增加时 (直到达到平衡态),
  我们总可以从外部世界引入某种东西使熵一次次地减小
  - 譬如人为干预或从太阳汲取低熵, 等等.
* 在我看来, 任何按这些方式得到的关于第二定律的时间不对称性的解释都只是暂时性的,
  因为这些外部因素都应包括进系统内.
  - 这意味着所考虑的"系统"必须是宇宙这个整体.
  - 人们时常反对这种看法, 但我认为这种反对意见没什么道理.

* 我必须指出一个在宇宙学背景下第二定律认识上经常引起混乱的错误概念.
  一般认为, 第二定律的熵增恰是宇宙膨胀的必然结果.
  这种观点看来是基于这样一种误解:
  - 在宇宙还"很小"的时候, 它可支配的自由度也相对较少,
    只能为可能的熵值提供较低的"上限";
  - 随着宇宙逐渐长大, 可支配的自由度也越来越多,
    它给出的"上限"也就相对较高, 因而容许较大的熵值;
  - 随着宇宙膨胀, 这个可容许的最大熵值将增大,
    因此实际的宇宙熵也可以变得很大.

* 可以有多种办法看出**这种观点是错的**.
  - 例如, 它意味着, 在存在坍缩阶段的那些宇宙模型中,
    坍缩阶段的熵必然开始减小, 第二定律被破坏.
  - 有些人并不认为这有什么不对, 但这种观点遇到了基本困难,
    特别是在黑洞问题面前.

* 最大熵的状态是怎样的呢?
  - 气体在热力学平衡下的最大熵状态就是气体均匀分布于整个容器空间,
  - 与此不同, 大的引力物体的最大熵状态则是所有质量集中于一处,
    即以所谓的黑洞形式出现.

* 首先, 我们注意到这样一个事实: 许多数学理论给出的令人信服的证据表明,
  一般性的黑洞, 尽管初始时可能具有非对称坍缩,
  如紊乱的旋绕和不可逆的崩塌引起的复杂结构,
  都将迅速平复 (就其外部时空几何而言) 到一个相当简单完美的几何形式.

* 宇宙中存在的自然黑洞是最完美的宏观物体:
  其结构的唯一要件就是时空概念. 由于广义相对论只能为描述提供单一的解族,
  因此它们也是最简单的物体.

* 黑洞的那种横扫一切物质的秉性 (也许有巨大的结构)
  使它变成了一种仅需 `10` 个参数
  (它们是`a`, `m`, `自旋轴的方向`, `质心位置`和`三维速度`)
  就可描述的单一构形.
* 这种无情性质是对第二定律强有力的证明. 这 `10`
  个参数也是对终态进行充分的宏观描述所必需的.
  - 虽然黑洞看上去不像是通常的热平衡物质态, 但它具有后者的关键性质,
    即数量巨大的微观上不同的态导致出现可用非常有限的几个参数来描述的情形.
  - 正由于这一点, 所以相应的相空间粗粒化盒子巨大, 从而黑洞具有巨大的熵.

* 在宇宙年纪约 `300000` 年 (仅为目前年龄的 `1/50000`)
  时发生的"退耦" (这也是我们能够用微波背景辐射"倒推回去"的最早时间) 之前,
  宇宙以"辐射为主", 弗里德曼的"尘埃"近似失效.
  - 取而代之的是更迅速的图尔曼膨胀.
* 在退耦之前, 宇宙基本上属"辐射为主"的时期, 退耦之后, 则是"实物为主"的时期.
  - 我们不指望弗里德曼的"尘埃"模型能够恰当地描述辐射为主的阶段,
    这个阶段的描述更恰当的是用含辐射项的图尔曼模型.

* 在标准图像里, 宇宙最初从大爆炸急速膨胀而生,
  但认为这种爆炸是从某个"中心点"开始并且万物由此后退的观点则是错误的.
  - 就两空间维的情形而言, 膨胀宇宙的一种较合适的图像是一个被吹胀的气球表面.
* 球面上的每一点都在随时间逐渐拉开彼此间的距离, 故宇宙模型不存在"中心点".
  在这个类比中, 气球表面代表的是整个宇宙.
  - 因此, 气球的中心不属于膨胀宇宙的一部分,
  - 不在气球表面上的那些点也不属于膨胀宇宙的部分.

## 早期宇宙的推测性理论

* 就基本物理理论而言, 将粒子物理建立在某个大对称群
  (这是大统一理论哲学的一部分) 上是一种真正"简单的"图景.
* 在我看来, 大的几何对称群是复杂而不是简单的事情.
  自然定律里固有的基本对称性同样如此,
  我们看到的对称性经常只是由于我们没能坚持在最基本层面上进行研究而导致的近似特征.

* 事实上, 暴胀宇宙学家做出过一些明确的预言, 最近几年,
  这些预言已被验证与许多新的观察事实明显相左.

* 让我们看看真正的问题是什么. 宇宙在大爆炸时是非常特殊的.
  从热力学第二定律来看, 它也就该那样, 这种认识可一直追溯到宇宙开端.
  - 所有热能化过程都取决于第二定律,
    因此这些过程既不能解释为什么我们有第二定律,
    也不能说明为什么我们有一个非常特殊的宇宙开端.
* 此外, 所有自发对称破缺过程和所有相变过程 (这些都是暴胀所需的)
  都蒙承第二定律才得以发生.
  - 这些过程不能解释第二定律, 因为它们在用着这个定律.
* 更进一步说, 暴胀宇宙学的全部认真的计算都是建立在
  `FLRW` 模型的时空几何假定基础上的, 或接近于这个假定,
  而这个假定并不能给出在一般情形下会发生什么的预言.
* 如果我们要了解宇宙初态在超常的均匀性方面为什么会表现得如此特殊,
  我们就必须求助于一种完全不同于爆胀宇宙学所倚赖的观点.

* 人存原理.
  - (a) 弱形式: 智慧生命必须在宇宙中找到自己的时空位置,
    这种宇宙具有适合智慧生命生存的条件.
  - (b) 强形式: 考虑的不只是一种可能的宇宙, 其中自然界基本常数可以变化.
    智慧生命必须为自己找到自然界常数 (和时空位置) 相宜的宇宙.

## 量子态收缩中的引力角色

* `CPT` 定理成立的前提之一, 是它的基本时空采用的是平直的`闵可夫斯基空间`.
  - 尽管如此,
    我猜测大多数物理学家都把这一点看成是不很重要的"技术细节",
  - 就是说, 如果需要,
    我们随时可按照引入闵可夫斯基空间得到的`"庞加莱不变量场论"`来重新表述爱因斯坦理论.
* 就我个人而言, 我对这种看法持强烈的保留意见, 但我倾向于同意,
  时间完全对称的经典的爱因斯坦广义相对论,
  一旦服从量子场论的标准的时间不对称的程序, 就应当是时间不对称的.

* 这个想法要表达的是这样一种可能性: 在理论限定的条件下, 如果容许存在负能量密度,
  就有可能"维持虫洞张开"足够长时间使得旅行者能够从一端跑到另一端.
  - 在经典理论中, 通常认为这种负能量密度是不存在的,
    而在适当的量子场论这种特殊情形下则是容许的.

* 这`3`种观点罗列如下:
  - 损失派: 当黑洞蒸发完毕, 信息也就全都损失掉了;
  - 存贮派: 信息保留在最后的碎片中;
  - 返回派: 信息在最终的辐射爆中全部返回到视界外.
* 读者或许奇怪, 最明了的选择显然是损失派的观点,
  为什么我们非得需要存贮派或返回派的观点呢?
* 原因在于损失派的观点似乎意味着幺正性的破坏, 即不遵从`U`运算.
  如果你的量子力学哲学要求幺正性是不变的, 那么你持损失派的观点就会有困难.
  - 这就是为什么在 (绝大多数) 粒子物理学家那里盛行存贮派或返回派观点的原因,
    尽管这两种观点表面看来显得做作.
* 我自己的观点是, 信息损失无疑是正确的.

## 超对称, 超维和弦

* 超对称背后的基本思想,
  在于它提供了一种可使费米子和玻色子按一种对称性关系"配对"的方法.

* 这样, 超群构成了一片可观的纯数学领域. 不仅如此,
  超对称的概念还可以直接用于数学证明以获得其他方法不易获得的结果.
  但这并未告诉我们, 按这种方式超对称是否就与物理存在直接关联.
* 另一方面, 许多不同的事例表明,
  超对称在激发或建立与物理直接相关联的数学结果方面是非常有用的.
* 但在我看来, 这一点并不能说明超群与粒子物理学或量子场论存在直接的基本联系.

* 超对称诱人的一面似乎在于它提供了一种将玻色子和费米子关联起来的方法,
  这使得超对称的量子场论在给出有限答案方面比不具超对称的量子场论容易得多.
  - 借助超对称的玻色子和费米子配对法则,
    我们可以通过一个集的无穷大来抵消另一个集的无穷大.
* 这样建立量子场论的工作就要比建立不具超对称的量子场论容易得多.
  但它并未告诉我们自然本身是否就是按此方式运作的,
  她可是藏有许多令人意想不到的机关!

## 更为狭窄的爱因斯坦途径: 圈变量

* 对广义相对论进行量子化的正则处理有着悠久而辉煌的历史,
  其源头可以追溯到`1932`年狄拉克为处理爱因斯坦理论中出现的复杂约束而发展出的全新量子化理论.
* 多年来, 这种处理方法为各路不同的研究者所发展, 而且日益精致复杂,
  但哈密顿量错综复杂的非多项式性质使得进展困难重重.
* 到了在`1986`年, 美籍印裔物理学家阿什台卡 (Abhay Ashitekar) 做出了一项重要推进.

* 量子引力的圈变量图景引领我们进入到关于结和链的拓扑的数学领域.
  较之弦成分的平凡性质 -- 基本上都是非纠缠的片断,
  圈拓扑可是一种相当复杂的研究!
* 我们需要用数学判据来判断一个闭合的"由弦构成的圈"是否是个结
  - 这里"结"意味着不可能通过普通三维欧几里得空间的光滑运动将圈变成普通的圆,
    这里不容许将圈任意抻长并相互穿越.
* 同样, 我们可以要求根据判据来确定两个或多个不同的圈是否完全处于彼此分离状态
  - 即它们是非链接的.
* 自`20`世纪初以来, 对这个问题已有各种精妙的数学表达式给出了较为完整的答案
  (如"亚历山大多项式"等), 但在近年, 主要是受物理学的启发,
  又有大量神奇而精巧的处理手段被发现, 例如像
  - `"琼斯多项式"`,
  - `"HOMFLY多项式"`,
  - `"考夫曼多项式"`, 等等.

## 实在之路通向何处?
