---
title: 蒋勋说唐诗 & 蒋勋说宋词
description: 种豆南山下, 草盛豆苗稀. 晨兴理荒秽, 带月荷锄归.
date: 2021-11-17
---

- [蒋勋说唐诗 (修订版)](https://book.douban.com/subject/26022054/)

- 魏晋南北朝的三百多年, 就是琢磨唐诗这颗"珍珠"的过程.
  我们甚至在陶渊明这些诗人身上还可以看到琢磨的痕迹.
  陶渊明这么好的诗人, 我们也给予他很高的文学评价,
  可是以文学的形式美来讲, 我其实没有办法完全欣赏他的诗.

- 文学当然需要被研究, 被分析, 可是当文学变成研究对象的时候,
  也说明它到了博物馆时期, 不再是活在民间的一个力量.

- 在我看来, 那些累积了很长时间, 和我们的身体,
  呼吸已经有了共识与默契的语言和文字才叫作文学.

- 文学史的继承关系, 和大自然一样有春夏秋冬.
  唐代是花季, 花季之前一定是漫长的冬天. 在冬天,
  被冰雪覆盖的深埋到土壤里的根在慢慢地做着准备.

- 陶渊明在内容上有很多哲学性的创造, 可是他的诗在形式上是不够完美的.
  我读`"人生无根蒂, 飘如陌上尘"`的时候,
  在形式上没有任何感动, 因为这个形式我已经太熟悉了.

- 魏晋南北朝的一些人虽然在今天不是特别被看重,
  但这些默默无闻的寂寞的少数人, 是在做文学实验的人.

- 可是所谓不要修饰是最难的. 朱自清的 __背影__ 可以说是我看过的最好的文学.
  这么多年, 这么多散文, 很少看到哪篇散文敢这样写, 简单到好像没有形式.
  我们认为的不修饰, 其实是文学上最难的形式.
  - 朱自清放弃了所有形式上的造作, 词汇上的难度, 音韵上的对仗,
    这些东西都不考虑, 直接面对眼前所看到的画面去白描.
  - `"白描"`其实是一种技巧.
  - 是一个非常难的技巧.

---

- 宗白华的 __美学散步__ 里面有一篇文章, 谈到了唐初的宇宙意识,
  闻一多也谈过唐诗的宇宙意识,
  分析了初唐的诗人有一种把自己放在宇宙里面去讨论的格局.

- 盛唐时, 诗人的视觉与生命经验来自辽阔的土地. 南朝的时候,
  中国文人的梦想是回到田园, 比如陶渊明的 __归去来兮辞__.

- 唐代文学不是与南朝文学一脉相承, 而是来自北方.
  当时的诗人把真正的生命经验带到了荒漠当中,
  荒漠当中的生命是用另外一种宇宙观去看待生命的状态的.
  - 我们今天很难写出 __"大漠孤烟直, 长河落日圆"__,
    因为我们没有这样的视觉体验.
  - `"大漠孤烟"`描述的是看到辽阔的地平线上一缕烟升起来,
    唐诗给我们最大的感觉就是空间和时间的扩大.

- 边塞诗非常重要. 中国文人很少有机会到塞外去, 很少有机会把生命放到旷野上去冒险,
  去试探自己生命的极限. 宋朝以后, 文人写诗都是在书房里.
  - 我觉得唐诗当中有一个精神是出走和流浪, 是以个人去面对自己的孤独感.
  - 当时的诗人到塞外是非常特殊的经验, 因为有很多危险, 可是在危险当中,
    诗人们同时也激发出自己生命的巨大潜能.

- 唐代的文化有非常贵族化的部分, 很强调个人的"物竞天择",
  生命可以在面对自然的时候把自己的极限活出来.
  - 那是一个在"物竞天择"的自然规律中应该被赞美的生命, 就像花要开一样;
    如果花不开, 而是萎缩, 是不道德的.
  - 这其中的逻辑与农业伦理绝对不一样. 在汉朝的农业伦理当中,
    你的生命之花要开你都不敢开.

---

- 农业伦理真是非常神奇, 里面有一种道德性, 认为美是一种骚动,
  美是一种不安分, 所以它非常害怕美.
  - 唐朝却是一个觉得美可以被大声赞美的时代.

- 如果晚上把我们丢到大山中, 我们要活下来, 大概就知道什么叫"物竞天择"了.
  - 那种在自然当中与所有的生命搏斗的精神, 绝对不是农业伦理.
  - 农业伦理一定是人定居以后和土地之间的依赖关系.
  - 不存在土地依赖关系的时候, 生命处于荒凉的流浪当中,
    这个生命必须不断活出极限, 不断爆发出火焰.

- 当我们面对唐诗时, 几乎每一个人都感觉到唐诗好迷人, 里面的世界好动人.
  再追问一下, 也许是因为刚好唐诗描写的世界是我们最缺乏的经验,
  - 在最不敢出走的时候去读出走的诗,
  - 在最没有孤独的可能的时候读孤独的诗,
  - 在最没有自负的条件时读自负的诗.

- 从注重视觉经验和身体经验的"边塞诗", 到书写奢侈与华美的"贵游文学",
  再到"侠", 是初唐文学的发展脉络.
  - 侠的精神来自春秋战国的墨家, 在中央政权非常稳定的时代是最受忌讳的.
- 侠的精神后来在李白身上也非常明显, 李白一生当中只希望变成两种生命形态:
  - 一个是仙, 一个是侠.
  - 一方面, 他每天在山上跑来跑去求仙, 与炼丹的道士交往;
  - 一方面, 他自己练剑, 去结交侠士.
  - 从讲究勤劳, 节俭的农业伦理去看李白, 他全部不合格;
    可是流浪性的侠的生命经验慢慢累积起来, 变成初唐共同的宇宙意识.

### 春江花月夜

- 唐朝是"负", 而不是"正", 我们文化的正统仍是农业伦理.
  唐朝就像汉文化一个短暂的度假期, 是一次露营, 人不会永远露营,
  最后还是要回来安分地去遵循农业伦理.
- 为什么我们特别喜欢唐朝? 因为回想起来, 这一年最美的那几天是去露营和度假的日子,
  唐朝就是一次短暂的出走.
  - 我常常跟朋友们说, 在农业伦理里受不了的时候就出走一下, 去唐朝过两天再回来.
  - 我一直觉得 __春江花月夜__ 是初唐气派最辽阔的一首诗,
    希望跟大家交流这首诗所表现的真正的宇宙意识.

```
春江潮水连海平, 海上明月共潮生.
滟滟随波千万里, 何处春江无月明!
江流宛转绕芳甸, 月照花林皆似霰.
空里流霜不觉飞, 汀上白沙看不见.
江天一色无纤尘, 皎皎空中孤月轮.
江畔何人初见月? 江月何年初照人?
人生代代无穷已, 江月年年望相似.
不知江月待何人, 但见长江送流水.

白云一片去悠悠, 青枫浦上不胜愁.
谁家今夜扁舟子? 何处相思明月楼?
可怜楼上月徘徊, 应照离人妆镜台.
玉户帘中卷不去, 捣衣砧上拂还来.
此时相望不相闻, 愿逐月华流照君.
鸿雁长飞光不度, 鱼龙潜跃水成文.
昨夜闲潭梦落花, 可怜春半不还家.
江水流春去欲尽, 江潭落月复西斜.
斜月沉沉藏海雾, 碣石潇湘无限路.
不知乘月几人归, 落月摇情满江树.
```

- 我基本上不把 __春江花月夜__ 看作张若虚个人化的才气表现,
  而是强调初唐时期人的精神有一种前所未有的辽阔, 在空间和时间上都开始伸展.

- 可是汉语文学的有趣之处在于汉语是一个字一个音, 所涵盖的内容几乎形成了一个画面,
  而不只是一个词汇.
- 将"春江"理解为春天的江水可能是一个错误, 最有趣的是,
  这五个字全部是名词:
  - 春天, 江水, 花朵, 月亮, 夜晚.
- 我将这五个名词看作一首交响曲的五个乐章, 整首曲子有五个主题,
  - 分别是春天, 江水, 花朵, 月亮和夜晚.
  - 五个主题在交错, 它们之间发生了三棱镜般的折射关系.
  - 这首诗之所以迷离错综, 意象丰富, 是因为它的五个主题都是独立的.

---

- __春江花月夜__ 之所以美, 是因为它在充分的自我独立性当中,
  去欣赏另外一个完全独立的, 与它不同的生命状态.

- 在唐代, 真正居于思想主位的不是儒家, 而是老庄与佛教.
  老庄与佛教都相信在人的伦理之外, 有一个更大的天道.
  - 老庄讲`"天道无亲"`, 就是说天道不亲近任何一个人.
  - `"何处春江无月明"`是一个自然的宇宙状态, 不是从人的角度去阐发,
    张若虚从人的角度抽离, 从宇宙的角度去观照.
  - 而宇宙角度是初唐诗真正的角度.

- `"江月何年初照人"`, 江边的月亮现在照在我身上,
  可是江边的月亮最早什么时候照到了人类?
  - 这个句子这么重, 所问的问题也是无解. 唐诗之所以令我们惊讶,
    就是因为它有这样的力量, 也就是宇宙意识.
  - 大部分朝代的文学没有宇宙意识, 可是唐诗一上来就涉及了.
  - 陈子昂的 __登幽州台歌__ 中的 `"念天地之悠悠"`
    也是感觉到自己的生命在如此巨大的, 无限的时间与空间里的茫然.
  - 我觉得茫然绝对不仅是悲哀, 而是既有狂喜又有悲哀.

- 当张若虚问到宇宙的问题时, 我们会感觉到他有很大的孤独感,
  这一刻他面对着自己, 面对着宇宙. 如果当时旁边一大堆人,
  他写不出这首诗.
- `"江畔何人初见月, 江月何年初照人"`透露出的洪荒里的孤独感,
  是因为诗人真的在孤独当中, 他对孤独没有恐惧, 甚至有一点自负.
- 我们在读 __春江花月夜__ 的时候, 看他一步一步地推进, 把很多东西拿掉,
  最后纯粹成为个人与宇宙之间的对话. `"不知江月待何人"`中的`"待"`字一出现,
  唐诗的整个格局就得以完成了.
  - 你看, 无限的时间与空间都在等着诗人, 这是何等的骄傲与自负.

- 我最佩服张若虚这首诗的原因是轻与重可以交错到如此自然.
  通常"语不惊人死不休"以后, 真的是无以为继, 可是他却平静地说:
  - `"白云一片去悠悠."`
- 我每次读到这里, 就有种"恨意". 因为在创作中, 真正难以超越的是这个部分.
  - 写到最好的时候, 收不回来了, 这是很常见的情形, 张若虚却处理得如此自然.

---

- 这首诗一直在转韵, 前后转了九次韵. "九"是中国的吉祥数字,
  这首诗有一点循环的感觉, 从月亮升起, 花朵开放, 春天来临,
  再到春天消逝, 花朵凋零, 月亮下落, 有一个很特殊的圆形结构.
  - 中国人还相信"九九归一", 全诗的结构如此不可思议, 有一种特殊的完整性.

- 下面两句还是在描写这个女子: `"玉户帘中卷不去, 捣衣砧上拂还来."`
  - "玉户"是形容女子住得很讲究, 很精致, 很优雅的房间.
  - 早上起来, 女性习惯把帘子卷起来, 可卷帘子的时候, 卷不去的是什么?
  - 它也附在洗衣用的砧板上, 无法拭去.
- 张若虚始终没有直接叙述离开爱人的悲愁, 一直在用周边的场景带出情绪.
  因为情感不是那么容易直接说出来的, 它是一种缠绕的状态,
  所以当诗人反反复复地讲"月徘徊", "妆镜台", "卷不去", "拂还来"时,
  这种介于存在与不存在之间的状况既让人难过, 又让人魂牵梦萦.

- 因为有生命的牵连和挂念, 才会觉得生命有意义, 有价值, 即使"扁舟子"是虚拟的,
  即使`"相思明月楼"`是虚拟的. 如果从老庄或者佛家的观点来讲, 我们哪一种关系不是虚拟的?
  - 张若虚试图给这种虚拟关系以肯定, 所以他描述这个女子一会儿卷帘,
    一会儿捣衣的种种生活场景.

- 宇宙之间存在的东西常常因为我们看不见, 变成不存在;
  可是看似不存在的东西, 如果你在意, 也会变成存在.
  - `"鸿雁长飞光不度, 鱼龙潜跃水成文"`, "文"就是波纹.
  - 张若虚在河边, 看到河水上有很多波浪, 有很多水纹,
    是因为底下有鱼和龙在翻跃, 可是鱼和龙并不知道波纹的存在.

- 张若虚从"扁舟子"开始, 带出一个虚拟的`"相思明月楼"`,
  然后是一个虚拟的女性, 虚拟的`"愿逐月华流照君"`.
  - 现在他说, 如果你对生命有深情, 一切看起来不存在的东西,
    都会变成你在意和珍惜的部分.
  - 这时候`"愿逐月华流照君"`就有了一个比较具体, 实在的意义.
  - 这两句诗不容易懂, 因为涉及了哲学层面的思辨.

---

- 如果说"江潭落月"是讲梦里面家乡的那个月亮, `"斜月沉沉藏海雾"`就是诗人当前看到的月亮,
  这是两个不同的月亮. 听起来好像很矛盾, 因为月亮只有一个, 我们记忆里的月亮,
  眼前的月亮, 与远方的人看到的月亮都是一个.
- 诗人其实是将生命现象放到宇宙的共同意识当中, 也让我们领会到,
  只有春, 江, 花, 月, 夜是人类共同的, 永远的经验.
  不管距离如何遥远, 不管彼此间是否有所关联, 我们所拥有的都是同一个宇宙.

- `"碣石潇湘无限路"`, "碣石"是一座山的名字, "潇", "湘"都是湖南一带的河流.
  诗人说, 在山中, 在水上, 有多少人正在行路回家,
  可是句子里并没有人出现, 只是"无限路".

- `"不知乘月几人归"`, 不知道有多少人利用最后一点点月光, 还在努力寻找回家的路.
  - 这个"归"是双关语, 因为前面是`"可怜春半不还家"`, 所以"归"有回家的意思;
    同时又有归宿的意思, 是讲生命的终极目的.
- 到这里, 可以看出诗人高度统合了现象与象征两个层面的意义.
  - 人寻找归宿, 并不一定是为了回家, 而是追问"生命到哪里去", "人生的意义在哪里",
    "生命到底价值何在".
  - 所以`"不知乘月几人归"`,
    也可以解读成还有多少人在寻找生命的归宿跟真理.
  - 这里就存在着两个张若虚: 一个是回家的张若虚,
    一个是在春天, 江水, 花朵, 月亮, 夜晚前思考生命归宿的张若虚.

---

- 张若虚整首诗, 最后要讲的一个字, 就是这个"情"字.
  - `"愿逐月华流照君"`是一件深情的事, 他觉得充满在宇宙之间的是人的情感,
    人的深情, 人跟所有动物的不同, 就是人具备饱满的深情.
  - 所以他把情放到前面, 变成"摇情", 他把所有视觉上的摇晃,
    与整个宇宙间充满光亮的感觉, 用一个"情"字来替代.
  - 只有这样理解, 这首诗才能讲得通. "落月摇情", 怎么摇?
    其实是诗人自己动情了, 在这个时刻, 他觉得对生命的爱, 对生命的哀伤,
    对生命的喜悦, 都涌上心头, 所以他用了`"落月摇情满江树"`.
  - 逻辑上没办法讲通满江怎么可能都是树, 其实"满江树"是他感觉到树的影子在水面上晃动.
- 诗人写到这里, 已经不管逻辑了, 也不管文法, 他用自己的语言,
  去做了一个高度的总结跟统合.
  我很希望大家能够掌握这九段三十六句所构成的诗的严密结构:
  - 从序曲到第一乐章, 第二乐章, 再到结尾. 迄今为止, 我们很少看到结构如此严谨的诗,
    从用字, 用句到哲学思想与文字上的华美, 都到了完美的境地. 这不是个人才气的表现,
    绝对是时代已经把很多准备工作都做好了, 包括思想.
  - 如果佛学, 老庄的思想没有一定的时间, 没有经过魏晋南北朝的清谈, 不会到达这种境界.
    文字也经过魏晋南北朝文人"四六骈文"的练习, 到最后水到渠成. 内容,
    形式高度完美地结合, 然后, 把这样的 __春江花月夜__ 推出来, 而且毫无造作的痕迹.

- 以我们今天的阅读速度来讲, 与产生 __春江花月夜__ 的时代非常不一样,
  但如果你手抄过这首诗, 与这首诗的情感会有一点点不一样.

---

- 而在情感中, 通常的情形是`"此时相望不相闻"`, 就是没有可能在一起的时候,
  彼此的牵挂是最大的. 牵挂, 思念, 幻想的时候, 情感大概是最饱满的.
  - `"此时相望不相闻"`也是在讲情感的牵连.
- `"愿逐月华流照君"`是非常美的一个句子,
  也是唐代诗人在描写宇宙间的深情与人的深情时出现过的最美的句子.

- 诗其实是很好玩的, 最不容易学到诗的感觉的地方可能是大学课堂,
  讲到最后的时候全部变成嚼蜡烛. 我也很害怕自己在讲诗的时候成了这样.
- 我感觉到诗的时候通常是在庙里, 忽然抽到一个签, 签文是一首诗, 我就在那里发呆.
  因为那首诗跟我的命运有关, 忽然觉得那个句子好沉重, 好多奇怪的感觉.
  - 诗如果不能够跟生命对话, 就真的味同嚼蜡.

### 王维

```
新家孟城口, 古木余衰柳.
来者复为谁? 空悲昔人有.
```

- 我常常觉得, 诗只是在你最哀伤, 最绝望的时刻让你安静下来的东西.
  最近我碰到一些早年间的学生, 他们经历了繁华, 有些忽然就发生了变化,
  比如离婚, 比如事业失败, 比如至亲死亡.
- 一般在四十岁左右的时候, 生命中开始碰到这些事情, 如果能想起这些诗句,
  或许会有面对生命的平静.
  - 诗在生命中发挥的作用, 常常是在某一个时刻变成你的心事.

```
清浅白石滩, 绿蒲向堪把.
家住水东西, 浣纱明月下.
```

```
木末芙蓉花, 山中发红萼.
涧户寂无人, 纷纷开且落.
```

- 王维开创了一个诗派, 用简单的四句诗, 对生命进行提醒:
  我们能不能找回自己为自己"发红萼"的时刻?
- 在孤独的山中, 没有任何人来, 是不是可以茂盛地开了又落, 落了又开?
- 在这里, 儒家思想被老庄或佛教所代替, 讲的是绝对的个人生命的完成,
  这个生命不是为了别人而存在, 非常单纯.

```
独坐幽篁里, 弹琴复长啸.
深林人不知, 明月来相照.
```

```
飒飒秋雨中, 浅浅石溜泻.
跳波自相溅, 白鹭惊复下.
```

```
吹箫凌极浦, 日暮送夫君.
湖上一回首, 山青卷白云.
```

- 人的是非, 人的变迁在大自然里面非常渺小, 在王维看来, 青山与白云才是永恒的.
  王维的诗影响了后来的山水画, 人都画得很小.
  人在自然当中几乎是看不见的, 只是一个非常卑微的存在.

```
轻舟南垞去, 北垞淼难即.
隔浦望人家, 遥遥不相识.
```

```
秋山敛余照, 飞鸟逐前侣.
彩翠时分明, 夕岚无处所.
```

```
空山不见人, 但闻人语响.
返景入深林, 复照青苔上.
```

```
文杏裁为梁, 香茅结为宇.
不知栋里云, 去作人间雨.
```

- 唐朝喜欢华丽的装饰, 可是在王维看来, 那云可能不愿意只做栋梁的装饰.
  栋梁之材是对国家有贡献的人, 王维本来可以做栋梁之材,
  可是他宁愿在自然当中做一片飘去的云, 遇到冷空气, 变成了人间雨.
- 这里有很多王维自己的生命经验. 我们在追求欲望, 物质, 王维刚好在放弃.
  伪装和虚饰, 还不如人间的一片雨水对生命有更好的滋润.
  - 解读王维的时候, 必须进到哲学层面.

```
分行接绮树, 倒影入清漪.
不学御沟上, 春风伤别离.
```

- `"不学御沟上, 春风伤别离."`这又是一个与`"不知栋里云"`有关的意境.
  皇宫河道两旁种植着柳树, 人们在离别时会折柳相赠. 王维不愿像这柳树一样,
  在春天里为离别而伤怀.
  - 御沟上的柳树, 带给他的回忆是哀伤的离别,
  - `"不学御沟上, 春风伤别离"`表达的是对政治, 君王的消极远离.

```
洛阳女儿对门居, 才可颜容十五余.
良人玉勒乘骢马, 侍女金盘鲙鲤鱼.
画阁朱楼尽相望, 红桃绿柳垂檐向.
罗帷送上七香车, 宝扇迎归九华帐.
狂夫富贵在青春, 意气骄奢剧季伦.
自怜碧玉亲教舞, 不惜珊瑚持与人.
春窗曙灭九微火, 九微片片飞花璅.
戏罢曾无理曲时, 妆成只是熏香坐.
城中相识尽繁华, 日夜经过赵李家.
谁怜越女颜如玉, 贫贱江头自浣纱.
```

- 南朝非常善于辞藻堆砌的骈体文, 在唐代初年被继承下来.
  我们刚才讲的王维, 把所有的色彩都拿掉, 只留下很干净的白描;
  可是现在要讲的王维, 却表现出了唐代初年的华丽,
  里面有很多金色, 红色, 有很多明亮的, 感官的内容.

- `"狂夫富贵在青春"`, 唐代是中国历史上少有的一个时代, 对青春有非常直接的歌颂.
  宋以后很少听到歌颂青春, "青春"在我们的文化, 尤其是农业伦理中, 并不是正面的存在.
  与希腊的文化完全不同, 中国文化很少歌颂青春, 而是歌颂中年以后的成熟与沧桑.

- 这个时候我们看到, 王维对这样的华丽又喜欢又批判. 他的批判到最后才出来.
  如果他认为不需要这样华丽, 为什么要写这么多?
  - 玉勒, 金盘, 骢马, 鲤鱼, 在繁华里面不断去享有繁华, 刹那之间又体会到空虚.
- 初唐时, 繁华与空虚会混合, 当然也隐藏在王维身上, 变成王维走向佛教的重要理由.
  - 只有真正看过繁华的人, 才会决绝地舍弃繁华, 走向完全的空净.
    如果他没有看过繁华, 会觉得不甘心, 总想多抓一点名和利.

- 人在没有经历过的时候, 怎么修行, 心还是很难纯粹.
  看尽繁华的人, 在领悟空时, 往往有更大的基础,
  等到去修行的时候, 这些东西都一笑置之.

```
风劲角弓鸣, 将军猎渭城.
草枯鹰眼疾, 雪尽马蹄轻.
忽过新丰市, 还归细柳营.
回看射雕处, 千里暮云平.
```

- 但他的热情像一块烧红的铁, 忽然被放到水里去, 一激之后, 完全冷掉了.
  他经历过两极的状态, 如果没有燃烧, 也就不会有灰烬.
  - 王维心如死灰, 是因为曾经剧烈燃烧.
  - 结论要与过程一起讨论, 不然的话就很难了解.
- 我一直觉得修行是与自己过去生命的对抗. 从繁华到幻灭是一种修行,
  从幻灭到繁华是不是也是一种修行? 不同的生命, 有不同的修行状态.
  - 每当看到一个没有过热情, 没有过燃烧, 只是在庙里枯坐的生命,
    我会感到害怕, 因为我觉得那样是修不出什么的.
  - 这样的生命没有沉淀, 也没有积累.

```
单车欲问边, 属国过居延.
征蓬出汉塞, 归雁入胡天.
大漠孤烟直, 长河落日圆.
萧关逢候骑, 都护在燕然.
```

- 我自己去走丝路的时候, 亲身感受到了这两句诗所描绘的意境.
  夜晚的火车开过新疆的天山, 好大一个月亮照在常年不化的积雪上,
  完全就是唐诗里面的感觉.
  - 这种诗句在江南根本写不出来, 因为没有这种视觉经验.
  - 在大漠中, 空间忽然变得很难掌握, 空间的比例关系与平时完全不同.

```
(其一)

新丰美酒斗十千, 咸阳游侠多少年.
相逢意气为君饮, 系马高楼垂柳边.

(其二)

出身仕汉羽林郎, 初随骠骑战渔阳.
孰知不向边庭苦, 纵死犹闻侠骨香.

(其三)

一身能擘两雕弧, 虏骑千重只似无.
偏坐金鞍调白羽, 纷纷射杀五单于.

(其四)

汉家君臣欢宴终, 高议云台论战功.
天子临轩赐侯印, 将军佩出明光宫.
```

- 唐朝社会在中国历史上的特殊性就在于个人的美被释放出来了.
  即便在今天, 也不是那么容易就可以做到`"相逢意气为君饮"`,
  可是在唐代, 年轻人就有这样一种生命情调.

- 四首诗连起来读, 可以看到少年成长的过程. 这个过程非常有趣,
  侠追求的是浪漫与热情, 这种浪漫与热情引导少年到边疆去完成自己的使命;
  回来后, 他变成贵族.
  - 这大概是唐代所崇拜的生命经验模式.

```
中岁颇好道, 晚家南山陲.
兴来每独往, 胜事空自知.
行到水穷处, 坐看云起时.
偶然值林叟, 谈笑无还期.
```

- 这个巨大的转变, 其实是生命两个不同的阶段.
  - 年轻的时候喜欢朋友, 与朋友分享生命的浪漫.
  - 而"中岁"以后有一种很大的孤独, 自己回来寻找生命的修行.
- 这首诗描写的是王维中年以后的生命经验,
  与 __少年行__ 形成非常明显的对比.

- "穷"是什么? 竹林七贤中的阮籍, 随意找条路就走, 走到没有路了就穷途而哭.
  穷是绝望的意思, 是生命里面最悲哀的时刻; 不止是讲物质的穷, 也是心境上的穷.
  - `"行到水穷处"`, 走到生命的绝望之处, 如果那个时候可以坐下来,
    就会发现有另外一个东西慢慢升起, 即`"坐看云起时"`.
- 他在经历最大的哀伤与绝望之后, 生命忽然出现了转机.
  - 在写 __洛阳女儿行__ 时, 他还有点气愤: 为什么有人在贫贱地浣纱?
  - 而现在, 他大概应该庆幸她就在河边浣纱, 因为她的生命还算自在.
  - 王维觉得, 生命的绝望之处恰好是生命的转机.

---

- `"行到水穷处, 坐看云起时."`
  如果有庙的话, 一定把这两句放在那里做最重要的"签王".
  所有人的生命领悟不过如此, 对于身处绝望当中的朋友, 这两句是最好的礼物.
- 你的绝望刚好是你的转机, 可是我们常常不知道. 认为到了"水穷处"只有大哭.
  我们没有发现水穷之处就是云起之时, 水穷之处是一个空间, 云起之时是一个时间,
  在空间的绝望之处看到时间的转机, 生命还没有停止, 所以还有新的可能, 新的追求.
- 年轻的时候写`"纷纷射杀五单于"`的王维, 这个时候看到了生命的另外一个状态,
  也许他要与原来所有敌对的东西和好, 与他自己认为是绝望的那个部分和好.
  - 这是王维最重要的一个部分.

```
斜阳照墟落, 穷巷牛羊归.
野老念牧童, 倚杖候荆扉.
雉雊麦苗秀, 蚕眠桑叶稀.
田夫荷锄至, 相见语依依.
即此羡闲逸, 怅然吟式微.
```

- 王维把我们带到自然规律当中, 安慰我们人世的幻灭繁华没有那么重要.
  大自然本来就有秩序, 只是我们有时候不安静, 看不到它的规则.
  - 王维用文学把我们带到了自然面前, 让我们知道水原来就是云,
    云遇冷下雨, 又变成了水, 这是一个循环.
  - 我们希望自己是云, 不要是水, 是我们自己在分别.
  - 在佛教的因果中, 水与云根本是同一个因果.
  - 我们要的与我们不要的, 是同一个循环.

```
下马饮君酒, 问君何所之.
君言不得意, 归卧南山陲.
但去莫复问, 白云无尽时.
```

```
空山新雨后, 天气晚来秋.
明月松间照, 清泉石上流.
竹喧归浣女, 莲动下渔舟.
随意春芳歇, 王孙自可留.
```

```
楚塞三湘接, 荆门九派通.
江流天地外, 山色有无中.
郡邑浮前浦, 波澜动远空.
襄阳好风日, 留醉与山翁.
```

- `"江流天地外, 山色有无中"`. 这两句诗在美术史上影响很大, 使中国绘画中出现了"空白".
  - 我们看到一条河流, 一直流, 一直流, 然后远得看不见了, 到了天地之外.
    比天地还要大的空间, 就是"空白". 山是什么颜色呢? 绿色? 蓝色?
  - 怎么画你都觉得它的颜色一直在跟着光线变化, 山色最美的地方在有与没有之间.
  - 在这之前的绘画都是彩色的, 王维的诗却预示了墨色要战胜彩色.
    后人提出"墨分五色", "有无中"与"天地外"开创了一个新的绘画派别.

- 如果不是长时间地看山水, 不会发现王维所描绘的意境. 他真的是一直在看山看水,
  一直看到山与水的本质.
  - 一千多年来的水墨画, 以留白与水墨为主体, 与王维贡献出的这种生命经验有关.

```
晚年惟好静, 万事不关心.
自顾无长策, 空知返旧林.
松风吹解带, 山月照弹琴.
君问穷通理, 渔歌入浦深.
```

### 李白

```
妾发初覆额, 折花门前剧.
郎骑竹马来, 绕床弄青梅.
同居长干里, 两小无嫌猜,
十四为君妇, 羞颜未尝开.
低头向暗壁, 千唤不一回.
十五始展眉, 愿同尘与灰.
常存抱柱信, 岂上望夫台.
十六君远行, 瞿塘滟滪堆.
五月不可触, 猿声天上哀.
门前迟行迹, 一一生绿苔.
苔深不能扫, 落叶秋风早.
八月蝴蝶来, 双飞西园草.
感此伤妾心, 坐愁红颜老.
早晚下三巴, 预将书报家.
相迎不道远, 直至长风沙.
```

- 写 __将进酒__ 的李白豪迈粗犷, 写 __长干行__ 的李白却成为一个哀怨的女子.
  角色越能够多样转换, 社会心理就越健康.
  - 当一个时代封闭, 狭窄的时候, 个人在社会上的定位是不能改换的.

- `"常存抱柱信, 岂上望夫台."`
  这里用了两个典故, "抱柱信"是一个典故, "望夫台"是一个典故.
  我们平常读诗最怕典故, 可是李白的厉害之处,
  就是把典故转化成语言的对称形式, 让我们好像没有感觉到这是一个典故.

- 一种文化里面, 如果私情没有办法被肯定, 其他的大爱就会空洞, 虚假.
  私情本身是社会伦理架构里面非常重要的因素. 所谓的忠与孝都是大爱,
  但是如果我们不去眷顾这样一个女性, 体会她看似微不足道的情感遗憾,
  那个大爱也很可疑, 就会被架空.

```
噫吁嚱! 危乎高哉! 蜀道之难, 难于上青天.
蚕丛及鱼凫, 开国何茫然! 尔来四万八千岁, 不与秦塞通人烟.
西当太白有鸟道, 可以横绝峨眉巅. 地崩山摧壮士死, 然后天梯石栈相钩连.
上有六龙回日之高标, 下有冲波逆折之回川. 黄鹤之飞尚不得过, 猿猱欲度愁攀援.
青泥何盘盘! 百步九折萦岩峦. 扪参历井仰胁息, 以手抚膺坐长叹.
问君西游何时还? 畏途巉岩不可攀. 但见悲鸟号古木, 雄飞雌从绕林间.
又闻子规啼夜月, 愁空山. 蜀道之难, 难于上青天! 使人听此凋朱颜.
连峰去天不盈尺, 枯松倒挂倚绝壁. 飞湍瀑流争喧豗, 砯崖转石万壑雷.
其险也如此, 嗟尔远道之人胡为乎来哉! 剑阁峥嵘而崔嵬, 一夫当关, 万夫莫开.
所守或匪亲, 化为狼与豺. 朝避猛虎, 夕避长蛇. 磨牙吮血, 杀人如麻.
锦城虽云乐, 不如早还家. 蜀道之难, 难于上青天, 侧身西望长咨嗟.
```

- 我们仿佛在跟着李白去爬山, 走在坎坷的山路上. 他的语言和节奏也是坎坷的,
  有很多的阻碍, 让我们读起来不那么顺畅. 因为他要想让我们体会爬山的艰难,
  那个艰难全部转成了语言上丰富的变化.

- `"飞湍瀑流争喧豗, 砯崖转石万壑雷"`. 如果大家去过太鲁阁,
  就可以理解诗里面描述的景象了. 大山把水封住, 水出不来, 立雾溪像一把刀子,
  用水切割山. 我们觉得立雾溪峡谷漂亮, 是因为溪水在切割那山,
  好让自己有一条路走向海洋, 水就变成激流. 水碰到石头会转弯,
  在转弯的过程中不断切割, 就变成`"飞湍瀑流争喧豗, 砯崖转石万壑雷"`.

- 这首诗大概是浪漫诗的极致, 里面描述的心情跌宕起伏, 汹涌澎湃,
  完全可以用贝多芬最好的交响曲来做对比. 我们在读这首诗的时候,
  情绪一直被李白带着走, 越来越高亢, 这种带动又不是煽动性的,
  而是通过视觉与听觉把你直接带到山川中去, 经历一个危险的过程.

```
花间一壶酒, 独酌无相亲.
举杯邀明月, 对影成三人.
月既不解饮, 影徒随我身.
暂伴月将影, 行乐须及春.
我歌月徘徊, 我舞影零乱.
醒时同交欢, 醉后各分散.
永结无情游, 相期邈云汉.
```

- 繁花盛开怎么会孤独呢? 可是李白刚好是身在繁花盛开当中的孤独者,
  这就在美学上形成了非常特殊的感觉. 贵游文学中也有一种自负.
  自负是孤独的, 感觉到青春, 感觉到美, 感觉到华丽, 又不屑于与世俗对话,
  这是贵游文学中常见的情绪表达.
  - 唐朝写王谢家族的诗最有名的是`"旧时王谢堂前燕, 飞入寻常百姓家"`,
    也就是说南朝时富贵的王家与谢家堂下的燕子, 是不到老百姓家去的 -- 连燕子都这么自负;
  - 唐朝人的感伤是王家, 谢家的燕子已经"没落"了, 飞入了寻常百姓家.
  - 其中有贵游文学的传统, 即身处繁华的自负与孤独.

- `"我歌月徘徊"`是比较抒情的感觉, `"我舞影零乱"`是比较悲怆的感觉,
  在这首诗里, 这两句最令我感动.
  - 李白诗中有很多"我", 杜甫诗里很少有"我".
  - 李白是一个把自己的生命作为观察主轴的诗人, 以浪漫来对抗客观.

- 醒醉之间看人生, 醒时看到的人生是人生的一部分,
  醉后看到的人生也是人生的一部分,
  李白在半醒半醉之间, 总结出他对生命的感觉.

- 所有的"情"不过是短暂的, 因为死亡在前面等着. `"相期邈云汉"`,
  我们期待生命终结之后, 也许有一天在渺茫的宇宙中还会有相遇的机会.
  - "邈"是无限, 在无限的时间当中, 还有相遇的缘分吗?
  - 既然如此, 不必去设定虚拟的情, 人生不过是无情之游.
  - 无情之游好像是月亮与影子的关系, 星辰与星辰的关系,
    彼此不过是按照自己的轨迹运转, 如果碰到了,
    是一个意外, 不碰到, 那它本来就是如此.

- 为什么说李白不可学? 因为他的诗出乎天性, 几乎没有规则,
  他写诗, 是生命最自然的状态. 而杜甫是很刻意地锤炼诗句的.
  他们是两种完全不同的典型, 过去教作诗都是教杜诗 -- 杜诗可学.
  那要向李白学什么?
  - 学生命的状态. 学 __蜀道难__ 的方法就是去爬山, 到山里历险,
    在适当的时刻, 真的写诗时, 那个句子就会出来.
  - 如果只是在书房里读 __蜀道难__, 背诵, 解析, 是不可能写出 __蜀道难__ 的.
  - 因为李白的诗不止是一个形式, 而是生命直接爆发出来的力量.

```
金尊清酒斗十千, 玉盘珍羞直万钱.
停杯投箸不能食, 拔剑四顾心茫然.
欲渡黄河冰塞川, 将登太行雪满山.
闲来垂钓碧溪上, 忽复乘舟梦日边.
行路难! 行路难! 多歧路, 今安在?
长风破浪会有时, 直挂云帆济沧海.
```

- 李白的贵游文学不俗气, 因为他有种`"停杯投箸不能食, 拔剑四顾心茫然"`的荒凉感,
  会在拥有人世间最大的繁华时选择出走. 李白会令我们想到悉达多太子,
  拥有最华丽的宫殿与最美丽的妃子, 还是会出走.

- 人活着, 现实的人生如此艰难, 每一步走下去都是歧路,
  每一步走下去都是困顿, 每一步走下去都是挫折.
  - 李白觉得他唯一的快乐是在酒中与梦中, 一回到现实人生,
    就觉得到处都是陷阱. 即使身处繁华, 他心里面也是荒凉.

- 李白的诗里有种豪迈之气, 因为他一直没有放弃对大空间的向往.
  对海洋的向往, 对破浪的向往, 对太阳的向往, 是他生命的主调.
  - 但在现实中, 他时常陷入困顿, 想出走又无处可去,
    似乎走到哪里都是这样困顿的人生, 只好回来寻找心灵的悠闲.

```
凤凰台上凤凰游, 凤去台空江自流.
吴宫花草埋幽径, 晋代衣冠成古丘.
三山半落青天外, 一水中分白鹭洲.
总为浮云能蔽日, 长安不见使人愁.
```

- `"总为浮云能蔽日, 长安不见使人愁."` 最后两句再把意思收回来.
  律诗起头必须很大气, 收尾必须收得有余韵, 中间要讲规则,
  最体现功力的地方, 就在三, 四, 五, 六这四句.

```
君不见, 黄河之水天上来, 奔流到海不复回!
君不见, 高堂明镜悲白发, 朝如青丝暮成雪!
人生得意须尽欢, 莫使金尊空对月.
天生我材必有用, 千金散尽还复来.
烹羊宰牛且为乐, 会须一饮三百杯.
岑夫子, 丹丘生, 将进酒, 杯莫停.
与君歌一曲, 请君为我倾耳听.
钟鼓馔玉不足贵, 但愿长醉不复醒.
古来圣贤皆寂寞, 惟有饮者留其名.
陈王昔时宴平乐, 斗酒十千恣欢谑.
主人何为言少钱, 径须沽取对君酌.
五花马, 千金裘, 呼儿将出换美酒, 与尔同销万古愁.
```

- 李白有享乐主义倾向, 可是他的享乐主义不是放纵, 而是不要荒废生命.
  如果只有一次生命, 如果时间如此短暂, 如果母亲如此快速地衰老,
  至少要让自己的生命能够`"天生我材必有用"`.
  这个生命如此自信, 觉得`"千金散尽还复来"`.

- 李白的缠绵与哀伤非常动人, `"与君歌一曲"`, 好像邓丽君的歌名.
  这首诗里面有很多"君", "我", "尔", 有很明显的对话形式.
  李白似乎有一个关心的对象, 他多次重复"君"字, 这里是`"请君为我倾耳听"`.
  - 生命这么茫然, 这么没有意义, 这么哀伤, 可是此刻有你有我,
    `"请君为我倾耳听"`是多么动人的感觉.
  - 这就是李白的深情, 到最后生命其实就是`"暂伴月将影"`, 在暂时的情感里栖身.

- 民间的传唱歌曲中, 李白的诗句是最多的. 李白写贵游文学, 会否定物质性的华贵.
  李白经历了丰富的物质生活之后, 发现最贵重的可能是生命的自我反省,
  所以`"但愿长醉不复醒"`.
  - 李白常常用醒与醉来对比生命的美好形态.
  - `"醒时同交欢, 醉后各分散."` "醉"变成李白追求的一种生命的本质状态.

```
风吹柳花满店香, 吴姬压酒唤客尝.
金陵子弟来相送, 欲行不行各尽觞.
请君试问东流水, 别意与之谁短长.
```

- 有人评论李白的诗说: `"顺风扬帆, 瞬息千里, 但道得眼前景色, 便疑笔墨间亦有神助."`
  - 这个"神"就是那个时代的气度, 以及李白生命的状态, 使他写诗可以完全没有任何阻碍.

- 可以说李白把道家或老庄的生命哲学做了尽情发挥, 变成一种典范.
  - 杜甫是"诗圣", "圣"与儒家学说有关, 儒家生命的最高理想是成为圣人,
    "圣"需要在人间完成.
  - "仙"是个人化的自我解放, "圣"则是个人在群体生活当中的自我锤炼.

- 杜甫的社会性很强, 李白根本没有社会性, `"举杯邀明月, 对影成三人"`,
  月亮与影子都要解脱社会性. 李白鼓励个人把社会性的部分切断,
  从独与天地精神往来的个人角度思考生命的意义和价值.
  - 儒家对于一个人生命的意义与价值, 一定是放在群体当中考虑, 比如孝与忠,
    是在家族与国家里完成自我, 如果抽离了家族和国家, 个人的意义无从讨论.
  - 李白不讨论这些问题, 他就是一个决然的个人. `"天生我材必有用"`,
    "我"是一个孤立的个体, 而杜甫的每一个动作, 每一个行为都是把自己放到群体当中.

- 他们彼此也知道各自的定位都是对方不能取代的. 如果没有了李白,
  历史上很多亮光就没有了, 李白让人觉得生命还可以发亮. 如果没有了杜甫,
  也会遗憾得不得了, 因为杜甫是照到最角落的地方的光.
  我们从来没有发现有人在那个角落生活, 可是杜甫看到了.

```
长相思, 在长安.
络纬秋啼金井阑, 微霜凄凄簟色寒.
孤灯不明思欲绝, 卷帷望月空长叹.
美人如花隔云端, 上有青冥之高天, 下有渌水之波澜.
天长地远魂飞苦, 梦魂不到关山难.
长相思, 摧心肝.
```

- 我常常觉得李白很惊人, 他有很多句子来自民间, 他不害怕俗, 他敢用最平易的字.
  我觉得李白一定常常在酒楼上混, 在那里他会听到不同阶层人的声音,
  这些人的声音不是从书房来的, 也不是从学院来的.
  - `"长相思, 摧心肝"`, 我们一点也不陌生,
    在很多的流行歌里面会看到这类直接大胆的描述.

```
明月出天山, 苍茫云海间.
长风几万里, 吹度玉门关.
汉下白登道, 胡窥青海湾.
由来征战地, 不见有人还.
戍客望边色, 思归多苦颜.
高楼当此夜, 叹息未应闲.
```

```
青山横北郭, 白水绕东城.
此地一为别, 孤蓬万里征.
浮云游子意, 落日故人情.
挥手自兹去, 萧萧班马鸣.
```

- `"挥手自兹去, 萧萧班马鸣."` 这个也是非常李白式的结尾. 到最后,
  人的感伤眷恋到了极致, 变成无情, 就是`"挥手自兹去"` -- 我挥一挥衣袖吧,
  不愿意带走任何东西, 不做任何的牵挂.
  - 在离开的时候, 转身走的时候, 视觉不见了,
    只是听到朋友的马还在那边凄凉地叫, 有一点怜惜的感觉.

```
吾爱孟夫子, 风流天下闻.
红颜弃轩冕, 白首卧松云.
醉月频中圣, 迷花不事君.
高山安可仰, 徒此揖清芬.
```

- 这首写给孟浩然的诗, 里面有很大部分也是李白写给自己的. 他看到这样的生命状态,
  也去歌颂这样的生命状态. 杜甫这样的诗比较少, 个人生命的完成不是杜甫关注的重点,
  他总是觉得在很多生命还在忍受巨大的饥饿或者说连温饱都没有的状况下, 不忍心去写这种诗.
  - 杜甫不是不懂, 可是他有另外一种关怀. 李白与孟浩然有一种从人世间出走的生命情操.

```
弃我去者, 昨日之日不可留; 乱我心者, 今日之日多烦忧.
长风万里送秋雁, 对此可以酣高楼. 蓬莱文章建安骨, 中间小谢又清发.
俱怀逸兴壮思飞, 欲上青天揽明月. 抽刀断水水更流, 举杯消愁愁更愁.
人生在世不称意, 明朝散发弄扁舟.
```

- 李白的诗似乎充满矛盾, 一般人大概会一路忧伤下来, 可是李白不会,
  他一转, 就豁达了. 他的忧伤与豁达之间似乎没有界限.

```
我本楚狂人, 凤歌笑孔丘.
手持绿玉杖, 朝别黄鹤楼.
五岳寻仙不辞远, 一生好入名山游.
庐山秀出南斗傍, 屏风九叠云锦张, 影落明湖青黛光.
金阙前开二峰长, 银河倒挂三石梁.
香炉瀑布遥相望, 回崖沓嶂凌苍苍.
翠影红霞映朝日, 鸟飞不到吴天长.
登高壮观天地间, 大江茫茫去不还.
黄云万里动风色, 白波九道流雪山.
好为庐山谣, 兴因庐山发.
闲窥石镜清我心, 谢公行处苍苔没.
早服还丹无世情, 琴心三叠道初成.
遥见仙人彩云里, 手把芙蓉朝玉京.
先期汗漫九垓上, 愿接卢敖游太清.
```

```
(其一)

云想衣裳花想容, 春风拂槛露华浓.
若非群玉山头见, 会向瑶台月下逢.

(其二)

一枝红艳露凝香, 云雨巫山枉断肠.
借问汉宫谁得似, 可怜飞燕倚新妆.

(其三)

名花倾国两相欢, 常得君王带笑看.
解释春风无限恨, 沉香亭北倚阑杆.
```

- 李白的豪放与豁达背后一直有种感伤, 这个感伤是时间本身的感伤.
  再美的事物, 再伟大的功业, 在李白的生命当中也是当春风吹过,
  时间会把一切美好冲淡. 这是非常美的贵游文学.

```
我来竟何事? 高卧沙丘城.
城边有古树, 日夕连秋声.
鲁酒不可醉, 齐歌空复情.
思君若汶水, 浩荡寄南征.
```

### 杜甫

```
(其一)

死别已吞声, 生别常恻恻.
江南瘴疠地, 逐客无消息.
故人入我梦, 明我长相忆.
恐非平生魂, 路远不可测.
魂来枫林青, 魂返关塞黑.
君今在罗网, 何以有羽翼?
落月满屋梁, 犹疑照颜色.
水深波浪阔, 无使蛟龙得.

(其二)

浮云终日行, 游子久不至.
三夜频梦君, 情亲见君意.
告归常局促, 苦道来不易.
江湖多风波, 舟楫恐失坠.
出门搔白首, 若负平生志.
冠盖满京华, 斯人独憔悴.
孰云网恢恢, 将老身反累.
千秋万岁名, 寂寞身后事.
```

- 杜甫与李白个性极其不同, 杜甫的每一首诗都有非常具体的事件,
  我觉得杜甫可以说是我们的诗人当中最具备纪录片导演个性的,
  他的诗有纪录片的功能, 是见证历史的资料.
  - 纪录片最大的特征是不能加入自己太多的主观感受,
    这就是为什么李白的诗里面有很多"我",
    杜甫诗里几乎很少出现"我" -- 他总是用绝对客观的角度.

```
车辚辚, 马萧萧, 行人弓箭各在腰.
耶娘妻子走相送, 尘埃不见咸阳桥.
牵衣顿足拦道哭, 哭声直上干云霄.
道旁过者问行人, 行人但云点行频.
或从十五北防河, 便至四十西营田.
去时里正与裹头, 归来头白还戍边.
边庭流血成海水, 武皇开边意未已.
君不闻, 汉家山东二百州, 千村万落生荆杞.
纵有健妇把锄犁, 禾生陇亩无东西.
况复秦兵耐苦战, 被驱不异犬与鸡.
长者虽有问, 役夫敢申恨?
且如今年冬, 未休关西卒.
县官急索租, 租税从何出?
信知生男恶, 反是生女好.
生女犹得嫁比邻, 生男埋没随百草.
君不见, 青海头, 古来白骨无人收.
新鬼烦冤旧鬼哭, 天阴雨湿声啾啾.
```

- 唐代历史上我们看到的都是帝王的功业, 帝王的功业背后却是人仰马翻,
  妻离子散的悲剧. 杜甫记下了这些悲剧, 让文学成为另外一种历史.
  他让我们看到帝王将相的功业以外, 人民被战争所牵连的悲哀与痛苦.

- 要了解杜甫, 就要了解历史, 了解社会, 要从个人对文艺文学的爱好,
  转到对社会的关怀, 这不是年轻的时候可以懂的. 当年喜欢文学的朋友们,
  曾经在酒楼喝了酒一起唱李白诗, 今天多多少少都会喜欢杜甫,
  因为经历了生命中别的内容, 会开始觉得杜甫伟大,
  也开始知道一个诗人要写出这样的句子, 要有更大的关怀.

- 在体会到一个社会中个人可以被政策体制压迫到那种状况的时候,
  我才开始发现杜甫的重要性. 他可以把时代的悲剧全部阐述出来.

```
暮投石壕村, 有吏夜捉人.
老翁逾墙走, 老妇出门看.
吏呼一何怒! 妇啼一何苦.
听妇前致词, 三男邺城戍.
一男附书至, 二男新战死.
存者且偷生, 死者长已矣!
室中更无人, 惟有乳下孙.
有孙母未去, 出入无完裙.
老妪力虽衰, 请从吏夜归.
急应河阳役, 犹得备晨炊.
夜久语声绝, 如闻泣幽咽.
天明登前途, 独与老翁别.
```

- 在文学上这是非常难的技巧, 一般人会忍不住要自己跳出来说话,
  说你看这些官吏多坏, 或者骂他们. 可是杜甫却让老太太说话,
  像一个录音机录下来.
  - `"三男邺城戍"`, 我有三个男孩, 都在山西省的邺城防守边疆.
- 老太太的叙述完全是平铺直叙地交代事实, 是一个母亲讲三个男孩被抓走当兵的事实.
  然后下面是非常惨的悲剧, `"一男附书至"`, 最近有一个男孩写信了,
  `"二男新战死"`, 说两个男孩已经在战争里死掉了.
  - 这是母亲在讲孩子的死亡.
- 读到这个地方会有很大的不忍, 杜甫什么也没有讲, 只是让母亲来讲. 我最惊讶的是,
  `"二男新战死"`之后, 老太太安慰自己说: `"存者且偷生, 死者长已矣!"`
  活着就好好活着吧, 死掉的已经死了, 没有办法追究了.
  - 她在安慰自己, 因为她没有别的办法, 这个时候我们感觉到了强烈的悲剧性.
- 这个人应该要呐喊, 要控诉, 可是没有, 只是安慰自己说死了就死了, 活着的好好活,
  大概只能祈祷剩下那个不要死吧. 第一次读的时候非常震动, 会有很大的感动,
  如果慢慢去分析, 会发现杜甫写诗的手法非常惊人, 他的诗里面有一种力量.
  - 一个好的艺术家, 在最悲惨的事件上是不准自己流泪的. 当你流泪的时候,
    会看不清楚事实, 而看不清楚事实, 作品就不会感动人.

---

- 杜甫的"三吏", "三别", 大概是中国历史上最沉重的悲剧, __石壕吏__
  我觉得是里面最令人痛的一首诗. 看到这首诗,
  才可以看到大部分的老百姓在历史当中过着什么样的日子.
- 杜甫用这种方法, 带出一个民间妇人的语言. `"夜久语声绝, 惟闻泣幽咽."`
  夜已经很深了, 讲话的声音慢慢没有了, 低声哭泣的声音慢慢远去.
- 杜甫觉得对于一个历史的悲剧, 已经没有话可以讲. `"天明登前途, 独与老翁别."`
  天亮了, 要继续赶路, 老太太已经走了, 告别的时候只有老翁.
- 在杜甫诗里面, 如果要我选, 我通常第一首就会选 __石壕吏__.
  有这样一首诗在那边, 真应该向杜甫好好鞠一个躬,
  历史上太少人去做这样的记录, 太少人有这样一种人道主义的关怀.

---

- 杜甫的诗散发出来的力量非常强, 杜甫可以和李白分庭抗礼,
  正是因为他的诗中有这种特别的力量. 他的力量非常沧桑,
  也非常苍凉, 会让你看到一个诗人在介入现实之后的巨大痛苦.

```
八月秋高风怒号, 卷我屋上三重茅.
茅飞渡江洒江郊, 高者挂罥长林梢, 下者飘转沉塘坳.
南村群童欺我老无力, 忍能对面为盗贼.
公然抱茅入竹去, 唇焦口燥呼不得, 归来倚杖自叹息.
俄顷风定云墨色, 秋天漠漠向昏黑.
布衾多年冷似铁, 娇儿恶卧踏里裂.
床头屋漏无干处, 雨脚如麻未断绝.
自经丧乱少睡眠, 长夜沾湿何由彻!
安得广厦千万间, 大庇天下寒士俱欢颜!
风雨不动安如山. 呜呼!
何时眼前突兀见此屋, 吾庐独破受冻死亦足!
```

- 他从自己的悲哀, 自己的卑微与自己的穷困中走了出来, 忽然了解到,
  刚才那些小孩抢我的茅草, 不是跟我一样, 都是因为贫穷吗?
  好像没有人错, 他贫穷, 小孩子也贫穷, 如果不贫穷, 怎么会去抢人家的茅草?
  - 这个时候他的视野开始扩大, 最后想到的是人能不能有一个富有的环境,
    谁能够使老百姓过上比较安乐的日子, 房子能不能多一点, 让大家都有屋子住.
- `"风雨不动安如山"`, 有什么样的风雨来, 都不会摧毁这样的房子.
  `"呜呼! 何时眼前突兀见此屋"`, 你觉得杜甫似乎已经有一点疯了,
  这个人在贫穷当中, 好像忽然出现幻象, 眼前真的有了很多房子,
  穷人都可以进去住, 好像一下变成住在理想国里面一样.

- `"呜呼! 何时眼前突兀见此屋"`中的"呜呼"是非常绝望的叫声.
  `"吾庐独破受冻死亦足!"`
  那时候我的房子是破烂的, 只能挨饿受冻死掉, 都觉得没有关系.
  - 这个时候我们明白了杜甫为什么被称为"圣".
  - 杜甫的确有一个大的觉悟, 他忽然觉得他骂的那些小孩子其实是无辜的.
    他希望如果这是因为贫穷, 那么就只让他自己贫穷吧, 不要这么多人贫穷.

```
风急天高猿啸哀, 渚清沙白鸟飞回.
无边落木萧萧下, 不尽长江滚滚来.
万里悲秋常作客, 百年多病独登台.
艰难苦恨繁霜鬓, 潦倒新停浊酒杯.
```

```
昔有佳人公孙氏, 一舞剑器动四方.
观者如山色沮丧, 天地为之久低昂.
霍如羿射九日落, 矫如群帝骖龙翔.
来如雷霆收震怒, 罢如江海凝清光.
绛唇珠袖两寂寞, 晚有弟子传芬芳.
临颍美人在白帝, 妙舞此曲神扬扬.
与余问答既有以, 感时抚事增惋伤.
先帝侍女八千人, 公孙剑器初第一.
五十年间似反掌, 风尘澒洞昏王室.
梨园弟子散如烟, 女乐馀姿映寒日.
金粟堆前木已拱, 瞿唐石城草萧瑟.
玳筵急管曲复终, 乐极哀来月东出.
老夫不知其所往, 足茧荒山转愁疾.
```

- 杜甫的愁与李白的愁很不一样, 李白的愁是生命本质上的哀伤,
  杜甫的愁是因为他感觉到繁华盛世已经过去了, 民间的疾苦时时在扰动他的心灵.
  我们自己也可以感受到两种不同的忧愁:
  - 有一种是觉得心情烦乱, 生命有一种茫然;
  - 有一种忧愁可能是到了医院, 看到有人生病, 或者看到路边有人穷困.
- 对于李白来说, 忧愁是在人生现象里不可解的一种本质的忧愁;
  对于杜甫来讲, 是在人世间跑来跑去, 怎么奔忙都觉得无法解决的忧愁.
  - "仙"的愁与"圣"的愁是两种不同的愁绪.

```
国破山河在, 城春草木深.
感时花溅泪, 恨别鸟惊心.
烽火连三月, 家书抵万金.
白头搔更短, 浑欲不胜簪.
```

```
去年潼关破, 妻子隔绝久;
今夏草木长, 脱身得西走.
麻鞋见天子, 衣袖露两肘;
朝廷愍生还, 亲故伤老丑.
涕泪受拾遗, 流离主恩厚;
柴门虽得去, 未忍即开口.
寄书问三川, 不知家在否.
比闻同罹祸, 杀戮到鸡狗.
山中漏茅屋, 谁复依户牖?
摧颓苍松根, 地冷骨未朽.
几人全性命? 尽室岂相偶?
嵚岑猛虎场, 郁结回我首.
自寄一封书, 今已十月后.
反畏消息来, 寸心亦何有?
汉运初中兴, 生平老耽酒.
沉思欢会处, 恐作穷独叟.
```

```
剑外忽传收蓟北, 初闻涕泪满衣裳.
却看妻子愁何在, 漫卷诗书喜欲狂.
白日放歌须纵酒, 青春作伴好还乡.
即从巴峡穿巫峡, 便下襄阳向洛阳.
```

```
(其一)

有客有客字子美, 白头乱发垂过耳.
岁拾橡栗随狙公, 天寒日暮山谷里.
中原无书归不得, 手脚冻皴皮肉死.
呜呼一歌兮歌已哀, 悲风为我从天来!

(其二)

长镵长镵白木柄, 我生托子以为命!
黄独无苗山雪盛, 短衣数挽不掩胫.
此时与子空归来, 男呻女吟四壁静.
呜呼二歌兮歌始放, 闾里为我色惆怅!

(其三)

有弟有弟在远方, 三人各瘦何人强?
生别展转不相见, 胡尘暗天道路长.
东飞驾鹅后鹙鸧, 安得送我置汝旁!
呜呼三歌兮歌三发, 汝归何处收兄骨?

(其四)

有妹有妹在钟离, 良人早殁诸孤痴.
长淮浪高蛟龙怒, 十年不见来何时?
扁舟欲往箭满眼, 杳杳南国多旌旗.
呜呼四歌兮歌四奏, 林猿为我啼清昼!

(其五)

四山多风溪水急, 寒雨飒飒枯树湿.
黄蒿古城云不开, 白狐跳梁黄狐立.
我生何为在穷谷? 中夜起坐万感集!
呜呼五歌兮歌正长, 魂招不来归故乡!

(其六)

南有龙兮在山湫, 古木巄嵷枝相樛.
木叶黄落龙正蛰, 蝮蛇东来水上游.
我行怪此安敢出, 拨剑欲斩且复休.
呜呼六歌兮歌思迟, 溪壑为我回春姿!

(其七)

男儿生不成名身己老, 三年饥走荒山道.
长安卿相多少年, 富贵应须致身早.
山中儒生旧相识, 但话宿昔伤怀抱.
呜呼七歌兮悄终曲, 仰视皇天白日速!
```

### 白居易

```
卖炭翁, 伐薪烧炭南山中.
满面尘灰烟火色, 两鬓苍苍十指黑.
卖炭得钱何所营? 身上衣裳口中食.
可怜身上衣正单, 心忧炭贱愿天寒.
夜来城外一尺雪, 晓驾炭车辗冰辙.
牛困人饥日已高, 市南门外泥中歇.
翩翩两骑来是谁? 黄衣使者白衫儿.
手把文书口称敕, 回车叱牛牵向北.
一车炭, 千余斤, 宫使驱将惜不得.
半匹红绡一丈绫, 系向牛头充炭直.
```

- 可是今天却常常会觉得这些中国历史上重要的文学家,
  他们对自己的反省与批判非常动人. 知识分子最可贵的一部分,
  是对自己道德不完美的检查.
  - 有时候我们常常会误认为道德是拿来批判别人的, 其实不是.
  - 韩愈, 柳宗元, 白居易, 都对自我进行了反省与批判.

```
贾谊哭时事, 阮籍哭路岐.
唐生今亦哭, 异代同其悲.
唐生者何人? 五十寒且饥.
不悲口无食, 不悲身无衣.
所悲忠与义, 悲甚则哭之.
太尉击贼日, 尚书叱盗时.
大夫死凶寇, 谏议谪蛮夷.
每见如此事, 声发涕辄随.
往往闻其风, 俗士犹或非.
怜君头半白, 其志竟不衰.
我亦君之徒, 郁郁何所为?
不能发声哭, 转作乐府诗.
篇篇无空文, 句句必尽规.
功高虞人箴, 痛甚骚人辞.
非求宫律高, 不务文字奇.
惟歌生民病, 愿得天子知.
未得天子知, 甘受时人嗤.
药良气味苦, 瑟淡音声稀.
不惧权豪怒, 亦任亲朋讥.
人竟无奈何, 呼作狂男儿.
每逢群动息, 或遇云雾披.
但自高声歌, 庶几天听卑.
歌哭虽异名, 所感则同归.
寄君三十章, 与君为哭词.
```

```
汉皇重色思倾国, 御宇多年求不得. 杨家有女初长成, 养在深闺人未识.
天生丽质难自弃, 一朝选在君王侧. 回眸一笑百媚生, 六宫粉黛无颜色.
春寒赐浴华清池, 温泉水滑洗凝脂. 侍儿扶起娇无力, 始是新承恩泽时.
云鬓花颜金步摇, 芙蓉帐暖度春宵. 春宵苦短日高起, 从此君王不早朝.
承欢侍宴无闲暇, 春从春游夜专夜. 后宫佳丽三千人, 三千宠爱在一身.
金屋妆成娇侍夜, 玉楼宴罢醉和春. 姊妹弟兄皆列土, 可怜光彩生门户.
遂令天下父母心, 不重生男重生女. 骊宫高处入青云, 仙乐风飘处处闻.
缓歌慢舞凝丝竹, 尽日君王看不足. 渔阳鼙鼓动地来, 惊破霓裳羽衣曲.
九重城阙烟尘生, 千乘万骑西南行. 翠华摇摇行复止, 西出都门百余里.
六军不发无奈何, 宛转蛾眉马前死. 花钿委地无人收, 翠翘金雀玉搔头.
君王掩面救不得, 回看血泪相和流. 黄埃散漫风萧索, 云栈萦纡登剑阁.
峨嵋山下少人行, 旌旗无光日色薄. 蜀江水碧蜀山青, 圣主朝朝暮暮情.
行宫见月伤心色, 夜雨闻铃肠断声. 天旋地转回龙驭, 到此踌躇不能去.
马嵬坡下泥土中, 不见玉颜空死处. 君臣相顾尽沾衣, 东望都门信马归.
归来池苑皆依旧, 太液芙蓉未央柳. 芙蓉如面柳如眉, 对此如何不泪垂.
春风桃李花开日, 秋雨梧桐叶落时. 西宫南内多秋草, 落叶满阶红不扫.
梨园弟子白发新, 椒房阿监青娥老. 夕殿萤飞思悄然, 孤灯挑尽未成眠.
迟迟钟鼓初长夜, 耿耿星河欲曙天. 鸳鸯瓦冷霜华重, 翡翠衾寒谁与共.
悠悠生死别经年, 魂魄不曾来入梦. 临邛道士鸿都客, 能以精诚致魂魄.
为感君王辗转思, 遂教方士殷勤觅. 排空驭气奔如电, 升天入地求之遍.
上穷碧落下黄泉, 两处茫茫皆不见. 忽闻海上有仙山, 山在虚无缥渺间.
楼阁玲珑五云起, 其中绰约多仙子. 中有一人字太真, 雪肤花貌参差是.
金阙西厢叩玉扃, 转教小玉报双成. 闻道汉家天子使, 九华帐里梦魂惊.
揽衣推枕起徘徊, 珠箔银屏迤逦开. 云鬓半偏新睡觉, 花冠不整下堂来.
风吹仙袂飘飘举, 犹似霓裳羽衣舞. 玉容寂寞泪阑干, 梨花一枝春带雨.
含情凝睇谢君王, 一别音容两渺茫. 昭阳殿里恩爱绝, 蓬莱宫中日月长.
回头下望人寰处, 不见长安见尘雾. 惟将旧物表深情, 钿合金钗寄将去.
钗留一股合一扇, 钗擘黄金合分钿. 但教心似金钿坚, 天上人间会相见.
临别殷勤重寄词, 词中有誓两心知. 七月七日长生殿, 夜半无人私语时.
在天愿作比翼鸟, 在地愿为连理枝. 天长地久有时尽, 此恨绵绵无绝期.
```

```
元和十年, 予左迁九江郡司马.
明年秋, 送客湓浦口, 闻舟中夜弹琵琶者, 听其音, 铮铮然有京都声.
问其人, 本长安倡女, 尝学琵琶于穆, 曹二善才, 年长色衰, 委身为贾人妇.
遂命酒, 使快弹数曲. 曲罢, 悯默.
自叙少小时欢乐事, 今漂沦憔悴, 转徙于江湖间.
予出官二年, 恬然自安, 感斯人言, 是夕始觉有迁谪意.
因为长句, 歌以赠之. 凡六百一十六言, 命曰 琵琶行.

浔阳江头夜送客, 枫叶荻花秋瑟瑟. 主人下马客在船, 举酒欲饮无管弦.
醉不成欢惨将别, 别时茫茫江浸月. 忽闻水上琵琶声, 主人忘归客不发.
寻声暗问弹者谁? 琵琶声停欲语迟. 移船相近邀相见, 添酒回灯重开宴.
千呼万唤始出来, 犹抱琵琶半遮面. 转轴拨弦三两声, 未成曲调先有情.
弦弦掩抑声声思, 似诉平生不得志. 低眉信手续续弹, 说尽心中无限事.
轻拢慢捻抹复挑, 初为霓裳后六幺. 大弦嘈嘈如急雨, 小弦切切如私语.
嘈嘈切切错杂弹, 大珠小珠落玉盘. 间关莺语花底滑, 幽咽泉流冰下难.
冰泉冷涩弦凝绝, 凝绝不通声渐歇. 别有幽愁暗恨生, 此时无声胜有声.
银瓶乍破水浆迸, 铁骑突出刀枪鸣. 曲终收拨当心画, 四弦一声如裂帛.
东船西舫悄无言, 惟见江心秋月白. 沉吟放拨插弦中, 整顿衣裳起敛容.
自言本是京城女, 家在虾蟆陵下住. 十三学得琵琶成, 名属教坊第一部.
曲罢曾教善才服, 妆成每被秋娘妒. 五陵少年争缠头, 一曲红绡不知数.
钿头银篦击节碎, 血色罗裙翻酒污. 今年欢笑复明年, 秋月春风等闲度.
弟走从军阿姨死, 暮去朝来颜色故. 门前冷落车马稀, 老大嫁作商人妇.
商人重利轻别离, 前月浮梁买茶去. 去来江口守空船, 绕船月明江水寒.
夜深忽梦少年事, 梦啼妆泪红阑干. 我闻琵琶已叹息, 又闻此语重唧唧.
同是天涯沦落人, 相逢何必曾相识. 我从去岁辞帝京, 谪居卧病浔阳城.
浔阳地僻无音乐, 终岁不闻丝竹声. 住近湓城地低湿, 黄芦苦竹绕宅生.
其间旦暮闻何物? 杜鹃啼血猿哀鸣. 春江花朝秋月夜, 往往取酒还独倾.
岂无山歌与村笛? 呕哑嘲哳难为听. 今夜闻君琵琶语, 如听仙乐耳暂明.
莫辞更坐弹一曲, 为君翻作琵琶行. 感我此言良久立, 却坐促弦弦转急.
凄凄不似向前声, 满座重闻皆掩泣. 座中泣下谁最多? 江州司马青衫湿.
```

### 李商隐

```
向晚意不适, 驱车登古原.
夕阳无限好, 只是近黄昏.
```

- 当我们觉得生命非常美好时, 恐怕很难意识到生命有一天会结束.
  如果意识到生命会结束, 不管离这个结束还有多远, 就会开始有幻灭感.
  因为觉得当下所拥有的一切都是不确定的, 在这个不确定的状态中,
  会特别想要追求刹那之间的感官快乐与美感.

- 从这首诗里面, 可以很明显地感觉到李商隐的美学组合了两种完全不相干的气质:
  - 极度华丽, 又极度幻灭.
  - 通常被认为相反的美学特征, 被李商隐融会在了一起.

- 我相信我们每一个人都有过这样的生命经验, 在某一个白日将尽的时刻,
  感觉到某一种说不出来的闷. 它绝对不是大痛苦, 只是一种很闷的感觉,
  如果到西子湾去看满天的晚霞, 你看到的绝对不止是夕阳,
  更能看到自己内在生命的某种状态.

```
荷叶生时春恨生, 荷叶枯时秋恨成.
深知身在情长在, 怅望江头江水声.
```

```
相见时难别亦难, 东风无力百花残.
春蚕到死丝方尽, 蜡炬成灰泪始干.
晓镜但愁云鬓改, 夜吟应觉月光寒.
蓬山此去无多路, 青鸟殷勤为探看.
```

- 传统的文学史, 在面对李商隐的时候似乎一直在找大帽子,
  不能接受一首诗没有大帽子, 所以觉得他的诗不可解.
  - 如果把大帽子拿掉, 怎么会不可解?
  - `"相见时难别亦难"`, 不是清楚得不得了吗?
  - 就是见面很难, 不见面也很难. 就这么简单.
  - 私情的对象是谁, 有那么重要吗?
- 我们有爱的渴求时, 对象有时候是甲, 也有可能变成乙.
  当是甲的时候, 似乎只能是甲, 可是常常发现没有那个甲, 一定会有乙出现,
  李商隐最了不起的一点就是把这些不确定的人物都拿掉了.

- 你会发现李商隐写的春蚕到死与蜡炬成灰,
  更大的意义是说生命必须要为自己找到一个值得付出的对象.
  有这样一个对象, 生命怎么去受苦, 都是快乐.
  - 在这种付出中, 生命会饱满, 获得意义,
    如果找不到这个对象, 反而是悲哀的.

```
寻芳不觉醉流霞, 倚树沉眠日已斜.
客散酒醒深夜后, 更持红烛赏残花.
```

- 象征主义常常被形容成万花筒, 里面的东西其实不多,
  可是转动的时候, 产生的交错经验非常多. 象征主义的美术,
  文学都是类似于万花筒的经验, 我们用四个字来形容叫作`"错综迷离"`,
  不是直接可以注解的, 必须用比喻的方法.

```
深居俯夹城, 春去夏犹清.
天意怜幽草, 人间重晚晴.
并添高阁迥, 微注小窗明.
越鸟巢干后, 归飞体更轻.
```

- 生命没有哪一个阶段一定是最好, 生命的每一个阶段都可能是好,
  早晴和晚晴是两种不同的意义. 这里面就产生了文学艺术创作非常重要的一个意义,
  就是可以为人生的每一个状态提出一个价值. 在悲悯自己, 哀怜自己,
  在自己不是属于大时代的难过与哀伤当中, 忽然读到个句子,
  也会转成`"人间重晚晴"`, 有一种开心.
- 从这个角度去解读, 大家可能会同意, 也许李商隐不见得是把我们带引到哀伤,
  没落, 颓废境界的诗人, 与之相反, 因为他的时代充满了哀伤, 没落, 颓废,
  他希望在哀伤, 没落, 颓废中找到一点生命存在的理由,
  所以`"人间重晚晴"`这个句子才会有特别的意义.

- 最重要的问题是怎么回来做自己, 只有生命中有了那个貌似不重要的小小时刻,
  生命才能自我实现和完成. 我想李商隐有一点参禅的经验,
  当他发现自己对于很多华丽的东西没有那么大的野心了,
  更大的企图心是回来做自己. 回来做自己是更大的野心,
  在所有东西都追求完了之后, 这个野心是更难完成的一部分.

```
锦瑟无端五十弦, 一弦一柱思华年.
庄生晓梦迷蝴蝶, 望帝春心托杜鹃.
沧海月明珠有泪, 蓝田日暖玉生烟.
此情可待成追忆, 只是当时已惘然.
```

- 我一再强调, 象征诗派的意象运用可能性非常大,
  我会越来越跳开逐字逐句的解释方法, 希望大家能够用看万花筒的方法,
  把李商隐的句子打碎, 重新组合, 这里面会产生很多迷离的经验.
  - 之所以这么说, 是因为本来就不是一个清楚的逻辑,
    如果非要整理出清楚的逻辑, 对诗本身会是很大的伤害.

- 汉诗不仅是叙事, 更是一种迷离错综的经验,
  竟然可以把生命里面的某一个复杂得讲不清楚的东西,
  用这七个字写出来, 这就是诗歌中意象的重要性.
  - 诗的意象, 是生命经验的再现.

- 真正的华丽是在回忆当中才发生的, 真正身处华丽当中的人反而没有感觉.
  我相信我们每一个人回忆自己的生命, 都有这种感觉, 想想自己的初恋,
  想想自己某一次很重要的生命经验, 大概都是`"此情可待成追忆"`.
  - 甚至你从来没有跟别人讲过, 可是在你的生命里面,
    这是会反反复复被怀念, 回忆的一个部分.
    可是那个时候, 已经过去了.

```
残阳西入崦, 茅屋访孤僧.
落叶人何在, 寒云路几层.
独敲初夜磬, 闲倚一枝藤.
世界微尘里, 吾宁爱与憎.
```

```
君问归期未有期, 巴山夜雨涨秋池.
何当共剪西窗烛, 却话巴山夜雨时.
```

```
云母屏风烛影深, 长河渐落晓星沉.
嫦娥应悔偷灵药, 碧海青天夜夜心.
```

```
流莺漂荡复参差, 度陌临流不自持.
巧啭岂能无本意? 良辰未必有佳期.
风朝露夜阴晴里, 万户千门开闭时.
曾苦伤春不忍听, 凤城何处有花枝.
```

```
怅卧新春白袷衣, 白门寥落意多违.
红楼隔雨相望冷, 珠箔飘灯独自归.
远路应悲春晼晚, 残霄犹得梦依稀.
玉珰缄札何由达, 万里云罗一雁飞.
```

- 我觉得李商隐的诗最有趣, 是一个可以用无数事物去替换的数学上的`"X"`,
  完全是不可知的状态. 李商隐的可能性实在太大了,
  你会发现他其实在讲自己生命里面的神秘经验,
  对美的眷恋的神秘经验, 情深至此的经验, 对象其实是模糊的.

```
昨夜星辰昨夜风, 画楼西畔桂堂东.
身无彩凤双飞翼, 心有灵犀一点通.
隔座送钩春酒暖, 分曹射覆蜡灯红.
嗟余听鼓应官去, 走马兰台类转蓬.
```

```
永巷长年怨罗绮, 离情终日思风波.
湘江竹上痕无限, 岘首碑前洒几多.
人去紫台秋入塞, 兵残楚帐夜闻歌.
朝来灞水桥边问, 未抵青袍送玉珂.
```

```
春日在天涯, 天涯日又斜.
莺啼如有泪, 为湿最高花.
```

```
来是空言去绝踪, 月斜楼上五更钟.
梦为远别啼难唤, 书被催成墨未浓.
蜡照半笼金翡翠, 麝熏微度绣芙蓉.
刘郎已恨蓬山远, 更隔蓬山一万重.
```

```
白石岩扉碧藓滋, 上清沦谪得归迟.
一春梦雨常飘瓦, 尽日灵风不满旗.
萼绿华来无定所, 杜兰香去未移时.
玉郎会此通仙籍, 忆向天阶问紫芝.
```

------------------

- [蒋勋说宋词 (修订版)](https://book.douban.com/subject/26022052/)

- 讲到词, 首先要提到五代词, 因为五代词是唐诗过渡到宋词的一个关键桥梁,
  而其中的关键人物是李后主, 即李煜. 李后主的作品其实不多,
  可是不多的作品却在文学史上产生了那么大的影响力.

- 我们今天谈词这一文学形式的出现与成熟, 要重视两个方面.
  - 一是民间创作. 词最初不是文人创作, 而是民间歌曲. 它产生于民间,
    产生于大家认为要有一点"低俗"的民间文化.
  - 后来当文人开始用这一形式去书写自己的心情, 感受时,
    它才变成民间创作与文人创作合作产生的文学成就.
  - 二是李后主, 他把民间创作与文人创作成功地连接在一起.

- 在李煜早期的作品当中, 我们读不到感伤,
  他也从来没有想到有一天感伤会降临到自己身上.
  富贵的第三代, 也可以说是最幸运的人.
  祖父打天下, 父亲守成, 孙子干什么呢?
  - 当然就是挥霍. 所谓"富不过三代", 大概就是讲这个意思.
  - 偏安江南的朝代或国家到了第三代, 常常出现类似的情况:
    华贵, 富丽, 又有点糜烂的生活.

- 王国维对他有两个评价:
  - 一是称他是将伶工之词变为士大夫之词的革命者;
  - 二是说他亡国之后的词作"真所谓以血书者也",
    其人如基督, 释迦牟尼般担负了"人类罪恶之意".
- 他是一个亡国之君, 觉得所有的罪都由自己来承担吧, 不要让百姓受苦,
  所以他后期的文学忽然跳到很高的境界.
  - 这样一个角色, 也许是非常值得我们去理解的.

---

- __破阵子__ 是李后主一首重要的作品, 可以看到他在亡国之际生命形态的转折,
  好像忽然感觉到自己过去的富贵繁华都幻灭了,
  这首词大概是李后主对自己一生最诚实的回忆.

```
四十年来家国, 三千里地山河.
凤阁龙楼连霄汉, 玉树琼枝作烟萝, 几曾识干戈?
一旦归为臣虏, 沈腰潘鬓消磨.
最是仓皇辞庙日, 教坊犹奏别离歌, 垂泪对宫娥.
```

- 王国维却认为他作为诗人的真性情就是在这个时候表现出来的, 他觉得要走了,
  最难过的就是要与这些一同长大的女孩子们告别.
  - 所谓的忠, 所谓的孝, 对他来讲非常空洞, 他没有感觉.
  - 这里颠覆了传统的"文以载道", 绝对是真性情.
- 李后主没有感知到家国, 他只是感知到宫娥, 因为他是跟这些女孩子一起长大的;
  他没有其他机会去感知家国到底是什么, 家国对他来讲, 只是供他挥霍的富贵.

---

- 一篇文学作品被选入课本, 常常不是从文学的角度出发, 而是从政治的角度出发.
  在这种状况里, 一代又一代人会被牺牲掉, 无法看到真正的文化创造力.

- 李后主亡国之后, 被软禁在宋朝的宫廷之中, 唱着这些歌, 忽然对生命有了不同理解.
  - 比如这首 __相见欢__:

```
林花谢了春红, 太匆匆. 无奈朝来寒雨晚来风.
胭脂泪, 留人醉, 几时重? 自是人生长恨水长东.
```

```
春花秋月何时了, 往事知多少?
小楼昨夜又东风, 故国不堪回首月明中.
雕阑玉砌应犹在, 只是朱颜改.
问君能有几多愁, 恰似一江春水向东流.
```

```
无言独上西楼, 月如钩. 寂寞梧桐深院锁清秋.
剪不断, 理还乱, 是离愁. 别是一般滋味在心头.
```

```
别来春半, 触目愁肠断. 砌下落梅如雪乱, 拂了一身还满.
雁来音信无凭, 路遥归梦难成. 离恨恰如春草, 更行更远还生.
```

- `"雁来音信无凭, 路遥归梦难成. 离恨恰如春草, 更行更远还生."`
  - 注意里面的节奏感, "雁来", "音信", "无凭", 其实是二, 二, 二的关系,
    有一点回到了南朝的四六, 不再出现唐诗"三"的状态.

```
遥夜亭皋闲信步, 乍过清明, 早觉伤春暮.
数点雨声风约住, 朦胧淡月云来去.
桃李依依春暗度, 谁在秋千, 笑里低低语.
一片芳心千万绪, 人间没个安排处.
```

- "春暗度"是双关, 一方面在讲春天, 一方面在讲男女之情.
  - 我跟大家提过, 李后主早期的词作当中, 有非常大的"偷情"的兴趣,
    "暗度"那种感情是他很着迷的.

```
帘外雨潺潺, 春意阑珊. 罗衾不耐五更寒.
梦里不知身是客, 一晌贪欢.
独自莫凭阑, 无限江山, 别时容易见时难.
流水落花春去也, 天上人间.
```

- "春意阑珊", 春天用了"意", 所以不是在讲春天,
  而是在讲他自己的心情, 一种在春天时黏腻,
  不明朗, 忧郁烦闷的心情.

- 我一直觉得王国维在这样的东西里面看到了李后主最感人的东西,
  所以他会说李后主在最后其实是担负着释迦牟尼, 基督的苦难的意义,
  也就是赎罪.

- 在梦醒之前, 我们是一个客居的身体, 这个身体有一天要到哪里去,
  我们其实不太知道.
  - 因此, `"梦里不知身是客"`其实是在讲自己目前在一个"大梦"中的状态,
  - "一晌贪欢"也是在梦中贪欢而已, 因为你不知道将来各自要到哪里去.

---

- __在整个中国文学史上__,
  `"梦里不知身是客, 一晌贪欢"`这个句子的宗教感和哲学感可能是最强的.
- 我觉得它可以用来做任何一种生命形式的告白,
  让我感触到自己的生命其实是在这样的状态, 不知道到底是不是应该这样执着,
  那些最深的感情, 对母亲的眷恋, 对自己最爱的人的眷恋,
  好像也不过是"一晌贪欢", 因为你知道后面会有什么在等着.
- 所以我把这个句子抽出来, 我想李后主在写这首词的时候,
  心境已经完全沉淀下来了. 他已经不仅仅是在怀念故国,
  也是在思考自己这一生到底在干什么.

- `"别时容易见时难"`, 非常直接, 很容易令人联想到李商隐的`"相见时难别亦难"`.
  那种两难在这里忽然变成绝对, 因为`"相见难时别亦难"`是人与人的关系,
  `"别时容易见时难"`则是你与自己生命的关系.
  - 无限江山似乎已经不再是讲国家了,
    其实是在讲你自己的生命中所可能看到的一切.

### 从五代词到宋词

- 词更讲究唱的过程, 它的每一个句子往往是相对独立的,
  也就是上一个句子和下一个句子的关系没有那么密切的必然性.
  因为歌曲本身有旋律, 所以我们听一个段落中某一句的时候,
  这一句有它自身情绪的发展, 而它自身文字的独立性非常高.
  - 我们再想想记得的宋词, 它们往往是片断的句子,
    这些片断的句子并不见得在整首词里发生必然的互动.

- 有趣的是, 尽管李白, 杜甫是诗的高峰,
  可是我们现在保留的最早的词, 大概也是李白的.

```
箫声咽, 秦娥梦断秦楼月.
秦楼月, 年年柳色, 灞陵伤别.
乐游原上清秋节, 咸阳古道音尘绝.
音尘绝, 西风残照, 汉家陵阙.
```

- 诗大概经过了二, 三, 五, 七结构的发展, 到词出现的时候,
  后者就把上述结构来了一次大集中, 所以我们也可以说,
  词是在宋代文化的基础上, 将汉语中格律的美做了一次最大的集合,
  可是它的准备工作是在唐朝.
  - 刚才提到李白, 杜甫的诗是格律的极限, 五言, 七言的极限,
    可同时他们又意图打破这个极限.

- 我们刚才说过, 词很大的特征是它不再叙事了, 经过诗的叙事过程以后,
  词把情感直接抓出来变成了画面.
  - 我一方面觉得词是音乐性非常高的文学形式,
  - 同时也觉得词是视觉性非常高的文学形式.

---

- 一位文学史家有一个很有趣的描述: 宋词像一种织锦, 把很多不同颜色的线编织在一起,
  而唐诗像是单一的线的串连.
  - 用编织, 彩绘去形容词, 我想是因为它常常会有各种不同的视觉效果和感官效果显露出来.
  - 我们可以在李白的`"箫声咽, 秦娥梦断秦楼月. 秦楼月, 年年柳色, 灞陵伤别"`当中,
    感觉到音调的婉转, 转成心事; 同时也感觉到它具备了释放出文学独立个性的可能.

- 结尾的`"西风残照, 汉家陵阙"`完全是意象. 我希望大家仔细看一下,
  在`"西风残照, 汉家陵阙"`这八个字当中,
  诗人有没有讲他的感情, 有没有讲他快乐或不快乐?
  - 什么都没有讲. 他用的全部是名词, "西风", "残照", "陵阙",
    可是为什么它们会组合出一种感觉?
  - 这就是我们所说的意象. 意象并不是直接告诉你"我觉得好悲壮",
    可是这八个字却形成了悲壮的感觉, 是一种肃杀, 是一种时间的沧桑之感.
  - 很复杂的感觉用这八个字完全说出来, 这是文学上的高手.

- 一个人特别喜欢诗, 或者特别喜欢词, 会产生很不同的美学经验:
  - 诗的经验是比较外放的, 而词的经验是比较内省的.
  - 你很难在唐诗, 尤其是盛唐诗人的作品中看到
    `"记得绿罗裙, 处处怜芳草"`
    这样特别缠绵, 甚至慢慢会产生颓废的体验.

```
谁道闲情抛弃久, 每到春来, 惆怅还依旧.
日日花前常病酒, 不辞镜里朱颜瘦.
河畔青芜堤上柳, 为问新愁, 何事年年有?
独立小楼风满袖, 平林新月人归后.
```

- 词将事件抽离, 我们无法追问为什么惆怅, 就像你在唱一首流行歌曲的时候,
  不会特别追问为什么这首歌在这里讲哀愁, 讲情绪.

---

- 此外, 经济的富有和政治的安定, 有时会构成人生命里更大的内在的感伤.
  有人可能不太理解这样的逻辑, 我的意思是说, 政治安定, 经济繁荣之后,
  人回到自身的生命里面去进行反省和沉淀, 会生出伤感来.

- 我曾讲过, 我不太敢用`"颓废"`这个词, 因为这个词在汉语当中不是一个好词,
  我们说一个人很颓废, 绝对不是赞美的意思.
- 可是在西方的文化当中, 颓废有特殊的美学上的意义: 经过巨大的繁华之后,
  人开始转向对于繁华的内在幻灭的感受, 这叫作`"颓废"`.
  - 十九世纪末的颓废美学在西方美学中占据了非常重要的位置,
    他们在巨大的繁华之后, 开始反省繁华的意义何在.

- 李商隐的`"春蚕到死丝方尽"`表现出一种极大的热情,
  而在`"日日花前常病酒"`中, 热情开始冷淡下来了.
  - 五代词的内里常常是炙热的火烧过以后冷灰的感觉.
  - `"日日花前常病酒"`就是那冷灰, 它把热烈的情感拿走了.

- 我的意思是, 生命是一个非常漫长的过程, 能够感受到春天花的绽放的人,
  大概必然要在某些时候体会到花朵凋零的哀伤.
  - 只看到春天的灿烂, 而不能看到秋天的肃杀和萧条,
    那他的生命经验也是不圆满的.

---

- 我常常觉得, 向内的征服所要花费的功夫恐怕比向外的征服还要大:
  - 向外的征服可能是养兵千日, 去征伐敌人,
    可是向内的征服是自己静下来去做内在呼吸的调整.
  - 我想宋代就是一个这样的时代, 它的很多文学创作产生的气质非常不同.
  - 宋词有更多个人的体验突显出来, 而这一点在五代时已初露端倪.

- 你可能会问: 为什么在唐代没有? 唐代也有, 但是它会被更大的声音所掩盖.
  - 李白有很大的愁, 可是会`"与尔同销万古愁"`, 他在喝酒和歌唱的时候把它挥霍掉了,
    而不把它作为镜里的凝视对象.
  - 五代词人不是这样, 他们在极大的孤独里去凝视这种愁.
  - 其实我们在读`"花间一壶酒, 独酌无相亲"`时看到了李白的愁,
    可是他很快就`"举杯邀明月, 对影成三人"`了.
  - 他有自己的排解之道, 可以立刻把心里面的愁闷扩大为对宇宙的体验, 使其消解.

- 这有点像欧阳修讲的`"平芜近处是春山, 行人更在春山外"`的感觉.
  - 宋以后的画作中经常看不到人, 因为人远离了.
  - `"平林新月人归后"`虽然是五代时的句子, 但也是无人的风景;
  - 而在唐朝是很少有机会看到无人的风景或者不从人的角度去看的风景的.
- 从人的角度看到的风景都是征服的, 不从人的角度看的风景,
  才是所谓`"万物静观皆自得"`,
  它促使你以一朵花或者一枚雪片的姿态去体会宇宙自然,
  成为大自然的一部分.

---

- 宋代科举有一个很严格的系统, 由非常好的文人主管,
  比如苏轼考试那一年的主考官就是欧阳修. 他们的品格之高, 品味之高,
  形成了历史上最高的文人风范, 使得在文人政治的背后产生了一种个人的从容.
  - 我现在讲到"从容"两个字, 不知道大家是不是可以理解,
    就是中国历史上很少有一个朝代的文人可以在政治上没有恐惧感,
    可是宋朝的文人有很大的自信和安全感.
  - 因为宋朝有所谓的"太祖誓碑", 继位的皇帝都必须遵守,
    其中一点就是"不杀士大夫", 这是宋朝非常重要的一个制度, 是祖宗家法.
    皇帝再怎么生气, 可以把大臣降职, 流放, 但不能杀他.

- 范仲淹绝对不应该只被当作文人看待, 他绝对是一个政治人物.
  可是他在词的世界当中疏解了自己柔软的部分. 我觉得这才是比较"完全"的范仲淹,
  因为人有一部分是社会性的, 有一部分则是非常私密的, 当私密的,
  属于个人私情的部分被满足的时候, 一个人就圆满了.
  - 宋代的诗词与同时期的策论文章有很大不同,
    如果你拿苏东坡等人的策论和他们的词对比,
    大概会吓一跳, 以为对方是精神分裂的人.

- 宋代是一个最懂得融合的时代. 所谓融合, 意思是说过去总要分你是佛家, 他是道家, 我是儒家
  - 像杜甫是儒家, 所以是"诗圣",
  - 李白比较接近老庄, 所以是"诗仙";
  - 而王维比较接近佛教, 所以是"诗佛",
- 可是宋朝时这种界限越发模糊. 文人们身上有一种豁达, 可以在上朝的时候扮演一个儒家的角色,
  下朝的时候又是另外的样子.
  - 你看苏东坡和佛印和尚的关系, 他可以"无入而不自得".
- 这是一种成熟, 也是一种智慧. 你会发现其实身体里有很多个"我",
  可是当你决定哪一个是真正的"我"的时候, 对其他的"我"就开始排斥了,
  然后自己和自己打仗, 纠缠不清, 我们姑且称之为"分裂".
  - 可是"分裂"其实是和解的开始, 也是圆融的开始.

---

- 没有人规定伟大的书法里不能有错字, 错了为什么一定要再写一次呢?
  生命里面的错误让别人看到会那么难堪吗?
- 这个字错了, 就把它圈掉, 旁边再补上一个字, 这些在书法中都出现了.
  苏东坡, 黄庭坚的书法里都有涂改的痕迹,
  书法的美学因此从一个官方的很正式的规格转变为性情的流露.
  - 从艺术中可以看到人的真性情, 是什么就是什么, 不要去掩盖它.

---

```
几日行云何处去, 忘却归来, 不道春将暮.
百草千花寒食路, 香车系在谁家树?
泪眼倚楼频独语, 双燕来时, 陌上相逢否?
撩乱春愁如柳絮, 悠悠梦里无寻处.
```

- `"百草千花寒食路"`, 在清明的前后, 百草千花都在繁盛地开放, 可是春天快要结束了.
  百草千花是在讲繁华, 寒食则是在讲心情的落寞, 特别是寒食节还隐含着介之推被烧死,
  大家为纪念他不吃热食的典故.
  - "百草千花"和"寒食路"其实是一组对比, 一面是繁华, 一面是幻灭.
- `"双燕来时, 陌上相逢否?"`各位请特别注意这一类句子, 我们在晏殊的词里还会看到.
  他们常常会写春天看到燕子来了, 就问燕子"我们是不是去年见过?",
  有一点"为问新愁"的意思.
- 这一类形式在唐诗里几乎没有, 其实它是在很特殊的万物静观之后感受到生命的流转形式,
  觉得生命都是有前缘的.
  - 一朵花, 或者一只燕子, 都会变成生命当中的一种象征.

- 当然这里面有很复杂的隐喻. 很多人认为"双燕"是某个女子之类,
  可是我觉得这样有一点儿小看五代到北宋的词. 恋爱不见得一定是跟人,
  我相信深情是可以存在于万事万物之中的, 同一朵花的缘分不见得下于同一个人的缘分.

- 尤其对创作者而言, 他会寻找某一个记忆或经验, 甚至是记忆以外的空间和时间.

- 我自己并不喜欢对`"双燕来时, 陌上相逢否?"`的一般注解, 即
  - "在燕子来的时候, 问我们去年是不是在田陌上遇到过".
  - 这种注解特指某一个人, 某一个恋爱的对象.
- 其实我觉得, 作者自己可能真的就是燕子, 他觉得他的生命形式是循环的:
  - 也许去年春天来过, 今年又来了;
  - 也许是五百年前来过, 五百年后的现在又来了.
- 由于理学本身包容了很大的佛教经验, 打破了儒家关于时间和空间的概念,
  将其扩大至无限, 所以这一部分在北宋词里会看到更多.

---

- 你会看到其实人们有趋向唐朝的, 也有趋向宋朝的,
  他们会有面对自己生命经验的不同取向. 有些人的视野广大, 看到大的东西,
  这是一种能力, 可专注也是一种能力.
  - 所谓"至广大"是一种能力, "近精微"也是一种能力.
  - 如果说唐朝一直在"至广大", 那么到了宋朝则开始"近精微"了,
    当然在整个儒家的道统里面, "至广大"和"近精微"必须合在一起才是完整的.

- 你读`"大漠孤烟直, 长河落日圆"`, 当然很过瘾, 因为它的气派很大;
  可是`"独立小桥风满袖"`却是一种非常特殊的个人与宇宙合一的平凡经验,
  它非常单纯, 这些细小的经验积累成了北宋后来体现出的状态.
  - 你会用伟大去形容唐诗, 但你不太会用伟大去形容宋词,
    因为后者不追求伟大, 它追求的是一种平静.

- 我记得当年讲到城市发展史, 老师会特别跟我们提到近代所有的城市以汴梁作为起点的原因:
  - 它是最早把住宅区, 商业区, 游乐区分开的城市.
  - 以城市规划来讲, 一个城市不发展到一定程度,
    不会有所谓住宅区, 商业区, 游乐区的分别.

```
东城渐觉风光好, 縠皱波纹迎客棹. 绿杨烟外晓寒轻, 红杏枝头春意闹.
浮生长恨欢娱少, 肯爱千金轻一笑. 为君持酒劝斜阳, 且向花间留晚照.
```

- 我不知道大家会不会觉得亲近水的心情和亲近山的心情是非常不一样的:
  - 水比较柔软, 比较温和, 比较顺从, 也比较沉静和反省;
  - 山则比较稳定, 雄壮, 大气.
  - 二者带出了两种不同的美学经验, 尤其是到南宋以后,
    因为定都在杭州 (时称临安), 所以关于水的经验更为丰富.

- 我想这也是宋词对中国文学非常大的贡献, 它开发出了字本身的独立特性.
  - 我讲的是"字", 而不是"词汇", 唐诗里面常常表现的是词汇的美,
    你很少看到一个字本身有很大的特殊力量.

- 当我们看到`"红杏枝头春意"`的时候, 还没有什么感觉,
  可是这个"闹"字一出来, 整个画面全部被统接在一起.

- 又比如接下来这句`"绿杨烟外晓寒轻"`, 讲杨柳在春天如烟雾般弥漫, 清晨的寒气轻微.
  - "轻"变成了很特殊的生命体验, 既是客观的, 也是主观的.
  - "闹"字也是如此, 既讲客观, 也讲主观.
  - 读完这两句话以后, 你会觉得"晓寒轻"和"春意闹"好像在讲自然,
    可实际上也是在讲生命本身.
  - 我们自己的生命中也有"闹", 青春繁华的感受就是"闹", 和"轻"字形成对比.

- 唐诗的澎湃激情到这里慢慢转变为追求个人生命中短暂的,
  刹那间的深情, 变成了`"肯爱千金轻一笑"`.

- `"肯爱千金轻一笑"`的东西, 大概就是结尾这两句. 其实生命是有对象性的, 因为这个对象,
  生命会产生不同的意义.
  - 比如我们前面介绍过的`"记得绿萝裙, 处处怜芳草"`, "绿萝裙"是存在过的,
    但现在可能已经不在了, 于是你开始扩大记忆中的经验, 开始`"处处怜芳草"`.
  - `"为君持酒劝斜阳"`是一个特定经验, `"且向花间留晚照"`是在和夕阳对话.
  - 我们前面讲过和燕子对话的, 现在又是和夕阳对话. 对夕阳说,
    对夏天最后的晚霞说: 可不可以在花间再多留一下?
- 宋词中有很多在花间的寻找, 在花的盛开中寻找生命的体验, 思考如何让美好的体验延续.
  可是又有感伤, 因为"晚照"本身是感伤的, 已经是要入夜的落日了.
  - 但"晚照"和"花间"结合在一起, 又是一个最华丽的状态.

- 即使是`"浮生长恨欢娱少"`的时候, 即使是`"肯爱千金轻一笑"`的时候,
  即使是`"为君持酒劝斜阳"`的时候, 也不是激动得不得了,
  只在最后留下一个淡淡的`"且向花间留晚照"`的愿望, 好像变成一种对生命的美好祝福.

### 范仲淹, 晏殊, 晏几道, 欧阳修

- 范仲淹承担着守卫边关的重任. 在他的词当中, 有着宋代开国词人中少有的苍茫之感,
  这和他的身份有关, 也和他的位置有关, 因为他身在陕西, 北方的西夏和辽随时可能进攻宋朝.
  - 他的 __渔家傲__ 里面多是比较高亢的声音.
  - "渔家傲"大概原本是民间渔家传出的声音, 可是有个"傲"字在里面,
    构成一种高亢的感觉.
  - 这个词牌和 __满江红__ 有一点相似, 是比较悲壮的.

```
塞下秋来风景异, 衡阳雁去无留意. 四面边声连角起, 千嶂里, 长烟落日孤城闭.
浊酒一杯家万里, 燕然未勒归无计. 羌管悠悠霜满地, 人不寐, 将军白发征夫泪.
```

- `"千嶂里, 长烟落日孤城闭"`, 秦岭山峦阻隔,
  `"长烟"`, `"落日"`, `"孤城"`三个意象有一种类似`"西风残照, 汉家陵阙"`的肃杀与荒凉.
  - 当时他守在被西夏包围的一座孤城里, 情势非常危险.

---

- 在 __苏幕遮__ 里, 大家会发现范仲淹变成了一个多情男子,
  完全不像一个将军, 也不像一个政治家.

```
碧云天, 黄叶地, 秋色连波, 波上寒烟翠.
山映斜阳天接水, 芳草无情, 更在斜阳外.
黯乡魂, 追旅思, 夜夜除非, 好梦留人睡.
明月楼高休独倚, 酒入愁肠, 化作相思泪.
```

- 在读一首词的时候, 我想很多人并不追究作者的意思.
  有时候我问学生`"芳草无情, 更在斜阳外"`是什么意思, 他们讲不清楚.
  其实我觉得无所谓, 因为你在听一首歌的时候, 歌本身会传达出很深的情感.
  - 我前面提到过, 人类最深的两个感伤其实是时间的不可寻找和空间的不可寻找,
    也就是时间的无限性和空间的无限性.
  - 宋朝有一个理学的背景, 文人们都在碰触时间和空间的问题.

```
小径红稀, 芳郊绿遍. 高台树色阴阴见. 春风不解禁杨花, 濛濛乱扑行人面.
翠叶藏莺, 珠帘隔燕. 炉香静逐游丝转. 一场愁梦酒醒时, 斜阳却照深深院.
```

- 北宋词最精彩的部分在于它对意象的掌握. 这些意象经常是非常平淡的,
  里面没有大事件, 不过就是愁, 醒, 梦这些小小的生活体验,
  加入一些自己身边最具体的景象, 比如`"炉香静逐游丝转"`这样的东西.
  - 我很希望可以通过北宋的词,
    找到我们现今生活中可以描述类似`"炉香静逐游丝转"`这样经验的诗句.
    我们可以用什么样的方法, 去描绘自己生活里面最安静的空间和状态呢?
  - 如果不选择李白`"西风残照, 汉家陵阙"`的大气魄,
    而是希望创作保有宋词的某一种安静, 那我们今天生活的安静又在哪里?
  - 我不知道大家可不可以了解, 我们一直在沿着"文学之美"这个话题谈下来,
    其实是希望找到我们这个时代的文学之美会在哪里.
  - 如果它不是盛唐时代的那种豪迈, 那它是不是能够有宋词的那种安静,
    还是好像两个都没有?
  - 两个都没有并不是说不会有, 而是可能还在摸索的过程当中.

```
别来音信千里, 恨此情难寄. 碧纱秋月, 梧桐夜雨, 几回无寐!
楼高目断, 天遥云黯, 只堪憔悴. 念兰堂红烛, 心长焰短, 向人垂泪.
```

- 纱和帘绝对是可以入诗的东西, 因为它既是隔断, 可是又通透.
  隔着帘和纱的光线是非常特殊的, "碧纱秋月"是说人在室内,
  可是透过绿色的纱帐, 他可以看到外面秋夜的月亮,
  月光是通过纱和他发生关系的.

- "梧桐夜雨"是在讲夜晚的雨水打在梧桐叶上产生的声音效果.
  "碧纱秋月"是一种光线, "梧桐夜雨"是一种听觉,
  作者视觉的经验和听觉的经验组合成为词的美学记忆, 然后落到"几回无寐".
  - 一个夜晚常常失眠的孤独的人, 才会看到"碧纱秋月", 听到"梧桐夜雨".
- 我不知道大家会不会问: 他这个时候感伤吗? 可是恐怕也有另外一种情况,
  那就是喜悦: 在失眠的夜晚, 你看到了户外的月光.
  - 生命里面的喜悦和感伤都在一起的时候,
    可能它会形成另外一个超越感伤和喜悦的心境,
    我觉得这种心境比较接近宋词真正想要追求的东西.

- 好的创作者大概才能真正体会到"心长焰短"是这首词当中最重要的四个字,
  讲出了人生中某一种热情将要成为灰烬, 将要结束的状况.
  - "向人垂泪"当然是在延续唐诗中蜡炬流泪的意象.

```
槛菊愁烟兰泣露, 罗幕轻寒, 燕子双飞去. 明月不谙离恨苦, 斜光到晓穿朱户.
昨夜西风凋碧树, 独上高楼, 望尽天涯路. 欲寄彩笺无尺素, 山长水阔知何处!
```

- 对于创作者来讲, 这个句子只是一个画面, 可是王国维将它引申为人生的第一个境界.
- 活在繁华当中时, 其实很难对生命有所领悟, 对生命的领悟常常开始于繁华下落的那个时刻,
  就是我们曾经讲过的"颓废". 这个"颓废"不是世俗所讲的颓废,
  而是有很高的反省和自我沉淀的意义在里面.
  - 如果你一直在春天和夏天的话, 你就没有机会去留恋春天和夏天,
    你留恋春天和夏天是因为春天和夏天要过去了.
  - `"昨夜西风凋碧树"`, 叶子落下了你才开始有感悟, 才对生命有眷恋和珍惜.

- 晏殊的词里常常表达一种想要传达的情感, 而这个情感却无从传达.
  无从传达和山长水阔并不见得有直接的关系, 而是表现了一种落寞感,
  对于在人生里寻找知己感觉到茫然.
  - 光有荣华富贵而没有落寞之感其实是庸俗的,
    最精彩的贵族常常带有一种奇怪不可解的感伤和落寞.

```
一曲新词酒一杯, 去年天气旧亭台. 夕阳西下几时回?
无可奈何花落去, 似曾相识燕归来. 小园香径独徘徊.
```

- 你在生命里也常常处于"无可奈何"和"似曾相识"之间,
  有许多的生命和你发生"无可奈何"的关系, 大概是要结束了, 缘分已尽;
- 然而又有很多生命和你开始新的"似曾相识"的喜悦和快乐,
  所以它是生命的两个状态.

- 生命并没有因为前面的"无可奈何"而掉落到沮丧和绝望当中,
  "似曾相识"挽回了对生命里面的冀望的熟悉的感觉, 我称它为一种"体温".
  - `"似曾相识燕归来"`是一种体温,
    使你感觉到你所接触的"新事物"和"新生命"不是第一次认识的.
  - "无可奈何"是非循环性的, 但"似曾相识"是循环性的,
    这个时候生命的意义, 生命的循环性凸显出来.

```
梦后楼台高锁, 酒醒帘幕低垂. 去年春恨却来时. 落花人独立, 微雨燕双飞.
记得小蘋初见, 两重心字罗衣. 琵琶弦上说相思. 当时明月在, 曾照彩云归.
```

- 诗本身也在可解与不可解之间, 可解的时候是因为你把生命投射进去了,
  不可解可能是因为冥顽不灵, 因为你始终不愿意去解读生命的本质现象.
- 有人问, `"落花人独立, 微雨燕双飞"`到底在讲什么?
  碰到这种情况, 你要怎样去跟他解这两句词呢?
  文字很简单, 不可能看不懂, 那你不懂的是什么?
  不懂的是字句背后你自己生命的状况
  - 不一定是不懂, 而是有时候你拒绝懂.

- 所谓"诗无达诂", 每个人解读"落花人独立"和"微雨燕双飞"的时候,
  都会有不同的诠释, 所有的固定答案都是对诗的扼杀和伤害.
  应该给诗最大的释放空间, 意象被丢出来以后,
  我们的生命经验会和它发生永远不停止的, 不定型的互动关系, 或者说对话关系.

```
醉别西楼醒不记, 春梦秋云, 聚散真容易.
斜月半窗还少睡, 画屏闲展吴山翠.
衣上酒痕诗里字, 点点行行, 总是凄凉意.
红烛自怜无好计, 夜寒空替人垂泪.
```

- 夜晚经验其实是中国文学里非常重要的经验. 白天的时候, 文人们大概都在上朝吵架,
  可是到了夜晚时分, 他会有红烛, 会有碧纱秋月, 会听到梧桐叶上的雨声.
- 这个夜晚经验是他非常重要的内省经验, 也是北宋文人的词的经验,
  可以解释为什么我不喜欢后代人的词.
- 宋代的这些人其实都不是专业的词人, 欧阳修不是, 晏殊不是, 范仲淹也不是,
  可就是因为这样, 他们的词作恰恰是比较饱满的.

- 我们为什么会觉得宋代的文学很好? 其实这些人都不是专业文人,
  严格讲起来他们都是在朝为官的人, 只是他们从政治, 社会退回到自我的世界里,
  完成对于自我的寻找, 这个时候它会很感人.

---

- 大家从下面几首欧阳修的作品里可以感觉到一种平实,
  没有官僚气, 下笔非常轻松自然, 这是非常难得的.

```
庭院深深深几许? 杨柳堆烟, 帘幕无重数.
玉勒雕鞍游冶处, 楼高不见章台路.
雨横风狂三月暮, 门掩黄昏, 无计留春住.
泪眼问花花不语, 乱红飞过秋千去.
```

- `"杨柳堆烟, 帘幕无重数."` 注意"帘幕",
  它就是我们刚才讲的在空间感中造成"深"的意境的东西.
  其实空间不见得"大", 可是用帘, 用幕之后, 在感觉上它就会变大,
  因为后面似乎无尽, 这是一种手法.
- `"玉勒雕鞍游冶处, 楼高不见章台路."` "章台路"本是汉代妓院所在的地方,
  欧阳修作为太守就这样直接写出来了, 一点都不避讳他经常去的就是这样的地方.
  - 我们可以看到宋代这些为官的知识分子对自己私下休闲生活的描述非常直接,
    没有任何遮掩.
  - 可是他们游冶于这些所谓的风月场所, 我们看到的却并不完全是耽溺于感官的,
    甚至是堕落的或者鄙俗的描述, 相反, 会看到他生命经验的提高.

- 正是在权力和财富当中, 他感觉到生命本质的无常, 他才会有宽容.
  我非常不赞成很多人说读这样的东西会使人消极, 悲观, 我从中看到了生命的本相:
  - 花是会凋零的, 春天是会过完的. 在了解这个本相以后, 生命仍有执着,
    以泪眼问花, 它会变成一种深情, 而这大概也是宋代知识分子最迷人的部分.
  - 我们今天大概很难去要求拥有像欧阳修这样身份的人写出`"泪眼问花花不语"`那样深情的句子来.

```
把酒祝东风, 且共从容, 垂杨紫陌洛城东. 总是当时携手处, 游遍芳丛.
聚散苦匆匆, 此恨无穷. 今年花胜去年红. 可惜明年花更好, 知与谁同?
```

- 其实"从容"很难解释, 就是在散步, 走来走去在花间玩赏.
  "从容"是宋代最渴望, 追求的东西. "从容"是一种自信, 有了真正的自信以后,
  连激情都可以慢慢地细水长流了.
  - "且共从容"一方面是在讲他和他这些写词的朋友一起去玩,
    另一方面是讲生命的状态,
    即一个宋代文人生命中的从容经验和雍容大度的感觉.

- 我觉得欧阳修最有趣的地方就是他的豁达. 他对苏东坡产生了极大的影响,
  将唐宋的文学经验转换到一个比较豁达的方向.
  - 佛学与老庄的东西也进来了, 以往的激情慢慢缓和下来.

- 人生的豁达, 人生的从容, 大概都来自于不必非去坚持非此即彼,
  来自能够悠游于生命的变化里, 耐心地看待某一段时间中我们还没有发现的意义.
  - 聚和散是变化, 花开花谢是变化, 月圆月缺是变化,
    可是在我们不知道变化的真正意义的时候, 会沮丧, 感伤, 甚至绝望.
  - 如果知道它是一个自然过程, 为什么还要去感伤呢?
  - 这个时候, 人就会用一种很豁达的心境去看待这些事物.

```
凤髻金泥带, 龙纹玉掌梳. 走来窗下笑相扶, 爱道画眉深浅入时无.
弄笔偎人久, 描花试手初. 等闲妨了绣功夫, 笑问鸳鸯两字怎生书.
```

- 我不知道大家有没有从中感觉到宋代的戏曲发展起来了,
  这里面有很高的戏曲性.

```
尊前拟把归期说, 未语春容先惨咽. 人生自是有情痴, 此恨不关风与月.
离歌且莫翻新阕, 一曲能教肠寸结. 直须看尽洛城花, 始共春风容易别.
```

```
江南蝶, 斜日一双双. 身似何郎全傅粉, 心如韩寿爱偷香. 天赋与轻狂.
微雨后, 薄翅腻烟光. 才伴游蜂来小院, 又随飞絮过东墙. 长是为花忙.
```

```
候馆梅残, 溪桥柳细, 草薰风暖摇征辔. 离愁渐远渐无穷, 迢迢不断如春水.
寸寸柔肠, 盈盈粉泪, 楼高莫近危阑倚. 平芜尽处是春山, 行人更在春山外.
```

- 宋代的绘画推出了山水画的一种辽阔形式, 也就是一种新的空间感,
  这种空间感让我们发现思念的情绪是有极限的, 你的听觉有极限, 你的视觉有极限,
  可宇宙是远比你的听觉, 视觉所及要大得多的.
  所以你无论如何努力, 都不可能追求到最远的地方.
- 在 __春江花月夜__ 里, 思念到最后变成`"愿逐月华流照君"`, 他希望变成月亮,
  因为他想让月亮照着他, 也照着千里万里之外的另一个人.
- 可是在宋词里, 欧阳修认为那个人已经看不见了, 而看不见才是真相.
  因为你再怎么看, 也只能看到春天的山, 你要看的人却在春天的山以外.
  我觉得这是心灵上的一种空间感, 这种心灵上的空间感也告诉我们,
  执着与激情要回归到更大的空间上去平缓下来.

```
平山阑槛倚晴空, 山色有无中. 手种堂前垂柳, 别来几度春风.
文章太守, 挥毫万字, 一饮千钟. 行乐直须年少, 尊前看取衰翁.
```

### 柳永

```
黄金榜上, 偶失龙头望. 明代暂遗贤, 如何向? 未遂风云便, 争不恣狂荡? 何须论得丧.
才子词人, 自是白衣卿相. 烟花巷陌, 依约丹青屏障. 幸有意中人, 堪寻访.
且恁偎红倚翠, 风流事, 平生畅. 青春都一饷. 忍把浮名, 换了浅斟低唱!
```

- 这就是我们前面说的, 在我们的封建时代当中,
  宋代大概是第一次不以社会阶层出身和是否考试做官去判断人的价值.
- 这个人虽然落榜了, 可是他有另外的生命价值, 所以他才会说:
  `"何须论得丧. 才子词人, 自是白衣卿相."`
  更重要的是他的作品会大大流传, 说明宋朝人很喜欢这样的人,
  因为他表现出了自己不同的价值观和生命的意义.

- 宋朝统治者比较好的一点是, 他虽然讨厌柳永, 但不会杀他, 只是不录取你罢了,
  所以柳永就自称"奉旨填词柳三变".
  - 后来他又去考试, 结果考取了.
  - 我觉得这是科举历史上了不起的一件事, 有一个人敢于挑战科举, 他没有被科举压死,
    也没有觉得我要通过科举来决定生命的全部意义.
- 这一点在今天也是有意义的, 一个生命的可能性这么大,
  为什么非要被限定在一个狭窄的范围里呢? 所以我特别希望大家可以从现在讲的柳永,
  后面要讲的苏轼身上看到, 他们的可爱都在于他们回来做了一个真正的人, 从容,
  没有被压迫之感; 他们敢于做与世俗不同的, 另类的, 或者说有一点颠覆性的人.

```
对潇潇暮雨洒江天, 一番洗清秋. 渐霜风凄紧, 关河冷落, 残照当楼.
是处红衰翠减, 苒苒物华休. 惟有长江水, 无语东流.
不忍登高临远, 望故乡渺邈, 归思难收. 叹年来踪迹, 何事苦淹留?
想佳人妆楼颙望, 误几回天际识归舟. 争知我, 倚阑干处, 正恁凝愁!
```

- 这首 __八声甘州__ 是苏轼很喜欢的作品. 他曾经说, 都说柳永的词鄙俗,
  但如`"渐霜风凄紧, 关河冷落, 残照当楼"`这句,
  却是"不减唐人高处", 这是苏轼对柳永很高的评价.

- `"对潇潇暮雨洒江天, 一番洗清秋"`, 秋天的黄昏, 一片潇潇的雨从天空中洒落到江面上.
  `"渐霜风凄紧, 关河冷落, 残照当楼."` 非常精彩的地方在于用一个"渐"字带出三个连句,
  好像是电影里的蒙太奇画面, 把告别时那种肃杀的感觉整个表现出来了.
- `"是处红衰翠减, 苒苒物华休."` 注意他用的"红衰翠减",
  我们很少用"衰"去形容"红"对不对? 红色衰败了, 绿色减少了, 其实是在讲秋天花凋落了,
  叶子也掉了, 可是他的用字非常特殊, 用的是民间流行歌曲中那些活泼的字.

```
伫倚危楼风细细, 望极春愁, 黯黯生天际. 草色烟光残照里, 无言谁会凭阑意.
拟把疏狂图一醉, 对酒当歌, 强乐还无味. 衣带渐宽终不悔, 为伊消得人憔悴.
```

```
寒蝉凄切, 对长亭晚, 骤雨初歇. 都门帐饮无绪, 留恋处, 兰舟催发.
执手相看泪眼, 竟无语凝噎. 念去去, 千里烟波, 暮霭沉沉楚天阔.
多情自古伤离别, 更那堪, 冷落清秋节!
今宵酒醒何处? 杨柳岸, 晓风残月.
此去经年, 应是良辰好景虚设. 便纵有千种风情, 更与何人说?
```

- 下面是他的名句: `"今宵酒醒何处?"`刚才告别的时候喝了很多酒, 今天会在哪里醒过来?
  这是一个问句, 有大量的流浪意识在里面, 他不知道生命将要漂流到哪里, 会在哪里醒来.
  - 我的意思是说, 他可能是在讲自己这一次醉酒在哪里醒来,
    也可能在讲生命究竟此后要到哪里去, 其实这是宗教式的问答.
  - "醒"在哲学上常常代表一种生命的领悟, 代表一个生命从迷蒙走向清醒的状态.
- `"杨柳岸, 晓风残月"`, 意象又变了: 长满杨柳的岸边, 早上的风轻轻吹来,
  天上还有未下去的月亮. 有没有发现这是一个画面?
  - 我们会发现`"今宵酒醒何处"`的答案, 竟然是`"杨柳岸, 晓风残月"`.
- 我们自己好像也有这样的感受: 有一天, 把很多执着放松了, 不在意自己在哪里醒来,
  能够随时随地欣赏`"杨柳岸, 晓风残月"`, 生命大概才找回了失去的东西.
  - `"杨柳岸, 晓风残月"`是随时都有的, 它只是一个代号, 可以是任何东西.

### 苏轼

- 苏轼所创造的文学风格几乎是一扫唐代贵游文学的风气. "贵游文学"的意思是说,
  从六朝以下一直到李白, 基本上都在追求比较贵族气的豪迈, 华丽, 追求大气,
  挥霍的美学感觉.
  - 可是到苏轼的时候, 我们看到他真正建立了宋代词风中的平实.

```
十年生死两茫茫. 不思量, 自难忘. 千里孤坟, 无处话凄凉.
纵使相逢应不识, 尘满面, 鬓如霜. 夜来幽梦忽还乡.
小轩窗, 正梳妆. 相顾无言, 惟有泪千行.
料得年年肠断处, 明月夜, 短松冈.
```

- 其实悼亡的东西极不好写, 原因在于悼亡是在书写特定的人与人之间的经验,
  而同时又必须把它扩大到生命的某种苍凉, 因为它的主题毕竟是死亡.
  - 我们在读到`"十年生死两茫茫, 不思量, 自难忘"`的时候,
    会发现苏轼完全是从真实的情境出发, 没有任何做作.

- 苏轼生命经验当中的自然性是他最惊人的东西, 可是对这一点我们常常不会发现,
  因为你读的时候, 觉得简直是容易得不得了, 可是这个容易刚好是他的难得.

- 很少有人在文学创作中写妻子写得那么好, 对妻子的情感难写, 因为它太平实了,
  不像情人间的情感那么花哨的.
  - 我们再从这个角度去看 __江城子__, 会有非常深的感触.

- 从这里也可以看到苏轼作为一个这么重要的文学创作者, 文学真的不是他的职业,
  他没有刻意地为文学而文学, 而是在生命当中碰到那个事件的时候,
  他的真情会完全流露出来, 他的文学也就出来了.

- 苏轼的美学在凄凉当中不小气, 常常有一种空茫的感觉, 带着一种生命的无常感.
  我们前面讲欧阳修一直在提倡平实的诗风与文风, 可是欧阳修好像很个人,
  而苏轼会在生活里爱很多人, 他对妻子的爱,
  对他词作中那个根本没有见到面的打秋千的女子的爱, 都非常有趣.
  - 他的深情是多情的深情, 又刚好不是一般所说的"滥情", 其实这个界限很难把握.

- 收尾部分常常会决定一部作品最后的意境, 有点像电影的尾声.
  `"明月夜, 短松冈"`是一个扩大出去的意境.
  - 我们说苏轼是一个天才, 是指他在生命经验中所体现的某一种豁达,
    这种豁达使他不会拘泥于小事件, 不会耽溺其中, 而是能够把它放大.

```
花褪残红青杏小. 燕子飞时, 绿水人家绕. 枝上柳绵吹又少, 天涯何处无芳草!
墙里秋千墙外道. 墙外行人, 墙里佳人笑. 笑渐不闻声渐悄, 多情却被无情恼.
```

- `"墙里秋千墙外道"`, 苏轼有些诗让你觉得"他怎么会这样写?".
  - 墙里面有秋千, 墙外面有一条路, 讲没讲不是一样吗?
  - 实际上像苏轼这种高手, 当没有大事件的时候, 任何东西他都可以信手拈来.

- 在北宋词当中, 这种真性情, 这种自我调侃和自我解嘲, 大概只有苏轼有.
  如果在今天他跑到一个咖啡厅, 跟一个女孩子搭讪, 而那个女孩子不理他,
  他也会摸摸鼻子自我解嘲. 我觉得这是一种格调, 是很难做到的,
  既不侮辱自己, 也不侮辱对方.

---

- 你以为自己修炼得很好, 已经"八风吹不动", 可人家骂你"放屁"你却会生气.
  苏轼了不起的地方, 就是他回来做"人"了.
  - 修炼其实是为了回来做人, 而不是为了告诉别人我多了不起;
    能告诉别人自己没有那么了不起, 才是修行.

- 了解自己其实是一种大智慧, 因为在生命里我们会作假, 甚至会塑造出一个假的自我,
  并且越来越觉得这个假的自我是真的自我. 尤其是在修行的过程当中, 你越读哲学,
  宗教的东西, 越觉得自己领悟了, 越容易自大, 越容易发言不逊.
  - 可是苏轼的每一次悟道过程都会被破功, 他就哈哈一笑, 觉得真好, 破功后反而轻松了,
    不必背负悟道者的那种尊严.
  - 我想这是苏轼最了不起的地方.

- 在监牢里面这段时间, 我相信是苏轼脱胎换骨的时期. 他写给弟弟的诗感人至深:
  `"是处青山可埋骨, 他年夜雨独伤神. 与君世世为兄弟, 再结来生未了因."`
  对生命当中所谓的权力, 财富和正直, 他没有任何要求;
  和自己眷恋的人在一起过平淡天真的日子才是重要的.
  - `"与君世世为兄弟, 再结来生未了因"`,
    希望下一辈子还能够和相处很好的弟弟再做兄弟, 我想这一点是苏轼不得了的跳跃.

```
大江东去, 浪淘尽, 千古风流人物. 故垒西边, 人道是, 三国周郎赤壁.
乱石崩云, 惊涛拍岸, 卷起千堆雪. 江山如画, 一时多少豪杰!
遥想公瑾当年, 小乔初嫁了, 雄姿英发. 羽扇纶巾, 谈笑间, 樯橹灰飞烟灭.
故国神游, 多情应笑我, 早生华发. 人间如梦, 一尊还酹江月.
```

- `"乱石崩云, 惊涛拍岸, 卷起千堆雪. 江山如画, 一时多少豪杰!"`
  历史的开阔, 历史的沉重, 历史的丰富, 全部在这里展现出来.
  五代到北宋的词都在写生活中的小事件, 小经验, 可是这首词忽然写大事件,
  大经验了, 而这个大经验是因为经过了劫难才看到的.
  - 不过要注意的是, 苏轼的大经验与唐代还是不同, 他接下来仍旧回到非常优美的部分.

- 结尾他写道: `"人间如梦, 一尊还酹江月."`
  最后用酒来祭奠江水, 祭奠月亮, 他感觉到有一天要把生命还给山水.
- 这段时间是苏轼最难过, 最辛苦, 最悲惨的时候, 同时也是他生命最领悟, 最超越,
  最升华的时候. 过去讲中国美术史时我跟大家说过, 这段时间他有时候还是很抑郁的,
  你不要认为他一下就豁达了. 有一次他跑到夜市喝酒, 被一个流氓一样的人撞倒在地,
  他很生气, 本想跟那个人吵架, 可随后他忽然笑了.
  - 后来他给朋友马正卿写信, 说这件事情的发生令他`"自喜渐不为人识"`.

```
夜饮东坡醒复醉, 归来仿佛三更. 家童鼻息已雷鸣. 敲门都不应, 倚杖听江声.
长恨此身非我有, 何时忘却营营? 夜阑风静縠纹平. 小舟从此逝, 江海寄余生.
```

- `"倚仗听江声"`是一种生命的豁达, 他这个时候的词句都变成了对自己的提醒.
  提醒自己是因为他多半做不到, 他还是会生气的, 你不要以为他已经修行得很好,
  他还是很容易发脾气的人.

- 在苏轼的传记里, 你常常会看到他的有趣, 他从来不认为文学作品是对生命的结论,
  而只是生命的片段领悟而已.
  - 它可以修正, 可以修改, 也可以再反证, 再修行, 它是一个过程.

```
自我来黄州, 已过三寒食. 年年欲惜春, 春去不容惜.
今年又苦雨, 两月秋萧瑟. 卧闻海棠花, 泥污燕支雪.
暗中偷负去, 夜半真有力. 何殊病少年, 病起须已白.
```

```
春江欲入户, 雨势来不已. 小屋如渔舟, 蒙蒙水云里.
空庖煮寒菜, 破灶烧湿苇. 那知是寒食, 但见乌衔纸.
君门深九重, 坟墓在万里. 也拟哭途穷, 死灰吹不起.
```

- `"暗中偷负去, 夜半真有力."` 这里是用庄子的典故, 庄子说:
  `"夫藏舟于壑, 藏山于泽, 谓之固矣! 然而夜半有力者负之而走, 昧者不知也!"`
  意思是有人把船藏在山谷当中, 可是夜半船忽然不见了, 因为有个大力士把船给背走了.
  - 庄子的意思是说, 把东西带走的是时间, 没有什么比时间更厉害,
    它会把所有东西偷走. 这也是苏轼用庄子典故的意义所在.

- `"但见乌衔纸"`, 乌鸦嘴巴里咬着一张烧剩的纸钱飞过去. 各位请特别注意,
  这个画面很惊人, 因为寒食节在清明前后, 所以乌鸦会咬着清明节扫墓以后烧剩下的纸灰.
  读到"乌衔纸", 尤其是"纸"的时候, 有没有感觉到他的笔锋变了?
  - 像刀子一样很锐利.
- 他这个时候其实非常痛苦, 我们仿佛能够从字迹中感受到他悲哀的心情.
  写到"破灶"的时候, 他有一种落寞, 敦厚;
  可是写到"乌衔纸"的时候, 他是非常锐利的.
  - 这也是为什么这个卷帙在书法上非常受到推崇,
    因为很少有书法家将毛笔的笔尖到笔根全部用到.

- 我还是很希望大家有机会看一下 __寒食帖__ 中他的毛笔是怎么运动的.
  那种不再一味表现刚锐或是工整的, 柔的美学, 里面含着很大的力量,
  我们叫"绵中裹铁", 外面看起来软绵绵, 可是里面有刚硬的东西.

- 他一直在生活里发现活着这么好, 把惩罚变成了祝福.
  对于外在的, 客观的惩罚, 如果你自己有一念之间的转变,
  可能会发现没有事情是完全悲苦的.

```
明月几时有, 把酒问青天. 不知天上宫阙, 今夕是何年?
我欲乘风归去, 又恐琼楼玉宇, 高处不胜寒. 起舞弄清影, 何似在人间.
转朱阁, 低绮户, 照无眠. 不应有恨, 何事长向别时圆?
人有悲欢离合, 月有阴晴圆缺, 此事古难全. 但愿人长久, 千里共婵娟.
```

### 从北宋词到南宋词

- 谈到这里, 希望大家可以了解, 北宋词转到南宋以后, 它一定要发展成形式主义的状态.
  而且从词的历史来看, 一旦开创性的年代过了以后, 就要开始去锤炼它内在的形式美,
  而一个文学在锤炼形式美的时候, 其实就是它没落的年代.
  - 大家要特别注意这件事情, 词这种形式如果到了强弩之末,
    一定会有一个新的东西代替它, 这个新东西就是戏曲.

- 所以我想, 对于艺术和整个社会结构之间的关联, 恐怕需要我们特别注意.
  - 唐朝的诗人在酒楼上唱 __将进酒__, 只要自己拿着筷子敲着酒杯就可以唱起来;
  - 可是到词出来的时候, 你必须把你写的句子交给乐工和歌女, 弹着琵琶唱出来;
  - 到了元代, 明代的时候, 不只是歌手, 还要有受过严格戏剧训练的演员,
    由他们帮你表达出来, 所以越来越复杂.
- 过去很少有人从这个角度去看中国的诗词史, 因为我们只是用视觉在阅读它,
  所以有时候不太容易了解, 作者为什么这样写.

- 什么叫作高峰? 文学的形式和内容达到最平衡的状态是它的高峰. 它有一个草创时期,
  然后到高峰, 高峰之后一定要下坡了. 下坡时期的重要表现就是它开始雕琢形式,
  如果没有更新的内容冲进来的话, 它势必往这个方向发展.
  - 姜白石等于是南宋词的一个收尾, 气力微弱了.
  - 所谓气力微弱是说他写的句子越来越"小" -- 格局上是小的.

- 南宋时期, 北方是金和西夏, 打仗都来不及, 可是南宋文人在西湖边写出了最美的文学,
  创作了最好的绘画. 东晋王羲之写出了最好的书法, 顾恺之画出了最美的绘画,
  从中你会发现文化的创造力其实在于它是不是有对于心灵空间的尊重.
  - "北朝"常常忙于战争或者现实政治, 它在文化上没有办法赢过"南朝".
    从建安七子到竹林七贤, 又到王羲之, 直到今天我们讲的南宋,
    我们再一次看到偏安江南的这些朝代当时在文化上重要的创造力.
  - 其实当时北方的金在文学上是仰慕南宋的, 像元好问就在学习南宋那一套文学.

### 秦观, 周邦彦

- 它只是文人拿来修身养性的东西, 换句话说, 琴最重要的不是弹给别人听,
  而是弹给自己听. 在弹琴的过程中去修炼自己的呼吸, 调匀自己整个气的流转,
  让自己能够定下心来.
  - 很多人讲到, 高手弹琴的时候, 如果有人偷听, 弦会断掉.
  - 琴变成文人生活中必备的部分, 它不是用来炫耀的, 而是一种内敛的精神.

```
雾失楼台, 月迷津渡, 桃源望断无寻处. 可堪孤馆闭春寒, 杜鹃声里斜阳暮.
驿寄梅花, 鱼传尺素, 砌成此恨无重数. 郴江幸自绕郴山, 为谁流下潇湘去?
```

- 我特别用`"雾失楼台, 月迷津渡"`这八个字, 来作为其作品的美学特征.
  他好像一直在找一个桃花源世界, 一直在找一个他自己觉得最理想的领域,
  可是`"桃源望断无寻处"`, 始终找不到, 所以他其实是在一种迷失的状态.

- 秦观在这一方面是非常精彩的, 他常常能够把客观与主观的东西融在一起,
  我们下面大概会主要以这样的角度来讲秦观. `"流下潇湘去"`是告别,
  可是"绕"本身是眷恋, 所以当我们看到`"郴江幸自绕郴山"`的时候,
  那个"绕"本身已经有情感在里面了.
  - "绕"这个字非常微妙, 是诗人用字的一种讲究,
    我们从这个字的讲究可以了解应该怎么去判定文字是主观的还是客观的.
  - 我们可以说"绕"是客观的, 可是诗人在这里讲"绕"时有缠绕的意思, 如果是缠绕,
    它就不是客观的, 而是变成主观的了,
    你会觉得那条河流正在无限深情地绕过那座山, 去环抱那座山.
  - 从中我们可以看到在文学里面字和句的运用本身如何去跨越主观与客观.

```
漠漠轻寒上小楼, 晓阴无赖似穷秋. 淡烟流水画屏幽.
自在飞花轻似梦, 无边丝雨细如愁. 宝帘闲挂小银钩.
```

- `"晓阴无赖似穷秋"`, 注意"无赖"两个字, 我们今天讲的"无赖"是坏的意思,
  可是在宋代的文学里, "无赖"是常常被用到的一个词,
  我对它的比较口语化的翻译是"好像什么都提不起劲来".
  - 后来的南宋文学里"无赖"用得很多, 因为你如果不去"金戈铁马",
    就只好有点"无赖", 就是有点慵懒的意思.

- `"无边丝雨细如愁"`, 春天江南的细雨, 好像有, 又好像没有, 丝丝飘落.
  可是丝雨怎么发展成无边的丝雨, 再从丝雨发展出细, 然后从细发展出愁?
  - 其实雨和愁本来是无关的, 可是雨和细有关, 和丝或像丝一样的东西有关.
  - 唐朝李商隐写`"春蚕到死丝方尽"`, 其中的丝变成了一个象征,
    变成了愁绪, 变成了牵连不断.
  - 李后主讲`"剪不断, 理还乱"`也是在以丝为喻.
    秦观再一次把丝拿来作为象征去讲愁绪, 从图像连接到心情.
    他必须在确定了是丝雨以后, 再用细去形容雨,
    再把细连接到愁, 其中有词的逻辑.

```
燎沉香, 消溽暑. 鸟雀呼晴, 侵晓窥檐语. 叶上初阳干宿雨, 水面清圆, 一一风荷举.
故乡遥, 何日去? 家住吴门, 久作长安旅. 五月渔郎相忆否? 小楫轻舟, 梦入芙蓉浦.
```

- 可是这里的"燎"是动词, 意为细细焚烧. 沉香可能是沉香末,
  "燎沉香"是文人生活中的一种点缀. 这个点缀有两种功能,
  一是可以驱赶蚊虫, 同时又会让你的身体产生很舒服的感觉, 是一种嗅觉的欣赏.

- 文学家用哪些字, 是由他的心境, 状态决定的. 你如果要分析一个诗人,
  其实不见得要读他整首作品, 把他特定的某些字抽出来, 大概就可以看到他的某些个性.

- 发现泪水是容易的, 发现泪痕是不容易的, 因为泪痕常常不容易看到,
  可是诗的意境常常是最后看到了泪痕. 泪痕是什么?
  - 可能是由心境中沉淀出的关心, 一种更细腻的关心.

- 我们在研究宋代瓷器的时候, 会发现很多名称和宋朝诗词当中所欣赏的意境非常像.
  `"叶上初阳干宿雨"`其实是一个沉淀过的记忆, 好像遗忘了, 因为那个东西已经不存在了.
  - 注意, 词句中的"雨"是隔夜的雨, 太阳出来以后, 它已经不在了,
    可是我们还记得叶子上曾经有过雨水.
  - 它表达了对生命中所有情感, 对某一天, 某些记忆的眷恋, 表达了一种深情.

- `"水面清圆, 一一风荷举."` 这是在描写风中的荷叶, 大家知道荷叶本来是贴着水面的,
  当它成长茁壮了以后, 在阳光强的地方, 就会离开水面举起来. 其实词人很有趣,
  他会观察很多东西, 比如阳光盛烈时荷叶的感觉; 比如荷叶举起来以后, 风的感觉才会出来,
  因为它贴着水面的时候风不见得能够摇动它.
- 台北故宫展出过一幅画, 描绘风过时皇宫里一个水池中荷叶的美,
  其实和这个句子非常像.
  - 宋代的瓷器也好, 诗词也好, 绘画也好, 它们之间有很多互通的东西.

- 今天把音乐性拿掉以后, 包括他最好的 __苏幕遮__, 我都觉得有一点拼凑.

- 所以我选这首, 大家可以看到, 大概到北宋后期, 怀旧的东西越来越多,
  开拓性越来越少, 那个气息有一点儿微弱下来.

### 李清照

- 在 __金石录后序__ 里, 我们能感受到她在文化散失时的无奈,
  这种感觉好像比国破家亡还要令人悲痛 -- 她曾沉浸其中的文化,
  她自己经营起来的美的世界, 瓦解了.

```
寂寞深闺, 柔肠一寸愁千缕. 惜春春去, 几点催花雨.
倚遍阑干, 只是无情绪. 人何处, 连天芳草, 望断归来路.
```

- `"惜春春去"`, 它不见得一定是女性文化, 苏东坡的 __寒食帖__ 里面就有"惜春",
  可是"惜春"后面再加"春去"的时候, 它的委婉性会增高, 它的哀怨性会增强.
- 李清照常常是在调性上面把女性的东西放进去. 像`"几点催花雨"`,
  她在追悼春天快要过完的时候, 雨使得花更快飘零,
  这些可能都是由于女性的敏感或者说敏锐才会看到的.

```
红藕香残玉簟秋, 轻解罗裳, 独上兰舟. 云中谁寄锦书来?
雁字回时, 月满西楼. 花自飘零水自流. 一种相思, 两处闲愁.
此情无计可消除. 才下眉头, 却上心头.
```

- 大家会不会感觉这是一个很有趣的问题?
  我们看到过去女性对男性的思念常常是男性假借女性去写,
  很少有女性自己直接写出来的, 所以李清照的`"一种相思, 两处闲愁"`,
  `"才下眉头, 却上心头"`其实是文化史上女性情感文化的一次表白,
  是这么直接的表白.
  - 要评价李清照, 先要把她的身份确定.
  - 这是一个女性创作者, 你会感到她的作品意义的不同.

```
薄雾浓云愁永昼, 瑞脑销金兽. 佳节又重阳, 玉枕纱厨, 半夜凉初透.
东篱把酒黄昏后, 有暗香盈袖. 莫道不销魂, 帘卷西风, 人比黄花瘦.
```

- 一个铜香炉, 有时是麒麟, 有时是拼合性的动物形象, 里面放上香料.
  - "瑞脑"是香料的名字, "金兽"是外面的香炉.

- 大概从秦观以后, 诗人都是躺下来写诗了, 不太出去活动, 会有一点儿懒懒的情绪.
  我觉得这种懒懒的情绪其实是南宋词一个最重要的部分.
  - 你可以看出, 身体是有时代性的.
- 唐朝人的身体都是坐在马上跑, 北宋的时候还跑了一段时间, 慢慢就不跑了,
  身体开始懒下来的时候, 他去追求静, 然后转成内心世界的一种追求,
  越来越有一点儿生病的感觉, 或者身体没有力气的感觉.

```
香冷金猊, 被翻红浪, 起来慵自梳头. 任宝奁尘满, 日上帘钩.
生怕离怀别苦, 多少事, 欲说还休.
新来瘦, 非干病酒, 不是悲秋. 休休!
这回去也, 千万遍阳关, 也则难留. 念武陵人远, 烟锁秦楼.
惟有楼前流水, 应念我, 终日凝眸. 凝眸处, 从今又添, 一段新愁.
```

- `"念武陵人远"`, "武陵人"也是在比喻, 象征着寻找桃花源的人. 在
  __桃花源记__ 中寻找桃花源的那个武陵人是一个渔夫, 偶然进入了桃花源.
  - 李清照在用典故的时候, 用得比较迂回. 我看重她的文学成就,
    但是不看重这个部分, 我觉得这个部分不见得是她最好的.

```
窗前谁种芭蕉树? 阴满中庭, 阴满中庭, 叶叶心心, 舒卷有余情.
伤心枕上三更雨, 点滴霖霪, 点滴霖霪, 愁损北人, 不惯起来听.
```

- 所以我一直希望大家可以注意一点, 就是南宋时已经有一个征兆出来:
  - 文学创作里面的白话部分越来越明显, 越来越直接.

```
风住尘香花已尽, 日晚倦梳头. 物是人非事事休, 欲语泪先流.
闻说双溪春尚好, 也拟泛轻舟. 只恐双溪舴艋舟, 载不动许多愁.
```

```
寻寻觅觅, 冷冷清清, 凄凄惨惨戚戚. 乍暖还寒时候, 最难将息.
三杯两盏淡酒, 怎敌他晚来风急! 雁过也, 正伤心, 却是旧时相识.
满地黄花堆积, 憔悴损, 如今有谁堪摘? 守着窗儿, 独自怎生得黑!
梧桐更兼细雨, 到黄昏, 点点滴滴. 这次第, 怎一个愁字了得!
```

- 这大概是李清照晚年的作品, 你会感觉到她非常孤独, 好像一切东西都已经走完了,
  带着生命里所有的繁华和幸福都已经过去的感伤.

### 辛弃疾, 姜夔

```
楚天千里清秋, 水随天去秋无际. 遥岑远目, 献愁供恨, 玉簪螺髻.
落日楼头, 断鸿声里, 江南游子. 把吴钩看了, 阑干拍遍, 无人会, 登临意.
休说鲈鱼堪脍, 尽西风, 季鹰归未? 求田问舍, 怕应羞见, 刘郎才气.
可惜流年, 忧愁风雨, 树犹如此. 倩何人唤取红巾翠袖, 揾英雄泪!
```

- `"休说鲈鱼堪脍, 尽西风, 季鹰归未?"` 这里面用了一个典故.
  西晋的文学家张季鹰 (张翰) 因为家乡的鲈鱼味美,
  便在秋风起时辞官不做, 回乡去了.
  - 这是过去文人歌颂的一个典型, 大家觉得他很清高.
- 可是辛弃疾却把这个典故反过来讲 -- 不要告诉我张季鹰的故事,
  我身负国家使命, 却是难回北方的"江南游子".
- `"求田问舍, 怕应羞见, 刘郎才气."` 真正有志向的人, 真正有开国气度的人,
  不应该"求田问舍", 而南宋只是寄望于北方不要打过来, 从来没有想要回去.
  - 辛弃疾的悲壮越来越强烈, 他忽然发现自己变成了一个荒谬者.
  - `"可惜流年, 忧愁风雨, 树犹如此."` 他感觉到年岁老大, 时间过去.
  - `"倩何人唤取红巾翠袖, 揾英雄泪!"` 这里把一个孤独英雄的悲剧情感做了非常深的传达.

```
郁孤台下清江水, 中间多少行人泪. 西北望长安, 可怜无数山.
青山遮不住, 毕竟东流去. 江晚正愁余, 山深闻鹧鸪.
```

```
落日塞尘起, 胡骑猎清秋. 汉家组练十万, 列舰耸高楼.
谁道投鞭飞渡, 忆昔鸣鹘血污, 风雨佛狸愁.
季子正年少, 匹马黑貂裘. 今老矣, 搔白首, 过扬州.
倦游欲去江上, 手种橘千头.
二客东南名胜, 万卷诗书事业, 尝试与君谋.
莫射南山虎, 直觅富民侯.
```

```
少年不识愁滋味, 爱上层楼, 爱上层楼, 为赋新词强说愁.
而今识得愁滋味, 欲说还休, 欲说还休, 却道天凉好个秋.
```

- 禅宗还有一个术语叫作"机锋", 是说我讲出一个内容 (比如"天凉好个秋"),
  好像没有深意, 可是你自己要去领悟里面的意思是什么.
  - 很多禅宗的庙里会刻三个字 -- "吃茶去", 这是借着情境点破棒喝的"喝",
    让人顿悟, 从知识的执着回到生活的现世里来.

```
东风夜放花千树, 更吹落, 星如雨. 宝马雕车香满路.
凤箫声动, 玉壶光转, 一夜鱼龙舞.
蛾儿雪柳黄金缕, 笑语盈盈暗香去.
众里寻他千百度, 蓦然回首, 那人却在, 灯火阑珊处.
```

- `"宝马雕车香满路. 凤箫声动, 玉壶光转, 一夜鱼龙舞."`很有贵族气.
  元夕的庆祝盛会上, 所有人都出来游玩.
- 很多人讲辛弃疾并没有每天在那里卧薪尝胆,
  他其实蛮有钱的, 日子也过得很好.
  - 他很向往侠士的风度, 而他的豪迈和他的富有有很大关系.

- 我希望大家能够从这些方面重新感受`"众里寻他千百度"`的含义,
  生命里面没有过这个寻找的过程, 后面的东西都不会有;
  并且不是寻找一次, 而是"千百度"
  - 最后是不是找到并不重要, 重要的是你找了"千百度", 这就是意义.

- 生命的意义就在`"众里寻他千百度"`的状态当中, 生命没有寻找的愿望,
  是不会有答案的, 而答案也许就在寻找的过程里. 文学的精彩在于它常常会变成象征.
  - 其实"蓦然回首"是非常偶然的 (法国后来的美学里面常常讲"偶然性"),
    你没有办法刻意而求, 必须在"千百度"当中累积,
    没有"千百度", "蓦然回首"也没有用.
  - 精彩的画面在于`"那人却在, 灯火阑珊处"`,
    生命里面如果许诺给你这个时刻, 大概就值得了.
  - 精彩的文学常常在于它错综复杂的对立关系.

```
茅檐低小, 溪上青青草. 醉里吴音相媚好, 白发谁家翁媪.
大儿锄豆溪东, 中儿正织鸡笼; 最喜小儿亡赖, 溪头卧剥莲蓬.
```

```
醉里挑灯看剑, 梦回吹角连营. 八百里分麾下炙, 五十弦翻塞外声. 沙场秋点兵.
马作的卢飞快, 弓如霹雳弦惊. 了却君王天下事, 赢得生前身后名. 可怜白发生!
```

```
举头西北浮云, 倚天万里须长剑.
人言此地, 夜深长见, 斗牛光焰.
我觉山高, 潭空水冷, 月明星淡.
待燃犀下看, 凭栏却怕, 风雷怒, 鱼龙惨.
峡束苍江对起, 过危楼, 欲飞还敛.
元龙老矣! 不妨高卧, 冰壶凉簟.
千古兴亡, 百年悲笑, 一时登览.
问何人又卸, 片帆沙岸, 系斜阳缆?
```

```
杯汝来前, 老子今朝, 点检形骸. 甚长年抱渴, 咽如焦釜; 于今喜睡, 气似奔雷.
汝说"刘伶, 古今达者, 醉后何妨死便埋".
浑如此, 叹汝于知己, 真少恩哉! 更凭歌舞为媒. 算合作平居鸩毒猜.
况怨无大小, 生于所爱, 物无美恶, 过则为灾.
与汝成言, 勿留亟退, 吾力犹能肆汝杯.
杯再拜, 道"麾之即去, 招则须来".
```

- `"汝说'刘伶, 古今达者, 醉后何妨死便埋'."`
  大家注意在"汝说"之后是杯子的"语言", 这完全是剧本的写法,
  因为已经拟设了角色. 辛弃疾这一类作品越来越倾向于戏剧的规则,
  他会拟定"你说", "我说", "我怎么样", "你怎么样".

- 讲到元曲的时候, 大家会更清楚地看到, 这一类句法在民间戏剧当中早就已经出现.
  可能由于辛弃疾等人的好奇, 也由于自身创作力的旺盛,
  于是就采用这样的形式来写词, 可是并不说明他们一定将其作为主流.

```
绿树听鹈鴂, 更那堪, 鹧鸪声住, 杜鹃声切. 啼到春归无寻处, 苦恨芳菲都歇.
算未抵, 人间离别. 马上琵琶关塞黑. 更长门翠辇辞金阙.
看燕燕, 送归妾. 将军百战身名裂. 向河梁, 回头万里, 故人长绝.
易水萧萧西风冷, 满座衣冠似雪. 正壮士, 悲歌未彻.
啼鸟还知如许恨, 料不啼清泪长啼血. 谁共我, 醉明月?
```

```
千古江山, 英雄无觅, 孙仲谋处. 舞榭歌台, 风流总被, 雨打风吹去.
斜阳草树, 寻常巷陌, 人道寄奴曾住. 想当年, 金戈铁马, 气吞万里如虎.
元嘉草草, 封狼居胥, 赢得仓皇北顾. 四十三年, 望中犹记, 烽火扬州路.
可堪回首, 佛狸祠下, 一片神鸦社鼓. 凭谁问: 廉颇老矣, 尚能饭否?
```

```
淳熙丙申至日, 予过维扬. 夜雪初霁, 荠麦弥望.
入其城则四顾萧条, 寒水自碧, 暮色渐起, 戍角悲吟.
予怀怆然, 感慨今昔, 因自度此曲. 千岩老人以为有黍离之悲也.

淮左名都, 竹西佳处, 解鞍少驻初程, 过春风十里, 尽荠麦青青.
自胡马窥江去后, 废池乔木, 犹厌言兵. 渐黄昏, 清角吹寒, 都在空城.
杜郎俊赏, 算而今, 重到须惊. 纵豆蔻词工, 青楼梦好, 难赋深情.
二十四桥仍在, 波心荡, 冷月无声. 念桥边红药, 年年知为谁生!
```

- 我不知道大家有没有感觉到, 对于这种形式主义词人的作品,
  在文句上的解读会越来越难, 因为他讲究音乐性,
  每一个字的用法都非常讲究.

- `"二十四桥仍在, 波心荡, 冷月无声"`, 这是姜夔很有名的句子, 大家可能知道,
  这个句子是从杜牧的诗出来的. `"二十四桥明月夜"`是杜牧写扬州的句子,
  讲扬州的繁华, 姜夔把它转成了`"二十四桥仍在"`.
- `"波心荡, 冷月无声"`, 波心还在荡漾, 可是冷冷的月亮一点声音都没有.
  繁华已经过去了, 连月亮都很悲凉, 没有话可讲.
- `"金戈铁马, 气吞万里如虎"`和`"波心荡, 冷月无声"`是两个完全不同的意境,
  我们很难比较哪一个好, 哪一个不好, 也许我们的生命里需要"金戈铁马"的时候,
  与需要"冷月无声"的时候, 是不同的情境.

```
燕雁无心, 太湖西畔随云去. 数峰清苦, 商略黄昏雨.
第四桥边, 拟共天随住. 今何许? 凭栏怀古, 残柳参差舞.
```

```
渐吹尽, 枝头香絮, 是处人家, 绿深门户.
远浦萦回, 暮帆零乱, 向何许?
阅人多矣, 谁得似长亭树. 树若有情时, 不会得青青如此!
日暮, 望高城不见, 只见乱山无数. 韦郎去也, 怎忘得玉环分付.
第一是早早归来, 怕红萼无人为主. 算空有并刀, 难剪离愁千缕.
```

------------------

- [人间词话 - 叶嘉莹讲评本](https://book.douban.com/subject/35616606/)

- 踏莎行
  - 宋·秦观

```
雾失楼台, 月迷津渡, 桃源望断无寻处.
可堪孤馆闭春寒, 杜鹃声里斜阳暮.
驿寄梅花, 鱼传尺素, 砌成此恨无重数.
郴江幸自绕郴山, 为谁流下潇湘去.
```

- 饮酒
  - 东晋·陶渊明

```
结庐在人境, 而无车马喧.
问君何能尔? 心远地自偏.
采菊东篱下, 悠然见南山.
山气日夕佳, 飞鸟相与还.
此中有真意, 欲辨已忘言.
```

- 天仙子
  - 宋·张先

```
水调数声持酒听, 午醉醒来愁未醒, 送春春去几时回.
临晚镜, 伤流景, 往事后期空记省.
沙上并禽池上暝, 云破月来花弄影, 重重帘幕密遮灯.
风不定, 人初静, 明日落红应满径.
```

- `"红杏枝头春意闹"`, 着一`"闹"`字, 而境界全出.
  `"云破月来花弄影"`, 着一`"弄"`字, 而境界全出矣.

- 太白纯以气象胜. `"西风残照, 汉家陵阙"`, 寥寥八字, 遂关千古登临之口.
  - 后世唯范文正之 __渔家傲__, 夏英公之 __喜迁莺__,
    差足继武, 然气象已不逮矣.

- 词至李后主而眼界始大, 感慨遂深, 遂变伶工之词而为士大夫之词.
  - 周介存置诸温, 韦之下, 可谓颠倒黑白矣.

- 永叔`"人间自是有情痴, 此恨不关风与月"`, `"直须看尽洛城花, 始与东风容易别"`,
  于豪放之中有沉着之致, 所以尤高.

- 白石写景之作, 如`"二十四桥仍在, 波心荡, 冷月无声"`,
  `"数峰清苦, 商略黄昏雨"`, `"高树晚蝉, 说西风消息"`,
  虽格韵高绝, 然如雾里看花, 终隔一层.
  - 梅溪, 梦窗诸家写景之病, 皆在一`"隔"`字.
  - 北宋风流, 渡江遂绝, 抑真有运会存乎其间耶?

- 东坡之词旷, 稼轩之词豪. 无二人之胸襟而学其词,
  犹东施之效捧心也.

- `"明月照积雪"`, `"大江流日夜"`, `"中天悬明月"`, `"黄河落日圆"`,
  此种境界, 可谓千古壮观.
  - 求之于词, 唯纳兰容若塞上之作, 如 __长相思__ 之`"夜深千帐灯"`,
    __如梦令__ 之`"万帐穹庐人醉, 星影摇摇欲坠"`差近之.
