---
title: Confidence Computing
description: 欲渡黄河冰塞川, 将登太行雪满山. 闲来垂钓碧溪上, 忽复乘舟梦日边.
date: 2021-10-15
---

- [FIPS 203](https://csrc.nist.gov/pubs/fips/203/ipd)
  - Module-Lattice-Based Key-Encapsulation Mechanism Standard
- [FIPS 204](https://csrc.nist.gov/pubs/fips/204/ipd)
  - Module-Lattice-Based Digital Signature Standard
- [FIPS 205](https://csrc.nist.gov/pubs/fips/205/ipd)
  - Stateless Hash-Based Digital Signature Standard

```
Initial Public Draft

Date Published: August 24, 2023
Comments Due:   November 22, 2023
```

------------------

- [OpenSK](https://github.com/google/OpenSK)
  - This repository contains a Rust implementation
    of a FIDO2 authenticator.

------------------

- [Noise Protocol Framework](https://noiseprotocol.org)

- [Schnorr's identification protocol](https://www.zkdocs.com/docs/zkdocs/zero-knowledge-protocols/schnorr/)

- [Solana](https://github.com/solana-labs/solana)
  - Solana is a decentralized blockchain built to
    enable scalable, user-friendly apps for the world.
- There are 8 key innovations that make the
  Solana network possible:
  - Proof of History (POH)
  - Tower BFT - a PoH-optimized version of PBFT;
  - Turbine - a block propagation protocol;
  - Gulf Stream - Mempool-less transaction forwarding protocol;
  - Sealevel - Parallel smart contracts runtime;
  - Pipelining - a Transaction Processing Unit
    for validation optimization;
  - Cloudbreak - Horizontally-Scaled Accounts Database;
  - Archivers - Distributed ledger store.

------------------

- [Drand](https://github.com/drand/drand)
  - A Distributed Randomness Beacon Daemon

- https://eprint.iacr.org/2011/344.pdf
- https://eprint.iacr.org/2011/277.pdf

### The OPAQUE Asymmetric PAKE Protocol

- https://github.com/cfrg/draft-irtf-cfrg-opaque

------------------

## Events

- 2022-08, 期待以太坊, 一鲸落, 万物生.

```
The 2022 Gödel Prize is awarded to the following papers:

Zvika Brakerski, Vinod Vaikuntanathan:
Efficient Fully Homomorphic Encryption from (Standard) LWE.
FOCS 2011: 97-106. SIAM Journal of Computing 43(2): 831-871 (2014)

Zvika Brakerski, Craig Gentry, Vinod Vaikuntanathan:
(Leveled) fully homomorphic encryption without bootstrapping.
ITCS 2012: 309-325. ACM Transactions on Computation Theory 6(3): 13:1-13:36 (2014)

The above papers made transformative contributions to cryptography
by constructing efficient fully homomorphic encryption (FHE) schemes.

The above papers presented entirely new constructions of
fully homomorphic encryption whose security relied only on
the hardness of Regev's learning with errors (LWE) problem.
They have led to a new generation of practically efficient FHE.
```

------------------

- [机密计算](https://book.douban.com/subject/36319416/)
  - 不抱期待, 估计没啥干货

```
全同态加密相对于部分同态加密和类同态加密,
在运算形式和电路深度方面更为自由,
可以支持任意次数的加法与乘法运算.
```

```
GSW 方案在功能上得到了扩展, 不需要计算密钥, 只需要公钥就可以进行同态运算,
所以基于 GSW 方案可以构造基于身份的同态加密方案和基于属性的同态加密方案.
```

------------------

- [从区块链到 Web3: 构建未来互联网生态](https://book.douban.com/subject/36686046/)
  - 差评!
  - 乱七八糟!
