---
title: 庞加莱猜想
description: 梧桐更兼细雨, 到黄昏, 点点滴滴. 这次第, 怎一个愁字了得!
date: 2022-09-30
---

- [数学女孩6: 庞加莱猜想](https://book.douban.com/subject/36072389/)
  - https://www.ituring.com.cn/book/2786
  - 数学女孩系列, 有始有终~

> 总的来说, 比较失望~ 数学的内核淡了, 多余的人物对话反而占据了过多篇幅!

```
从第五本 数学女孩5: 伽罗瓦理论 出版到本书完成已经过了六年.
会隔那么久, 主要是因为我需要一段时间好好消化庞加莱猜想的内容.
本书提到的数学内容主要包括:
拓扑学, 基本群, 非欧几何, 微分方程, 流形, 傅里叶展开式以及庞加莱猜想.
```

```
数学女孩6: 庞加莱猜想 中介绍了基本群 (一维同伦群).
拓扑学相关的书中会出现与同伦群名称相似的同调群, 不过二者并不相同.
我刚开始读拓扑学的书时, 就把同伦群和同调群弄混了.
初次接触拓扑学的读者还请将上述内容牢记在心.
```

- 无内外之分的性质在数学上称为`不可定向性`.
  - `不可定向性`在闭曲面的分类上是一个很重要的基准.

```
闭曲面的分类 (连通和)
可定向
球面与 n 个环面的连通和 (n = 0, 1, 2, ...)
不可定向
球面与 n 个射影平面的连通和 (n = 1, 2, 3, ...)

闭曲面的分类 (连通和)
可定向
将 n 个环柄粘在有 n 个圆形切口的球面上形成的闭曲面 (n = 0, 1, 2, ...)
不可定向
将 n 个默比乌斯带粘在有 n 个圆形切口的球面上形成的闭曲面 (n = 1, 2, 3, ...)
```

> 从`开集公理`开始, 然后是`映射连续`的定义, 再到`同胚`.

- 在拓扑的世界中, 所有距离的概念都会被舍弃.

```
拓扑空间是在支撑集 S 中添加拓扑结构建立而成的,
这与群论中往集合里添加群结构时的情况相同.
正如我们可以用群公理来定义群,
我们也可以用开集公理来定义拓扑空间.
```

### 非欧几何

```
球面几何
不存在通过直线 l 外一点 P 且不与 l 相交的直线

欧几里得几何
存在一条通过直线 l 外一点 P 且不与 l 相交的直线

双曲几何
存在两条或两条以上通过直线 l 外一点 P 且不与 l 相交的直线
```

```
彼时, 以平行公理作为起点构建起来的几何学体系,
已经朝着通过引入其他公理取代平行公理来创立新几何学的方向进步了.
黎曼又向世人展示了不必执着于平行公理, 通过度量便可构建出无数几何学这一理论.
这使得人们对于空间的研究前进了一大步. 其研究对象, 在现代数学中被称为黎曼流形.
```

> 黎曼先生, 千古!

### 流形

```
试着想象一下无边无际的宇宙.
在宇宙中漂浮着一个立体图形, 其外围的整个宇宙,
就是第八个立方体的内部. 这个内外翻转的,
内部包含了整个宇宙的立方体有六个正方形的面,
各个面分别与六个金字塔的底面黏合.
```

```
三维球面和三维骰子面同胚, 是三维流形的一种.
因此, 我们可以把三维球面和三维骰子面当成同样的东西.
```

- 振动是旋转的投影

```
在拓扑空间 X 上取一固定点 p

设集合 F 为以 p 为基点的所有自环的集合

将同伦视为一种等价关系. 将集合 F 除以等价关系 ~,
可得到所有同伦类的集合 F/~

集合 F/~ 的元素为"连续变形后可视为等价的自环的集合"

加入群的运算方法, 使集合 F/~ 成为一个群.
考虑集合 F/~ 的元素, 也就是同伦类之间"连接"的操作,
将其视为群内的运算方法. 因为所有自环共享基点 p,
所以这些自环一定可以连接起来

由这种方法得到的群就叫作"在拓扑空间 X 中, 以 p 为基点的基本群"
```

### 高斯绝妙定理

- 不变量十分重要. 只要没有伸缩曲面, 那么曲面上任意点的高斯曲率就不会改变.
  球面上任意一点的高斯曲率皆等于
  $$ \frac{1}{R^2} $$,
  而平面上任意一点的高斯曲率皆等于 `0`.
  - 也就是说, 在没有伸缩的情况下, 我们不可能将球面展开在平面上.
  - 只要知道曲面的高斯曲率不是 `0`, 便可判断出该曲面无法展开在平面上.

- 在曲面上, 由长度和角度得到的量称为`内蕴量`;
  由曲面镶嵌于空间中的方式所决定的量称为`外蕴量`.
  - 虽然高斯曲率 `K` 是通过外蕴量来定义的,
    但高斯的计算最终证明了它其实是内蕴量.
  - 高斯曲率是第一个被发现的内蕴量.
- 高斯曲率明明是由外蕴性的量定义出来的,
  却可表现出内蕴性的量是多少. 这实在太绝妙了.
  - 因此, 高斯就把这个定理称作`绝妙定理`.

---

- 在球面几何, 欧几里得几何, 双曲几何中, 高斯曲率 `K` 为常数.
  若高斯曲率 `K` 为常数, 则可称该空间拥有`齐性`.
  - 高斯曲率不会随着空间内位置的变化而发生改变.
- 我们可以设齐性条件不成立, 以此进行一般化.
  这表示高斯曲率 `K` 会随着空间中点 `p` 位置的变化而发生改变.
  - 此时高斯曲率就会变成 `K(p)` 这样的函数.
- 于是, 我们之前想到的求
  $$ △ABC $$
  面积的公式, 就不是单纯的乘积, 而是积分了.
  - 法国数学家博内将公式扩展后, 得到了`高斯-博内定理`.
  - $$ α + β + γ - π = KS_{△ABC} $$
    当高斯曲率为常数 `K` 时
  - $$ α + β + γ - π = \int \int_{S_{△ABC}} K(p) dS $$
    当高斯曲率为函数 `K(p)` 时
- 高斯曲率是函数 `K(p)`, 表示我们只要知道曲面中的位置,
  就能知道高斯曲率是多少.
  - 因为弯曲程度不会随着方向的变化而改变是前提,
    所以这里还有进一步一般化的余地.
    这样的性质称为`各向同性`.
  - 从数学层面考虑某个点 `p` 的弯曲程度时,
    不会将其想成高斯曲率这种实数,
    而是会将其想成`曲率张量`.

### 庞加莱猜想

```
物理学的世界 vs 数学的世界

热传导方程      里奇流方程
热传导体        三维闭流形
位置 x         位置 x
时间 t         参数 t
温度           黎曼度量 (里奇曲率)
温度的均匀化    里奇曲率的均匀化
```
