---
title: 普林斯顿概率论读本 (下)
description: 空山不见人, 但闻人语响. 返景入深林, 复照青苔上.
date: 2023-01-08
---

- [普林斯顿概率论读本](https://book.douban.com/subject/35193606/)

### 工具: 卷积和变量替换

- 卷积运算满足:
  - 交换律
  - 结合律
- 卷积: 用两个函数作为输入, 返回一个函数作为输出.
- 对于独立的随机变量, 它们的和的概率密度函数就是它们概率密度函数的卷积.

### 卡方分布

```
相互独立且服从卡方分布的随机变量之和也服从卡方分布. 因此, 卡方分布是一个稳定的分布,
这意味着独立的随机变量之和的形状与每个随机变量的形状相同. 这是个很不寻常的性质,
并且通常难以成立. 例如, 服从均匀分布的随机变量之和不服从均匀分布,
服从指数分布的随机变量之和也不服从指数分布. 另外, 还有其他的稳定分布
(连续型分布包括正态分布和柯西分布, 离散型分布包括泊松分布).
它们在分析中非常有用, 因为函数的形式没有改变.
```

### 不等式和大数定律

- [马尔可夫不等式](https://en.wikipedia.org/wiki/Markov%27s_inequality)
- [切比雪夫不等式](https://en.wikipedia.org/wiki/Chebyshev%27s_inequality)
- [布尔不等式](https://en.wikipedia.org/wiki/Boole%27s_inequality)
- [大数定律](https://en.wikipedia.org/wiki/Law_of_large_numbers)

### 斯特林公式

- [Γ 函数](https://en.wikipedia.org/wiki/Gamma_function)

### 生成函数与卷积

- [斐波那契数](https://en.wikipedia.org/wiki/Fibonacci_sequence)

```
对于相互独立的离散型随机变量, 它们和的概率密度函数就是各随机变量概率的卷积!
```

### 傅里叶分析与中心极限定理

```
解决这个难题的一个方法是研究概率密度函数的傅里叶变换, 它在概率论中被称为特征函数.
稍后我们将看到, 与矩母函数不同, 特征函数总是存在的,
而且是对矩母函数的一个非常接近的类比.
它有更好的性质 (比如存在性!), 而且更易于分析.
这样我们就可以采用之前的证明.
整个思路与之前相似, 但代数运算会略有不同.
```

```
在数学上, 我们可以做的事情是无穷无尽的.
我们几乎可以定义任何东西, 问题是哪些定义是有用的, 哪些定义会带来好的观点.
我们看到了卷积的傅里叶变换就是傅里叶变换的乘积.
当研究随机变量的和时, 我们很难不尝试使用卷积,
因为这是寻找概率密度函数最自然的方法.
由于傅里叶变换与卷积可以很好地相互作用, 我们利用傅里叶变换去证明也就不奇怪了.
```

------------------

- [应用随机过程 (第 11 版)](https://book.douban.com/subject/26761202/)

```
原书已经出了第 12 版, 网上评价这一版翻译较差!
所以买过来随便翻一翻, 不打算认真看.
```

> 没有概率论的严格化 (测度论).

- 期待
  [应用随机过程: 概率模型导论 (第 12 版)](https://www.ituring.com.cn/book/2795)
  - 图灵数学经典

### 条件概率与条件期望

```
马尔可夫不等式和切比雪夫不等式的重要性在于,
在只有概率分布的均值或者均值和方差已知时,
它们使我们能推得所求概率的上界.
当然, 如果真实分布已知,
那么所求的概率可以精确地计算,
我们就不需要求助于上界.
```

```
与强大数定律并驾齐驱地占有概率论中首要荣誉的结果是中心极限定理.
除了它理论上的价值和重要性以外,
它还对于计算独立随机变量的和的近似概率提供了一个比较简单的方法.
它也解释了为什么有那么多自然"总体"的经验频率显示为钟形 (即正态) 曲线这个显著的事实.
```

### 马尔可夫链

- [查普曼-科尔莫戈罗夫等式](https://en.wikipedia.org/wiki/Chapman-Kolmogorov_equation)

### 连续时间的马尔可夫链

- 事实上, 上面的事实给了我们定义连续时间的马尔可夫链的另一个途径.
  即它是一个具有以下性质的随机过程: 每次进入状态 `i` 时有
  - (i) 在转移到不同的状态前, 它处在这个状态的时间是均值为
    $$ 1 / v_i $$
    的指数随机变量;
  - (ii) 当过程离开状态 `i` 时, 以某个概率
    $$ P_{ij} $$
    进入下一个状态 `j`, 当然
    $$ P_{ij} $$
    必须满足
  - $$ P_{ii} = 0 $$,
    对于一切 `i`;
    $$ \sum_{j} P_{ij} = 1 $$,
    对于一切 `i`
- 换句话说, 连续时间的马尔可夫链是一个随机过程,
  它按一个 (离散的) 马尔可夫链从状态运动到状态,
  但是在进入下一个状态前, 停留在每个状态的时间是按指数分布的.
  - 此外, 过程停留在状态 `i` 的时间和下一个访问的状态必须是独立的随机变量.
  - 因为如果下一个访问的状态依赖
    $$ T_i $$,
    那么过程已经在状态 `i` 停留多久的信息将影响下一个状态的预报,
    而这与马尔可夫性假定矛盾.
