---
title: 普林斯顿数学分析读本
description: 秋山敛余照, 飞鸟逐前侣. 彩翠时分明, 夕岚无处所.
date: 2023-03-02
---

- [普林斯顿数学分析读本](https://book.douban.com/subject/35172355/)
  - 这本书很薄!

### 集合论

- 如果每一个
  $$ i \in I $$
  都对应着一个集合
  $$ A_i $$,
  那么
  $$ \mathcal{A} = \left \{ A_i \mid i \in I \right \} $$
  就是`索引集`为 `I` 的集合 `A` 的`索引族`.
  - 在某些情况下, 当我们要处理任意索引集 (其元素为 `a`) 时,
    可以将集合的索引族写成
    $$ \left \{ A_a \right \} $$.
  - 这种类型的索引族也称为`集合族`.

> 并集对应逻辑运算符`或`, 而交集对应逻辑运算符`且`.
  德摩根律基本上是说并集的补集就是各补集的交集, 反之亦然.

### 上确界

- 定义: 上确界和下确界.
  - 设 `E` 是有序集 `S` 的子集. 如果 `S` 中存在 `E` 的一个上界 `α`,
    使得 `S` 中任何小于 `α` 的元素都不是 `E` 的上界,
    那么 `α` 是 `E` 的`最小上界`或`上确界`.
  - 用符号表示,
    $$ α = sup E $$
    即:
  - $$
    α \in S; x \in E \Longrightarrow x \le α;
    且 \gamma \in S, \gamma < α \Longrightarrow \gamma 不是 E 的上界
    $$.
- 同样地, 如果 `S` 中存在 `E` 的一个下界 `β`,
  使得 `S` 中任何大于 `β` 的元素都不是 `E` 的下界,
  那么 `β` 是 `E` 的`最大下界`或`下确界`.
  - 用符号表示,
    $$ β = inf E $$
    即:
  - $$
    β \in S; x \in E \Longrightarrow x \ge β;
    且 \gamma \in S, \gamma > β \Longrightarrow \gamma 不是 E 的下界
    $$.

---

- 定理: 包含在集合中的边界.
- 设 `E` 是有序集 `S` 的子集.
  如果 `E` 的某个上界包含在 `E` 中,
  那么它就是最小上界.
  - 如果 `E` 的某个下界包含在 `E` 中, 那么它就是最大下界.

---

- 定义: 设 `S` 是有序集. 如果 `S` 的每一个有上界的非空子集 `E`
  都在 `S` 中存在 `sup E`, 那么称有序集 `S` 具有`最小上界性`.

---

- 定理: 下界集的上确界.
  - 设 `S` 是具有最小上界性的有序集, 那么 `S` 也具有最大下界性.
    也就是说, `S` 的每一个有下界的非空子集 `B` 都在 `S` 中存在 `inf B`.
  - 此外, 如果设 `L` 为 `B` 的全体下界的集合, 那么 `inf B = sup L`.
- 定理: 上界集的下确界.
  - 设 `S` 是具有最大下界性的有序集. 那么 `S` 也具有最小上界性.
  - 也就是说, `S` 的每一个有上界的非空子集 `B` 都在 `S` 中存在 `sup B`.
  - 此外, 如果设 `U` 为 `B` 的全体上界的集合, 那么 `sup B = inf U`.

### 实数域

- 设 `F` 是任意一个具有加法和乘法两种运算的集合.
  如果 `F` 满足下列`域公理`, 那么 `F` 就是一个`域`:
  - A1. (加法的封闭性) 如果
    $$ x, y \in F $$,
    那么
    $$ x + y \in F $$.
  - A2. (加法交换律)
    $$ \forall x, y \in F $$,
    $$ x + y = y + x $$.
  - A3. (加法结合律)
    $$ \forall x, y, z \in F $$,
    $$ (x + y) + z = x + (y + z) $$.
  - A4. (加法单位元) `F` 包含元素 `0` 使得
    $$ \forall x \in F $$,
    $$ x + 0 = x $$.
  - A5. (加法逆元) 对于每一个
    $$ x \in F $$,
    存在元素
    $$ -x \in F $$
    使得
    $$ x + (-x) = 0 $$.
  - M1. (乘法的封闭性) 如果
    $$ x, y \in F $$,
    那么
    $$ xy \in F $$.
  - M2. (乘法交换律)
    $$ \forall x, y \in F $$,
    $$ xy = yx $$.
  - M3. (乘法结合律)
    $$ \forall x, y, z \in F $$,
    $$ (xy) z = x (yz) $$.
  - M4. (乘法单位元) `F` 包含元素 `1` (且 `1 ≠ 0`) 使得
    $$ \forall x \in F $$,
    $$ 1x = x $$.
  - M5. (乘法逆元) 对于每一个
    $$ x \in F $$,
    如果
    $$ x ≠ 0 $$,
    那么存在元素
    $$ \frac{1}{x} \in F $$
    使得
    $$ (x) \frac{1}{x} = 1 $$.
  - D. (分配律)
    $$ \forall x, y, z \in F $$,
    $$ x (y + z) = xy + xz $$.

- __有序域__ `F` 是一个域, 它也是满足下列公理的有序集:
  - O1. 如果 `y < z`, 那么
    $$ \forall x, y, z \in F $$,
    $$ x + y < x + z $$.
  - O2. 如果 `x > 0` 且 `y > 0`, 那么
    $$ \forall x, y \in F $$,
    $$ xy > 0 $$.

---

- 实数集
  $$ \mathbb{R} $$
  是具有最小上界性且包含
  $$ \mathbb{Q} $$
  的有序域.
  - 换句话说,
    $$ \mathbb{R} $$
    满足有序域的全部公理, 并填充了有理数集中的所有"洞".

- 对于任意一个给定的正实数, 我们都可以找到一个自然数,
  使得这两个数的乘积任意大.
  - 用符号表示, 即:
  - $$ \forall x, y \in \mathbb{R} $$
    且
    $$ x > 0, \exists n \in \mathbb{N} $$
    使得
    $$ nx > y $$.

- 任意两个实数之间都至少存在一个有理数.
  - 用符号表示, 即:
  - $$ x, y \in \mathbb{R} $$
    且
    $$ x < y \Rightarrow \exists p \in \mathbb{Q} $$
    使得
    $$ x < p < y $$.
  - $$ \mathbb{Q} $$
    在
    $$ \mathbb{R} $$
    中的这种性质称为`稠密性`. 我们说
    $$ \mathbb{Q} $$
    在
    $$ \mathbb{R} $$
    中`稠密`.

- 无理数在
  $$ \mathbb{R} $$
  中`稠密`. 任意两个实数之间至少有一个无理数.
  - 用符号表示, 即:
  - $$ x, y \in \mathbb{R} $$
    且
    $$ x < y \Rightarrow \exists p \notin \mathbb{Q} $$
    使得
    $$ x < p < y $$.

---

- 对于任意
  $$ n \in \mathbb{N} $$,
  每个正实数都有唯一的正 `n` 次方根.
  - 用符号表示, 即:
  - $$ \forall x \in \mathbb{R} $$
    且
    $$ x > 0 $$,
    $$ \forall n \in \mathbb{N} $$,
    $$ \exists $$
    唯一的
    $$ y \in \mathbb{R} $$,
    使得
    $$ y > 0 $$
    且
    $$ y^n = x $$.
  - 注意, 偶次方根 (
    $$ √x $$,
    $$ \sqrt[4]{x} $$,
    $$ \sqrt[6]{x} $$
    等) 代表
    $$ \mathbb{R} $$
    中的两个数, 即 `+y` 和 `-y`.
  - 该定理断言有且只有一个正实根.

- 正实数的开方运算对乘法有分配律.
  - 用符号表示, 即:
  - $$ \forall a, b \in \mathbb{R} $$
    且
    $$ a, b > 0 $$,
    $$ \forall n \in \mathbb{N} $$,
    $$ (ab)^{\frac{1}{n}} = a^{\frac{1}{n}} b^{\frac{1}{n}} $$.

### 双射

- 如果集合 `A` 的每一个元素 `x` 都可以在集合 `B` 中找到唯一对应的元素 `f(x)`,
  那么关系 `f` 就是一个`函数` (也称为`映射`).
  - 我们说 `f` 把 `A` 映射成 `B`, 记作
  - $$ f: A \rightarrow B $$,
    $$ f: x \longmapsto f(x) $$.
  - 集合 `A` 称为 `f` 的`定义域`, 集合 `B` 称为 `f` 的`上域`.

---

- 对于任意函数
  $$ f: A \rightarrow B $$
  和任意
  $$ E \subset A $$,
  `f(E)` 是 `E` 中所有元素经 `f` 映射得到的元素的集合.
  - 集合 `f(E)` 叫作 `E` 在 `f` 下的`像`.
  - 用符号来表示, `E` 在 `f` 下的像是集合:
  - $$ f(E) = \left \{ f(x) \mid x \in E \right \} $$.
  - 集合 `f(A)` 称为 `f` 的`值域`.

- 对于任意函数
  $$ f: A \rightarrow B $$
  和任意
  $$ G \subset B $$,
  $$ f^{-1}(G) $$
  是 `A` 中那些在 `f` 下的像包含在 `G` 中的所有元素的集合.
  - 集合
    $$ f^{-1}(G) $$
    称为 `G` 在 `f` 下的`原像`.
  - 用符号来表示, `G` 在 `f` 下的原像是集合:
  - $$ f^{-1}(G) = \left \{ x \in A \mid f(x) \in G \right \} $$.
  - 对于任意
    $$ y \in B $$,
    $$ f^{-1}(y) $$
    是 `A` 中所有像为 `y` 的元素的集合.
  - 用符号来表示, 对于任意
    $$ y \in B $$:
  - $$ f^{-1}(y) = \left \{ x \in A \mid f(x) = y \right \} $$.

- 对于任意函数
  $$ f: A \rightarrow B $$,
  如果关系
  $$ f^{-1}: B \rightarrow A $$
  是一个函数, 那么我们称
  $$ f^{-1} $$
  为 `f` 的`逆`.
  - 如果存在这样的逆, 则称 `f` 是`可逆的`.

---

- 对于任意函数
  $$ f: A \rightarrow B $$,
  如果
  $$ f^{-1}(y) $$
  对于每个
  $$ y \in B $$
  都至少包含 `A` 的一个元素, 那么 `f` 就是 `A` 到 `B` 的`映上`映射.
  - 映上函数也称为`满射函数`或`满射`.

- 如果上域 `B` 中的每一个元素都能被定义域 `A` 中的某个元素映射到,
  那么这个函数就是一个`满射`.
  - 换句话说, `f` 的值域必须是整个 `B`, 也就是说 `f(A) = B`.

- 对于任意函数
  $$ f: A \rightarrow B $$,
  如果
  $$ f^{-1}(y) $$
  对于每个
  $$ y \in B $$
  都至多包含 `A` 中的一个元素, 那么 `f` 就是 `A` 到 `B` 的`一对一`映射.
  - 一对一函数也被称为`单射函数`或`单射`.
- 如果上域 `B` 的每一个元素都被定义域 `A` 中至多一个元素映射到,
  那么这个函数就是`单射`.
  - 换句话说, 对于每一对不同的元素
    $$ x_1, x_2 \in A $$
    ("不同"意味着
    $$ x_1 ≠ x_2 $$
    ), 我们一定有
    $$ f(x_1) ≠ f(x_2) $$.

---

- `双射`是既映上又一对一的函数.
- 当且仅当
  $$ f: A \rightarrow B $$
  是可逆函数时它是双射.
- 实际上, 双射的逆不仅存在, 而且其本身也是一个双射!
  - 如果
    $$ f: A \rightarrow B $$
    是双射, 那么
    $$ f^{-1}: B \rightarrow A $$
    也是双射.

---

- 由
  $$ f: A \rightarrow B $$
  和
  $$ g: B \rightarrow C $$
  这两个函数复合而成的函数是:
  - $$ g \circ f: A \rightarrow C $$,
    $$ g \circ f: x \longmapsto g(f(x)) $$.

### 可数性

- 当两个对象 `a` 和 `b` 之间的关系 `≡` 满足以下三条性质时, 则称为`等价关系`:
  - 性质 1. (自反性) `a ≡ a`.
  - 性质 2. (对称性) 如果 `a ≡ b`, 那么 `b ≡ a`.
  - 性质 3. (传递性) 如果 `a ≡ b` 且 `b ≡ c`, 那么 `a ≡ c`.
- 在这个定义中, `≡` 是用来表示任意关系的符号.

---

- 我们将关系 `~` 定义为:
  - 对于任意两个集合 `A` 和 `B`, 当且仅当存在一个双射
    $$ f: A \rightarrow B $$
    时 `A ~ B`.
- 如果 `A ~ B`, 那么我们说 `A` 和 `B` 是`一一对应`的,
  并且 `A` 和 `B` 具有相同的`基数` (或简称`势`).
  - 势是等价关系. (关系 `~` 是等价关系).

- __有限集的势__. 设 `A` 和 `B` 是有限集, 那么当且仅当
  `A` 和 `B` 具有相同数量的元素时 `A ~ B`.

---

- __可数性__. 对于任意集合 `A`, 如果
  $$ A \sim \mathbb{N} $$,
  我们就说 `A` 是`可数的`.
  - 如果 `A` 是有限的或者可数的, 则 `A` 是`至多可数的`.
  - 如果 `A` 是无限的且不是可数的, 那么 `A` 就是`不可数的`.

- __势与可数性__. 对于任意两个集合 `A` 和 `B`, 如果 `A ~ B`,
  那么 `A` 和 `B` 要么是元素个数相同的有限集,
  要么都是可数集, 要么都是不可数集.

- __无限集__. `无限集`是指至少与它的一个真子集的势相同的集合.

- __子集和超集的势__. 设 `E` 是 `A` 的子集. 如果 `A` 是至多可数的,
  那么 `E` 也是至多可数的. 如果 `E` 是不可数的, 那么 `A` 也是不可数的.

- 实数集
  $$ \mathbb{R} $$
  是不可数的.

---

- __可数集的可数并__. 对于任意
  $$ n \in \mathbb{N} $$,
  设
  $$ E_n $$
  是可数集.
  - 如果
    $$ S = \bigcup_{n = 1}^{\infty} E_n $$,
    那么 `S` 也是可数的.

- __可数集的任意可数并__. 设 `A` 是一个至多可数的集合. 对于任意
  $$ a \in A $$,
  设
  $$ E_a $$
  是一个至多可数的集合. 那么
  $$ T = \bigcup_{a \in A} E_a $$
  也是至多可数的.

---

- __可数集元组__. 设 `A` 是可数集,
  $$ A^n $$
  是由 `A` 中元素构成的全体 `n` 元组的集合, 那么
  $$ A^n $$
  是可数的.

- 有理数集是可数集.
- 无理数集是不可数集.

### 拓扑定义

- `度量空间`是由一个集合 `X` 和一个函数
  $$ d: X \times X → \mathbb{R} $$
  决定的, 并且对于任意
  $$ p, q, r \in X $$,
  下列性质均成立:
  - 性质 1. (距离) 如果
    $$ p ≠ q $$,
    那么
    $$ d(p, q) > 0 $$;
    $$ d(p, p) = 0 $$.
  - 性质 2. (对称性)
    $$ d(p, q) = d(q, p) $$.
  - 性质 3. (三角不等式)
    $$ d(p, q) ≤ d(p, r) + d(r, q) $$.
- `X` 的元素称为`点`, `d` 称为`距离函数`或`度量`.

---

- 一般来说, 当我们说"度量空间
  $$ \mathbb{R} $$
  "时, 实际上是指"有序域
  $$ \mathbb{R} $$
  及其距离函数
  $$ d(p, q) = \mid p - q \mid $$".
  - 设 `X` 是一个度量空间, 其距离函数为 `d`.
    `Y` 是 `X` 的任意一个距离函数也为 `d` 的子集,
    那么 `Y` 也是一个度量空间.

---

- 设 `E` 是度量空间 `X` 的一个子集. 如果 `X` 中存在一点 `q`,
  使得 `q` 到 `E` 中任意一点的距离均小于某个固定的有限实数 `M`,
  那么 `E` 是`有界的`.
  - 用符号来表示, 即如果
  - $$ \exists q \in X $$,
    $$ \exists M \in \mathbb{R} $$
    使得
    $$ \forall p \in E $$,
    $$ d(p, q) ≤ M $$,
  - 那么
    $$ E \subset X $$
    是有界的.
  - 没有界的集合称为`无界集`.

---

- __有界集的并__. 设
  $$ \left \{ A_i \right \} $$
  是度量空间 `X` 的任意子集族. 如果对于每一个
  $$ 1 ≤ i ≤ n $$,
  $$ A_i $$
  均有界, 那么有限并
  $$ \bigcup_{i = 1}^{n} A_i $$
  也是有界的.

- 有界
  $$ \Longleftrightarrow $$
  既有上界又有下界.
  - 设 `F` 是一个有序域, `E` 是 `F` 的任意一个子集.
  - `E` 有界当且仅当 `E` 既有上界又有下界.

---

- __邻域__. 在度量空间 `X` 中, 围绕点 `p` 且半径为 `r > 0` 的邻域
  $$ N_{r} (p) $$
  是 `X` 中与 `p` 的距离小于 `r` 的所有点的集合.
  - 用符号表示, 即
  - $$ N_{r} (p) = \left \{ q \in X \mid d(p, q) < r \right \} $$.

- 设 `E` 是度量空间 `X` 的一个子集. 如果点 `p` 的每个邻域都包含
  `E` 的至少一点 (`p` 本身除外), 那么 `p` 就是 `E` 的`极限点`.
  - 用符号表示, 即如果
  - $$ \forall r > 0 $$,
    $$ N_{r} (p) \bigcap E ≠ \left \{ p \right \} $$
    且
    $$ ≠ \varnothing $$,
  - 那么 `p` 就是
    $$ E \subset X $$
    的极限点.
  - 极限点也称为`聚点`或`累积点`.
  - 包含在 `E` 中的每个非极限点称为 `E` 的`孤立点`.

- 由定义可知, 极限点
  $$ p \in E $$
  的每一个邻域都至少包含 `E` 的另一个点. 事实上,
  我们可以得到更多: `p` 的每一个邻域都包含 `E` 中`无穷多个`点.
  - 这看起来是一个相当大的跳跃, 不是吗?
  - 从包含 `E` 的一个点跳跃到了包含 `E` 的无穷多个点, 但这里的关键是:
  - `p` 的每个邻域都包含 `E` 的一个点, 而 `p` 有无穷多个邻域,
    所以每个邻域都应该包含 `E` 中无穷多个点.

---

- __极限点的无限邻域__. 设 `E` 是度量空间 `X` 的子集.
  如果 `p` 是 `E` 的极限点, 那么对于任意
  $$ r > 0 $$,
  $$ N_{r} (p) $$
  包含 `E` 中无穷多个点.

- __有限集没有极限点__. 度量空间的有限子集没有极限点.

- __闭集__. 如果度量空间的一个子集包含其所有极限点,
  那么该子集就是一个`闭集`.
  - 用符号来表示, 即如果
  - $$ \left \{ p \in X \mid p 是 E 的极限点 \right \} \subset E $$,
  - 那么
    $$ E \subset X $$
    就是一个闭集.

- __有限子集是闭集__. 度量空间的有限子集是闭集.

---

- __稠密集__. 设 `E` 是度量空间 `X` 的一个子集.
  如果 `X` 的每一点均属于 `E` 或是 `E` 的极限点,
  那么 `E` 在 `X` 中是`稠密的`.
  - 用符号来表示, 即如果
  - $$ \forall x \in X $$,
    $$ x \in E $$
    或
    $$ x $$
    是
    $$ E $$
    的极限点,
  - 那么
    $$ E \subset X $$
    在 `X` 中是稠密的.
- 注意, 稠密性是一种`相对`属性. 不能简单地说一个集合是"稠密的";
  只有在度量空间中讨论集合的稠密性才有意义.

- 有理数集
  $$ \mathbb{Q} $$
  在度量空间
  $$ \mathbb{R} $$
  中是稠密的.

---

- __内点__. 设 `E` 是度量空间 `X` 的一个子集.
  如果 `p` 的某个邻域包含在 `E` 中,
  那么点 `p` 就是 `E` 的`内点`.
  - 用符号来表示, 即如果
  - $$ \exists r > 0 $$
    使得
    $$ N_{r} (p) \subset E $$,
  - 那么 `p` 是
    $$ E \subset X $$
    的内点.

- __开集__. 如果度量空间的一个子集的所有点都是该集合的内点,
  那么这个子集就是一个`开集`.
  - 用符号来表示, 即如果
  - $$ \forall p \in E $$,
    $$ \exists r > 0 $$
    使得
    $$ N_{r} (p) \subset E $$,
  - 那么
    $$ E \subset X $$
    是一个开集.

- 度量空间 `X` 中的每个邻域
  $$ N_{r} (p) $$
  都是开集.

---

- __完备集__. 如果度量空间的一个子集是闭集并且它的所有点都是极限点,
  那么这个子集就是一个`完备集`.
  - 换句话说, 如果度量空间的一个子集的极限点恰好是它的所有点,
    那么这个子集就是完备集.

### 闭集和开集

- __开集的补集__. 度量空间 `X` 的子集 `E`
  是开集当且仅当 `E` 的补集是闭集.

- __闭集的补集__. 度量空间 `X` 的子集 `F`
  是闭集当且仅当 `F` 的补集是开集.

```
前面的定理和推论为我们提供了一个将闭集和开集联系起来的好方法,
但不要放松警惕. 始终记住, 开集不是闭集的反义词
(因为集合可以既是开集又是闭集, 也可以两者都不是).
```

- __开集的无限并与闭集的无限交__.
  任意一组开集的并仍是开集.
  - 用符号来表示, 即:
  - $$ \forall a $$
    $$ G_a $$
    是开集
    $$ \Longrightarrow \bigcup_a G_a $$
    是开集.
- 同样地, 任意一组闭集的交仍是闭集.
  - 用符号来表示, 即:
  - $$ \forall a $$
    $$ F_a $$
    是闭集
    $$ \Longrightarrow \bigcap_a F_a $$
    是闭集.

- __开集的有限交和闭集的有限并__. 任意有限个开集的交仍是开集.
  - 用符号来表示, 即:
  - 对于
    $$ 1 ≤ i ≤ n $$,
    $$ G_i $$
    是开集
    $$ \Longrightarrow \bigcap_{i = 1}^{n} G_i $$
    是开集.
- 同样地, 任意有限个闭集的并仍是闭集.
  - 用符号来表示, 即:
  - 对于
    $$ 1 ≤ i ≤ n $$,
    $$ F_i $$
    是闭集
    $$ \Longrightarrow \bigcup_{i = 1}^{n} F_i $$
    是闭集.

> 这个定理 (与上一个定理) 的不同之处在于集合必须是有限多个.

- 度量空间 `X` 的子集 `E` 的所有极限点的集合记为 `E'`.
  - `E` 的`闭包` (记作
    $$ \bar{E} $$
    ) 是集合
    $$ E \bigcup E' $$.

- __闭包是闭集__. 对于度量空间 `X` 的任意子集
  $$ E $$,
  $$ \bar{E} $$
  是闭集.

- 等于闭包
  $$ \Longleftrightarrow $$
  闭集. 对于度量空间 `X` 的任意子集 `E`,
  $$ E = \bar{E} $$
  当且仅当 `E` 是闭集.

---

- __闭包是每个闭超集的子集__.
  设 `E` 是度量空间 `X` 的任意一个子集,
  $$ F \subset X $$
  是任意一个闭集. 如果
  $$ E \subset F $$,
  那么
  $$ \bar{E} \subset F $$.
  - 这个推论表明, 集合 `E` 的闭包是包含 `E` 的最小闭集
    (因为 `E` 的每个闭超集都包含闭包
    $$ \bar{E} $$).
  - 这个结论应该比较直观, 因为如果想构造一个包含 `E` 的闭集,
    那么你就不能忽略 `E` 的任何极限点.

- __闭包中的实数上确界和下确界__. 对于
  $$ \mathbb{R} $$
  中任意一个有上界的非空子集 `E`, 有
  $$ sup $$
  $$ E \in \bar{E} $$.
  如果 `E` 有下界, 那么
  $$ inf $$
  $$ E \in \bar{E} $$.

- __具有实数界的闭集包含其上确界和下确界__. 对于
  $$ \mathbb{R} $$
  中任意一个有上界的非空子集 `E`, 如果 `E` 是闭集, 那么
  $$ sup $$
  $$ E \in E $$.
  如果 `E` 是有下界的闭集, 那么
  $$ inf $$
  $$ E \in E $$.
  - 注意, 这个推论的逆命题 (
    $$ sup $$
    $$ E \in E \Longrightarrow E $$
    是闭集) 不一定为真.

---

- __相对开集__. 设 `E` 是一个集合. 如果对于任意
  $$ p \in E $$,
  存在
  $$ r > 0 $$,
  使得
  - $$ q \in Y $$
    且
    $$ d(p, q) < r \Longrightarrow q \in E $$.
  - 那么集合 `E` __相对于__ `Y` 是`开集`.

- __相对开集__. 对于任意度量空间
  $$ Y \subset X $$,
  `Y` 的子集 `E` 相对于 `Y` 是开集,
  当且仅当存在 `X` 的某个开子集 `G`, 使得
  $$ E = Y \bigcap G $$.
  - 换句话说, `Y` 的每一个相对开子集 `E`
    都可以表示为 `X` 的开子集 `G` 的 `Y` 部分.

```
需要指出的是, 与开集一样, 闭集也是一种相对属性.
相对于 Y 的闭集 E 可能相对于 X 不是闭集
(比如, E 在 X 中有极限点, 但在 Y 中没有).
```

- __相对闭集__. 如果对于每一个满足下列条件的
  $$ p \in Y $$:
  - $$ N_{r} (p) \bigcap E ≠ \left \{ \varnothing \right \} $$
    且
    $$ ≠ \left \{ p \right \} $$,
  - 均有
    $$ p \in E $$,
    那么 `E` __相对于__ `Y` 是`闭集`.

### 紧集

- 你可能会问: "既然集合相对于某些度量空间是开集或闭集,
  但相对于其他度量空间则不是, 那么紧集呢?"
  - 事实上, 在紧集的定义中, 我们完全回避了这个问题.
  - 我们甚至没有具体说明是在 `X` 中还是在其他度量空间中考察 `K` 的开覆盖.
- 正如下一个定理所说, 这真的不重要! 如果集合 `K` 在某个度量空间中是紧集,
  那么它在`每个`度量空间中都是紧集
  (当然, 只要这个度量空间包含 `K`).
- 由于度量空间 `X` 的紧子集 `K` 也是度量空间,
  并且在任何地方都是紧的, 所以我们通常将 `K` 称为`紧度量空间`.
  - 当然, "闭度量空间" 或 "开度量空间" 的说法没有太大意义.
    任何度量空间 `X` 都是其自身的闭子集 (因为它包含 `X` 中的所有极限点),
    也是其自身的开子集 (因为所有邻域都只包含 `X` 中的点).

### 海涅-博雷尔定理

- $$ \mathbb{R}^{k} $$
  的子集 `E` 是紧集当且仅当它既是闭集又是有界集.
  - 这里 "闭集" 和 "有界集" 是指
    $$ \mathbb{R}^{k} $$
    中的闭集和
    $$ \mathbb{R}^{k} $$
    中的有界集.

- $$ \mathbb{R}^{k} $$
  的一个子集 `E` 是紧集, 当且仅当 `E` 的每个无限子集在 `E` 中都有一个极限点.

---

- 注意, 对于任意
  $$ E \subset \mathbb{R}^{k} $$,
  下面三个命题是等价的:
  - __命题 1__. `E` 既是闭集又是有界集.
  - __命题 2__. `E` 是紧集.
  - __命题 3__. `E` 的每个无限子集在 `E` 中都有一个极限点.

- 事实证明, 后两个命题在任何度量空间中都是等价的 (不仅限于
  $$ \mathbb{R}^{k} $$
  ), 但是 "命题 3
  $$ \Rightarrow $$
  命题 2" 的证明非常复杂, 对我们而言是不必要的.

---

- 如果
  $$ \mathbb{R}^{k} $$
  的无限子集 `E` 有界, 那么 `E` 在
  $$ \mathbb{R}^{k} $$
  中有一个极限点.

### 柯西序列与单调序列

```
在讨论收敛性时, 我们看到一些序列可能在一个度量空间中收敛,
但在另一个度量空间中却发散. 因此, 与闭集和开集一样,
收敛性取决于序列所在的度量空间.
那么是否存在一种与收敛性相似, 但不依赖于度量空间的性质呢?
是的, 有! 就像紧性那样, 柯西序列是在任何度量空间中都成立的性质:
某个度量空间中的柯西序列在任何度量空间中都是柯西序列.
```

- 柯西序列并不是越来越接近于某一点, 而是元素之间的距离会越来越小.
  在柯西序列中, 给定任意距离
  $$ \epsilon > 0 $$,
  在某一项之后, 序列中任意两个元素之间的距离都会小于
  $$ \epsilon $$.

- 这可能会导致你认为柯西序列只能在类似于
  $$ \mathbb{R} $$
  的度量空间中收敛, 而关键因素是最小上界性
  (因此柯西序列不可能收敛到任何"洞"). 你是对的!
  我们很快就会看到
  $$ \mathbb{R} $$
  具有一个被称为`完备性`的性质, 这意味着"每个柯西序列都收敛".
  - 虽然仅在完备度量空间中才有"柯西序列
    $$ \Longrightarrow $$
    收敛序列", 但事实证明在任何度量空间中, "收敛序列
    $$ \Longrightarrow $$
    柯西序列".

### 级数

- (几何级数). 如果
  $$ \mid x \mid < 1 $$
  级数
  $$ \sum_{n=0}^{\infty} x^n $$
  收敛到
  $$ \frac{1}{1 - x} $$;
  如果
  $$ \mid x \mid ≥ 1 $$
  级数
  $$ \sum_{n=0}^{\infty} x^n $$
  发散.

- (`p` 级数). 当
  $$ p > 1 $$
  时, 级数
  $$ \sum_{n=1}^{\infty} \frac{1}{n^p} $$
  收敛; 当
  $$ p ≤ 1 $$
  时, 级数
  $$ \sum_{n=1}^{\infty} \frac{1}{n^p} $$
  发散.
  - 注意, 这意味着调和级数
    $$ \sum \frac{1}{n} $$
    是发散的.
