---
title: 费曼物理学讲义 卷二
description: 问君西游何时还? 畏途巉岩不可攀. 但见悲鸟号古木, 雄飞雌从绕林间.
date: 2021-08-15
---

- [费曼物理学讲义: 新千年版](https://book.douban.com/subject/26662048/)

### 电磁学

- 于是, 我们讲, 磁性实际上是一种相对论效应.
  就我们刚才所考虑的两个做平行运动的电荷的情况来说,
  我们应期望对于它们的运动得用数量级为
  $$ v^2 / c^2 $$
  的项来做相对论修正. 这些修正应当与磁力相一致.
  - 但在我们的实验中, 出现于两根导线间的力是怎么回事呢?
  - 那里的磁力是全部磁力. 这看来似乎不像是一种"相对论修正".
  - 而且, 倘若我们估计一下导线里电子的速度 (你们可自行算出来),
    则我们求得它们沿导线的平均速率约为
    $$ 0.01 cms^{-1} $$.
  - 所以
    $$ v^2 / c^2 $$
    约等于
    $$ 10^{-25} $$,
    这肯定是一个可以忽略的"修正".
  - 可是不对! 尽管在这一情况下, 磁力仅等于两运动电荷的"正常"电力的
    $$ 10^{-25} $$
    倍, 但应当记住, 由于几乎完全中和 --
    即由于导线里存在相同数目的质子和电子, "正常"电力已经完全消失了.
  - 由于中和的程度远较
    $$ 1 / 10^{25} $$
    来得准确, 从而那个我们称之为磁力的小小相对论项就是唯一剩下来的项,
    所以它变成了主要的项.
- 正是由于电效应几乎完全抵消, 才使得相对论效应 (即磁现象) 受到研究,
  而其正确方程组 -- 准确至
  $$ v^2 / c^2 $$
  -- 才被发现,
  虽则当时物理学家还不懂得发生的是什么事情.
  - 而这就是为什么当相对论被发现时, 电磁学定律并不需要改变.
  - 它们 -- 不像力学 -- 已准确至
    $$ v^2 / c^2 $$
    的精度了.

---

- 我们曾经说过, 和引力相似, 电力与电荷间距离的平方成反比地减弱,
  这一关系叫作`库仑定律`.
  - 但当电荷运动时, 这一定律就不完全准确 --
    电力也以一种复杂的方式依赖于电荷的运动.
  - 运动电荷之间的作用力, 有一部分我们称之为磁力,
    事实上, 它是电效应的一个方面.
  - 这也是为什么要把这一课题叫作"电磁学"的缘故.
- 由于存在着一个重要的普遍原理, 因而有可能以相对简单的方式来处理电磁力.
  - 我们从实验发现, 作用于某一特定电荷上的力 --
    不管其他电荷的数量和运动方式如何 --
    只取决于该特定电荷的位置,
    速度以及所带的电荷量.
- 我们可把作用于一个以速度 `v` 运动的电荷 `q` 上的力 `F` 写成:
  - $$ \mathbf{F} = q (\mathbf{E} + \mathbf{v} \times \mathbf{B}) $$.
    (`1.1`)
  - 式中 __E__ 和 __B__ 分别叫作电荷所在处的电场和磁场.
  - 重要的是, 来自宇宙中所有其他电荷的力都可用刚才给出的这两个矢量叠加而成.
  - 它们的值将取决于这一电荷位于何处, 并且可能随时间而改变.
  - 此外, 如果我们用另一个电荷来代替该电荷,
    只要世界上所有其他电荷都不改变其位置和运动,
    则作用于这一新电荷上的力恰好与其电荷量成正比.

```
事实证明, 电动力学规律在其中最为简单的那一种形式, 并非人们可以期望的.
要写出一个电荷对另一个电荷所产生的力的公式, 并非那么容易.
的确, 当电荷静止不动时, 库仑力的定律是十分简单的. 但当电荷运动时,
由于时间上的延迟和加速度的影响以及其他一些缘故, 关系就变得复杂了.
因此, 我们并不希望仅仅凭作用于各电荷间的力的规律来介绍电动力学;
而发现更方便的是去考虑另一个观点 --
那是电动力学规律表现得最易于处理的一种观点.
```

- 首先, 我们必须对电和磁矢量即 __E__ 和 __B__ 的概念稍做推广.
  依据一个电荷所感受到的力, 我们已对 __E__ 和 __B__ 下了定义.
  现在我们想要谈谈即使没有电荷存在的某一点的电场和磁场.
  - 实际上, 既然有力"作用在"电荷上, 则当电荷移去时, 那里仍存在"某种东西".
  - 如果位于点 `(x, y, z)` 上的电荷, 在时刻 `t` 感受到由式 (`1.1`)
    所给出的力 __F__, 则我们便可以把矢量 __E__ 和 __B__ 与空间中该点
    `(x, y, z)` 联系起来.
  - 可以认为 `E(x, y, z, t)` 和 `B(x, y, z, t)` 给出了力,
    即可被位于 `(x, y, z)` 点的电荷, 在时刻 `t` 体验到那个力,
    同时满足这样一个条件: 在那里放置该电荷,
    并不扰动产生这场的所有其他电荷的位置或运动.

```
回到电磁场方面来, 虽然它们是按复杂公式由电荷所产生的,
但却具有如下重要特性: 在空间一点的场值与一邻近点的场值之间存在十分简单的关系.
仅凭几个以微分方程表达的这种关系, 我们就能把场完整地描述出来.
正是依靠这样的方程式, 电动力学规律才得以被最简洁地写出.

曾有过种种发明, 试图帮助人们把场的行为形象化.
其中最正确也最抽象的一种是: 仅认为场是位置与时间的数学函数.
我们可以尝试通过在空间的许多点各画出一些矢量来获得一个关于场的思维图像,
其中每一矢量给出该点场的强度和方向.
另外, 我们还可以进一步画出处处都与那些矢量相切的一些线, 比如,
这些线沿着那些箭头并跟踪着场的方向. 当我们这样做时, 就已丧失了矢量长度的痕迹,
但可通过如下办法来记录场的强度, 即对于弱场把场线画得较疏, 而对于强场则把场线画得较密.
我们按惯例使通过垂直于线的每单位面积的线数与场强成正比. 当然, 这只是一种近似,
一般说来, 有时还需要在某处画一些新线以保持线数与场强相配.
```

- 对于任一个闭合面, 净流出量 (或通量)
  等于速度向外的法向分量的平均值乘以该闭合曲面的面积:
  - `通量 = (平均法向分量) · (曲面的面积)`.
    (`1.4`)
- 对于任一矢量场, 绕任一想象中的闭合曲线的环流可以定义为矢量
  (沿一致指向) 的平均切向分量乘以该回路的周长, 即
  - `环流 = (平均切向分量) · (绕行距离)`.
    (`1.5`)
- 只要利用这两个概念 -- `通量`与`环流` -- 我们就能立即描述电学和磁学的所有定律.
  - 你可能不会一下子就理解其意义, 但它们将给出有关电磁方面物理学基本描述方法的一些概念.

---

- 电磁学第一个定律对电场通量是这样描述的:
  - $$ E 通过任一闭合曲面的通量 = \frac{曲面内的净电荷}{\epsilon_{0}} $$,
    (`1.6`)
  - 式中
    $$ \epsilon_{0} $$
    是一常数.
- 如果在闭合曲面内没有电荷, 即使在曲面外附近存在电荷,
  __E__ 的法向分量的平均值仍然等于零, 所以并没有净通量通过该曲面.
  - 为了证明这种表述是强有力的,
    只要再加上来自单个电荷的场是球对称的这个概念做准备,
    就可以证明式 (`1.6`) 与库仑定律是等同的.
  - 对于一个点电荷, 我们做一个包围该电荷的球面, 那么,
    平均法向分量就正好等于 __E__ 在任一点的量值,
    因为这个场必定是径向的, 并且在球面上的任一点具有相同的强度.
  - 现在法则讲, 在球面上的电场乘以球面面积 -- 即跑出去的通量 --
    正比于球面内的电荷.
  - 要是使球的半径增大, 则面积按半径的平方增加;
    电场的平均法向分量乘以该面积仍需等于球面内的电荷,
    因而该场必定随距离的平方减弱.
  - 这就得到了一个"负二次方的"场.
- 在空间如果我们有一条任意而不动的曲线, 并测量电场绕该曲线的环流,
  那么将发现它一般不等于零 (虽则对于库仑定律它为零).
  - 更确切地说, 对于电学还存在第二条定律,
    即对于任一以曲线 `C` 为边缘的 (非闭合) 曲面 `S`,
  - $$ \mathbf{E} 绕 C 的环流 = \frac{d}{dt} (通过 S 的 \mathbf{B} 的通量) $$.
    (`1.7`)
- 再写出下面两个有关磁场 __B__ 的相应方程,
  我们就能完成电磁场的全部规律.
  - $$ \mathbf{B} 通过任何闭合曲面的通量 = 0 $$.
    (`1.8`)
- 对于以曲线 `C` 为边界的曲面 `S`,
  - $$
    c^{2} (\mathbf{B} 绕 C 的环流) =
    \frac{d}{dt} (通过 S 的 \mathbf{E} 的通量) +
    \frac{通过 \mathbf{S} 的电流通量}{\epsilon_{0}}
    $$.
    (`1.9`)
  - 式 (`1.9`) 中出现的常数
    $$ c^2 $$
    为光速的平方, 它之所以出现是由于磁实际上是电的一种相对论效应.
  - 至于插入常数
    $$ \epsilon_{0} $$,
    则是为了方便地导出电流的单位.

### 静电学

> 现在我们开始对电磁学理论做详细的研究.
  全部电磁学都包含在麦克斯韦方程组中.

- 麦克斯韦方程组:
  - $$ \boldsymbol{\nabla} \cdot \mathbf{E} = \frac{\rho}{\epsilon_{0}} $$;
    (`4.1`)
  - $$
      \boldsymbol{\nabla} \times \mathbf{E} = -
      \frac{\partial \mathbf{B}}{\partial t}
    $$;
    (`4.2`)
  - $$
      c^2 \boldsymbol{\nabla} \times \mathbf{B} =
      \frac{\partial \mathbf{E}}{\partial t} +
      \frac{\mathbf{j}}{\epsilon_{0}}
    $$;
    (`4.3`)
  - $$ \boldsymbol{\nabla} \cdot \mathbf{B} = 0 $$.
    (`4.4`)
- 由这些方程所描述的情况可能十分复杂. 我们将首先考虑那些相对简单的情况,
  以便在研究更复杂的问题以前, 学会如何去处理这些简单情况.
  - 其中最容易处理的是任何事物都与时间无关 -- 叫作静态 -- 的情况.
  - 所有电荷都永远固定在空间里, 即使它们确实在运动,
    也只是作为电路中的恒定电流而运动 (使得
    $$ \rho $$
    和
    $$ \mathbf{j} $$
    都不随时间而变).
- 在这种情况下, 麦克斯韦方程组中所有场对时间微商的项都等于零.
  - 这样, 麦克斯韦方程组变成:
- __静电学__
  - $$ \boldsymbol{\nabla} \cdot \mathbf{E} = \frac{\rho}{\epsilon_{0}} $$;
    (`4.5`)
  - $$ \boldsymbol{\nabla} \times \mathbf{E} = 0 $$.
    (`4.6`)
- __静磁学__
  - $$
      \boldsymbol{\nabla} \times \mathbf{B} =
      \frac{\mathbf{j}}{\epsilon_{0} c^2}
    $$;
    (`4.7`)
  - $$ \boldsymbol{\nabla} \cdot \mathbf{B} = 0 $$.
    (`4.8`)
- 关于这四个方程组, 你将会注意到一个有趣情节.
  这组方程可以分成两对, 电场
  $$ \mathbf{E} $$
  仅出现在前两个方程中, 而磁场
  $$ \mathbf{B} $$
  仅出现在后两个方程中, 电场和磁场并不互相关联.
  - 这意味着, 只要电荷和电流是静止的, 则电和磁就是两个性质不同的现象.
  - 直到诸如电容器充电或移动磁铁引起电荷或电流的变化,
    $$ \mathbf{E} $$
    与
    $$ \mathbf{B} $$
    的相关性仍不会显露出来.
  - 只有变化足够迅速, 使得麦克斯韦方程组中那些时间微商变得显著时,
    $$ \mathbf{E} $$
    与
    $$ \mathbf{B} $$
    才会相互关联起来.
- 现在, 如果你注意那些静止情况的方程, 你将会看到,
  从弄清楚关于矢量场的数学特性的观点来看,
  学习这两门称为静电学与静磁学的学科是理想的.
  - 因为静电学是矢量场具有零旋度和某一给定散度的一个极佳例子;
  - 而静磁学则是矢量场具有零散度和某一给定旋度的极佳例子.
  - 更规范的 -- 而你可能认为是更满意的 -- 表达电磁学理论的方法是先从静电学出发,
    于是学习有关散度方面的知识; 稍后再处理静磁学和旋度;
    最后, 才把电学和磁学结合起来.
- 我们已决意从矢量运算的完整理论开始.
  - 现在就把这种理论应用于静电学的特殊情况, 场
    $$ \mathbf{E} $$
    由第一对方程给出.

---

- 我们的结果是静电场一条重要而普遍的定律, 称为高斯定律.
- __高斯定律__:
- $$ \int_{任意闭合曲面 S} E_n da = \frac{曲面内电荷的总和}{\epsilon_0} $$
  (`4.34`)
- 或
- $$
    \int_{任意闭合曲面 S} \mathbf{E} \cdot \mathbf{n} da =
    \frac{Q_内}{\epsilon_0}
  $$
  (`4.35`)
- 式中
- $$ Q_内 = \sum_{在 S 内} q_i $$.
  (`4.36`)
- 如果我们用电荷密度
  $$ \rho $$
  来描述电荷的位置, 则可认为每个无限小体积
  $$ dV $$
  内含有"点"电荷
  $$ \rho dV $$.
  - 这样, 对所有电荷的和, 就是积分
  - $$ Q_内 = \int_{S 内体积} \rho dV $$.
    (`4.37`)

### 高斯定律的运用

```
我们的结论并非意味着, 不可能用电力来平衡一个电荷.
只要人们愿意采取适当措施, 控制那些支承电荷的位置或大小, 那便是可能的.
你知道, 竖立在引力场中的一根棍子是不会稳定的,
但这并未证明它就不能在手指尖上达到平衡.
同理, 一个电荷可能会被一些电场固定在一点上, 只要那些场是可变的.
但电荷决不会为一个被动的 -- 也即是静止不动的 -- 系统所固定.
```

```
现在考虑带电导体的内部情况 (所谓"内部"我们指的就是金属本身).
由于金属是导体, 其内部的场必然为零, 即势 Φ 的梯度为零.
这意思是说, Φ 不会逐点变化. 每个导体是一个等势区, 而它的表面是一个等势面.
由于在导电性材料中电场处处为零, 所以 E 的散度也为零,
而根据高斯定律在导体内部的电荷密度一定等于零.

如果在导体中不可能有电荷, 那它怎么还能够带电呢?
当我们说某一导体"带电"时, 其意思到底是指什么呢?
电荷在哪里? 答案是: 它们会存在于导体的表面上,
那里有强大的力把它们保持住而不致离开 -- 它们并非完全"自由"的.
今后, 当我们学习固体物理时将发现,
在任何导体上的附加电荷平均来说都位于表面的一两个原子层内.
对于我们眼前的目的来说, 这样说就已经足够准确,
即如果任何电荷被放上或放进导体之内, 它将聚集在表面上, 在导体内部没有电荷.

我们也注意到, 正好在导体表面外的电场必定与表面垂直, 不可能有切向分量.
假如有切向分量, 电子就会沿表面运动, 没有任何力来阻止它们.
按另一种方式讲, 我们知道, 电场线必须始终与等势面成直角.
```

```
我们已经证明: 如果一个空腔给导体完全包围住,
则任何外部静止的电荷分布都不可能在其内部产生出任何场.
这说明了通过将电学设备放在一个金属盒内就能把它们"屏蔽"起来的原理.
同样某些论证也可用来证明,
在一导体闭合面内部的任何静电荷分布不可能在其外部产生出任何场.
屏蔽对双方都有效!
在静电学中 -- 但不是在变化着的场中 -- 一个闭合导体壳两边的场是完全独立的.
现在你明白, 为什么以往在核对库仑定律时能够达到那么高的精度.
所用空壳的形状是无关重要的, 并不一定是球形, 立方的也可以!
如果高斯定律严格正确, 则里面的场始终为零.
```

### 在各种情况下的电场

- 首先我们要指出, 全部数学问题在于解静电学的两个麦克斯韦方程:
  - $$ \boldsymbol{\nabla} \cdot \mathbf{E} = \frac{\rho}{\epsilon_{0}} $$;
    (`6.1`)
  - $$ \boldsymbol{\nabla} \times \mathbf{E} = 0 $$.
    (`6.2`)
- 实际上, 上述两方程也可合并成一个方程.
  从第二个方程我们立即知道可以把场描述为标量的梯度:
  - $$ \mathbf{E} = - \boldsymbol{\nabla} \phi $$.
    (`6.3`)
- 如果我们乐意, 就可以用势
  $$ \phi $$
  完整地描写任一个特定电场.
  将式 (`6.3`) 代入式 (`6.1`) 中, 便可得到
  $$ \phi $$
  所应服从的微分方程
  - $$
      \boldsymbol{\nabla} \cdot \boldsymbol{\nabla} \phi = -
      \frac{\rho}{\epsilon_{0}}
    $$.
    (`6.4`)
- $$ \phi $$
  梯度的散度与用
  $$ \nabla^2 $$
  对
  $$ \phi $$
  进行运算的结果相同, 即
  - $$
      \boldsymbol{\nabla} \cdot \boldsymbol{\nabla} \phi =
      \nabla^2 \phi =
      \frac{\partial^2 \phi}{\partial x^2} +
      \frac{\partial^2 \phi}{\partial y^2} +
      \frac{\partial^2 \phi}{\partial z^2}
    $$.
    (`6.5`)
- 因此, 我们便可将式 (`6.4`) 写成
  - $$ \nabla^2 \phi = - \frac{\rho}{\epsilon_{0}} $$.
    (`6.6`)
- 算符
  $$ \nabla^2 $$
  称为拉普拉斯算符, 而式 (`6.6`) 则称为泊松方程.
- 从数学的观点看, 静电学整个课题只不过是学习这一方程式 (`6.6`) 的解.
  - 一旦
    $$ \phi $$
    由解方程式 (`6.6`) 得出, 便可立即由式 (`6.3`) 求得
    $$ \mathbf{E} $$.
- 我们将首先提出其中
  $$ \rho $$
  作为 `x`, `y`, `z` 的函数是已知的那种特殊类型的问题.
  在这种情况下问题几乎是琐碎肤浅的,
  因为我们已知道式 (`6.6`) 的一般解了.
  - 以前就曾证明过:
  - 若
    $$ \rho $$
    在每点均为已知, 则在点 (`1`) 处的势就是
  - $$ \phi (1) = \int \frac{\rho (2) d V_2 }{4 \pi \epsilon_{0} r_{12}} $$,
    (`6.7`)
  - 式中
    $$ \rho (2) $$
    和
    $$ d V_2 $$
    分别代表点 (`2`) 处的电荷密度和体积元, 而
    $$ r_{12} $$
    则为 (`1`) 与 (`2`) 两点间的距离.

### 矢量场的微分运算

```
真正理解一个方程式 -- 即不仅在严格的数学意义上 -- 意味着什么, 狄拉克对此早就有所评述.
他说: "如果我没有实际解一个方程, 而对其解的特性已有一种估计办法, 那我就懂得了该方程的意义."
因此, 若我们无须实际解那个方程, 而对在给定情况下会发生什么便已有一种了解的办法,
则我们便算"理解"了应用到这些情况上去的那个方程了.
物理上的理解乃是一种完全非数学性, 不精确和不严格的事,
但对于一个物理学家来说却是绝对必需的.
```

- 下面列举一些来自矢量代数的等式, 并假定你们都已知道了.

$$
\begin{cases}
  \mathbf{A} · \mathbf{B} & = 标量 \\
                          & = A_x B_x + A_y B_y + A_z B_z \\
  \mathbf{A} \times \mathbf{B} & = 矢量 \\
  (\mathbf{A} \times \mathbf{B})_z & = A_x B_y - A_y B_x \\
  (\mathbf{A} \times \mathbf{B})_x & = A_y B_z - A_z B_y \\
  (\mathbf{A} \times \mathbf{B})_y & = A_z B_x - A_x B_z \\
  \mathbf{A} \times \mathbf{A} & = 0 \\
  \mathbf{A} · (\mathbf{A} \times \mathbf{B}) & = 0 \\
  \mathbf{A} · (\mathbf{B} \times \mathbf{C}) & =
  (\mathbf{A} \times \mathbf{B}) · \mathbf{C} \\
  \mathbf{A} \times (\mathbf{B} \times \mathbf{C}) & =
  \mathbf{B} (\mathbf{A} · \mathbf{C}) -
  \mathbf{C} (\mathbf{A} · \mathbf{B})
\end{cases}
$$

- 我们也要用到从微分学方面得来的下列两个等式:
  - $$
      Δf(x, y, z) =
      \frac{\partial f}{\partial x} Δx +
      \frac{\partial f}{\partial y} Δy +
      \frac{\partial f}{\partial z} Δz
    $$
  - $$
      \frac{\partial ^2 f}{\partial x \partial y} =
      \frac{\partial ^2 f}{\partial y \partial x}
    $$
  - 当然, 第一个等式只有在
    $$ Δx $$,
    $$ Δy $$,
    $$ Δz $$
    都趋于零的极限时才正确.

---

- 现在我们将不加证明地陈述两个数学定理.
  它们是物理学家已经知道的十分有趣而又有用的定理.
- 在一个物理问题中, 我们经常发现某一个量, 比如矢量场
  $$ \mathbf{A} $$
  的旋度为零.
  - 我们已看到, 一个梯度的旋度为零, 这是很容易记住的, 因为这种情形是矢量造成的.
  - 于是, 有可能肯定
    $$ \mathbf{A} $$
    是某一个量的梯度, 这样它的旋度才必然等于零.
- 这个有趣的定理说明, 如果
  $$ curl \mathbf{A} $$
  等于零, 则
  $$ \mathbf{A} $$
  总是某种东西的梯度, 存在某一标量场
  $$ \psi $$
  使得
  $$ \mathbf{A} $$
  等于
  $$ grad \psi $$.
  - 换句话说, 我们有定理:
  - 如果
    $$ \boldsymbol{\nabla} \times \mathbf{A} = 0 $$,
    就有一个
    $$ \psi $$
    使得
    $$ \mathbf{A} = \boldsymbol{\nabla} \psi $$.
    (`2.50`)
- 若
  $$ \mathbf{A} $$
  的散度为零, 则有一个相似的定理.
  - 我们已看到, 某个矢量旋度的散度总是零.
- 如果你遇到
  $$ div \mathbf{D} $$
  为零的一个矢量场
  $$ \mathbf{D} $$,
  那你就可以得出结论,
  $$ \mathbf{D} $$
  是某个矢量场
  $$ \mathbf{C} $$
  的旋度.
  - 定理:
  - 如果
    $$ \boldsymbol{\nabla} · \mathbf{D} = 0 $$,
    就有一个
    $$ \mathbf{C} $$
    使得
    $$ \mathbf{D} = \boldsymbol{\nabla} \times \mathbf{C} $$.
    (`2.51`)

---

- 我们把
  $$ \nabla^2 $$
  看成一个新的算符. 这是一个标量算符. 由于它经常出现在物理学中,
  因而已被赋予一个专用名称, 即`拉普拉斯算符`.
  - $$
      拉普拉斯算符 = \nabla^2 =
      \frac{\partial ^2}{\partial x^2} +
      \frac{\partial ^2}{\partial y^2} +
      \frac{\partial ^2}{\partial z^2}
    $$.
    (`2.54`)
- 由于拉普拉斯算符是一个标量算符, 就可以用它来对一矢量进行运算,
  这意味着对在直角坐标系的每一个分量进行同一种运算:
  - $$ \nabla^{2} \mathbf{h} = (\nabla^{2} h_x, \nabla^{2} h_y, \nabla^{2} h_z) $$.

---

- (a)
  $$ \boldsymbol{\nabla} · (\boldsymbol{\nabla} T) = \nabla^2 T = 标量场 $$;
- (b)
  $$ \boldsymbol{\nabla} \times (\boldsymbol{\nabla} T) = 0 $$;
- (c)
  $$ \boldsymbol{\nabla} (\boldsymbol{\nabla} · \mathbf{h}) = 矢量场 $$;
- (d)
  $$ \boldsymbol{\nabla} · (\boldsymbol{\nabla} \times \mathbf{h}) = 0 $$;
- (e)
  $$
    \boldsymbol{\nabla} \times (\boldsymbol{\nabla} \times \mathbf{h}) =
    \boldsymbol{\nabla} (\boldsymbol{\nabla} · \mathbf{h}) -
    \nabla^2 \mathbf{h}
  $$;
- (f)
  $$
    (\boldsymbol{\nabla} · \boldsymbol{\nabla}) \mathbf{h} =
    \boldsymbol{\nabla}^2 \mathbf{h} =
    矢量场
  $$.

> 你可能会注意到, 我们从未试图发明一个新的矢量算符
  $$ (\boldsymbol{\nabla} \times \boldsymbol{\nabla}) $$.
  你看这是为什么?

### 矢量积分运算

- 这就证明, 一无限小立方体表面向外的通量等于该矢量的散度乘以该立方体的体积.
  现在我们看到了一个矢量的散度的"意义".
  - 一个矢量在 `P` 点的散度就是 `P` 点附近`单位体积`的通量,
    $$ \mathbf{C} $$
    的向外"流量".
- 我们已把
  $$ \mathbf{C} $$
  的散度与每个无限小体积向外的
  $$ \mathbf{C} $$
  通量联系起来了.
  - 对于任何有限体积来说, 我们可用上面证明过的事实:
    来自一体积的总通量等于从其中每一部分出来的通量之和.
  - 这就是说, 我们可遍及整个体积对散度进行积分.
- 它向我们提供了这样一个定理:
  任何矢量的法向分量对任何闭合曲面的积分,
  也可以写成该矢量的散度对该曲面所包围的体积的积分.
  - 这个定理以高斯命名.
- __高斯定理__:
  - $$
      \int_{S} \mathbf{C} \cdot \mathbf{n} da =
      \int_{V} \nabla \cdot \mathbf{C} dV
    $$,
    (`3.18`)
  - 式中 `S` 是任一闭合曲面, 而 `V` 是这个曲面内的体积.

---

- 用任意合适的曲面 `S` 将回路填满, 并把绕这个面上一系列无限小正方形的环流加起来.
  这个和可以写成一个积分. 其结果是以斯托克斯命名的一个十分有用的定理.
  - __斯托克斯定理__:
  - $$
      \oint_{\Gamma} \mathbf{C} · d \mathbf{s} =
      \int_{S} (\nabla \times \mathbf{C})_{n} d a
    $$,
    (`3.38`)
  - 式中 `S` 是以
    $$ \Gamma $$
    为边界的任意曲面.

---

1. 算符
  $$ \partial / \partial x $$,
  $$ \partial / \partial y $$,
  $$ \partial / \partial z $$
  可以认为是矢量算符
  $$ \boldsymbol{\nabla} $$
  的三个分量, 而把这一算符
  - $$
      \boldsymbol{\nabla} =
      (\partial / \partial x,
      \partial / \partial y,
      \partial / \partial z)
    $$
  - 作为矢量处理后, 从矢量代数所获得的那些公式都是正确的.
2. 标量场在两点的差值等于该标量梯度的切向分量沿连接
  `(1)` 和 `(2)` 这两点间`任意曲线`的线积分:
  - $$
      \psi(2) - \psi(1) = \int_{(1)}^{(2)}
      \boldsymbol{\nabla} \psi \cdot ds
    $$.
    (`3.42`)
3. 任意矢量的法向分量在一个闭合曲面上的面积分等于该矢量的散度对该闭合曲面内体积的积分:
  - $$
      \int_{闭合曲面} \mathbf{C} \cdot \mathbf{n} da =
      \int_{曲面内体积} \boldsymbol{\nabla} \cdot \mathbf{C} dV
    $$.
    (`3.43`)
4. 任意矢量的切向分量绕一闭合回路的线积分,
  等于该矢量旋度的法向分量对以该回路为边界的任意曲面的面积分, 即
  - $$
      \int_{边界} \mathbf{C} \cdot d \mathbf{s} =
      \int_{曲面} (\boldsymbol{\nabla} \times \mathbf{C})
      \cdot \mathbf{n} da
    $$.
    (`3.44`)

### 弯曲空间

```
总之, 这就是我们在时空中定义"直线"所能够使用的概念.
时空中沿恒定方向的匀速运动与空间中的直线相类似.
空间中最短距离的曲线与时空中相对应的并不是最短时间的路径,
而是最长时间的路径, 这是由于相对论中 t 项符号所引起的怪事.
于是, "直线"运动 -- 类似于"沿直线的匀速运动" --
就是以这种方式进行的运动, 它使表在某个时刻从某个地方出发,
在另一时刻到达另一地方的运动中给出最大的时间读数.
这就是时空中类似于直线的定义.
```

```
根据等效原理, 对于在自由落体加速度为 g
的引力场中高度相隔 H 的两只钟来说,
相同的结果必然成立.
```

```
物体从一个地方运动到另一个地方,
它总是使得其所携带的钟给出的时间比之在其他任何可能的轨道上运动所用的时间要长
-- 当然, 开始和结束的条件应相同. 运动的钟测得的时间常常称为"固有时".
在自由落体运动中, 运动轨道使得物体的固有时最大.
```

```
所以引力定律可以用这种非凡的方法, 利用时空的几何概念来表述.
粒子总是取最长的固有时 - 在时空中与"最短距离"这个量相似.
这是引力场中的运动定律. 用这种方法表述的最大优点在于:
定律不依赖任何坐标或任何别的定义位置的方法.
```

- 现在把上面所做的事情作一小结. 我们已经给了你们关于重力的两个定律:
  - (1) 当存在物质时, 时空的几何学如何变化 -- 即,
    利用逾半径表示的曲率正比于球内部的质量.
  - (2) 在仅存在引力的条件下, 物体如何运动 --
    即物体的运动总是使得在两个边界条件之间的固有时为极大.

```
这两个定律与我们早先知道的相似的一对定律相对应.
原来, 我们用牛顿的平方反比的引力定律及他的运动定律来描述引力场中物体的运动,
现在, 定律 (1) 和 (2) 代替了它们.
新的一对定律也与我们在电动力学中知道的定律相对应.
```

- 那里的定律 -- 麦克斯韦方程组 -- 决定电荷产生的场.
  它告诉我们"空间"的特征如何因带电物质的存在而改变, 对于重力的情况,
  这种变化是由定律 (1) 完成的.
  - 另外, 还有一个关于粒子如何在给定场中运动的定律
    $$ d(m \mathbf{v}) / dt = q (\mathbf{E} + \mathbf{v} \times \mathbf{B}) $$.
  - 对于重力来说, 这是由定律 (2) 处理的.
- 在定律 (1) 和 (2) 中包含了关于爱因斯坦引力理论的精确表述 --
  虽然你们通常会发现更好地讲是
  $$ G / (3 c^4) $$
  乘星球包含的总能量值.
  - 这个定律 -- 定律 (1) -- 在任何运动系统内都应该是正确的,
    这是伟大的引力定律之一, 称为`爱因斯坦场方程`.
  - 另一个伟大定律是定律 (2) -- 物体必须这样运动,
    使得固有时为极大 -- 这被称为`爱因斯坦运动方程`.

### 最小作用量原理

- 让我把这里面的意义说得更清楚些. 如果我们考虑引力场的情况,
  那么若粒子的路径为
  $$ x(t) $$
  (让我们暂时只考虑一维, 即是一条升高, 降落, 但绝不会偏斜的轨道),
  其中
  $$ x $$
  是地面以上的高度, 则在任一时刻动能为
  $$ \frac{1}{2} m (dx / dt)^{2} $$,
  而势能为
  $$ mgx $$.
  - 现在我沿该路径在每一时刻取动能减去势能再对时间自始至终进行积分.
  - 假定在起始时刻
    $$ t_1 $$
    由某一高度出发, 并在结束时刻
    $$ t_2 $$
    确实到达了另外某一点.
  - 那么该积分就是

$$
\int_{t_1}^{t_2}
\left [
  \frac{1}{2} m (\frac{dx}{dt})^{2} - mgx
\right ] dt
$$.

- 实际的运动为某种类型的一条曲线 -- 如果作一个`位置-时间`图,
  它是一条抛物线 -- 而对于该积分会给出一个确定的值.
  - 但我们也可以设想另一种运动, 它升得很高, 而且以某种特殊的方式上升和下落.
  - 我们可以算出动能减去势能并对这么一个路径或其他任何我们所想要的路径积分.
  - 令人诧异的是, 真正的路径就是那一条会使这一积分取得最小值的路径.

---

- 我们将遇到的数学问题会十分困难, 而且是一个崭新的课题.
  我们有某一个叫作作用量 `S` 的量.
  它是动能减去势能后对时间的积分.
  - $$ 作用量 = S = \int_{t_1}^{t_2} (动能 - 势能) dt $$.
- 记住势能和动能两者都是时间的函数.
  对每条不同的可能路径你将获得有关这个作用量不同的值.
  我们的数学问题是找出使这个数值最小的那一条曲线.
- 你会说 -- 呵, 那不过是普通微积分学中的极大和极小问题罢了.
  在算出了作用量之后, 只要求导就能找出那个极小值.
- 但是要小心. 通常我们只有某变量的函数,
  而我们得求出使该函数为最小或最大的那个变量值.
  - 但现在对于空间每一条路径我们有一个数值 -- 完全不同的事件 --
    而我们得找出那一条会使该数值极小的空间路径.
  - 那是完全不同的一个数学分支. 它并不是普通的微积分.
    事实上, 它被称为变分学.
- 有许多问题属于这一类数学. 例如,
  圆周往往被定义为与一固定点的距离为常数的所有点的轨迹.
  - 但圆周还有另一种定义的方法:
  - 圆周是具有给定长度而包围最大面积的那条曲线.
  - 对于给定周长来说, 任何其他曲线所包围的面积都比圆周包围的要小.
  - 因此, 若我们提出这样一个问题:
  - 试求给定周长而能包围最大面积的那条曲线,
    我们就会有一个变分学问题 -- 与你们熟悉的有所不同的一种微积分.

### 静电能

- 实际情况是, 在自然界中能量是局域守恒的.
  我们能够找到关于能量在哪里以及它如何从一处跑到另一处的公式.
- 能够说出能量在哪里是重要的事情, 还有一个物理上的原因.
  按照引力理论, 所有质量都是引力之源. 我们也知道, 根据式
  $$ E = m c^2 $$,
  质量与能量彼此等价.
  - 因此, 所有能量就都是引力之源.
  - 要是我们不能够指明能量的位置, 也就不能够指明质量的位置.
  - 我们将不可能说出引力场的源究竟位于何处. 因而引力理论将是不完整的.
- 若把我们限制在静电学的范围里, 确实无法说出能量的位置在哪里.
  电动力学完整的麦克斯韦方程会向我们提供多得多的知识
  (尽管此时答案严格说来仍不是唯一的), 因此,
  我们将在后面一章中再详细讨论这个问题,
  现在仅仅给出在静电学的特殊情况下的那种结果.
- 能量在电场所在的空间里, 这似乎很合理, 因为我们知道,
  当电荷加速时它们会辐射出电场来. 我们愿意这么说,
  即当光或无线电波从一点传播至另一点时, 它们随身带着能量,
  但是在这些波中却没有电荷.
  - 因此喜欢把能量定域在电磁场所在的地方, 而不是在其发出来的电荷那里.
  - 于是我们不用电荷而是用由电荷所产生的场来描述能量.

### 静磁学

- 磁力还具有一种奇怪的方向特性: 在空间任一特定点上,
  这力的方向和大小均取决于该粒子的运动方向.
  - 在任一时刻, 这力总是垂直于速度矢量;
    并在任一特定点上, 这力又总是与空间中某一固定方向成直角;
    而且, 力的大小是与垂直于这一规定方向的速度分量成正比的.
- 所有这一切行为都能由一个定义为磁场矢量的 __B__ 来加以描述.
  这个矢量不仅在空间规定出唯一方向,
  并且还规定力与速度成正比的那个比例常数, 从而写出磁力为
  $$ q \mathbf{v} \times \mathbf{B} $$.
  - 于是, 作用于电荷上的总电磁力就可以写成
    $$ F = q(\mathbf{E} + \mathbf{v} \times \mathbf{B}) $$.
  - 这称为`洛伦兹力`.

### 麦克斯韦方程组

```
麦克斯韦完成了物理学中几项重大统一事业中的一项.
在他之前, 既有光, 也有电和磁.
这后两者是由法拉第, 奥斯特和安培通过实验工作而统一的.
然后突然地, 光不再是"别的某种东西",
而只是在这种新形式下的电和磁 --
独自穿越空间而传播着的一小块一小块的电场和磁场.
```

- 曾提醒过你们要注意这种特解的某些特点,
  但事实却证明, 任何电磁波都具有这些特点:
  即磁场和电场分别与波前运动的方向垂直;
  而且 __E__ 和 __B__ 这两矢量又彼此互相垂直.
  - 此外, 电场的大小 __E__ 等于磁场的大小 __B__ 乘 `c`.
  - 这三个事实: 两种场都垂直于传播方向, __B__ 垂直于 __E__, 而
    $$ \mathbf{E} = c \mathbf{B} $$
    对于任何电磁波都普遍正确.

### 场的能量和场的动量

```
事实证明, 能量守恒是一种局域过程.
在某个给定空间区域里不但存在能量密度,
而且也存在代表穿越表面的能量流动速率的矢量.

例如, 当有一个光源向外辐射时, 我们能够求出从该源发射出来的光能.
如果设想某个包围着该光源的数学曲面,
那么从这个曲面内部所损失的能量就等于穿越该曲面流出去的能量.
```
