---
title: 费曼物理学讲义 卷三
description: 晓镜但愁云鬓改, 夜吟应觉月光寒. 蓬山此去无多路, 青鸟殷勤为探看.
date: 2021-08-15
---

- [费曼物理学讲义: 新千年版](https://book.douban.com/subject/26662048/)
  - 个人观点: 当下, 费曼物理学讲义不值得阅读~ 市面上不乏更好的书籍.

### 量子行为

- 顺便指出, 在处理经典波动时, 我们定义强度为波的振幅平方对时间的平均值,
  并且使用复数作为简化分析的数学技巧.
  - 但是在量子力学中结果发现振幅必须用复数表示, 仅有实部是不行的.
  - 目前, 这是一个技术上的问题, 因为公式看上去完全一样.

> 抱歉, 已经不是: 这是一个技术上的问题.

- 在我们的实验中, 我们发现不可能这样安排光源, 即: 使人们既可以说出电子穿过哪个小孔,
  同时又不扰动分布图样.
- 海森伯提出, 只有认为我们的实验能力有某种前所未知的基本极限,
  才能使当时发现的新的自然界的定律协调一致.
- 他提出了作为普遍原理的不确定性原理, 在我们的实验中, 它可以这样表述:
  - "要设计出一种装置来确定电子经过哪一个小孔,
    同时又不使电子受到足以破坏其干涉图样的扰动是不可能的".
  - 如果一套装置能够确定电子穿过哪一个小孔, 它就不能巧妙得使图样不受到实质性的扰动.
- 还没有一个人找到 (或者甚至想出) 一条绕过不确定性原理的途径.
  所以我们必须假设它描述的是自然界的一个基本特征.
- 我们现在用来描写原子, 事实上也描写所有物质的量子力学的全部理论都取决于不确定性原理的正确性.
  由于量子力学是这样一种成功的理论, 我们对于不确定性原理的信任也就加强了.
  - 但是如果一旦发现了一种能够"推翻"不确定性原理的方法, 量子力学就会得出自相矛盾的结果,
    因此也就不再是自然界的有效的理论, 而应予以抛弃.

---

- "很好", 你们会说:"那么命题`A`呢? 电子要么通过小孔`1`, 要么通过小孔`2`,
  这是正确的还是不正确的呢?"
  - 唯一可能作出的回答是, 我们从实验上发现, 为了使自己不致陷于自相矛盾,
    我们必须按一种特殊方式思考问题.
  - 我们所必须说的 (为了避免作出错误的预测) 是:
  - 如果人们观察小孔, 或者更确切地说,
    如果人们有一套装置能够确定电子究竟通过小孔`1`还是小孔`2`的话,
    那么他们就能够说出电子或者穿过小孔`1`, 或者穿过小孔`2`.
  - 但是, 当人们不试图说出电子走的是哪条路, 当实验中对电子不作任何扰动时,
    那么他们可以不去说电子或者通过小孔`1`, 或者通过小孔`2`.

```
现在我们用波长较长的波来做实验. 我们将利用波长越来越长的光重复进行实验.
起先, 看不到任何变化, 结果是一样的.
接着, 可怕的事情发生了, 你们会记得, 当我们讨论显微镜时曾指出过, 由于光的波动性质,
对两个小点彼此可以靠得多近而仍可视为两个分离的点存在着一个极限距离.
这个极限距离的大小与光波波长的数量级相同.
所以如果我们使波长大于两个小孔之间的距离,
我们看到在光被电子散射时产生一个很大的模糊不清的闪光.
这样就不再能说出电子通过的是哪一个孔了! 我们只知道它跑到某处去!
```

```
我们的结论是: 电子以颗粒的形式到达, 像粒子一样,
这些颗粒到达的概率分布则像波的强度的分布.
正是从这个意义上来说, 电子的行为"有时像粒子, 有时像波".
```

- 我们将要说到的`"事件"`, 一般说来就是一组特定的初始与最终条件.

- (1) 在理想实验中, 一个`事件`的概率由一个复数
  $$ \phi $$
  的绝对值平方给出,
  $$ \phi $$
  称为`概率幅`:

$$
\begin{cases}
  P = 概率 \\
  \phi = 概率幅 \\
  P = \mid \phi \mid ^2
\end{cases}
$$

- (2) 当一个事件可以按几种不同的方式发生时,
  该事件的概率幅等于各种方式分别考虑时的概率幅之和.
  - __此时存在干涉现象__:

$$
\begin{cases}
  \phi = \phi_{1} + \phi_{2} \\
  P = \mid \phi_{1} + \phi_{2} \mid ^2
\end{cases}
$$

- (3) 如果完成一个实验, 此实验能够确定实际上发生的是哪一种方式的话,
  则该事件的概率等于按各个不同方式发生的概率之和.
  - __此时不发生干涉__:

$$
P = P_1 + P_2
$$

```
所以, 在目前我们只准备计算概率.
我们说"在目前", 但是我们强烈地感觉到很可能永远如此 --
很可能永远无法解决这个难题 -- 因为自然界实际上就是如此.

我们希望强调经典理论和量子力学之间的一个非常重要的差别.
我们一直谈到在给定的情况下, 电子到达的概率. 我们曾暗示:
在我们的实验安排中 (即使是能作出的最好的一种安排)
不可能精确预言将发生什么事. 我们只能预言可能性!

如果这是正确的, 那就意味着,
物理学已放弃了去精确预言在确定的环境下会发生的事情.
是的!
物理学已放弃了这一点.
我们不知道怎样去预言在确定的环境下会发生的事件, 而且我们现在相信,
这是不可能的, 唯一可以预言的是种种事件的概率.
必须承认, 对我们早先了解自然界的理想来说, 这是一种节约,
它或许是后退的一步, 但是还没有能看出避免这种后退的出路.
```

> 深表同意! 当然, 曾今的我是无法接受的. 但是, 后来才发现, 这才是合理的!

### 波动观点与粒子观点的关系

```
我们在这一章中所学习的东西并不是准确的; 这里的论证是半直观的,
我们将在以后使之更为准确, 但是, 当我们用量子力学作出正确解释时,
有一些事情将会有一点改变. 我们之所以要这样来处理,
其原因当然在于我们不想立刻就深入到量子力学中去,
而是希望对于我们将会碰到的几种效应至少能有某种概念.
而且, 我们所有的经验都与波动以及粒子有关, 因此,
在我们掌握对量子力学振幅的完整数学描述之前,
先应用波动和粒子的概念来理解一定场合下所发生的事情是颇为方便的.
我们在这样做时将力图阐明那些最薄弱的环节,
但是其中大多数还是相当正确的 -- 因为只是解释的问题.
```

- 首先, 我们知道量子力学中描述世界的新方法 -- 新的框架 --
  是对每个可能发生的事件给予一个振幅, 而且如果此事件涉及接收一个粒子,
  那么就给出在不同位置与不同时间找到该粒子的振幅.
  - 于是, 找到该粒子的概率就正比于振幅绝对值的平方.
  - 一般地讲, 在不同场所与不同时刻找到粒子的振幅是随着位置和时间而变化的.
- 在某些特殊情况下, 振幅在空间与时间上像
  $$ e^{i(ωt - \boldsymbol{k} \cdot \boldsymbol{r})} $$
  那样呈正弦式变化, 其中 `r` 是从某个原点起算的矢量位置.
  - 别忘了这些振幅是复数, 不是实数.
- 这样的振幅按照确定的频率 `ω` 和波数 `k` 变化.
  - 结果发现这对应于一种经典的极限情况,
    我们可以认为在此情况中有一个粒子,
    它的能量 `E` 为已知, 并且 `E` 与频率之间的关系是
  - $$ E = \hbar ω $$
- 而且粒子的动量 `p` 亦是已知的, 它与波数 `k` 之间的关系是
  - $$ p = \hbar k $$
  - 符号
    $$ \hbar $$
    表示数 `h` 除以 `2π`, 即
    $$ \hbar = h / 2π $$.

---

- 这意味着粒子的概念受到了限制. 我们如此经常使用的粒子的概念 --
  它的位置, 它的动量, 等等. 从某些方面说来已不再令人满意了.
  - 比如, 假设在不同的位置上找到一个粒子的振幅由
    $$ e^{i(ωt - \boldsymbol{k} \cdot \boldsymbol{r})} $$
    给出, 则其绝对值的平方是常数.
  - 而这就意味着在所有的点上找到粒子的概率都相等.
  - 这就是说, 我们不知道粒子究竟在何处 -- 它可以在任何地方 --
    粒子的位置是非常不确定的.
- 另一方面, 如果一个粒子的位置比较确定, 而且我们可以相当准确地预测到,
  那么在不同位置上找到它的概率必定限制在一定的区域内, 我们称其长度为
  $$ \Delta x $$.
  - 在此区域之外概率为零.
  - 由于这个概率是某个振幅的绝对值的平方, 如果绝对值的平方为零,
    则振幅亦为零, 于是我们就有一个长度为
    $$ \Delta x $$
    的波列, 此波列的波长
    (波列中波的相邻波峰或相邻波谷之间的距离) 就对应于该粒子的动量.

---

- 这里我们遇到了有关波动的一件奇妙的事情; 一件很简单的,
  严格说来与量子力学毫无关系的事情. 任何人, 即使完全不懂量子力学,
  只要他研究过波的话就会知道:
  - 对一个短的波列, 我们不可能定义一个唯一的波长.
  - 这样的波列没有一个确定的波长;
    存在着与有限的波列长度相关联的波数的不确定性,
    从而在动量上也就存在着不确定性.
- 这意味着, 如果有一长度小于 `L` 的波列,
  那么在波数上的不确定量必然超过
  $$ 2 \pi / L $$.
  - 或者说波数的不确定量乘以波列的长度 -- 暂时我们称之为
    $$ \Delta x $$
    -- 将大于
    $$ 2 \pi $$.
  - 我们之所以称波列长度为
    $$ \Delta x $$
    是因为这是粒子在位置上的不确定量.
  - 如果波列只存在于有限长度之中, 那么,
    这就是我们能找到粒子的区域在不确定量
    $$ \Delta x $$
    范围以内.
- 波的这种性质, 即波列的长度乘以相应波数的不确定量至少为
  $$ 2 \pi $$
  这一点, 是每个研究波的人都知道的, 这与量子力学毫无关系.
  - 这只是说, 如果我们有一长度有限的波列的话,
    没有办法很精确地数出波的数目.

---

- 我们试从另一途径来看看其中的理由. 假定我们有一长为 `L` 的有限波列;
  那么, 由于它在两端必定减少, 所以在长度 `L` 中波的数目是不确定的,
  其不确定量约为
  $$ \pm 1 $$.
  - 但在长度 `L` 中的波数是
    $$ kL / (2 \pi) $$.
  - 可见 `k` 是不确定的, 它只是波的一种特性.
  - 无论波是在空间传播, `k` 是每厘米的弧度数, `L` 是波列的长度,
    还是波在时间上展开, `w` 是每秒的振动数, `T` 是波列持续的时间"长度",
    都会出现同样的情况.
- 这就是说: 如果只是持续一定的有限时间 `T` 的波列, 那么频率的不确定量就由下式确定
  $$ \Delta w = 2 \pi / T $$.
  - 我们已经着重指出, 这些都只是波的性质, 例如, 在声学理论中就已为人们所熟知了.
- 要点在于, 在量子力学中, 我们将波数解释为对粒子动量的一种量度, 即
  $$ p = \hbar k $$,
  这样, 就得
  $$ \Delta p \approx h / \Delta x $$.
  - 因此, 这就表明了经典动量概念的适用界限.
  - 显然, 如果我们想用波来表示粒子的话, 动量的概念必定受到某种限制.
  - 我们发现了一条规则, 使我们对于经典概念在何时失效具有一些认识, 这的确很好.

### 概率幅

```
传统上所有的量子力学课程都是以同一方式开始的, 即顺着这一主题的历史发展顺序讲解.
一个人首先得学习大量的经典力学, 这样他就会懂得如何去解薛定谔方程.
然后, 他花很多时间去求各种情况下薛定谔方程的解, 只有在详尽地研究了这个方程之后,
才接触到电子自旋这个"高深"的课题.

我们原来也曾考虑过,
结束这些物理课程的正确方式是给你们讲解怎样去解复杂情况下的经典物理学方程 --
例如在封闭区域内声波的描述, 圆柱形空腔中电磁辐射的模式等等.
这是本课程的最初计划.

然而, 我们还是决定抛弃这个计划而代之以量子力学的导论. 我们得到这样的结论:
通常认为量子力学的高深部分事实上是十分简单的, 这里面所用的数学特别简单,
只包含简单的代数运算而且没有微分方程, 至多只有一些很简单的微分方程.
唯一的问题是, 我们必须跃过一个裂隙, 这个裂隙是我们不再能够详细描述粒子在空间的行为.
所以, 我们想要做的是: 给你们讲解通常所谓的量子力学的"高深"部分.
但是我们向你们保证, 它们是极其简单的部分 -- 从深刻意义上来说 -- 并且也是最基本的部分.
坦白地说, 这是一个教学法的实验, 据我们所知, 以前还从来没有这样做过.
```

```
本章以后的各章将不像本章那样不够精确.
事实上, 在以后各章里, 我们精心力求讲得更精确的理由之一是:
要向你们指出量子力学中最美妙的东西之一 --
从很少的前提推导出很多的结论.
```

- 量子力学的`第一普适原理`:
  - 粒子从源 `s` 发出到达 `x`
    的概率能够用一个叫做概率幅的复数的绝对值的平方来定量地描述.
  - 量子力学中经常用到这个振幅, 我们用一个速记符号 --
    狄拉克发明并在量子力学中通用的 --
    来描述这个概念.
- 我们用这样的方式来表示概率幅.
  - $$ \langle 到达 x 的粒子 \mid 离开 s 的粒子 \rangle $$.
  - 换言之, 两个括号
    $$ \langle \rangle $$
    是与`"振幅"`相当的记号, 竖线右边的表式总是表示初始状况,
    左边的表示终了状况, 为了方便, 有时候可以进一步缩写,
    各用一个字母分别表示初始状况和终了状况.
  - 例如, 有时我们可以把振幅式写成:
  - $$ \langle x \mid s \rangle $$.
  - 我们要强调一下, 这个振幅当然只是一个单独的数字: 一个复数.
- 在第 `1` 章的讨论中, 我们已经看到, 粒子到达探测器有两条可能的路径时,
  总的概率不是两个概率之和, 而必须写成两个振幅之和的绝对值的平方.
  - 两条路径都畅通的时候, 电子到达探测器的概率是:
  - $$ P_{12} = \mid \phi_1 + \phi_2 \mid ^2 $$.
  - 我们把这个结果用新的符号来表示.
- 不过我们先要讲一讲量子力学`第二普适原理`:
  当一个粒子可以通过两条可能的路径到达某一给定的状态时,
  这个过程的总振幅是, 各自独立地考虑的两条路径的振幅之和,
  用新的符号表示:

$$
  \langle x \mid s \rangle_{两个小孔都打开} =
  \langle x \mid s \rangle_{通过 1} +
  \langle x \mid s \rangle_{通过 2}
$$.
(`3.4`)

```
顺便提一下, 我们必须假定小孔 1 和 2 是足够小,
当我们谈及电子通过小孔的时候, 我们不必讨论通过的是小孔的哪个部分.
当然我们可以把每一个小孔分割成许多部分,
而电子具有通过小孔的上部或通过小孔的底部或其他部分的一定振幅.
我们假定小孔是足够小, 从而就不必为这些细节操心.
这就是所涉及的粗糙部分; 我们可以使之更为精确,
但是在现阶段还不需要那么做.
```

- 现在, 我们要详细地写出我们对于电子通过小孔 `1` 到达位于 `x`
  处的探测器这一过程的振幅能说些什么.
  - 在这里, 我们要应用`第三普适原理`:
  - 如果粒子走的是某一特定的路径,
    对于这条路径的振幅可以写成走过部分路程的振幅以及走过其余部分路程的振幅之乘积.
  - 从 `s` 通过小孔 `1` 到达 `x` 的振幅等于从
    `s` 到孔 `1` 的振幅乘以从孔 `1` 到 `x` 的振幅:
  - $$
      \langle x \mid s \rangle_{通过 1} =
      \langle x \mid 1 \rangle
      \langle 1 \mid s \rangle
    $$.
    (`3.5`)
  - 这个结果也不是完全精确的.
    我们还应当在振幅中包含一个关于电子通过小孔 `1` 的因子,
    但是, 在目前的情况下, 这只是一个简单的小孔, 我们可令这个因子等于 `1`.
  - 你们要注意, 式 (`3.5`) 是以相反的次序写的. 它应当从右边读到左边.
    电子从 `s` 到 `1`, 然后从 `1` 到 `x`.
- 总结一下, 如果事件是接连发生的, 就是说, 如果你们能够分析粒子所走的一条路线,
  说它先走这一段, 然后走那一段, 再走另一段,
  则将各相继事件的振幅相乘即可求出该路线的总振幅.
  - 运用这个定律, 我们可以将式 (`3.4`) 重新写成:
  - $$
      \langle x \mid s \rangle_{通过 1, 2} =
      \langle x \mid 1 \rangle
      \langle 1 \mid s \rangle +
      \langle x \mid 2 \rangle
      \langle 2 \mid s \rangle
    $$.

- 假设有一个具有一定能量的粒子, 在真空中从位置
  $$ \mathbf{r}_1 $$
  走到位置
  $$ \mathbf{r}_2 $$.
  - 换言之, 这是一个不受力作用的自由粒子.
- 除了前面还要有一个常数因子外, 从
  $$ \mathbf{r}_1 $$
  到
  $$ \mathbf{r}_2 $$
  的振幅是:

$$
  \langle \mathbf{r}_2 \mid \mathbf{r}_1 \rangle =
  \frac{e^{i \mathbf{p} \cdot \mathbf{r}_{12} / \hbar}}{\mathbf{r}_{12}}
$$
(`3.7`)

- 其中
  $$ \mathbf{r}_{12} = \mathbf{r}_2 - \mathbf{r}_1 $$,
  $$ \mathbf{p} $$
  是动量, 它和能量
  $$ E $$
  由相对论方程联系起来:
  - $$ p^{2}c^{2} = E^{2} - (m_{0} \cdot c^{2})^2 $$,
- 或者由非相对论性方程式联系起来:
  - $$ \frac{p^2}{2m} = 动能 $$.
- 方程式 (`3.7`) 实际上表示粒子具有像波一样的性质,
  振幅就像一个具有波数等于动量除以
  $$ \hbar $$
  的波那样传播.

```
如果你们原则上能够区别各个不同的终态 (即使你们不愿费心去区别它们),
要求出总的最终的概率. 先要算出各个状态的概率 (不是振幅), 然后把它们相加即得.
如果你们甚至在原则上都不能区别各个终态, 在取绝对值的平方以求出实际的概率之前,
必须先对概率幅求和.
```

### 全同粒子

- 相位因子应用两次必然回到原来的状态 -- 相位因子的平方必定等于 `1`.
  这只存在着两种可能性:
  $$ e^{i \delta} $$
  等于 `+1` 或者等于 `-1`.
  - 两个粒子交换前后的振幅要么是有相同的符号, 要么具有相反的符号.
  - 这两种情况在自然界中都存在, 它们分别对应于不同种类的粒子.
  - 以正号相干涉的粒子称为玻色子, 以负号相干涉的粒子称为费米子.
  - 光子, 介子和引力子都是玻色子, 电子,
    $$ \mu $$
    子, 中微子, 核子和重子都是费米子.
  - 于是, 我们得到全同粒子的散射振幅是:
  - 玻色子: `(直接的振幅) + (交换后的振幅)`,
  - 费米子: `(直接的振幅) - (交换后的振幅)`.

```
每一个具有半整数自旋的复合粒子就像一个费米子,
而每一个具有整数自旋的复合粒子就像一个玻色子.
```

- 于是我们得到一个极其重要的结果: 对于高的频率
  (波长比盒子的线度小得多), 空腔中模式的数目正比于盒子的体积
  `V` 和 "`k` 空间中的体积"
  $$ △ k_x $$
  $$ △ k_y $$
  $$ △ k_z $$.
  - 这个结果在许多问题中反复地出现, 应该将它记住:
  - $$ d \mathcal{N} (\mathbf{k}) = V \frac{d^3 \mathbf{k}}{(2 \pi)^3} $$.
  - 虽然我们还没有证明过, 但这个结果不依赖于盒子的形状.

### 自旋 1

```
以上的结果说明了量子力学的一条基本原理:
任何原子体系都可以通过过滤将其分解为某一组所谓的基础态, 在任一给定的基础态中,
原子未来的行为只依赖于基础态的性质 -- 而与其以前的任何历史无关.
```

- 在继续讨论之前, 我们把有关振幅的三条重要的普遍定律总结一下:
  - (1) $$ \langle j \mid i \rangle = \delta_{ji} $$
  - (2)
    $$
      \langle \chi \mid \phi \rangle =
      \sum_{所有 i} \langle \chi \mid i \rangle
      \langle i \mid \phi \rangle
    $$
  - (3)
    $$
      \langle \phi \mid \chi \rangle =
      \langle \chi \mid \phi \rangle ^{*}
    $$
- 在这些方程式里 `i` 和 `j` 代表某一表象的所有基础态, 而
  $$ \phi $$
  和
  $$ \chi $$
  代表原子的任何可能状态. 必须注意, `(2)` 式只对遍及体系的所有基础态
  (在我们的情况中是 `3` 个: `+ T`, `0 T`, `- T`) 求和时才成立.
  - 关于怎样选择我们的基础态组的各个基础态, 以上这些定律一点也没有谈到.
  - 我们从应用装置 `T` 开始, 这是一个有任意选定的某种取向的施特恩-格拉赫实验装置,
    但任意别的取向, 譬如 `W` (装置), 也同样适用.
  - 我们也可把另一组不同的状态作为 `i` 和 `j`,
    而所有的定律仍然适用 -- 基础态组的选择并不是唯一的.
  - 量子力学的主要策略之一就是利用事物都可以用一种以上的方法来计算这个事实.

```
我们在一开始就指出, 对于自旋为 1 的粒子的讨论是所有量子力学问题的典范.
只要改变状态的数目就可使讨论普遍化.
在任一特殊情况中可以包括 n 个基础态而不只是 3 个基础态.
我们的上述基本定律具有完全相同的形式 -- 只是 i 和 j 要理解为遍及于所有 n 个基础态.

任何现象都可以这样来分析: 求出它出发时在每一基础态的振幅以及终止于另一组基础态中的振幅,
然后对整个基础态组求和. 任何适当的基础态组都可以采用. 如果有人愿意用另外的一组也同样合适.
两个基础态组可用 n 行 n 列的变换矩阵相联系, 关于这种变换, 我们以后还有更多的东西要讲.
```

### 自旋 1/2

- 在上一章中, 我们用自旋 `1` 的体系作为例子, 将量子力学的普遍原理概括如下:
  - 任何状态
    $$ \psi $$
    都可用这个状态在一组基础态的各个态中的振幅来描述.
  - 一般说来, 从任意一个状态过渡到另一个状态的振幅可写成许多乘积的总和,
    每一个乘积为从初态进入某一基础态的振幅乘以从该基础态到终态的振幅,
    最后每个基础态的项求和:
  - $$
      \langle \chi \mid \psi \rangle =
      \sum_{i} \langle \chi \mid i \rangle
      \langle i \mid \psi \rangle
    $$
  - 基础态是相互正交的 -- 一个基础态的振幅在另一个基础态中等于零:
  - $$ \langle i \mid j \rangle = \delta_{ij} $$
  - 从一个状态过渡到另一个状态的振幅等于其逆过程的振幅的复共轭:
  - $$
      \langle \chi \mid \psi \rangle ^{*} =
      \langle \psi \mid \chi \rangle
    $$

### 振幅对时间的依赖关系

- 假设有个原子 -- 或电子, 或任何粒子 -- 在静止时具有确定能量
  $$ E_0 $$.
  所谓
  $$ E_0 $$
  指的是总质量乘以
  $$ c^2 $$.
  - 这种质量包括了所有内能; 所以受激原子具有的质量与处在基态的同样原子的质量不同.
  - (基态的意思是能量最低.) 我们称
    $$ E_0 $$
    为`"静止能量"`.
- 对于静止的原子, 在各个地方找到它的量子力学振幅处处相同, 它与位置无关.
  当然, 这意味着在任何地方找到原子的概率都相同.
  不过, 这里还有更多的含义. 概率可以和位置无关,
  但振幅的相位则可以随着地点而改变.
  但对静止的粒子来说, 整个振幅处处一样, 然而它实际上依赖于时间.
  - 对于处在具有确定能量
    $$ E_0 $$
    的状态的粒子来说, 在 (`x`, `y`, `z`) 处和时刻 `t` 找到粒子的振幅是
  - $$ ae^{-i (E_0 / \hbar) t} $$,
    (`7.1`)
  - 这里 `a` 是某个常数.
  - 此振幅对空间任一点都相同, 但它按照式 (`7.1`) 依赖于时间.
    我们就假定这一法则是正确的.
- 当然, 式 (`7.1`) 也可写成
  - $$ ae^{-i ω t} $$,
    (`7.2`)
  - 这里
  - $$ \hbar ω = E_o = M c^2 $$,
  - `M` 是原子或粒子的静质量.
- 这里可以用三种不同的方式来表示能量:
  - 振幅的频率,
  - 经典意义的能量,
  - 或者惯性质量.
  - 它们彼此等价, 只不过是同一事物的不同说法而已.

---

- 你们可能认为, 想象一个在整个空间各个地点找到它的振幅都相等的"粒子"未免太不可思议了.
  无论如何, 我们平常总将"粒子"想象为位于"某一地点"的一个小物体.
  - 但是, 不要忘记不确定性原理. 如果一个粒子有确定能量, 它也就有确定的动量.
  - 如果动量的不确定量为零, 那么不确定性原理
    $$ △p △x = \hbar $$
    告诉我们, 位置的不确定量必定无限大,
    这正是我们所说的在空间中所有各点找到粒子的振幅都相等这句话的意义.
- 如果原子内部具有不同总能量的不同状态, 那么振幅随时间的变化就不相同.
  如果你不知道它究竟处于哪种状态, 那么它有一定的振幅处于某一状态,
  也有一定的振幅处于另一状态, 而这些振幅各有不同的频率.
  - 在这些不同的分量之间将出现如拍音那样的干涉现象, 这将表现为变化的概率.
  - 在原子内将有某种事情"发生" -- 即使从质心没有漂移这个意义上来说,
    整个原子是"静止"的.
  - 然而, 如果原子有一个确定的能量, 振幅由式 (`7.1`) 给出,
    而其绝对值平方与时间无关.
  - 由此你们可以看出, 如果一个东西有确定能量而我们去追问任何有关于它的概率问题的话,
    答案将与时间无关.
  - 但是如果能量确定, 虽然振幅随时间而变, 但它按虚指数变化, 因而绝对值不变.
- 这就是为什么我们常说在确定能级上的原子在定态之中. 假定你们对原子内部进行任何测量,
  你们将会发现没有一个量 (的概率) 会随时间而变化. 为使概率随时间变化,
  必须使不同频率的两个振幅相干, 而这就意味着我们不可能知道能量是多少.
  - 粒子将具有一定的振幅处在一种能量状态, 又具有一定的振幅处在另一种能量状态.
  - 这就是当某种东西的行为随时间而变时量子力学对它的描述.

### 哈密顿矩阵

```
由于在量子力学中使用了复数, 我们必须始终保持各项的先后次序, 而在点积中, 次序是无关紧要的.
```

- 系数
  $$ H_{ij} $$
  称为哈密顿矩阵, 或简称为哈密顿.
  - (活跃于 `19` 世纪 `30` 年代的哈密顿怎么会命名在一个量子力学矩阵上, 有一段历史故事.)
  - 把它称为能量矩阵更恰当, 其理由到我们应用它时就会明白. 所以问题就是: 找出你的哈密顿!
- 哈密顿有一个可以直截了当地推得的性质, 那就是
  $$ H_{ij}^{*} = H_{ji} $$,
  - 此性质来自以下的条件:
  - 系统处在某个态的总概率不会改变.

### 对称性和守恒定律

- 于是我们就可用下列方式来定义对称性: 当
  $$ \hat{Q} $$
  与
  $$ \hat{U} $$
  (时间的转移操作) 相对易时, 物理系统对于操作
  $$ \hat{Q} $$
  是对称的.
  - 用矩阵来表示, 两个算符的乘积等价于矩阵的乘积.

```
它表明如果你们考察初态, 并且通过稍微作一点计算发现一个操作
(系统的对称操作) 仅仅导致乘以一个相位因子, 那么,
你们就知道终态也具有相同的性质 -- 相同的操作使终态乘上相同的相位因子.
即使我们也许一点不知道使系统从初态变化到终态的宇宙内部机理, 上述结论也总是正确的.
即使我们无意考察系统从一个态变到另一个态的机构的具体细节, 我们仍可断言:
如果一个事物原来处于具有某种对称性的状态,
而且如果这一事物的哈密顿在该对称操作下是对称的, 那么,
这个态在任何时候都具有相同的对称特征. 这就是量子力学中所有守恒定律的基础.
```

```
当我们谈到像反演这样的操作作用于"物理系统"时, 我们可以用两种方式来考虑这个问题.
我们可以想象将位于 r 处的任何物理的东西都移动到 -r 处,
或者想象从新的参照系 x', y', z' 来考察同一系统,
新参照系与原来的参照系 x, y, z 的关系为: x' = -x, y' = -y, z' = -z.
同样, 当我们考虑转动时, 可以想象物理系统作实体转动,
或者想象"系统"在空间固定不动, 而转动我们对系统作测量的那个坐标系.
一般来说, 这两种看法实质上是等价的.
对转动来说, 如果不说系统转过 θ 角而说把参考系转过负 θ 角, 这两种观点是等价的.
在本讲义中我们通常讨论投影到一组新坐标轴上后发生些什么,
这样得到的结果和你把坐标轴固定, 而把系统反向转过同样大小的角度后得到的结果是相同的.
当你这样做时, 角度的符号反过来了.
```

### 算符

- 在 `1926` 年的几个月时间里, 海森伯及薛定谔各自独立地发现描述原子力学的正确定律.
  薛定谔发明了他的波函数
  $$ \psi (x) $$
  并找到了他的方程. 另一方面, 海森伯发现自然界可以用经典方程来描述, 只是
  $$ xp - px $$
  应等于
  $$ \hbar / i $$,
  这结果可以通过用特殊的矩阵对它们定义而得到.
  - 用我们的话来讲, 他使用了能量表象及其矩阵.
  - 海森伯的矩阵代数和薛定谔的微分方程都能解释氢原子.
  - 几个月以后, 薛定谔就能证明这两种理论是等价的 -- 如同我们在这里所看到的.
  - 但是量子力学的这两个不同的数学形式是各自独立地发明的.

---

- 在量子力学中, 使用"态矢量"的概念可以用比较简单的方法写出许多事情. 当然, "态矢量"
  $$ \mid ψ \rangle $$
  并非三维空间中的几何矢量, 而是代表物理状态的一种抽象符号, 此状态用"标记"或"名字"
  $$ ψ $$
  来识别. 这种概念之所以有用, 是因为量子力学的规律可以用这些符号写成代数方程.
  - 例如, 任何状态都可由基础态的线性组合来构成, 这个基本定律就可以写成
  - $$ \mid ψ \rangle = \sum_{i} C_i \mid i \rangle $$,
    (`20.1`)
  - 式中
    $$ C_i $$
    是一组普通的 (复) 数, 振幅
    $$ C_i = \langle i \mid ψ \rangle $$
    而
    $$ \mid 1 \rangle $$,
    $$ \mid 2 \rangle $$,
    $$ \mid 3 \rangle $$,
    ... 代表在某个基或表象中的基础态.
- 如果取某个物理状态并对它作些变动, 如转动或等候一段时间
  $$ △ t $$,
  则得到不同的态. 我们说, "对一个状态进行一次操作产生了一个新的态."
  我们可以用一个方程式来表示同一概念:
  - $$ \mid ϕ \rangle = \hat{A} \mid ψ \rangle $$.
    (`20.2`)
  - 对态的一次操作产生另一个态. 算符
    $$ \hat{A} $$
    代表某个特定的操作.
  - 当这一操作作用于任一态, 譬如态
    $$ \mid ψ \rangle $$
    上, 它产生某个其他的态
    $$ \mid ϕ \rangle $$.
- 式 (`20.2`) 表示什么意思呢? 我们这样来定义它, 如果用
  $$ \langle i \mid $$
  乘以式 (`20.2`), 并将
  $$ \mid ψ \rangle $$
  按式 (`20.1`) 展开, 则得到
  - $$
      \langle i \mid ϕ \rangle =
      \sum_{j}
      \langle i \mid \hat{A} \mid j \rangle
      \langle j \mid ψ \rangle
    $$.
    (`20.3`)
  - (态
    $$ \mid j \rangle $$
    取自和
    $$ \mid i \rangle $$
    相同的一组.) 这正是一个代数式. 数
    $$ \langle i \mid ϕ \rangle $$
    给出了在态
    $$ \mid ϕ \rangle $$
    中找到的每个基础态的量, 它是以
    $$ \mid ψ \rangle $$
    在各个基础态中的振幅
    $$ \langle j \mid ψ \rangle $$
    的线性叠加表示的.
  - 数
    $$ \langle i \mid \hat{A} \mid j \rangle $$
    正是表明有多少
    $$ \langle j \mid ψ \rangle $$
    进入每个求和中的系数.
- 算符
  $$ \hat{A} $$
  可用一组数或"矩阵"以数字来描述
  - $$ A_{ij} ≡ \langle i \mid \hat{A} \mid j \rangle $$.
    (`20.4`)
- 所以式 (`20.2`) 是式 (`20.3`) 的高级写法. 实际上还不止这样, 它含有更多的东西.
  在式 (`20.2`) 中我们完全没有提到一组基础态. 式 (`20.3`) 是式 (`20.2`)
  在某一组基础态中的映像, 但是, 如你们所知, 你们可以选用你们想要的任意一组态,
  而式 (`20.2`) 就含有这种概念.
  - 算符的写法避免了作任意特定的选择.
  - 当然, 当你想要得到明确的表示时, 你必须选择一组基础态,
    当你选定后, 你就用式 (`20.3`).
  - 因此算符方程式 (`20.2`) 是代数方程式 (`20.3`) 的更为抽象的写法.

---

- 我们现在接下去看看用算符能做些什么有用的事情.
  但是, 首先有一点要特别注意, 假设我们有一个算符
  $$ \hat{A} $$,
  对于某基础态的矩阵为
  $$ A_{ij} ≡ \langle i \mid \hat{A} \mid j \rangle $$.
  态
  $$ \hat{A} \mid ψ \rangle $$
  又在另一态
  $$ \mid ϕ \rangle $$
  中的振幅为
  $$ \langle ϕ \mid \hat{A} \mid ψ \rangle $$.
  - 这个振幅的共轭复数是否有意义呢? 你们应该能够证明
  - $$
      \langle ϕ \mid \hat{A} \mid ψ \rangle ^{*} =
      \langle ψ \mid \hat{A}^{\dagger} \mid ϕ \rangle
    $$,
    (`20.8`)
  - 式中
    $$ \hat{A}^{\dagger} $$
    是一个算符, 其矩阵元为
  - $$
      A_{ij}^{\dagger} = (A_{ji})^{*}
    $$.
    (`20.9`)
  - 为了得到
    $$ \hat{A}^{\dagger} $$
    的 `i`, `j` 元素, 你们可以先求
    $$ \hat{A} $$
    的 `j`, `i` 元素 (要颠倒一下指数), 再取它的复数共轭.
  - 态
    $$ \hat{A}^{\dagger} \mid ϕ \rangle $$
    处于
    $$ \mid ψ \rangle $$
    中的振幅为态
    $$ \hat{A} \mid ψ \rangle $$
    处于
    $$ \mid ϕ \rangle $$
    中的振幅的复数共轭.
- 算符
  $$ \hat{A}^{\dagger} $$
  称为
  $$ \hat{A} $$
  的`"厄米伴随"`. 量子力学中的许多重要算符都具有一种特殊的性质,
  即当取它们的厄米伴随时仍回到原来的算符. 若
  $$ \hat{B} $$
  是这种算符, 则
  - $$ \hat{B}^{\dagger} = \hat{B}$$,
  - 我们称这种算符为`"自伴"`算符或`"厄米"`算符.
