---
title: 张朝阳的物理课
description: 月既不解饮, 影徒随我身. 暂伴月将影, 行乐须及春.
date: 2022-11-16
---

- [张朝阳的物理课](https://book.douban.com/subject/36150946/)

```
作为中文的本土书籍, 必须支持下!
希望这本书只是开始~
```

```
2022年11月28日, 周一.
拿到了书, 随便翻了一下,
穿插的手稿图片是一个不错的排版亮点.

还是那句话: 希望这本书只是开始~
```

### 经典力学问题

- $$ \overrightarrow{a} = \frac{d \overrightarrow{v}}{dt} $$
- $$ \overrightarrow{F} = m \overrightarrow{a} $$
- $$ F = G \frac{m_{1} m_{2}}{r^2} $$
  - 在地球附近, 有如下关系:
  - $$ F = mg = G \frac{Mm}{R^2} $$

> 相对于`粗体`表示矢量, 貌似还是`箭头`更清晰~

```
虽然电磁现象可以通过麦克斯韦理论描述, 但是电磁力可以被区分成很多种力,
这里介绍的是电荷间的作用力, 更严格地说是静电荷之间的力.
```

- $$ F = k \frac{q_{1} q_{2}}{r^2} $$

### 光电问题

- 一个带电量为 `q` 的运动电荷在距其 `r` 处的某一点
  (可记作 `A` 点) 产生的电磁场是:

$$
\overrightarrow{E} =
\frac{q}{4 \pi \varepsilon_0}
\left [
  \frac{\overrightarrow{e}_{r'}}{r'^2} +
  \frac{r'}{c} \frac{d}{dt} \frac{\overrightarrow{e}_{r'}}{r'^2} +
  \frac{1}{c^2} \frac{d^2}{dt^2} \overrightarrow{e}_{r'}
\right ]
$$

- 其中 `r'` 是电荷在时间为
  $$ t - \frac{r'}{c} $$
  时刻与点 `A` 的距离,
  $$ \overrightarrow{e}_{r'} $$,
  为在
  $$ t - \frac{r'}{c} $$
  时刻电荷指向 `A` 点的单位向量.

### 热力学与统计物理问题

- 得到气体粒子平均动能与温度之间的关系.

$$
\langle \frac{1}{2} mv^2 \rangle = \frac{3}{2} kT
$$

- 从微观上讲, 温度表征了气体粒子运动的剧烈程度.
  - 温度越高, 微观粒子运动越剧烈, 气体越热.
- 根据能量均分定理, 以上公式表明每个自由度上平均分配的能量是
  $$ \frac{1}{2} kT $$,
  假设在某温度下理想气体粒子可以激发的自由度总共为 `i`,
  那么理想气体的总内能为
  $$ U = \frac{i}{2} NkT = \frac{1}{\gamma - 1} NkT $$,
  其中
  $$ \gamma $$
  是新引入的参量, 其意义会在后面的绝热膨胀中体现出来.

---

- 理想气体内能与温度的关系
  $$ U = \frac{1}{\gamma - 1} NkT $$,
  结合理想气体状态方程
  $$ pV = NkT $$,
  就可以得到内能与体积和压强的关系
  $$ U = \frac{1}{\gamma - 1} pV $$.
- 将它带回绝热过程的热力学第一定律公式, 可得
  $$ \frac{1}{\gamma - 1} d(pV) = -pdV $$,
  解此微分方程, 即可得到理想气体绝热方程:
  - $$ pV^{\gamma} = C $$
  - 其中 `C` 为常数, 可由该过程中任意状态下的压强与体积确定.
  - 以上绝热方程显示了绝热过程中压强 `p` 与体积 `V` 的关系, 其中
    $$ \gamma $$
    大于 `1`, 所以当体积 `V` 增大时, 压强减小.

### 相对论问题

- [世界线](https://en.wikipedia.org/wiki/World_line)
- [固有时](https://en.wikipedia.org/wiki/Proper_time)

- $$ - d t^2 + d x^2 $$
  就是一个绝对的量, 因此它配得上一个"名字". 我们把它定义为:
  - $$ d s^2 \equiv - d t^2 + d x^2 $$
- 我们可以看到
  $$ d s^2 $$
  中既有时间, 又有空间, 是一个带有"时空"色彩的量,
  因此我们称呼它为时空元间隔, 通常也称之为"线元".
  - 线元的绝对值积分后的物理意义就是"固有时",
    可以粗略地认为是物体自己感受到的自己的时间 (或时长).
  - 而 `t` 被我们称为坐标时, 是在选定参考系后的时间.

```
对于"动质量"的理解, 也许还需要做这样的补充:
让我们重新审视一下我们的逻辑思路, 为什么需要"动质量"呢?
根本原因是如果采用牛顿力学中对于质量, 速度, 以及动量的定义,
我们会发现动量守恒不具备洛伦兹协变性. 那么这时候就有两个选择:
一个是宣称洛伦兹变换下, 不具备动量守恒;
另一个选择是修改牛顿世界中的物理量, 从而保证动量守恒的普遍性.
(这有点类似于刚才讨论的洛伦兹变换.)
由于守恒律对于物理来说非常重要 (它反映了对称),
我们当然希望多保留一种守恒, 因此我们就要修改牛顿框架中的物理量.
```

- 我们大众了解的相对论都是用非几何语言的方式描述的,
  为了简洁易懂我们才粗略地说`"一切物体不能超光速"`.
  如果用严格的几何语言, 那么这句话应该表述为如下两句话:
  1. 光子 (无静止质量) 的世界线是闵可夫斯基时空的类光曲线;
  2. 质点 (静止质量非 `0`) 的世界线是闵可夫斯基时空的类时曲线.
- 只有当采用适当的速度定义时, 上面的第二句话才能等价于`"质点速率小于光速"`,
  或者更为通俗地把两句话粗略地说成`"一切物体不能超光速"`.

### 量子力学问题

```
有了波函数的统计诠释, 我们能更深入地理解电子的双缝干涉实验. 在实验中,
量子力学只能告诉我们电子从每个狭缝通过的概率而不能告诉我们电子从哪个狭缝经过.
实际上, 电子只有同时经过两个狭缝才能在屏上得到干涉的结果.
电子以及光子等其他粒子的双缝干涉不是来源于粒子之间的干涉,
而是各个粒子与其自身的干涉. 这一点从粒子的波函数可以看出,
因为干涉条纹的出现来自波的相干叠加, 而不同粒子的波是不能叠加在一起的,
唯有粒子自身的波能够互相叠加.
```

```
我们刚刚讨论的这些内容与傅里叶展开有什么关系吗? 事实上, 不仅有关系, 而且关系匪浅.
动量本征函数正比于平面波函数, 而傅里叶展开就是将一个函数展开成平面波的叠加,
这不正是波函数以动量本征矢为基做展开吗?
所以, 傅里叶展开本质上就是希尔伯特空间上的一种正交基展开.
```

```
这里的推导只使用波函数在动量空间的展开, 而这个展开本质上是傅里叶变换.
所以说, 是傅里叶变换的性质导致了不确定性原理.
傅里叶变换和傅里叶级数在两百多年前就被发现了, 比量子力学的提出早一百多年.
那为什么当时的人们没能发现不确定性原理呢?
这是因为要想得到不确定性原理, 还需要把傅里叶变换的频率 k 与动量 p 建立起关系,
并且需要量子力学的统计诠释, 这在两百多年前是没有的.
```

- 为了描述这种乘积顺序的不对易性, 我们引入"对易关系",
  将两个算符之积的不同顺序相减, 具体用数学符号表示为:
  - $$ [\hat{A}, \hat{B}] = \hat{A} \hat{B} - \hat{B} \hat{A} $$
  - 如果
    $$ [\hat{A}, \hat{B}] = 0 $$,
    就说
    $$ \hat{A} $$
    和
    $$ \hat{B} $$
    可对易.
  - 如果
    $$ [\hat{A}, \hat{B}] ≠ 0 $$,
    就说
    $$ \hat{A} $$
    和
    $$ \hat{B} $$
    不可对易.
- 最著名的不可对易算符是动量算符和位置算符:
  - $$ [\hat{x}, \hat{p}] = i \hbar $$
  - $$ [\hat{x}_i, \hat{p}_j] = i \hbar \delta_{ij} $$
  - 它们之间的不可对易性导致了不确定性原理.
  - 其中
    $$ \delta_{ij} $$
    是`克罗内克函数`, 若 `i` 与 `j` 相等, 则其输出值为 `1`, 否则为 `0`.
- 接下来直接给出对易子之间的运算规则:
  - $$ [\hat{A}, \hat{B}] = -[\hat{B}, \hat{A}] $$
  - $$
      [\hat{A}, \hat{B} + \hat{C}] =
      [\hat{A}, \hat{B}] +
      [\hat{A}, \hat{C}]
    $$
  - $$
      [\hat{A}, \hat{B} \hat{C}] =
      [\hat{A}, \hat{B}] \hat{C} +
      \hat{B} [\hat{A}, \hat{C}]
    $$
  - $$
      [\hat{A} \hat{B}, \hat{C}] =
      [\hat{A}, \hat{C}] \hat{B} +
      \hat{A} [\hat{B}, \hat{C}]
    $$
