---
title: 休憩 阅读 游乐
description: 文杏裁为梁, 香茅结为宇. 不知栋里云, 去作人间雨.
date: 2023-01-08
---

## 科普

- [现代数学的概念](https://book.douban.com/subject/36301166/)
  - 译者`张卜天`的初心让人感佩!
  - 但是, 远不如 [物理世界](https://book.douban.com/subject/36216262/)

- [世界是概率的](https://book.douban.com/subject/36294447/)
  - 买这本书其实只是为了其中一篇文章:
    `柯尔莫哥洛夫的数学观与成就`
  - 有一点小惊喜

```
18 世纪最伟大的数学家欧拉于 1707 年出生在瑞士的巴塞尔.
```

```
伽罗瓦理论出现之后, 群这一概念在 19 世纪数学的诸多领域中扮演了中心角色,
并且通过微分方程论和分析学被数学物理学所用.
外尔的 <群论和量子力学> 虽广为人知, 但如今在量子力学的研究中,
群表示理论已经不可或缺了, 这一点是公认的事实.
```

```
即使是从力学转移到物理学, 数学方法的作用也几乎没有减少,
但应用难度显著上升了. 在物理学中, 几乎没有不用到高等数学
(比如偏微分方程论, 函数分析) 的领域. 但是, 研究中包含的困难,
与其说会出现在数学理论的展开过程中,
不如说经常出现在 "为了使用数学而选择假设" 和
"解释通过数学手段得到的结果" 这两个过程中.

数学方法具有将思考从某个水平向更高, 本质更新的水平转移的过程涵盖进去的能力,
这样的例子在物理理论中屡见不鲜. 一个经典实例就是扩散现象. 从扩散的宏观理论
(抛物型偏微分方程) 转移到层次更高的微观理论
(将溶液中的粒子的不规则运动作为独立随机过程的统计力学),
通过对后者应用大数定律, 推导出可以支配前者的微分方程.
柯尔莫哥洛夫对这一实例进行了更为详尽的说明.
```

- [量子物理如何改变世界](https://book.douban.com/subject/36255869/)
  - 这本书, 主要是习惯性阅读, 毕竟这位作者的书, 文笔都很不错, 散文体的科普~
  - BTW: `Carlo Rovelli` 是圈量子理论创始人之一!
  - 英文原版的书名 (`Helgoland`) 蛮好的, 中文版书名俗不可耐~

```
量子力学理论是迄今为止唯一一个未曾犯过错误,
且在其应用范围方面尚未发现局限的认知世界的基本理论.
```

```
我讲述了 1925 年至 1926 年间量子力学的诞生过程,
并介绍了量子力学理论的两个关键想法,
即海森堡的那个奇怪念头 "量子力学只描述可观测量", 和玻恩理解的结论,
但 "事实上, 量子力学理论仅预测概率".

还有第三个关键思想, 但为了解释它, 我们最好回溯时光,
来到海森堡在 "神圣之岛" 度过命中注定的假期之前的那二十几年.
```

```
爱因斯坦是多个具体量子理论产生的源头:
玻恩由他的想法意识到整个力学需要被重新审视;
海森堡受他启发将注意力仅局限于可观测到的量上面;
薛定谔从德布罗意的理论出发,
而德布罗意则是从爱因斯坦的光子那里得到了灵感.
不仅如此, 爱因斯坦也是第一个用概率来研究原子现象的物理学家,
是他把玻恩引上了正确的道路, 让他理解了波函数 ψ 的实际意义是概率.
```

```
粒子性是量子理论的第三个要素, 与概率和观测并列.
海森堡矩阵的横行和竖列直接对应了一份一份的, 或者说是离散的能量值.
```

```
而在盒子外面观测的我既不与催眠药瓶互动, 也不与你互动.
再过些时候, 我能观察到醒着的你和睡着的你之间的干涉现象;
而如果我已经观测到睡着的你, 或醒着的你, 都不会见到这种现象.
从这种意义上来讲, 对我而言, 你既不是睡着的, 也不是醒着的.
我会说你处在 "醒着和睡着的叠加态".

对你而言, 催眠气体要么被释放出来, 要么没有, 你会是醒着, 或者是睡着.
对我而言, 你既不是醒着, 也不是睡着.
对我而言, "存在着一种不同量子态的叠加".
对你而言, 存在的是醒着或者睡着的现实.
关系性视角允许两种现实同时存在,
因为任意一种互动都是相对于不同观测者, 即相对你和我而言的.
```

```
物理学变量并不描述事物, 它只描述事物向其他事物显现自己的方式.
如果事物不在互动过程中, 赋予变量具体的值就是没有意义的.
一个变量只有在相对某一事物并与之发生互动的时候才会具有特定值
(如粒子的位置或任意速度).

在微观尺度上, 真实世界不存在连续性, 也不存在稳定不变的特性,
只存在断续的事件, 断续而稀薄的互动.
```

```
这是量子理论相对性阐释的中心思想. 更准确地说,
相对我们而言某些事件发生的概率是由相对我们而言的波函数 ψ 的演变确定的,
这一波函数包含了与其他所有系统的动态互动,
但不受相对于其他系统而言发生的事件的影响.
-- 作者注
```

```
答案就是重新回忆起这一点: 特性只相对于某物体存在.
在北京进行的对光子的观测决定了它相对北京的颜色, 而不是相对维也纳的颜色.
在维也纳的观测决定的是它相对维也纳的颜色, 而不是相对北京的颜色.
没有任何物理实体可以同时身处两处观测的瞬间.
因此, 去问观测结果是否相同也就没有意义了.
它没有意义, 因为不存在这样一个同时相对于两者的第三方物体,
可以作为这一 "相同性" 对其显现的对象.
```

```
探讨两个距离遥远的, 相互纠缠的物体之间相互交流时出现的表面上的矛盾,
其实是因为忽略了这一事实: 要揭示相关性并赋予其真实性,
必须存在与两个物体共同互动的第三个物体.
表面上的矛盾, 是因为忽略了特性是为某一对象展现的.
两个物体之间的关联性是两个物体之间的特性,
所以也就跟其他所有特性一样, 只有与除此之外的第三个物体关联时才存在.
```

```
在经典物理学中, 我们也可以仅局限于考虑物理系统之间相互获得信息.
但有两点不同, 这两点抓住了量子物理学的新异之处,
将量子物理学与经典物理学从根本上区分开来.
这两点可被归纳为两条总规则, 或两个公理:
(1) 从一个物体上可获得的相对信息量是有限的.
(2) 与同一个物体互动, 我们总是可以获得新的相对信息.

不确定性原理的直接结果是现实的粒子性. 比如光是由光子,
也就是光的粒子构成的, 因为小于单个光子的能量值就不符合这一原理了.
能量过低, 电场和磁场两者 (对于光来说相当于 x 和 p) 都将变得过于精确,
从而不符合第一条公理.

由于测量 p 会改变 x, 所以先测量 x 再测 p, 与先测量 p 再测 x 得到的结果不同.
因此, 就需要在数学表达式中表现 "先 x 后 p" 和 "先 p 后 x" 的不同.
而这正是矩阵的特点: 顺序会影响结果.
```

```
事实上, 量子干涉现象能清晰展现在被很好地孤立开来的物体上, 而不是足够小的物体上.
只有在被良好孤立起来的物体上才能观测到细微的量子干涉现象.
```

> Carlo Rovelli 老矣!

---

- ["无"的故事](https://book.douban.com/subject/36216092/)
  - 前半部分鸡肋, 可以删除.
  - 后 `1/3` 值得一读!
  - 最后一章回归鸡肋~

## 小说

- [绝叫](https://book.douban.com/subject/35031587/)
  - `打造避风港吧!`
  - 不错, 不错~

- [白鸟与蝙蝠](https://book.douban.com/subject/36074757/)
  - 一般～

## 影视

- [命运之夜前传 第二季 Fate/Zero 2nd](https://movie.douban.com/subject/6874729/)

- [命运之夜前传 第一季 Fate/Zero](https://movie.douban.com/subject/5416070/)
  - 三王论王

- [93 国际列车大劫案: 莫斯科行动](https://movie.douban.com/subject/10810266/)
  - 在家, 一边走椭圆机, 一边看, 还行~

- [电锯惊魂 10](https://movie.douban.com/subject/36116844/)
  - 一般, 主要是情怀

- [繁城之下](https://movie.douban.com/subject/35725842/)
  - 喜爱徽派建筑的美感
  - 小宝子, 大义; 宋典史, 才情!

- [通灵神探 Solace](https://movie.douban.com/subject/3217142/)

- [罗曼蒂克消亡史](https://movie.douban.com/subject/24751763/)
  - 看不下去, 放弃

- [奥本海默](https://movie.douban.com/subject/35593344/)
  - 很好~
  - 貌似是第一部在电影院看了两遍的电影

- [雾山五行之犀川幻紫林篇](https://movie.douban.com/subject/35178776/)
  - 为此开通了一个月的 bilibili 大会员, 25 元~

- [Hello! 树先生](https://movie.douban.com/subject/4135710/)
  - 还不错

- [孤注一掷](https://movie.douban.com/subject/35267224/)
  - 没啥剧情, 周末打发下时间

- [长安三万里](https://movie.douban.com/subject/36035676/)
  - 还行
  - 国庆假期之后, 爱奇艺再观~
  - 李白, 真乃天上仙人!

- [封神第一部: 朝歌风云](https://movie.douban.com/subject/10604086/)
  - 不错~

- [消失的她](https://movie.douban.com/subject/35660795/)
  - 还行吧, 可以一看

- [银河护卫队 3](https://movie.douban.com/subject/26258779/)
  - 不错, 不错

- [三体](https://movie.douban.com/subject/26647087/)
  - 最喜欢的是体现三体游戏的情节
  - 期待这款游戏能够真做出来

- [漫长的季节](https://movie.douban.com/subject/35588177/)
  - 还不错

- [灌篮高手](https://movie.douban.com/subject/35315950/)
  - 国内4月20日凌晨上映, 晚上去影院看的~

- [尘封十三载](https://movie.douban.com/subject/35725856/)
  - 剧情并无特别之处, 就是看着质感不错

- [回廊亭](https://movie.douban.com/subject/35401290/)
  - 冲着`东野圭吾`去的, 失望

- [中国奇谭](https://movie.douban.com/subject/35674355/)
  - 鹅鹅鹅, 没看懂

- [显微镜下的大明之丝绢案](https://movie.douban.com/subject/35465011/)
  - 徽派建筑, 独具美感

- [流浪地球2](https://movie.douban.com/subject/35267208/)
  - 剧情一般
  - 画面优于`流浪地球1`, 整体制作工艺已经蛮不错了~

- [狂飙](https://movie.douban.com/subject/35465232/)
  - 春节假期, 开始看的. 感觉不错~
  - 春节假期的高铁上, 乘客看的剧不是`狂飙 (爱奇艺)`就是`三体 (腾讯视频)`
  - 我开始喝茶了~ 哈哈哈
  - `抖音`上面买了本`狂飙`小说
  - 看到第 `30` 集, 便不再继续了
  - 小说没看~

- [满江红](https://movie.douban.com/subject/35766491/)
  - 春节档, 还不错~

- 海贼王
  - 2023-08-06, `1071`: 解放之鼓, 奏响
  - `1081`: 红发, 绿牛
  - `1082`: 红发, 霸气
  - `1087`: 黑胡子
  - `1088`: 雷利
  - `1093`: 黑胡子 vs 罗

## 游戏

### 塞尔达: 王国之泪

- 2023-05-17: 苦等数日, 实体卡终于到手!
- 初始空岛:
  究极手 ->
  通天术 ->
  余料建造 ->
  倒转乾坤 ->
  心之容器: 4 ->
- 海拉鲁大陆:
  滑翔帆 ->
- 2023-05-20 周六:
  心之容器: 9 ->
  雷之神殿: 发现 ->
- 2023-05-21 周日:
  鬼神套装, 鬼神大剑 ->
  风之神殿: 发现 -> 风之神殿: 开启 ->
  鸟望台: 全开 (15) ->
  精力容器: 2 圈 ->
  火之神殿: 发现 ->
  神庙: 52 ->
  心之容器: 11 ->
  __结束游戏初始亢奋期__.
- 2023-05-22:
  黄金马 ->
  蛮族套装 ->
- 2023-05-23:
  龙之泪: 12 ->
  大师之剑 ->
  心之容器: 12 ->
  依盖队套装 ->
- 2023-05-25:
  土遁术 ->
  风之贤者: 缔约 ->
  精力容器: 3 圈 ->
- 2023-05-27 周六:
  水之神殿: 发现 ->
  水之神殿: 开启 ->
  水之贤者: 缔约 ->
  火之神殿: 开启 ->
  四大妖精: 解锁 ->
- 2023-05-28 周日:
  雷之神殿: 开启 ->
  雷之贤者: 缔约 ->
- 2023-05-29:
  幻影套装 ->
  火之贤者: 缔约 ->
- 2023-05-30:
  - 心之容器: 18 ->
  - 护雷头盔 ->
- 2023-06-04 周日:
  - 神庙: 93
  - 树根: 37
  - 心之容器: 21
- 2023-06-07
  - 魂之贤者: 缔约 ->
- 2023-06-11 周日:
  - 魔人像: 7 全开 ->
  - 蓝图 ->
  - 心之容器: 26 ->
- 2023-06-21:
  - 神庙: 115 ->
- 2023-06-23:
  - 树根: 92 ->
  - 神庙: 121 ->
  - 心之容器: 30 ->
- 2023-06-25:
  - 树根: 120 ->
  - 通过黑暗的证明 (点亮所有破魔之根) ->
- 2023-06-26:
  - 神庙: 139 ->
- 2023-06-27:
  - 异次元恶灵套装 ->
- 2023-07-01 周六:
  - 神庙: 152 ->
  - 心之容器: 38 ->
  - 巡遍所有神庙之人 ->
  - 古代勇者之魂 ->
- 2023-07-02 周日:
  - 天空的白刃剑 ->
  - 鬼神套装: 四星强化 ->
- 2023-07-09 周日:
  - 电池: 21 ->
  - 滑翔紧身套装 ->
- 2023-07-22 周六:
  - 织梦之勇者套装
- 2023-07-23 周日:
  - 蛮族套装: 四星强化 ->

### 宝可梦朱紫 (紫)

- 七星太晶坑
  - __甲贺忍蛙__
  - __皮卡丘__

### 特斯拉

- 中国车辆销量

```
2023-12

Model Y: 60055
Model 3: 15750
极越 01: 774

2024-01

Model Y: 29912
Model 3: 9969
极越 01: 218

2024-02

Model Y: 22537
Model 3: 7604
极越 01: 147

2024-04

Model Y: 26356
小米 SU7: 7058
Model 3: 5065

2024-05

```

- 2023-12-28, 雷军, 小米汽车技术发布会
  - 2024, 出游租车, 只租: Model 3 新款,
    或者, 小米 SU7! __优先__ SU7!
  - Bye: 极越 01 (包括 2024 的 极越 07)
  - Bye: Cybertruck
  - 致敬: 雷军!

- 2023-12, Cybertruck 开始交付
  - 车身尺寸对比
  - Model Y: 4750 mm, 2129 mm, 1624 mm
  - Cybertruck: 5683 mm, 2413 mm, 1791 mm
  - 长 `+20%`, 宽 `+13%`, 高 `+10%` (对比 Model Y)
  - 小米 SU7: 4997 mm, 1963 mm, 1455 mm
  - 长 `+5%`, 宽 `-8%`, 高 `-10%` (对比 Model Y)
  - 极越 01: 4853 mm, 1990 mm, 1611 mm

- 上海, 特斯拉超充
  - 优惠时段: 1.59 / kWh
  - 常规时段: 2.39 / kWh

- 四川: 国家电网 (含服务费)
  - 1.58 (汶川映秀)
  - 1.84 (四姑娘山)

- 2023-11, 成都, 特斯拉 Model 3 租车自驾游
  - 没有租到 2023 最新款, 体验不了屏幕滑动换挡.
  - 驱车往返四姑娘山和成都.
  - 进川开车注意点: 夕阳很刺眼, 有人隧道实线逆行超车, 会有落石.
  - 回程轻松了很多~
  - 路面结冰的时候是真危险!
  - 长货车过弯的时候, 千万不要和它一起过弯!

- 2023-10, 极越 01 (前: 集度) 发布
  - 屏幕滑动换挡!
  - 市场反响一般~

- 2023-10, 江浙充电桩电价
  - 1.4 元/度 ~ 1.7 元/度
  - 慢充相对便宜, 单价均摊了服务费

- Model 3 驾驶
  - 今年`2`月, 厦门旅游, 租车体验了一次 Model 3,
    驾驶起来比 Model Y 容易, 车身小的缘故吧.
    速度飙起来之后感觉也比 Y 更稳!
  - `9`月, 长沙旅游, 再次租车 Model 3.
    Model 3 着实比 Y 省电!

- 2023-09-01, 2016 年首发的 Model 3 改款了～

- 特斯拉超充, 2023-05:
  - `16:43`, 58km, 16%
  - `17:20`, 415km, 99%

## 游记

### 国庆 新疆 可可托海 滑雪

```
飞机降落在富蕴县的一个小机场.
```

```
可可托海的最后一天滑雪, 约莫下午时分开滑.
起初感觉一般, 因为温度不算低, 穿着滑雪服, 一趟下来就嫌热了.
阳光照射下, 雪质一般, 有融化的迹象.

变化起于滑了数趟之后, 闲云蔽日, 气温忽降.
起初是雨夹雪扑面而来, 还夹杂着细小的冰雹, 打在脸部略感冰疼.

但是如此一来, 雪质便好了起来, 同时滑雪的人少去一些.
颇有一番酣畅淋漓的快感.

再一趟下来, 缆车上山之际, 便是绒毛大雪了.
一层层的粉雪, 铺洒在雪道之上. 轻风拂面, 绒雪轻柔, 宛若仙境.
一步迈开, 滑至雪道入口, 豁然间, 天地一体, 远近一色.
情不自禁的摘下头盔, 这天地之间, 安静的出奇! 数年未遇之静!

视觉尽处, 仅至身前数丈, 真可谓: 天地之间, 白茫茫的一片!
在这尚属平稳的雪道上, 信步滑开, 悠然自得.
无需任何技巧, 单就雪板踩在柔和的粉雪之上, 感受那纱柔的质感.
恍惚间, 自觉天上仙人, 欣赏人间至境.
```

---

- 2023-09: 长沙
  - 开车路过一个斑马线, 看到一位被撞倒的代驾.
    交警在一旁指挥, 守护. 代驾小哥躺在地上, 轻微的抽搐.
    小哥年纪估计`20`多, 很年轻.
  - 橘子洲上方的立交桥桥洞下的理发摊, 几个年纪稍大的大叔, 阿姨摆的摊位.
    有一些老人会在这理发, 感觉生意还不错, 别有一番烟火味.
  - `文和友`附近夜晚的年轻人是真多, 午夜过后, 热闹不减.

- 2023-08: 周末
  - 湖州南浔区 (南浔古镇) 国道驾车至 苏州市吴江区 (东太湖生态园)
  - 一个小时的车程, 两边的城市风貌已然有了明显的差异

---

- 2023 夏, 连番暴雨, 上海局部被淹~

### 端午

> 济州岛

- 落地签, 遇到的工作人员态度恶劣.
- 优点是离上海近, 没有其他特色了~
- 食物: 带鱼不错~

> 就是一个平平无奇的海岛. 商业化一般, 景色一般~

### 五一

- 五一小长假
  - 火热异常!
  - 假期第一天, 上海小雨~
  - 假期第二天, 出上海, 到嘉兴, 开车三小时!
- 黄山, 错峰, 下午上山, 住一晚, 第二天下山.
  - 体验很不错, 完全没有人挤人.

### 春节

- 2023-1-8 周六

```
上海陆家嘴中心, 路过一家 集度 (百度汽车) 体验店.
想体验一下, 结果店员告知:
唯一的一台车去参加广州车展了, 店里面的是模型.
呃, 难道全国就一台?
```

## 加密货币

- Volume

```
2024-04-02

BTC: $102.26B
ETH: $40.94B
SOL: $11.10B
```
