---
title: 陶哲轩实分析
description: 明月出天山, 苍茫云海间. 长风几万里, 吹度玉门关.
date: 2023-07-25
---

- [陶哲轩实分析](https://book.douban.com/subject/30227556/)

```
因为实分析所包含的内容非常广泛,
所以不应该强迫学生去记忆定义和定理.
因此, 我不建议采取闭卷考试,
也不建议采取那种通过对书本内容进行反刍式的压缩而做的考试.
(事实上, 在考试中, 我会为学生提供一张附页,
这张附页会列出与本次考试内容相关的关键性定义和定理.)
```

> 相较于:
  [普林斯顿数学分析读本](https://book.douban.com/subject/35172355/),
  (陶) 涵盖范围更广, 以具体问题为例, 反问引起思考, 为啥需要分析?
  一起手, 便是大师风范~ 然后一气呵成!
  (普) 倒是包含了些拓扑的内容, 但也是蜻蜓点水.
  通篇观之, 就是罗列定义, 定理, 陈述证明, 讲几个例题.
  确实也算讲解的清晰易懂, 但也仅此而已. 依然会让人疑惑: 为啥需要分析?

### 从头开始: 自然数

- [皮亚诺公理](https://en.wikipedia.org/wiki/Peano_axioms)

> 摘记一段话如下:

```
我不认为我们可以通过公理和形式逻辑为算术奠定更坚实的基础.
如果你还不同意 1 + 1 = 2, 那么,
即使你耗尽毕生研究数理逻辑也不会把这弄得更清楚.

-- Scott Aaronson, 量子计算公开课
```

```
因此, 数论中每一次伟大的进步 -- 负数, 无理数,
复数甚至是数字 0 -- 都会带来大量不必要的哲理烦恼.
数可以通过公理来抽象地理解而不需要借助任何实物模型,
这是 19 世纪后期的一个伟大发现.
```

> 哈哈: 哲理 (哲学), (自寻) 烦恼

- [序数](https://en.wikipedia.org/wiki/Ordinal_number)
  - [超限归纳法](https://en.wikipedia.org/wiki/Transfinite_induction)

### 集合论

> 纯粹集合论

- (__正则性公理__) 如果
  $$ A $$
  是一个非空集合, 那么
  $$ A $$
  中至少存在一个元素
  $$ x $$
  满足:
  - $$ x $$
    要么不是集合, 要么与
    $$ A $$
    不相交.
  - 这个公理 (也被称作`基础公理`) 的要点在于它断定了
    $$ A $$
    中至少有一个元素位于对象层级结构中非常低的层级, 以至于该元素不包含
    $$ A $$
    中的其他任何元素.

- (__复合是可结合的__) 设
  $$ f: Z \rightarrow W $$,
  $$ g: Y \rightarrow Z $$
  和
  $$ h: X \rightarrow Y $$
  是三个函数, 那么
  $$ f \circ (g \circ h) = (f \circ g) \circ h $$.


```
单射和满射在许多方面是互相对偶的.
```

- 一个常犯的错误是: 称一个函数
  $$ f: X \rightarrow Y $$
  是双射, 当且仅当 "对
  $$ X $$
  中任意一个
  $$ x $$,
  在
  $$ Y $$
  中恰好存在一个
  $$ y $$
  使得
  $$ y = f(x) $$".
  - 这种表述并不能说明
    $$ f $$
    是一个双射, 更确切地说, 这仅仅表明
    $$ f $$
    是一个函数.
  - 函数不能把一个元素映射成两个不同的元素.

### 整数和有理数

### 实数

### 序列的极限

### 级数

### 无限集合

### R 上的连续函数

### 函数的微分

### 无限集合

### 黎曼积分

### 度量空间

### 度量空间上的连续函数

### 一致收敛

### 幂级数

### 傅里叶级数

### 多元微分学

### 勒贝格测度

### 勒贝格积分

### 数理逻辑基础

### 十进制
