---
title: 复分析 可视化方法 - 微分
description: 塞下秋来风景异, 衡阳雁去无留意. 四面边声连角起, 千嶂里, 长烟落日孤城闭.
date: 2021-11-16
---

- [复分析: 可视化方法](https://book.douban.com/subject/35316347/)
  - 原作名: __Visual Complex Analysis__
  - 译者: 齐民友
  - 出版年: `2021-01`
  - `2021` 年买的, `2022` 年开始阅读, 哈哈哈

```
齐民友因病医治无效于 2021 年 8 月 8 日在武汉逝世, 享年 92 岁.
```

> 世间再无: __齐民友!__
  齐民友先生是极其少有的大家, 译作更在原作之上锦上添花, 实属罕见!
  感念先生高义, 俯身翻译佳作, 照顾吾等一般读者~
  感激涕零, 深思缅怀! 愿先生之精神, 后继有人!

```
我愿向专业的读者致歉, 因为我发明了一个词: "伸扭" 作为 "导数" 的同义语,
我从 "伸缩" 和 "扭转" 两字中各取部分凑在一起创造了 "伸扭" 这个新词.
我只能说, 我是在教学过程中不得已才造了这样一个词的.
如果不用这样的词来讲授本书的思想, 那你很快就会明白我这样做的用意!
```

```
本书无疑还有许多未曾发现的毛病, 但是有一桩"罪行"是我有意去犯的,
对此我也不后悔: 有许多论证是不严格的, 至少表面上看是如此.
如果你把数学仅仅看成人类的心智所创造的, 是岌岌可危的高耸的建筑物,
这就是一桩严重的罪行.
追求严格性就好比绞尽脑汁来维持这幢建筑物的稳定,
以防整个建筑物在你身旁轰然倒塌.
然而, 如果你和我一样,
相信我们的数学理论只不过是试图获取一个柏拉图式世界的某些侧面,
这个世界并非我们创造的, 我就会争论说,
开始时缺少严格性只不过是付出了小小的代价,
使得读者能比采用其他方式更直接更愉快地看透这个世界.
```

- 众所周知, `1665` 年出版的牛顿的微积分的最初版本和我们现在学的微积分很不一样:
  - 它的本质是幂级数运算, 而牛顿把对于幂级数的运算比喻为在算术中运用十进制小数展开式.
  - 符号演算 -- 就是现在每一本标准教科书上的那种微积分的讲法 --
    通常是与莱布尼茨的名字连在一起的, 牛顿虽然完全熟悉它,
    却认为它对于自己只有附带的意义.
  - 毕竟, 牛顿运用幂级数就能计算
    $$ \int e^{-x^2} dx $$
    那样的积分, 像计算
    $$ \int \sin x dx $$
    一样容易. 请莱布尼茨也来试试这件事!
- 人们不甚知晓的是, 到了 `1680` 年左右, 牛顿对这两种方法都不再着迷,
  那时他着手撰写微积分的第 `3` 种版本, 并以几何为基础.
  - 这种"几何微积分"正是推动牛顿的 <原理> 走向辉煌的物理学的数学动力.

> 莱布尼茨, 招你惹你啦?

```
为什么牛顿特别倾向几何学? 至少部分由于在牛顿的时代几何学最为成熟,
而且是人们 (不只是牛顿) 解决科学问题的最有力工具,
牛顿以及他同时代的大科学家 (还应加上伽利略) 都是欧氏几何的高手.
他的 <原理> 一书可以说是充满了求解"几何难题"的例子,
以致微积分的基本思想 -- 略去高阶无穷小, 也时常隐藏在几何难题后面,
所以读起来很难得其三昧.

说个笑话: 如果你不能放开慧眼, 从几何与物理角度审视问题,
就难以看穿大千世界; 但是, 如果你这样做了, 立定足跟, 循此渐进,
自然能进入牛顿的不二法门 -- 一种几何化的物理科学.
```

```
本书作者这样的做法, 值得我们效仿. 这当然有很大的难度, 所以牛顿以后,
如欧拉, 拉格朗日和拉普拉斯, 就以分析的方法来处理同样的问题.
欧拉说过, 完全几何的方法, 时常难以解决力学问题, 或者只能部分地解决;
而拉普拉斯的名著 <天体力学> 则把天体运动的研究完全归结为研究微分方程.
再考虑到微积分的基础经过两百多年的锤炼, 借助 ε-δ 语言得到了较完美的解决,
进程 A 就占据了统治地位. 当然, 从几何和物理侧面考察问题的方法, 也就退居后台了.

19 世纪的数学发展, 风向似乎又有了改变. 这里起了决定作用的有高斯, 特别是黎曼
(他是本书特别推崇的大师) "回到牛顿"可能是 20 世纪才有的口号,
但是潮流的改变在当时已经十分明显.
```

```
黎曼在这篇博士论文中提出了现在以他的名字命名的几何对象 -- 黎曼曲面.
现在的教本里通常要么根本不提黎曼曲面,
要么就把它说成是一个奇怪的崂山道士可以钻过来钻过去的虚构的"曲面",
一切都是为了"方便"的权宜之计. 这就离黎曼的思想相距太远了,
黎曼曲面是具有深刻几何 (准确些说, 是拓扑) 内涵的数学对象,
而一个解析函数的本性, 可以说是由它的黎曼曲面决定的, 后来,
由于克莱因和庞加莱等人的功绩, 直到外尔 1913 年发表 <黎曼曲面概念> 这部名著,
才明确了黎曼曲面是一个微分流形.

由于微分流形的概念, 再加上黎曼提出的许多新的拓扑概念或思想,
因此说黎曼是拓扑学的奠基人之一绝不过分, 黎曼的这些贡献对 20 世纪
(以及 21 世纪) 的数学发展影响如何深远, 绝非这里能够讨论的.
我们只能就本书的写法, 介绍一点情况, 以供本书的读者参考而已.
```

> `崂山道士`, 意译的不错!

```
本书最后三章的风格, 恐怕在其他数学教材 (不止是复分析教材) 是未曾见到过的,
作者把复解析函数的概念与理想流体的流场, 静电场以及温度场完全地融为一体,
可能读者会问, 怎么能够要求一个数学的学生或老师知道那么多物理学呢?

作者说, 尽管你对于电场可能很生疏, 但是绝大多数人对于热和温度还是熟悉的.
其实就静电场的理论而言, 本书并未超出高中物理学多少. 问题的症结可能是,
学数学的时候总以为物理学是另一个天地, 是我们管不了的;
学物理的时候又很少想到, 这也是数学的用武之地. 总之,
没有按照克莱因的进程 B 所要求的那样, 在数学和物理学的融合上花力气.
```

```
请看本书, 讲的是一个解析函数, 也就如同在讲一个流场:
它可能是源或者汇生成的, 也可能是一个偶极子或多极子生成的:
洛朗级数讲的无非就是把这些东西叠加起来,
正幂部分表示在无穷远处有源或者汇或者其他什么,
负幂部分表示有限远处有这些东西; 在某一个流场内放进例如一个单位圆盘,
或者另一个障碍物 R, 流场的变化就是由 R 的外域到单位圆盘的外域的共形映射.
这样的变化当然是存在的, 这就意味着这个共形映射也是存在的,
当然我们还需要一个数学证明, 但是应该理解, 这个证明是对一个物理事实的数学说明,
而这个物理事实也就是对一个数学结论的物理说明.
```

## 几何和复算术

- 对两个复数的加法和乘法现在也可以赋予确定的几何意义,
  即解释为平面上相应的点 (或向量) 的几何运算.
  - 两个复数之和 `A + B` 由通常向量加法的平行四边形法则给出.
- 乘法法则:
  - `AB` 之长是 `A` 之长与 `B` 之长的乘积,
    `AB` 的辐角是 `A` 与 `B` 的辐角之和.

- __并不是二次方程迫使我们严肃地考虑复数, 而是三次方程迫使人们这样做.__

```
尽管复数本身仍然是神秘的, 然而庞贝利关于三次方程的工作证实了,
完全实际的问题也需要用复算术来求解.
复数理论以后的发展也和它的诞生一样,
是与数学其他领域 (还有物理学) 的进展密不可分的.
```

- 从几何上看, 乘以复数
  $$ A = R \angle \phi $$
  就是把平面旋转一个角
  $$ \phi $$,
  且放大一个因子 `R`. 需要提醒几点:
  - 旋转与放大都以原点为中心.
  - 先旋转再放大或者先放大再旋转都是一样.
  - 如果 `R < 1`, 所谓"放大"其实是缩小.

- 现在该把
  $$ r \angle \theta $$
  换成一个好得多的记号了, 这个记号基于一个奇迹般的公式
  - $$ e^{i \theta} = \cos \theta + i \sin \theta $$
  - 欧拉在 `1740` 年左右发现了它, 现在它被称为`欧拉公式`以纪念他

### 用质点运动来论证

- 回忆一个基本的事实:
  $$ e^x $$
  是其自身的导数,
  $$ \frac{d}{dx} e^x = e^x $$.
  这其实是一个可用作定义的事实, 即如果
  $$ \frac{d}{dx} f(x) = f(x) $$
  且
  $$ f(0) = 1 $$,
  则
  $$ f(x) = e^x $$.
- 与此类似, 如果 `k` 是一个实常数, 则
  $$ e^{kx} $$
  可以由以下性质来定义:
  - $$ \frac{d}{dx} f(x) = k f(x) $$,
    且
    $$ f(0) = 1 $$.
  - 为了把通常的指数函数
    $$ e^x $$
    从 `x` 的实数值推广到虚数值, 我们可以抓住这一点不放,
    坚持认定, 当 `k = i` 时此式为真, 即
  - $$ \frac{d}{dt} e^{it} = i e^{it} $$

- 所以, 给定了一个实自变量 `t` 的复函数 `Z(t)`,
  我们总可以把 `Z` 可视化地看作一个动点的位置, 而
  $$ \frac{dZ}{dt} $$
  是其速度.
- 我们现在就用这个想法在
  $$ Z(t) = e^{it} $$
  的情况下求其轨迹.
  - 按:
    $$ 速度 = V = iZ = 位置逆时针旋转一个直角 $$.
- 因为此点的初始位置是
  $$ Z(0) = e^0 = 1 $$,
  所以初速度是 `i`, 且垂直向上运动.
  - 几分之一秒后, 此点将沿此方向稍微动一点, 而其新速度将与新位置向量成直角.
  - 按此法来构造运动, 很清楚, 此点将沿单位圆周运行.

### 用幂级数来论证

- 为了做第二个论证, 我们先用幂级数来重新表述定义的性质:
  $$ \frac{d}{dx} f(x) = f(x) $$,
  $$ f(0) = 1 $$.
  - 设
    $$ f(x) $$
    可以表示为
    $$ a_0 + a_1 x + a_2 x^2 + ... $$,
  - 经简单计算可以证明
  - $$ e^x = f(x) = 1 + x + \frac{x^2}{2!} + \frac{x^3}{3!} + ... $$,
  - 进一步的研究则可证明这个级数对 `x` 的一切 (实) 值都收敛.
  - 当 `x` 为实值
    $$ \theta $$
    时, 这个和是水平轴上实数的无穷和.
- 为了使
  $$ e^{i \theta} $$
  有意义, 我们仍坚持用这个级数, 但令
  $$ x = i \theta $$:
  - $$
      e^{i \theta} = 1 + i \theta +
      \frac{(i \theta)^2}{2!} +
      \frac{(i \theta)^3}{3!} + ...
    $$
  - 这个级数与
    $$ e^{\theta} $$
    的级数同样有意义. 但是各项并不具有相同方向,
    而是每一项的方向都是前一项的方向旋转了一个直角, 成了某种螺旋形线.
  - 已知
    $$ e^{\theta} $$
    级数的收敛性, 即可保证
    $$ e^{i \theta} $$
    的螺旋级数也收敛于
    $$ \mathbb{C} $$
    的某一定点. 然而并不清楚它会收敛于单位圆上角度为
    $$ \theta $$
    的点.
- 为了证明这一点, 我们把这条螺旋形线分为实部和虚部:
  $$ e^{i \theta} = C(\theta) + i S(\theta) $$,
  这里
  - $$ C(\theta) = 1 - \frac{\theta^2}{2!} + \frac{\theta^4}{4!} - ... $$,
  - $$ S(\theta) = \theta - \frac{\theta^3}{3!} + \frac{\theta^5}{5!} - ... $$.
- 至此我们可借助泰勒定理证明
  $$ C(\theta) $$
  与
  $$ S(\theta) $$
  就是
  $$ \cos \theta $$
  与
  $$ \sin \theta $$
  的幂级数, 从而证明欧拉公式.

---

- 欧拉公式的一个简单而重要的结论是:
  正弦和余弦可以用指数函数构造出来.
- 准确地说:
  - $$ e^{i \theta} + e^{-i \theta} = 2 \cos \theta $$,
  - $$ e^{i \theta} - e^{-i \theta} = 2 i \sin \theta $$,
- 或者与此等价有
  - $$ \cos \theta = \frac{e^{i \theta} + e^{-i \theta}}{2} $$,
  - $$ \sin \theta = \frac{e^{i \theta} - e^{-i \theta}}{2 i} $$.

### 代数基本定理

- 我们将会看到, 对更高的次数 `n`, 若不用复数, 则
  $$ (x^n - 1) $$
  不能完全因式分解为线性因式.
  而在 `1716` 年复数还是一种罕见并且可疑的玩意儿!
  - 然而, 科茨看到, 如果能把
    $$ (x^n - 1) $$
    剖开成实的线性和二次因式, 则他就能算出积分.
  - 所谓"实二次因式"就是系数全为实数的二次式.

- 笛卡儿因式定理, 把根的存在与做因式分解的可能性联系起来:
  - 若 `c` 是
    $$ P_n(z) = 0 $$
    的一个解, 则
    $$ P_n(z) = (z-c) P_{n-1} $$,
    其中
    $$ P_{n-1} $$
    是 `(n - 1)` 次多项式.

- 如果我们能再找到
  $$ P_{n-1} $$
  的一个根 `c'`, 则由同样的推理又有
  $$ P_n = (z-c) (z-c') P_{n-2} $$.
- 这样做下去, 笛卡儿定理使得有望把
  $$ P_n $$
  恰好分解为 `n` 个线性因式:
  - $$ P_n (z) = (z - c_1)(z - c_2) ... (z - c_n) $$.

- 如果我们不承认复根的存在 (`18` 世纪早期人们就是这样认为的),
  则这种因式分解有时可能 (例如
  $$ z^2 - 1 $$),
  有时又不可能 (例如
  $$ z^2 + 1 $$).
  但是与此形成鲜明对照的是, 如果承认复数, 则可以证明
  $$ P_n $$
  在
  $$ \mathbb{C} $$
  中恒有 `n` 个根, 而因式分解恒为可能.
  - 这称为`代数基本定理`.

```
若一多项式具有实系数, 则其复根必为成对复共轭的,
而它可以分解为实的线性因式和实二次因式.
```

- 因为如果
  $$ P_n (z) $$
  的系数 `A`, ..., `E` 都是实的, 则
  $$ P_n (c) = 0 $$
  必意味着
  $$ P_n (\overline{c}) = 0 $$.

### 变换与欧氏几何

- 当把复数
  $$ z = x + iy $$
  仅仅看成向量时, 我们就用黑体
  $$ \mathbf{z} $$
  来表示它, 并把其分量竖列起来:

$$ z = x + iy \Longleftrightarrow \mathbf{z} = \binom{x}{y} $$

- 虽然点乘和叉乘对任意空间向量都有意义,
  但我们下面假设所有向量都在同一平面 -- 复平面内.
  - 给定两个向量 __a__ 和 __b__,
    点乘就是一个向量的长乘以另一向量在此向量上的投影:
  - $$ \mathbf{a} · \mathbf{b} = |a| |b| \cos \theta = \mathbf{b} · \mathbf{a} $$
  - 其中
    $$ \theta $$
    是 __a__ 与 __b__ 之间的夹角.

- __叉乘的定义__:
  $$ \mathbf{a} \times \mathbf{b} $$
  垂直于 __a__ 和 __b__ 所决定的平面, 其长为
  __a__, __b__ 所张的平行四边形的面积
  $$ \mathcal{A} $$.
  - 但是请停一下, 有两个 (相反的) 方向都垂直于
    $$ \mathbb{C} $$;
    我们选哪一个?
  - 若写出
    $$ \mathcal{A} = |a| |b| \sin \theta $$,
    就可以看到, 这样写的面积
    $$ \mathcal{A} $$
    是有符号的.
  - 要想看出为何这里有符号, 一个容易的方法是规定这里的
    $$ \theta $$
    是由 __a__ 旋转到 __b__ 所成的角 (而不是二者的夹角),
    其值在区间 `-π` 到 `π` 中.
  - 可见
    $$ \mathcal{A} $$
    的符号与
    $$ \theta $$
    的符号一致.
  - 如果
    $$ \mathcal{A} > 0 $$,
    我们就定义
    $$ \mathbf{a} \times \mathbf{b} $$
    是由平面向上指的; 若
    $$ \mathcal{A} < 0 $$,
    就定义它是向下指的.
  - 由此可见
    $$ \mathbf{a} \times \mathbf{b} = -(\mathbf{b} \times \mathbf{a}) $$.

> 右手系

---

- $$ a \times b $$
  的定义中包含了一个人为的规定, 叉乘本质上是三维的.
  这就提出了一个问题:
  - 如果 `a` 和 `b` 被看成了复数,
    $$ a \times b $$
    就不可能是复数, 因为它并不位于 `a` 和 `b` 所在的 (复) 平面
    $$ \mathbb{C} $$
    内.
  - 对于点乘就不存在这个问题, 因为 `a·b`
    只是一个实数, 但这也就为我们指出了一条出路.
- 因为我们所有的向量都在同一平面内, 对此平面可以指定一个法线方向,
  于是, 向量的叉乘要么与此法线有同样的方向, 要么方向相反,
  所以一个叉乘与另一个叉乘的区别仅在
  $$ \mathcal{A} $$
  的数值上.
  - 为了本书所需, 我们将重新定义向量的叉乘是由
    `a` 到 `b` 所张的 (而不只是 `a` 和 `b` 所张的)
    平行四边形的 (有符号的) 面积:

$$
  \mathbf{a} \times \mathbf{b} = |a| |b| \sin \theta =
  - (\mathbf{b} \times \mathbf{a})
$$

- 若有两个复数
  $$ a = |a| e^{i \alpha} $$
  和
  $$ b = |b| e^{i \beta} $$,
  则由 `a` 到 `b` 的角是
  $$ \theta = (\beta - \alpha) $$.
  - 为了看出它们的点乘与叉乘怎样与复数乘法相关, 先考虑用
    $$ \overline{a} $$
    乘
    $$ \mathbb{C} $$
    的任一点的净效果.
  - 这就是旋转一个角
    $$ - \alpha $$
    再放大 `|a|` 倍,
    如果再看斜边为 `b` 的有阴影的直角三角形在此变换下的象,
    则我们可以立刻看到

$$
  \overline{a} b = \mathbf{a} · \mathbf{b} + i (\mathbf{a} \times \mathbf{b})
$$

- 当然也可以通过简单的计算得出这个结果:

$$
\begin{align}
  \overline{a} b
    & = (|a| e^{-i \alpha}) (|b| e^{i \beta}) \\
    & = |a| |b| e^{i(\beta - \alpha)}         \\
    & = |a| |b| e^{i \theta}                  \\
    & = |a| |b| (\cos \theta + i \sin \theta)
\end{align}
$$

---

- 运动就是平面到其自身的一个映射且使任两点 `A`, `B`
  的距离与其象 `A' = M(A), B' = M(B)` 的距离相同.
  - 注意, 我们所称的运动也常称为"刚性运动"或"等距同构".
- 有了关于运动的精确概念以后, 我们对几何相等性就有了一个最终的定义:
  - 如果存在一个运动 `M`, 使得 `F' = M(F)`,
    就说 `F` 全等于 `F'`, 记作
    $$ F \cong F' $$.
- 其次, 作为以前讨论的一个推论, 我们说:
  一个图形的几何性质就是它的经过一切运动都不改变的性质.
  - 最后, 为了回答那个尚未解决的问题 -- "什么是几何学",
    克莱因说, 几何学就是研究运动的集合的所谓不变式 (或不变量).

> 几何学就是研究运动的集合的不变量.

- 我们希望所谓几何相等性应该符合以下三个条件.
  - (i) 一个图形应该等于其自身:
    `F ~ F` 对一切 `F` 成立.
  - (ii) 若 `F` 等于 `F'`,
    则 `F'` 也等于 `F`:
    $$ F \thicksim F' \Rightarrow F' \thicksim F $$.
  - (iii) 若 `F` 等于 `F'`,
    `F'` 等于 `F''`,
    则 `F` 也应与 `F''` 相等:
    $$ F \thicksim F' \And F' \thicksim F'' \Rightarrow F \thicksim F'' $$.
- 符合这些要求的任何关系都称为等价关系.

---

- 现在假设仍保留几何相等性的定义, 但对运动的定义加以推广,
  即将其中的保距变换族代以某个其他的变换族 `G`.
  - 应该要明白, 并非任意我们已知的原有的 `G`
    都与我们定义几何相等性的目的相容.
- 事实上, (i), (ii) 与 (iii) 蕴涵着 `G`
  必有以下很特殊的构造.
  - (i) 族 `G` 必包含一个映一点为其自身的变换
    $$ \varepsilon $$
    (称为恒等变换).
  - (ii) 若 `G` 中含有一变换 `M`, 则亦必包含解除 `M` 的变换
    $$ M^{-1} $$
    (称为 `M` 之逆).
  - 可以验证, 为使
    $$ M^{-1} $$
    存在 (且不管
    $$ M^{-1} $$
    是否 `G` 之元), `M` 必须具有以下的特殊性质:
  - (a) 把平面映到全平面上,
  - (b) 一对一;
  - 即是说:
  - (a) 平面的每点必为此平面的某点之象,
  - (b) 不同点有不同的象.
  - (iii) 若 `M` 与 `N` 都是 `G` 中之元,
    则其复合映射
    $$ N \circ M $$
    (先做 `M` 再做 `N`)
    也是 `G` 中之元.
  - `G` 的这一性质称为封闭性.
- 这样我们很自然得到了对整个数学都具有基本重要性的概念:
  满足这三条要求的变换族 `G` 称为群.

---

- 克莱因的思想是, 我们可以先任意选定一个群 `G`,
  然后定义一种相应的几何学, 即是对 `G` 的不变量的研究.
  - 克莱因第一次宣布这个思想是 `1872` 年在埃尔朗根大学, 那时他才 `23` 岁,
  - 所以后来这个思想就以`埃尔朗根纲领`为名而著称于世.
- 例如, 若取 `G` 为运动群, 我们就回到了平面上的欧氏几何学.
  但是这远非平面上唯有的几何学, 射影几何学就是另外一种.
- 克莱因对于几何学的视野其实还更宽广. 我们一直关注的是,
  当图形是画在平面上任何地方时, 可能有什么样的几何学,
  但是也可以假设只允许我们把图形画在某个圆盘 `D` 内.
  - 应该很清楚, 我们可以恰如构造平面上的几何学一样, 来构造
    `"D 中的几何学"`:
  - 给定一个由 `D` 到其自身的变换之群 `H`,
    相应的几何学就是研究 `H` 的不变量.
  - 如果你怀疑是否有这样的群存在, 考虑所有绕 `D` 之中心的旋转之集合好了.

---

- 要理解欧氏几何的基础, 看来必须研究其运动群.
  现在这个群还是相当抽象地定义为平面到其自身的保持距离的变换之集合.
  - 然而很容易想到运动的一些例子:
  - 平面绕任意点的旋转, 平面的平移, 还有平面对某一直线的反射.
- 我们的目的是用同样生动的东西来理解最一般可能的运动.
  - 我们先从宣布一个关键事实开始:
  - 一个运动可以由它对任意三角形
    (即任意三个非共线的点)
    的效果唯一确定.

---

- 为了区别这两个运动, 可以看它们对于角的影响如何.
  所有的运动都能保持角的大小. 但是我们看到
  $$ \mathcal{M} $$
  还保持角
  $$ \theta $$
  的定向, 而
  $$ \widetilde{\mathcal{M}} $$
  却把它反转. 这个区别的本性是:
  - $$ \mathcal{M} $$
    必定事实上保持所有的角的定向, 而
    $$ \widetilde{\mathcal{M}} $$
    则把所有的角的定向都反转.
- 保持角的定向的运动称为`保向`的 (或称`直接`的), 使其翻转的称为`反向`的.
  这样, 平移和旋转都是保向的, 而反射是反向的. 综合以上所得有:
  - 恰好存在一个保向运动
    $$ \mathcal{M} $$
    (以及恰好一个反向运动
    $$ \widetilde{\mathcal{M}} $$)
    将一已给线段 `AB` 映为另一个等长线段 `A'B'`.
  - 此外,
    $$ \widetilde{\mathcal{M}} = (\mathcal{M} 再继以对 A'B' 的一个反射) $$.
- 这样, 为了理解运动, 我们可以考虑两个随机选出的等长线段 `AB` 与 `A'B'`,
  然后再找出映其一为另一的这个保向运动
  $$ \mathcal{M} $$
  (反向运动
  $$ \widetilde{\mathcal{M}} $$).
  现在就容易证明:
  - 每个保向运动均为一旋转, 或 (在例外情况下) 为一平移. (`1.26`)
- 注意, 这个结果使我们对于早先关于旋转与平移的复合的计算有了更深的洞察:
  - 因为任意两个保向运动的复合仍为一保向运动, 它就只可能是一旋转或平移.
  - 反过来, `1.26` 可以重新表述如下:
  - 每个保向运动都可以表示为一个如下形状的复函数
    $$ \mathcal{M} (z) = e^{i \theta}z + v $$.

> 嗯, 终于呼应上了~

- 在下述意义下说平移是"例外"的:
  如果两个线段是随机地画的, 则二者平行是很罕见的.
  - 事实上, 给定了 `AB`, 则只有当 `A'B'` 的方向在无穷多方向中,
    恰好是 `AB` 的方向时, 才只需做一个平移,
  - 所以一个随机的保向运动恰为平移这一事件的数学概率确实为零!
- 对于我们来说, 保向运动比反向运动更重要.
  更加强调保向运动的理由是它们构成一个群
  (整个运动群的一个子群), 而反向运动则不构成子群.
  - 能看出为什么吗?

```
在化学里关注的是原子的相互作用, 但是,
想要更深入地洞察它们就必须研究构成原子的电子, 质子和中子.
与此类似, 虽然我们关注的是保向运动,
但是保向运动是由反射运动构成的.
研究构成它们的反射运动, 就能有更深的洞察.
```

- 准确些说, `每个保向运动均为两个反射的复合`.
  - 注意: `每个反向运动均为 3 个反射的复合`.
  - 简而言之, 每个运动均为或两个或三个反射复合而成,
  - 这个结果称为`三反射定理`.

---

- 正如我们集中于关注保向运动之群, 我们现在也集中于保向相似之群.
  平移和伸缩旋转在欧氏几何中的基本作用最终出现在下面的令人吃惊的定理中:
  - 每个保向相似或为一伸缩旋转, 或 (作为例外) 为一平移.
- 对于我们, 这个事实构成了复数的一种"令人满意"的解释, 在前言中还提到,
  在物理规律中还可找到其他令人折服的解释.
  - 每个保向的相似变换
    $$ S^r $$
    均可表示为形如
    $$ S^r (z) = re^{i \theta}z + v $$
    的复函数.

### 空间复数

- 我们现在简要地把上面的思想推广到三维空间.
  - 首先, 空间中的有中心 (以 `O` 为中心) 的伸缩旋转定义和前面完全一样,
    即可定义为有同样中心的伸缩与空间中绕某个过 `O` 点的轴的旋转复合而成.
  - 欧氏几何的定义的关键性的结果可以推广为:
  - 空间的每一个保向相似变换或为一伸缩旋转, 或为一平移,
    或为一伸缩旋转与沿旋转轴的平移的复合.
- 因此自然地会问, 是否可能有"空间复数"存在, 使其加法为平移的复合,
  而乘法为伸缩旋转的复合.
  - 对于加法, 一切都很顺利: 空间每一点的位置向量都可以看作平移,
    而这些平移的复合就是空间中通常的向量加法.
  - 注意, 就此而言, 这个向量加法对四维空间, 甚至 `n` 维空间都一样有意义.
- 现在考虑具有共同的固定中心 `O` 的伸缩旋转的集合 `Q`.
  - 一开始, 乘法的定义还很顺利.
  - 因为很容易看到两个这种伸缩旋转的"乘积"
    $$ Q_1 \circ Q_2 $$
    仍是一个同一类的伸缩旋转
    (例如记为
    $$ Q_3 $$).
  - 注意到
    $$ Q_1 \circ Q_2 $$
    仍保持 `O` 不变, 就可以从上述的正向相似变换的分类得到这一点.
  - 如果
    $$ Q_1 $$
    与
    $$ Q_2 $$
    的放大率分别为
    $$ r_1 $$
    和
    $$ r_2 $$,
    则
    $$ Q_3 $$
    放大率显然为
    $$ r_3 = r_1 r_2 $$,
    而我们将在第 `6` 章给出由两个旋转
    $$ Q_1 $$
    和
    $$ Q_2 $$
    做出旋转
    $$ Q_3 $$
    的几何作法.
- 然而, 与平面旋转不同, 在空间中, 完成两个旋转的次序是会造成区别的,
  所以我们的乘法法则是非交换的:
  - $$ Q_1 \circ Q_2 \neq Q_2 \circ Q_1 $$
    (`1.32`)
  - 我们肯定是习惯于乘法具有可交换性的, 但是 (`1.32`) 不会导致矛盾,
    所以这一点还不能看成构造`"空间复数"`在代数上的决定性的障碍.

> 我们肯定是习惯于乘法具有可交换性的 (不是哟~)

- 但是, 如果我们企图用空间中的点 (即向量) 来表示伸缩旋转时,
  就会出现基本的问题. 我们会类比着复数乘法把方程
  $$ Q_1 \circ Q_2 = Q_3 $$
  解释为对点
  $$ Q_2 $$
  做伸缩变换
  $$ Q_1 $$
  使之变为
  $$ Q_3 $$.
  - 但是这样的解释是不可能的!
  - 在空间中确定一个点需要 `3` 个数, 即其三维空间坐标;
  - 但要确定一个伸缩旋转则需要 `4` 个数:
  - 一个表示放大率, 一个表示旋转的角度, 还有两个用于表示旋转轴的方向.
- 虽然我们未能找到复数的三维类似物, 却发现了三维的 (以 `O` 为中心的)
  伸缩旋转之集合 `Q` 为一四维空间.
  - `Q` 的元素称为四元数, 它们可以画成四维的点或向量,
    但是怎样做这件事的细节要到第 `6` 章才能讲.
  - 四元数可以用通常的向量加法来相加, 也可以用上述的非交换法则相乘
    (即做相应的伸缩旋转的复合).

## 作为变换看的复函数

```
首先注意, 要画出实函数 f 的图像虽然需要二维空间, 但图像本身
[即点 (x, f(x)) 的集合] 只是一个一维曲线, 其意即是,
只需要一个实数 (即 x) 来确定其上每一点. 与此相类似,
虽然需要四维空间来画出坐标为 (x, y, u, v) = (z, f(z)) 的点的集合,
但图像本身是二维的, 即只需两个实数 (即 x 和 y) 来确定其上每一点.
这样, 本质上, 一个复函数的图像仅仅是一个二维曲面 (即所谓黎曼曲面),
而似乎也能在通常的三维空间中使它可视化.
本书不探讨这个方法, 然而本书最后 3 章特别有助于理解黎曼原来的深刻见识.
```

### 多项式

- [卡西尼曲线](https://en.wikipedia.org/wiki/Cassini_oval)
- [伯努利双纽线](https://en.wikipedia.org/wiki/Lemniscate_of_Bernoulli)

---

- 再回到复平面, 有一个定义具有多于两个焦点的卡西尼曲线的很自然的方法,
  即具有 `n` 个焦点
  $$ a_1 $$,
  $$ a_2 $$,
  ...,
  $$ a_n $$
  的卡西尼曲线就是这样的点的轨迹: 此点与各焦点距离的乘积恒为常数.
  - 把上面讲的思想直接推广就可证明这些曲线是以原点为中心的圆周
    $$ \mid w \mid = 常数 $$
    在以下映射下的原象, 此映射是由 `n` 次多项式
  - $$ z \mapsto w = P_n (z) = (z - a_1) (z - a_2) ... (z - a_n) $$
  - 给出的, 它的根就是焦点.
- 一个等价的说法是: 卡西尼曲线是
  $$ P_n (z) $$
  的模曲面的截口. 这个曲面有 `n` 个锥形的脚站在
  $$ \mathbb{C} $$
  平面的
  $$ a_1 $$,
  $$ a_2 $$,
  ...,
  $$ a_n $$
  处, 而对于大的
  $$ \mid z \mid $$
  值, 它很像轴对称的
  $$ z^n $$
  的模曲面.

### 幂级数

- [几何级数](https://en.wikipedia.org/wiki/Geometric_series)

- 已给以
  $$ k $$
  为中心的复幂级数
  $$ P(z) $$,
  必存在一以
  $$ k $$
  为中心的圆周
  $$ \mid z - k \mid = R $$,
  使
  $$ P(z) $$
  在其内域处处收敛, 而在其外域处处发散.

> Page 59

- 若
  $$ P(z) $$
  有收敛圆盘
  $$ | z | < R $$,
  则
  $$ P(z) $$
  在任意较小的圆盘
  $$ | z | ≤ r $$
  中恒一致收敛, 这里
  $$ r < R $$.

- 如果一个复函数可以表示成一个幂级数,
  则它只能以唯一的一种方式来这样表示:
  这个幂级数必为唯一的.
  - 这是以下恒同性定理的直接推论.
- 若在 `0` 的某一邻域 (不论是多么小), 对所有的
  $$ z $$
  均有
  - $$
      c_0 + c_1 z + c_2 z^2 + c_3 z^3 + ... =
      d_0 + d_1 z + d_2 z^2 + d_3 z^3 + ...
    $$,
  - 则这两个幂级数是恒同的, 即
    $$ c_j = d_j $$
    对所有 `j` 成立.

> 本章内容其实很适合对比阅读
  [陶哲轩实分析](math-analysis.md),
  则所谓的严格性的牺牲将一目了然.

- 幂级数可以用多项式逼近到任意的精确度, 这一事实蕴涵着:
  - 两个具有相同中心的幂级数可以如多项式一样去相加, 相乘和相除.
- 如果两个幂级数
  $$ P(z) $$
  和
  $$ Q(z) $$
  分别具有收敛圆盘
  $$ D_1 $$
  和
  $$ D_2 $$,
  则所得的
  $$ (P + Q) $$
  与
  $$ PQ $$
  至少将在
  $$ D_1 $$
  和
  $$ D_2 $$
  中的较小一个圆盘中收敛 (也可能在大一些的圆盘中收敛).
  - 在
    $$ (P / Q) = P(1 / Q) $$
    的情况则没有这种一般的结论, 因为
    $$ (1 / Q) $$
    的级数的收敛性不仅受限于
    $$ D_2 $$
    的边缘圆周, 还受限于
    $$ D_2 $$
    中使
    $$ Q(z) = 0 $$
    的点, 因此我们这时还要假定
    $$ Q(0) ≠ 0 $$.

- [柯西-阿达玛定理](https://en.wikipedia.org/wiki/Cauchy-Hadamard_theorem)

- 若
  $$ f(z) $$
  可以表示为一个中心在
  $$ k $$
  的幂级数, 则收敛半径是从
  $$ k $$
  到
  $$ f(z) $$
  的最近奇点的距离.

```
实函数的泰勒级数和傅里叶级数只不过是观察复幂级数的两种不同的方式.
```

> Page 67

### 指数函数

- 欧拉公式
  $$ e^{iy} = \cos y + i \sin y $$
  可以解释为,
  $$ e^z $$
  把虚轴如一条绳子一样, 在单位圆上缠了一圈又一圈.
  - 虚轴的左半平面被映为单位圆的内域,
    而其右半平面被映为单位圆的外域.
- 小正方形的象非常接近正方形, 而 (与此相关)
  任意两条相交的直线被映为相交的曲线,
  而曲线的交角与两直线原来的交角相等.

> 详细描述在后续章节

> 至此, 本章稍显乏味~

### 多值函数

- 点
  $$ z = 0 $$
  称为
  $$ \sqrt[3]{z} $$
  的`支点`. 一般地说, 令
  $$ f(z) $$
  为一多值函数而令
  $$ a = f(p) $$
  是它在
  $$ z = p $$
  处的一个值, 我们也可以令
  $$ z $$
  沿一始于
  $$ p $$
  也终于
  $$ p $$
  的闭环路运动, 而追随
  $$ f(z) $$
  的运动.
  - 当
    $$ z $$
    回到
    $$ p $$
    时,
    $$ f(z) $$
    可能也回到
    $$ a $$
    或者回不到
    $$ a $$.
  - $$ f $$
    的支点
    $$ z = q $$
    是这样的点, 使得当
    $$ z $$
    沿着绕
    $$ q $$
    一周的任意闭路运行时,
    $$ f(z) $$
    不能回到
    $$ a $$.
- 回到
  $$ f(z) = \sqrt[3]{z} $$
  这个特定的例子, 我们已经看到, 若
  $$ z $$
  绕
  $$ z = 0 $$
  处的支点 `3` 周, 则
  $$ f(z) $$
  会回到原来的值.
  - 如果
    $$ f(z) $$
    是通常的单值函数, 则只需
    $$ z $$
    绕 `1` 周,
    $$ f(z) $$
    就会回到原来的值.
  - $$ f(z) $$
    与这样的单值函数比较, 还要额外转 `2` 圈才能回到原来的值.
  - 我们把这种情况概括为说 `0` 是
    $$ \sqrt[3]{z} $$
    的`二阶支点`.

> 配图: Page 78

- 一般地说, 如果 `q` 是某个多值函数 `f(z)` 的支点,
  而且 `z` 一定要绕 `q` 转 `N` 圈才能第一次重回 `f(z)`,
  `q` 就称为 `(N - 1)` 阶代数支点; 一阶代数支点称为简单支点.
  - 我们需要强调, 完全有可能, 不管 `z` 绕 `q` 转多少周,
    `f(z)` 也永远回不到原来的值.
  - 这时, `q` 就称为对数支点.

### 对数函数

### 在圆周上求平均值

## 默比乌斯变换和反演

### 反演

### 反演应用的三个例子

### 黎曼球面

### 默比乌斯变换: 基本结果

### 默比乌斯变换作为矩阵

### 可视化与分类

### 分解为 2 个或 4 个反射

### 单位圆盘的自同构

## 微分学: 伸扭的概念

### 一个令人迷惑的现象

### 平面映射的局部描述

### 复导数作为伸扭

### 一些简单的例子

### 共形 = 解析

### 临界点

### 柯西 - 黎曼方程

## 微分学的进一步的几何研究

### 柯西 - 黎曼的真面目

### 关于刚性的一个启示

### log(z) 的可视微分法

### 微分学的各法则

### 多项式, 幂级数和有理函数

### 幂函数的可视微分法

### exp(z) 的可视微分法

### E' = E 的几何解法

### 高阶导数的一个应用: 曲率

### 天体力学

## 非欧几何学

### 球面几何

### 双曲几何
