---
title: 可视化微分几何和形式 - 曲率
description: 青山遮不住, 毕竟东流去. 江晚正愁余, 山深闻鹧鸪.
date: 2023-10-06
---

- [可视化微分几何和形式](https://book.douban.com/subject/36369485/)
  - 副标题: `一部五幕数学正剧`
  - 等了 `2` 年!
  - __致敬: 齐民友先生!__

```
齐民友因病医治无效于 2021 年 8 月 8 日在武汉逝世, 享年 92 岁.
```

> 齐民友先生若能得见译作出版, 当甚感欣慰!
  尚不知刘伟安先生能否再现齐民友先生风采, 译作更比原作精彩!

- [本书网站](https://www.vdgf.space)
  - [MacTutor](https://mathshistory.st-andrews.ac.uk)
  - MacTutor is a free online resource containing
    biographies of more than 3000 mathematicians and
    over 2000 pages of essays and supporting materials.

```
当年, 齐民友老师在翻译了尼达姆的第一本书 <复分析> 之后,
又得到了这第二本书的消息, 所以出版社马上就找齐老师, 想请他再次翻译.
因为齐老师觉得自己已年近九十了, 而这本书的篇幅也不小,
所以为了不耽误此书的翻译, 特向出版社推荐刘伟安教授作为帮手来参与翻译.
```

- 我们将使用符号
  $$ \asymp $$
  来表示这个最终相等的概念. 简而言之,
  - $$
      A \mbox{ } 最终等于 \mbox{ } B \Leftrightarrow
      A \asymp B \Leftrightarrow
      \lim_{\epsilon \rightarrow 0} \frac{A}{B} = 1
    $$.
  - 根据关于极限的几个定理: 最终相等是一种等价关系,
    而且具有与普通相等同样的一些性质.
  - 例如:
    $$ X \asymp Y \And P \asymp Q \Rightarrow X \cdot P \asymp Y \cdot Q $$,
    以及
    $$ A \asymp B \cdot C \Leftrightarrow (A / B) \asymp C $$.

> $$ \asymp $$
  在 LaTeX 里找了半天!

```
我不做逻辑方面的争辩, 而是重复我 20 多年前写在 <复分析> 前言里的话:

"本书无疑还有许多未曾发现的毛病, 但是有一桩 '罪行' 是我有意去犯的,
对此我也不后悔: 有许多论证是不严格的, 至少表面上看是如此.
如果你把数学理论仅仅看成人类的心智所创造的, 是岌岌可危的高耸的建筑物,
这就是一桩严重的罪行. 追求严格性就好比绞尽脑汁来维持这幢建筑物的稳定,
以防整个建筑物在你身旁轰然倒塌.
然而, 如果你和我一样, 相信我们的数学理论只不过是试图获取一个柏拉图式世界的某些侧面,
而这个世界并非我们创造的, 我就会为我们辩护:
在开始时缺少严格性, 只不过是付出了小小的代价,
让读者能比采用其他方式更直接, 更愉快地看透这个世界."

因此, 最好事先就告诉我的批评者, 从一开始我就承认:
当我说一个命题 "得证" 的时候, 可以认为这只是指 "排除了合理怀疑后得证"!
```

> 非常喜欢这一段话!

```
前四幕实现了我的承诺, 相互独立, 有 "几何" 味地介绍了微分几何.
第四幕是真正的 "数学动力站", 它使得我们最终可以用几何方法证明前三幕中的许多论断.

这几幕主题的几个方面是非正统的, 处理它们的几何方法也是非正统的.
在此, 我们只说三个最重要的例子.
```

```
第一, 第三幕是整部剧的高潮, 而这一幕的高潮是全局高斯-博内定理 --
这是连接局部几何与全局拓扑的著名定理.
这个话题的内容是标准的, 但我们的处理方法就不是标准的了.
为了突出这个定理的中心地位和根本重要性, 我们燃放了一组豪华的 "数学烟花":
用五章的篇幅来讨论它, 还贡献了四个不同寻常的证明,
每个证明都体现了对证明结果和微分几何根本性质的新见解.
```

```
第二, 从二维曲面到 n 维空间 (称为 "流形") 的转换常常是令学生困惑和害怕的内容.
第 29 章 (在本书中篇幅第二长) 通过集中研究三维流形的曲率 (这是能够可视化的),
寻求建立一座跨越这个鸿沟的桥梁. 当然, 我们讨论的框架是可以应用到任意维流形的.
我们利用这种方法引入了著名的黎曼张量, 用它来度量 n 维流形的曲率.
我们直观, 有几何味地介绍了黎曼张量, 在技术上是完整的.
```

```
第三, 我们觉得, 黎曼张量在自然科学的竞技场上单枪匹马就能取得光辉, 伟大的胜利,
在充分讨论了黎曼张量之后, 继续隐藏这一点就不好了.
所以, 在第四幕的最后, 我们用很长的篇幅有几何味地介绍了爱因斯坦伟大的广义相对论:
物质和能量的引力作用于四维时空, 引起时空弯曲.
这一章在本书中篇幅第三长, 不仅 (完全用几何的语言) 讨论了
(爱因斯坦在 1915 年发现的) 著名的引力场方程,
而且介绍了它在黑洞, 引力波和宇宙学最新研究中的意义.
```

> 所以, 哪一章是`本书中篇幅第一长`?

- [埃利·嘉当](https://en.wikipedia.org/wiki/Élie_Cartan)

```
嘉当的发现称为 "外微分", 它的研究对象及其微分式和积分式统称为 "微分形式"
(本书中简称为 "形式"). 我们将在第五幕的最后, 用本书篇幅最长的一章,
跟随嘉当的指引, 最终展示这种方法的优美和有效性 --
用符号运算的方法重新证明在前四幕中已经用几何方法证明了的结论.
不仅如此, 微分形式还将帮助我们完成一些在前四幕里做不到的事情:
特别是, 它们给出了一种通过曲率 2 次微分形式 (简称为 2-形式)
来计算黎曼张量的方法, 既有效又优美.
```

> 哈哈哈, `本书中篇幅第一长`登场了!

```
然而, 我们首先要充分发挥嘉当思想自身的实力, 在完全不依赖前四幕内容的前提下,
引入完整的微分形式理论. 为避免造成任何困惑, 我们再说一次:
第五幕中的前六章与微分几何没有丝毫关系!
我们这样做的原因是, 微分形式在数学, 物理学和其他一些学科的不同领域内都有成果丰富的应用.
我们的目的是使微分形式能被尽可能广泛的读者所接受, 即使他们的主要兴趣不是微分几何.

为达到此目的, 我们努力寻求一种比常用方法更直观, 更形象的办法来讨论微分形式.
尽管如此, 也请不要有任何幻想:
第五幕的主要目的就是建造一台 "魔鬼机器", 一种非常有力的计算方法.
```

```
这些微分形式的威力使我们回忆起复数:
可谓一石激起千层浪, 嘉当的微分形式能解释的东西比它的发现者要求的还要多得多.
这真是个理想的形式, 堪称妙手偶得!
```

```
只需举一个例子就够了: 微分形式可以统一阐明向量微积分中的所有公式.
事实上, 格林公式, 高斯公式和斯托克斯公式仅仅是微分形式的一个定理在不同情况下的表现方式,
而这个定理比这些特殊情况下的表现方式更简单.
```

- 本书约定
  - 新术语的定义用黑体标明.

# 第一幕 空间的本质

## 欧几里得几何与非欧几何

> 我其实不喜欢这种把时间线拉到古代的开场~

- 双曲几何, 在这种几何里, 欧几里得的前四个公设仍然成立,
  而平行公设不成立了, 取而代之的是双曲公设:
  - 经过点 `p`, 至少存在两条平行线与 `L` 不相交.
- 球面公设:
  - 经过点 `p`, 不存在 `L` 的平行线, 即所有的直线都与 `L` 相交.

> 欧氏几何: 直线 -> 最短; 非欧几何: 最短 -> 直线.

- __角盈__
  $$ ε $$,
  定义为三角形的内角和与
  $$ π $$
  的差, 即
  - $$ ε ≡ (三角形的内角和) - π $$.
- 现在, 比较三角形的角盈和三角形的面积
  $$ \mathcal{A} $$,
  得出一个重要结论.
  - 设球的半径为
    $$ R $$.
  - 则:
    $$ ε = \frac{1}{R^2} \mathcal{A} $$.

### 曲面的内蕴几何与外在几何

```
真正正确的说法是,
任意足够接近的两个点可以由唯一的测地线段连接,
这就是它们之间的最短路径.
```

> 足够接近的

### 通过"直性"来构作测地线

```
从曲面上削下一段测地线周围的窄带, 平铺在平面上, 得到一条直线段.

要在曲面上构作一条在点 p 沿方向 v 的测地线,
可以把细长胶带的一端粘在点 p 上,
沿着方向 v 将胶带展开并粘在曲面上.

(但请注意: 这不是构作连接点 p 到指定目标点 q 的测地线的方法.)
```

> 胶带需要理想化忽略宽度~

### 空间的本质

- 在球面几何中, 三角形的内角和大于
  $$ π: ε > 0 $$.
- 在双曲几何中, 三角形的内角和小于
  $$ π: ε < 0 $$.
  - 因此, 双曲三角形表现得就像绘制在鞍面上的三角形.

- 在球面几何和双曲几何里都有
  - $$ ε(Δ) = \mathcal{K} \mathcal{A} (△) $$,
  - 在球面几何里
    $$ \mathcal{K} $$
    为正常数, 在双曲几何里
    $$ \mathcal{K} $$
    为负常数.
- 由此不难得出以下有趣的结论.
  - 存在无穷多种球面几何, 它们之间没有本质性差别, 只依赖于不同的正常数
    $$ \mathcal{K} $$.
    同样, 对应于不同的负常数
    $$ \mathcal{K} $$,
    存在无穷多种双曲几何, 它们也没有本质性差别.
  - 因为三角形的面积不可能为负数, 所以
    $$ ε ≥ -π $$.
    对于双曲几何 (
    $$ \mathcal{K} < 0 $$
    ) 有一个意想不到的结果: 三角形的面积不可能大于
    $$ \mid π / \mathcal{K} \mid $$.
  - 两个不同大小的三角形不可能有相同大小的角.
    也就是说, 在非欧几何里不存在不同大小的相似三角形!
  - 与上一个结论紧密相关的事实是, 在非欧几何里, __存在绝对长度单位__.
    在球面几何中, 我们可以把这个绝对长度单位定义成:
    内角和为 (例如)
    $$ 1.01 π $$
    的等边三角形的边长. 类似地, 在双曲几何中,
    我们可以把绝对长度单位定义成: 内角和为
    $$ 0.99 π $$
    的等边三角形的边长.
  - 还有更自然的方法来定义绝对长度单位, 那就是用常数
    $$ \mathcal{K} $$
    来定义. 一方面, 因为弧度制的角定义为长度的比, 所以
    $$ ε $$
    是无量纲的纯数. 另一方面, 面积
    $$ A $$
    的量纲是
    $$ (长度)^2 $$,
    于是
    $$ \mathcal{K} $$
    的量纲是
    $$ 1 / (长度)^2 $$.
    因此, 存在满足以下条件的长度
    $$ R $$:
    在球面几何里
    $$ \mathcal{K} = + (1 / R)^2 $$,
    在双曲几何里
    $$ \mathcal{K} = - (1 / R)^2 $$.
    当然, 我们知道, 在球面几何里使得
    $$ \mathcal{K} = + (1 / R)^2 $$
    的长度
    $$ R $$
    就是球的半径. 以后我们还会讲清楚: 在双曲几何里使得
    $$ \mathcal{K} = -(1 / R)^2 $$
    的长度
    $$ R $$
    也有同样直观的具体解释.
  - 曲面上的三角形越小, 它与平面三角形的差异就越难察觉:
    只有当三角形的大小与
    $$ R $$
    的比值足够大时, 差异才会变得易于察觉.

> 第一章: 聊胜于无

## 高斯曲率

- 高斯引入这个概念用来量度不规则的一般曲面上每个点的曲率.
  - $$ \mathcal{K} = \frac{ε (△)}{\mathcal{A} (△)} = 单位面积的角盈 $$.
  - 在球面几何和双曲几何里, 这个解释对任意位置, 任意大小的三角形都成立.
  - 但是, 在更一般的曲面上, 这个定义就有问题了,
    因为位于曲面不同部分的三角形的角盈
    $$ ε $$
    可能连符号都不一样.
- 我们现在定义点 `p` 的高斯曲率
  $$ \mathcal{K} (p) $$
  为收缩到点 `p` 的测地线三角形的单位面积角盈的极限:
  - $$
      \mathcal{K} (p) =
      \lim_{△_{p} \rightarrow p}
      \frac{ε (△_{p})}{\mathcal{A} (△_{p})} =
      点 \mbox{ } p \mbox{ } 处单位面积的角盈
    $$.
- 上述定义可以推广到三角形以外的情形.
  如果我们用一个小 `n` 边形来代替
  $$ △_{p} $$,
  则其角盈为
  - $$ ε (n \mbox{ } 边形) ≡ (内角和) - (n - 2) π $$,
  - 而曲率的定义依旧一样, 为单位面积的角盈.

> 注: `n` 边形, 特指, 测地线 `n` 边形

### 局部高斯-博内定理

```
更一般地, 具有变化曲率的曲面情况如何?
曲率的影响力仍然很大, 但不再是绝对的:
两个曲面可能在所有对应点处都具有相同的曲率,
却有不同的内蕴几何.
```

- 定理说的是, 三角形的角盈就是三角形内的总曲率:
  - $$ ε(△) = α + β + γ - π = \int \int_{△} \mathcal{K} d \mathcal{A} $$.
  - 证明思路: 角盈具有可加性.

> 第二章: 拉开序幕

# 第二幕 度量

## 曲面映射: 度量

```
事实上, 按照高斯对微分几何的基本见解,
只要有一个规则来定义两个邻近点之间的无穷小距离 (即无穷小线段的长度) 就够了.
这个规则就是度量. 有了度量, 只要任意曲线可以分割成无穷多段无穷小线段,
我们就可以用这些无穷小线段的长度的无穷和 (即积分) 来定义曲线的长度.
因此, 我们可以确定几何中的测地线是从一点到另一点的最短路径, 同样可以确定角度.
```

- 球面的中心投影将测地线映射为直线, 将圆映射为椭圆. `度量`是地图上的距离
  $$ d s $$
  与曲面上的距离
  $$ d \hat{s} $$
  之间的局部比例系数.

> 注: 地图指的是复平面, 上下文是下半球面投影到复平面.

- 用
  $$ δ z $$
  表示
  $$ δ \hat{s} $$
  的规则称为`度量`. 一般来说,
  $$ δ \hat{s} $$
  依赖于
  $$ δ z $$
  的方向及其长度
  $$ δ s $$:
  记
  $$ δ z = e^{i γ} δ s $$,
  则
  $$ δ \hat{s} \asymp Λ (z, γ) $$.
  再次提醒读者注意,
  $$ \asymp $$
  表示牛顿的`最终相等概念`, 在序幕中介绍过. 这个关系式常用无穷小记号表示为
  - $$ δ \hat{s} = Λ (z, γ) ds $$.

### 一般曲面上的度量

> 高斯的独角戏

- 对于一般的曲面, 我们总是可以建立一个局部的`正交`坐标系
  $$ (u, v) $$,
  使得度量公式为
  - $$ d \hat{s}^2 = A^2 d u^2 + B^2 d v^2 $$.

> 局部的!

### 共形地图

```
虽然球面投影地图具有保持直线不变的优点, 但是对于几乎所有的目的,
为了保持角度不变而放弃保持直线不变会好得多.
如果一张地图能保持角的大小和指向都不变, 则称为共形的;
如果它保持角的大小不变, 而使角的指向相反, 则称为反共形的.

我们所说的两曲线的夹角是指它们交点处两切线的夹角.
```

- 根据度量公式, 一个地图是共形的, 当且仅当扩张因子
  $$ Λ $$
  不依赖于从
  $$ z $$
  出发的无穷小向量
  $$ dz $$
  的方向
  $$ γ $$:
  - $$ 共形地图 \Longleftrightarrow d \hat{s} = Λ(z) ds $$.
- 共形地图的一大优点是:
  - 曲面
    $$ \mathcal{S} $$
    上的一个无穷小图形在共形地图中表示为相似图形, 与原图形仅大小不同:
  - $$ \mathcal{S} $$
    上图形的线性大小是地图上图形的线性大小的
    $$ Λ $$
    倍.
- 事实上, `18` 世纪的数学家所称的`无穷小相似`, 就是现代术语中的`共形`概念.

```
可微复映射都是自动共形的.
```

```
球极平面投影是保圆的!
```

> Page 56; 复分析: Page 109

## 伪球面和双曲平面

- [伪球面](https://en.wikipedia.org/wiki/Pseudosphere)

- 伪球面具有常负曲率
  $$ \mathcal{K} = - (1 / R^2) $$,
  其中
  $$ R $$
  是底圆半径.

### 庞加莱半平面

- 几乎所有的双曲几何书籍和论文, 都做出了特定选择
  $$ R = 1 $$,
  使得
  $$ \mathcal{K} = -1 $$.
  - 在本节中, 我们也采用这种传统选择.

- [庞加莱半平面](https://en.wikipedia.org/wiki/Poincaré_half-plane_model)

> Page 64, 配图!

- __双曲平面__
  $$ \mathbb{H}^2 $$:
  度量公式为
  $$ d \hat{s} = \frac{d s}{y} $$
  的整个阴影半平面
  $$ y > 0 $$.
  - 实轴
    $$ y = 0 $$
    上的每一个点到双曲平面上每一个普通点的距离都是无限远的, 严格来说, 直线
    $$ y = 0 $$
    不是双曲平面的一部分.
  - 直线
    $$ y = 0 $$
    上的点称为`理想点` (或`无穷远点`).
  - 整条直线
    $$ y = 0 $$
    称为`天际线` (或`视界`).

```
几乎每一条测地线在地图上的形状都是一个与天际线成直角的完美半圆周.
唯一不是这种形状的测地线是曳物线母线, 它们的形状是纵向半直线,
也可以看作半圆的半径趋向无穷大的极限情况.
```

> 这一点原书的配图并未很好的体现, 可以参见 Wiki.

### 利用光学来求测地线

> Page 68, 第二个版本的基于`角动量`的物理解释在 Page 148.
  同一结论的多版本解释, 确实是本书一大亮点!

- __双曲平面__
  $$ \mathbb{H}^2 $$
  (庞加莱半平面模型) 上的测地线满足
  $$ (sin θ / y) = k $$.
  - 如果
    $$ k ≠ 0 $$,
    则测地线是圆心在天际线上, 半径
    $$ r = (1 / k) $$
    的半圆周.
  - 如果
    $$ k = 0 $$,
    则测地线是纵向半直线
    $$ θ = 0 $$.

> 致敬费曼! 关于费曼的量子力学解释, 概述如下:

- __最短时间原理是怎样起作用的?__
  - 从我们现在相信是正确的, 量子动力学上精确的观点出发,
    对实际发生的是什么以及整个事情是怎样起作用的提供一个粗略的概念,
    当然只能作定性的描述.
- 当我们随着光从 `A` 到 `B` 行进时, 我们发现光似乎根本不具有波的形式.
  相反, 光线倒是有点像由光子组成的, 如果我们用一个光子计数器,
  它实际上会在其中产生咔嗒声.
  - 光的亮度与每秒钟进入计数器的平均光子数成正比,
    而我们所计算的则是光子从 `A` (比如说碰到镜面后)
    到达 `B` 的机会.
- 这种机会所遵循的是下述很奇怪的规律. 取任一路径, 并找出其相应的时间;
  然后写一复数或画一小的复矢量
  $$ \rho e^{i \theta} $$,
  令其角度
  $$ \theta $$
  正比于时间.
  - 复矢量每秒的旋转周数就是光的频率.
  - 再取另一路径, 比如说它具有不同的时间, 则其对应的矢量就转过不同的角度,
    角度总是与时间成正比的.
  - 取所有可取的路径, 并为每一条路径加上一个小矢量;
  - 那么答案就是, 光子到达的机会与从始端到末端的总矢量的长度平方成正比!

> 以上~ 摘自: `费曼物理学讲义 (卷一)`

### 平行角

```
因此, 在内蕴几何里,
地图上表现为纵向半直线的测地线与表现为半圆的测地线是完全不可区分的.

但是, 半圆在天际线上有两个端点,
纵向半直线在天际线上似乎只有一个端点,
这是怎么回事呢?
答案是, 除了天际线上的这些点, 在无穷远处还有一个点,
所有的纵向半直线都在此处相交.
```

> Page 70; 复分析: Page 272

### 庞加莱圆盘

- [庞加莱圆盘](https://en.wikipedia.org/wiki/Poincaré_disk_model)

```
虽然从定义上看, 所有这些模型在内蕴几何上都是相同的, 但它们在心理上并不相同:
某一个特定的事实或公式可能很难在一个模型中看清楚, 在另一个模型中却是显而易见的.
因此, 在试图把握双曲几何的奇迹时, 善于在不同模型之间转换是一项很有用的技能.
```

> `但它们在心理上并不相同`, 哈哈哈~ 妙!

## 等距变换和复数

- 等距映射一定保持每个角的大小不变, 其中还保持角的方向 (顺时针或逆时针)
  不变的映射称为`正向的`, 使得角的方向反转的映射称为`反向的`. 因此,
  正向的等距变换是一种非常特殊的共形映射,
  反向的等距变换是一种非常特殊的反共形映射.
  - 例如, 在平面上, 旋转是正向的等距变换,
    而关于一条直线的反射变换是反向的等距变换.
- 接下来我们观察到, 关于复合运算, 给定曲面
  $$ \mathcal{S} $$
  上所有的等距变换组成的集合 (包括正向等距变换和反向等距变换) 具有`群`
  $$ \mathcal{G} (\mathcal{S}) $$
  的结构.

---

- 正向等距变换构成全群
  $$ \mathcal{G} (\mathcal{S}) $$
  的一个`子群`
  $$ \mathcal{G}_{+} (\mathcal{S}) $$.
- 然而, 反向等距变换根本不会构成一个群. 但它们确实属于全群
  $$ \mathcal{G} (\mathcal{S}) $$,
  那么, 它们与
  $$ \mathcal{G}_{+} (\mathcal{S}) $$
  有什么关系呢?
- 给定反向等距变换
  $$ ξ $$,
  它的逆映射
  $$ ξ^{-1} $$
  也是反向等距变换. 设
  $$ ζ $$
  是任意一个反向等距变换, 想象它可以取遍所有可能的反向等距变换. 那么,
  $$
    ξ^{-1} \circ ζ \in \mathcal{G}_{+} (\mathcal{S})
    \Rightarrow
    ζ \in ξ \circ \mathcal{G}_{+} (\mathcal{S})
  $$.
  同理,
  $$ ζ \in \mathcal{G}_{+} (\mathcal{S}) \circ ξ $$.
- 因此, 如果
  $$ ξ $$
  是任意一个反向等距变换, 则所有反向等距变换组成的集合为
  $$
    ξ \circ \mathcal{G}_{+} (\mathcal{S}) =
    \mathcal{G}_{+} (\mathcal{S}) \circ ξ
  $$,
  因此,
  $$ \mathcal{G} (\mathcal{S}) $$
  是全对称群, 且
  $$
    \mathcal{G} (\mathcal{S}) =
    \mathcal{G}_{+} (\mathcal{S}) \cup
    [ ξ \circ \mathcal{G}_{+} (\mathcal{S}) ] =
    \mathcal{G}_{+} (\mathcal{S}) \cup
    [ \mathcal{G}_{+} (\mathcal{S}) \circ ξ ]
  $$.

> 还是有多处印刷错误的!

- 我们先简要地陈述这三种对称性最大的几何与复数之间令人惊奇的联系,
  稍后再详细讨论. 主要结果:
  - 所有三种常曲率几何都具有 (正向等距变换) 对称群
    $$ \mathcal{G}_{+} (\mathcal{S}) $$,
    它们都是复平面的默比乌斯变换
    $$ z \mapsto M(z) = \frac{az + b}{cz + d} $$
    (其中 `a`, `b`, `c`, `d` 为复数) 群的子群.

### 莫比乌斯变换

- [莫比乌斯变换](https://en.wikipedia.org/wiki/Möbius_transformation)

- __反演是黎曼球面关于赤道的反射变换__.
  如果我们利用球极平面投影将复数从平面上逆映射到单位球面上,
  从而创建黎曼球面, 反演的效果就会简单得惊人:
  - 黎曼球面的赤道平面
    $$ \mathbb{C} $$
    上关于单位圆周的反演诱导出黎曼球面关于
    $$ \mathbb{C} $$
    的反射.
- 反演是反共形映射, 将圆周映射为圆周.
- __复反演是黎曼球面的旋转__. 考虑在这个几何反演后接着取共轭,
  $$ z \mapsto \overline{z} $$,
  那么最终的结果就是复反演. 但是, 共轭对黎曼球面的作用是另一种反射,
  这次是关于经过实轴的纵向平面的反射. 你可以很容易地验证,
  两个关于经过实轴的纵向平面的反射的复合是围绕该轴的一个旋转:
  - 复反演
    $$ z \mapsto (1 / z) $$
    是黎曼球面绕实轴旋转角度
    $$ π $$.
    因此它是共形的, 将圆周映射到圆周.

> 复分析: Page 282

- __保角性和保圆性__. 默比乌斯变换是共形的, 它将每一个定向圆周
  $$ K $$
  映射为定向圆周
  $$ \tilde{K} $$,
  并将
  $$ K $$
  前进方向左侧的区域映射为
  $$ \tilde{K} $$
  前进方向左侧的区域.

- [射影坐标/齐次坐标](https://en.wikipedia.org/wiki/Homogeneous_coordinates)

- 正如
  $$ \mathbb{R}^2 $$
  空间中的线性变换都可以用一个
  $$ 2 \times 2 $$
  的实矩阵表示一样,
  $$ \mathbb{C}^2 $$
  空间中的线性变换都可以用一个
  $$ 2 \times 2 $$
  的复矩阵表示.

- 于是, 每一个默比乌斯变换
  $$ M(z) $$
  对应一个
  $$ 2 \times 2 $$
  矩阵
  $$ [M] $$,
  - $$
      M(z) = \frac{az + b}{cz + d}
      \longleftrightarrow
      [M] =
      \begin{bmatrix}
        a & b \\
        c & d
      \end{bmatrix}
    $$.
- 而且, 表示两个默比乌斯变换的复合的矩阵就是两个对应矩阵的乘积:
  - $$ [ M_2 \circ M_1 ] = [ M_2 ] [ M_1 ] $$.
- 同样, 表示默比乌斯逆变换的矩阵就是对应矩阵的逆矩阵:
  - $$ [ M^{-1} ] = [ M ]^{-1} $$.
- 由此易得: 非奇异默比乌斯变换构成一个群, 这是我们前面提到过的事实.
- 因为默比乌斯变换的系数不是唯一的,
  所以默比乌斯变换对应的矩阵也不是唯一的: 如果
  $$ k $$
  是任意非零常数, 则矩阵
  $$ k [M] $$
  与
  $$ [M] $$
  对应同一个默比乌斯变换.
  - 然而, 如果限定
    $$ (ad - bc) = 1 $$,
    将矩阵
    $$ [M] $$
    `规范化`, 那么一个默比乌斯变换的对应矩阵就只有两种可能:
  - 一个是
    $$ [M] $$,
    另一个是
    $$ - [M] $$.
  - 换言之, 默比乌斯变换对应的矩阵在`"不计正负号的情况下"`是唯一的.

### 主要结果

- 所有三种常曲率几何的对称群
  $$ \mathcal{G}_{+} (\mathcal{S}) $$
  都是默比乌斯变换群的子群.
  - __欧几里得几何__
    $$ (\mathcal{K} = 0) $$:
  - $$ E(z) = e^{iθ}z + k $$.
  - 注意
    $$ z \mapsto \overline{z} $$
    是反向等距变换, 是关于实轴的反射. 于是整个等距变换群是
    $$ \mathcal{G} = \{ E(z) \} \cup \{ E(\overline{z}) \} $$.
  - __球极地图中的球面几何__
    $$ (\mathcal{K} = +1) $$:
  - $$ S(z) = \frac{a z + b}{- \overline{b} z + \overline{a}} $$,
    其中
    $$ |a|^{2} + |b|^{2} = 1 $$.
  - 注意
    $$ z \mapsto \overline{z} $$
    是反向等距变换, 是球面关于过实轴的纵向平面的反射. 于是整个等距变换群是
    $$ \mathcal{G} = \{ S(z) \} \cup \{ S(\overline{z}) \} $$.
  - __庞加莱半平面地图中的双曲几何__
    $$ (\mathcal{K} = -1) $$:
  - $$ H(z) = \frac{az + b}{cz + d} $$,
    其中 `a`, `b`, `c`, `d` 为实数, 且
    $$ (ad - bc) = 1 $$.
  - 注意
    $$ z \mapsto - \overline{z} $$
    是反向等距变换, 是关于虚轴的反射. 于是整个等距变换群是
    $$ \mathcal{G} = \{ H(z) \} \cup \{ H(- \overline{z}) \} $$.
- 有了关于矩阵的结果, 就容易证明以上三个集合都是群.
  我们还注意到, 在球面几何中的矩阵是一种特殊类型, 在物理学中起着重要作用.
  - 这类矩阵称为`酉矩阵`, 也就是说, 将它取共轭, 再做转置 (这两个操作的复合记为
    $$ * $$
    ), 则可得到逆变换的矩阵:
  - $$ S $$
    是`酉矩阵`, 意味着
    $$ [S] [S]^{*} = 单位矩阵 $$.

> 酉矩阵! 到处都有你~
  注意`转置共轭`的符号差异 (对比量子力学中的).
  然后, 又一次, 参见`复分析`相关章节.

- 双曲等距变换不仅包含类似于旋转和平移的普通运动,
  还包含第三种类型的刚体运动, 称为`极限旋转`,
  在通常的欧几里得几何里没有与之对应的运动形式.
- 极限旋转是
  $$ \mathbb{H}^2 $$
  中普通旋转运动的极限:
  - 旋转中心从无穷远点出发, 逐渐接近天际线
    $$ y = 0 $$,
    旋转运动最终变成天际线上的一个点.

> 参见, 复分析: Page 273 ~ 279

### 爱因斯坦的时空几何学

```
默比乌斯群描述了空间和时间的对称性,
或者更准确地说,
描述了爱因斯坦统一时空的对称性.
```

```
闵可夫斯基意识到, 这种区间是距离概念的正确推广, 适合用于时空.
时空的等距变换 / 对称性保持这种区间不变.
但是, 它与通常的距离大不相同:
不同事件之间的区间的平方可以是 0, 甚至为负数.
```

- 复平面
  $$ \mathbb{C} $$
  上的每一个默比乌斯变换都生成时空中唯一的洛伦茨变换.
  反过来, 每一个洛伦茨变换都对应唯一 (不论正负号) 的默比乌斯变换.
  - 因此, 每个默比乌斯变换或洛伦茨变换从根本上等价于下面要介绍的四个原型之一.
  - 基本思想是关注变换的`不动点`, 变换把该点映射为自身:
    $$ M(z) = z $$.
  - 在相对论的文献里, 默比乌斯变换称为`旋量变换`, 对应的矩阵
    $$ [M] $$
    称为`旋量矩阵`.
  - 默比乌斯变换最多有两个不动点, 除非是恒等变换.

> __基本思想是关注变换的不动点__.
  (狭义) 相对论也是一样, 重点是关注不变 (固有) 量.

> Page 88, 复分析: Page 128 ~ 136

### 三维双曲几何

- $$ \mathbb{H}^3 $$
  的测地线是纵向半直线和正交于天际面
  $$ \mathbb{C} $$
  的半圆周.
  - 在二维双曲空间
    $$ \mathbb{H}^2 $$
    中的测地线有两种:
  - 一种特殊, 是纵向半直线;
  - 另一种典型, 是正交于天际线的半圆周.
  - 同样, 在三维双曲空间
    $$ \mathbb{H}^3 $$
    中的双曲平面也有两种:
  - 一种特殊, 是纵向半平面;
  - 另一种典型, 是正交于天际面
    $$ \mathbb{C} $$
    的半球面.

> Page 91 ~ 93, 复分析: 115, 288

- 三维空间
  $$ \mathbb{H}^3 $$
  中的正向等距变换群是
  $$ \mathbb{C} $$
  上的默比乌斯变换群.

```
回想一下, 希尔伯特证明了在欧几里得空间中不能构作一个完整的双曲平面.
双曲空间中存在的极限球面就是完整的欧几里得平面,
这使得欧几里得几何也从属于双曲几何, 从而说明了双曲几何的优越性.
事实上, 球面几何也包含在内.
```

> 引力, 曲率, 第三幕!

# 第三幕 曲率

- 如果一根金属丝具有平面曲线的形状,
  一个单位质量的珠子以单位速率沿金属丝发射出去,
  金属丝就会有一个力
  $$ F $$
  作用在珠子上. 这个力的方向垂直于曲线,
  这个力的大小就是这条曲线的`曲率`
  $$ \mathcal{K} $$.

### 作为转向率的曲率

> 进入现代

- 曲率是切线关于弧长的转向率. 换言之, 如果
  $$ φ $$
  是切线的仰角,
  $$ s $$
  是弧长, 则
  $$ \mathcal{K} = dφ / ds $$.

```
当然, 我们可以用法向量取代切向量, 将曲率看作法向量的转向率.

事实上, 用法线取代切线是极其重要的, 当我们将关注点从曲线转回到曲面上时,
就不存在"唯一"的切线了, 但是仍然存在唯一的法向量, 垂直于曲面的切平面.
而且, 法向量在曲面上一点附近的变化, 的确能告知我们曲面在这一点处的曲率.
```

## 三维空间中的曲线

- [密切平面](https://en.wikipedia.org/wiki/Osculating_plane)
  的旋转速率称为`挠率`, 记作
  $$ τ $$.

```
当一个单位向量开始旋转时, 它的顶端在单位球面上移动,
由于局限在单位球面在这一点的切平面内,
因此它的移动方向垂直于向量本身.
```

- [弗勒内-塞雷方程](https://en.wikipedia.org/wiki/Frenet-Serret_formulas)

## 曲面的主曲率

### 欧拉的曲率公式

- 当
  $$ θ $$
  变化时, 令
  $$ \mathcal{K}_1 $$
  和
  $$ \mathcal{K}_2 $$
  分别为
  $$ \mathcal{K} (θ) $$
  的最大值和最小值. 欧拉发现, 曲率的这两个极值 (所谓的`主曲率`)
  总是在相互`垂直`的两个方向 (称为`主方向`) 上取得.
  - 进一步, 如果选择方向
    $$ θ = 0 $$
    的曲率为
    $$ \mathcal{K}_1 $$,
    他发现
  - __欧拉曲率公式__:
  - $$
      \mathcal{K} (θ) =
      \mathcal{K}_1 \cos^{2} θ +
      \mathcal{K}_2 \sin^{2} θ
    $$.

- [主曲率](https://en.wikipedia.org/wiki/Principal_curvature)
  - [脐点](https://en.wikipedia.org/wiki/Umbilical_point)

### 欧拉的曲率公式的证明

```
曲面上一个普通点的无限小邻域必关于两个相互垂直的平面
(这两个平面都包含曲面的法线) 具有镜像对称性, 并且,
这两个平面与切平面相交的两个相互垂直的方向,
就是曲率取最大值和最小值的主方向.
```

### 旋转曲面

- 设曲线
  $$ \mathcal{C} $$
  绕直线
  $$ \mathcal{L} $$
  旋转生成旋转曲面
  $$ \mathcal{S} $$.
  在
  $$ \mathcal{C} $$
  凹向
  $$ \mathcal{L} $$
  的部分生成的
  $$ \mathcal{S} $$
  部分具有正曲率, 在
  $$ \mathcal{C} $$
  凸向
  $$ \mathcal{L} $$
  的部分生成的
  $$ \mathcal{S} $$
  部分具有负曲率.
  - $$ \mathcal{C} $$
    的拐点生成
    $$ \mathcal{S} $$
    上的圆周, 这些圆周上的曲率为零; 这些圆周将正曲率的区域和负曲率的区域分开.

> 配图: Page 130

## 测地线和测地曲率

### 测地曲率和法曲率

### 默尼耶定理

### 测地线是"直的"

### 测地曲率的内蕴量度

### 量度测地曲率的一个简单的外在方法

### 用透明胶带构作测地线的一个新解释

### 旋转曲面上的测地线

### 球面上的克莱罗定理

### 开普勒第二定律

### 牛顿对开普勒第二定律的几何证明

### 克莱罗定理的动力学证明

### 应用: 再看双曲平面上的测地线

## 曲面的外在曲率

### 球面映射

### 曲面的外在曲率

### 哪些形状是可能的?

## 高斯的绝妙定理

### 高斯的漂亮定理 (1816 年)

### 高斯的绝妙定理 (1827 年)

## 尖刺的曲率

### 锥形尖刺的曲率

### 多面角的内蕴曲率与外在曲率

### 多面体的绝妙定理

## 形状导数

### 方向导数

### 形状导数 S

### S 的几何效应

### 绕道线性代数: 奇异值分解和转置运算的几何学

### S 的一般矩阵

### S 的几何解释和 [S] 的化简

### [S] 由三个曲率完全确定

### 渐近方向

### 经典术语和记号: 三种基本形式

## 全局高斯博内定理 - 引论

### 一些拓扑学知识与结果的陈述

### 球面和环面的曲率

### 球面的全曲率

### 环面的全曲率

### 看一看厚煎饼的 K(Sg)

### 看一看面包圈和桥的 K(Sg)

### 拓扑度和球面映射

## 全局高斯博内定理 - 启发性证明

### 平面环路的全曲率: 霍普夫旋转定理

### 变形圆周的全曲率

### 霍普夫旋转定理的启发性证明

### 变形球面的全曲率

### 全局高斯-博内定理的启发性证明

## 全局高斯博内定理 - 利用角盈证明

### 欧拉示性数

### 欧拉的 (经验的) 多面体公式

### 柯西对欧拉多面体公式的证明

### 摊平了的多面体

### 多边形网的欧拉示性数

### 勒让德对欧拉多面体公式的证明

### 对曲面增加柄以提高其亏格

### 全局高斯-博内定理的角盈证明

## 全局高斯博内定理 - 利用向量场证明

### 平面上的向量场

### 奇点的指数

### 原型奇点: 复幂函数

### 曲面上的向量场

### 蜂蜜流向量场

### 蜂蜜流与地形图的关系

### 怎样在曲面上定义奇点指数?

### 庞加莱-霍普夫定理

### 例子: 拓扑球面

### 庞加莱-霍普夫定理的证明

### 应用: 欧拉-吕以利埃公式的证明

### 庞加莱的微分方程与霍普夫的线场的比较

### 全局高斯-博内定理的向量场证明

### 往前的路怎么走?
