---
title: 泛函分析导论及应用 - 空间
description: 缺月挂疏桐, 漏断人初静. 谁见幽人独往来, 缥缈孤鸿影.
date: 2022-02-11
---

- [泛函分析导论及应用](https://book.douban.com/subject/35941956/)

## 度量空间

```
在这样的抽象研究方法中, 人们通常从满足某些公理的一个集合出发,
并且故意不指定集合元素的特征.
由这些公理导出的一些逻辑结果被作为定理反复使用.
这就意味着我们从公理体系出发得到了一个数学结构,
这个数学结构的理论又以抽象的方法得到讨论.
而后, 可把得到的通用定理应用到满足公理体系的各种特殊集合上去.

例如, 在代数中曾用这种方法研究域, 环和群; 在泛函分析中,
我们将用这种方法来研究抽象空间. 这些空间是基本的, 也是重要的,
我们将详细地研究其中的某些空间 (如巴拿赫空间, 希尔伯特空间).
以后我们还会看到, "空间"这个概念广泛得惊人.
抽象空间不过是满足有关公理体系的 (非特指的) 元素集合.
如果选用不同的公理体系, 便能得到不同类型的抽象空间.
```

- 目前所给出的度量空间的概念, 就是经过 `60` 多年的发展过程才确定的,
  它在泛函分析及其应用中是基本的, 也是极为有用的.

- 定义 (__度量空间__, 度量) 所谓`度量空间`, 就是指对偶 `(X, d)`,
  其中 `X` 是一个集合, `d` 是 `X` 上的一个度量
  (或 `X` 上的距离函数), 即 `d` 是定义在
  $$ X \times X $$
  上且对所有
  $$ x, y, z \in X $$
  满足以下四条公理的函数.
  - $$ (M_1) $$
    `d` 是实值, 有限和非负的.
  - $$ (M_2) $$
    当且仅当
    $$ x = y $$
    时,
    $$ d(x, y) = 0 $$.
  - $$ (M_3) $$
    $$ d(x, y) = d(y, x) $$
    (对称性).
  - $$ (M_4) $$
    $$ d(x, y) ≤ d(x, z) + d(z, y) $$
    (三角不等式).
- 为叙述方便, 我们给出下面几个有关的术语.
  - `X` 叫作 `(X, d)` 的基集,
    `X` 的元素叫作空间 `(X, d)` 的点.
  - 给定
    $$ x, y \in X $$,
    我们把非负实数 `d(x, y)` 叫作 `x` 和 `y` 之间的距离.
  - $$ M_1 $$
    到
    $$ M_4 $$
    叫作度量公理.
- 在不引起混淆的情况下, 我们常将度量空间 `(X, d)` 简写成 `X`.
- 如果取子集
  $$ Y \subseteq X $$
  且把 `d` 限制在
  $$ Y \times Y $$
  上, 则可得 `(X, d)` 的一个`子空间`
  $$ (Y, \overset{\sim}{d}) $$;
  因而 `Y` 上的度量就是限制
  - $$ \overset{\sim}{d} = d \mid_{Y \times Y} $$.
  - $$ \overset{\sim}{d} $$
    叫作 `d` 在 `Y` 上`导出`的度量.

- 符号
  $$ \times $$
  表示集合的笛卡儿积:
  $$ A \times B $$
  是所有序偶 `(a, b)` 的集合, 其中
  $$ a \in A $$,
  $$ b \in B $$.
  因此,
  $$ X \times X $$
  是 `X` 的元素构成的所有序偶的集合.

```
读者将体会到, 这里考虑问题的方式与微积分大不相同.
在微积分中, 我们通常研究一个函数或同时研究几个函数.
而这里, 一个函数变成了更大的空间中的点.
```

### 开集, 闭集和邻域

### 收敛性, 柯西序列和完备性

### 例子: 完备性的证明

### 度量空间的完备化

## 赋范空间和巴拿赫空间

### 向量空间

### 赋范空间和巴拿赫空间

### 赋范空间的其他性质

### 有限维赋范空间和子空间

### 紧性和有限维

### 线性算子

### 有界线性算子和连续线性算子

### 线性泛函

### 有限维空间中的线性算子和泛函

### 算子赋范空间和对偶空间

## 内积空间和希尔伯特空间

### 内积空间和希尔伯特空间

### 内积空间的其他性质

### 正交补与直和

### 规范正交集和规范正交序列

### 与规范正交序列和规范正交集有关的级数

### 完全规范正交集和完全规范正交序列

### 勒让德, 埃尔米特和拉盖尔多项式

### 希尔伯特空间中泛函的表示

### 希尔伯特伴随算子

### 自伴算子, 酉算子和正规算子

## 赋范空间和巴拿赫空间的基本定理

### 佐恩引理

### 哈恩-巴拿赫定理

### 复向量空间和赋范空间的哈恩-巴拿赫定理

### 应用到 C[a, b] 上的有界线性泛函

### 伴随算子

### 自反空间

### 范畴定理和一致有界性定理

### 强收敛和弱收敛

### 算子序列和泛函序列的收敛

### 在序列可和性方面的应用

### 数值积分和弱星收敛

### 开映射定理

### 闭线性算子和闭图定理

## 附录 A

### 集合

- $$ A^C = X - A $$,
  `A` 在 `X` 中的余集 (其中
  $$ A \subseteq X $$)
  (当省略 `X` 有可能产生混乱时, 记为
  $$ C_{X} A $$)
  - $$ (A^C)^C = A $$,
  - $$ X^C = \varnothing $$,
  - $$ \varnothing^C = X $$.

---

- `德·摩根定律`是 (`A` 和 `B` 是 `X` 的任意子集)
  - $$ (A \bigcup B)^C = A^C \bigcap B^C $$,
  - $$ (A \bigcap B)^C = A^C \bigcup B^C $$.
  - 显然,
  - $$ A \subseteq B \Longleftrightarrow A^C \supseteq B^C $$,
  - $$
      A \bigcap B = \varnothing \Longleftrightarrow
      A \subseteq B^C \Longleftrightarrow
      B \subseteq A^C
    $$,
  - $$
      A \bigcup B = X \Longleftrightarrow
      A^C \subseteq B \Longleftrightarrow
      B^C \subseteq A
    $$.
- 给定的集合 `S` 的所有子集的集合, 叫作 `S` 的`幂集`, 记为
  $$ \mathcal{P}(S) $$.
- 两个给定的非空集合 `X` 和 `Y` 的`笛卡儿积` (或积)
  $$ X \times Y $$
  是所有序偶 `(x, y)` 的集合, 其中
  $$ x \in X $$
  且
  $$ y \in Y $$.

```
若集合 M 是有限的 (有有限个元素), 或者 M 的每个元素唯一地对应一个正整数,
并且反过来每个正整数 1, 2, 3, ... 也唯一地对应 M 中的一个元素,
则称 M 是可数集合.
```
