---
title: 物理世界 (2023)
description: 中岁颇好道, 晚家南山陲. 兴来每独往, 胜事空自知.
date: 2023-09-27
---

- [物理世界](https://book.douban.com/subject/36216262/)
  - 英文原书出版于 `1968`, 结构会比`费曼物理学讲义`更加清晰, 但不够专业.
  - 个人对这本书的定位是: __通俗科普__.
  - 翻译还是不错的, 比 `费恩曼物理学讲义: 新千年 (珍藏版)` 要好.
  - 最后部分实验相关的章节明显有很强的时代感~ (过时了)
  - 虽然有一些章节比较鸡肋, 但总的来说, 值得一读,
    而且没啥阅读难度, 不会很花时间. (虽然厚度蛮厚的)

> 第 1, 2, 7, 8 章可以删除~
  初看下来, 能够感受到作者同步推进物理概念和数学工具, 点缀一些哲学思考.
  (我依然认为所谓的哲学思考在数理书籍中属于没太大意义的冗余,
  但撒一点调味料也能美味不少)

### 什么是力

> 本章内容总体平常, 但是却通过`力`的合成引入了`群`的形式.
  虽然并未明确指出`群`的概念. 期待后续如何呼应~
  (嗯, 后面其实没有呼应!)

### "根据狮爪识别狮子"

```
可以说, 用牛顿理论解决行星运动问题, 这是十七世纪科学的最高成就.
```

> 17 世纪.

### 球面谱写的乐章

> 历史叙述过于冗长乏味!

```
下面就是行星运动问题的答案 - 开普勒三定律:
1. 每一个行星都沿着椭圆轨道绕太阳运行, 太阳位于椭圆的一个焦点上.
2. 行星与太阳的连线在相等的时间内扫过相等的面积.
3. 所有行星的轨道半径的立方, 与运行周期的平方之比相同.
```

> 牛顿: 开普勒第三定律 (启发) -> (推出) 万有引力定律

### 空间结构

> 算是关于空间几何的引言, 内容不深, 但也可以触发思考.
  总体而言, 中规中矩, 并无点睛之笔~

### 质点碰撞

```
有一些定律, 它们是作为特殊定律而推导出来的,
然而后来它们却比用来推导它们的那些公设显得更重要, 更广义.
动量守恒定律就是这样的一个定律.
假定动量守恒定律是原始公设之一, 就可以把整个物理学建立起来.
在这种情况下, 类似第三定律这种假设, 在一定的前提下就成为定理了.
```

```
动量守恒定律是由牛顿第三定律推导出来的, 但是它却比第三定律更为根本.
从现代物理的角度来看, 动量守恒定律直接与空间的均匀性相关.
空间均匀性是指空间的性质由一个点到另一点都是一样的.
甚至当我们还没有充分的根据认为作用力是严格的牛顿力时,
动量守恒定律仍旧是正确的. 历史上各种假设是依照某种顺序产生出来的,
但是这种顺序并不总是符合它们的实际意义的大小.
```

### 能量守恒定律

```
如果作用于物体的力是保守力,
则把物体从一个点移到另一个点所作的功,
只与起始点和终止点的位置有关, 或者,
这两个点的势能之差只与这两个点的位置有关.
```

> 反之, 即为`保守力`的定义.

### 刚体的运动与静止

- 在没有外力矩作用的情况下, 或者当系统的总力矩等于零时, 系统的角动量守恒.
  - 对于质点系或刚体来说, 如果没有外力矩, 则角动量的方向与量值保持不变.

```
这一定理包含着力学的另一个最重要的结果 -- 角动量守恒定律.
这一定律要比力学本身更深刻, 更重要得多. 由于空间所有方向的等价性,
这一定律不仅仅对牛顿系统成立, 而且被看作是物理学最基本的原理之一.
```

- 第二个定理表示角动量变化的速度与外力总力矩之间的关系.
  - 外力的总力矩等于角动量随时间变化的速度.
  - 或者用另一种叙述方法: 总力矩与其作用时间间隔的乘积,
    等于在这一时间间隔内角动量的改变量.

### 波

```
当我们说到"力是矢量"的时候, 我们的意思是:
在物理世界中与力等同的那些作用和在数学世界中的矢量之间存在着严格确定的对应关系.
我们就是如此来发展矢量这个概念: 使这种对应关系成为可能.
矢量的概念一旦被引入, 它就开始了自己的生命.
这样, 虽然矢量本身并不是力, 但它可以与力联系在一起.

波也是一种数学客体. 在讨论下面给出的关于波的实例 (水面上的波, 弹簧中的波等等)
时应当牢记: 之所以选择这些实例, 是因为水面上的波或弹簧中的波所具有的性质,
正好与我们期望数学上的波的概念所应具备的性质相一致. 在现实世界里,
我们可以使之再现的物理过程, 并不一定要具备数学上的波所具有的全部性质, 反之亦然.
```

```
所以, 我们赋予波的第一个性质如下:
波是在介质中传播着的某种东西, 它能够传递能量和动量,
但本身并不一定携带着物质或质量.

现在提出这样一个问题: 波是否像微粒那样具有惯性?
或者说, 在没有外力的情况下, 波的传播有什么特点?
是否可以认为, 波的运动与微粒的运动一样, 也服从惯性定律;
而把一切背离惯性运动的情况都看作是由于外力作用的结果?
直到现在我们还没有说过, 在波的情况下, 力应当是什么样的.
同样不清楚的是, 沿这条路子走下去究竟能走多远.
```

> 这一段简朴的讲解很具启发性~

```
波动方程的解的性质无疑要比波动方程本身更为重要, 更为根本.
```

> 切入点不错~

- 叠加原理可以用下述方式来表示. 如果
  $$ \psi_{1} (x, t) $$
  是波动方程在给定条件下的解 (波函数),
  $$ \psi_{2} (x, t) $$
  是这个波动方程在同样条件下的另一个解, 则它们的和
  $$ \psi_{1} (x, t) + \psi_{2} (x, t) $$
  也将是这个波动方程在同样条件下的解.
  - 这个原理反映了波的最根本的特性.

```
我们说到波时, 就像说到矢量或数一样, 是指严格确定的一些数学客体,
对它们的研究得出了像几何学或者牛顿力学那样严整的体系.
至于所得出的这个体系能否很好地描述自然现象, 则要取决于它们相互符合的程度.
```

- 周期性的波函数可以写成下列形式:
  - $$ \psi (x, t) = \sin (\frac{2 \pi}{\lambda} x + \frac{2 \pi}{\tau} t) $$

- $$ 速度 = 波长 \times 频率 $$

```
我们之所以要如此详细地描述周期性的正弦波或余弦波,
是因为它们在任何介质中都保持自己的形状. 在色散介质中
(不同波长的周期波在这种介质中以不同的速度传播),
任何其他波的形状都随时间而变化.
在一些特殊介质 (例如, 真空) 中,
具有任何波长的周期波都以同一个速度传播 (介质没有色散),
任何一种波都保持自己的形状.
```

```
波遇到坚硬的表面时会反射, 这时它的位移改变方向 (反射后正脉冲变成了负脉冲).
当脉冲从较轻的弹簧传播到较重的弹簧时, 我们会观察到一种现象,
今后我们将看到, 这种现象具有重要的意义.

首先, 如果较重的弹簧具有无限大的重量. 这样的弹簧丝毫无异于坚硬的墙壁,
波从这样的弹簧上反射就像从墙壁上反射一样.
其次, 如果较重的弹簧的重量接近于较轻的弹簧,
那么, 在这个限度内可以认为整个弹簧是连续的,
脉冲在整个弹簧上的传播将与在均匀介质中的传播一样.
如果较重的弹簧的重量既不是无限大, 也不是等于较轻的弹簧的重量,
那么, 波在界面上的行为的特点应当处于上述两种极限情况之间.
当脉冲到达两个弹簧的界面处时, 它的一部分继续向前,
沿较重的弹簧传播, 而另一部分则向后反射.
反射脉冲将改变自己振幅的极性, 而传播到较重的弹簧中去的那一部分脉冲将保持振幅的原来极性;
并且, 在这种情况下, 脉冲的形状也保持不变.
如果脉冲从较重的弹簧向较轻的弹簧传播, 它也会分解为透射部分和反射部分,
但在这种情况下, 脉冲反射部分的极性并不改变.
脉冲在遇到两种介质的界面时会分解成两部分,
这是波的一种奇妙性质, 是波脉冲区别于微粒的特点之一.
以后我们将会看到, 在解释量子力学的某些结论时所产生的一些最令人迷惑不解的谜,
正是与波的这一性质有关的.
```

> 相较于费曼物理学讲义 (卷一), 后者整体更加精简, 而引入`波`时重视度不够高.
  从谐振子引入, 到线性系统作为阶段性结束, 最后单独的章节论述.
  而本书, 在数学方程出现之前, 对`波`的物理性描述的很好.
  强调了`波`实质上的数学属性, 但却是用的物理语言.

### 二维, 三维以及 N 维的波 (惯性性质)

- 为激起驻波所必需的一般条件为:
  - $$ 波长 \times 整数 = 2l $$
  - 即,
    $$ nλ = 2l $$,
    $$ n = 1, 2, 3 $$
    ...
  - 这个条件规定, 驻波的波长必须是:
  - $$ λ = \frac{2l}{n} $$
- 换句话说, 当弹簧两端固定以后,
  可能发生的驻波的波长也同时被严格限定了.
  - 人们对驻波特别重视, 部分原因是驻波能形成不动的波形图.

```
多维波与一维波之间唯一的实际差别在于:
在二维或三维空间, 波可以形成在一维空间所没有的波形.
```

```
当波从一种介质进入另一种介质时, 波的频率,
即在给定的时间间隔内通过某个固定点的波峰数目, 保持不变.
因为如果频率发生变化, 这意味着波峰在某处丢失或增多.
```

- 我们用
  $$ λ $$
  表示入射波的波长, 用 `d` 表示小孔的直径. 如果比值
  $$ λ / d $$
  很大 (波长远大于孔径), 则光将强烈地散射. 在极限情况下,
  如果孔径非常非常小, 光将均匀地向一切方向散射.
  - 如果比值
    $$ λ / d $$
    远小于 `1` (波长远小于孔径), 则光很少散射.
  - 在
    $$ λ / d \to 0 $$
    的极限情况下, 光束实际上不展宽.

---

- 波节线是这样一些线, 在此线上的每一点 `P` 都满足下述条件:
  从扰动源 `1` 到 `P` 点的距离
  $$ l_1 $$
  与从扰动源 `2` 到 `P` 点的距离
  $$ l_2 $$
  之差正好等于半个波长, 这可以写成
  - $$ l_1 - l_2 = \frac{1}{2} λ $$
- 但是, 究竟是哪一个波峰与哪一个波谷相遇, 都是无关紧要的. 所以,
  $$ l_1 $$
  与
  $$ l_2 $$
  的差值不一定正好等于半个波长. 它也可以等于三个, 五个 ... 半波长.
- 所以, 波节线上各点应当满足的条件的一般形式为
  - $$ l_1 - l_2 = (n - \frac{1}{2}) λ $$
  - 式中的 `n` 是任意整数: `1`, `2`, `3`, ...,
    不同的波节线对应于不同的 `n` 值.
  - 我们知道, 如果某曲线上的每一点到两个固定点的距离之差为一个常数时,
    则这条曲线是`双曲线`.

---

- 我们常常需要知道在远离扰动源 (比两个扰动源之间的距离大得多)
  的地方的波节线的形状. 在这种情况下, 我们得到的是一个非常简单的关系式:
  - 第 `n` 条波节线与两个扰动源连线的 (中) 垂线之间的夹角可以用下式表示:
  - $$ d \sin \theta_n = (n - \frac{1}{2}) λ $$

### 光是波

> 可能作者喜欢牛顿, 各处引用牛顿的文献, 个人觉得较为鸡肋.

```
如果把波函数解释成在空间各点的位移,
则不仅可以赋予波函数一定的数值,
也还可以赋予它一定的方向.
```

### 静电力静电荷

- 我们可以肯定, 电场是一个由电荷的分布所决定的空间坐标的矢量函数
  (每个矢量相应于空间的一个点). 如果在空间的某个点放一个电荷 `q`,
  假定它不破坏原来的电荷分布状况, 那么将有一个力
  $$ \mathbf{F} = q \mathbf{E} $$
  作用于这个电荷上, 因此, 知道了电场,
  我们就能够确定作用于空间任何一点上的电荷的力,
  甚至在我们并不知道产生这个电场的电荷分布的情况下也是如此.

---

- 因此, 引入一个新的概念 -- `电势` -- 比较方便, 它与`电势能`稍有不同,
  它等于将单位正电荷从无穷远处移至空间给定点时所作的功的负值.
  这样, 电势就等于势能除以被移入粒子的电荷.
- 对于正的点电荷 `Q`, 电势 (用符号
  $$ φ $$
  表示) 由下述表达式决定:
  - 正的点电荷 `Q` 的电势
    $$ φ = \frac{Q}{R} $$
- 在某些方面它与电场一样方便: 如果说,
  电场在给定点的量值乘以电荷等于作用于该电荷的力, 那么,
  电势在给定点的量值乘以电荷就等于电荷在该点的势能.

### 磁力运动电荷

- 我们看到, 确实有电荷存在, 并且这些电荷互相作用.
  作用力不仅与电荷的位置有关, 而且 (诚然是以更复杂的形式)
  依赖于它们的相对运动.
  - 为了便于计算这个力, 我们引入了两个辅助概念, 即电场和磁场.
  - 我们还假定, 只要知道了电荷的分布情况, 就可以求出电场;
  - 而如果知道了电流的分布情况, 就可以求出磁场.
- 作用于任何一个带电粒子的力由表达式
  $$ F = q \mathbf{E} + \frac{q}{e} [\mathbf{V} \times \mathbf{B}] $$
  决定.
  - 与我们以前讲过的那些牛顿力相比, 洛伦兹力有着较为复杂的结构,
    因为它不仅与粒子的位置有关, 还与它的速度有关.
  - 尽管如此, 我们前面所讨论的一切仍然是牛顿性质的.

### 感应力: 电荷和交流电

- $$ 电势差 \times 时间间隔 = - \frac{1}{c} \times (通过回路的磁通量的变化量) $$

- 换句话说, 感生电流力图阻止磁通量的变化.

### 电磁理论

```
法拉第在 1831 年发现了电磁感应现象之后,
电学和磁学理论所依据的基本原理有下面这几点.

1. 电荷产生电荷之间的相互作用力, 这个力可以用库仑定律或电场来描述.
2. 载流导线产生导线之间的相互作用力, 这个力可用安培定律或磁场来描述.
3. 不存在磁荷.
4. 交变磁场会产生电场 -- 法拉第定律.
5. 电荷是守恒的: 如果没有其他电荷进入 (或离开) 空间的任一区域,
   那么在该区域内的总电荷数不变.

差不多经过了整整两代人的时间, 物理学家们才明白, 这五条原理在逻辑上是矛盾的.
```

> 哈哈, 有点欧几里得五大公设那味了.

- 麦克斯韦建议, 应当在安培定律中再加进一项,
  这一项只是在电流是迅速变化的情况下才具有重要作用.
  - 麦克斯韦把它叫作`位移`电流.
  - 在安培进行他的那些测量的条件下, 该项消失.
- 位移电流消除了安培定律和电荷守恒定律之间的矛盾,
  并使电学的和磁学的方程具有对称的形式,
  因为这一项描述的是:
  - 在交变电场的作用下会产生磁场.
- 经过了麦克斯韦之手, 安培定律具有下列形式:
  - $$
    \sum_{沿整个回路} B_{切} (△ l) =
    \frac{4 \pi}{c} I + \frac{1}{c}
    \times (电通量的变化速度)
    $$
- 电通量的定义与磁通量完全一样, 只要用 `E` 来代替 `B`.
  - 在最简单的情况下, 当电场是均匀的并且垂直于表面时,
    电通量就直接等于电场的量值乘以相应的面积.

---

- 经过了麦克斯韦的工作之后, 电场和磁场的方程可以写成等效于下面六个论点的形式.
  - (1) 相应于电荷的某种分布的电场由库仑定律确定.
  - (2) 不存在磁荷.
  - (3) 法拉第定律: 交变磁场会产生电场.
  - (4) 经麦克斯韦修正后的安培定律: 电流和交变电场会产生磁场.
  - (0) 电荷守恒.
  - (5) 电场与磁场作用于电荷的力由洛伦兹公式确定.

---

- 麦克斯韦方程组

$$
\begin{cases}
  (1) ▽ \cdot \mathbf{E} = 4π \rho
      & (库仑定律) \\
  (2) ▽ \cdot \mathbf{B} = 0
      & (不存在磁荷) \\
  (3) [▽ \times \mathbf{E}] = - \frac{1}{c}
      \frac{\partial \mathbf{B}}{\partial t}
      & (法拉第定律) \\
  (4) [▽ \times \mathbf{B}] = \frac{4π}{c} \mathbf{J} +
      \frac{1}{c} \frac{\partial \mathbf{E}}{\partial t}
      & (经麦克斯韦修正后的安培定律) \\
  (0) ▽ \cdot \mathbf{J} + \frac{\partial \rho}{\partial t} = 0
      & (电荷守恒) \\
  (5) \mathbf{F} = q \mathbf{E} + q
      [\frac{\mathbf{v}}{c} \times \mathbf{B}]
      & (洛伦兹力)
\end{cases}
$$

- 命题 `(0)`, 即电荷守恒定律, 并不是独立的.
  它可由 `(1)` 和 `(4)` 导出.
  所以, 电磁理论基于五条公设: 命题
  `(1)`, `(2)`, `(3)`, `(4)`
  描述由电荷和电流产生的电场和磁场,
  而 `(5)` 描述这些场作用于运动的或静止的电荷的力.

> 电磁学结束的仓促了, 但作者貌似也没打算太过驻足.

### 分子运动论 (热, 温度和熵的力学解释)

```
根据现代的观念, 尽管气体原子具有复杂的内部结构,
但在互相碰撞时它们的内部结构并不发生变化.
因而, 我们在研究这些气体原子的一般性的碰撞时,
完全可以忽略它们的内部结构. 这种形势正反映了物理理论结构的特点.
虽然物体本身可能是很复杂的, 但当我们研究这个物体的行为时, 完全可以用一些简化的模型来代替它,
而这些简化模型在具体情况下恰恰具有我们所感兴趣的并且在相互作用过程中保持不变的性质.
进行这种替代的条件是, 物体的复杂结构并不影响我们所要研究的物理过程.
研究这些简化了的性质就足以用来描述我们所感兴趣的现象.
```

> 至此, 本章结束, 全书过半~

### 统计力学

```
对于气体的情况, 统计力学假设的要点是: 不必知道多粒子系统中每个粒子的确切位置和速度,
而只要假设, 如果没有任何附加的条件, 那么, 对于系统中的每一个粒子,
它占有所有可能位置中的任意一个位置和所有可能的速度方向中的任意一个速度方向的概率是相同的
(应当特别强调概率是相同的). 但我们总还是可以知道系统的某些情况的, 例如,
系统的总能量 E 和它的总粒子数 N 是固定的 (我们认为, 能量和粒子数是守恒的).
因此, 多粒子系统的位置和速度的某些组合将是禁止的;
例如, 系统中哪怕只有一个粒子的能量大于 E,
系统的这种组合就将是禁止的, 因为在这种情况下系统的总能量将大于 E.
```

```
就这样, 我们回避了粒子速度都相同的假设, 也不去求解运动方程
(求解这些方程我们将能得到关于每个粒子的坐标和速度的确切数值),
但引入了对全部粒子在空间的位置和速度的最大概率分布.
这是个意义重大的假设, 它已远远超出了力学定律的范围,
难怪在麦克斯韦和玻尔兹曼去世之后人们还对它进行了长时间的热烈的讨论和分析.
这个假设也可以用其他方式来表达. 但就其实质说来, 一切都归结于一种直观的推测,
即在任一现实的物理过程中, 概率很小的分子分布方式不可能经常出现,
也不会对系统平衡状态的性质产生某种影响.
```

- $$ 熵 = k \times (通过等同粒子间的相互置换来实现给定状态的方式的数目的对数) $$
  - 从这个定义可以得出, 最小概率的状态,
    即只有一种方式才可能实现的状态,
    它的熵等于零, 因为
  - $$ S = k \times (1) 的对数 = 0 $$

### 相对性原理

```
这样, 洛伦兹得出的结论是: 如果认为一切物体都由带电粒子组成,
而作用于这些粒子间的力服从麦克斯韦方程, 则由于物体运动时这些力的变化,
物体将沿运动方向收缩. 为得到这样的结论, 需要一些奇怪的假设:
首先, 电子应该像物体一样收缩; 其次, 当物体运动时,
一切力的行为 (例如引力) 都应当像电磁力一样.
如果同意这些假设, 那么运动着的棍的收缩这一物理图像就变得可以理解了.

如果没有诞生阿尔伯特·爱因斯坦的话, 我们对于世界的看法可能就这样继续发展下去.
洛伦兹发现, 在运动系统中引入所谓本地时间可以带来很大的方便.
它之所以方便是因为, 采用了这种时间以后,
电动力学方程以及场与电荷之间的关系式在运动系统中将与在不动系统中保持同样的形式
(如果在运动系统和不动系统中都采用同一个时间, 这样的情形就不会发生).
```

### 牛顿定律和相对性原理的统一

- 我们发现, 只要引入下述新的动量的定义牛顿方程就能同相对论原理相一致, 即
  - $$ \mathbf{p} = \frac{m_0}{\sqrt{1 - v^2 / c^2}} \mathbf{v} $$
- 量
  $$ m_0 $$
  称为质点的`静止质量`, 它表示质点静止时的质量. 牛顿认为的质点所具有的正是这个质量
  $$ m_0 $$.
  为了得到`相对论质量`, 我们将静止质量除以在相对论中到处都可以遇见的乘数
  $$ \sqrt{1 - v^2 / c^2} $$,
  这个乘数第一次出现在我们分析迈克耳孙-莫雷实验的时候,
  后来它像一个获得了自由的妖精一样在相对论中到处忽隐忽现.
- 这样, 相对论的牛顿方程获得了以下的形式:
  - (1) 如果没有力作用于匀速运动着的物体, 则该物体将继续作匀速运动.
  - (2)
    $$ \mathbf{F} △t = △ \mathbf{p} $$
  - 这里
    $$ \mathbf{p} = \frac{m_0}{\sqrt{1 - v^2 / c^2}} \mathbf{v} $$

---

- 当速度不太大时, 在能量的相对论表达式中有一个附加的常数项
  $$ m_0 c^2 $$,
  它是一个与质点的静止质量有关的常量.
  我们可以把这个附加项看作某种形式的势能, 它由质点的静止质量所决定.
  如果这个能量能像普通的势能一样转变为动能, 那么就可以使它变成功.
  否则, 物体能作的最大的功就等于量
  $$ E - m_0 c^2 $$,
  这个量可以称为`相对论动能`. 我们可以得到
  - $$ 动能 (相对论的) = m_0 c^2 (\frac{1}{\sqrt{1 - v^2 / c^2}} - 1) $$

### 双胞胎的怪论

```
设想有一个物体, 它相对于某个观察者是不动的.
如果我们朝物体方向加速走去, 则在我们看来该物体像是朝我们方向作加速运动.
如果我们知道, 没有力作用于该物体, 则遵照牛顿第二定律,
我们将被迫认为物体的运动不遵守第一定律,
因为虽然没有力作用于它, 而物体却在作非匀速运动.
由此可知, 不能认为一切参照系都是等效的.

如果在某些系统中牛顿力学的定律成立, 则称这些参照系为惯性系.
描述牛顿力学内容的方法之一就是确认有这样的一个参照系,
在此系统中牛顿定律成立. 其他一切惯性系相对于这个参照系都是匀速运动着的.

对于双胞胎的怪论可以这么说, 如果地球和火箭相互作匀速运动
(譬如说, 此时宇宙飞船以巡航速度飞行),
则由于这两个系统都是惯性系, 它们是等效的.
但是为了返回地球, 火箭必须减速, 停止前进, 并转而往相反方向运动
(在宇航员看来, 是地球减速, 停止前进, 并转而往相反方向飞行).
从火箭开始减速的那一瞬时起, 它已不再是惯性参照系了,
而只有在惯性系统中牛顿力学的定律才成立. 因此,
如果不对力学和电动力学的定律引入补充修正,
我们就不能从宇航员的观点来考察这个怪论.

进行这些修正的必要性是显然的. 在减速时会出现附加的力,
这些力会使例如钟摆的振动周期等物理量发生变化.
由于实际上变慢并改变运动方向的是火箭,
因此从处于惯性参照系中的地面观察者的观点来计算时间间隔较为简单.
如果我们想从宇航员的观点来计算时间间隔,
则我们应当对力学定律引入必要的修正.
上述怪论发生的原因在于: 我们假定了一切参照系都是等效的,
并假定在任何坐标系统中应当以同样方式进行计算,
从而使我们对运动的描述赋予了不应有的过高的对称性.
```

> 没必要单独一章, 摘录下来是与下面来自`费曼物理学讲义`的内容做比较:

```
但是, 为了使他们能重新相遇并进行比较,
保罗必须要么在旅途的终点停下来, 并且将钟进行比较,
要么更简单一些, 他必须返回,
而返回的那个人必定是正在飞行 (或运动) 的那个人,
他知道这一点, 因为他必须转过身来飞行.
当他转过身来的时候, 他的飞船上各种不寻常的事情就发生了,
火箭射了出去, 东西向墙上撞了过去, 等等.
而彼得则一点也没有感到什么.

所以, 如果要叙述这条规则的话, 就可以说:
感觉到加速度和看到东西向墙上撞了过去等等的那个人, 将是比较年轻的一个;
这就是他们之间在"绝对"意义上的一个差别, 而这肯定是正确的.
```

### 广义相对论 (爱因斯坦引力理论)

> 这一章可以认为作者跳过了广义相对论~

### 量子理论的起源

> 至此, 本章结束, 全书过 `2/3`.

### 量子系统的运动定律 - 薛定谔方程

```
薛定谔方程的实质是: 对于给定的粒子和给定的作用于它的各种力,
它以波函数的形式给出一切可能的能量值的解.
波函数具有波的最基本的性质 -- 叠加性.
如果对于给定的条件, 薛定谔方程有两个解,
那么这两个解的和也是在同样条件下薛定谔方程的解.
这就是说, 与经典的波动理论一样, 波函数的峰和谷可以互相抵消.
因此, 在量子物理学中可以存在干涉现象 -- 一种最能表征波特性的现象.
只是现在这种现象已经与电子或质子 (它们在以前被看作是粒子)
这样一些客体, 甚至与整个粒子系统联系在一起了.
```

### 德布罗意波是什么

```
在这里最令人惊奇的是, 波函数本身是完全确定的.
如果在某个时刻给定该系统的波函数以及作用于该系统的力,
则借助于薛定谔方程可以求出这个波函数在此后任何时刻的准确形式.
事情原来是这样的: 根据量子力学的理论含有一切可能信息的波函数,
并不能充分地向我们提供我们习惯地期待的那些信息. 结果使我们以为,
我们不能实现周密的计划, 而只能靠碰运气. 但是我们知道, 理论的数学结构
(即假设与定理之间或者各条定理之间的相互关系) 往往是该理论最重要的因素.
常常有这样的情况: 对某一理论的假设虽然改变了, 但理论的关系式的结构仍保持不变,
理论与事实的一致性仍保持不变. 例如, 近二百年来,
对于牛顿力学的解释已经发生了重大变化, 而牛顿理论中的关系式
(例如, 引力与椭圆轨道诸参量之间的关系式) 的结构却依然如故.
```

### 关于量子力学观点的内部一致性

- 如果粒子的动量是给定的, 则它的波函数的特点是:
  与它相联系的粒子在任意时刻可以以相同的概率位于空间的某几个点上.
  - 我们可以肯定地说粒子的动量等于
    $$ mv $$,
    但却不能够说, 粒子真的是从一个点向另一个点运动.

- 如果电子 (或量子) 的位置严格地局域在
  $$ x_0 $$,
  此时电子 (或量子) 应当有哪些动量和哪些波长呢?
  - 对这个问题的回答是: 它的波函数乃是具有一切可能波长的波的和.
  - 所以, 对于局域于一个点上的粒子来说,
    与它相应的波函数是由包括所有波长 -- 从最长的到最短的 -- 的周期波之和构成的.
  - 从量子力学的观点看, 这意味着, 局域于一个点上的粒子的动量,
    可以以相同的概率取从零到无穷大的任意数值.

```
在量子理论中客体的位置由相应的波函数的振幅的平方来描述,
而它的动量值则由波长描述. 这个原理不是什么别的东西,
它仅仅反映了波的一个典型性质: 在空间局域化的波不可能只有一个波长.
```

```
从量子理论的观点看来, 光或者物质, 光子或者电子,
它们既不是波, 也不是粒子, 也不是把两者加在一起的东西.
描述这些物理现象的数学形式应当是包含波和微粒的某些性质的某种巧妙的组合.
```

```
所以, 如果讲到不连续性, 电子是个粒子; 而按运动的性质来说, 它是波.
量子物理学的功绩就在于它成功地创造了这样一个客体,
在这个客体中巧妙而且不矛盾地将这两种性质组合到了一起.
```

### 氢原子

```
量子理论的最深刻的思想之一在于, 系统的空间对称性
(以后我们将看到, 也可以是其他的对称性)
与退化能级的结构之间是有联系的.
```

```
上面我们考察了禁锢于矩形容器中的粒子, 它没有受到力的作用.
我们找出了这种情况下薛定谔方程的解, 并精确地确定了系统的能谱结构和能级的退化度.
只能对极少数的作用力系统 (可能不超过半打之数) 把这种计算进行到底.
但是不论作用力的系统多么复杂, 如果它具有对称性, 譬如说是个立方体,
那么可以肯定, 系统退化能级的结构仍然与前述正方形的情形相同,
而不论我们是否知道这些能级的确切数值.
```

```
角动量的数值和方向相应于所谓的角动量 (或轨道) 德布罗意波和角动量量子数.
我们所讨论的情况与禁锢于立方体容器中的粒子情况相类似, 根据玻尔理论,
只有一些确定的德布罗意驻波 (具有相应的角动量的数值及方向) 才是薛定谔方程的可能的解.
```

```
因此, 与容器中的德布罗意驻波相似,
角动量的数值和方向都只取整数值,
这与经典的角动量矢量不同.
```

```
我们以后将看到, 从氦以后的其他原子的能级与氢原子的能级略有区别; 但总的说来,
任何一个原子的能级结构都与氢原子的能级结构相似, 只是能级间的距离不一样.

此外, 当我们讲到许多不处于激发状态的原子群时
(它们禁锢于冷却了的容器中或者在空间运动), 我们指的是,
这些原子中的每一个都处于基态. 因而, 一组相同的原子乃是等同的物理系统.
这也解释了一个众所周知的事实: 两个氢原子或者两个氦原子彼此之间是毫无区别的.
这一点不可能用经典观点加以解释.
```

- 不管怎么说, 如果我们同意每个电子都有自旋, 与它相应的内角动量数为
  - $$ l_{自旋} (用字母 s 表示) = \frac{1}{2} $$
  - 这是个相应于内角动量 (或叫做自旋角动量) 的量子数,
    与外角动量量子数不同, 它可以取半整数的数值,
  - 那么自旋在空间特定方向上的投影数有两个:
  - $$ m_s = - \frac{1}{2} $$
    或
    $$ m_s = + \frac{1}{2} $$
  - 这就解释了谱线数目多一倍的问题.
- 其次, 如果与自旋相联系的磁矩为
  (可以看成一个磁体, 因为电子作假设中的转动时产生电流, 而电流形成磁体):
  - $$ [(电子电荷旋转时产生电流, 这个电流引起的) 电子的磁矩] = \frac{e \hbar}{2mc} $$
  - 那么, 加上磁场后, 相应于自旋的两个方向的能级将要散开, 散开的大小为
  - $$ \frac{e \hbar}{mc} B $$

```
虽然很难解释清楚电子自旋的起因,
并且在成功地使这一内在性质与以前已经知道的其他性质一致起来之前已经过去了一段时间,
但是很快就弄清楚了, 古德斯米特和乌伦贝克所提出的假设很好地解释了实验观察到的谱线结构.
并且, 我们很快将看到, 与电子的自旋相联系的能级增加一倍这一事实,
在编制元素周期表时起着主要的作用.
```

```
经典动力学理论能获得很大成功的原因之一就在于: 原子本身虽是个量子力学系统,
但如果只考虑那些与动力学理论有关的性质, 那么它的行为与台球的行为相似.
如果原子的运动很慢, 它们间相碰撞时原子的电子不会离开基态 (在常温下就是这种情况),
那么它们的碰撞将是弹性碰撞, 因为原子的内部状态不变.
因此, 一个观察者, 如果他对原子系统的细节结构并不感兴趣的话,
那么在他看来, 这些原子的行为就跟小台球一样.
```

### 粒子和光子对原子系统的相互作用

```
与电子一样, 光子也能以微粒的形式存在, 并把自己的能量和动量传递给原子系统.
但是, 当光子与原子中的电子相撞时它可以被吸收 (这与电子和原子中的电子相碰撞的情况不同),
结果是使原子跃迁到激发态, 而光子却消失了.
光子的行为与电子的行为之间的区别与一个重要的物理定律有关:
电荷不可能产生, 也不可能消灭. 而光子 (或者光) 是可以诞生, 也可以消失的.
```

- 经典力学的基本问题是: 如果已知在 `t = 0` 时粒子的位置和速度,
  问在时刻 `t` 粒子的位置在哪里? 而量子力学经常感兴趣的是:
  如果在时刻 `t = 0` 系统处于某个"起始"状态,
  问在稍晚的时刻 `t` 系统处于某个"终止"状态的概率有多大?

```
一般说来, 两个能级之间发生跃迁的概率不等于零.
(一切能够发生的事情, 迟早总是要发生的.)
简单地估计概率值大小的方法后面将会讲到.
如果概率值准确地等于零, 那么相应的跃迁称为禁戒跃迁.
一般说来, 禁戒跃迁都与某个守恒定律有关.
所以经典的守恒定律在量子理论中则表现为容许或禁戒跃迁的条件.
```

```
只有当能量, 动量和角动量等这些量守恒时 (在 "初始" 和 "终止" 状态它们的数值相等),
各种过程的跃迁概率才不等于零. 什么量在什么情况下守恒.
这与作用力的性质有关, 并由系统的对称性质所决定. 所以, 不仅可以根据容许跃迁的形式,
而且也可以根据量子系统的退化结构来判断相应的作用力系统的对称性质.
例如, 如果角动量不守恒 (它的 "初始" 和 "终止" 状态的数值不一样), 那么可以得出结论说,
当系统转动时, 作用力系统将发生变化.
```

### 多粒子量子系统

- 任意数目的光子可以具有相同的波函数, 而且这些波函数是可以相加的.
  结果我们发现, 第一个光子位于点
  $$ x_0 $$
  的概率, 将等于第二个光子位于点
  $$ x_0 $$
  的概率或者第 `N` 个光子位于点
  $$ x_0 $$
  的概率.
  - 所有具有这种性质的粒子叫做`玻色子`, 它们的自旋量子数取整数值:
    `0`, `1`, `2`, `3`, 等等. 光子的自旋为 `1`.
  - 还有另一类叫做费米子的粒子, 费米子的自旋量子数取半整数:
    `1/2`, `3/2` 等等.
  - 费米子不能像玻色子那样, 它们的波函数不能相加.
    这一性质与两个物体不能同时处于同一位置的经典观念相似.

```
不相容原理的内容可表达如下: 如果有两个电子,
那么其中一个电子的波函数不可能完全等同于描述第二个电子的波函数
(两个电子的量子数彼此间不可能完全相同).
所以, 两个电子不可能同时有相同的动量和相同方向的自旋.
(正是这一点使得自旋的概念变得特别重要; 因为如果有两个电子,
它们具有同样的动量, 那么它们的自旋应当指向两个相反的方向;
也正是由于自旋的存在解释了前面提到的能级数目增加了一倍的现象.)
其次, 两个电子不能局域于同一个位置, 除非它们的自旋指向不同的方向.
```

```
多粒子系统的波函数具有叠加特性: 波函数的两个解的和仍然是同样条件下的波函数的解.
所以, 由 N 个粒子组成的整个系统具有波的基本性质 -- 干涉性等等.
这一切严重地限制了由大量等同粒子组成的系统的波函数的形式.
```

```
所以, 对于由很多费米子组成的系统, 由于不相容原理对于系统波函数的限制,
不是所有的费米子都能处于最低的量子态.
这个系统的最低能量要比由同样数目的玻色子系统的最低能量高得多.
因此, 金属中电子的基态能量是个相当大的数值, 对于进一步的相互作用来说,
只有最后一个被占能级以上的那些能级才是自由能级.
对于由互相作用的粒子组成的系统, 由于粒子之间有力的作用,
系统的波函数将不同于上面所讨论的波函数.
但是, 我们在讨论元素周期表时将看到, 元素周期表的许多基本性质仍然不变.
```

### 电子 - 相对论波

- 狄拉克试图利用与薛定谔方程的类似性, 写出与相对性原理相一致的电子的波动方程.
  他要求, 这一方程的解仍然是服从概率论解释的德布罗意波,
  并且要求电子的能量和动量间的关系遵守相对论性关系式
  - $$ E^2 = c^2 p^2 + m^2 c^4 $$
  - 而不是薛定谔方程的解所遵守的关系式
  - $$ E = \frac{p^2}{2m} $$
- 在这种情况下, 狄拉克得出, 电子应当具有 `4` 个内部状态.
  这样, 狄拉克发现, 所有的能级都变成了原先的四倍:
  - $$ ψ_1 (x, y, z, t) $$;
    $$ ψ_2 (x, y, z, t) $$;
    $$ ψ_3 (x, y, z, t) $$;
    $$ ψ_4 (x, y, z, t) $$
  - 而当在薛定谔方程中引入自旋时, 能级数只是变成了二倍.

```
在狄拉克理论中, 对每一个自旋方向都有两个这样的解.
所以, 系统的每一个空间状态相应于狄拉克找到的 2 × 2 = 4 个内部状态.

应当指出, 在相对论经典力学中也有相应于负的能量值的解.
但是在那儿这些解没有任何意义而被抛弃了.
这可以简单地看作, 在我们所生活的世界上不存在具有负能量的粒子;
事实上, 可以彻底地和无害地将带负能量的解从理论中除去.
但狄拉克很快就意识到, 在量子理论中不能这样做.
相应于负的能量值的解应当有它的物理含义;
想将它们从理论中彻底排除的做法没有成功. 如果说,
由相对论方程导出的自旋和磁矩使我们很高兴的话,
那么我们必须把这些解也考虑在内. 但是,
如果一个电子真的能够存在于负能状态, 那么它的行为将是非常离奇的.
对于一般电子, 由于与其他粒子相碰撞而逐渐减速并最终将停下来;
但对这种电子却是另一个样子, 它将加速得愈来愈快, 直到它的速度等于光速.
从相对论方程的分析中表明, 这种性质不仅在过去的任何时候都不曾观察到,
并且也未必能在将来的某个时候发现它. 从这一点出发, 狄拉克提出了他的著名的假设.
```

```
所有自旋为 1/2 (更正确地说, 自旋为 1/2, 3/2 等半整数) 的粒子都具有反粒子.
反粒子与粒子不同, 它能与粒子相湮灭, 这些都是从相对论量子理论得出的结果.
质子和中子 (它们的自旋等于 1/2) 也是这样的粒子: 不久前已经发现了它们的反粒子.
由于各人的观点不同, 有人把这些反粒子的发现看作是理论的辉煌成就,
有人则认为这仅是理论的平淡无奇的证明. 长期以来, 理论家们就抱有一种信念,
认为质子和中子的反粒子真的存在. 这种信念可以说是进入他们的社会的某种暗语.
但是, 现在我们知道, 那些最期望得到的结果, 应该可以用直接的方式获得.
如果不能够发现质子和中子的反粒子, 或者自旋为 1/2 的任意现有粒子的反粒子的话,
那么将不得不对理论物理的基础进行最彻底的修改.
```

### 电子与光子的相互作用

```
所谓的局域场论认为, 基本的相互作用发生在空间-时间的一些点上.
光子在空间-时间的某一个点上发射出来, 而在另一点被吸收.
两个量子粒子在空间-时间的某个确定点上相接触时发生相互作用.
```

```
在相对论量子理论 (量子场论) 中, 两个物体间所以能够发生相互作用,
都是由于这些物体间交换了这个或那个场的量子的结果.
换句话说, 量子可以影响彼此间进行其他量子交换的量子粒子的运动.
而根据相对论, 被交换的这些量子不可能以大于光速的速度运动;
这就可以解释, 为什么一个物体对另一物体的作用不能够瞬时间就表现出来,
而必须经过有限的时间间隔.
```

```
当使用微扰论来计算过程的概率幅度时, 可以把总的概率幅度表示为各项之和的形式,
而每一项都单值地相应于一个上面所研究过的那种端点.
在每个端点上能量完全不一定都守恒.
我们正是利用这一点来区分这类虚过程 (或者中间过程) 和所谓的真实过程.
在真实过程中能量必须守恒. 而虚过程是辅助性工具,
只在我们所使用的数学方法的范围内, 起辅助的作用.
```

- 从量子电动力学的观点看,
  处于离质子最近的玻尔轨道上的电子本身是一个处于基态的电子-质子-光子系统,
  此时它有最低的能量. 系统可以永远保持在这一状态.
  而如果系统处于激发态 (譬如说, 处于 2P 能态), 则它可以发生跃迁:
  - $$
    \begin{cases}
      2P \to 1S + 光子 \\
      (光子的) 能量 = E_{2P} - E_{1S}
    \end{cases}
    $$

```
量子电动力学的优美之处就在于, 它的整个理论是基于一个唯一的基本相互作用.
而正是这一点, 核 (介子) 场论却不能够做到. 在核场论中不得不引入不止一个,
而是几十个基本端点, 它们相应于交换各种不同的量子.
按照量子电动力学的模式来建立核场论的尝试成效甚少, 并遇到了许多困难,
以致引起这样的疑虑: 用场论来描述核内的现象是否适宜?
```

> 嗯, 不适宜!

```
与量子理论一样, 量子电动力学的基本问题是要计算出各种过程的概率幅度.
原子物理学感兴趣的是, 原子从一个状态跃迁到另一状态并辐射光子的概率幅度.
对于一个穿过障碍物的电子, 需要确定这个电子落到观察屏上某一确定点的概率幅度.
概率幅度的平方决定事件发生的概率, 也就是量子理论可以给出的全部东西.
我们不可能在这里进行详情的计算, 但理论的某些思想和定性性质可以用简单的方法加以说明.

与任何的量子理论一样,
量子电动力学的基本对象也是系统的波函数或者系统从一个状态到另一个状态的跃迁概率幅度.
波函数满足叠加原理. 这个原理表明, 不管是水面上的波, 光波或者穿过障碍物上小孔的电子,
一个事件如果有两个波组成, 那么这个事件的幅度等于两个波的幅度之和.
正是波的这个重要的和基本的性质被原封不动地用到了量子场论中. 假如说,
障碍物上有 2 个, 3 个, 4 个或者任意多个孔, 那么可以认为 (与衍射光栅的情形一样),
电子落到屏上 P 点的概率幅度 (对水面波来说, 就是它的峰高或者谷深)
等于通过一切可能途径从障碍物到达 P 点的幅度之和.
```

```
德布罗意第一个把波与每一个单独粒子联系在一起; 现在德布罗意的思想已经得到了推广,
波不仅与每个电子或者光子联系在一起, 并且是与整个系统的状态相联系的. 这意味着,
譬如说如果一个系统由 4 个电子, 3 个光子和 12 个其他类型的粒子组成,
那么整个系统的状态具有波的性质. 波函数描述的是一个系统;
而系统也可能只由一个粒子组成, 在这种情况下这个波就相应于这个唯一的粒子.
但是一般来说, 系统是由许多粒子组成的, 在量子意义上这个系统的行为就像波.
```

```
或许, 在量子电动力学 (量子电子与麦克斯韦场的光子相互作用的理论)
的一致性方面还存在一些重大问题. 但是现在可以说, 这个理论以它现已发展起来的
(包括计算方法) 形式给出了与测量结果符合得很好的结果.
即使理论将被重新加以考虑, 未必还有谁会认为, 它 (例如在计算电子的磁矩时)
所使用的各种关系式在将来会有重大的改变. 在这个意义上,
量子电动力学是一门最近代的物理理论, 正如我们所设想的, 它也是内在一致的.
```

> 本章, 是全书最高潮~
  换句话说, 如果全书只看一章, 那么就是此章!

### 是什么将核内的粒子约束在一起

```
现在知道, π 介子和 μ 子的质量分别为 273 个和 207 个电子质量.
已经确定, π 介子正是汤川秀树所预言的粒子. π 介子在与核发生强烈的相互作用前,
在物质中通过的路程不很长, 特别是与它的子粒子 (即 μ 子)
在一般物质中所能通过的巨大路程相比时, 更显得短.
μ 子不与物质发生强烈的核相互作用,
μ 子所参与的一切相互作用几乎全部都是电磁相互作用,
因此甚至在很深的地下 -- 在矿井中和地铁隧道中都可以发现 μ 子.
```

### 对称性: 从毕达哥拉斯到泡利

```
与一定形式的对称性有关的不变性, 通常导致能级的退化和出现一些守恒量.
相对于空间移动的不变性 (空间各点的一致性) 导致动量的守恒,
相对于时间移动的不变性导致能量守恒,
而相对于转动的不变性 (空间的各向同性) 导致角动量守恒.
相对于镜面反射的不变性可以导致所谓宇称守恒.
```

> 2023年12月10日: 结~
