---
title: 量子力学 科恩 第一卷 (Part 1)
description: 乐游原上清秋节, 咸阳古道音尘绝. 音尘绝, 西风残照, 汉家陵阙.
date: 2022-10-31
---

- [量子力学 (第一卷)](https://book.douban.com/subject/25954720/)

```
我们的教学经验证明, 开始时就将这些假设集中起来讲要比分成几个阶段介绍好.
同样, 我们还认为, 最好一开始就用态空间和狄拉克符号.
如果起先只用波函数来建立波动力学, 然后再讲左矢 (即刁) 和右矢 (即刃) 的普遍理论,
那就难免会有重复; 特别是, 符号改变得晚了, 容易使学生迷惑不解,
使他们觉得好像刚刚学过但还未掌握的那些概念, 又成问题了.
```

```
由于这种实质上是演绎的观点, 我们没有按历史顺序来引入量子概念,
也就是说, 没有介绍和讨论迫使人们重新审度经典概念的那些实验事实.
于是我们放弃了归纳的方法.
然而, 物理学是一门要经受实验事实检验并在检验中不断发展的科学,
要得到这样一门科学的可靠图像, 归纳法还是必要的;
不过我们认为这种方法更适合于原子物理学或较低程度的量子物理学导论.
```

```
此外, 我们有意识地撇开了关于量子力学的哲学意义和其他解释的讨论.
虽然这类讨论是很有意义的, 但它似乎是另一种水平上的工作了;
事实上, 我们感到, 要能有效地讨论这些问题, 必须事先掌握 "正统的" 量子理论.
这套理论, 由于它在物理学和化学的各个领域中所取得的巨大成就, 已为人们所接受.
```

# 波和粒子; 量子力学的基本概念

## A 电磁波与光子

```
每当我们对一个微观体系进行一次测量时, 我们便从根本上干扰了它.
这是一种新的性质, 因为在宏观领域中我们从来都认为,
人们总可以设想出这样的测量仪器, 它们对体系的干扰实际上要多小就有多小.
对经典物理的这种批判性的修正是由实验决定的, 当然也要由实验来引导.
```

> 测量 (系统状态) 必定破坏 (系统状态)

- 经过反复探索, 人们形成了波粒二象性的概念, 我们可以将它概述如下:
  - (i) 光的粒子性方面和波动性方面是不可分割的,
    光同时表现为波和粒子流, 波可以用来计算粒子出现的概率.
  - (ii) 对光子行为的预言只能是概率性的.
  - (iii) 波
    $$ E(\mathbf{r}, t) $$
    提供一个光子在
    $$ t $$
    时刻的信息, 它是麦克斯韦方程组的解; 我们说这个波表征光子在
    $$ t $$
    时刻的状态. 我们将
    $$ E(\mathbf{r}, t) $$
    解释为一个光子在
    $$ t $$
    时刻出现于
    $$ \mathbf{r} $$
    点的概率幅. 这就意味着相应的概率正比于
    $$ \mid E(\mathbf{r}, t) \mid ^{2} $$.

> 两个基础实验~

- 因为麦克斯韦方程组是线性的和齐次的, 故可对它应用`叠加原理`: 若
  $$ E_1 $$
  和
  $$ E_2 $$
  是方程组的两个解, 则
  $$ E = λ_1 E_1 + λ_2 E_2 $$
  (此处
  $$ λ_1 $$
  和
  $$ λ_2 $$
  为常数) 也是它的解. 正是这个叠加原理在经典光学中解释了波动型的现象 (干涉, 衍射).
  - 在量子物理中, 既然也有波动型的现象, 那么将
    $$ E(\mathbf{r}, t) $$
    作为概率幅来解释, 便是必要的了.

> 叠加原理的基础性～

- 因而本征结果与本征态之间的对应是这样的:
  - 如果测量以前粒子处于本征态之一, 那么这次测量的结果便是确定的,
    它只能是与这个本征态对应的本征结果.
  - 如果测量前的状态是任意的, 那么我们只能预言测得各种本征结果的概率.
    为了求得这些概率, 我们将粒子的态分解为各本征态的线性组合.
  - 在这里, 对于任意的
    $$ \mathbf{e}_{p} $$,
    我们写出:
  - $$ \mathbf{e}_{p} = \mathbf{e}_{x} \cos \theta + \mathbf{e}_{y} \sin \theta $$
  - 于是, 得到某一本征结果的概率正比于该本征态的系数的模的平方
    (所有这些概率的总和为 `1`, 用此条件即可确定比例常数).

- [偏振片](https://en.wikipedia.org/wiki/Polarizer)

- __谱分解原理__: 必须注意, 分解的方式依赖于我们所考虑的测量仪器的类型,
  这是因为我们必须使用与它相应的各种本征态.
  - 在这里, 粒子的态发生了突变.
  - 测量从根本上干扰了微观体系 (这里是指光子).

## B 物质粒子与物质波

### 德布罗意关系

- [物质波](https://en.wikipedia.org/wiki/Matter_wave)

- 一种特定的原子只能发射或吸收具有某些确定频率 (或者能量) 的光子.
  如果我们承认原子的能量是量子化的, 就是说承认原子的能量只能取某些离散的值
  $$ E_{i} (i = 1, 2, ..., n, ...) $$,
  则这个事实便很容易解释如下:
  - 伴随着一个光子的发射或吸收, 原子的能量便从一个允许值
    $$ E_i $$
    `"突变"`到另一个允许值
    $$ E_j $$;
    于是由能量守恒便可推知光子应具有这样的频率
    $$ v_{ij} $$:
  - $$ h v_{ij} = \mid E_i - E_j \mid $$
  - 故只有满足上式的那些频率才能被原子所发射或吸收.

```
1923 年, 德布罗意提出了下述假说:
完全和光子一样, 物质微粒也具有波动性的一面.
电子衍射实验 (1927 年) 表明, 利用物质微粒, 例如电子,
也可以得到干涉图, 这就出色地证实了物质的波动性的存在.
```

- 于是, 一个能量为
  $$ E $$,
  动量为 __p__ 的物质粒子,
  可以同一个波相联系, 这种波的角频率
  $$ ω = 2πv $$
  及波矢 __k__ 由适用于光子的同样关系式给出:
  - $$
    \begin{cases}
      E = hv = \hbar ω \\
      \mathbf{p} = \hbar \mathbf{k}
    \end{cases}
    $$
  - 换言之, 对应的波长是:
  - $$
      \lambda =
      \frac{2π}{\mid \mathbf{k} \mid} =
      \frac{h}{\mid \mathbf{p} \mid}
    $$
    (德布罗意关系式)

### 波函数; 薛定谔方程

- 按照德布罗意的假说, 我们将把关于光子的那些概念推广到所有的物质粒子.
  - (i) 必须用与时间
    $$ t $$
    有关的`态`的概念代替经典的轨道概念.
  - (ii) 我们将
    $$ \psi (\mathbf{r}, t) $$
    解释为粒子出现的`概率幅`.
  - (iii) 谱分解原理适用于任意物理量
    $$ \mathcal{A} $$
    的测量.
  - (iv) 还要写出
    $$ \psi (\mathbf{r}, t) $$
    的演变所遵循的方程. 利用普朗克和德布罗意关系式, 可以很自然地引入这个方程.
    但是我们不可能证明这个基本方程, 即所谓薛定谔方程; 我们只是把它提出来,
    然后讨论它的一些推论 (正是这些推论的实验证明肯定了它的正确性).
    此外, 到了第三章, 我们还要回过头来更详细地探讨这个方程.

> 关于 (iii), (iv), 详见页 17.

> [薛定谔方程](https://en.wikipedia.org/wiki/Schrödinger_equation):
  对于
  $$ \psi (\mathbf{r}, t) $$
  是线性的, 齐次的; 对于时间
  $$ t $$
  是一阶的.

> 波函数
  $$ \psi (\mathbf{r}, t) $$
  必须是平方可积的. (可归一性)

> 同时, 薛定谔方程确保了归一化系数与时间无关.

- 要注意经典态与量子态这两种概念之间的重大区别. 一个粒子在时刻
  $$ t $$
  的经典态是由描述粒子在时刻
  $$ t $$
  的位置和速度的六个参量
  $$ x $$,
  $$ y $$,
  $$ z $$;
  $$ v_x $$,
  $$ v_y $$,
  $$ v_z $$
  确定的; 一个粒子的量子态则是由`无穷多个`参数所确定的,
  这些参数就是与该粒子相联系的波函数
  $$ \psi (\mathbf{r}, t) $$
  在空间各点的数值.
  - 轨道这个经典概念, 亦即经典粒子在相继各时刻的那些态,
    应该代之以和粒子相联系的波的传播的概念.
  - 例如, 再回想前面描述的用光子进行的杨氏双狭缝实验,
    这种实验从原则上说对于物质微粒 (如电子) 也是可行的.
  - 在观察干涉图时, 如果还要知道每个粒子通过的是哪条狭缝,
    这是没有意义的, 因为与粒子相联系的波同时通过了两条狭缝.

> 或者说: 粒子只有同时经过两个狭缝才能得到干涉的结果.
  粒子的双缝干涉不是来源于粒子之间的干涉, 而是各个粒子与其自身的干涉.

```
必须指出, 光子在实验中可能被发射或被吸收, 物质微粒则不一样,
它们既不能被产生也不能被消灭: 被加热的灯丝发射出电子,
这些电子是原来就存在于灯丝中的; 同样, 被计数器吸收的电子并未消失,
它又回到了某个原子中或参与形成电流.
实际上, 相对论告诉我们, 物质粒子的产生和湮没是可能的.
例如, 一个能量充分大的光子穿过原子近旁时, 可以实物化而成为电子-正电子对;
反过来, 正电子碰撞电子时便和电子一起湮没而产生光子.
但是, 在这一章开头我们就声明过, 本书的范围只限于非相对论量子力学,
并且事实上我们已经按不对称的方式处理了时间和空间坐标.
在非相对论量子力学的范畴内, 物质微粒既不会产生也不会湮没.
我们将会看到, 这个守恒定律占有头等重要的地位;
而放弃这个定律的必要性正是人们在建立相对论量子力学时遇到的重大困难之一.
```

> 本书的范围只限于非相对论量子力学!

## C 对一个粒子的量子描述; 波包

### 自由粒子

```
若一个粒子在空间各点的势能都为零 (或为常值),
则这个粒子未受力的作用, 我们说它是自由的.
```

> 详见页 19. 另, 附录 I (傅立叶级数和傅立叶变换) 在卷二.

### 海森伯不确定度关系

> 附录 II (狄拉克的 δ 函数) 也在卷二.

- [帕塞瓦尔定理](https://en.wikipedia.org/wiki/Parseval%27s_theorem)
  - [贝塞尔不等式](https://en.wikipedia.org/wiki/Bessel%27s_inequality)

```
附注:
我们的出发点, 即不等式 (C-18), 就其本身而言, 并没有什么典型的量子意义.
它只不过表示傅里叶变换的一个普遍性质
(在经典物理学中已有这个性质的很多应用, 例如大家都知道,
在无线电理论中不存在人们能够以无限的精确度同时确定其位置和波长的电磁波波列);
真正有量子意义的只是:
将波和物质粒子联系起来, 并规定波长和动量要满足德布罗意关系式.
```

> 上面这一段, 就通俗性描述而言, 不如`格里菲斯`.

### 自由波包随时间的演变

- [色散](https://en.wikipedia.org/wiki/Dispersion_(optics))
  - [相速度](https://en.wikipedia.org/wiki/Phase_velocity)
  - [群速度](https://en.wikipedia.org/wiki/Group_velocity)

## D 在与时间无关的标量势场中的粒子

```
刚才的说明告诉我们, 如果在比波长短的路程上, 势的变化是显著的,
那么, 就应该出现典型的量子效应 (即起因于波动性的量子效应),
这时波长已是不可忽略的了. 正因为如此,
所以我们要研究处于各种 "方形势" 中的量子性粒子的行为.
所谓方形势, 就是其变化呈 "阶梯" 状的势.
既然这种势是不连续的, 那么, 不论波长多么短,
它在与波长同数量级的区间上一定有显著的变化,
因此, 量子效应总是会表现出来的.
```

> `所以我们要研究处于各种 "方形势" 中的量子性粒子的行为.`
  点明为什么要研究`方形势`, 蛮好的~

### 变量的分离. 定态

- 形如
  $$ ψ (\mathbf{r}, t) = φ (\mathbf{r}) e^{-iωt} $$
  的波函数叫做薛定谔方程的定态解, 由此函数得到的概率密度
  $$ \mid ψ (\mathbf{r}, t) \mid^2 = \mid φ (\mathbf{r}) \mid^2 $$
  与时间无关.
  - 定态波函数只含一个角频率
    $$ ω $$,
    故根据`普朗克-爱因斯坦关系式`, 定态就是对应的能量为确定值
    $$ E = \hbar ω $$
    的态 (即能量的本征态).
  - 在经典力学中, 若势能与时间无关, 总能量就是一个运动常量;
  - 在量子力学中则存在着能量完全确定的态.

```
于是, 我们可以将波动光学中熟知的结果转借到这里要研究的问题.
然而必须充分理解这仅仅是一种类比,
我们对波函数的解释与经典波动光学对电磁波的解释本质上是不同的.
```

> 一维方形势的光学类比, 有点意思~

```
在这种情况下我们知道, 对入射波的某些频率, 波将完全透射;
从量子的观点来看, 这就是说, 粒子被反射的概率一般不为零,
但是存在着一些能值, 叫做谐振能, 对于取这些能值的粒子,
透射概率为 1, 因而反射概率为 0.
```

> 定性地基本概念描述, 结束~

- 这一章只讨论了由一个粒子构成的物理体系. 在经典力学中,
  对这些体系在某一时刻的态的描述是以六个参量的数据为基础的,
  这些参量就是粒子的位置
  $$ \mathbf{r} (t) $$
  和速度
  $$ \mathbf{v} (t) $$
  的分量; 给出
  $$ \mathbf{r} (t) $$
  和
  $$ \mathbf{v} (t) $$,
  所有的力学变量 (如能量, 动量, 角动量等) 就都决定了.
  - 根据牛顿定律, 函数
    $$ \mathbf{r} (t) $$
    可以从以时间为自变量的二阶微分方程解出, 从而, 知道了
    $$ \mathbf{r} (t) $$
    和
    $$ \mathbf{v} (t) $$
    在初始时刻的值, 便可以确定它们在任意时刻
    $$ t $$
    的值.
- 量子力学对现象的描述更加复杂: 一个粒子在指定时刻的动力学状态由波函数来表述.
  它不再只依赖于六个参量, 而是依赖于无限多个参量 (
  $$ ψ(\mathbf{r}, t) $$
  在空间所有各点
  $$ \mathbf{r} $$
  处的数值).
  - 此外, 对测量结果的预言只能是概率性的
    (即只能给出测量一个力学变量时得到某一预期结果的概率).
  - 波函数是薛定谔方程的解, 知道了
    $$ ψ(\mathbf{r}, 0) $$,
    就可用这个方程来计算
    $$ ψ(\mathbf{r}, t) $$;
    这个方程蕴含着导致波动型效应的叠加原理.

```
说得更广泛一些, 直到现在,
还没有任何观测结果是与量子力学的基本原理相抵触的.
可是, 关于既是相对论性又是量子性的现象,
目前还没有一套总的理论, 既然如此, 再来一次震动也是可能的.
```

> 希望 2025 可以开始阅读温伯格的量子场论~

# 量子力学的数学工具

```
我们打算最大限度地简化有关的论述,
凡是只有数学家才能满意的那些普遍定义和严格证明, 这里一概从略.
例如, 遇到无限多维空间时, 我们将把它当作有限多维空间来分析;
此外, 我们将按照物理学所约定的意义来使用术语 (如平方可积函数, 基, ...),
而这种意义与纯数学所赋予它们的并不完全一致.
```

> `表象`: 还是译为`表示/表征`更好; `观察`: 还是译为`观测/测量`更好.

> 推荐对比阅读: 量子计算与量子信息 - 线性代数;
  也可对比阅读: 格里菲斯 - 形式理论.

## A 一个粒子的波函数空间

- 从物理的观点看来,
  $$ L^2 $$
  这个集合实在是太广泛了. 既然已经给定了
  $$ \mid ψ (\mathbf{r}, t) \mid^2 $$
  的意义, 那么, 实际上使用的那些波函数就应该具备一些正规的性质.
  - 我们可以只考虑这样一类函数
    $$ ψ (\mathbf{r}, t) $$,
    它们是处处确定的, 处处连续的, 而且是任意多次可微分的
  - (譬如, 某函数在空间某点确实不连续, 这种说法就没有任何物理意义;
    因为任何实验也不可能使我们知道在很小的尺度上的实际现象究竟如何).
  - 我们还可以只考虑有界区域中的波函数
    (我们确信粒子处在空间的有限范围内, 譬如实验室内).
  - 在这里, 我们不打算就普遍情况来精确地陈述这些补充条件;
  - 我们将称由
    $$ L^2 $$
    中的充分正规函数构成的波函数集合为
    $$ \mathcal{F} $$
    ($$ \mathcal{F} $$
    是
    $$ L^2 $$
    的子空间).

> 物理意义

### 波函数空间的结构

- $$ \mathcal{F} $$
  是一个矢量空间.

- 对于
  $$ \mathcal{F} $$
  中的任意一对顺序为
  $$ φ(\mathbf{r}) $$
  及
  $$ ψ(\mathbf{r}) $$
  的函数, 我们引入一个相关的复数, 记作
  $$ (φ, ψ) $$,
  它的定义是:
  - $$ (φ, ψ) = \int d^3 r φ^{*}(\mathbf{r}) ψ(\mathbf{r}) $$
  - $$ (φ, ψ) $$
    叫做
    $$ φ(\mathbf{r}) $$
    与
    $$ ψ(\mathbf{r}) $$
    的`标量积` (只要
    $$ φ $$
    和
    $$ ψ $$
    属于
    $$ \mathcal{F} $$,
    这个积分总是收敛的).
- 我们说一对函数的标量积与其第二个因子的关系是`线性`的,
  与其第一个因子的关系是`反线性`的.
  - 如果
    $$ (φ, ψ) = 0 $$,
    我们就说
    $$ φ(\mathbf{r}) $$
    和
    $$ ψ(\mathbf{r}) $$
    是`正交`的.

- [施瓦茨不等式](https://en.wikipedia.org/wiki/Cauchy-Schwarz_inequality)
  - 详见补充材料: Page 165

---

- 按定义, 线性算符
  $$ A $$
  是一种数学实体, 它使每一个函数
  $$ ψ(\mathbf{r}) \in \mathcal{F} $$
  都有与之对应的另一个函数
  $$ ψ'(\mathbf{r}) \in \mathcal{F} $$,
  而且它们的对应关系是线性的:
  - $$ ψ'(\mathbf{r}) = A ψ(\mathbf{r}) $$
  - $$
      A [ λ_1 ψ_1 (\mathbf{r}) + λ_2 ψ_2 (\mathbf{r}) ] =
      λ_1 A ψ_1 (\mathbf{r}) + λ_2 A ψ_2 (\mathbf{r})
    $$
- 两个线性算符
  $$ A $$
  和
  $$ B $$
  的乘积
  $$ AB $$
  由下式定义:
  - $$ (AB) ψ(\mathbf{r}) = A [ B ψ(\mathbf{r}) ] $$
  - 即先将
    $$ B $$
    作用于
    $$ ψ(\mathbf{r}) $$,
    得到
    $$ φ(\mathbf{r}) = B ψ(\mathbf{r}) $$,
    再将
    $$ A $$
    作用于所得的函数
    $$ φ(\mathbf{r}) $$.
- 一般说来,
  $$ AB ≠ BA $$,
  我们定义:
  - $$ [ A, B ] = AB - BA $$
  - 并把算符
    $$ [ A, B ] $$
    称为
    $$ A $$
    与
    $$ B $$
    的`对易子`.

### 波函数空间的离散的正交归一基

- 设有
  $$ \mathcal{F} $$
  空间中的一个可列的函数集合; 这集合中的函数可用离散的指标
  $$ i (i = 1, 2, ..., n, ...) $$
  来标记:
  - $$ u_1 (\mathbf{r}) \in \mathcal{F} $$,
    $$ u_2 (\mathbf{r}) \in \mathcal{F} $$,
    ...,
    $$ u_i (\mathbf{r}) \in \mathcal{F} $$,
    ...
  - 如果
    $$
      (u_i, u_j) =
      \int d^{3} r u_i^{*} (\mathbf{r}) u_j (\mathbf{r}) =
      δ_{ij}
    $$
  - (式中
    $$ δ_{ij} $$
    是克罗内克符号, 当
    $$ i = j $$
    时, 其值为 `1`; 当
    $$ i ≠ j $$
    时, 其值为 `0`), 则集合
    $$ \{ u_i (\mathbf{r}) \} $$
    是`正交归一`的.
- 如果每一个函数
  $$ ψ (\mathbf{r}) \in \mathcal{F} $$
  都可以唯一地按全体
  $$ u_i (\mathbf{r}) $$
  展开:
  - $$ ψ (\mathbf{r}) = \sum_{i} c_i u_i (\mathbf{r}) $$
  - 则这个集合
    $$ \{ u_i (\mathbf{r}) \} $$
    构成一个`基`.

> `封闭性关系式`, 对比阅读: Page 98 vs Page 121

### 连续的正交归一基

> 注: 此处 (我) 改了原书的章节名

- 引入的连续基的用途在后面将会显得更清楚. 但是, 绝不能忘记这一点:
  __和某一物理状态对应的总是一个平方可积的波函数__. 在任何情况下,
  $$ v_{\mathbf{p}}(\mathbf{r}) $$
  或
  $$ ξ_{\mathbf{r}_0}(\mathbf{r}) $$
  都不能表示粒子的态. 这些函数仅仅是在对波函数
  $$ ψ(\mathbf{r}) $$
  进行运算时, 很方便的一些工具, 而波函数才是描述物理状态的函数.
- 在经典光学中我们也遇到过类似的情况, 在那里,
  单色平面波是一种极为方便的模型, 但在物理上它是永远不能实现的;
  即使选择性最好的滤光片所滤过的也是某一频带
  $$ △ ν $$
  中的光, 这个频带可能很窄, 但绝不为零.
- 对于函数
  $$ ξ_{\mathbf{r}_0}(\mathbf{r}) $$
  来说, 也是一样. 我们可以设想一个平方可积的波函数, 它定域在点
  $$ \mathbf{r}_0 $$
  附近, 例如
  $$
    ξ_{\mathbf{r}_0}^{(ε)} (\mathbf{r}) =
    δ^{(ε)} (\mathbf{r} - \mathbf{r}_0) =
    δ^{(ε)} (x - x_0) δ^{(ε)} (y - y_0) δ^{(ε)} (z - z_0)
  $$,
  其中
  $$ δ^{(ε)} $$
  是这样一种函数:
  - 它的中心在点
    $$ x_0 $$
    (或
    $$ y_0 $$,
    或
    $$ z_0 $$
    ) 处, 它具有宽度为
    $$ ε $$,
    高度为
    $$ \frac{1}{ε} $$
    的峰, 并保持
    $$ \int_{- \infty}^{+ \infty} δ^{(ε)} (x - x_0) dx = 1 $$
    (这种函数的例子见附录 II: 狄拉克的
    $$ δ $$
    函数).
  - 当
    $$ ε \rightarrow 0 $$
    时,
    $$
      ξ_{\mathbf{r}_0}^{(ε)} (\mathbf{r}) \rightarrow
      ξ_{\mathbf{r}_0} (\mathbf{r})
    $$,
    但后者不再是平方可积的了.
  - 实际上, 对应于这种极限情况的物理状态是不可能实现的;
    不管粒子处于位置多么确切的物理状态,
    $$ ε $$
    也绝不等于零.

> `狄拉克意义下正交归一`比格里菲斯的`狄拉克 -- 正交归一`详细的多~

- 将前面两节的结果加以推广, 我们称
  $$ \mathbf{r} $$
  的函数的一个集合
  $$ \{ w_α (\mathbf{r}) \} $$
  为`连续的"正交归一"基`, 它以连续指标
  $$ α $$
  为标记, 并满足下列的所谓`正交归一`和`封闭性`关系式
  - $$
      (w_α, w_{α'}) =
      \int d^3 r w_α^{*} (\mathbf{r}) w_{α'} (\mathbf{r}) =
      δ (α - α')
    $$
  - $$
      \int dα w_α (\mathbf{r}) w_α^{*} (\mathbf{r}') =
      δ (\mathbf{r} - \mathbf{r}')
    $$

> Page 105: 对比后续引入`狄拉克符号`后的形式.

## B 态空间; 狄拉克符号

> 至此, 才正式介绍`狄拉克符号`,
  前面的铺垫还是很用心的~

- [线性泛函](https://en.wikipedia.org/wiki/Linear_form)

- 绝不要把线性泛函与线性算符混为一谈.
  虽然两者都涉及线性运算,
  但是前者给每一个右矢联系上一个复数,
  而后者给每一个右矢联系上另一个右矢.
  - 可以证明, 定义在右矢
    $$ \mid ψ \rangle \in \mathcal{E} $$
    上的线性泛函的集合构成一个矢量空间, 叫做
    $$ \mathcal{E} $$
    的`对偶空间`, 记作
    $$ \mathcal{E}^{*} $$.

- 事实上, 右矢
  $$ \mid φ \rangle $$
  可以决定这样一个线性泛函, 它按线性方式使得每一个右矢
  $$ \mid ψ \rangle \in \mathcal{E} $$
  都有一个对应的复数, 而且这个复数就是
  $$ \mid φ \rangle $$
  和
  $$ \mid ψ \rangle $$
  的标量积
  $$ (\mid φ \rangle, \mid ψ \rangle) $$.
  假设
  $$ \langle φ \mid $$
  就是这个线性泛函, 那么它应由下式所决定
  - $$ \langle φ \mid ψ \rangle = (\mid φ \rangle, \mid ψ \rangle) $$

- 关于
  $$ \mid φ \rangle $$
  和
  $$ \mid ψ \rangle $$
  的标量积, 我们现在已有两种不同的符号:
  $$ (\mid φ \rangle, \mid ψ \rangle) $$
  或
  $$ \langle φ \mid ψ \rangle $$,
  这里的
  $$ \langle φ \mid $$
  是右矢
  $$ \mid φ \rangle $$
  的对应左矢. 今后我们只用一种符号:
  $$ \langle φ \mid ψ \rangle $$,
  即狄拉克符号.
  - 在之前已经给出的标量积的性质, 可用狄拉克符号重新归纳如下:
  - $$ \langle φ \mid ψ \rangle = \langle ψ \mid φ \rangle^{*} $$
  - $$
      \langle φ \mid (λ_1 ψ_1 + λ_2 ψ_2) \rangle
      =
      λ_1 \langle φ \mid ψ_1 \rangle
      +
      λ_2 \langle φ \mid ψ_2 \rangle
    $$
  - $$
      \langle (λ_1 φ_1 + λ_2 φ_2) \mid ψ \rangle
      =
      λ_1^{*} \langle φ_1 \mid ψ \rangle
      +
      λ_2^{*} \langle φ_2 \mid ψ \rangle
    $$
  - $$ \langle ψ \mid ψ \rangle $$
    为正实数, 当而且仅当
    $$ \mid ψ \rangle = 0 $$
    时, 其值为零.

> 每一个左矢都有对应的右矢吗? Page 109 ~ 111

- 一般地说, 态空间
  $$ \mathcal{E} $$
  和它的对偶空间
  $$ \mathcal{E}^{*} $$
  并不是同构的 (当然, 除非
  $$ \mathcal{E} $$
  是有限多维的), 这就是说,
  如果对于每一个右矢
  $$ \mid ψ \rangle \in \mathcal{E} $$,
  对应着一个左矢
  $$ \langle ψ \mid \in \mathcal{E}^{*} $$,
  那么, 相反的对应关系并不存在.
  - 但是, 我们约定, 除了使用
    $$ \mathcal{E} $$
    空间的矢量 (它们的模方是有限的) 以外, 还可以使用`广义右矢`,
    它们的模方虽是无限的, 但它们与
    $$ \mathcal{E} $$
    空间中任何右矢的标量积却都是有限的.
  - 这样一来, 对于每一个左矢
    $$ \langle φ \mid \in \mathcal{E}^{*} $$,
    就都对应着一个右矢.
  - __但是广义右矢并不表示体系的物理状态__.

> `但是广义右矢并不表示体系的物理状态`. 好吧~
  时至今日, 对于只存在于计算的中间步骤, 而不代表物理实在性.
  嗯, 还是觉得似懂非懂! 哈哈哈.

### 线性算符

- 设
  $$ \mid φ \rangle $$
  与
  $$ \mid ψ \rangle $$
  是两个右矢. 我们称下列的标量积为
  $$ A $$
  在
  $$ \mid φ \rangle $$
  和
  $$ \mid ψ \rangle $$
  之间的`矩阵元`:
  - $$ \langle φ \mid (A \mid ψ \rangle) $$
  - 因而, 这是一个数, 它线性地依赖于
    $$ \mid ψ \rangle $$,
    反线性地依赖于
    $$ \mid φ \rangle $$.

> 引出`张量积`和`投影算符`的步骤很清晰简洁~

> 其实, 感觉重点是, 哪里的介绍, 相较之下,
  留下了不清晰, 不简洁的印象? 哈哈

### 厄米共轭

> Page 116, 图: 从右矢和左矢之间的对应关系来定义算符的`伴随算符`

- 在前面我们曾经提到两个容易混淆的记号:
  $$ \mid λψ \rangle $$
  和
  $$ \langle λψ \mid $$,
  其中
  $$ λ $$
  是标量. 对于记号
  $$ \mid Aψ \rangle $$
  和
  $$ \langle Aψ \mid $$
  (其中
  $$ A $$
  是线性算符) 也会出现同样的问题.
  - $$ \mid Aψ \rangle $$
    就是右矢
    $$ A \mid ψ \rangle $$
    的另一种记法:
  - $$ \mid Aψ \rangle = A \mid ψ \rangle $$
- 但
  $$ \langle Aψ \mid $$
  则是对应于右矢
  $$ \mid Aψ \rangle $$
  的左矢.
  - 可以看出:
  - $$ \langle Aψ \mid = \langle ψ \mid A^{\dagger} $$
- 这就是说, 如果要把一个线性算符
  $$ A $$
  从左矢的符号中提出去, 就必须将它放到该左矢符号的右边并且换成它的伴随算符
  $$ A^{\dagger} $$.

---

- 因此, 一个右 (左) 矢的厄米共轭是一个左 (右) 矢;
  一个算符的厄米共轭是它的伴随算符;
  一个数的厄米共轭是它的共轭复数.
  - 采用狄拉克符号, 厄米共轭运算是很容易进行的,
    只要应用下面的规则即可.
- 当一个式子中含有常数, 右矢, 左矢及算符时,
  要得到这个式子的厄米共轭式 (或伴随式), 必须:
  - __代换__:
  - 将常数换成其共轭复数;
  - 将右矢换成其对应的左矢;
  - 将左矢换成其对应的右矢;
  - 将算符换成其伴随算符.
  - __反序__:
  - 即颠倒各因子的顺序 (但常数的位置无关紧要).

---

- 如果算符
  $$ A $$
  等于它的伴随算符, 即
  - $$ A = A^{\dagger} $$
  - 我们就称它为`厄米算符`.
- 厄米算符满足下列关系式:
  - $$
      \langle ψ \mid A \mid φ \rangle =
      \langle φ \mid A \mid ψ \rangle^{*}
    $$
  - 此式对任意的
    $$ \mid φ \rangle $$
    和
    $$ \mid ψ \rangle $$
    都成立.
- 最后, 对于厄米算符:
  - $$
      \langle A φ \mid ψ \rangle =
      \langle φ \mid A ψ \rangle
    $$

- 两个厄米算符
  $$ A $$
  和
  $$ B $$
  的`乘积`, 仅当
  $$ [ A, B ] = 0 $$
  时, 才是厄米算符.

> 注: 是`乘积`才是`厄米算符`.

## C 态空间中的表象

> `表象`: 这个翻译是个败笔~

> 正交归一关系式 vs 封闭性关系式

### 一个正交归一基的特征关系式

- 离散的
  - $$ \langle u_i \mid u_j \rangle = δ_{ij} $$
  - $$
      P_{ \{ u_i \} } =
      \sum_{i} \mid u_i \rangle \langle u_i \mid =
      \mathbb{1}
    $$
- 连续的
  - $$ \langle ω_α \mid ω_{α'} \rangle = δ (α - α') $$
  - $$
      P_{ \{ ω_α \} } =
      \int dα \mid ω_α \rangle \langle ω_α \mid =
      \mathbb{1}
    $$

### 右矢和左矢的表示法

- 可见
  $$ \langle φ \mid $$
  可以唯一地按这些左矢
  $$ \langle u_i \mid $$
  展开;
  $$ \langle φ \mid $$
  的诸分量
  $$ \langle φ \mid u_i \rangle $$
  就是与
  $$ \langle φ \mid $$
  相联系的右矢
  $$ \mid φ \rangle $$
  的诸分量
  $$ b_i = \langle u_i \mid φ \rangle $$
  的共轭复数.

## D 本征值方程; 观察算符

## E 表象和观察算符的两个重要例子

## F 态空间的张量积

# 量子力学的假定

## A 引言

## B 假定的陈述

## C 关于可观察量及其测量的假定的物理解释

## D 薛定谔方程的物理意义

## E 叠加原理和物理上的预言

# 附录

> 附录原本在卷二末, 但我觉得其实应该放在卷一.
  估计是第一卷太厚了, 哈哈~

## 傅立叶级数和傅立叶变换

> 物理学家讲数学就是更具`实在性`~

### 傅立叶级数

- 设
  $$ f(x) $$
  是基本周期为
  $$ L $$
  的周期函数. 若此函数满足某些数学条件 (在物理学中实际上都得以满足),
  我们即可将它展成`虚指数函数`或`三角函数`的级数.
  - `虚指数函数`的级数, 我们可将
    $$ f(x) $$
    写成下列形式:
  - $$
      f(x) = \sum_{n = - \infty}^{+ \infty}
      c_n e^{i k_n x}
    $$
  - 其中
    $$ k_n = n \frac{2π}{L} $$
  - 傅里叶级数的系数
    $$ c_n $$
    由下列公式给出:
  - $$
      c_n = \frac{1}{L} \int_{x_0}^{x_0 + L}
      dx e^{- i k_n x} f(x)
    $$
  - 其中
    $$ x_0 $$
    为任意实数.

- 我们称
  $$ | c_n | $$
  的集合为
  $$ f(x) $$
  的`傅里叶谱`.
  - 注意, 当而且仅当
    $$ c_{-n} = c^{*}_n $$
    时,
    $$ f(x) $$
    才是实函数.

> 余弦级数和正弦级数: Page 542

- [帕塞瓦尔定理](https://en.wikipedia.org/wiki/Parseval%27s_theorem)
  - [帕塞瓦尔恒等式](https://en.wikipedia.org/wiki/Parseval%27s_identity)

- $$
    \frac{1}{L} \int_{x_0}^{x_0 + L}
    dx \mid f(x) \mid^2 =
    \sum_{n = - \infty}^{+ \infty}
    \mid c_n \mid^2
  $$
  - 设有周期都是
    $$ L $$
    的两个函数
    $$ f(x) $$
    和
    $$ g(x) $$,
    它们的傅里叶系数分别为
    $$ c_n $$
    和
    $$ d_n $$,
    则可将上式推广为下列形式:
  - $$
      \frac{1}{L} \int_{x_0}^{x_0 + L}
      dx g^{*}(x) f(x) =
      \sum_{n = - \infty}^{+ \infty}
      d^{*}_{n} c_n
    $$

### 傅立叶变换

- __作为傅里叶级数的极限的傅里叶积分__

- 现在我们来考虑一个函数
  $$ f(x) $$,
  不一定是周期性的, 再定义
  $$ f_L (x) $$
  为周期等于
  $$ L $$
  的周期函数, 它在区间
  $$ [-L/2, L/2] $$
  上同于
  $$ f(x) $$,
  我们可将
  $$ f_L (x) $$
  展为傅里叶级数.
  - 若
    $$ L $$
    趋向无穷大,
    $$ f_L (x) $$
    便与
    $$ f(x) $$
    重合.
- 我们若令
  - $$
      \overset{\sim}{f} (k) = \frac{1}{\sqrt{2 \pi}}
      \int_{- \infty}^{+ \infty} dx e^{-ikx} f(x)
    $$
  - 则在
    $$ L $$
    为无穷大的极限情况下:
  - $$
      f(x) = \frac{1}{\sqrt{2 \pi}}
      \int_{- \infty}^{+ \infty} dke^{ikx}
      \overset{\sim}{f}(k)
    $$
  - 我们称
    $$ f(x) $$
    和
    $$ \overset{\sim}{f} (k) $$
    __互为傅里叶变换__.

- __量子力学中的傅里叶变换__

- 在量子力学中, 我们通常使用略微不同的惯例: 设
  $$ ψ(x) $$
  是一个 (一维的) 波函数, 则其傅里叶变换
  $$ \overset{-}{ψ}(p) $$
  的定义为:
  - $$
      \overset{-}{ψ} (p) =
      \frac{1}{\sqrt{2 \pi \hbar}}
      \int_{- \infty}^{+ \infty}
      dx e^{-ipx / \hbar} ψ(x)
    $$
  - 而相反的公式则为:
  - $$
      ψ(x) = \frac{1}{\sqrt{2 \pi \hbar}}
      \int_{- \infty}^{+ \infty}
      dpe^{ipx / \hbar}
      \overset{-}{ψ} (p)
    $$

> `简单性质`: 讲的比较简单~ Page 545

- 两个函数
  $$ ψ_1 (x) $$
  和
  $$ ψ_2 (x) $$
  的`卷积`定义为下式给出的函数
  $$ ψ(x) $$:
  - $$ ψ(x) = \int_{- \infty}^{+ \infty} dy ψ_1 (y) ψ_2 (x - y) $$
- 此函数的傅里叶变换正比于
  $$ ψ_1 (x) $$
  和
  $$ ψ_2 (x) $$
  的傅里叶变换的普通乘积:
  - $$
      \overset{-}{ψ} (p) = \sqrt{2 \pi \hbar}
      \overset{-}{ψ_1} (p)
      \overset{-}{ψ_2} (p)
    $$

- [普朗歇尔定理](https://en.wikipedia.org/wiki/Plancherel_theorem)

- 傅里叶变换保持模方不变:
  - $$
      \int_{- \infty}^{+ \infty} dx \mid ψ(x) \mid^2 =
      \int_{- \infty}^{+ \infty} dp \mid \overset{-}{ψ} (p) \mid^2
    $$
  - `帕塞瓦-普朗克尔公式`也可以推广为:
  - $$
      \int_{- \infty}^{+ \infty} dx φ^{*} (x) ψ(x) =
      \int_{- \infty}^{+ \infty}
      dp \overset{-}{φ}^{*} (p) \overset{-}{ψ} (p)
    $$

> `三维空间中的傅里叶变换`: Page 547

## 狄拉克的 δ 函数

- [δ 函数](https://en.wikipedia.org/wiki/Dirac_delta_function)
  其实是一种分布. 下面我们将从物理观点来考虑它, 并将它作为普通函数来处理;
  这种方法在数学上虽不严格, 但对它在量子力学中的应用来说, 是可令人满意的.

- $$ ε $$
  越小, 近似程度越高. 因此, 我们过渡到极限
  $$ ε = 0 $$
  并以下式来定义
  $$ δ $$
  函数:
  - $$ \int_{- \infty}^{+ \infty} dx δ(x) f(x) = f(0) $$
- 对于在原点有定义的一切函数
  $$ f(x) $$,
  此式都成立. 一般地,
  $$ δ(x - x_0) $$
  的定义为:
  - $$ \int_{- \infty}^{+ \infty} dx δ(x - x_0) f(x) = f(x_0) $$
  - __附注__:
  - 其实, 式中的积分符号在数学上是不合理的, 我们应严格地将
    $$ δ $$
    定义为一种广义函数, 而不是定义为一个函数.
  - 从物理的观点看来, 这个区别并不重要, 在物理学中, 只要
    $$ ε $$
    对给定问题所涉及的一切长度而言都可以忽略, 这就是说,
    只要我们可能必须考虑的一切函数
    $$ f(x) $$
    在宽度为
    $$ ε $$
    的区间上没有明显的变化, 我们就不可能区别
    $$ δ^{(ε)} (x) $$
    和
    $$ δ(x) $$.
  - 在这里每当遇到数学上的困难时, 我们只需设想
    $$ δ(x) $$
    其实就是
    $$ δ^{(ε)} (x) $$
    或一个类似的函数, 但更为平滑, 而
    $$ ε $$
    非常小但不严格为零.

> 数学 + 实在性 = 物理?

> 趋向于 δ 的函数: Page 551

- [柯西主值](https://en.wikipedia.org/wiki/Cauchy_principal_value)

- $$ δ $$
  的性质:
  - (i)
    $$ δ(-x) = δ(x) $$
  - (ii)
    $$ δ(cx) = \frac{1}{|c|} δ(x) $$
  - (iii)
    $$ x δ(x - x_0) = x_0 δ(x - x_0) $$
  - 更一般地, 有:
  - $$ g(x) δ(x - x_0) = g(x_0) δ(x - x_0) $$
  - (iv)
    $$
      \int_{- \infty}^{+ \infty} dx δ(x - y) δ(x - z) =
      δ(y - z)
    $$

### δ 函数和傅里叶变换

> Page 555

### 三维空间中的 δ 函数

- $$
    \int d^3 r δ(\mathbf{r} - \mathbf{r}_0) f(\mathbf{r}) =
    f(\mathbf{r}_0)
  $$
  - 我们可将
    $$ δ(\mathbf{r} - \mathbf{r}_0) $$
    分解为三个一维函数的乘积:
  - $$
      δ(\mathbf{r} - \mathbf{r}_0) =
      δ(x - x_0)
      δ(y - y_0)
      δ(z - z_0)
    $$
  - 或利用极坐标将它写作:
  - $$
      \begin{align}
        δ(\mathbf{r} - \mathbf{r}_0)
        & =
          \frac{1}{r^2 \sin θ}
          δ(r - r_0)
          δ(θ - θ_0)
          δ(φ - φ_0) \\
        & =
          \frac{1}{r^2}
          δ(r - r_0)
          δ(\cos θ - \cos θ_0)
          δ(φ - φ_0)
      \end{align}
    $$
- 前面列举的
  $$ δ(x) $$
  的性质很容易推广到
  $$ δ(\mathbf{r}) $$.
  此外, 我们再提出一个重要的关系式:
  - $$ △ (\frac{1}{r}) = - 4 \pi δ(\mathbf{r}) $$
  - 其中
    $$ △ $$
    是拉普拉斯算符.

> 本书`拉普拉斯算符`的符号貌似非主流~

> Page 559, 560

## 经典力学中的拉格朗日函数和哈密顿函数

> 添加这一章作为附录, 作者也是用心~

> 质点组

> 惯性系

- 如果我们涉及的体系含有 `n` 个质点, 那么, 可将基本定律应用于它们当中的每一个:
  - $$ m_i \ddot{\mathbf{r}}_i = \mathbf{F}_i $$;
    $$ i = 1, 2, ..., n $$
- 作用于这些粒子的力可以分为两类:
  __内力__, 它们表示体系内诸粒子间的相互作用;
  __外力__, 它们来源于体系的外部.
  - 我们假定内力服从作用与反作用相等的原理, 也就是说,
    粒子 (i) 施于粒子 (j) 的力和粒子 (j) 施于粒子 (i) 的力大小相等, 方向相反.
  - 这个原理已为引力 (牛顿定律) 和静电力所证实,
    但没有为磁力所证实 (这种力具有相对论性的起因).
- 如果所有的力都导自一个势, 则上述运动方程组便可写作:
  - $$ m_i \ddot{\mathbf{r}}_i = - \nabla_{i} V $$
  - 其中
    $$ ▽_i $$
    表示对于坐标
    $$ \mathbf{r}_i $$
    的梯度, 势能
    $$ V $$
    具有下列形式:
  - $$
      V = \sum_{i = 1}^{n} V_i (\mathbf{r}_i) +
          \sum_{i < j} V_{ij} (\mathbf{r}_i - \mathbf{r}_j)
    $$
  - (式中第一项来自外力, 第二项来自内力).
- 在直角坐标系中, 体系的运动是由
  $$ 3n $$
  个微分方程来描述的:
  - $$ m_i \ddot{x}_i = - \frac{\partial V}{\partial x_i} $$
  - $$ m_i \ddot{y}_i = - \frac{\partial V}{\partial y_i} $$
  - $$ m_i \ddot{z}_i = - \frac{\partial V}{\partial z_i} $$
  - $$ i = 1, 2, ..., n $$

> 好吧, 字母头上一个点表示一阶导数, 两个点表示二阶导数~

1. 体系的质心像一个质点那样运动, 该质点的质量等于体系的总质量,
   它所受的力等于作用于体系的所有力的合力;
2. 对一个固定点所取的角动量对时间的导数等于对该点的力矩;
3. 在两个时刻 `t1` 和 `t2` 之间动能的变化等于所有的力在此两时刻之间的运动中所作的功.

- 如果内力服从作用与反作用相等的原理, 而且它们的方向沿着相互作用的粒子间的连接线,
  那么, 它们对合力的贡献和对相对于原点的矩的贡献都等于零.
  - 再进一步, 若所考察的体系是孤立的 (即它不受任何外力的作用),
    则总角动量为一常量, 于是质心作匀速直线运动,
    这就意味着总动量也是一个运动常量.

### 拉格朗日函数和拉格朗日方程

### 哈密顿函数和正则方程

### 最小作用量原理
