---
title: 量子力学概论 格里菲斯 (上)
description: 待燃犀下看, 凭栏却怕, 风雷怒, 鱼龙惨. 峡束苍江对起, 过危楼, 欲飞还敛.
date: 2023-12-11
---

- [量子力学概论](https://book.douban.com/subject/36460137/)
  - `科恩`系列之后, 为何还要买这本入门书?
  - 其实数年前购买过
    [英文注释版](https://book.douban.com/subject/35257979/),
    但是, 低估了英文阅读的障碍~
  - 所以, 是心结, 是必须填补的遗憾 (强迫症).
  - 相对于`科恩`, `格里菲斯`更适合快速阅读.
    如果不打算花太多时间, 那就选择`格里菲斯`;
    如果打算细致把玩, 则建议`科恩`.
  - 翻译版印刷的错误不少! 符号风格也不是很主流 (规范)~
    翻译水平一般!
  - 顺便一提: 不推荐阅读`费曼物理学讲义 (第三卷)`.

```
本书的目的是教你如何学习量子力学.
除了在第 1 章中一些必备的基础知识外, 更深的准哲学问题将留在书末.
我们不相信一个人在对量子力学是干什么的有一个透彻的理解之前,
他可以明智地讨论量子力学的意义.
但是, 如果你急不可待, 在学习过第 1 章后可立即阅读 <跋>.
```

> 关于印刷错误: 这一方面的质量明显不如`量子力学 (科恩)`.

## 波函数

### 薛定谔方程

- [薛定谔方程](https://en.wikipedia.org/wiki/Schrödinger_equation)

```
从逻辑上讲, 薛定谔方程所起的作用等同于牛顿第二定律:
同在经典力学中由牛顿定律确定以后任意时刻的 x(t) 一样,
量子力学利用所给定的适当初始条件 (一般来说是 Ψ(x, 0)),
通过求解薛定谔方程得到以后任意时刻的波函数 Ψ(x, t).
```

### 统计诠释

- $$
    \int_{a}^{b} \mid Ψ (x, t) \mid ^2 dx =
    \begin{Bmatrix}
      在 \mbox{ } t \mbox{ } 时刻发现粒子位于 \\
      a \mbox{ } 和 \mbox{ } b \mbox{ } 之间的几率.
    \end{Bmatrix}
  $$

```
当然, 如果你关闭一个狭缝, 或者设法去探测每个电子通过的是哪一个狭缝,
干涉图样将会消失; 这时通过 (狭缝) 的粒子波函数和前面的完全不同
(第一种情况属于薛定谔方程的边界条件发生了改变, 第二种情况对应于波函数测量引起坍缩).
但两个狭缝都打开, 电子飞行过程中不受到干扰, 每个电子和自己本身发生干涉.
它不是通过两个狭缝中的某一个, 而是同时通过两个狭缝.
```

> __和自己本身发生干涉__

### 归一化

> `平凡解`翻译为`平庸解`, 无语~

- 但是, 假定在
  $$ t = 0 $$
  时刻把波函数归一化了. 我们如何能知道当
  $$ Ψ $$
  随时间演化时它能保持归一化?
  - (你不能让 __A__ 变成时间的函数来保持波函数的归一化,
    那样的话它就不再是薛定谔方程的解了.)
  - 幸运的是, 薛定谔方程具有一个不同寻常的特性, 它能自动保持波函数的归一化.
  - 没有这个关键的性质, 薛定谔方程将会同统计诠释不相容, 整个理论将会崩溃.

> 演化公设

### 动量

- 简而言之, 期望值是对一个全同系统的系综测量的平均值,
  而不是对同一个系统重复测量的平均值.
  - [系综诠释](https://en.wikipedia.org/wiki/Ensemble_interpretation)

> 原文翻译为`相同系统`, 改为了`全同系统`;
  系综诠释: 即`统计诠释`

- [分部积分法](https://en.wikipedia.org/wiki/Integration_by_parts)

- `"算符"`是对后面的函数执行某些操作的指令,
  它接收一个函数, 然后输出另一个函数.

> 接收一个函数, 输出一个函数.

- [埃伦费斯特定理](https://en.wikipedia.org/wiki/Ehrenfest_theorem)

### 不确定性原理

```
假设你握住一根长绳的一端, 通过有节奏地上下摆动而产生一列波.
如果有人问你: "精确来讲波在哪里?" 你可能会认为此人有点不合时宜:
精确来讲波不在任何地方 -- 它分布在一定的范围.
另一方面, 如果他问其波长是多少, 你可以给他一个大约合理的答案.

与此相反, 如果你突然抖动一下绳子, 可以得到一个沿绳子传播的相对很窄的凸峰.
对于这种情况, 第一个问题 (精确来讲波在那里) 就有意义了,
但是第二个问题 (波长是多少?) 就有点不合时宜 -- 它甚至没有一个明确的周期,
所以你如何能赋予它一个波长? 当然, 你也可以画出介于两者之间的情况,
波是可以很好地定域在一定范围内的, 波长也很明确. 但是这里不可避免地存在一个取舍:
波的位置越精确, 波长也就越不精确, 反之亦然.

傅里叶分析中的一个定理可以给出这种情况的一个严格证明, 不过目前我仅涉及定性讨论.
```

> 单从通俗性角度而言, 这一段描述比`科恩`和`费曼`的都要好.

```
应确切理解不确定原理的意义: 如同位置测量一样, 对动量测量也是同样的答案 --
这里 "弥散" 是指这样一个事实, 即对全同体系的测量而不会产生同样结果.
设想如果你可以构造一个态, 对其位置的重复测量的值都非常接近
(通过使 Ψ 成为一个局域的波包); 但你要付出的代价是:
对这个状态进行动量的测量的结果将是非常弥散的.
或者你也可以构造一个态, 对其动量的测量的结果是确定的
(使 Ψ 为一个很长的正弦波); 但这样的话, 位置的测量结果是非常弥散的.
```

- [波包](https://en.wikipedia.org/wiki/Wave_packet)

> `波包`确实不如`科恩`讲述地详细, 弱化了公式的推导.
  或者说, 放在了习题里面.

## 定态薛定谔方程

- [分离变量法](https://en.wikipedia.org/wiki/Separation_of_variables)

### 定态

- [定态](https://en.wikipedia.org/wiki/Stationary_state)
  - 概率密度与时间无关;
  - 哈密顿量不变.

```
一旦解出了定态薛定谔方程的分离变量解,
就可以从中得到含时薛定谔方程的通解,
这在原则上是简单明了的.
```

- [哈密顿算符](https://en.wikipedia.org/wiki/Hamiltonian_(quantum_mechanics))

- 最后要注意一点, 由于常数
  $$ | c_n |^2 $$
  与时间无关, 得到一个特定能量值的几率也是如此; 更不用说
  $$ H $$
  的期望值了.
  - 这些都是`能量守恒`定律在量子力学中的表现.

### 无限深方势阱

- [无限深方势阱](https://en.wikipedia.org/wiki/Particle_in_a_box)

> 虽然翻译的比较急促, 但是有译者注还是蛮好的.

- 定态薛定谔方程的解是一个无限的解集 (每个正整数 `n` 对应一个解).
  它们看起来像位于一个长度为 `a` 的弦上的驻波. 波函数
  $$ ψ_1 $$
  具有最低的能量, 称为`基态`, 其他状态的能量正比于
  $$ n^2 $$,
  称为`激发态`. 总结一下, 函数
  $$ ψ_n (x) $$
  具有如下有趣和重要的性质:
  - 波函数
    $$ ψ_n (x) $$
    相对于无限深势阱的中心是奇偶交替的.
  - 随着能量的增加, 相继状态的`节点数` (与 `x` 轴交点) 逐次增 `1`.
  - 它们是相互`正交的`.
  - 它们是`完备的`, 也就是说对其他任意函数
    $$ f(x) $$,
    都可以用它们的线性组合来表示.

```
上述四个性质非常有用, 且它们不单单是一维无限深方势阱所特有.
只要势函数本身具有对称性, 第一个性质就成立;
无论势函数是什么形状, 第二个性质都是普适的.
波函数的正交归一性也是十分普遍的.

波函数的完备性对我们可能遇到的所有势场都是成立的,
但要去证明这一点确实棘手又费力;
恐怕大多数物理学家们只是简单地假定其是完备的, 并希望如此.
```

- [狄利克雷定理 (傅里叶级数)](https://en.wikipedia.org/wiki/Dirichlet-Jordan_test)

### 谐振子

- [胡克定律](https://en.wikipedia.org/wiki/Hooke%27s_law)

```
事实上, 对于任何振动来说,
只要其振幅足够小, 都可以近似看作简谐振动;
这就是谐振子为什么如此重要的原因.
```

- 求解势能函数的薛定谔方程:
  - 幂级数法求解微分方程;
  - 或者,
    [阶梯算符](https://en.wikipedia.org/wiki/Ladder_operator)

```
和无限深方势阱情况一样, 谐振子的所有定态解都是相互正交的.
```

- [厄米多项式](https://en.wikipedia.org/wiki/Hermite_polynomials)

- [罗德里格斯公式](https://en.wikipedia.org/wiki/Rodrigues%27_formula)

### 自由粒子

```
对自由粒子而言, 分离变量解并不代表物理上可实现的状态.
自由粒子不能存在于定态上; 或者, 换句话说,
世界上不存在一个自由粒子具有确定的能量.

但这并不意味着分离变量解对我们没有任何用途.
因为它们扮演一个完全独立于物理释义的数学角色.
含时薛定谔方程的一般解仍旧是分离变量解的线性叠加.
```

```
正弦波扩展到无限远, 它们是不可归一化的.
但是这种波的叠加会产生干涉, 从而使得可以局域化和归一化.
```

> __波包__

- [普朗克尔定理](https://en.wikipedia.org/wiki/Plancherel_theorem)

```
波函数中对应的粒子速度不是某一个波纹的速度 (即所谓的相速度),
而是包络线的速度 (群速度) -- 这个速度, 取决于波包的本质,
可以大于, 等于或者小于其组成波包的波纹的速度.

对于绳子上的波, 其群速度等于相速度.
对于水波, 当你向水塘扔进一块石头, 其群速度是相速度的一半
(如果你留意其中一个波纹, 会发现它在后部生成, 向前运动越过波群,
在前面消失, 而波群则以个别波纹的一半速度传播).

量子力学中自由粒子波函数的群速是相速的两倍 -- 正好等于经典粒子的速度.
```

- [相速度](https://en.wikipedia.org/wiki/Phase_velocity)
- [群速度](https://en.wikipedia.org/wiki/Group_velocity)

### δ 函数势

- 我们已经接触到了定态薛定谔方程的两类不同的解:
  对无限深方势阱和谐振子两种情况它们的解是可归一化的,
  其解由分立的指标 `n` 标记;
  对自由粒子情况它们是不可归一化的,
  其解用一个连续的变量 `k` 标记.
  - 前者本身代表物理上可实现的状态, 而后者则不是.
  - 但是, 在两种情况下含时薛定谔方程的一般解都是定态解的线性叠加:
  - 对第一类情况这种叠加是采取求和的形式 (对 `n`),
  - 而对第二类情况这种叠加则是一个积分 (对 `k`).
  - 这种差别的物理意义是什么?
- 在经典力学中, 不含时的一维势场可以导致两种迥然不同的运动情况.
  - 如果
    $$ V(x) $$
    的两边都高于粒子的总能
    ($$ E $$),
    则粒子的运动被"限制"在势阱内 -- 它在两个拐点之间往返运动, 但是它不能逃逸.
  - 我们称之为`束缚态`.
  - 另一方面, 如果
    $$ E $$
    在一边 (或两边) 大于
    $$ V(x) $$,
    则从"无限远"过来的粒子在势场的影响下减速或加速, 然后折回到无限远处.
  - 我们称这种情况为一个`散射态`.
  - 某些势场仅允许束缚态 (例如谐振子);
    某些势场仅允许散射态 (例如一个逐渐升高而不下降的斜坡形的势场);
    依据粒子能量的大小, 还有一些势场两者则都允许.
- 薛定谔方程的两类解恰好对应着束缚态和散射态. 因为`隧穿现象`,
  允许粒子"泄漏"通过任何有限势垒, 这种区别在量子领域更为明显.
  - 因此唯一重要的是无限远处的势:
  - $$
      \begin{cases}
        E < [ V(- \infty) \mbox{ } 和 \mbox{ } V(\infty) ]
        \Rightarrow 束缚态, \\
        E > [ V(- \infty) \mbox{ } 或 \mbox{ } V(\infty) ]
        \Rightarrow 散射态
      \end{cases}
    $$
- 自然界中大多数的势场在无限远处趋于零,
  在这种情况下, 上面的判据变得更为简化:
  - $$
      \begin{cases}
        E < 0 \Rightarrow 束缚态, \\
        E > 0 \Rightarrow 散射态
      \end{cases}
    $$
  - 由于无限深方势阱和谐振子势在
    $$ x \rightarrow \pm \infty $$
    时都趋于无限大, 它们仅存在束缚态;
  - 由于自由粒子的势处处为零, 它仅存在散射态.

- [狄拉克 δ 函数](https://en.wikipedia.org/wiki/Dirac_delta_function)

```
这些结果很简洁, 但我们不能完全忽视一个棘手的原则问题:
这些散射波函数是不可归一化的, 所以它们不代表实际的可能粒子状态.
我们知道解决这个问题的方法:
构造定态解的可归一化的线性组合, 正如我们处理自由粒子那样 --
真正的实物粒子是由产生的波包所表示的.
虽然原理上很简单, 但实际上这是一件麻烦的事情,
在这一点上, 最好把问题交给计算机解决.
```

- [散射矩阵](https://en.wikipedia.org/wiki/S-matrix)
- [传递矩阵法](https://en.wikipedia.org/wiki/Transfer-matrix_method)
- [简并能级](https://en.wikipedia.org/wiki/Degenerate_energy_levels)

## 形式理论

> 真正意义上的第一章!

### 希尔伯特空间

- 量子理论是建立在两个概念的基础上的: 波函数和算符.
  - 体系的`状态`用它的波函数来表示, 可观测量用算符来表示.
  - 数学上, 波函数满足抽象`矢量`的定义条件,
    算符作为`线性变换`作用于矢量之上.
  - 因此, 量子力学的自然语言是线性代数.
- 但是, 我估计它并不是你们已所熟悉的线性代数的形式. 在
  $$ N $$
  维空间中, 矢量
  $$ \mid α \rangle $$
  可以非常简单地用它的
  $$ N $$
  个组元 -- 特定的一组正交归一基
  $$ \{ a_n \} $$
  来表示.
  - 两个矢量的`内积` (三维空间标量积的推广)
    $$ \langle α \mid β \rangle $$
    是一个复数:
  - $$
      \langle α \mid β \rangle =
      a_1^{*} b_1 +
      a_2^{*} b_2 +
      ...
      a_N^{*} b_N
    $$.
  - 线性变换
    $$ T $$
    用`矩阵` (对应特定的基矢) 表示,
    通过标准的矩阵运算作用于矢量上 (得到新的矢量).
- 但在量子力学中, 我们遇到的"矢量"是 (绝大多数情况下) 波函数,
  且它们存在于无穷维空间中. 对于它们, 用
  $$ N $$
  个`组元/矩阵`的记法不便处理, 而且,
  在有限维情况下通用的矩阵运算在这里可能会存在问题.

---

- 所有
  $$ x $$
  的函数的集合构成了一个矢量空间, 但对我们讨论的问题来说,
  它确实太大了. 为了表示一个可能的物理状态, 波函数
  $$ Ψ $$
  必须是归一化的:
  - $$ \int \mid Ψ \mid^2 dx = 1 $$.
  - 在一个特定区间内, 所有的`平方可积`函数的集合,
  - $$ f(x) $$
    满足
    $$ \int_{a}^{b} \mid f(x) \mid^2 dx < \infty $$,
  - 构成一个 (非常小) 矢量空间. 数学家称之为
    $$ L^2 (a, b) $$;
    而物理学家称它为"希尔伯特空间".
  - 因此, 在量子力学中, __波函数存在于希尔伯特空间中__.
- 两个函数
  $$ f(x) $$
  和
  $$ g(x) $$
  的`内积`定义如下:
  - $$ \langle f \mid g \rangle \equiv \int_a^b f(x)^{*} g(x) dx $$.
  - 如果
    $$ f $$
    和
    $$ g $$
    都是平方可积的 (也就是说, 两者都在希尔伯特空间中),
    它们的内积是肯定存在的. 这点可以从
    [施瓦茨不等式](https://en.wikipedia.org/wiki/Cauchy-Schwarz_inequality)
    给出.
  - 特别注意到
    $$ \langle g \mid f \rangle = \langle f \mid g \rangle^{*} $$.
  - 此外,
    $$ f(x) $$
    与`本身`的内积,
  - $$ \langle f \mid f \rangle = \int_a^b \mid f(x) \mid^2 dx $$,
  - 它是一个非负实数, 仅当
    $$ f(x) = 0 $$
    时为零.

```
严格地讲, 一个希尔伯特空间是一个完备的内积空间,
平方可积函数的集合只是希尔伯特空间的一个例子 --
的确, 每一个有限维矢量空间是一个平凡的希尔伯特空间.
但是, 既然 L2 空间是量子力学的舞台,
这就是物理学家讲"希尔伯特空间"时的通常含义.

顺便说一下, "完备"一词在这里的意思是:
希尔伯特空间中任何函数的柯西序列收敛于一个同样在希尔伯特空间中的函数;
这个空间没有"孔洞", 就像所有的实数的集合没有孔洞一样.
(与此相比, 例如, 所有多项式的空间, 像所有有理数的集合一样, 的确是有孔洞的.)
空间的完备性同一组函数的完备性 (遗憾的是用了同一词) 没有任何关系.
这组函数的完备性是指任何函数都可以表示为这组函数的线性组合.
```

```
一个函数除了几个孤立的点之外, 处处是零, 那会是怎样?
尽管函数本身不为零, 但它的积分式仍然是零.
如果对这一点感到困惑, 你应该是学数学的.
物理学中这种病态函数并不会出现, 但无论如何, 在希尔伯特空间中,
如果两个函数差的绝对值平方的积分为零, 我们称这两个函数是等价的.
严格地讲, 希尔伯特空间中的矢量代表函数的等价类.
```

- 如果函数与自身的内积为 `1`, 我们称之为该函数是`归一化`的;
  如果两个函数的内积为 `0`, 那么这两个函数是`正交`的; 如果一组函数
  $$ | f_n | $$
  既是归一的也彼此相互正交, 称它们为`正交归一`:
  - $$ \langle f_m \mid f_n \rangle = δ_{mn} $$.
  - 最后, 如果存在一个函数集, 其他任何函数 (希尔伯特空间中)
    都可以表示为该函数集的线性叠加, 那么称该函数集是`完备`的:
  - $$ f(x) = \sum_{n=1}^{\infty} c_n f_n (x) $$.
  - 如果函数
    $$ | f_n (x) | $$
    是正交归一的, 上式中的常数可以由傅里叶变换得到:
    $$ c_n = \langle f_n \mid f \rangle $$.

### 可观测量

- 可观测量
  $$ Q(x, p) $$
  的期望值可以非常简洁地用内积符号表示出来:
  - $$
      \langle Q \rangle =
      \int ψ^{*} \hat{Q} ψ dx =
      \langle ψ \mid \hat{Q} ψ \rangle
    $$.
  - 现在, 一次测量的结果应该是实数,
    更确切地说, 它是多次测量值的平均值:
  - $$ \langle Q \rangle = \langle Q \rangle^{*} $$.
  - 但一个内积的复共轭是颠倒两个函数乘积顺序, 因此
  - $$
      \langle ψ \mid \hat{Q} ψ \rangle =
      \langle \hat{Q} ψ \mid ψ \rangle
    $$,
    对任意波函数
    $$ ψ $$
    都成立.
  - 因此, 表示可观测量的算符具有下面非常特殊的性质:
  - $$
      \langle f \mid \hat{Q} f \rangle =
      \langle \hat{Q} f \mid f \rangle
    $$
    对任何
    $$ f(x) $$
    成立.
  - 该算符称为`厄米算符`.
- 事实上, 大多数书籍都要求表面上更严格的条件:
  - $$
      \langle f \mid \hat{Q} g \rangle =
      \langle \hat{Q} f \mid g \rangle
    $$
    对任意
    $$ f(x) $$
    和
    $$ g(x) $$
    成立.
  - 事实证明, 尽管表面上看来不同, 但这完全等同于我们的定义.
    因此, 这两种形式无论哪一个都可以随意使用.
  - 本质是厄米算符既可以作用于内积中的第一项也可以作用于第二项,
    其结果一样, 由于厄米算符的期望值是实数, 它们很自然出现在量子力学中:
  - __可观测量由厄米算符表示__.

> `由于厄米算符的期望值是实数, 它们很自然出现在量子力学中.`
  这个说法, 如何?

> 此处摘引一段
  [惰者集](https://book.douban.com/subject/27603987/)
  中的文字~

```
也就是说, 数学运算支配了作为量子力学对象的物理现象.
这种数学运算与物理现象的关系,
并非是通过解析叠加的物理意义而将其用数学公式表现出来,
而是将 "波函数的线性组合可以描述状态的叠加" 视为公理,
然后依据数学运算来确定叠加的意义.
正如费曼所言, 除了数学之外, 没有其他方法能说明态叠加原理了.
我们只能认为量子力学基于数学的无穷魔法,
因此我认为物理现象的背后存在着固有的数学现象.
```

> 摘引结束~

- 算符
  $$ \hat{Q} $$
  的`厄米共轭`算符 (或者`伴`算符) 是
  $$ \hat{Q}^{\dagger} $$,
  满足
  - $$
      \langle f \mid \hat{Q} g \rangle =
      \langle \hat{Q}^{\dagger} f \mid g \rangle
    $$
    对所有的
    $$ f $$
    和
    $$ g $$.
  - 那么, 厄米算符等同于它的厄米共轭:
    $$ \hat{Q} = \hat{Q}^{\dagger} $$.

### 厄米算符的本征函数

- $$ \hat{Q} ψ = q ψ $$.
  - 这就是算符
    $$ \hat{Q} $$
    的`本征值方程`;
    $$ ψ $$
    是
    $$ \hat{Q} $$
    的`本征函数`,
    $$ q $$
    是相应的`本征值`.
  - 因此
    $$ Q $$
    的确定值态是
    $$ \hat{Q} $$
    的本征函数.
  - 在该态上对
    $$ Q $$
    进行测量一定能够得到本征值
    $$ q $$.
- 注意到本征值是一个数 (既不是算符也不是函数).
  任何本征函数乘以一常数, 仍然是具有相同本征值的本征函数.
  - 零不能称作为本征函数 (我们从定义中把它排除,
    否则任何一个数都是它的本征值, 因为对任意的线性算符
    $$ \hat{Q} $$
    和所有的
    $$ q $$,
    都有
    $$ \hat{Q} 0 = q 0 = 0 $$).
  - 但是, `0` 作为本征值是不存在任何问题的.
  - 算符所有本征值的集合称为该算符的`谱`.
  - 有时候两个 (或者更多) 线性独立的本征函数具有相同的本征值;
    在这种情况下称为谱的`简并`.

- 现在, 我们把注意力集中在厄米算符的本征函数上
  (从物理角度: 可观测量的确定值态). 它们可分成两类情况:
  - 如果谱是`离散`的 (即, 本征值是分离的),
    则本征函数位于希尔伯特空间中并且构成物理上可实现的态;
  - 如果谱是`连续`的 (即, 本征值填满整个范围),
    那么本征函数是不可归一化的, 并且它们无法代表可能的波函数
    (尽管它们的线性组合 -- 这必定涉及本征值的一个分布 -- 可能是可归一化的).
  - 某些算符仅有离散谱 (例如谐振子的哈密顿),
    某些仅有连续谱 (例如自由粒子的哈密顿),
    还有一些既有离散谱部分也有连续谱部分 (例如有限深方势阱中的哈密顿).
  - 离散谱情况比较容易处理, 因为相关的内积一定存在 -- 实际上,
    这和有限维理论相似 (厄米矩阵的本征矢量).
- __离散谱__
  - 数学上, 厄米算符的可归一化本征函数具有两个重要性质:
  - 定理 `1`: 它们的本征值是实数.
  - 定理 `2`: 属于不同本征值的本征函数是正交的.

```
定理 1 是令人欣慰的:
如果你在一个确定的状态下测量粒子的一个观测量,
至少会得到一个实数.
```

```
这就是无限深方势阱的定态, 或者谐振子的定态, 都是正交的原因.
它们是哈密顿量具有不同本征值的本征函数.
但这一性质并不单单是它们所特有的,
甚至仅是哈密顿量所特有 -- 对任何可观测量的定态都是如此.
```

- 遗憾的是, 定理 `2` 没有涉及任何关于简并态
  ($$ q' = q $$)
  的问题. 不过, 如果两个 (或者更多) 本征函数具有相同的本征值,
  它们的任何线性组合仍是具有同样本征值的本征函数, 而且, 在每一个简并的子空间中,
  可以利用`格拉姆-施密特正交化`步骤构建相互正交的本征函数.
  - 这在原则上总是可以做到的, (谢天谢地) 但几乎没有必要明确的这样做.
  - 所以, 即使存在简并情况, 本征函数依然可以选择彼此正交, 并且我们假定已是如此.
  - 依据基函数的正交归一性, 这就允许我们使用相应的傅里叶技巧.
- 在一个有限维的矢量空间中, 厄米矩阵的本征矢量具有第三个基本性质:
  - 它们贯穿整个空间 (任何一个矢量都可以用它们的线性组合来表示).
  - 遗憾的是, 其证明不能推广到无限维的空间.
  - 但是这个性质本身对量子力学内在的自洽性是必需的, 所以 (遵从狄拉克)
    我们将它作为一个公理 (或者, 更确切地说,
    可以看作是加在可观测量厄米算符上的一个限制条件):
  - 公理: __可观测量算符的本征函数是完备的__:
    (在希尔伯特空间中的) 任何函数都可以用它们的线性组合来表示.

- [动量算符](https://en.wikipedia.org/wiki/Momentum_operator)
- [位置算符](https://en.wikipedia.org/wiki/Position_operator)

```
如果厄米算符的谱是连续的, 本征函数是不可归一化的,
它们不位于希尔伯特空间内, 且不表示可能的物理状态;
无论如何, 实数本征值的本征函数满足狄拉克正交归一性,
并且是完备的 (由求和变为积分).
幸运的是, 这正是我们真正所需要的.
```

### 广义统计诠释

- __广义统计诠释__: 如果你对处于
  $$ Ψ (x, t) $$
  状态粒子的可观测量
  $$ Q (x, p) $$
  进行测量, 那么, 你一定会得到厄米算符
  $$ \hat{Q} (x, -i \hbar d/dx) $$
  的本征值中的某一个. 如果
  $$ \hat{Q} $$
  的谱是离散的, 得到与本征函数
  $$ f_n (x) $$
  (正交归一) 相应的本征值
  $$ q_n $$ 的几率是
  - $$ | c_n |^2 $$,
    其中
    $$ c_n = \langle f_n \mid Ψ \rangle $$.
- 如果是连续谱, 且具有实数本征值
  $$ q(z) $$
  和 (`狄拉克 -- 正交归一的`) 本征函数
  $$ f_z (x) $$,
  则在
  $$ dz $$
  范围内, 得到结果几率是
  - $$ | c(z) |^2 dz $$,
    其中
    $$ c(z) = \langle f_z \mid Ψ \rangle $$.
- 测量之后, 波函数"坍缩"于相应的本征态.
- 可观测量算符的本征函数是完备的, 所以波函数可以写成它们的线性组合:
  - $$ Ψ (x, t) = \sum_{n} c_n (t) f_n (x) $$.
  - (简单起见, 假设谱是离散的.)
- 由于本征函数是正交归一的, 展开系数由傅里叶变换得出:
  - $$
      c_n (t) =
      \langle f_n \mid Ψ \rangle =
      \int f_n (x)^{*} Ψ (x, t) dx
    $$.
  - 定性地讲,
    $$ c_n $$
    告诉我们
    "$$ Ψ $$
    中包含有多少
    $$ f_n $$",
    考虑到每次测量一定得到算符
    $$ \hat{Q} $$
    的一个本征值, 所以, 得到特定本征值
    $$ q_n $$
    的几率取决于
    $$ Ψ $$
    中 "包含的
    $$ f_n $$
    量的大小" 似乎是合理的.
  - 但由于几率是由波函数的绝对值平方决定的, 因此精确的测量实际上是
    $$ | c_n |^2 $$.
  - 这才是广义统计诠释的精髓所在.
- __再说一下__, 这里小心地避开十分普遍的论述
  "$$ | c_n |^2 $$
  是粒子处于
  $$ f_n $$
  态的概率".
  - 这毫无意义. 粒子是处于态
    $$ Ψ $$.
  - 而
    $$ | c_n |^2 $$
    是对
    $$ \hat{Q} $$
    进行测量得到值为
    $$ q $$
    的几率. 这种测量会使态向本征函数
    $$ f_n $$
    坍缩.
  - 所以一种正确说法应该是
    "$$ | c_n |^2 $$
    是处于
    $$ Ψ $$
    态的粒子在对
    $$ \hat{Q} $$
    值进行测量后将处于
    $$ f_n $$
    态的几率."
  - 但是这是完全不同的论述.

> 参见: 科恩, 卷一, 页 17, `波函数; 薛定谔方程`

- [位置空间与动量空间](https://en.wikipedia.org/wiki/Position_and_momentum_spaces)

### 不确定性原理

### 矢量和算符

## 三维空间中的量子力学

### 薛定谔方程

### 氢原子

### 角动量

### 自旋

### 电磁相互作用

## 全同粒子

### 双粒子体系

### 原子

### 固体

## 对称性和守恒律

### 变换算符

### 守恒律

### 宇称

### 旋转对称性

### 简并

### 旋转对称选择定则

### 时间变换

## 附录 线性代数

> 其实放在附录不合适, 应该作为第一章. 同时本章内容略显简陋了~

- [柯西-施瓦茨不等式](https://en.wikipedia.org/wiki/Cauchy-Schwarz_inequality)

> 注: 本书原本用`上面加一个波浪号`表示转置矩阵, 一律改为
  $$ \mathbf{A}^T $$

- `厄米共轭`矩阵, 或称`伴随`矩阵, 用
  $$ \mathbf{T}^{\dagger} $$
  表示, 是`转置共轭`矩阵.

- 如果一个方矩阵等于它的`厄米共轭`, 则它就是`厄米`矩阵, 或`自伴`矩阵;
  如果`厄米共轭`引入一个负号, 则矩阵为`斜厄米`矩阵, 或`反厄米`.
  - __厄米矩阵__:
    $$ \mathbf{T}^{\dagger} = \mathbf{T} $$;
  - __斜厄米矩阵__:
    $$ \mathbf{T}^{\dagger} = - \mathbf{T} $$.

- 一般来说, 矩阵乘法不是可交换的 (即
  $$ \mathbf{S} \mathbf{T} ≠ \mathbf{T} \mathbf{S} $$),
  这两种次序之间所产生差别称为`对易子`:
  - $$ [\mathbf{S}, \mathbf{T}] = \mathbf{S} \mathbf{T} - \mathbf{T} \mathbf{S} $$.
- 两个矩阵积的转置矩阵是两个矩阵分别转置按逆次序的乘积:
  - $$ (\mathbf{S} \mathbf{T})^{T} = \mathbf{T}^{T} \mathbf{S}^{T} $$.
  - __厄米共轭矩阵同样也是这样的__:
  - $$
      (\mathbf{S} \mathbf{T})^{\dagger} =
      \mathbf{T}^{\dagger} \mathbf{S}^{\dagger}
    $$.

---

- 没有逆矩阵的矩阵称为`奇异`矩阵.
  两个矩阵积的逆 (假设存在) 是各自逆矩阵按逆次序的乘积:
  - $$ (\mathbf{S} \mathbf{T})^{-1} = \mathbf{T}^{-1} \mathbf{S}^{-1} $$.
- 如果矩阵的逆等于它的厄米共轭, 则该矩阵是`幺正`矩阵:
  - __幺正矩阵__:
  - $$ \mathbf{U}^{\dagger} = \mathbf{U}^{-1} $$.
- 假设基矢是正交归一的, 幺正矩阵的列构成正交归一集, 其行也构成正交集.
  - __幺正矩阵表示的线性变换保持内积不变__.

- 一般来说, 对于某个 (非奇异) 矩阵
  $$ \mathbf{S} $$,
  如果两个矩阵
  $$ \mathbf{T}_1 $$
  和
  $$ \mathbf{T}_2 $$
  满足
  $$ \mathbf{T}_2 = \mathbf{S} \mathbf{T}_1 \mathbf{S}^{-1} $$,
  那么称
  $$ \mathbf{T}_2 $$
  和
  $$ \mathbf{T}_1 $$
  `相似`.
  - 我们得到的结论是, __对于不同的基矢__, __表示相同线性变换的矩阵是相似的__.
  - 顺便提一下, 如果第一组基是正交基, 则当且仅当
    $$ \mathbf{S} $$
    是幺正矩阵时, 第二组基也将是正交归一基.
  - 因为我们总是研究正交归一基, 所以我们主要对幺正相似变换感兴趣.
- 虽然表示给定线性变换的矩阵元在新基中可能看起来很不一样,
  但与矩阵相关的两个特殊数值却保持不变:
  - 矩阵的`行列式`和`迹`.
- 乘积的行列式等于行列式的积, 因此
  - $$
      det(\mathbf{T}^{f}) =
      det(\mathbf{S} \mathbf{T}^{e} \mathbf{S}^{-1}) =
      det(\mathbf{S}) det(\mathbf{T}^{e}) det(\mathbf{S}^{-1}) =
      det(\mathbf{T}^{e})
    $$.
- `迹`是对角线元素的代数和:
  - $$ Tr(\mathbf{T}) \equiv \sum_{i=1}^{m} \mathbf{T}_{ii} $$,
  - 具有如下性质:
  - $$
      Tr(\mathbf{T}_{1} \mathbf{T}_{2}) =
      Tr(\mathbf{T}_{2} \mathbf{T}_{1})
    $$
  - 对任意两个矩阵
    $$ \mathbf{T}_{1} $$
    和
    $$ \mathbf{T}_{2} $$,
    有
  - $$
      Tr(\mathbf{T}^{f}) =
      Tr(\mathbf{S} \mathbf{T}^{e} \mathbf{S}^{-1}) =
      Tr(\mathbf{T}^{e} \mathbf{S}^{-1} \mathbf{S}) =
      Tr(\mathbf{T}^{e})
    $$.

---

- 矩阵的`特征方程`: 它的解决定了矩阵本征值. 注意到它是一个 `n` 阶方程,
  根据`代数基本定理`, 所以它有 `n` 个 (复数) 根.
  - 然而, 其中一些可能是重根, 所以我们可以肯定地说, 一个
    $$ n \times n $$
    矩阵至少有一个且最多有 `n` 个不同的本征值.
  - 矩阵所有本征值的集合称为它的`谱`;
  - 如果两个 (或更多) 线性无关的`本征矢有相同的本征值`, 则称谱线是`简并`的.

> 注: 原书此处翻译为`根据线性代数基本定理`, 是个错误!
  应为`根据代数基本定理`.

- 将矩阵转化为对角形式有一个明显的优势: 很容易处理问题.
  遗憾的是, 并不是每一个矩阵都能对角化 --
  __本征矢量必须张开整个空间__.
  - 如果特征方程有 `n` 个不同的根, 那么矩阵肯定是可对角化的, 即使是有多个重根,
    矩阵也可能是可对角化的.
- 在计算出所有本征矢之前, 事先知道给定的矩阵是否可对角化是很方便的. 一个有用的充分
  (尽管不是必要) 条件是: 如果矩阵与其厄米共轭对易, 则称其为`正规`矩阵:
  - __正规矩阵__:
  - $$ [\mathbf{N}^{\dagger}, \mathbf{N}] = 0 $$.
- 每个正规矩阵都是可对角化的 (其本征矢张开整个空间).
  - 特别是,
  - __每个厄米矩阵都是对角化的__,
  - __每个幺正矩阵也是对角化的__.

> 这翻译质量, 太仓促了.

- 假设有两个可对角化矩阵; 在量子力学应用中经常会遇到以下问题: (利用同样的相似矩阵
  $$ \mathbf{S} $$)
  它们能同时对角化吗?
  - 也就是说, 是否存在一组基矢, 其所有分量都是两个矩阵的本征矢?
  - 在这种基矢下, 两个矩阵都是对角的.
  - 事实上, __当且仅当两个矩阵对易时答案是肯定的__.
  - 顺便说一句, 如果两个矩阵在一组基矢对易, 那么它们相对于任何一组基矢都对易.

---

- 在量子力学中, `厄米变换`起着基础作用.
  厄米变换的本征值和本征矢有如下重要特性.
  - 厄米变换的本征值是实的
  - 厄米变换属于不同本征值的本征矢彼此正交
  - 更多特性参见:
    [厄米矩阵](https://en.wikipedia.org/wiki/Hermitian_matrix)

> 这就戛然而止了?
