---
title: 计算视角看量子 01 - 态 (Bit)
description: 帘外雨潺潺, 春意阑珊. 罗衾不耐五更寒. 梦里不知身是客, 一晌贪欢.
date: 2022-04-30
---

```
起念于 2022 年五一假期, 恰逢上海因疫情封闭, 居家数月.
正好梳理过去闲散的读书笔记, 略有所思, 小有感悟.
深知 "有善始者实繁, 能克终者盖寡."
不求速成, 但盼思流疏塞, 体系通汇. 则, 甚幸!
估计, 2022 定纲, 2023, 2024 成文.
三年, 成约~
```

```
关于量子, 网上良莠不齐的信息甚多~
量子计算 (信息) 和量子力学有多大关系?
学习量子计算是否必须先学习量子力学? (是也不是)
学习量子力学需要哪些数学知识储备?

一定的线性代数 (复数) ->
基础的量子力学 () ->
基础的量子计算 () ->
计算理论 (计算复杂性, 可计算等) ->
某一个量子算法主线 ->
量子力学, 量子计算, 计算理论和数学穿插前进.

切忌:
1. 试图一开始夯实各种数学基础;
(量子力学涵盖的数学概念极多, 但入门并不需要太多)
2. 认为量子力学必须学到一定深度才能切入量子计算.
(其实, 量子计算反而提供了一种不同的看待量子力学的视角)
3. 不要执迷于无人知晓的量子力学的基础性解释!

兴趣是第一推动力
1. 个人而言, 量子计算可以编程实践, 无疑是驱动力的源泉.
2. 其次是量子力学, 本身就是引人入胜的地方.
```

- 线性代数, 首推
  [量子计算与量子信息](https://book.douban.com/subject/35777059/)
  中的`量子力学基础`一章里的`线性代数`一节; 其次可阅读
  [量子力学 (第一卷)](https://book.douban.com/subject/25954720/)
  中的`量子力学的数学工具`一章及补充材料; 最后可阅读
  [从矢量到张量](https://book.douban.com/subject/36000538/).
- 量子计算, 量子力学和数学的书参见:
  [推荐书单](reading-recommended.md)
  - [量子计算与量子信息](https://book.douban.com/subject/35777059/)
  - [量子力学 (第一卷)](https://book.douban.com/subject/25954720/)

```
综上: 计算是学习量子的最佳途径~
```

## 从何处开始? 量子理论基本公社

> 不要问我为啥是这样! 实验证实了它就是这样!
  至于为啥是这样~ 我不知道, 也没人知道!
  去计算吧~ 算一算就发自内心的接受了~
  好比欧几里得五大公设.

---

黎曼-罗赫定理

- 直线可以写成一次方程, 圆可以写成二次方程,
  它们的交点可以用联立方程组求出来.
- 联立方程组中只会出现一次方程与二次方程,
  所以可以通过作图 (尺规作图) 表示的数,
  只有一次方程的解或二次方程的解.
- 一次方程可以用四则运算来解.
  - 想想求根公式就知道二次方程要用加减乘除与开根号来解,
    也就是只能用 `2` 次方根来解.
- 总之, 规矩数是: 重复进行加减乘除运算与开根号运算能得出的数
- $$ x^3 - 3x - 1 = 0 $$
  - 这个三次方程有 `3` 个解, 其中一个解是 `2cos20°`.
  - 所以如果能证明这个方程的解中没有 __规矩数__,
    便能证明 `2cos20°` 无法用直尺与圆规作图.
  - 既然 `2cos20°` 不能作图, 那么 `cos20°` 也不能作图;
    既然 `cos20°` 不能作图, 那么 `20°` 也不能作图;
  - 既然 `20°` 不能作图, `60°` 就无法通过直尺与圆规实现三等分.
