---
title: 计算视角看量子 04 -
description: 浮生长恨欢娱少, 肯爱千金轻一笑. 为君持酒劝斜阳, 且向花间留晚照.
date: 2022-05-02
---

可计算性问题最终将与未来的物理理论产生深刻的联系
  - 彭罗斯

量子学习之路
  - 计算理论
  - 费曼模式 (张朝阳) 不可知(?)的边界之上
  - 科普流 NO, 不可知(?)的边界之内

```
传统上所有的量子力学课程都是以同一方式开始的, 即顺着这一主题的历史发展顺序讲解.
一个人首先得学习大量的经典力学, 这样他就会懂得如何去解薛定谔方程.
然后, 他花很多时间去求各种情况下薛定谔方程的解, 只有在详尽地研究了这个方程之后,
才接触到电子自旋这个"高深"的课题.

然而, 通常认为量子力学的高深部分事实上是十分简单的, 这里面所用的数学特别简单,
只包含简单的代数运算而且没有微分方程, 至多只有一些很简单的微分方程.
唯一的问题是, 我们必须跃过一个裂隙, 这个裂隙是我们不再能够详细描述粒子在空间的行为.
所以, 我们想要做的是: 给你们讲解通常所谓的量子力学的"高深"部分.

-- 费曼
```

```
有两种教授量子力学的方法. 第一种方法
(对于当今的绝大多数物理学家来说, 这是唯一一种)
是依照重要概念被发现的历史顺序来教授.
这样, 你将从经典力学和电动力学开始,
并在每个阶段求解大量艰深的微分方程.
然后, 你会了解到黑体辐射悖论和种种奇怪的实验结果,
以及它们所引发的物理学大危机.
进而, 你将学到在 1900 年至 1926 年,
物理学家为了消除这场危机而做的复杂修补工作.
再接下来, 如果你足够幸运, 在经过数年苦学之后,
你就会最终接触到核心概念:
大自然不是由总是非负的概率描述的,
而是由被称为概率幅的数描述的,
并且概率幅可以为正数, 负数, 甚至复数.

第二种教授量子力学的方法抛弃了对其发现的细致叙述,
直接从核心概念开始, 即以某种方式推广概率开始,
允许使用负号 (以及更一般地, 允许使用复数).
你一旦理解了这个核心, 就可以把物理学添加进去,
并计算任何你想要计算的原子的光谱.

那么, 什么是量子力学? 尽管它由物理学家发现,
但它并不是一个像电磁学或广义相对论那样的物理学理论.
在通常的"科学层级"中
(最顶上是生物学, 之下是化学, 再下是物理学, 最底下是数学),
量子力学应该位于数学与物理学之间.
简单来说, 量子力学是操作系统, 其他物理学理论作为应用软件在其中运行
(广义相对论除外, 因为它尚未被成功移植到这个操作系统).
甚至有一个词用来描述将一个物理学理论移植到这个操作系统的过程 -- 量子化.
但是, 如果量子力学不是通常意义上的物理学
(如果它不关于物质, 能量, 波或粒子), 那它到底关于什么呢?
在我看来, 量子力学关于信息, 概率, 可观测量, 以及它们之间的关系.
我将主张一个不无争议的观点: 量子力学是当你从概率论出发,
然后试着推广它, 使得过去称为"概率"的东西可以为负数时,
你将不可避免得到的东西.
这样的话, 这个理论本可以被 19 世纪的数学家发明, 而不需要借助任何实验结果.
历史不是如此, 但本可以如此. 然而,
当时的数学家在研究这些数学结构时, 终究没有想出来量子力学,
直到实验结果把它摆在了他们面前.
这正很好地说明了, 为什么实验在一开始很重要.
在通常情况下, 我们需要实验的唯一原因是我们不够聪明.
而在进行实验之后, 假如我们确实通过实验了解到了一些值得了解的东西,
那么我们就会希望明白, 为什么在一开始, 实验本来是不必要的.
为什么世界以别的方式运作就说不通了. 但我们太笨了,
无法靠自己把一切想明白!

-- Scott Aaronson
```

```
我不认为我们可以通过公理和形式逻辑为算术奠定更坚实的基础.
如果你还不同意 1 + 1 = 2, 那么,
即使你耗尽毕生研究数理逻辑也不会把这弄得更清楚.

我对此的观点是, 就像经典概率论,
量子力学应该被视为某种"介于"连续和离散之间的理论.
在这里, 我假设希尔伯特空间或概率空间是有限维的.

-- Scott Aaronson

理念世界 - 洞穴之喻 (量子理论) - 物质世界

-- 柏拉图

真正有价值的哲学属于数学, 属于领先所属时代的数学设想.
剩下的哲学内容属于文化, 所以后来流向了存在主义.

-- 我
```

```
经典的并行性是用多个电路同时计算 f(x),
而量子并行性是利用不同量子状态的叠加,
用单个 f(x) 电路同时计算多个 x 的函数值.
```

- 如果不可判定: 我们的宇宙是否是计算机模拟.
  那么反过来, 我们可以认为答案是: 是!
  - 从理解 -> 到设计
  - 构建量子态所需的空间和时间的基本物理限制是什么?
  - 实现给定的动态操作需要多少时间和空间?
  - 是什么使量子系统难以通过传统的经典方法来理解和模拟?
