---
title: 年度推荐书单
description: 把酒祝东风, 且共从容, 垂杨紫陌洛城东. 总是当时携手处, 游遍芳丛.
date: 2021-05-03
---

```
当我们深入到越来越高级的物理学时,
将会看到很多简单的东西用数学的方法来推导要比从基本的或简单的意义上去真正理解它们来得快一些.
这是一个很奇怪的特性, 而且在我们接触越来越高深的研究工作时, 就会遇到这些情况,
其中数学导出了结果, 但这些结果没有一个人能以任何直接的方式真正理解它.
狄拉克方程就是一个例子, 它的形式非常简单而优美, 但是它的结论却很难理解.

-- 理查德·费曼
```

```
真正理解一个方程式, 即: 不仅在严格的数学意义上, 意味着什么?
狄拉克对此早就有所评述, 他说:
"如果我没有实际解一个方程, 而对其解的特性已有一种估计办法, 那我就懂得了该方程的意义."
因此, 若我们无须实际解那个方程, 而对在给定情况下会发生什么便已有一种了解的办法,
则我们便算"理解"了应用到这些情况上去的那个方程了.
物理上的理解乃是一种完全非数学性, 不精确和不严格的事,
但对于一个物理学家来说却是绝对必需的.

-- 理查德·费曼
```

- __2024 年最佳新书! 没有之一!__
  - [可视化微分几何和形式](https://book.douban.com/subject/36369485/)
  - BTW, 其它推荐书籍均为 2024 年以前出版~

> 2024 年, 我才认识到之前的一个错误认知,
  我曾经认为学习数学是为了学习量子理论,
  但事实是, 学习量子理论是为了学习数学.
  量子理论让你更容易感知到抽象数学的实在性!

------------------

> 书籍的顺序按照本人的主体阅读顺序~ (除了最后一本)
  __注意__: `量子计算与量子信息`和`量子力学概论`虽然不是值得珍藏的书籍,
  但绝对是入门领头书, 个人强烈建议`量子计算与量子信息`和`量子力学概论`同步阅读,
  且`量子计算与量子信息`阅读进度应该领先在前!

------------------

- [量子计算与量子信息](https://book.douban.com/subject/35777059/)
  - 中文版书籍中, 目力所及, 截止 2024 年初, 同品类最好的书!
  - 相较之下, 某些新出品的书籍之差, 让人叹息! 比如:
  - [量子计算导论: 从线性代数到量子编程](https://book.douban.com/subject/36329438/),
    且不说废话连篇和多处印刷错误, 基本没啥深度可言!
    亮点是`基于格的密码学`章节, 还有或许就是编程涵盖了 `Q#`, 所以买书算是支持一波 `Rust`?
    作者貌似是研究密码学的, 那倒还不如专注于讲好`基于格的密码学`.
  - [量子计算: 一种应用方法](https://book.douban.com/subject/35812490/),
    作者自己的定位是`量子计算与量子信息`的补充, 算是一开始就给了自己台阶.
    较之`量子计算导论`, 不侧重密码学, 涉及一些常规应用案例, 印刷质量倒是好了不少!
    讲解的深度较浅, 但比`量子计算导论`措辞严谨一些, 也给出了不少参考链接.
  - [人人可懂的量子计算](https://book.douban.com/subject/34996717/),
    定位科普, 倒也不用要求啥; 门电路 (经典, 量子), 量子算法的介绍算通俗细致吧.
  - 如果三本书好好整合, 或许能算一本中规中矩的入门书.
  - 至于 Scott Aaronson 早些年的
    [量子计算公开课](https://book.douban.com/subject/35467917/),
    本来就是博客汇编而成, 其实不适合初学者, 作为科普其实也不太合适.
    更适合看完`量子计算与量子信息`再去阅读, 启迪思维,
    否则也难以与作者的碎碎念产生共鸣!
    当然, 作者在前言部分也做了适合哪些读者的说明.

```
唯一我能想到的其他可能性是, 其实, 存在一类需求未被满足的受众,
他们想读的既不是"科普"读物, 也不是"学术"著作,
而是从研究者带有严重倾向性的视角出发,
使用他们在楼道里与其他领域的同事交谈时所用的语言来描述某个科研领域的书.
也许, 除了这些同事, 这类假想的"需求未被满足的受众"还包括早慧的高中生,
或者曾很享受大学时代的理论课程, 而现在想了解最新研究进展的计算机程序员和工程师.

-- Scott Aaronson, 量子计算公开课
```

> 这段话蛮有意思的, 我很喜欢, 所以忍不住摘录于此~

------------------

- [可视化微分几何和形式](https://book.douban.com/subject/36369485/)
  - __2024 年最佳新书! 没有之一!__
  - 作者有佳作在前 __复分析: 可视化方法__, 用心数年之久, 再著新作!
    期间多有良师益友助益, 翻译又是专业用心, 堪称经典!

> 注意: `可视化微分几何和形式`虽是后出版的书籍,
  但是比`复分析`要容易阅读, 或者说难度更低.

------------------

- [量子力学 (第一卷)](https://book.douban.com/subject/25954720/)
  - 个人建议先看`格里菲斯`. 有了大致的了解, 再读`科恩`.
  - 关于本书的厚度, 其实, `补充材料`占据了约三分之二.
    核心内容的篇幅没有书的厚度那么吓人!

```
我们的教学经验证明, 开始时就将这些假设集中起来讲要比分成几个阶段介绍好.
同样, 我们还认为, 最好一开始就用态空间和狄拉克符号.
如果起先只用波函数来建立波动力学, 然后再讲左矢和右矢的普遍理论,
那就难免会有重复; 特别是, 符号改变得晚了, 容易使学生迷惑不解,
使他们觉得好像刚刚学过但还未掌握的那些概念, 又成问题了.
```

```
最好一开始就用态空间和狄拉克符号.
```

------------------

- [复分析: 可视化方法](https://book.douban.com/subject/35316347/)
  - 作者把可视化之于数学, 类比于实验室之于 (理论) 物理.
  - 数学教学的两条路径, 主流的教育体现了其中一条, 本书体现了另外一条.
  - 门槛不高, 旁征博引, 数学物理贯通 (毕竟是彭罗斯的弟子)

```
本书无疑还有许多未曾发现的毛病, 但是有一桩"罪行"是我有意去犯的,
对此我也不后悔: 有许多论证是不严格的, 至少表面上看是如此.
如果你把数学仅仅看成人类的心智所创造的, 是岌岌可危的高耸的建筑物, 这就是一桩严重的罪行.
追求严格性就好比绞尽脑汁来维持这幢建筑物的稳定, 以防整个建筑物在你身旁轰然倒塌.
然而, 如果你和我一样,
相信我们的数学理论只不过是试图获取一个柏拉图式世界的某些侧面,
这个世界并非我们创造的, 我就会争论说,
开始时缺少严格性只不过是付出了小小的代价,
使得读者能比采用其他方式更直接更愉快地看透这个世界.
```

------------------

- [泛函分析导论及应用](https://book.douban.com/subject/35941956/)

```
在这样的抽象研究方法中, 人们通常从满足某些公理的一个集合出发,
并且故意不指定集合元素的特征.
由这些公理导出的一些逻辑结果被作为定理反复使用.
这就意味着我们从公理体系出发得到了一个数学结构,
这个数学结构的理论又以抽象的方法得到讨论.
而后, 可把得到的通用定理应用到满足公理体系的各种特殊集合上去.

例如, 在代数中曾用这种方法研究域, 环和群; 在泛函分析中,
我们将用这种方法来研究抽象空间. 这些空间是基本的, 也是重要的,
我们将详细地研究其中的某些空间 (如巴拿赫空间, 希尔伯特空间).
以后我们还会看到, "空间"这个概念广泛得惊人.
抽象空间不过是满足有关公理体系的 (非特指的) 元素集合.
如果选用不同的公理体系, 便能得到不同类型的抽象空间.
```

------------------

- [量子力学 (第二卷)](https://book.douban.com/subject/26716232/)

------------------

- [叫魂](https://book.douban.com/subject/10471333/)
  - 记 `2022` 年~

```
但不论是好事还是坏事, 它的特性却可以阻挡任何一种狂热.
没有这样一个应急的锚碇, 中国就会在风暴中急剧偏航.
在缺乏一种可行的替代制度的情况下,
统治者就可以利用操纵民众的恐惧, 将之转变为可怕的力量.
生活于我们时代的那些异见人士和因社会背景或怪异信仰而易受指控的替罪羊,
便会成为这种力量的攻击目标.

没有什么能够伫立其间, 以阻挡这种疯狂.
```
