---
title: 阅读的闲书
description: 东篱把酒黄昏后, 有暗香盈袖. 莫道不销魂, 帘卷西风, 人比黄花瘦.
date: 2023-07-17
---

- [拓扑与物理](https://book.douban.com/subject/35388292/)

---

- [脉络: 小我与大势](https://book.douban.com/subject/36858606/)

---

- [黑体辐射](https://book.douban.com/subject/36701663/)
  - __阅读之前__: 终于有一本细分点切入, 一以贯之的书了~
    市面上泛泛而谈的科普书太多了, 不是量子就是相对论,
    照葫芦画瓢, 没啥特色~
  - 同时支持一下国人作品!
  - 作者说将来思虑纯熟, 还会再版, 期待了~
  - 看完全书, 称得上一个`妙语连珠`~

```
若将一个均匀体系虚拟地划分成两部分 A 和 B, 满足关系式
F(A) + F(B) = F(A + B)
的量 F 称为广延量. 能量与熵都是广延量.
```

```
这个词被粗鲁地汉译了, 请允许我这里不提它.
Robust (robur, robus), 来自一种 "红" 心的橡木,
故同源词会指一些红色的存在, 试比较 ruby (红宝石) 和 rust (红铁锈).
Robust 作为形容词的意思是象那种树的树皮一样格外坚韧.
```

```
黑体辐射研究始于基尔霍夫,
他于 1859 年提出热辐射的基尔霍夫定律,
1860 年给出证明并顺带提出了黑体的概念.
```

```
进一步地, 基尔霍夫说 "容易证明, 对于同样温度下相同波长的辐射,
发射能力与吸收能力之比对所有物体是一样的".
基尔霍夫的黑体, 后来会经由普朗克进一步发展而为基尔霍夫-普朗克意义下的黑体,
其不会返还任何落于其上的辐射. 所有来自黑体的辐射都纯粹是其发射的辐射.
```

```
强调一句, 黑体的概念除了要求吸收率 A = 1 以外,
还要强调其把所吸收的辐射全部转化成热而非引起化学反应,
轰击出电子或者引发荧光. 黑体还是物质发射能力的极限.
黑体是一个理想概念.
```

```
黑体的辐射, 热平衡时空腔的辐射, 以及热平衡时内有发射体的空腔的辐射,
都应该表现出同样的谱特征. 这是黑体辐射所涉及的模型研究的思想基础.
黑体辐射 1859 年被提出不久, 热力学因为熵概念的提出而深入发展,
与此同时电力照明和钢铁工业也迎来了蓬勃发展,
黑体辐射注定会是接下来的研究主题.
```

```
任意材料围成的空腔从来都不是黑体.
那么, 空腔里的辐射不是完美的黑体辐射, 这事儿重要吗? 一点也不.
当它不断地给我们带来新物理,
并且新物理在其他地方会以其他方式被证明是正确的时候,
那些错误或者不严谨有什么要紧呢. 物理只在应该正确的地方正确.
一个哪怕错到底的理论, 如果为我们带来了新的, 正确的物理, 它也是有价值的.
它的出现就证明了它的意义.
```

> 物理只在应该正确的地方正确.

```
维恩考察处于热平衡下内有辐射的空腔的绝热膨胀,
空腔缓慢收缩时腔壁反射能量的变化和频率变化一致,
从而得出是绝热不变量的结论
(这时候, 普朗克常数的引入就是必然了),
进一步地得到了所谓的维恩谱分布公式.
```

```
凑固然未必严谨, 但知道往哪里凑很重要. 凑多了就能凑出正确的内容了.
```

> 哈哈哈! 赞!

```
我负责任地说, 英, 德, 法三种文本的物理教科书的风格, 侧重点绝对不一样.
大体说来, 德语的更重视实验细节, 法语的更重视数学思想,
来自不列颠的英文物理书各方面比较均衡得体.
```

```
如前所述, 1859 年基尔霍夫确定了黑体辐射的强度只依赖于温度和波长的结论.
基尔霍夫写道 (大意): "当一个等温物体围成的空间没有辐射泄露出去,
则在此空间内部的射线束从各方面来说可看作是由完全黑体发射的, 只和温度有关."
找到这个普适函数具有高度的重要性.
```

```
有趣的是, 在此后的许多书本里紫外灾难仍被津津乐道,
愚以为除了人们热衷怪力乱神的心理因素以外
(同样被曲解且泛滥的还有薛定谔的猫, 海森堡的不确定性原理),
一个可能的原因是以后理论物理中还源源不断地涌现各种在变量足够大时发散的无脑理论.
宇宙没有无穷, 宇宙也没有矛盾.
```

> 哈哈哈! 好! 曹则贤!

```
一个系统, 由子系统构成的系统, 如果都是由守恒量表征的, 那就是死的.
如果它在变化着, 则要引入一个单调变化的量来表述从当前状态走向平衡态
(稳态) 的过程, 为此有克劳修斯的熵 S 和玻尔兹曼的 H-函数.
热力学做了如下选择: 一个孤立的体系,
(1) 有个称为能量的物理量, 保持不变. 这强调这个体系同外部世界的隔离;
(2) 有个称为熵的量, 恒不减少. 这强调这个体系内部的 (自发) 变化趋势.
```

> 熵: 走向平衡态

```
关于普朗克这瞎猜的功夫, 派斯在爱因斯坦传记一书中大为赞赏:
"他的论证是疯狂的, 但是他的疯狂有那种只有伟大的传统人物能带给科学的神性.
这赋予了普朗克, 一个保守倾向的人, 勉强的革命家的角色".
然而, 按爱因斯坦 1916 年的说法, 普朗克的推导是史无前例的胆大妄为.

关于那天的推导过程, 普朗克自己有非常客观的评价.
顺着这些想法, 我最后决定, 完全随意地构造熵的表达 ... 在诸多表达中,
这个提供了 S 是 U 的指数函数的公式最简单.

看到普朗克这么实在, 笔者当时都笑得差点岔气了.
看如今的物理论文, 时常能遇到装蒜的货,
自己根本没有本事写一篇唯一作者的文章,
却在事后拿着很多别人凑出的文章编造自己的英明.
```

> 十分喜欢这一段!

```
物理学里没有革命, 如果你看到了革命, 那是因为你知道的少.
```

```
不完备性, 这是爱因斯坦这个量子力学奠基人后来对量子力学一直挑剔的地方,
不完备性也一直是量子力学的弱点. 介绍这一段, 是想让大家看到爱因斯坦,
一个不足 26 岁的专利局职员, 在 1905 年前的一段时间里对物理学就是有通盘考虑的.
关于黑体辐射, 那个时候爱因斯坦没有以自己的方式得到正确的普朗克分布,
但是爱因斯坦没有放下这个问题. 当爱因斯坦十年后再回到这个问题时,
突破性进展就来到了. 所谓 "念念不忘, 必有回响", 信夫!
爱因斯坦总能做出重要的工作, 几无失误, 也是奇迹.
```

```
玻尔兹曼和普朗克都没有给出状态数概率的定义, 而是直接用上了状态数 W.
笔者注意到, 当使用状态数这个概念时, 排列组合的介入是必然的, 这就必然要求使用整数.
能量量子化这个数学辅助工具里的强制性假设后来揭示了自然的量子属性, 算是无心插柳的佳话.
何科学革命之有邪? 彼君子顺势而为也.
```

```
"无需强调就该知道, 这种做法只有因为我们对真实的振子规律一无所知才干得出来".
-- 爱因斯坦
真扎心啊, 合着他们是一通瞎推导的, 可是这才是真正的物理研究啊.
最前沿的知识本来就是不完备的, 一通胡乱尝试, 有些许眉目再去追求自治,
这才是做学问的正确方式. 爱因斯坦不装大尾巴狼, 是我格外佩服他的另一个原因.
```

```
知纲领且能为细节, 方见学问的妙处与学者的功夫.
```

> 不知为啥, 看到这句话的时候, 不自觉联想到了之前的网络话题:
  CTO 需不需要写代码~

```
试看真实的物理系统, 是涨落的天下.
涨落的研究, 让爱因斯坦揭示了辐射的波粒二象性,
粒子性证实量子概念, 波动性的深入研究则导向了波动力学.
量子力学从起源和本质上说都是统计力学,
量子统计力学是对量子力学某个部分的加强版强调.
如同关于黑体辐射的推导中辐射之能量和动量应同等对待,
笔者斗胆以为, 在量子力学中概率和概率幅应该"是以最紧密的方式相互关联的".

爱因斯坦在 1909 年的论文中第一次提到光的波粒二象性 (duality).
Duality, 是在一种不同语境下表现出两种特征而不是在两种不同语境下表现出两种特征来,
描述其行为的一个表达式里包含两个特征各自对应项之和,
不可以简单地按照 "既 ... 又 ..." 来理解.
所谓光的波粒二象性, 不是那种在不同情境下表现出粒子或者波的行为,
所谓既是粒子又是波, 而是同时既是粒子又是波, 即描述其行为的量必为两项之和,
其一解作波, 另一解作粒子. 当然, 你知道光绝不是什么粒子或者波.
它就是光, 没有空间概念, 速度相对任何状态的有质量物体 (ponderable objects) 是常数.
笔者想说的是, 最重要的一点是光速不是矢量. 至于电子的波粒二象性, 那是另一个意义上的.
```

```
历史上, 一些物理都是把傅里叶分析的结果当成物理真实的,
不仅是将单个的傅里叶分量当成实在的单色波,
而且认为不同的傅里叶分量是独立的存在,
甚至拿单个傅里叶分量的振幅与相位当成一对 (共轭的) 动力学变量.
笔者想说的是, 波动力学 (包括波粒二象性) 有深刻久远的思想基础和存在情景,
不是德布罗意和薛定谔的一时灵感迸发.
```

```
我从前不读大家原著, 净看那些不通的二杆子著名教授写的教科书, 活该困惑那么多年!
```

> 嗯, 定一个目标!

```
当然, 艾伦菲斯特并不孤独. 与紫外灾难一样被羞辱的,
是薛定谔 1935 年引入的箱子里放一只猫的模型.
薛定谔用 放射性-锤子-毒药-猫 的模型是要说明:
聚焦不准带来的照片模糊同云遮雾罩风景的照片模糊之间的不同,
以此类比经典不确定性同量子不确定性之间的不同.
然而, 这个模型却被诠释为量子力学中容许不死不活的猫的存在,
恰与薛定谔原文的内容弄拧了.
```

> 对薛定谔的猫的说法, 存疑!
  可能薛定谔本人在不同文献有不同的表述.
  不过这个倒也不值细究~

```
认为瑞利-金斯公式里存在什么紫外灾难, 甚至以为
"瑞利-金斯公式的紫外灾难在普朗克谱分布公式之前",
是物理学 (教育) 史上的标志性荒唐, 它几乎是一个赝物理学家的标签.
瑞利和金斯都是物理学巨擘, 才不会那么不负责任; 而艾伦菲斯特也是物理学巨擘,
更是和普朗克, 金斯, 索末菲, 庞加莱等人一样, 是杰出的物理学表达者.
黑体辐射从来也没有什么紫外灾难. 作为物理过程的黑体辐射当然没什么灾难,
而维恩, 普朗克的谱公式是两端趋于 0 的,
瑞利 1900 年的文章给出的谱分布也是记得要带上维恩公式里的指数函数的,
是两端为零的谱分布函数, 从来没有什么能量无穷大的问题.
拿个瑞利-金斯讨论长波极限的结果去胡乱发挥, 最后竟然去改造物理学发展史,
这就有点儿过了. "瑞利-金斯公式的紫外灾难" 的妄言, 可以休矣.
```

```
庞加莱, 法国数学家, 物理学家, 工程师, 哲学家,
数学界最后一个啥都懂, 物理界和工程界雄踞最顶端的人.
庞加莱以数学家, 物理学家和工程师的身份闻名于世,
其对相对论和量子力学的建立都有开创性的贡献.
```

> 庞加莱: 最后的全才!

```
笔者再次重申, 从理论严谨性的角度来看, 庞加莱的这个论证是不可或缺的,
否则能量量子化会一直就是个让人 -- 至少是普朗克本人 -- 无法放心的假设.
这个证明, 是普朗克, 洛伦兹, 爱因斯坦这种数学水平的人不可能完成的任务
[此文开篇即讲述哈密顿方程是最后乘子为 1 的统计力学结果.
庞加莱与拉格朗日, 哈密顿以及后来的外尔, 彭罗斯等人或是同等数学水平的物理学家],
虽然用到的关键工具也是爱因斯坦此前就用过的狄拉克 δ-函数.
从实用的角度来看, 它是通往量子统计和固体量子论的桥梁,
懂得这个道理后更加容易理解量子统计.
爱因斯坦, 艾伦菲斯特等人在庞加莱此项工作的基础上很快系统深化了固体量子论.
爱因斯坦 1916 年闲来无事又考虑黑体辐射公式并提出了受激辐射的概念,
1924 年见到玻色的相空间量子化假设迅速得出了 玻色-爱因斯坦统计 和
玻色-爱因斯坦凝聚, 这是爱因斯坦令笔者崇拜不已的小细节.
```

> 彭罗斯

---

- [庞特里亚金自传](https://book.douban.com/subject/36480251/)
  - 信息量多于`惰者集`, 文风不如前者轻松~
  - 值得一读!

> `庞特里亚金自传`和`惰者集`分别批判了苏联和日本在 20
  世纪的中学数学教育改革的失败. 均是过早引入集合论等现代化数学概念.
  但是, `庞特里亚金`在本书开始便指名道姓罪魁祸舍: 柯尔莫戈洛夫!
  嗯, 看来本书值得一看!

> 看了部分后, 发现与预期的数学家传记有些差异:
  没有那么伟光正, 倒是多了些人性的真实!
  时代的背景也是个蛮有启发价值的地方~

```
这样, 理论的结点由一些中间命题构成,
且每两个中间命题之间包含着几个细小的逻辑环节.
如果这样的步骤序列已经设定好,
那么从每个结点过渡到下一个结点就变得更简单和更显而易见.
数学家使用自己的经验和联想记忆来设定这些中间结论,
联想记忆可以让他通过类比捕捉不同数学命题之间的相似之处,
并在从每一步骤过渡到下一步骤看似毫无把握的情况下增强信心.
如果设定的步骤选择得很成功并确实通向目标,
那么之后就能逐渐完成整个路径的各个分段.
```

```
跟潜意识思维的作用有关的还有一个问题, 就是数学直觉是何物.
数学直觉通常被理解为一个人看穿真相或解题时选择正确路径的能力.
可我想, 直觉在某种程度上是大量实践中积累的自动化的思维经验.
有些联系很远的数学概念在人的脑子里建立联想却能如此顺利,
以至于从一个概念过渡到另一个并不需要简短联想构成的链条,
而是以飞跃的方式完成的. 这种飞跃的能力是数学思维经验的结果.
通过大量的实践建立起大量的联想 -- 这就是数学创造的基础.
```

```
极大值原理在变分法领域也得到了应用,
因为变分法的所有结果都可以从极大值原理得出.
直到现在, 仍然有大量涉及或引用极大值原理的数学出版物发表,
但其数量增长在 20 世纪 60 年代末和 70 年代初时尤为迅猛.
```

> 拓扑~ 好难!

```
其实, 数学中并不存在被称为元数学的分支 (领域),
将数学划分为 "形式数学" 和 "内容数学" 也同样是完全荒谬的.
我绝不是贬低将研究活动划分为理论和应用的意义.
然而有了更深入的了解后就不难看出,
基础研究与其应用领域之间的相互作用和相互交织是多么密切.
现代数学的高度抽象对那些一知半解的人有种催眠效果,
而且显然会在他们的圈子中产生无谓的见解, 错误的认识,
他们对神秘费解的措辞情有独钟 (类似于我从中学课本中举的那个例子),
对真正的科学命题所具有的那种明确和简洁却反而充满怀疑.
正是这种由于在专业领域不求甚解又眼界狭窄而产生的态度,
成为实践决策的不利土壤.
```

> 正是这种由于在专业领域不求甚解又眼界狭窄而产生的态度,
  成为实践决策的不利土壤.

> 说得好!

```
数学中的确有一个领域叫作数理逻辑,
其研究对象是规范的数学命题及其构造方法, 推导法则,
以及类似的在严格数学意义上精确定义的各种操作.
然而, 这并不意味着似乎在数学中存在一个完整的
(像上文引用的作者所描述的, 被其称为 "形式数学" 的那种)
专门研究如何构建没有实用价值的各种 "命题" 的分支.
这位作者将 "纯数学" 划分成 "形式数学和内容数学" 没有任何意义,
令数学家无法理解.
看到他这样把本已很难的数学概念和云山雾罩的哲学措辞 "搅合" 在一起,
还采用了这些站不住脚的归纳概括, 你会惊奇地发现,
多么无聊的废话也能被当作科学出现在大众读物中.
```

```
在数学发展的特定阶段, 高度抽象的集合论思想曾作为新生事物而成为时尚,
而对集合论的沉迷超越了具体研究本身.
但集合论思想仅对专业数学家们来说是一种方便的学术研究语言.
数学发展的真正趋势是面向具体的问题, 面向实践.
所以说, 当前的中学数学教科书是在阐释数学学科方面的倒退,
它们在实质上经不起推敲, 因为它们阉割掉了数学方法的本质.
```

> 下面是书籍末尾, 他人的评述

```
在青年时期, 他开始研究当时最有前景的数学分支之一 -- 拓扑学.
众所周知, 数学有许多分支, 但通常是其中的某一个分支占据特殊地位,
在这一分支中产生的思想, 观点, 一般概念在其他分支中也能得到应用,
对其他分支的发展有着特别强大的影响.
数学家们通常把这样的分支称为当前的 "流行" 分支.
这种 "思想实验室" 的角色每二三十年会从一个数学分支转移至另一个分支.
20 世纪三四十年代的流行分支正是拓扑学.
在一本现代长篇小说中, 主人公这样回忆他在数学系所学的东西:
"拓扑学 ... 是人类思维的平流层."
列夫·谢苗诺维奇·庞特里亚金就是这个 "平流层" 的几位创造者之一.
```

```
为什么列夫·谢苗诺维奇能有如此多的成就?
我想是因为他从来也不问自己是否有足够的能力去做某件事.
事情一旦做起来, 能力自然会有的. 他总在不断地跨越可能的界限.
```

> 他总在不断地跨越可能的界限.

---

- [用数学的语言看宇宙](https://book.douban.com/subject/36791629/)
  - 本书除了蜻蜓点水地介绍一些基本概念, 其它多是些废话连篇的自说自话~
  - 不值一看!

---

- [惰者集](https://book.douban.com/subject/27603987/)
  - 感知!
  - 行文轻松, 语言平实. 很适合闲来碎片化阅读!
  - 翻译有不少瑕疵, 但也不妨碍阅读.

```
也就是说, 数学运算支配了作为量子力学对象的物理现象.
这种数学运算与物理现象的关系,
并非是通过解析叠加的物理意义而将其用数学公式表现出来,
而是将 "波函数的线性组合可以描述状态的叠加" 视为公理,
然后依据数学运算来确定叠加的意义.
正如费曼所言, 除了数学之外, 没有其他方法能说明态叠加原理了.
我们只能认为量子力学基于数学的无穷魔法,
因此我认为物理现象的背后存在着固有的数学现象.
```

```
抑或能否建立一门以回答此类问题为目标, 研究数学现象的学科, 即数学现象学呢?
这些问题, 我也不清楚. 不过我确信, 如果能够建立这门学科, 那它一定会非常有趣.
不过从一开始会有一个明显的难题, 那就是在开始研究数学的现象学前,
首先必须对数学的主要领域有一个全面的, 大概的了解.
正如我在上文中提到的, 解决这个难题需要花费大量的时间.
这也是无法撰写数学现代史的原因所在.
```

```
20 世纪 40 年代盛行研究巴拿赫空间, 希尔伯特空间等函数解析,
普林斯顿高等研究院的许多年轻研究员都以此作为自己的研究领域,
外尔和西格尔仿佛在数学研究上完全与其他人独立.
我曾经在研究院正面的院子里遇到日本数学家 K, 至今还清楚地记得他说过:
"外尔和西格尔两个人乐此不疲地在挑战古老复杂的数学, 那是种反动行为."
进入 20 世纪 50 年代后, 代数几何, 流形论, 微分拓扑等迅速发展,
数学出现了天翻地覆的变化.
```

> 翻译欠佳~

---

- [图解 TCP/IP (第 6 版)](https://book.douban.com/subject/36739612/)
  - 有些年头没看网络相关的东西了~
  - 废话不少~
  - [IPv6](https://en.wikipedia.org/wiki/IPv6)
  - [IPv4](https://en.wikipedia.org/wiki/Internet_Protocol_version_4)
  - [IP address](https://en.wikipedia.org/wiki/IP_address)
  - [CIDR](https://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing)
  - [NAT](https://en.wikipedia.org/wiki/Network_address_translation)

```
全局单播地址是世界上唯一的地址.
它是互联网通信及各个组织内部通信中最常用的 IPv6 地址.

现在的 IPv6 网络中所使用的格式为,
全局路由前缀 n = 48, 子网 ID m = 16,
接口 ID 128 - n - m = 64,
即前 64 位为网络标识, 后 64 位为主机标识.

通常, 接口 ID 中保存着基于 64 位的 MAC 地址产生的值.
不过, 由于 MAC 地址属于设备固有的信息, 因此有时不希望让对端知道.
这时的接口 ID 可设置为与 MAC 地址没有关系的"临时地址".
这种临时地址通常随机产生, 并会定期更新.
```

```
链路本地单播地址是同一数据链路内唯一的地址.
它用于不经过路由器, 在同一数据链路中的通信.
通常, 接口 ID 保存 64 位的 MAC 地址.
```

```
在 IPv6 中, 从 IP 地址到 MAC 地址的协议从 ARP 转为 ICMP 的邻居探索消息.
邻居探索消息融合了 IPv4 的 ARP, ICMP 重定向及
ICMP 路由器选择消息等功能于一体, 甚至还提供自动设置 IP 地址的功能.

ICMPv6 中将 ICMP 大致分为两类: 一类是错误消息, 另一类是信息消息.
类型 0~127 属于错误消息, 类型 128~255 属于信息消息.
若 IP 包未能到达目标主机, 感知到错误的主机或路由器会发送类型 0~127 的错误消息.
类型 133~137 的消息属于特殊的信息消息, 称为邻居探索消息.
```

- [图数据库: 理论与实践](https://book.douban.com/subject/36730737/)
  - 首先是推销自家产品;
  - 然后是概括性介绍;
  - 末尾的应用比较鸡肋.
  - 那些推荐序, 推荐语, 当真是阅读了之后写的?

- [光子之舞](https://book.douban.com/subject/36463573/)
  - 第一眼看了下目录, 感觉一般般~
  - 废话较多, 乏善可陈!
  - 本书主题: 量子隐形传态~ 其实就是附录部分的一篇文章的篇幅就够了!

- [法律的悖论](https://book.douban.com/subject/36624253/)
  - 罗翔
  - 实话实说, 对我而言, 一开始没太大的阅读吸引力~
  - 前 `1/3` 认真阅读了, 后面简单看了看.
  - 可能是因为抖音看过不少罗翔的视频, 所以没啥印象深刻的内容.

---

- [量子计算: 一种应用方法](https://book.douban.com/subject/35812490/)
  - 嗯, 这本书其实没啥新意! 买来是为了赞助
    [Qiskit/qiskit](https://github.com/Qiskit/qiskit).
  - 为啥要赞助 __Qiskit__? 因为孵化了
    [Qiskit/rustworkx](https://github.com/Qiskit/rustworkx).
  - 本书的篇幅主要就两部分, 一部分是代码, 另一部分是数学 (线性代数);
    剩余章节均很薄弱! 倒是印刷质量确实不错~
  - 既然作者自己的定位已经是
    [量子计算与量子信息](https://book.douban.com/subject/35777059/)
    的补充, 还不如直接删除数学部分.
  - 至于所谓的前沿, 也没啥展开描述, 所以也就剩下个代码部分了~

```
执行不可逆运算就会丢失信息, 因为这相当于对系统的状态进行了测量.
这样一个计算周期便完成了, 程序无法继续执行.
相反, 如果使用可逆逻辑门, 只要保持系统的相干性, 就可以继续将算子作用于量子比特.
```

> 不可逆运算, 相当于测量~

```
只有当所考虑的向量的项全为实数时, 点积和内积才是一致的.
```

```
数字向量构成阿贝尔群.
```

> 注: 加法

- 域
  $$ \mathbb{F} $$
  上的一个向量空间
  $$ \mathbf{V} $$
  由一个阿贝尔群
  $$ \mathbf{V} $$
  以及一个域
  $$ \mathbb{F} $$
  在
  $$ \mathbf{V} $$
  上的数乘运算构成.
- 域
  $$ \mathbb{F} $$
  上的向量空间
  $$ \mathbf{V} $$
  的一个子集
  $$ \mathbf{S} \subset \mathbf{V} $$
  是
  $$ \mathbf{V} $$
  的子空间, 当且仅当
  $$ \mathbf{S} $$
  是域
  $$ \mathbb{F} $$
  上的一个向量空间.
- 域
  $$ \mathbb{F} $$
  上的向量空间
  $$ \mathbf{V} $$
  的子集
  $$ \mathbf{S} \subset \mathbf{V} $$
  是
  $$ \mathbf{V} $$
  的子空间, 当且仅当它满足以下性质.
  - __存在单位元__:
    $$ 0 \in \mathbf{S} $$,
    这里的
    $$ 0 $$
    是向量空间
    $$ \mathbf{V} $$
    中的加法单位元.
  - __加法封闭性__: 对任意
    $$ \mathbf{u}, \mathbf{v} \in \mathbf{S} $$,
    $$ \mathbf{u} + \mathbf{v} \in S $$.
  - __数乘封闭性__: 对任意
    $$ a \in \mathbb{F} $$
    以及任意
    $$ \mathbf{v} \in \mathbf{S} $$,
    $$ a \cdot \mathbf{v} \in S $$.

- [希尔伯特空间](https://en.wikipedia.org/wiki/Hilbert_space)

- 由 `n` 个量子比特组成的量子寄存器是向量空间的一个维数为
  $$ 2^n $$
  的张量积.
